/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var me=["exports","require","vs/base/common/lifecycle","vs/base/common/event","vs/base/browser/dom","vs/base/common/platform","vs/base/common/types","vs/css!vs/code/electron-sandbox/processExplorer/processExplorerMain","vs/base/common/async","vs/nls!vs/code/electron-sandbox/processExplorer/processExplorerMain","vs/base/common/strings","vs/base/common/codicons","vs/nls","vs/base/common/errors","vs/base/common/arrays","vs/base/browser/browser","vs/base/common/uri","vs/base/browser/ui/widget","vs/base/browser/event","vs/base/browser/keyboardEvent","vs/base/browser/mouseEvent","vs/base/common/path","vs/base/browser/touch","vs/base/browser/ui/tree/tree","vs/base/common/color","vs/base/common/decorators","vs/base/common/iterator","vs/base/common/objects","vs/base/common/cancellation","vs/base/parts/sandbox/electron-sandbox/globals","vs/platform/instantiation/common/instantiation","vs/base/common/buffer","vs/base/common/actions","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/network","vs/base/common/resources","vs/base/browser/ui/scrollbar/scrollbarArrow","vs/base/parts/ipc/common/ipc","vs/platform/registry/common/platform","vs/base/browser/fastDomNode","vs/base/browser/ui/scrollbar/scrollbarState","vs/base/common/functional","vs/base/common/keyCodes","vs/base/common/numbers","vs/base/common/range","vs/css!vs/base/browser/ui/actionbar/actionbar","vs/base/common/scrollable","vs/base/common/map","vs/base/common/marshalling","vs/base/browser/dnd","vs/base/browser/formattedTextRenderer","vs/base/browser/globalPointerMoveMonitor","vs/base/browser/ui/aria/aria","vs/base/browser/ui/tree/indexTreeModel","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/browser/ui/scrollbar/scrollableElement","vs/base/browser/ui/list/listView","vs/base/browser/ui/list/listWidget","vs/base/common/htmlContent","vs/base/browser/ui/actionbar/actionViewItems","vs/base/browser/ui/actionbar/actionbar","vs/base/browser/ui/toggle/toggle","vs/platform/instantiation/common/descriptors","vs/platform/theme/common/themeService","vs/base/browser/iframe","vs/base/browser/ui/list/list","vs/base/browser/ui/list/splice","vs/base/common/assert","vs/base/common/collections","vs/base/common/diff/diffChange","vs/base/common/idGenerator","vs/base/common/keybindings","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/marked/marked","vs/base/common/navigator","vs/base/common/history","vs/base/browser/ui/list/rangeMap","vs/base/common/stream","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/css!vs/base/browser/ui/aria/aria","vs/css!vs/base/browser/ui/codicons/codicon/codicon","vs/css!vs/base/browser/ui/codicons/codicon/codicon-modifiers","vs/base/browser/ui/codicons/codiconStyles","vs/css!vs/base/browser/ui/findinput/findInput","vs/css!vs/base/browser/ui/inputbox/inputBox","vs/css!vs/base/browser/ui/list/list","vs/css!vs/base/browser/ui/scrollbar/media/scrollbars","vs/css!vs/base/browser/ui/selectBox/selectBox","vs/css!vs/base/browser/ui/selectBox/selectBoxCustom","vs/css!vs/base/browser/ui/toggle/toggle","vs/css!vs/base/browser/ui/tree/media/tree","vs/css!vs/code/electron-sandbox/processExplorer/media/processExplorer","vs/nls!vs/base/browser/ui/actionbar/actionViewItems","vs/nls!vs/base/browser/ui/findinput/findInput","vs/nls!vs/base/browser/ui/findinput/findInputToggles","vs/nls!vs/base/browser/ui/iconLabel/iconLabelHover","vs/nls!vs/base/browser/ui/inputbox/inputBox","vs/nls!vs/base/browser/ui/selectBox/selectBoxCustom","vs/nls!vs/base/browser/ui/tree/abstractTree","vs/nls!vs/base/common/actions","vs/nls!vs/base/common/platform","vs/base/common/process","vs/base/common/mime","vs/base/common/stopwatch","vs/base/browser/canIUse","vs/base/common/cache","vs/base/common/extpath","vs/base/common/hash","vs/base/common/diff/diff","vs/base/browser/dompurify/dompurify","vs/base/browser/ui/iconLabel/iconLabels","vs/base/browser/ui/list/rowCache","vs/base/browser/ui/scrollbar/scrollbarVisibilityController","vs/base/browser/ui/selectBox/selectBoxNative","vs/base/browser/ui/tree/objectTreeModel","vs/base/browser/ui/scrollbar/horizontalScrollbar","vs/base/browser/ui/scrollbar/verticalScrollbar","vs/base/browser/markdownRenderer","vs/base/browser/ui/iconLabel/iconLabelHover","vs/base/browser/ui/selectBox/selectBoxCustom","vs/base/browser/ui/selectBox/selectBox","vs/base/browser/ui/inputbox/inputBox","vs/base/browser/ui/findinput/findInputToggles","vs/base/browser/ui/findinput/findInput","vs/base/browser/ui/tree/abstractTree","vs/base/browser/ui/tree/dataTree","vs/base/parts/contextmenu/electron-sandbox/contextmenu","vs/base/parts/ipc/electron-sandbox/ipc.electron","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/theme/common/iconRegistry","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/files/common/files","vs/platform/ipc/electron-sandbox/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/platform/native/electron-sandbox/nativeHostService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/theme/common/theme","vs/platform/theme/common/iconRegistry","vs/platform/theme/browser/iconsStyleSheet","vs/platform/window/common/window","vs/platform/window/electron-sandbox/window","vs/code/electron-sandbox/processExplorer/processExplorerMain"],pe=function(Q){for(var t=[],E=0,i=Q.length;E<i;E++)t[E]=me[Q[E]];return t};/*! @license DOMPurify 2.3.1 | (c) Cure53 and other contributors | Released under the Apache license 2.0 and Mozilla Public License 2.0 | github.com/cure53/DOMPurify/blob/2.3.1/LICENSE */function Vt(Q){if(Array.isArray(Q)){for(var t=0,E=Array(Q.length);t<Q.length;t++)E[t]=Q[t];return E}else return Array.from(Q)}var $t=Object.hasOwnProperty,Lt=Object.setPrototypeOf,Kt=Object.isFrozen,qt=Object.getPrototypeOf,xt=Object.getOwnPropertyDescriptor,it=Object.freeze,ot=Object.seal,jt=Object.create,Nt=typeof Reflect!="undefined"&&Reflect,wt=Nt.apply,Et=Nt.construct;wt||(wt=function(t,E,i){return t.apply(E,i)}),it||(it=function(t){return t}),ot||(ot=function(t){return t}),Et||(Et=function(t,E){return new(Function.prototype.bind.apply(t,[null].concat(Vt(E))))});var Gt=nt(Array.prototype.forEach),kt=nt(Array.prototype.pop),mt=nt(Array.prototype.push),ut=nt(String.prototype.toLowerCase),Pt=nt(String.prototype.match),lt=nt(String.prototype.replace),Yt=nt(String.prototype.indexOf),Xt=nt(String.prototype.trim),at=nt(RegExp.prototype.test),Rt=Zt(TypeError);function nt(Q){return function(t){for(var E=arguments.length,i=Array(E>1?E-1:0),H=1;H<E;H++)i[H-1]=arguments[H];return wt(Q,t,i)}}function Zt(Q){return function(){for(var t=arguments.length,E=Array(t),i=0;i<t;i++)E[i]=arguments[i];return Et(Q,E)}}function Be(Q,t){Lt&&Lt(Q,null);for(var E=t.length;E--;){var i=t[E];if(typeof i=="string"){var H=ut(i);H!==i&&(Kt(t)||(t[E]=H),i=H)}Q[i]=!0}return Q}function ct(Q){var t=jt(null),E=void 0;for(E in Q)wt($t,Q,[E])&&(t[E]=Q[E]);return t}function vt(Q,t){for(;Q!==null;){var E=xt(Q,t);if(E){if(E.get)return nt(E.get);if(typeof E.value=="function")return nt(E.value)}Q=qt(Q)}function i(H){return console.warn("fallback value for",H),null}return i}var Mt=it(["a","abbr","acronym","address","area","article","aside","audio","b","bdi","bdo","big","blink","blockquote","body","br","button","canvas","caption","center","cite","code","col","colgroup","content","data","datalist","dd","decorator","del","details","dfn","dialog","dir","div","dl","dt","element","em","fieldset","figcaption","figure","font","footer","form","h1","h2","h3","h4","h5","h6","head","header","hgroup","hr","html","i","img","input","ins","kbd","label","legend","li","main","map","mark","marquee","menu","menuitem","meter","nav","nobr","ol","optgroup","option","output","p","picture","pre","progress","q","rp","rt","ruby","s","samp","section","select","shadow","small","source","spacer","span","strike","strong","style","sub","summary","sup","table","tbody","td","template","textarea","tfoot","th","thead","time","tr","track","tt","u","ul","var","video","wbr"]),_t=it(["svg","a","altglyph","altglyphdef","altglyphitem","animatecolor","animatemotion","animatetransform","circle","clippath","defs","desc","ellipse","filter","font","g","glyph","glyphref","hkern","image","line","lineargradient","marker","mask","metadata","mpath","path","pattern","polygon","polyline","radialgradient","rect","stop","style","switch","symbol","text","textpath","title","tref","tspan","view","vkern"]),Ct=it(["feBlend","feColorMatrix","feComponentTransfer","feComposite","feConvolveMatrix","feDiffuseLighting","feDisplacementMap","feDistantLight","feFlood","feFuncA","feFuncB","feFuncG","feFuncR","feGaussianBlur","feMerge","feMergeNode","feMorphology","feOffset","fePointLight","feSpecularLighting","feSpotLight","feTile","feTurbulence"]),Qt=it(["animate","color-profile","cursor","discard","fedropshadow","feimage","font-face","font-face-format","font-face-name","font-face-src","font-face-uri","foreignobject","hatch","hatchpath","mesh","meshgradient","meshpatch","meshrow","missing-glyph","script","set","solidcolor","unknown","use"]),St=it(["math","menclose","merror","mfenced","mfrac","mglyph","mi","mlabeledtr","mmultiscripts","mn","mo","mover","mpadded","mphantom","mroot","mrow","ms","mspace","msqrt","mstyle","msub","msup","msubsup","mtable","mtd","mtext","mtr","munder","munderover"]),Jt=it(["maction","maligngroup","malignmark","mlongdiv","mscarries","mscarry","msgroup","mstack","msline","msrow","semantics","annotation","annotation-xml","mprescripts","none"]),Ot=it(["#text"]),Bt=it(["accept","action","align","alt","autocapitalize","autocomplete","autopictureinpicture","autoplay","background","bgcolor","border","capture","cellpadding","cellspacing","checked","cite","class","clear","color","cols","colspan","controls","controlslist","coords","crossorigin","datetime","decoding","default","dir","disabled","disablepictureinpicture","disableremoteplayback","download","draggable","enctype","enterkeyhint","face","for","headers","height","hidden","high","href","hreflang","id","inputmode","integrity","ismap","kind","label","lang","list","loading","loop","low","max","maxlength","media","method","min","minlength","multiple","muted","name","noshade","novalidate","nowrap","open","optimum","pattern","placeholder","playsinline","poster","preload","pubdate","radiogroup","readonly","rel","required","rev","reversed","role","rows","rowspan","spellcheck","scope","selected","shape","size","sizes","span","srclang","start","src","srcset","step","style","summary","tabindex","title","translate","type","usemap","valign","value","width","xmlns","slot"]),At=it(["accent-height","accumulate","additive","alignment-baseline","ascent","attributename","attributetype","azimuth","basefrequency","baseline-shift","begin","bias","by","class","clip","clippathunits","clip-path","clip-rule","color","color-interpolation","color-interpolation-filters","color-profile","color-rendering","cx","cy","d","dx","dy","diffuseconstant","direction","display","divisor","dur","edgemode","elevation","end","fill","fill-opacity","fill-rule","filter","filterunits","flood-color","flood-opacity","font-family","font-size","font-size-adjust","font-stretch","font-style","font-variant","font-weight","fx","fy","g1","g2","glyph-name","glyphref","gradientunits","gradienttransform","height","href","id","image-rendering","in","in2","k","k1","k2","k3","k4","kerning","keypoints","keysplines","keytimes","lang","lengthadjust","letter-spacing","kernelmatrix","kernelunitlength","lighting-color","local","marker-end","marker-mid","marker-start","markerheight","markerunits","markerwidth","maskcontentunits","maskunits","max","mask","media","method","mode","min","name","numoctaves","offset","operator","opacity","order","orient","orientation","origin","overflow","paint-order","path","pathlength","patterncontentunits","patterntransform","patternunits","points","preservealpha","preserveaspectratio","primitiveunits","r","rx","ry","radius","refx","refy","repeatcount","repeatdur","restart","result","rotate","scale","seed","shape-rendering","specularconstant","specularexponent","spreadmethod","startoffset","stddeviation","stitchtiles","stop-color","stop-opacity","stroke-dasharray","stroke-dashoffset","stroke-linecap","stroke-linejoin","stroke-miterlimit","stroke-opacity","stroke","stroke-width","style","surfacescale","systemlanguage","tabindex","targetx","targety","transform","text-anchor","text-decoration","text-rendering","textlength","type","u1","u2","unicode","values","viewbox","visibility","version","vert-adv-y","vert-origin-x","vert-origin-y","width","word-spacing","wrap","writing-mode","xchannelselector","ychannelselector","x","x1","x2","xmlns","y","y1","y2","z","zoomandpan"]),Ht=it(["accent","accentunder","align","bevelled","close","columnsalign","columnlines","columnspan","denomalign","depth","dir","display","displaystyle","encoding","fence","frame","height","href","id","largeop","length","linethickness","lspace","lquote","mathbackground","mathcolor","mathsize","mathvariant","maxsize","minsize","movablelimits","notation","numalign","open","rowalign","rowlines","rowspacing","rowspan","rspace","rquote","scriptlevel","scriptminsize","scriptsizemultiplier","selection","separator","separators","stretchy","subscriptshift","supscriptshift","symmetric","voffset","width","xmlns"]),Dt=it(["xlink:href","xml:id","xlink:title","xml:space","xmlns:xlink"]),ei=ot(/\{\{[\s\S]*|[\s\S]*\}\}/gm),ti=ot(/<%[\s\S]*|[\s\S]*%>/gm),ii=ot(/^data-[\-\w.\u00B7-\uFFFF]/),ni=ot(/^aria-[\-\w]+$/),si=ot(/^(?:(?:(?:f|ht)tps?|mailto|tel|callto|cid|xmpp):|[^a-z]|[a-z+.\-]+(?:[^a-z+.\-:]|$))/i),ri=ot(/^(?:\w+script|data):/i),oi=ot(/[\u0000-\u0020\u00A0\u1680\u180E\u2000-\u2029\u205F\u3000]/g),pt=typeof Symbol=="function"&&typeof Symbol.iterator=="symbol"?function(Q){return typeof Q}:function(Q){return Q&&typeof Symbol=="function"&&Q.constructor===Symbol&&Q!==Symbol.prototype?"symbol":typeof Q};function rt(Q){if(Array.isArray(Q)){for(var t=0,E=Array(Q.length);t<Q.length;t++)E[t]=Q[t];return E}else return Array.from(Q)}var ai=function(){return typeof window=="undefined"?null:window},li=function(t,E){if((typeof t=="undefined"?"undefined":pt(t))!=="object"||typeof t.createPolicy!="function")return null;var i=null,H="data-tt-policy-suffix";E.currentScript&&E.currentScript.hasAttribute(H)&&(i=E.currentScript.getAttribute(H));var M="dompurify"+(i?"#"+i:"");try{return t.createPolicy(M,{createHTML:function(w){return w}})}catch{return console.warn("TrustedTypes policy "+M+" could not be created."),null}};function Wt(){var Q=arguments.length>0&&arguments[0]!==void 0?arguments[0]:ai(),t=function(le){return Wt(le)};if(t.version="2.3.1",t.removed=[],!Q||!Q.document||Q.document.nodeType!==9)return t.isSupported=!1,t;var E=Q.document,i=Q.document,H=Q.DocumentFragment,M=Q.HTMLTemplateElement,C=Q.Node,w=Q.Element,p=Q.NodeFilter,f=Q.NamedNodeMap,m=f===void 0?Q.NamedNodeMap||Q.MozNamedAttrMap:f,N=Q.Text,o=Q.Comment,s=Q.DOMParser,e=Q.trustedTypes,g=w.prototype,v=vt(g,"cloneNode"),D=vt(g,"nextSibling"),y=vt(g,"childNodes"),a=vt(g,"parentNode");if(typeof M=="function"){var u=i.createElement("template");u.content&&u.content.ownerDocument&&(i=u.content.ownerDocument)}var b=li(e,E),S=b&&Z?b.createHTML(""):"",F=i,_=F.implementation,r=F.createNodeIterator,n=F.createDocumentFragment,h=F.getElementsByTagName,l=E.importNode,c={};try{c=ct(i).documentMode?i.documentMode:{}}catch{}var P={};t.isSupported=typeof a=="function"&&_&&typeof _.createHTMLDocument!="undefined"&&c!==9;var V=ei,ue=ti,ne=ii,ge=ni,ae=ri,we=oi,he=si,re=null,Ce=Be({},[].concat(rt(Mt),rt(_t),rt(Ct),rt(St),rt(Ot))),te=null,De=Be({},[].concat(rt(Bt),rt(At),rt(Ht),rt(Dt))),ee=null,X=null,se=!0,ie=!0,T=!1,$=!1,j=!1,W=!1,d=!1,I=!1,U=!1,K=!0,Z=!1,L=!0,O=!0,z=!1,A={},B=null,k=Be({},["annotation-xml","audio","colgroup","desc","foreignobject","head","iframe","math","mi","mn","mo","ms","mtext","noembed","noframes","noscript","plaintext","script","style","svg","template","thead","title","video","xmp"]),R=null,x=Be({},["audio","video","img","source","image","track"]),J=null,de=Be({},["alt","class","for","id","label","name","pattern","placeholder","role","summary","title","value","style","xmlns"]),ce="http://www.w3.org/1998/Math/MathML",ye="http://www.w3.org/2000/svg",Ee="http://www.w3.org/1999/xhtml",ke=Ee,Fe=!1,ve=null,Pe=i.createElement("form"),Me=function(le){ve&&ve===le||((!le||(typeof le=="undefined"?"undefined":pt(le))!=="object")&&(le={}),le=ct(le),re="ALLOWED_TAGS"in le?Be({},le.ALLOWED_TAGS):Ce,te="ALLOWED_ATTR"in le?Be({},le.ALLOWED_ATTR):De,J="ADD_URI_SAFE_ATTR"in le?Be(ct(de),le.ADD_URI_SAFE_ATTR):de,R="ADD_DATA_URI_TAGS"in le?Be(ct(x),le.ADD_DATA_URI_TAGS):x,B="FORBID_CONTENTS"in le?Be({},le.FORBID_CONTENTS):k,ee="FORBID_TAGS"in le?Be({},le.FORBID_TAGS):{},X="FORBID_ATTR"in le?Be({},le.FORBID_ATTR):{},A="USE_PROFILES"in le?le.USE_PROFILES:!1,se=le.ALLOW_ARIA_ATTR!==!1,ie=le.ALLOW_DATA_ATTR!==!1,T=le.ALLOW_UNKNOWN_PROTOCOLS||!1,$=le.SAFE_FOR_TEMPLATES||!1,j=le.WHOLE_DOCUMENT||!1,I=le.RETURN_DOM||!1,U=le.RETURN_DOM_FRAGMENT||!1,K=le.RETURN_DOM_IMPORT!==!1,Z=le.RETURN_TRUSTED_TYPE||!1,d=le.FORCE_BODY||!1,L=le.SANITIZE_DOM!==!1,O=le.KEEP_CONTENT!==!1,z=le.IN_PLACE||!1,he=le.ALLOWED_URI_REGEXP||he,ke=le.NAMESPACE||Ee,$&&(ie=!1),U&&(I=!0),A&&(re=Be({},[].concat(rt(Ot))),te=[],A.html===!0&&(Be(re,Mt),Be(te,Bt)),A.svg===!0&&(Be(re,_t),Be(te,At),Be(te,Dt)),A.svgFilters===!0&&(Be(re,Ct),Be(te,At),Be(te,Dt)),A.mathMl===!0&&(Be(re,St),Be(te,Ht),Be(te,Dt))),le.ADD_TAGS&&(re===Ce&&(re=ct(re)),Be(re,le.ADD_TAGS)),le.ADD_ATTR&&(te===De&&(te=ct(te)),Be(te,le.ADD_ATTR)),le.ADD_URI_SAFE_ATTR&&Be(J,le.ADD_URI_SAFE_ATTR),le.FORBID_CONTENTS&&(B===k&&(B=ct(B)),Be(B,le.FORBID_CONTENTS)),O&&(re["#text"]=!0),j&&Be(re,["html","head","body"]),re.table&&(Be(re,["tbody"]),delete ee.tbody),it&&it(le),ve=le)},xe=Be({},["mi","mo","mn","ms","mtext"]),He=Be({},["foreignobject","desc","title","annotation-xml"]),ze=Be({},_t);Be(ze,Ct),Be(ze,Qt);var Ye=Be({},St);Be(Ye,Jt);var Ge=function(le){var Se=a(le);(!Se||!Se.tagName)&&(Se={namespaceURI:Ee,tagName:"template"});var Ne=ut(le.tagName),Ue=ut(Se.tagName);if(le.namespaceURI===ye)return Se.namespaceURI===Ee?Ne==="svg":Se.namespaceURI===ce?Ne==="svg"&&(Ue==="annotation-xml"||xe[Ue]):Boolean(ze[Ne]);if(le.namespaceURI===ce)return Se.namespaceURI===Ee?Ne==="math":Se.namespaceURI===ye?Ne==="math"&&He[Ue]:Boolean(Ye[Ne]);if(le.namespaceURI===Ee){if(Se.namespaceURI===ye&&!He[Ue]||Se.namespaceURI===ce&&!xe[Ue])return!1;var Ze=Be({},["title","style","font","a","script"]);return!Ye[Ne]&&(Ze[Ne]||!ze[Ne])}return!1},Oe=function(le){mt(t.removed,{element:le});try{le.parentNode.removeChild(le)}catch{try{le.outerHTML=S}catch{le.remove()}}},q=function(le,Se){try{mt(t.removed,{attribute:Se.getAttributeNode(le),from:Se})}catch{mt(t.removed,{attribute:null,from:Se})}if(Se.removeAttribute(le),le==="is"&&!te[le])if(I||U)try{Oe(Se)}catch{}else try{Se.setAttribute(le,"")}catch{}},oe=function(le){var Se=void 0,Ne=void 0;if(d)le="<remove></remove>"+le;else{var Ue=Pt(le,/^[\r\n\t ]+/);Ne=Ue&&Ue[0]}var Ze=b?b.createHTML(le):le;if(ke===Ee)try{Se=new s().parseFromString(Ze,"text/html")}catch{}if(!Se||!Se.documentElement){Se=_.createDocument(ke,"template",null);try{Se.documentElement.innerHTML=Fe?"":Ze}catch{}}var Qe=Se.body||Se.documentElement;return le&&Ne&&Qe.insertBefore(i.createTextNode(Ne),Qe.childNodes[0]||null),ke===Ee?h.call(Se,j?"html":"body")[0]:j?Se.documentElement:Qe},be=function(le){return r.call(le.ownerDocument||le,le,p.SHOW_ELEMENT|p.SHOW_COMMENT|p.SHOW_TEXT,null,!1)},_e=function(le){return le instanceof N||le instanceof o?!1:typeof le.nodeName!="string"||typeof le.textContent!="string"||typeof le.removeChild!="function"||!(le.attributes instanceof m)||typeof le.removeAttribute!="function"||typeof le.setAttribute!="function"||typeof le.namespaceURI!="string"||typeof le.insertBefore!="function"},Ae=function(le){return(typeof C=="undefined"?"undefined":pt(C))==="object"?le instanceof C:le&&(typeof le=="undefined"?"undefined":pt(le))==="object"&&typeof le.nodeType=="number"&&typeof le.nodeName=="string"},Re=function(le,Se,Ne){!P[le]||Gt(P[le],function(Ue){Ue.call(t,Se,Ne,ve)})},Ve=function(le){var Se=void 0;if(Re("beforeSanitizeElements",le,null),_e(le)||Pt(le.nodeName,/[\u0080-\uFFFF]/))return Oe(le),!0;var Ne=ut(le.nodeName);if(Re("uponSanitizeElement",le,{tagName:Ne,allowedTags:re}),!Ae(le.firstElementChild)&&(!Ae(le.content)||!Ae(le.content.firstElementChild))&&at(/<[/\w]/g,le.innerHTML)&&at(/<[/\w]/g,le.textContent)||Ne==="select"&&at(/<template/i,le.innerHTML))return Oe(le),!0;if(!re[Ne]||ee[Ne]){if(O&&!B[Ne]){var Ue=a(le)||le.parentNode,Ze=y(le)||le.childNodes;if(Ze&&Ue)for(var Qe=Ze.length,Je=Qe-1;Je>=0;--Je)Ue.insertBefore(v(Ze[Je],!0),D(le))}return Oe(le),!0}return le instanceof w&&!Ge(le)||(Ne==="noscript"||Ne==="noembed")&&at(/<\/no(script|embed)/i,le.innerHTML)?(Oe(le),!0):($&&le.nodeType===3&&(Se=le.textContent,Se=lt(Se,V," "),Se=lt(Se,ue," "),le.textContent!==Se&&(mt(t.removed,{element:le.cloneNode()}),le.textContent=Se)),Re("afterSanitizeElements",le,null),!1)},tt=function(le,Se,Ne){if(L&&(Se==="id"||Se==="name")&&(Ne in i||Ne in Pe))return!1;if(!(ie&&!X[Se]&&at(ne,Se))){if(!(se&&at(ge,Se))){if(!te[Se]||X[Se])return!1;if(!J[Se]){if(!at(he,lt(Ne,we,""))){if(!((Se==="src"||Se==="xlink:href"||Se==="href")&&le!=="script"&&Yt(Ne,"data:")===0&&R[le])){if(!(T&&!at(ae,lt(Ne,we,"")))){if(Ne)return!1}}}}}}return!0},Xe=function(le){var Se=void 0,Ne=void 0,Ue=void 0,Ze=void 0;Re("beforeSanitizeAttributes",le,null);var Qe=le.attributes;if(!!Qe){var Je={attrName:"",attrValue:"",keepAttr:!0,allowedAttributes:te};for(Ze=Qe.length;Ze--;){Se=Qe[Ze];var st=Se,ht=st.name,yt=st.namespaceURI;if(Ne=Xt(Se.value),Ue=ut(ht),Je.attrName=Ue,Je.attrValue=Ne,Je.keepAttr=!0,Je.forceKeepAttr=void 0,Re("uponSanitizeAttribute",le,Je),Ne=Je.attrValue,!Je.forceKeepAttr&&(q(ht,le),!!Je.keepAttr)){if(at(/\/>/i,Ne)){q(ht,le);continue}$&&(Ne=lt(Ne,V," "),Ne=lt(Ne,ue," "));var Ft=le.nodeName.toLowerCase();if(!!tt(Ft,Ue,Ne))try{yt?le.setAttributeNS(yt,ht,Ne):le.setAttribute(ht,Ne),kt(t.removed)}catch{}}}Re("afterSanitizeAttributes",le,null)}},qe=function Le(le){var Se=void 0,Ne=be(le);for(Re("beforeSanitizeShadowDOM",le,null);Se=Ne.nextNode();)Re("uponSanitizeShadowNode",Se,null),!Ve(Se)&&(Se.content instanceof H&&Le(Se.content),Xe(Se));Re("afterSanitizeShadowDOM",le,null)};return t.sanitize=function(Le,le){var Se=void 0,Ne=void 0,Ue=void 0,Ze=void 0,Qe=void 0;if(Fe=!Le,Fe&&(Le="<!-->"),typeof Le!="string"&&!Ae(Le)){if(typeof Le.toString!="function")throw Rt("toString is not a function");if(Le=Le.toString(),typeof Le!="string")throw Rt("dirty is not a string, aborting")}if(!t.isSupported){if(pt(Q.toStaticHTML)==="object"||typeof Q.toStaticHTML=="function"){if(typeof Le=="string")return Q.toStaticHTML(Le);if(Ae(Le))return Q.toStaticHTML(Le.outerHTML)}return Le}if(W||Me(le),t.removed=[],typeof Le=="string"&&(z=!1),!z)if(Le instanceof C)Se=oe("<!---->"),Ne=Se.ownerDocument.importNode(Le,!0),Ne.nodeType===1&&Ne.nodeName==="BODY"||Ne.nodeName==="HTML"?Se=Ne:Se.appendChild(Ne);else{if(!I&&!$&&!j&&Le.indexOf("<")===-1)return b&&Z?b.createHTML(Le):Le;if(Se=oe(Le),!Se)return I?null:S}Se&&d&&Oe(Se.firstChild);for(var Je=be(z?Le:Se);Ue=Je.nextNode();)Ue.nodeType===3&&Ue===Ze||Ve(Ue)||(Ue.content instanceof H&&qe(Ue.content),Xe(Ue),Ze=Ue);if(Ze=null,z)return Le;if(I){if(U)for(Qe=n.call(Se.ownerDocument);Se.firstChild;)Qe.appendChild(Se.firstChild);else Qe=Se;return K&&(Qe=l.call(E,Qe,!0)),Qe}var st=j?Se.outerHTML:Se.innerHTML;return $&&(st=lt(st,V," "),st=lt(st,ue," ")),b&&Z?b.createHTML(st):st},t.setConfig=function(Le){Me(Le),W=!0},t.clearConfig=function(){ve=null,W=!1},t.isValidAttribute=function(Le,le,Se){ve||Me({});var Ne=ut(Le),Ue=ut(le);return tt(Ne,Ue,Se)},t.addHook=function(Le,le){typeof le=="function"&&(P[Le]=P[Le]||[],mt(P[Le],le))},t.removeHook=function(Le){P[Le]&&kt(P[Le])},t.removeHooks=function(Le){P[Le]&&(P[Le]=[])},t.removeAllHooks=function(){P={}},t}var ui=Wt();define("vs/base/browser/dompurify/dompurify",function(){return ui}),define(me[40],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createFastDomNode=t.FastDomNode=void 0;class E{constructor(C){this.domNode=C,this._maxWidth="",this._width="",this._height="",this._top="",this._left="",this._bottom="",this._right="",this._fontFamily="",this._fontWeight="",this._fontSize="",this._fontStyle="",this._fontFeatureSettings="",this._textDecoration="",this._lineHeight="",this._letterSpacing="",this._className="",this._display="",this._position="",this._visibility="",this._color="",this._backgroundColor="",this._layerHint=!1,this._contain="none",this._boxShadow=""}setMaxWidth(C){const w=i(C);this._maxWidth!==w&&(this._maxWidth=w,this.domNode.style.maxWidth=this._maxWidth)}setWidth(C){const w=i(C);this._width!==w&&(this._width=w,this.domNode.style.width=this._width)}setHeight(C){const w=i(C);this._height!==w&&(this._height=w,this.domNode.style.height=this._height)}setTop(C){const w=i(C);this._top!==w&&(this._top=w,this.domNode.style.top=this._top)}setLeft(C){const w=i(C);this._left!==w&&(this._left=w,this.domNode.style.left=this._left)}setBottom(C){const w=i(C);this._bottom!==w&&(this._bottom=w,this.domNode.style.bottom=this._bottom)}setRight(C){const w=i(C);this._right!==w&&(this._right=w,this.domNode.style.right=this._right)}setFontFamily(C){this._fontFamily!==C&&(this._fontFamily=C,this.domNode.style.fontFamily=this._fontFamily)}setFontWeight(C){this._fontWeight!==C&&(this._fontWeight=C,this.domNode.style.fontWeight=this._fontWeight)}setFontSize(C){const w=i(C);this._fontSize!==w&&(this._fontSize=w,this.domNode.style.fontSize=this._fontSize)}setFontStyle(C){this._fontStyle!==C&&(this._fontStyle=C,this.domNode.style.fontStyle=this._fontStyle)}setFontFeatureSettings(C){this._fontFeatureSettings!==C&&(this._fontFeatureSettings=C,this.domNode.style.fontFeatureSettings=this._fontFeatureSettings)}setTextDecoration(C){this._textDecoration!==C&&(this._textDecoration=C,this.domNode.style.textDecoration=this._textDecoration)}setLineHeight(C){const w=i(C);this._lineHeight!==w&&(this._lineHeight=w,this.domNode.style.lineHeight=this._lineHeight)}setLetterSpacing(C){const w=i(C);this._letterSpacing!==w&&(this._letterSpacing=w,this.domNode.style.letterSpacing=this._letterSpacing)}setClassName(C){this._className!==C&&(this._className=C,this.domNode.className=this._className)}toggleClassName(C,w){this.domNode.classList.toggle(C,w),this._className=this.domNode.className}setDisplay(C){this._display!==C&&(this._display=C,this.domNode.style.display=this._display)}setPosition(C){this._position!==C&&(this._position=C,this.domNode.style.position=this._position)}setVisibility(C){this._visibility!==C&&(this._visibility=C,this.domNode.style.visibility=this._visibility)}setColor(C){this._color!==C&&(this._color=C,this.domNode.style.color=this._color)}setBackgroundColor(C){this._backgroundColor!==C&&(this._backgroundColor=C,this.domNode.style.backgroundColor=this._backgroundColor)}setLayerHinting(C){this._layerHint!==C&&(this._layerHint=C,this.domNode.style.transform=this._layerHint?"translate3d(0px, 0px, 0px)":"")}setBoxShadow(C){this._boxShadow!==C&&(this._boxShadow=C,this.domNode.style.boxShadow=C)}setContain(C){this._contain!==C&&(this._contain=C,this.domNode.style.contain=this._contain)}setAttribute(C,w){this.domNode.setAttribute(C,w)}removeAttribute(C){this.domNode.removeAttribute(C)}appendChild(C){this.domNode.appendChild(C.domNode)}removeChild(C){this.domNode.removeChild(C.domNode)}}t.FastDomNode=E;function i(M){return typeof M=="number"?`${M}px`:M}function H(M){return new E(M)}t.createFastDomNode=H}),define(me[65],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IframeUtils=void 0;let E=!1,i=null;function H(C){if(!C.parent||C.parent===C)return null;try{const w=C.location,p=C.parent.location;if(w.origin!=="null"&&p.origin!=="null"&&w.origin!==p.origin)return E=!0,null}catch{return E=!0,null}return C.parent}class M{static getSameOriginWindowChain(){if(!i){i=[];let w=window,p;do p=H(w),p?i.push({window:w,iframeElement:w.frameElement||null}):i.push({window:w,iframeElement:null}),w=p;while(w)}return i.slice(0)}static hasDifferentOriginAncestor(){return i||this.getSameOriginWindowChain(),E}static getPositionOfChildWindowRelativeToAncestorWindow(w,p){if(!p||w===p)return{top:0,left:0};let f=0,m=0;const N=this.getSameOriginWindowChain();for(const o of N){if(f+=o.window.scrollY,m+=o.window.scrollX,o.window===p||!o.iframeElement)break;const s=o.iframeElement.getBoundingClientRect();f+=s.top,m+=s.left}return{top:f,left:m}}}t.IframeUtils=M}),define(me[66],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CachedListVirtualDelegate=t.ListError=t.ListDragOverReactions=t.ListDragOverEffect=void 0;var E;(function(M){M[M.Copy=0]="Copy",M[M.Move=1]="Move"})(E=t.ListDragOverEffect||(t.ListDragOverEffect={})),t.ListDragOverReactions={reject(){return{accept:!1}},accept(){return{accept:!0}}};class i extends Error{constructor(C,w){super(`ListError [${C}] ${w}`)}}t.ListError=i;class H{constructor(){this.cache=new WeakMap}getHeight(C){return this.cache.get(C)??this.estimateHeight(C)}setDynamicHeight(C,w){w>0&&this.cache.set(C,w)}}t.CachedListVirtualDelegate=H}),define(me[67],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CombinedSpliceable=void 0;class E{constructor(H){this.spliceables=H}splice(H,M,C){this.spliceables.forEach(w=>w.splice(H,M,C))}}t.CombinedSpliceable=E}),define(me[41],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarState=void 0;const E=20;class i{constructor(M,C,w,p,f,m){this._scrollbarSize=Math.round(C),this._oppositeScrollbarSize=Math.round(w),this._arrowSize=Math.round(M),this._visibleSize=p,this._scrollSize=f,this._scrollPosition=m,this._computedAvailableSize=0,this._computedIsNeeded=!1,this._computedSliderSize=0,this._computedSliderRatio=0,this._computedSliderPosition=0,this._refreshComputedValues()}clone(){return new i(this._arrowSize,this._scrollbarSize,this._oppositeScrollbarSize,this._visibleSize,this._scrollSize,this._scrollPosition)}setVisibleSize(M){const C=Math.round(M);return this._visibleSize!==C?(this._visibleSize=C,this._refreshComputedValues(),!0):!1}setScrollSize(M){const C=Math.round(M);return this._scrollSize!==C?(this._scrollSize=C,this._refreshComputedValues(),!0):!1}setScrollPosition(M){const C=Math.round(M);return this._scrollPosition!==C?(this._scrollPosition=C,this._refreshComputedValues(),!0):!1}setScrollbarSize(M){this._scrollbarSize=Math.round(M)}setOppositeScrollbarSize(M){this._oppositeScrollbarSize=Math.round(M)}static _computeValues(M,C,w,p,f){const m=Math.max(0,w-M),N=Math.max(0,m-2*C),o=p>0&&p>w;if(!o)return{computedAvailableSize:Math.round(m),computedIsNeeded:o,computedSliderSize:Math.round(N),computedSliderRatio:0,computedSliderPosition:0};const s=Math.round(Math.max(E,Math.floor(w*N/p))),e=(N-s)/(p-w),g=f*e;return{computedAvailableSize:Math.round(m),computedIsNeeded:o,computedSliderSize:Math.round(s),computedSliderRatio:e,computedSliderPosition:Math.round(g)}}_refreshComputedValues(){const M=i._computeValues(this._oppositeScrollbarSize,this._arrowSize,this._visibleSize,this._scrollSize,this._scrollPosition);this._computedAvailableSize=M.computedAvailableSize,this._computedIsNeeded=M.computedIsNeeded,this._computedSliderSize=M.computedSliderSize,this._computedSliderRatio=M.computedSliderRatio,this._computedSliderPosition=M.computedSliderPosition}getArrowSize(){return this._arrowSize}getScrollPosition(){return this._scrollPosition}getRectangleLargeSize(){return this._computedAvailableSize}getRectangleSmallSize(){return this._scrollbarSize}isNeeded(){return this._computedIsNeeded}getSliderSize(){return this._computedSliderSize}getSliderPosition(){return this._computedSliderPosition}getDesiredScrollPositionFromOffset(M){if(!this._computedIsNeeded)return 0;const C=M-this._arrowSize-this._computedSliderSize/2;return Math.round(C/this._computedSliderRatio)}getDesiredScrollPositionFromOffsetPaged(M){if(!this._computedIsNeeded)return 0;const C=M-this._arrowSize;let w=this._scrollPosition;return C<this._computedSliderPosition?w-=this._visibleSize:w+=this._visibleSize,w}getDesiredScrollPositionFromDelta(M){if(!this._computedIsNeeded)return 0;const C=this._computedSliderPosition+M;return Math.round(C/this._computedSliderRatio)}}t.ScrollbarState=i}),define(me[23],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WeakMapper=t.TreeError=t.TreeDragOverReactions=t.TreeDragOverBubble=t.TreeMouseEventTarget=t.TreeVisibility=void 0;var E;(function(w){w[w.Hidden=0]="Hidden",w[w.Visible=1]="Visible",w[w.Recurse=2]="Recurse"})(E=t.TreeVisibility||(t.TreeVisibility={}));var i;(function(w){w[w.Unknown=0]="Unknown",w[w.Twistie=1]="Twistie",w[w.Element=2]="Element",w[w.Filter=3]="Filter"})(i=t.TreeMouseEventTarget||(t.TreeMouseEventTarget={}));var H;(function(w){w[w.Down=0]="Down",w[w.Up=1]="Up"})(H=t.TreeDragOverBubble||(t.TreeDragOverBubble={})),t.TreeDragOverReactions={acceptBubbleUp(){return{accept:!0,bubble:1}},acceptBubbleDown(w=!1){return{accept:!0,bubble:0,autoExpand:w}},acceptCopyBubbleUp(){return{accept:!0,bubble:1,effect:0}},acceptCopyBubbleDown(w=!1){return{accept:!0,bubble:0,effect:0,autoExpand:w}}};class M extends Error{constructor(p,f){super(`TreeError [${p}] ${f}`)}}t.TreeError=M;class C{constructor(p){this.fn=p,this._map=new WeakMap}map(p){let f=this._map.get(p);return f||(f=this.fn(p),this._map.set(p,f)),f}}t.WeakMapper=C}),define(me[68],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.assertNever=t.ok=void 0;function E(H,M){if(!H)throw new Error(M?`Assertion failed (${M})`:"Assertion Failed")}t.ok=E;function i(H,M="Unreachable"){throw new Error(M)}t.assertNever=i}),define(me[11],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CSSIcon=t.getClassNamesArray=t.Codicon=t.getCodiconAriaLabel=void 0;function E(C){return C?C.replace(/\$\((.*?)\)/g,(w,p)=>` ${p} `).trim():""}t.getCodiconAriaLabel=E;class i{constructor(w,p,f){this.id=w,this.definition=p,this.description=f,i._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return i._allCodicons}}t.Codicon=i,i._allCodicons=[],i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",i.add.definition),i.gistNew=new i("gist-new",i.add.definition),i.repoCreate=new i("repo-create",i.add.definition),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",i.circleFilled.definition),i.closeDirty=new i("close-dirty",i.circleFilled.definition),i.debugBreakpoint=new i("debug-breakpoint",i.circleFilled.definition),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",i.circleFilled.definition),i.debugHint=new i("debug-hint",i.circleFilled.definition),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circle=new i("circle",{fontCharacter:"\\eabc"}),i.circleOutline=new i("circle-outline",i.circle.definition),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",i.circle.definition),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eba4"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolCustomColor=new i("symbol-customcolor",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.circleSmallFilled=new i("circle-small-filled",{fontCharacter:"\\eb8a"}),i.debugStackframeDot=new i("debug-stackframe-dot",i.circleSmallFilled.definition),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLarge=new i("circle-large",{fontCharacter:"\\ebb5"}),i.circleLargeOutline=new i("circle-large-outline",i.circleLarge.definition),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnspecified=new i("workspace-unspecified",{fontCharacter:"\\ebc3"}),i.terminalCmd=new i("terminal-cmd",{fontCharacter:"\\ebc4"}),i.terminalDebian=new i("terminal-debian",{fontCharacter:"\\ebc5"}),i.terminalLinux=new i("terminal-linux",{fontCharacter:"\\ebc6"}),i.terminalPowershell=new i("terminal-powershell",{fontCharacter:"\\ebc7"}),i.terminalTmux=new i("terminal-tmux",{fontCharacter:"\\ebc8"}),i.terminalUbuntu=new i("terminal-ubuntu",{fontCharacter:"\\ebc9"}),i.terminalBash=new i("terminal-bash",{fontCharacter:"\\ebca"}),i.arrowSwap=new i("arrow-swap",{fontCharacter:"\\ebcb"}),i.copy=new i("copy",{fontCharacter:"\\ebcc"}),i.personAdd=new i("person-add",{fontCharacter:"\\ebcd"}),i.filterFilled=new i("filter-filled",{fontCharacter:"\\ebce"}),i.wand=new i("wand",{fontCharacter:"\\ebcf"}),i.debugLineByLine=new i("debug-line-by-line",{fontCharacter:"\\ebd0"}),i.inspect=new i("inspect",{fontCharacter:"\\ebd1"}),i.layers=new i("layers",{fontCharacter:"\\ebd2"}),i.layersDot=new i("layers-dot",{fontCharacter:"\\ebd3"}),i.layersActive=new i("layers-active",{fontCharacter:"\\ebd4"}),i.compass=new i("compass",{fontCharacter:"\\ebd5"}),i.compassDot=new i("compass-dot",{fontCharacter:"\\ebd6"}),i.compassActive=new i("compass-active",{fontCharacter:"\\ebd7"}),i.azure=new i("azure",{fontCharacter:"\\ebd8"}),i.issueDraft=new i("issue-draft",{fontCharacter:"\\ebd9"}),i.gitPullRequestClosed=new i("git-pull-request-closed",{fontCharacter:"\\ebda"}),i.gitPullRequestDraft=new i("git-pull-request-draft",{fontCharacter:"\\ebdb"}),i.debugAll=new i("debug-all",{fontCharacter:"\\ebdc"}),i.debugCoverage=new i("debug-coverage",{fontCharacter:"\\ebdd"}),i.runErrors=new i("run-errors",{fontCharacter:"\\ebde"}),i.folderLibrary=new i("folder-library",{fontCharacter:"\\ebdf"}),i.debugContinueSmall=new i("debug-continue-small",{fontCharacter:"\\ebe0"}),i.beakerStop=new i("beaker-stop",{fontCharacter:"\\ebe1"}),i.graphLine=new i("graph-line",{fontCharacter:"\\ebe2"}),i.graphScatter=new i("graph-scatter",{fontCharacter:"\\ebe3"}),i.pieChart=new i("pie-chart",{fontCharacter:"\\ebe4"}),i.bracket=new i("bracket",i.json.definition),i.bracketDot=new i("bracket-dot",{fontCharacter:"\\ebe5"}),i.bracketError=new i("bracket-error",{fontCharacter:"\\ebe6"}),i.lockSmall=new i("lock-small",{fontCharacter:"\\ebe7"}),i.azureDevops=new i("azure-devops",{fontCharacter:"\\ebe8"}),i.verifiedFilled=new i("verified-filled",{fontCharacter:"\\ebe9"}),i.newLine=new i("newline",{fontCharacter:"\\ebea"}),i.layout=new i("layout",{fontCharacter:"\\ebeb"}),i.layoutActivitybarLeft=new i("layout-activitybar-left",{fontCharacter:"\\ebec"}),i.layoutActivitybarRight=new i("layout-activitybar-right",{fontCharacter:"\\ebed"}),i.layoutPanelLeft=new i("layout-panel-left",{fontCharacter:"\\ebee"}),i.layoutPanelCenter=new i("layout-panel-center",{fontCharacter:"\\ebef"}),i.layoutPanelJustify=new i("layout-panel-justify",{fontCharacter:"\\ebf0"}),i.layoutPanelRight=new i("layout-panel-right",{fontCharacter:"\\ebf1"}),i.layoutPanel=new i("layout-panel",{fontCharacter:"\\ebf2"}),i.layoutSidebarLeft=new i("layout-sidebar-left",{fontCharacter:"\\ebf3"}),i.layoutSidebarRight=new i("layout-sidebar-right",{fontCharacter:"\\ebf4"}),i.layoutStatusbar=new i("layout-statusbar",{fontCharacter:"\\ebf5"}),i.layoutMenubar=new i("layout-menubar",{fontCharacter:"\\ebf6"}),i.layoutCentered=new i("layout-centered",{fontCharacter:"\\ebf7"}),i.layoutSidebarRightOff=new i("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),i.layoutPanelOff=new i("layout-panel-off",{fontCharacter:"\\ec01"}),i.layoutSidebarLeftOff=new i("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),i.target=new i("target",{fontCharacter:"\\ebf8"}),i.indent=new i("indent",{fontCharacter:"\\ebf9"}),i.recordSmall=new i("record-small",{fontCharacter:"\\ebfa"}),i.errorSmall=new i("error-small",{fontCharacter:"\\ebfb"}),i.arrowCircleDown=new i("arrow-circle-down",{fontCharacter:"\\ebfc"}),i.arrowCircleLeft=new i("arrow-circle-left",{fontCharacter:"\\ebfd"}),i.arrowCircleRight=new i("arrow-circle-right",{fontCharacter:"\\ebfe"}),i.arrowCircleUp=new i("arrow-circle-up",{fontCharacter:"\\ebff"}),i.heartFilled=new i("heart-filled",{fontCharacter:"\\ec04"}),i.map=new i("map",{fontCharacter:"\\ec05"}),i.mapFilled=new i("map-filled",{fontCharacter:"\\ec06"}),i.circleSmall=new i("circle-small",{fontCharacter:"\\ec07"}),i.bellSlash=new i("bell-slash",{fontCharacter:"\\ec08"}),i.bellSlashDot=new i("bell-slash-dot",{fontCharacter:"\\ec09"}),i.commentUnresolved=new i("comment-unresolved",{fontCharacter:"\\ec0a"}),i.gitPullRequestGoToChanges=new i("git-pull-request-go-to-changes",{fontCharacter:"\\ec0b"}),i.gitPullRequestNewChanges=new i("git-pull-request-new-changes",{fontCharacter:"\\ec0c"}),i.searchFuzzy=new i("search-fuzzy",{fontCharacter:"\\ec0d"}),i.dialogError=new i("dialog-error",i.error.definition),i.dialogWarning=new i("dialog-warning",i.warning.definition),i.dialogInfo=new i("dialog-info",i.info.definition),i.dialogClose=new i("dialog-close",i.close.definition),i.treeItemExpanded=new i("tree-item-expanded",i.chevronDown.definition),i.treeFilterOnTypeOn=new i("tree-filter-on-type-on",i.listFilter.definition),i.treeFilterOnTypeOff=new i("tree-filter-on-type-off",i.listSelection.definition),i.treeFilterClear=new i("tree-filter-clear",i.close.definition),i.treeItemLoading=new i("tree-item-loading",i.loading.definition),i.menuSelection=new i("menu-selection",i.check.definition),i.menuSubmenu=new i("menu-submenu",i.chevronRight.definition),i.menuBarMore=new i("menubar-more",i.more.definition),i.scrollbarButtonLeft=new i("scrollbar-button-left",i.triangleLeft.definition),i.scrollbarButtonRight=new i("scrollbar-button-right",i.triangleRight.definition),i.scrollbarButtonUp=new i("scrollbar-button-up",i.triangleUp.definition),i.scrollbarButtonDown=new i("scrollbar-button-down",i.triangleDown.definition),i.toolBarMore=new i("toolbar-more",i.more.definition),i.quickInputBack=new i("quick-input-back",i.arrowLeft.definition);function H(C,w){const p=["codicon","codicon-"+C];return w&&p.push("codicon-modifier-"+w),p}t.getClassNamesArray=H;var M;(function(C){C.iconNameSegment="[A-Za-z0-9]+",C.iconNameExpression="[A-Za-z0-9-]+",C.iconModifierExpression="~[A-Za-z]+",C.iconNameCharacter="[A-Za-z0-9~-]";const w=new RegExp(`^(${C.iconNameExpression})(${C.iconModifierExpression})?$`);function p(N){if(N instanceof i)return["codicon","codicon-"+N.id];const o=w.exec(N.id);if(!o)return p(i.error);const[,s,e]=o,g=["codicon","codicon-"+s];return e&&g.push("codicon-modifier-"+e.substr(1)),g}C.asClassNameArray=p;function f(N){return p(N).join(" ")}C.asClassName=f;function m(N){return"."+p(N).join(".")}C.asCSSSelector=m})(M=t.CSSIcon||(t.CSSIcon={}))}),define(me[69],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SetMap=t.diffMaps=t.diffSets=t.groupBy=void 0;function E(C,w){const p=Object.create(null);for(const f of C){const m=w(f);let N=p[m];N||(N=p[m]=[]),N.push(f)}return p}t.groupBy=E;function i(C,w){const p=[],f=[];for(const m of C)w.has(m)||p.push(m);for(const m of w)C.has(m)||f.push(m);return{removed:p,added:f}}t.diffSets=i;function H(C,w){const p=[],f=[];for(const[m,N]of C)w.has(m)||p.push(N);for(const[m,N]of w)C.has(m)||f.push(N);return{removed:p,added:f}}t.diffMaps=H;class M{constructor(){this.map=new Map}add(w,p){let f=this.map.get(w);f||(f=new Set,this.map.set(w,f)),f.add(p)}delete(w,p){const f=this.map.get(w);!f||(f.delete(p),f.size===0&&this.map.delete(w))}forEach(w,p){const f=this.map.get(w);!f||f.forEach(p)}}t.SetMap=M}),define(me[24],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Color=t.HSVA=t.HSLA=t.RGBA=void 0;function E(w,p){const f=Math.pow(10,p);return Math.round(w*f)/f}class i{constructor(p,f,m,N=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,p))|0,this.g=Math.min(255,Math.max(0,f))|0,this.b=Math.min(255,Math.max(0,m))|0,this.a=E(Math.max(Math.min(1,N),0),3)}static equals(p,f){return p.r===f.r&&p.g===f.g&&p.b===f.b&&p.a===f.a}}t.RGBA=i;class H{constructor(p,f,m,N){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,p),0)|0,this.s=E(Math.max(Math.min(1,f),0),3),this.l=E(Math.max(Math.min(1,m),0),3),this.a=E(Math.max(Math.min(1,N),0),3)}static equals(p,f){return p.h===f.h&&p.s===f.s&&p.l===f.l&&p.a===f.a}static fromRGBA(p){const f=p.r/255,m=p.g/255,N=p.b/255,o=p.a,s=Math.max(f,m,N),e=Math.min(f,m,N);let g=0,v=0;const D=(e+s)/2,y=s-e;if(y>0){switch(v=Math.min(D<=.5?y/(2*D):y/(2-2*D),1),s){case f:g=(m-N)/y+(m<N?6:0);break;case m:g=(N-f)/y+2;break;case N:g=(f-m)/y+4;break}g*=60,g=Math.round(g)}return new H(g,v,D,o)}static _hue2rgb(p,f,m){return m<0&&(m+=1),m>1&&(m-=1),m<1/6?p+(f-p)*6*m:m<1/2?f:m<2/3?p+(f-p)*(2/3-m)*6:p}static toRGBA(p){const f=p.h/360,{s:m,l:N,a:o}=p;let s,e,g;if(m===0)s=e=g=N;else{const v=N<.5?N*(1+m):N+m-N*m,D=2*N-v;s=H._hue2rgb(D,v,f+1/3),e=H._hue2rgb(D,v,f),g=H._hue2rgb(D,v,f-1/3)}return new i(Math.round(s*255),Math.round(e*255),Math.round(g*255),o)}}t.HSLA=H;class M{constructor(p,f,m,N){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,p),0)|0,this.s=E(Math.max(Math.min(1,f),0),3),this.v=E(Math.max(Math.min(1,m),0),3),this.a=E(Math.max(Math.min(1,N),0),3)}static equals(p,f){return p.h===f.h&&p.s===f.s&&p.v===f.v&&p.a===f.a}static fromRGBA(p){const f=p.r/255,m=p.g/255,N=p.b/255,o=Math.max(f,m,N),s=Math.min(f,m,N),e=o-s,g=o===0?0:e/o;let v;return e===0?v=0:o===f?v=((m-N)/e%6+6)%6:o===m?v=(N-f)/e+2:v=(f-m)/e+4,new M(Math.round(v*60),g,o,p.a)}static toRGBA(p){const{h:f,s:m,v:N,a:o}=p,s=N*m,e=s*(1-Math.abs(f/60%2-1)),g=N-s;let[v,D,y]=[0,0,0];return f<60?(v=s,D=e):f<120?(v=e,D=s):f<180?(D=s,y=e):f<240?(D=e,y=s):f<300?(v=e,y=s):f<=360&&(v=s,y=e),v=Math.round((v+g)*255),D=Math.round((D+g)*255),y=Math.round((y+g)*255),new i(v,D,y,o)}}t.HSVA=M;class C{constructor(p){if(p)if(p instanceof i)this.rgba=p;else if(p instanceof H)this._hsla=p,this.rgba=H.toRGBA(p);else if(p instanceof M)this._hsva=p,this.rgba=M.toRGBA(p);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}static fromHex(p){return C.Format.CSS.parseHex(p)||C.red}get hsla(){return this._hsla?this._hsla:H.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:M.fromRGBA(this.rgba)}equals(p){return!!p&&i.equals(this.rgba,p.rgba)&&H.equals(this.hsla,p.hsla)&&M.equals(this.hsva,p.hsva)}getRelativeLuminance(){const p=C._relativeLuminanceForComponent(this.rgba.r),f=C._relativeLuminanceForComponent(this.rgba.g),m=C._relativeLuminanceForComponent(this.rgba.b),N=.2126*p+.7152*f+.0722*m;return E(N,4)}static _relativeLuminanceForComponent(p){const f=p/255;return f<=.03928?f/12.92:Math.pow((f+.055)/1.055,2.4)}getContrastRatio(p){const f=this.getRelativeLuminance(),m=p.getRelativeLuminance();return f>m?(f+.05)/(m+.05):(m+.05)/(f+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(p){const f=this.getRelativeLuminance(),m=p.getRelativeLuminance();return f>m}isDarkerThan(p){const f=this.getRelativeLuminance(),m=p.getRelativeLuminance();return f<m}lighten(p){return new C(new H(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*p,this.hsla.a))}darken(p){return new C(new H(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*p,this.hsla.a))}transparent(p){const{r:f,g:m,b:N,a:o}=this.rgba;return new C(new i(f,m,N,o*p))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new C(new i(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(p){const f=p.rgba,m=this.rgba.a,N=f.a,o=m+N*(1-m);if(o<1e-6)return C.transparent;const s=this.rgba.r*m/o+f.r*N*(1-m)/o,e=this.rgba.g*m/o+f.g*N*(1-m)/o,g=this.rgba.b*m/o+f.b*N*(1-m)/o;return new C(new i(s,e,g,o))}makeOpaque(p){if(this.isOpaque()||p.rgba.a!==1)return this;const{r:f,g:m,b:N,a:o}=this.rgba;return new C(new i(p.rgba.r-o*(p.rgba.r-f),p.rgba.g-o*(p.rgba.g-m),p.rgba.b-o*(p.rgba.b-N),1))}flatten(...p){const f=p.reduceRight((m,N)=>C._flatten(N,m));return C._flatten(this,f)}static _flatten(p,f){const m=1-p.rgba.a;return new C(new i(m*f.rgba.r+p.rgba.a*p.rgba.r,m*f.rgba.g+p.rgba.a*p.rgba.g,m*f.rgba.b+p.rgba.a*p.rgba.b))}toString(){return this._toString||(this._toString=C.Format.CSS.format(this)),this._toString}static getLighterColor(p,f,m){if(p.isLighterThan(f))return p;m=m||.5;const N=p.getRelativeLuminance(),o=f.getRelativeLuminance();return m=m*(o-N)/o,p.lighten(m)}static getDarkerColor(p,f,m){if(p.isDarkerThan(f))return p;m=m||.5;const N=p.getRelativeLuminance(),o=f.getRelativeLuminance();return m=m*(N-o)/N,p.darken(m)}}t.Color=C,C.white=new C(new i(255,255,255,1)),C.black=new C(new i(0,0,0,1)),C.red=new C(new i(255,0,0,1)),C.blue=new C(new i(0,0,255,1)),C.green=new C(new i(0,255,0,1)),C.cyan=new C(new i(0,255,255,1)),C.lightgrey=new C(new i(211,211,211,1)),C.transparent=new C(new i(0,0,0,0)),function(w){let p;(function(f){let m;(function(N){function o(S){return S.rgba.a===1?`rgb(${S.rgba.r}, ${S.rgba.g}, ${S.rgba.b})`:w.Format.CSS.formatRGBA(S)}N.formatRGB=o;function s(S){return`rgba(${S.rgba.r}, ${S.rgba.g}, ${S.rgba.b}, ${+S.rgba.a.toFixed(2)})`}N.formatRGBA=s;function e(S){return S.hsla.a===1?`hsl(${S.hsla.h}, ${(S.hsla.s*100).toFixed(2)}%, ${(S.hsla.l*100).toFixed(2)}%)`:w.Format.CSS.formatHSLA(S)}N.formatHSL=e;function g(S){return`hsla(${S.hsla.h}, ${(S.hsla.s*100).toFixed(2)}%, ${(S.hsla.l*100).toFixed(2)}%, ${S.hsla.a.toFixed(2)})`}N.formatHSLA=g;function v(S){const F=S.toString(16);return F.length!==2?"0"+F:F}function D(S){return`#${v(S.rgba.r)}${v(S.rgba.g)}${v(S.rgba.b)}`}N.formatHex=D;function y(S,F=!1){return F&&S.rgba.a===1?w.Format.CSS.formatHex(S):`#${v(S.rgba.r)}${v(S.rgba.g)}${v(S.rgba.b)}${v(Math.round(S.rgba.a*255))}`}N.formatHexA=y;function a(S){return S.isOpaque()?w.Format.CSS.formatHex(S):w.Format.CSS.formatRGBA(S)}N.format=a;function u(S){const F=S.length;if(F===0||S.charCodeAt(0)!==35)return null;if(F===7){const _=16*b(S.charCodeAt(1))+b(S.charCodeAt(2)),r=16*b(S.charCodeAt(3))+b(S.charCodeAt(4)),n=16*b(S.charCodeAt(5))+b(S.charCodeAt(6));return new w(new i(_,r,n,1))}if(F===9){const _=16*b(S.charCodeAt(1))+b(S.charCodeAt(2)),r=16*b(S.charCodeAt(3))+b(S.charCodeAt(4)),n=16*b(S.charCodeAt(5))+b(S.charCodeAt(6)),h=16*b(S.charCodeAt(7))+b(S.charCodeAt(8));return new w(new i(_,r,n,h/255))}if(F===4){const _=b(S.charCodeAt(1)),r=b(S.charCodeAt(2)),n=b(S.charCodeAt(3));return new w(new i(16*_+_,16*r+r,16*n+n))}if(F===5){const _=b(S.charCodeAt(1)),r=b(S.charCodeAt(2)),n=b(S.charCodeAt(3)),h=b(S.charCodeAt(4));return new w(new i(16*_+_,16*r+r,16*n+n,(16*h+h)/255))}return null}N.parseHex=u;function b(S){switch(S){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(m=f.CSS||(f.CSS={}))})(p=w.Format||(w.Format={}))}(C=t.Color||(t.Color={}))}),define(me[25],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=t.createDecorator=void 0;function E(C){return(w,p,f)=>{let m=null,N=null;if(typeof f.value=="function"?(m="value",N=f.value):typeof f.get=="function"&&(m="get",N=f.get),!N)throw new Error("not supported");f[m]=C(N,p)}}t.createDecorator=E;function i(C,w,p){let f=null,m=null;if(typeof p.value=="function"?(f="value",m=p.value,m.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof p.get=="function"&&(f="get",m=p.get),!m)throw new Error("not supported");const N=`$memoize$${w}`;p[f]=function(...o){return this.hasOwnProperty(N)||Object.defineProperty(this,N,{configurable:!1,enumerable:!1,writable:!1,value:m.apply(this,o)}),this[N]}}t.memoize=i;function H(C,w,p){return E((f,m)=>{const N=`$debounce$${m}`,o=`$debounce$result$${m}`;return function(...s){this[o]||(this[o]=p?p():void 0),clearTimeout(this[N]),w&&(this[o]=w(this[o],...s),s=[this[o]]),this[N]=setTimeout(()=>{f.apply(this,s),this[o]=p?p():void 0},C)}})}t.debounce=H;function M(C,w,p){return E((f,m)=>{const N=`$throttle$timer$${m}`,o=`$throttle$result$${m}`,s=`$throttle$lastRun$${m}`,e=`$throttle$pending$${m}`;return function(...g){if(this[o]||(this[o]=p?p():void 0),(this[s]===null||this[s]===void 0)&&(this[s]=-Number.MAX_VALUE),w&&(this[o]=w(this[o],...g)),this[e])return;const v=this[s]+C;v<=Date.now()?(this[s]=Date.now(),f.apply(this,[this[o]]),this[o]=p?p():void 0):(this[e]=!0,this[N]=setTimeout(()=>{this[e]=!1,this[s]=Date.now(),f.apply(this,[this[o]]),this[o]=p?p():void 0},v-Date.now()))}})}t.throttle=M}),define(me[70],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffChange=void 0;class E{constructor(H,M,C,w){this.originalStart=H,this.originalLength=M,this.modifiedStart=C,this.modifiedLength=w}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.DiffChange=E}),define(me[13],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BugIndicatingError=t.ErrorNoTelemetry=t.ExpectedError=t.NotSupportedError=t.NotImplementedError=t.getErrorMessage=t.disposed=t.readonly=t.illegalState=t.illegalArgument=t.canceled=t.CancellationError=t.isCancellationError=t.transformErrorForSerialization=t.onUnexpectedExternalError=t.onUnexpectedError=t.setUnexpectedErrorHandler=t.errorHandler=t.ErrorHandler=void 0;class E{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(S){setTimeout(()=>{throw S.stack?a.isErrorNoTelemetry(S)?new a(S.message+`

`+S.stack):new Error(S.message+`

`+S.stack):S},0)}}addListener(S){return this.listeners.push(S),()=>{this._removeListener(S)}}emit(S){this.listeners.forEach(F=>{F(S)})}_removeListener(S){this.listeners.splice(this.listeners.indexOf(S),1)}setUnexpectedErrorHandler(S){this.unexpectedErrorHandler=S}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(S){this.unexpectedErrorHandler(S),this.emit(S)}onUnexpectedExternalError(S){this.unexpectedErrorHandler(S)}}t.ErrorHandler=E,t.errorHandler=new E;function i(b){t.errorHandler.setUnexpectedErrorHandler(b)}t.setUnexpectedErrorHandler=i;function H(b){p(b)||t.errorHandler.onUnexpectedError(b)}t.onUnexpectedError=H;function M(b){p(b)||t.errorHandler.onUnexpectedExternalError(b)}t.onUnexpectedExternalError=M;function C(b){if(b instanceof Error){const{name:S,message:F}=b,_=b.stacktrace||b.stack;return{$isError:!0,name:S,message:F,stack:_,noTelemetry:a.isErrorNoTelemetry(b)}}return b}t.transformErrorForSerialization=C;const w="Canceled";function p(b){return b instanceof f?!0:b instanceof Error&&b.name===w&&b.message===w}t.isCancellationError=p;class f extends Error{constructor(){super(w);this.name=this.message}}t.CancellationError=f;function m(){const b=new Error(w);return b.name=b.message,b}t.canceled=m;function N(b){return b?new Error(`Illegal argument: ${b}`):new Error("Illegal argument")}t.illegalArgument=N;function o(b){return b?new Error(`Illegal state: ${b}`):new Error("Illegal state")}t.illegalState=o;function s(b){return b?new Error(`readonly property '${b} cannot be changed'`):new Error("readonly property cannot be changed")}t.readonly=s;function e(b){const S=new Error(`${b} has been disposed`);return S.name="DISPOSED",S}t.disposed=e;function g(b){return b?b.message?b.message:b.stack?b.stack.split(`
`)[0]:String(b):"Error"}t.getErrorMessage=g;class v extends Error{constructor(S){super("NotImplemented");S&&(this.message=S)}}t.NotImplementedError=v;class D extends Error{constructor(S){super("NotSupported");S&&(this.message=S)}}t.NotSupportedError=D;class y extends Error{constructor(){super(...arguments);this.isExpected=!0}}t.ExpectedError=y;class a extends Error{constructor(S){super(S);this.name="CodeExpectedError"}static fromError(S){if(S instanceof a)return S;const F=new a;return F.message=S.message,F.stack=S.stack,F}static isErrorNoTelemetry(S){return S.name==="CodeExpectedError"}}t.ErrorNoTelemetry=a;class u extends Error{constructor(S){super(S||"An unexpected bug occurred.");Object.setPrototypeOf(this,u.prototype);debugger}}t.BugIndicatingError=u}),define(me[14],pe([1,0,13]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CallbackIterable=t.ArrayQueue=t.findMinBy=t.findLastMaxBy=t.findMaxBy=t.numberComparator=t.tieBreakComparators=t.compareBy=t.CompareResult=t.splice=t.insertInto=t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushMany=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.lastOrDefault=t.firstOrDefault=t.lastIndex=t.findLast=t.uniqueFilter=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.quickSelect=t.findFirstInSorted=t.binarySearch2=t.binarySearch=t.removeFastWithoutKeepingOrder=t.equals=t.tail2=t.tail=void 0;function i(L,O=0){return L[L.length-(1+O)]}t.tail=i;function H(L){if(L.length===0)throw new Error("Invalid tail call");return[L.slice(0,L.length-1),L[L.length-1]]}t.tail2=H;function M(L,O,z=(A,B)=>A===B){if(L===O)return!0;if(!L||!O||L.length!==O.length)return!1;for(let A=0,B=L.length;A<B;A++)if(!z(L[A],O[A]))return!1;return!0}t.equals=M;function C(L,O){const z=L.length-1;O<z&&(L[O]=L[z]),L.pop()}t.removeFastWithoutKeepingOrder=C;function w(L,O,z){return p(L.length,A=>z(L[A],O))}t.binarySearch=w;function p(L,O){let z=0,A=L-1;for(;z<=A;){const B=(z+A)/2|0,k=O(B);if(k<0)z=B+1;else if(k>0)A=B-1;else return B}return-(z+1)}t.binarySearch2=p;function f(L,O){let z=0,A=L.length;if(A===0)return 0;for(;z<A;){const B=Math.floor((z+A)/2);O(L[B])?A=B:z=B+1}return z}t.findFirstInSorted=f;function m(L,O,z){if(L=L|0,L>=O.length)throw new TypeError("invalid index");const A=O[Math.floor(O.length*Math.random())],B=[],k=[],R=[];for(const x of O){const J=z(x,A);J<0?B.push(x):J>0?k.push(x):R.push(x)}return L<B.length?m(L,B,z):L<B.length+R.length?R[0]:m(L-(B.length+R.length),k,z)}t.quickSelect=m;function N(L,O){const z=[];let A;for(const B of L.slice(0).sort(O))!A||O(A[0],B)!==0?(A=[B],z.push(A)):A.push(B);return z}t.groupBy=N;function o(L,O,z){const A=[];function B(x,J,de){if(J===0&&de.length===0)return;const ce=A[A.length-1];ce&&ce.start+ce.deleteCount===x?(ce.deleteCount+=J,ce.toInsert.push(...de)):A.push({start:x,deleteCount:J,toInsert:de})}let k=0,R=0;for(;;){if(k===L.length){B(k,0,O.slice(R));break}if(R===O.length){B(k,L.length-k,[]);break}const x=L[k],J=O[R],de=z(x,J);de===0?(k+=1,R+=1):de<0?(B(k,1,[]),k+=1):de>0&&(B(k,0,[J]),R+=1)}return A}t.sortedDiff=o;function s(L,O,z){const A=o(L,O,z),B=[],k=[];for(const R of A)B.push(...L.slice(R.start,R.start+R.deleteCount)),k.push(...R.toInsert);return{removed:B,added:k}}t.delta=s;function e(L,O,z){if(z===0)return[];const A=L.slice(0,z).sort(O);return v(L,O,A,z,L.length),A}t.top=e;function g(L,O,z,A,B){return z===0?Promise.resolve([]):new Promise((k,R)=>{(async()=>{const x=L.length,J=L.slice(0,z).sort(O);for(let de=z,ce=Math.min(z+A,x);de<x;de=ce,ce=Math.min(ce+A,x)){if(de>z&&await new Promise(ye=>setTimeout(ye)),B&&B.isCancellationRequested)throw new E.CancellationError;v(L,O,J,de,ce)}return J})().then(k,R)})}t.topAsync=g;function v(L,O,z,A,B){for(const k=z.length;A<B;A++){const R=L[A];if(O(R,z[k-1])<0){z.pop();const x=f(z,J=>O(R,J)<0);z.splice(x,0,R)}}}function D(L){return L.filter(O=>!!O)}t.coalesce=D;function y(L){let O=0;for(let z=0;z<L.length;z++)L[z]&&(L[O]=L[z],O+=1);L.length=O}t.coalesceInPlace=y;function a(L,O,z){L.splice(z,0,L.splice(O,1)[0])}t.move=a;function u(L){return!Array.isArray(L)||L.length===0}t.isFalsyOrEmpty=u;function b(L){return Array.isArray(L)&&L.length>0}t.isNonEmptyArray=b;function S(L,O=z=>z){const z=new Set;return L.filter(A=>{const B=O(A);return z.has(B)?!1:(z.add(B),!0)})}t.distinct=S;function F(L){const O=new Set;return z=>{const A=L(z);return O.has(A)?!1:(O.add(A),!0)}}t.uniqueFilter=F;function _(L,O){const z=r(L,O);if(z!==-1)return L[z]}t.findLast=_;function r(L,O){for(let z=L.length-1;z>=0;z--){const A=L[z];if(O(A))return z}return-1}t.lastIndex=r;function n(L,O){return L.length>0?L[0]:O}t.firstOrDefault=n;function h(L,O){return L.length>0?L[L.length-1]:O}t.lastOrDefault=h;function l(L,O,z=(A,B)=>A===B){let A=0;for(let B=0,k=Math.min(L.length,O.length);B<k&&z(L[B],O[B]);B++)A++;return A}t.commonPrefixLength=l;function c(L){return[].concat(...L)}t.flatten=c;function P(L,O){let z=typeof O=="number"?L:0;typeof O=="number"?z=L:(z=0,O=L);const A=[];if(z<=O)for(let B=z;B<O;B++)A.push(B);else for(let B=z;B>O;B--)A.push(B);return A}t.range=P;function V(L,O,z){return L.reduce((A,B)=>(A[O(B)]=z?z(B):B,A),Object.create(null))}t.index=V;function ue(L,O){return L.push(O),()=>ne(L,O)}t.insert=ue;function ne(L,O){const z=L.indexOf(O);if(z>-1)return L.splice(z,1),O}t.remove=ne;function ge(L,O,z){const A=L.slice(0,O),B=L.slice(O);return A.concat(z,B)}t.arrayInsert=ge;function ae(L,O){let z;if(typeof O=="number"){let A=O;z=()=>{const B=Math.sin(A++)*179426549;return B-Math.floor(B)}}else z=Math.random;for(let A=L.length-1;A>0;A-=1){const B=Math.floor(z()*(A+1)),k=L[A];L[A]=L[B],L[B]=k}}t.shuffle=ae;function we(L,O){const z=L.indexOf(O);z>-1&&(L.splice(z,1),L.unshift(O))}t.pushToStart=we;function he(L,O){const z=L.indexOf(O);z>-1&&(L.splice(z,1),L.push(O))}t.pushToEnd=he;function re(L,O){for(const z of O)L.push(z)}t.pushMany=re;function Ce(L,O){return Array.isArray(L)?L.map(O):O(L)}t.mapArrayOrNot=Ce;function te(L){return Array.isArray(L)?L:[L]}t.asArray=te;function De(L){return L[Math.floor(Math.random()*L.length)]}t.getRandomElement=De;function ee(L,O){for(const z of L){const A=O(z);if(A!==void 0)return A}}t.mapFind=ee;function X(L,O,z){const A=ie(L,O),B=L.length,k=z.length;L.length=B+k;for(let R=B-1;R>=A;R--)L[R+k]=L[R];for(let R=0;R<k;R++)L[R+A]=z[R]}t.insertInto=X;function se(L,O,z,A){const B=ie(L,O),k=L.splice(B,z);return X(L,B,A),k}t.splice=se;function ie(L,O){return O<0?Math.max(O+L.length,0):Math.min(O,L.length)}var T;(function(L){function O(B){return B<0}L.isLessThan=O;function z(B){return B>0}L.isGreaterThan=z;function A(B){return B===0}L.isNeitherLessOrGreaterThan=A,L.greaterThan=1,L.lessThan=-1,L.neitherLessOrGreaterThan=0})(T=t.CompareResult||(t.CompareResult={}));function $(L,O){return(z,A)=>O(L(z),L(A))}t.compareBy=$;function j(...L){return(O,z)=>{for(const A of L){const B=A(O,z);if(!T.isNeitherLessOrGreaterThan(B))return B}return T.neitherLessOrGreaterThan}}t.tieBreakComparators=j;const W=(L,O)=>L-O;t.numberComparator=W;function d(L,O){if(L.length===0)return;let z=L[0];for(let A=1;A<L.length;A++){const B=L[A];O(B,z)>0&&(z=B)}return z}t.findMaxBy=d;function I(L,O){if(L.length===0)return;let z=L[0];for(let A=1;A<L.length;A++){const B=L[A];O(B,z)>=0&&(z=B)}return z}t.findLastMaxBy=I;function U(L,O){return d(L,(z,A)=>-O(z,A))}t.findMinBy=U;class K{constructor(O){this.items=O,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(O){let z=this.firstIdx;for(;z<this.items.length&&O(this.items[z]);)z++;const A=z===this.firstIdx?null:this.items.slice(this.firstIdx,z);return this.firstIdx=z,A}takeFromEndWhile(O){let z=this.lastIdx;for(;z>=0&&O(this.items[z]);)z--;const A=z===this.lastIdx?null:this.items.slice(z+1,this.lastIdx+1);return this.lastIdx=z,A}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const O=this.items[this.firstIdx];return this.firstIdx++,O}removeLast(){const O=this.items[this.lastIdx];return this.lastIdx--,O}takeCount(O){const z=this.items.slice(this.firstIdx,this.firstIdx+O);return this.firstIdx+=O,z}}t.ArrayQueue=K;class Z{constructor(O){this.iterate=O}forEach(O){this.iterate(z=>(O(z),!0))}toArray(){const O=[];return this.iterate(z=>(O.push(z),!0)),O}filter(O){return new Z(z=>this.iterate(A=>O(A)?z(A):!0))}map(O){return new Z(z=>this.iterate(A=>z(O(A))))}some(O){let z=!1;return this.iterate(A=>(z=O(A),!z)),z}findFirst(O){let z;return this.iterate(A=>O(A)?(z=A,!1):!0),z}findLast(O){let z;return this.iterate(A=>(O(A)&&(z=A),!0)),z}findLastMaxBy(O){let z,A=!0;return this.iterate(B=>((A||T.isGreaterThan(O(B,z)))&&(A=!1,z=B),!0)),z}}t.CallbackIterable=Z,Z.empty=new Z(L=>{})}),define(me[42],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=void 0;function E(i){const H=this;let M=!1,C;return function(){return M||(M=!0,C=i.apply(H,arguments)),C}}t.once=E}),define(me[71],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.defaultGenerator=t.IdGenerator=void 0;class E{constructor(H){this._prefix=H,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}t.IdGenerator=E,t.defaultGenerator=new E("id#")}),define(me[26],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var E;(function(i){function H(F){return F&&typeof F=="object"&&typeof F[Symbol.iterator]=="function"}i.is=H;const M=Object.freeze([]);function C(){return M}i.empty=C;function*w(F){yield F}i.single=w;function p(F){return F||M}i.from=p;function f(F){return!F||F[Symbol.iterator]().next().done===!0}i.isEmpty=f;function m(F){return F[Symbol.iterator]().next().value}i.first=m;function N(F,_){for(const r of F)if(_(r))return!0;return!1}i.some=N;function o(F,_){for(const r of F)if(_(r))return r}i.find=o;function*s(F,_){for(const r of F)_(r)&&(yield r)}i.filter=s;function*e(F,_){let r=0;for(const n of F)yield _(n,r++)}i.map=e;function*g(...F){for(const _ of F)for(const r of _)yield r}i.concat=g;function*v(F){for(const _ of F)for(const r of _)yield r}i.concatNested=v;function D(F,_,r){let n=r;for(const h of F)n=_(n,h);return n}i.reduce=D;function y(F,_){let r=0;for(const n of F)_(n,r++)}i.forEach=y;function*a(F,_,r=F.length){for(_<0&&(_+=F.length),r<0?r+=F.length:r>F.length&&(r=F.length);_<r;_++)yield F[_]}i.slice=a;function u(F,_=Number.POSITIVE_INFINITY){const r=[];if(_===0)return[r,F];const n=F[Symbol.iterator]();for(let h=0;h<_;h++){const l=n.next();if(l.done)return[r,i.empty()];r.push(l.value)}return[r,{[Symbol.iterator](){return n}}]}i.consume=u;function b(F){return u(F)[0]}i.collect=b;function S(F,_,r=(n,h)=>n===h){const n=F[Symbol.iterator](),h=_[Symbol.iterator]();for(;;){const l=n.next(),c=h.next();if(l.done!==c.done)return!1;if(l.done)return!0;if(!r(l.value,c.value))return!1}}i.equals=S})(E=t.Iterable||(t.Iterable={}))}),define(me[43],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.KeyChord=t.KeyMod=t.KeyCodeUtils=t.IMMUTABLE_KEY_CODE_TO_CODE=t.IMMUTABLE_CODE_TO_KEY_CODE=t.ScanCodeUtils=t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=t.EVENT_KEY_CODE_MAP=t.ScanCode=t.KeyCode=void 0;var E;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.Digit0=21]="Digit0",e[e.Digit1=22]="Digit1",e[e.Digit2=23]="Digit2",e[e.Digit3=24]="Digit3",e[e.Digit4=25]="Digit4",e[e.Digit5=26]="Digit5",e[e.Digit6=27]="Digit6",e[e.Digit7=28]="Digit7",e[e.Digit8=29]="Digit8",e[e.Digit9=30]="Digit9",e[e.KeyA=31]="KeyA",e[e.KeyB=32]="KeyB",e[e.KeyC=33]="KeyC",e[e.KeyD=34]="KeyD",e[e.KeyE=35]="KeyE",e[e.KeyF=36]="KeyF",e[e.KeyG=37]="KeyG",e[e.KeyH=38]="KeyH",e[e.KeyI=39]="KeyI",e[e.KeyJ=40]="KeyJ",e[e.KeyK=41]="KeyK",e[e.KeyL=42]="KeyL",e[e.KeyM=43]="KeyM",e[e.KeyN=44]="KeyN",e[e.KeyO=45]="KeyO",e[e.KeyP=46]="KeyP",e[e.KeyQ=47]="KeyQ",e[e.KeyR=48]="KeyR",e[e.KeyS=49]="KeyS",e[e.KeyT=50]="KeyT",e[e.KeyU=51]="KeyU",e[e.KeyV=52]="KeyV",e[e.KeyW=53]="KeyW",e[e.KeyX=54]="KeyX",e[e.KeyY=55]="KeyY",e[e.KeyZ=56]="KeyZ",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.Semicolon=80]="Semicolon",e[e.Equal=81]="Equal",e[e.Comma=82]="Comma",e[e.Minus=83]="Minus",e[e.Period=84]="Period",e[e.Slash=85]="Slash",e[e.Backquote=86]="Backquote",e[e.BracketLeft=87]="BracketLeft",e[e.Backslash=88]="Backslash",e[e.BracketRight=89]="BracketRight",e[e.Quote=90]="Quote",e[e.OEM_8=91]="OEM_8",e[e.IntlBackslash=92]="IntlBackslash",e[e.Numpad0=93]="Numpad0",e[e.Numpad1=94]="Numpad1",e[e.Numpad2=95]="Numpad2",e[e.Numpad3=96]="Numpad3",e[e.Numpad4=97]="Numpad4",e[e.Numpad5=98]="Numpad5",e[e.Numpad6=99]="Numpad6",e[e.Numpad7=100]="Numpad7",e[e.Numpad8=101]="Numpad8",e[e.Numpad9=102]="Numpad9",e[e.NumpadMultiply=103]="NumpadMultiply",e[e.NumpadAdd=104]="NumpadAdd",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NumpadSubtract=106]="NumpadSubtract",e[e.NumpadDecimal=107]="NumpadDecimal",e[e.NumpadDivide=108]="NumpadDivide",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.AudioVolumeMute=112]="AudioVolumeMute",e[e.AudioVolumeUp=113]="AudioVolumeUp",e[e.AudioVolumeDown=114]="AudioVolumeDown",e[e.BrowserSearch=115]="BrowserSearch",e[e.BrowserHome=116]="BrowserHome",e[e.BrowserBack=117]="BrowserBack",e[e.BrowserForward=118]="BrowserForward",e[e.MediaTrackNext=119]="MediaTrackNext",e[e.MediaTrackPrevious=120]="MediaTrackPrevious",e[e.MediaStop=121]="MediaStop",e[e.MediaPlayPause=122]="MediaPlayPause",e[e.LaunchMediaPlayer=123]="LaunchMediaPlayer",e[e.LaunchMail=124]="LaunchMail",e[e.LaunchApp2=125]="LaunchApp2",e[e.Clear=126]="Clear",e[e.MAX_VALUE=127]="MAX_VALUE"})(E=t.KeyCode||(t.KeyCode={}));var i;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.None=0]="None",e[e.Hyper=1]="Hyper",e[e.Super=2]="Super",e[e.Fn=3]="Fn",e[e.FnLock=4]="FnLock",e[e.Suspend=5]="Suspend",e[e.Resume=6]="Resume",e[e.Turbo=7]="Turbo",e[e.Sleep=8]="Sleep",e[e.WakeUp=9]="WakeUp",e[e.KeyA=10]="KeyA",e[e.KeyB=11]="KeyB",e[e.KeyC=12]="KeyC",e[e.KeyD=13]="KeyD",e[e.KeyE=14]="KeyE",e[e.KeyF=15]="KeyF",e[e.KeyG=16]="KeyG",e[e.KeyH=17]="KeyH",e[e.KeyI=18]="KeyI",e[e.KeyJ=19]="KeyJ",e[e.KeyK=20]="KeyK",e[e.KeyL=21]="KeyL",e[e.KeyM=22]="KeyM",e[e.KeyN=23]="KeyN",e[e.KeyO=24]="KeyO",e[e.KeyP=25]="KeyP",e[e.KeyQ=26]="KeyQ",e[e.KeyR=27]="KeyR",e[e.KeyS=28]="KeyS",e[e.KeyT=29]="KeyT",e[e.KeyU=30]="KeyU",e[e.KeyV=31]="KeyV",e[e.KeyW=32]="KeyW",e[e.KeyX=33]="KeyX",e[e.KeyY=34]="KeyY",e[e.KeyZ=35]="KeyZ",e[e.Digit1=36]="Digit1",e[e.Digit2=37]="Digit2",e[e.Digit3=38]="Digit3",e[e.Digit4=39]="Digit4",e[e.Digit5=40]="Digit5",e[e.Digit6=41]="Digit6",e[e.Digit7=42]="Digit7",e[e.Digit8=43]="Digit8",e[e.Digit9=44]="Digit9",e[e.Digit0=45]="Digit0",e[e.Enter=46]="Enter",e[e.Escape=47]="Escape",e[e.Backspace=48]="Backspace",e[e.Tab=49]="Tab",e[e.Space=50]="Space",e[e.Minus=51]="Minus",e[e.Equal=52]="Equal",e[e.BracketLeft=53]="BracketLeft",e[e.BracketRight=54]="BracketRight",e[e.Backslash=55]="Backslash",e[e.IntlHash=56]="IntlHash",e[e.Semicolon=57]="Semicolon",e[e.Quote=58]="Quote",e[e.Backquote=59]="Backquote",e[e.Comma=60]="Comma",e[e.Period=61]="Period",e[e.Slash=62]="Slash",e[e.CapsLock=63]="CapsLock",e[e.F1=64]="F1",e[e.F2=65]="F2",e[e.F3=66]="F3",e[e.F4=67]="F4",e[e.F5=68]="F5",e[e.F6=69]="F6",e[e.F7=70]="F7",e[e.F8=71]="F8",e[e.F9=72]="F9",e[e.F10=73]="F10",e[e.F11=74]="F11",e[e.F12=75]="F12",e[e.PrintScreen=76]="PrintScreen",e[e.ScrollLock=77]="ScrollLock",e[e.Pause=78]="Pause",e[e.Insert=79]="Insert",e[e.Home=80]="Home",e[e.PageUp=81]="PageUp",e[e.Delete=82]="Delete",e[e.End=83]="End",e[e.PageDown=84]="PageDown",e[e.ArrowRight=85]="ArrowRight",e[e.ArrowLeft=86]="ArrowLeft",e[e.ArrowDown=87]="ArrowDown",e[e.ArrowUp=88]="ArrowUp",e[e.NumLock=89]="NumLock",e[e.NumpadDivide=90]="NumpadDivide",e[e.NumpadMultiply=91]="NumpadMultiply",e[e.NumpadSubtract=92]="NumpadSubtract",e[e.NumpadAdd=93]="NumpadAdd",e[e.NumpadEnter=94]="NumpadEnter",e[e.Numpad1=95]="Numpad1",e[e.Numpad2=96]="Numpad2",e[e.Numpad3=97]="Numpad3",e[e.Numpad4=98]="Numpad4",e[e.Numpad5=99]="Numpad5",e[e.Numpad6=100]="Numpad6",e[e.Numpad7=101]="Numpad7",e[e.Numpad8=102]="Numpad8",e[e.Numpad9=103]="Numpad9",e[e.Numpad0=104]="Numpad0",e[e.NumpadDecimal=105]="NumpadDecimal",e[e.IntlBackslash=106]="IntlBackslash",e[e.ContextMenu=107]="ContextMenu",e[e.Power=108]="Power",e[e.NumpadEqual=109]="NumpadEqual",e[e.F13=110]="F13",e[e.F14=111]="F14",e[e.F15=112]="F15",e[e.F16=113]="F16",e[e.F17=114]="F17",e[e.F18=115]="F18",e[e.F19=116]="F19",e[e.F20=117]="F20",e[e.F21=118]="F21",e[e.F22=119]="F22",e[e.F23=120]="F23",e[e.F24=121]="F24",e[e.Open=122]="Open",e[e.Help=123]="Help",e[e.Select=124]="Select",e[e.Again=125]="Again",e[e.Undo=126]="Undo",e[e.Cut=127]="Cut",e[e.Copy=128]="Copy",e[e.Paste=129]="Paste",e[e.Find=130]="Find",e[e.AudioVolumeMute=131]="AudioVolumeMute",e[e.AudioVolumeUp=132]="AudioVolumeUp",e[e.AudioVolumeDown=133]="AudioVolumeDown",e[e.NumpadComma=134]="NumpadComma",e[e.IntlRo=135]="IntlRo",e[e.KanaMode=136]="KanaMode",e[e.IntlYen=137]="IntlYen",e[e.Convert=138]="Convert",e[e.NonConvert=139]="NonConvert",e[e.Lang1=140]="Lang1",e[e.Lang2=141]="Lang2",e[e.Lang3=142]="Lang3",e[e.Lang4=143]="Lang4",e[e.Lang5=144]="Lang5",e[e.Abort=145]="Abort",e[e.Props=146]="Props",e[e.NumpadParenLeft=147]="NumpadParenLeft",e[e.NumpadParenRight=148]="NumpadParenRight",e[e.NumpadBackspace=149]="NumpadBackspace",e[e.NumpadMemoryStore=150]="NumpadMemoryStore",e[e.NumpadMemoryRecall=151]="NumpadMemoryRecall",e[e.NumpadMemoryClear=152]="NumpadMemoryClear",e[e.NumpadMemoryAdd=153]="NumpadMemoryAdd",e[e.NumpadMemorySubtract=154]="NumpadMemorySubtract",e[e.NumpadClear=155]="NumpadClear",e[e.NumpadClearEntry=156]="NumpadClearEntry",e[e.ControlLeft=157]="ControlLeft",e[e.ShiftLeft=158]="ShiftLeft",e[e.AltLeft=159]="AltLeft",e[e.MetaLeft=160]="MetaLeft",e[e.ControlRight=161]="ControlRight",e[e.ShiftRight=162]="ShiftRight",e[e.AltRight=163]="AltRight",e[e.MetaRight=164]="MetaRight",e[e.BrightnessUp=165]="BrightnessUp",e[e.BrightnessDown=166]="BrightnessDown",e[e.MediaPlay=167]="MediaPlay",e[e.MediaRecord=168]="MediaRecord",e[e.MediaFastForward=169]="MediaFastForward",e[e.MediaRewind=170]="MediaRewind",e[e.MediaTrackNext=171]="MediaTrackNext",e[e.MediaTrackPrevious=172]="MediaTrackPrevious",e[e.MediaStop=173]="MediaStop",e[e.Eject=174]="Eject",e[e.MediaPlayPause=175]="MediaPlayPause",e[e.MediaSelect=176]="MediaSelect",e[e.LaunchMail=177]="LaunchMail",e[e.LaunchApp2=178]="LaunchApp2",e[e.LaunchApp1=179]="LaunchApp1",e[e.SelectTask=180]="SelectTask",e[e.LaunchScreenSaver=181]="LaunchScreenSaver",e[e.BrowserSearch=182]="BrowserSearch",e[e.BrowserHome=183]="BrowserHome",e[e.BrowserBack=184]="BrowserBack",e[e.BrowserForward=185]="BrowserForward",e[e.BrowserStop=186]="BrowserStop",e[e.BrowserRefresh=187]="BrowserRefresh",e[e.BrowserFavorites=188]="BrowserFavorites",e[e.ZoomToggle=189]="ZoomToggle",e[e.MailReply=190]="MailReply",e[e.MailForward=191]="MailForward",e[e.MailSend=192]="MailSend",e[e.MAX_VALUE=193]="MAX_VALUE"})(i=t.ScanCode||(t.ScanCode={}));class H{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(g,v){this._keyCodeToStr[g]=v,this._strToKeyCode[v.toLowerCase()]=g}keyCodeToStr(g){return this._keyCodeToStr[g]}strToKeyCode(g){return this._strToKeyCode[g.toLowerCase()]||0}}const M=new H,C=new H,w=new H;t.EVENT_KEY_CODE_MAP=new Array(230),t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const p=[],f=Object.create(null),m=Object.create(null);t.ScanCodeUtils={lowerCaseToEnum:e=>m[e]||0,toEnum:e=>f[e]||0,toString:e=>p[e]||"None"},t.IMMUTABLE_CODE_TO_KEY_CODE=[],t.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let e=0;e<=193;e++)t.IMMUTABLE_CODE_TO_KEY_CODE[e]=-1;for(let e=0;e<=127;e++)t.IMMUTABLE_KEY_CODE_TO_CODE[e]=-1;(function(){const e="",g=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[0,1,1,"Hyper",0,e,0,e,e,e],[0,1,2,"Super",0,e,0,e,e,e],[0,1,3,"Fn",0,e,0,e,e,e],[0,1,4,"FnLock",0,e,0,e,e,e],[0,1,5,"Suspend",0,e,0,e,e,e],[0,1,6,"Resume",0,e,0,e,e,e],[0,1,7,"Turbo",0,e,0,e,e,e],[0,1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[0,1,9,"WakeUp",0,e,0,e,e,e],[31,0,10,"KeyA",31,"A",65,"VK_A",e,e],[32,0,11,"KeyB",32,"B",66,"VK_B",e,e],[33,0,12,"KeyC",33,"C",67,"VK_C",e,e],[34,0,13,"KeyD",34,"D",68,"VK_D",e,e],[35,0,14,"KeyE",35,"E",69,"VK_E",e,e],[36,0,15,"KeyF",36,"F",70,"VK_F",e,e],[37,0,16,"KeyG",37,"G",71,"VK_G",e,e],[38,0,17,"KeyH",38,"H",72,"VK_H",e,e],[39,0,18,"KeyI",39,"I",73,"VK_I",e,e],[40,0,19,"KeyJ",40,"J",74,"VK_J",e,e],[41,0,20,"KeyK",41,"K",75,"VK_K",e,e],[42,0,21,"KeyL",42,"L",76,"VK_L",e,e],[43,0,22,"KeyM",43,"M",77,"VK_M",e,e],[44,0,23,"KeyN",44,"N",78,"VK_N",e,e],[45,0,24,"KeyO",45,"O",79,"VK_O",e,e],[46,0,25,"KeyP",46,"P",80,"VK_P",e,e],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[48,0,27,"KeyR",48,"R",82,"VK_R",e,e],[49,0,28,"KeyS",49,"S",83,"VK_S",e,e],[50,0,29,"KeyT",50,"T",84,"VK_T",e,e],[51,0,30,"KeyU",51,"U",85,"VK_U",e,e],[52,0,31,"KeyV",52,"V",86,"VK_V",e,e],[53,0,32,"KeyW",53,"W",87,"VK_W",e,e],[54,0,33,"KeyX",54,"X",88,"VK_X",e,e],[55,0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[22,0,36,"Digit1",22,"1",49,"VK_1",e,e],[23,0,37,"Digit2",23,"2",50,"VK_2",e,e],[24,0,38,"Digit3",24,"3",51,"VK_3",e,e],[25,0,39,"Digit4",25,"4",52,"VK_4",e,e],[26,0,40,"Digit5",26,"5",53,"VK_5",e,e],[27,0,41,"Digit6",27,"6",54,"VK_6",e,e],[28,0,42,"Digit7",28,"7",55,"VK_7",e,e],[29,0,43,"Digit8",29,"8",56,"VK_8",e,e],[30,0,44,"Digit9",30,"9",57,"VK_9",e,e],[21,0,45,"Digit0",21,"0",48,"VK_0",e,e],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[10,1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,e,0,e,e,e],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[59,1,64,"F1",59,"F1",112,"VK_F1",e,e],[60,1,65,"F2",60,"F2",113,"VK_F2",e,e],[61,1,66,"F3",61,"F3",114,"VK_F3",e,e],[62,1,67,"F4",62,"F4",115,"VK_F4",e,e],[63,1,68,"F5",63,"F5",116,"VK_F5",e,e],[64,1,69,"F6",64,"F6",117,"VK_F6",e,e],[65,1,70,"F7",65,"F7",118,"VK_F7",e,e],[66,1,71,"F8",66,"F8",119,"VK_F8",e,e],[67,1,72,"F9",67,"F9",120,"VK_F9",e,e],[68,1,73,"F10",68,"F10",121,"VK_F10",e,e],[69,1,74,"F11",69,"F11",122,"VK_F11",e,e],[70,1,75,"F12",70,"F12",123,"VK_F12",e,e],[0,1,76,"PrintScreen",0,e,0,e,e,e],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",e,e],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[14,1,80,"Home",14,"Home",36,"VK_HOME",e,e],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[13,1,83,"End",13,"End",35,"VK_END",e,e],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",e,e],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",e,e],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",e,e],[3,1,94,"NumpadEnter",3,e,0,e,e,e],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",e,e],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",e,e],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",e,e],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",e,e],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",e,e],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",e,e],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",e,e],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",e,e],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",e,e],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",e,e],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",e,e],[58,1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[0,1,108,"Power",0,e,0,e,e,e],[0,1,109,"NumpadEqual",0,e,0,e,e,e],[71,1,110,"F13",71,"F13",124,"VK_F13",e,e],[72,1,111,"F14",72,"F14",125,"VK_F14",e,e],[73,1,112,"F15",73,"F15",126,"VK_F15",e,e],[74,1,113,"F16",74,"F16",127,"VK_F16",e,e],[75,1,114,"F17",75,"F17",128,"VK_F17",e,e],[76,1,115,"F18",76,"F18",129,"VK_F18",e,e],[77,1,116,"F19",77,"F19",130,"VK_F19",e,e],[0,1,117,"F20",0,e,0,"VK_F20",e,e],[0,1,118,"F21",0,e,0,"VK_F21",e,e],[0,1,119,"F22",0,e,0,"VK_F22",e,e],[0,1,120,"F23",0,e,0,"VK_F23",e,e],[0,1,121,"F24",0,e,0,"VK_F24",e,e],[0,1,122,"Open",0,e,0,e,e,e],[0,1,123,"Help",0,e,0,e,e,e],[0,1,124,"Select",0,e,0,e,e,e],[0,1,125,"Again",0,e,0,e,e,e],[0,1,126,"Undo",0,e,0,e,e,e],[0,1,127,"Cut",0,e,0,e,e,e],[0,1,128,"Copy",0,e,0,e,e,e],[0,1,129,"Paste",0,e,0,e,e,e],[0,1,130,"Find",0,e,0,e,e,e],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",e,e],[0,1,136,"KanaMode",0,e,0,e,e,e],[0,0,137,"IntlYen",0,e,0,e,e,e],[0,1,138,"Convert",0,e,0,e,e,e],[0,1,139,"NonConvert",0,e,0,e,e,e],[0,1,140,"Lang1",0,e,0,e,e,e],[0,1,141,"Lang2",0,e,0,e,e,e],[0,1,142,"Lang3",0,e,0,e,e,e],[0,1,143,"Lang4",0,e,0,e,e,e],[0,1,144,"Lang5",0,e,0,e,e,e],[0,1,145,"Abort",0,e,0,e,e,e],[0,1,146,"Props",0,e,0,e,e,e],[0,1,147,"NumpadParenLeft",0,e,0,e,e,e],[0,1,148,"NumpadParenRight",0,e,0,e,e,e],[0,1,149,"NumpadBackspace",0,e,0,e,e,e],[0,1,150,"NumpadMemoryStore",0,e,0,e,e,e],[0,1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[0,1,152,"NumpadMemoryClear",0,e,0,e,e,e],[0,1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[0,1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[0,1,155,"NumpadClear",126,"Clear",12,"VK_CLEAR",e,e],[0,1,156,"NumpadClearEntry",0,e,0,e,e,e],[5,1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[4,1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[6,1,0,e,6,"Alt",18,"VK_MENU",e,e],[57,1,0,e,57,"Meta",0,"VK_COMMAND",e,e],[5,1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[4,1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[6,1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[57,1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[5,1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[4,1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[6,1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[57,1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[0,1,165,"BrightnessUp",0,e,0,e,e,e],[0,1,166,"BrightnessDown",0,e,0,e,e,e],[0,1,167,"MediaPlay",0,e,0,e,e,e],[0,1,168,"MediaRecord",0,e,0,e,e,e],[0,1,169,"MediaFastForward",0,e,0,e,e,e],[0,1,170,"MediaRewind",0,e,0,e,e,e],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",e,e],[0,1,174,"Eject",0,e,0,e,e,e],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[0,1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[0,1,180,"SelectTask",0,e,0,e,e,e],[0,1,181,"LaunchScreenSaver",0,e,0,e,e,e],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[0,1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[0,1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[0,1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[0,1,189,"ZoomToggle",0,e,0,e,e,e],[0,1,190,"MailReply",0,e,0,e,e,e],[0,1,191,"MailForward",0,e,0,e,e,e],[0,1,192,"MailSend",0,e,0,e,e,e],[109,1,0,e,109,"KeyInComposition",229,e,e,e],[111,1,0,e,111,"ABNT_C2",194,"VK_ABNT_C2",e,e],[91,1,0,e,91,"OEM_8",223,"VK_OEM_8",e,e],[0,1,0,e,0,e,0,"VK_KANA",e,e],[0,1,0,e,0,e,0,"VK_HANGUL",e,e],[0,1,0,e,0,e,0,"VK_JUNJA",e,e],[0,1,0,e,0,e,0,"VK_FINAL",e,e],[0,1,0,e,0,e,0,"VK_HANJA",e,e],[0,1,0,e,0,e,0,"VK_KANJI",e,e],[0,1,0,e,0,e,0,"VK_CONVERT",e,e],[0,1,0,e,0,e,0,"VK_NONCONVERT",e,e],[0,1,0,e,0,e,0,"VK_ACCEPT",e,e],[0,1,0,e,0,e,0,"VK_MODECHANGE",e,e],[0,1,0,e,0,e,0,"VK_SELECT",e,e],[0,1,0,e,0,e,0,"VK_PRINT",e,e],[0,1,0,e,0,e,0,"VK_EXECUTE",e,e],[0,1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[0,1,0,e,0,e,0,"VK_HELP",e,e],[0,1,0,e,0,e,0,"VK_APPS",e,e],[0,1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[0,1,0,e,0,e,0,"VK_PACKET",e,e],[0,1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_ATTN",e,e],[0,1,0,e,0,e,0,"VK_CRSEL",e,e],[0,1,0,e,0,e,0,"VK_EXSEL",e,e],[0,1,0,e,0,e,0,"VK_EREOF",e,e],[0,1,0,e,0,e,0,"VK_PLAY",e,e],[0,1,0,e,0,e,0,"VK_ZOOM",e,e],[0,1,0,e,0,e,0,"VK_NONAME",e,e],[0,1,0,e,0,e,0,"VK_PA1",e,e],[0,1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],v=[],D=[];for(const y of g){const[a,u,b,S,F,_,r,n,h,l]=y;if(D[b]||(D[b]=!0,p[b]=S,f[S]=b,m[S.toLowerCase()]=b,u&&(t.IMMUTABLE_CODE_TO_KEY_CODE[b]=F,F!==0&&F!==3&&F!==5&&F!==4&&F!==6&&F!==57&&(t.IMMUTABLE_KEY_CODE_TO_CODE[F]=b))),!v[F]){if(v[F]=!0,!_)throw new Error(`String representation missing for key code ${F} around scan code ${S}`);M.define(F,_),C.define(F,h||_),w.define(F,l||h||_)}r&&(t.EVENT_KEY_CODE_MAP[r]=F),n&&(t.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[n]=F)}t.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var N;(function(e){function g(b){return M.keyCodeToStr(b)}e.toString=g;function v(b){return M.strToKeyCode(b)}e.fromString=v;function D(b){return C.keyCodeToStr(b)}e.toUserSettingsUS=D;function y(b){return w.keyCodeToStr(b)}e.toUserSettingsGeneral=y;function a(b){return C.strToKeyCode(b)||w.strToKeyCode(b)}e.fromUserSettings=a;function u(b){if(b>=93&&b<=108)return null;switch(b){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return M.keyCodeToStr(b)}e.toElectronAccelerator=u})(N=t.KeyCodeUtils||(t.KeyCodeUtils={}));var o;(function(e){e[e.CtrlCmd=2048]="CtrlCmd",e[e.Shift=1024]="Shift",e[e.Alt=512]="Alt",e[e.WinCtrl=256]="WinCtrl"})(o=t.KeyMod||(t.KeyMod={}));function s(e,g){const v=(g&65535)<<16>>>0;return(e|v)>>>0}t.KeyChord=s}),define(me[72],pe([1,0,13]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ResolvedKeybinding=t.ResolvedKeybindingPart=t.ScanCodeBinding=t.ChordKeybinding=t.SimpleKeybinding=t.createSimpleKeybinding=t.createKeybinding=void 0;var i;(function(N){N[N.CtrlCmd=2048]="CtrlCmd",N[N.Shift=1024]="Shift",N[N.Alt=512]="Alt",N[N.WinCtrl=256]="WinCtrl",N[N.KeyCode=255]="KeyCode"})(i||(i={}));function H(N,o){if(N===0)return null;const s=(N&65535)>>>0,e=(N&4294901760)>>>16;return e!==0?new w([M(s,o),M(e,o)]):new w([M(s,o)])}t.createKeybinding=H;function M(N,o){const s=!!(N&2048),e=!!(N&256),g=o===2?e:s,v=!!(N&1024),D=!!(N&512),y=o===2?s:e,a=N&255;return new C(g,v,D,y,a)}t.createSimpleKeybinding=M;class C{constructor(o,s,e,g,v){this.ctrlKey=o,this.shiftKey=s,this.altKey=e,this.metaKey=g,this.keyCode=v}equals(o){return this.ctrlKey===o.ctrlKey&&this.shiftKey===o.shiftKey&&this.altKey===o.altKey&&this.metaKey===o.metaKey&&this.keyCode===o.keyCode}getHashCode(){const o=this.ctrlKey?"1":"0",s=this.shiftKey?"1":"0",e=this.altKey?"1":"0",g=this.metaKey?"1":"0";return`${o}${s}${e}${g}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new w([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}t.SimpleKeybinding=C;class w{constructor(o){if(o.length===0)throw(0,E.illegalArgument)("parts");this.parts=o}getHashCode(){let o="";for(let s=0,e=this.parts.length;s<e;s++)s!==0&&(o+=";"),o+=this.parts[s].getHashCode();return o}equals(o){if(o===null||this.parts.length!==o.parts.length)return!1;for(let s=0;s<this.parts.length;s++)if(!this.parts[s].equals(o.parts[s]))return!1;return!0}}t.ChordKeybinding=w;class p{constructor(o,s,e,g,v){this.ctrlKey=o,this.shiftKey=s,this.altKey=e,this.metaKey=g,this.scanCode=v}equals(o){return this.ctrlKey===o.ctrlKey&&this.shiftKey===o.shiftKey&&this.altKey===o.altKey&&this.metaKey===o.metaKey&&this.scanCode===o.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}t.ScanCodeBinding=p;class f{constructor(o,s,e,g,v,D){this.ctrlKey=o,this.shiftKey=s,this.altKey=e,this.metaKey=g,this.keyLabel=v,this.keyAriaLabel=D}}t.ResolvedKeybindingPart=f;class m{}t.ResolvedKeybinding=m}),define(me[73],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Lazy=void 0;class E{constructor(H){this.executor=H,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(H){this._error=H}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(H){return new E(()=>H(this.getValue()))}}t.Lazy=E}),define(me[2],pe([1,0,42,26]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.disposeOnReturn=t.ImmortalReference=t.AsyncReferenceCollection=t.ReferenceCollection=t.SafeDisposable=t.RefCountedDisposable=t.MutableDisposable=t.Disposable=t.DisposableStore=t.toDisposable=t.combinedDisposable=t.disposeIfDisposable=t.dispose=t.isDisposable=t.MultiDisposeError=t.markAsSingleton=t.setDisposableTracker=void 0;const H=!1;let M=null;function C(h){M=h}if(t.setDisposableTracker=C,H){const h="__is_disposable_tracked__";C(new class{trackDisposable(l){const c=new Error("Potentially leaked disposable").stack;setTimeout(()=>{l[h]||console.log(c)},3e3)}setParent(l,c){if(l&&l!==a.None)try{l[h]=!0}catch{}}markAsDisposed(l){if(l&&l!==a.None)try{l[h]=!0}catch{}}markAsSingleton(l){}})}function w(h){return M?.trackDisposable(h),h}function p(h){M?.markAsDisposed(h)}function f(h,l){M?.setParent(h,l)}function m(h,l){if(!!M)for(const c of h)M.setParent(c,l)}function N(h){return M?.markAsSingleton(h),h}t.markAsSingleton=N;class o extends Error{constructor(l){super(`Encountered errors while disposing of store. Errors: [${l.join(", ")}]`);this.errors=l}}t.MultiDisposeError=o;function s(h){return typeof h.dispose=="function"&&h.dispose.length===0}t.isDisposable=s;function e(h){if(i.Iterable.is(h)){const l=[];for(const c of h)if(c)try{c.dispose()}catch(P){l.push(P)}if(l.length===1)throw l[0];if(l.length>1)throw new o(l);return Array.isArray(h)?[]:h}else if(h)return h.dispose(),h}t.dispose=e;function g(h){for(const l of h)s(l)&&l.dispose();return[]}t.disposeIfDisposable=g;function v(...h){const l=D(()=>e(h));return m(h,l),l}t.combinedDisposable=v;function D(h){const l=w({dispose:(0,E.once)(()=>{p(l),h()})});return l}t.toDisposable=D;class y{constructor(){this._toDispose=new Set,this._isDisposed=!1,w(this)}dispose(){this._isDisposed||(p(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{e(this._toDispose.values())}finally{this._toDispose.clear()}}add(l){if(!l)return l;if(l===this)throw new Error("Cannot register a disposable on itself!");return f(l,this),this._isDisposed?y.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(l),l}}t.DisposableStore=y,y.DISABLE_DISPOSED_WARNING=!1;class a{constructor(){this._store=new y,w(this),f(this._store,this)}dispose(){p(this),this._store.dispose()}_register(l){if(l===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(l)}}t.Disposable=a,a.None=Object.freeze({dispose(){}});class u{constructor(){this._isDisposed=!1,w(this)}get value(){return this._isDisposed?void 0:this._value}set value(l){this._isDisposed||l===this._value||(this._value?.dispose(),l&&f(l,this),this._value=l)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,p(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const l=this._value;return this._value=void 0,l&&f(l,null),l}}t.MutableDisposable=u;class b{constructor(l){this._disposable=l,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}t.RefCountedDisposable=b;class S{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,w(this)}set(l){let c=l;return this.unset=()=>c=void 0,this.isset=()=>c!==void 0,this.dispose=()=>{c&&(c(),c=void 0,p(this))},this}}t.SafeDisposable=S;class F{constructor(){this.references=new Map}acquire(l,...c){let P=this.references.get(l);P||(P={counter:0,object:this.createReferencedObject(l,...c)},this.references.set(l,P));const{object:V}=P,ue=(0,E.once)(()=>{--P.counter==0&&(this.destroyReferencedObject(l,P.object),this.references.delete(l))});return P.counter++,{object:V,dispose:ue}}}t.ReferenceCollection=F;class _{constructor(l){this.referenceCollection=l}async acquire(l,...c){const P=this.referenceCollection.acquire(l,...c);try{return{object:await P.object,dispose:()=>P.dispose()}}catch(V){throw P.dispose(),V}}}t.AsyncReferenceCollection=_;class r{constructor(l){this.object=l}dispose(){}}t.ImmortalReference=r;function n(h){const l=new y;try{h(l)}finally{l.dispose()}}t.disposeOnReturn=n}),define(me[74],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LinkedList=void 0;class E{constructor(M){this.element=M,this.next=E.Undefined,this.prev=E.Undefined}}E.Undefined=new E(void 0);class i{constructor(){this._first=E.Undefined,this._last=E.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===E.Undefined}clear(){let M=this._first;for(;M!==E.Undefined;){const C=M.next;M.prev=E.Undefined,M.next=E.Undefined,M=C}this._first=E.Undefined,this._last=E.Undefined,this._size=0}unshift(M){return this._insert(M,!1)}push(M){return this._insert(M,!0)}_insert(M,C){const w=new E(M);if(this._first===E.Undefined)this._first=w,this._last=w;else if(C){const f=this._last;this._last=w,w.prev=f,f.next=w}else{const f=this._first;this._first=w,w.next=f,f.prev=w}this._size+=1;let p=!1;return()=>{p||(p=!0,this._remove(w))}}shift(){if(this._first!==E.Undefined){const M=this._first.element;return this._remove(this._first),M}}pop(){if(this._last!==E.Undefined){const M=this._last.element;return this._remove(this._last),M}}_remove(M){if(M.prev!==E.Undefined&&M.next!==E.Undefined){const C=M.prev;C.next=M.next,M.next.prev=C}else M.prev===E.Undefined&&M.next===E.Undefined?(this._first=E.Undefined,this._last=E.Undefined):M.next===E.Undefined?(this._last=this._last.prev,this._last.next=E.Undefined):M.prev===E.Undefined&&(this._first=this._first.next,this._first.prev=E.Undefined);this._size-=1}*[Symbol.iterator](){let M=this._first;for(;M!==E.Undefined;)yield M.element,M=M.next}}t.LinkedList=i}),function(Q,t){typeof exports=="object"&&typeof module!="undefined"?t(exports):typeof define=="function"&&define.amd?define(me[75],pe([0]),t):(Q=typeof globalThis!="undefined"?globalThis:Q||self,t(Q.marked={}))}(this,function(Q){"use strict";function t(L,O){for(var z=0;z<O.length;z++){var A=O[z];A.enumerable=A.enumerable||!1,A.configurable=!0,"value"in A&&(A.writable=!0),Object.defineProperty(L,A.key,A)}}function E(L,O,z){return O&&t(L.prototype,O),z&&t(L,z),Object.defineProperty(L,"prototype",{writable:!1}),L}function i(L,O){if(!!L){if(typeof L=="string")return H(L,O);var z=Object.prototype.toString.call(L).slice(8,-1);if(z==="Object"&&L.constructor&&(z=L.constructor.name),z==="Map"||z==="Set")return Array.from(L);if(z==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(z))return H(L,O)}}function H(L,O){(O==null||O>L.length)&&(O=L.length);for(var z=0,A=new Array(O);z<O;z++)A[z]=L[z];return A}function M(L,O){var z=typeof Symbol!="undefined"&&L[Symbol.iterator]||L["@@iterator"];if(z)return(z=z.call(L)).next.bind(z);if(Array.isArray(L)||(z=i(L))||O&&L&&typeof L.length=="number"){z&&(L=z);var A=0;return function(){return A>=L.length?{done:!0}:{done:!1,value:L[A++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function C(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}Q.defaults=C();function w(L){Q.defaults=L}var p=/[&<>"']/,f=/[&<>"']/g,m=/[<>"']|&(?!#?\w+;)/,N=/[<>"']|&(?!#?\w+;)/g,o={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},s=function(O){return o[O]};function e(L,O){if(O){if(p.test(L))return L.replace(f,s)}else if(m.test(L))return L.replace(N,s);return L}var g=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function v(L){return L.replace(g,function(O,z){return z=z.toLowerCase(),z==="colon"?":":z.charAt(0)==="#"?z.charAt(1)==="x"?String.fromCharCode(parseInt(z.substring(2),16)):String.fromCharCode(+z.substring(1)):""})}var D=/(^|[^\[])\^/g;function y(L,O){L=typeof L=="string"?L:L.source,O=O||"";var z={replace:function(B,k){return k=k.source||k,k=k.replace(D,"$1"),L=L.replace(B,k),z},getRegex:function(){return new RegExp(L,O)}};return z}var a=/[^\w:]/g,u=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function b(L,O,z){if(L){var A;try{A=decodeURIComponent(v(z)).replace(a,"").toLowerCase()}catch{return null}if(A.indexOf("javascript:")===0||A.indexOf("vbscript:")===0||A.indexOf("data:")===0)return null}O&&!u.test(z)&&(z=n(O,z));try{z=encodeURI(z).replace(/%25/g,"%")}catch{return null}return z}var S={},F=/^[^:]+:\/*[^/]*$/,_=/^([^:]+:)[\s\S]*$/,r=/^([^:]+:\/*[^/]*)[\s\S]*$/;function n(L,O){S[" "+L]||(F.test(L)?S[" "+L]=L+"/":S[" "+L]=P(L,"/",!0)),L=S[" "+L];var z=L.indexOf(":")===-1;return O.substring(0,2)==="//"?z?O:L.replace(_,"$1")+O:O.charAt(0)==="/"?z?O:L.replace(r,"$1")+O:L+O}var h={exec:function(){}};function l(L){for(var O=1,z,A;O<arguments.length;O++){z=arguments[O];for(A in z)Object.prototype.hasOwnProperty.call(z,A)&&(L[A]=z[A])}return L}function c(L,O){var z=L.replace(/\|/g,function(k,R,x){for(var J=!1,de=R;--de>=0&&x[de]==="\\";)J=!J;return J?"|":" |"}),A=z.split(/ \|/),B=0;if(A[0].trim()||A.shift(),A.length>0&&!A[A.length-1].trim()&&A.pop(),A.length>O)A.splice(O);else for(;A.length<O;)A.push("");for(;B<A.length;B++)A[B]=A[B].trim().replace(/\\\|/g,"|");return A}function P(L,O,z){var A=L.length;if(A===0)return"";for(var B=0;B<A;){var k=L.charAt(A-B-1);if(k===O&&!z)B++;else if(k!==O&&z)B++;else break}return L.slice(0,A-B)}function V(L,O){if(L.indexOf(O[1])===-1)return-1;for(var z=L.length,A=0,B=0;B<z;B++)if(L[B]==="\\")B++;else if(L[B]===O[0])A++;else if(L[B]===O[1]&&(A--,A<0))return B;return-1}function ue(L){L&&L.sanitize&&!L.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function ne(L,O){if(O<1)return"";for(var z="";O>1;)O&1&&(z+=L),O>>=1,L+=L;return z+L}function ge(L,O,z,A){var B=O.href,k=O.title?e(O.title):null,R=L[1].replace(/\\([\[\]])/g,"$1");if(L[0].charAt(0)!=="!"){A.state.inLink=!0;var x={type:"link",raw:z,href:B,title:k,text:R,tokens:A.inlineTokens(R,[])};return A.state.inLink=!1,x}return{type:"image",raw:z,href:B,title:k,text:e(R)}}function ae(L,O){var z=L.match(/^(\s+)(?:```)/);if(z===null)return O;var A=z[1];return O.split(`
`).map(function(B){var k=B.match(/^\s+/);if(k===null)return B;var R=k[0];return R.length>=A.length?B.slice(A.length):B}).join(`
`)}var we=function(){function L(z){this.options=z||Q.defaults}var O=L.prototype;return O.space=function(A){var B=this.rules.block.newline.exec(A);if(B&&B[0].length>0)return{type:"space",raw:B[0]}},O.code=function(A){var B=this.rules.block.code.exec(A);if(B){var k=B[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:B[0],codeBlockStyle:"indented",text:this.options.pedantic?k:P(k,`
`)}}},O.fences=function(A){var B=this.rules.block.fences.exec(A);if(B){var k=B[0],R=ae(k,B[3]||"");return{type:"code",raw:k,lang:B[2]?B[2].trim():B[2],text:R}}},O.heading=function(A){var B=this.rules.block.heading.exec(A);if(B){var k=B[2].trim();if(/#$/.test(k)){var R=P(k,"#");(this.options.pedantic||!R||/ $/.test(R))&&(k=R.trim())}var x={type:"heading",raw:B[0],depth:B[1].length,text:k,tokens:[]};return this.lexer.inline(x.text,x.tokens),x}},O.hr=function(A){var B=this.rules.block.hr.exec(A);if(B)return{type:"hr",raw:B[0]}},O.blockquote=function(A){var B=this.rules.block.blockquote.exec(A);if(B){var k=B[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:B[0],tokens:this.lexer.blockTokens(k,[]),text:k}}},O.list=function(A){var B=this.rules.block.list.exec(A);if(B){var k,R,x,J,de,ce,ye,Ee,ke,Fe,ve,Pe,Me=B[1].trim(),xe=Me.length>1,He={type:"list",raw:"",ordered:xe,start:xe?+Me.slice(0,-1):"",loose:!1,items:[]};Me=xe?"\\d{1,9}\\"+Me.slice(-1):"\\"+Me,this.options.pedantic&&(Me=xe?Me:"[*+-]");for(var ze=new RegExp("^( {0,3}"+Me+")((?:[	 ][^\\n]*)?(?:\\n|$))");A&&(Pe=!1,!(!(B=ze.exec(A))||this.rules.block.hr.test(A)));){if(k=B[0],A=A.substring(k.length),Ee=B[2].split(`
`,1)[0],ke=A.split(`
`,1)[0],this.options.pedantic?(J=2,ve=Ee.trimLeft()):(J=B[2].search(/[^ ]/),J=J>4?1:J,ve=Ee.slice(J),J+=B[1].length),ce=!1,!Ee&&/^ *$/.test(ke)&&(k+=ke+`
`,A=A.substring(ke.length+1),Pe=!0),!Pe)for(var Ye=new RegExp("^ {0,"+Math.min(3,J-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),Ge=new RegExp("^ {0,"+Math.min(3,J-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)");A&&(Fe=A.split(`
`,1)[0],Ee=Fe,this.options.pedantic&&(Ee=Ee.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(Ye.test(Ee)||Ge.test(A)));){if(Ee.search(/[^ ]/)>=J||!Ee.trim())ve+=`
`+Ee.slice(J);else if(!ce)ve+=`
`+Ee;else break;!ce&&!Ee.trim()&&(ce=!0),k+=Fe+`
`,A=A.substring(Fe.length+1)}He.loose||(ye?He.loose=!0:/\n *\n *$/.test(k)&&(ye=!0)),this.options.gfm&&(R=/^\[[ xX]\] /.exec(ve),R&&(x=R[0]!=="[ ] ",ve=ve.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:k,task:!!R,checked:x,loose:!1,text:ve}),He.raw+=k}He.items[He.items.length-1].raw=k.trimRight(),He.items[He.items.length-1].text=ve.trimRight(),He.raw=He.raw.trimRight();var Oe=He.items.length;for(de=0;de<Oe;de++){this.lexer.state.top=!1,He.items[de].tokens=this.lexer.blockTokens(He.items[de].text,[]);var q=He.items[de].tokens.filter(function(be){return be.type==="space"}),oe=q.every(function(be){for(var _e=be.raw.split(""),Ae=0,Re=M(_e),Ve;!(Ve=Re()).done;){var tt=Ve.value;if(tt===`
`&&(Ae+=1),Ae>1)return!0}return!1});!He.loose&&q.length&&oe&&(He.loose=!0,He.items[de].loose=!0)}return He}},O.html=function(A){var B=this.rules.block.html.exec(A);if(B){var k={type:"html",raw:B[0],pre:!this.options.sanitizer&&(B[1]==="pre"||B[1]==="script"||B[1]==="style"),text:B[0]};return this.options.sanitize&&(k.type="paragraph",k.text=this.options.sanitizer?this.options.sanitizer(B[0]):e(B[0]),k.tokens=[],this.lexer.inline(k.text,k.tokens)),k}},O.def=function(A){var B=this.rules.block.def.exec(A);if(B){B[3]&&(B[3]=B[3].substring(1,B[3].length-1));var k=B[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:k,raw:B[0],href:B[2],title:B[3]}}},O.table=function(A){var B=this.rules.block.table.exec(A);if(B){var k={type:"table",header:c(B[1]).map(function(ye){return{text:ye}}),align:B[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:B[3]&&B[3].trim()?B[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(k.header.length===k.align.length){k.raw=B[0];var R=k.align.length,x,J,de,ce;for(x=0;x<R;x++)/^ *-+: *$/.test(k.align[x])?k.align[x]="right":/^ *:-+: *$/.test(k.align[x])?k.align[x]="center":/^ *:-+ *$/.test(k.align[x])?k.align[x]="left":k.align[x]=null;for(R=k.rows.length,x=0;x<R;x++)k.rows[x]=c(k.rows[x],k.header.length).map(function(ye){return{text:ye}});for(R=k.header.length,J=0;J<R;J++)k.header[J].tokens=[],this.lexer.inline(k.header[J].text,k.header[J].tokens);for(R=k.rows.length,J=0;J<R;J++)for(ce=k.rows[J],de=0;de<ce.length;de++)ce[de].tokens=[],this.lexer.inline(ce[de].text,ce[de].tokens);return k}}},O.lheading=function(A){var B=this.rules.block.lheading.exec(A);if(B){var k={type:"heading",raw:B[0],depth:B[2].charAt(0)==="="?1:2,text:B[1],tokens:[]};return this.lexer.inline(k.text,k.tokens),k}},O.paragraph=function(A){var B=this.rules.block.paragraph.exec(A);if(B){var k={type:"paragraph",raw:B[0],text:B[1].charAt(B[1].length-1)===`
`?B[1].slice(0,-1):B[1],tokens:[]};return this.lexer.inline(k.text,k.tokens),k}},O.text=function(A){var B=this.rules.block.text.exec(A);if(B){var k={type:"text",raw:B[0],text:B[0],tokens:[]};return this.lexer.inline(k.text,k.tokens),k}},O.escape=function(A){var B=this.rules.inline.escape.exec(A);if(B)return{type:"escape",raw:B[0],text:e(B[1])}},O.tag=function(A){var B=this.rules.inline.tag.exec(A);if(B)return!this.lexer.state.inLink&&/^<a /i.test(B[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(B[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(B[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(B[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:B[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(B[0]):e(B[0]):B[0]}},O.link=function(A){var B=this.rules.inline.link.exec(A);if(B){var k=B[2].trim();if(!this.options.pedantic&&/^</.test(k)){if(!/>$/.test(k))return;var R=P(k.slice(0,-1),"\\");if((k.length-R.length)%2==0)return}else{var x=V(B[2],"()");if(x>-1){var J=B[0].indexOf("!")===0?5:4,de=J+B[1].length+x;B[2]=B[2].substring(0,x),B[0]=B[0].substring(0,de).trim(),B[3]=""}}var ce=B[2],ye="";if(this.options.pedantic){var Ee=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(ce);Ee&&(ce=Ee[1],ye=Ee[3])}else ye=B[3]?B[3].slice(1,-1):"";return ce=ce.trim(),/^</.test(ce)&&(this.options.pedantic&&!/>$/.test(k)?ce=ce.slice(1):ce=ce.slice(1,-1)),ge(B,{href:ce&&ce.replace(this.rules.inline._escapes,"$1"),title:ye&&ye.replace(this.rules.inline._escapes,"$1")},B[0],this.lexer)}},O.reflink=function(A,B){var k;if((k=this.rules.inline.reflink.exec(A))||(k=this.rules.inline.nolink.exec(A))){var R=(k[2]||k[1]).replace(/\s+/g," ");if(R=B[R.toLowerCase()],!R||!R.href){var x=k[0].charAt(0);return{type:"text",raw:x,text:x}}return ge(k,R,k[0],this.lexer)}},O.emStrong=function(A,B,k){k===void 0&&(k="");var R=this.rules.inline.emStrong.lDelim.exec(A);if(!!R&&!(R[3]&&k.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var x=R[1]||R[2]||"";if(!x||x&&(k===""||this.rules.inline.punctuation.exec(k))){var J=R[0].length-1,de,ce,ye=J,Ee=0,ke=R[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ke.lastIndex=0,B=B.slice(-1*A.length+J);(R=ke.exec(B))!=null;)if(de=R[1]||R[2]||R[3]||R[4]||R[5]||R[6],!!de){if(ce=de.length,R[3]||R[4]){ye+=ce;continue}else if((R[5]||R[6])&&J%3&&!((J+ce)%3)){Ee+=ce;continue}if(ye-=ce,!(ye>0)){if(ce=Math.min(ce,ce+ye+Ee),Math.min(J,ce)%2){var Fe=A.slice(1,J+R.index+ce);return{type:"em",raw:A.slice(0,J+R.index+ce+1),text:Fe,tokens:this.lexer.inlineTokens(Fe,[])}}var ve=A.slice(2,J+R.index+ce-1);return{type:"strong",raw:A.slice(0,J+R.index+ce+1),text:ve,tokens:this.lexer.inlineTokens(ve,[])}}}}}},O.codespan=function(A){var B=this.rules.inline.code.exec(A);if(B){var k=B[2].replace(/\n/g," "),R=/[^ ]/.test(k),x=/^ /.test(k)&&/ $/.test(k);return R&&x&&(k=k.substring(1,k.length-1)),k=e(k,!0),{type:"codespan",raw:B[0],text:k}}},O.br=function(A){var B=this.rules.inline.br.exec(A);if(B)return{type:"br",raw:B[0]}},O.del=function(A){var B=this.rules.inline.del.exec(A);if(B)return{type:"del",raw:B[0],text:B[2],tokens:this.lexer.inlineTokens(B[2],[])}},O.autolink=function(A,B){var k=this.rules.inline.autolink.exec(A);if(k){var R,x;return k[2]==="@"?(R=e(this.options.mangle?B(k[1]):k[1]),x="mailto:"+R):(R=e(k[1]),x=R),{type:"link",raw:k[0],text:R,href:x,tokens:[{type:"text",raw:R,text:R}]}}},O.url=function(A,B){var k;if(k=this.rules.inline.url.exec(A)){var R,x;if(k[2]==="@")R=e(this.options.mangle?B(k[0]):k[0]),x="mailto:"+R;else{var J;do J=k[0],k[0]=this.rules.inline._backpedal.exec(k[0])[0];while(J!==k[0]);R=e(k[0]),k[1]==="www."?x="http://"+R:x=R}return{type:"link",raw:k[0],text:R,href:x,tokens:[{type:"text",raw:R,text:R}]}}},O.inlineText=function(A,B){var k=this.rules.inline.text.exec(A);if(k){var R;return this.lexer.state.inRawBlock?R=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(k[0]):e(k[0]):k[0]:R=e(this.options.smartypants?B(k[0]):k[0]),{type:"text",raw:k[0],text:R}}},L}(),he={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:h,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};he._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,he._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,he.def=y(he.def).replace("label",he._label).replace("title",he._title).getRegex(),he.bullet=/(?:[*+-]|\d{1,9}[.)])/,he.listItemStart=y(/^( *)(bull) */).replace("bull",he.bullet).getRegex(),he.list=y(he.list).replace(/bull/g,he.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+he.def.source+")").getRegex(),he._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",he._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,he.html=y(he.html,"i").replace("comment",he._comment).replace("tag",he._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),he.paragraph=y(he._paragraph).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.blockquote=y(he.blockquote).replace("paragraph",he.paragraph).getRegex(),he.normal=l({},he),he.gfm=l({},he.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),he.gfm.table=y(he.gfm.table).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.gfm.paragraph=y(he._paragraph).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",he.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.pedantic=l({},he.normal,{html:y(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",he._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:h,paragraph:y(he.normal._paragraph).replace("hr",he.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",he.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var re={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:h,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:h,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};re._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",re.punctuation=y(re.punctuation).replace(/punctuation/g,re._punctuation).getRegex(),re.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,re.escapedEmSt=/\\\*|\\_/g,re._comment=y(he._comment).replace("(?:-->|$)","-->").getRegex(),re.emStrong.lDelim=y(re.emStrong.lDelim).replace(/punct/g,re._punctuation).getRegex(),re.emStrong.rDelimAst=y(re.emStrong.rDelimAst,"g").replace(/punct/g,re._punctuation).getRegex(),re.emStrong.rDelimUnd=y(re.emStrong.rDelimUnd,"g").replace(/punct/g,re._punctuation).getRegex(),re._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,re._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,re._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,re.autolink=y(re.autolink).replace("scheme",re._scheme).replace("email",re._email).getRegex(),re._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,re.tag=y(re.tag).replace("comment",re._comment).replace("attribute",re._attribute).getRegex(),re._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,re._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,re._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,re.link=y(re.link).replace("label",re._label).replace("href",re._href).replace("title",re._title).getRegex(),re.reflink=y(re.reflink).replace("label",re._label).replace("ref",he._label).getRegex(),re.nolink=y(re.nolink).replace("ref",he._label).getRegex(),re.reflinkSearch=y(re.reflinkSearch,"g").replace("reflink",re.reflink).replace("nolink",re.nolink).getRegex(),re.normal=l({},re),re.pedantic=l({},re.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:y(/^!?\[(label)\]\((.*?)\)/).replace("label",re._label).getRegex(),reflink:y(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",re._label).getRegex()}),re.gfm=l({},re.normal,{escape:y(re.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),re.gfm.url=y(re.gfm.url,"i").replace("email",re.gfm._extended_email).getRegex(),re.breaks=l({},re.gfm,{br:y(re.br).replace("{2,}","*").getRegex(),text:y(re.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function Ce(L){return L.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function te(L){var O="",z,A,B=L.length;for(z=0;z<B;z++)A=L.charCodeAt(z),Math.random()>.5&&(A="x"+A.toString(16)),O+="&#"+A+";";return O}var De=function(){function L(z){this.tokens=[],this.tokens.links=Object.create(null),this.options=z||Q.defaults,this.options.tokenizer=this.options.tokenizer||new we,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var A={block:he.normal,inline:re.normal};this.options.pedantic?(A.block=he.pedantic,A.inline=re.pedantic):this.options.gfm&&(A.block=he.gfm,this.options.breaks?A.inline=re.breaks:A.inline=re.gfm),this.tokenizer.rules=A}L.lex=function(A,B){var k=new L(B);return k.lex(A)},L.lexInline=function(A,B){var k=new L(B);return k.inlineTokens(A)};var O=L.prototype;return O.lex=function(A){A=A.replace(/\r\n|\r/g,`
`),this.blockTokens(A,this.tokens);for(var B;B=this.inlineQueue.shift();)this.inlineTokens(B.src,B.tokens);return this.tokens},O.blockTokens=function(A,B){var k=this;B===void 0&&(B=[]),this.options.pedantic?A=A.replace(/\t/g,"    ").replace(/^ +$/gm,""):A=A.replace(/^( *)(\t+)/gm,function(ye,Ee,ke){return Ee+"    ".repeat(ke.length)});for(var R,x,J,de;A;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(ye){return(R=ye.call({lexer:k},A,B))?(A=A.substring(R.raw.length),B.push(R),!0):!1}))){if(R=this.tokenizer.space(A)){A=A.substring(R.raw.length),R.raw.length===1&&B.length>0?B[B.length-1].raw+=`
`:B.push(R);continue}if(R=this.tokenizer.code(A)){A=A.substring(R.raw.length),x=B[B.length-1],x&&(x.type==="paragraph"||x.type==="text")?(x.raw+=`
`+R.raw,x.text+=`
`+R.text,this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(R);continue}if(R=this.tokenizer.fences(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.heading(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.hr(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.blockquote(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.list(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.html(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.def(A)){A=A.substring(R.raw.length),x=B[B.length-1],x&&(x.type==="paragraph"||x.type==="text")?(x.raw+=`
`+R.raw,x.text+=`
`+R.raw,this.inlineQueue[this.inlineQueue.length-1].src=x.text):this.tokens.links[R.tag]||(this.tokens.links[R.tag]={href:R.href,title:R.title});continue}if(R=this.tokenizer.table(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.lheading(A)){A=A.substring(R.raw.length),B.push(R);continue}if(J=A,this.options.extensions&&this.options.extensions.startBlock&&function(){var ye=1/0,Ee=A.slice(1),ke=void 0;k.options.extensions.startBlock.forEach(function(Fe){ke=Fe.call({lexer:this},Ee),typeof ke=="number"&&ke>=0&&(ye=Math.min(ye,ke))}),ye<1/0&&ye>=0&&(J=A.substring(0,ye+1))}(),this.state.top&&(R=this.tokenizer.paragraph(J))){x=B[B.length-1],de&&x.type==="paragraph"?(x.raw+=`
`+R.raw,x.text+=`
`+R.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(R),de=J.length!==A.length,A=A.substring(R.raw.length);continue}if(R=this.tokenizer.text(A)){A=A.substring(R.raw.length),x=B[B.length-1],x&&x.type==="text"?(x.raw+=`
`+R.raw,x.text+=`
`+R.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=x.text):B.push(R);continue}if(A){var ce="Infinite loop on byte: "+A.charCodeAt(0);if(this.options.silent){console.error(ce);break}else throw new Error(ce)}}return this.state.top=!0,B},O.inline=function(A,B){this.inlineQueue.push({src:A,tokens:B})},O.inlineTokens=function(A,B){var k=this;B===void 0&&(B=[]);var R,x,J,de=A,ce,ye,Ee;if(this.tokens.links){var ke=Object.keys(this.tokens.links);if(ke.length>0)for(;(ce=this.tokenizer.rules.inline.reflinkSearch.exec(de))!=null;)ke.includes(ce[0].slice(ce[0].lastIndexOf("[")+1,-1))&&(de=de.slice(0,ce.index)+"["+ne("a",ce[0].length-2)+"]"+de.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(ce=this.tokenizer.rules.inline.blockSkip.exec(de))!=null;)de=de.slice(0,ce.index)+"["+ne("a",ce[0].length-2)+"]"+de.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(ce=this.tokenizer.rules.inline.escapedEmSt.exec(de))!=null;)de=de.slice(0,ce.index)+"++"+de.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;A;)if(ye||(Ee=""),ye=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(ve){return(R=ve.call({lexer:k},A,B))?(A=A.substring(R.raw.length),B.push(R),!0):!1}))){if(R=this.tokenizer.escape(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.tag(A)){A=A.substring(R.raw.length),x=B[B.length-1],x&&R.type==="text"&&x.type==="text"?(x.raw+=R.raw,x.text+=R.text):B.push(R);continue}if(R=this.tokenizer.link(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.reflink(A,this.tokens.links)){A=A.substring(R.raw.length),x=B[B.length-1],x&&R.type==="text"&&x.type==="text"?(x.raw+=R.raw,x.text+=R.text):B.push(R);continue}if(R=this.tokenizer.emStrong(A,de,Ee)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.codespan(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.br(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.del(A)){A=A.substring(R.raw.length),B.push(R);continue}if(R=this.tokenizer.autolink(A,te)){A=A.substring(R.raw.length),B.push(R);continue}if(!this.state.inLink&&(R=this.tokenizer.url(A,te))){A=A.substring(R.raw.length),B.push(R);continue}if(J=A,this.options.extensions&&this.options.extensions.startInline&&function(){var ve=1/0,Pe=A.slice(1),Me=void 0;k.options.extensions.startInline.forEach(function(xe){Me=xe.call({lexer:this},Pe),typeof Me=="number"&&Me>=0&&(ve=Math.min(ve,Me))}),ve<1/0&&ve>=0&&(J=A.substring(0,ve+1))}(),R=this.tokenizer.inlineText(J,Ce)){A=A.substring(R.raw.length),R.raw.slice(-1)!=="_"&&(Ee=R.raw.slice(-1)),ye=!0,x=B[B.length-1],x&&x.type==="text"?(x.raw+=R.raw,x.text+=R.text):B.push(R);continue}if(A){var Fe="Infinite loop on byte: "+A.charCodeAt(0);if(this.options.silent){console.error(Fe);break}else throw new Error(Fe)}}return B},E(L,null,[{key:"rules",get:function(){return{block:he,inline:re}}}]),L}(),ee=function(){function L(z){this.options=z||Q.defaults}var O=L.prototype;return O.code=function(A,B,k){var R=(B||"").match(/\S*/)[0];if(this.options.highlight){var x=this.options.highlight(A,R);x!=null&&x!==A&&(k=!0,A=x)}return A=A.replace(/\n$/,"")+`
`,R?'<pre><code class="'+this.options.langPrefix+e(R,!0)+'">'+(k?A:e(A,!0))+`</code></pre>
`:"<pre><code>"+(k?A:e(A,!0))+`</code></pre>
`},O.blockquote=function(A){return`<blockquote>
`+A+`</blockquote>
`},O.html=function(A){return A},O.heading=function(A,B,k,R){if(this.options.headerIds){var x=this.options.headerPrefix+R.slug(k);return"<h"+B+' id="'+x+'">'+A+"</h"+B+`>
`}return"<h"+B+">"+A+"</h"+B+`>
`},O.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},O.list=function(A,B,k){var R=B?"ol":"ul",x=B&&k!==1?' start="'+k+'"':"";return"<"+R+x+`>
`+A+"</"+R+`>
`},O.listitem=function(A){return"<li>"+A+`</li>
`},O.checkbox=function(A){return"<input "+(A?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},O.paragraph=function(A){return"<p>"+A+`</p>
`},O.table=function(A,B){return B&&(B="<tbody>"+B+"</tbody>"),`<table>
<thead>
`+A+`</thead>
`+B+`</table>
`},O.tablerow=function(A){return`<tr>
`+A+`</tr>
`},O.tablecell=function(A,B){var k=B.header?"th":"td",R=B.align?"<"+k+' align="'+B.align+'">':"<"+k+">";return R+A+("</"+k+`>
`)},O.strong=function(A){return"<strong>"+A+"</strong>"},O.em=function(A){return"<em>"+A+"</em>"},O.codespan=function(A){return"<code>"+A+"</code>"},O.br=function(){return this.options.xhtml?"<br/>":"<br>"},O.del=function(A){return"<del>"+A+"</del>"},O.link=function(A,B,k){if(A=b(this.options.sanitize,this.options.baseUrl,A),A===null)return k;var R='<a href="'+e(A)+'"';return B&&(R+=' title="'+B+'"'),R+=">"+k+"</a>",R},O.image=function(A,B,k){if(A=b(this.options.sanitize,this.options.baseUrl,A),A===null)return k;var R='<img src="'+A+'" alt="'+k+'"';return B&&(R+=' title="'+B+'"'),R+=this.options.xhtml?"/>":">",R},O.text=function(A){return A},L}(),X=function(){function L(){}var O=L.prototype;return O.strong=function(A){return A},O.em=function(A){return A},O.codespan=function(A){return A},O.del=function(A){return A},O.html=function(A){return A},O.text=function(A){return A},O.link=function(A,B,k){return""+k},O.image=function(A,B,k){return""+k},O.br=function(){return""},L}(),se=function(){function L(){this.seen={}}var O=L.prototype;return O.serialize=function(A){return A.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},O.getNextSafeSlug=function(A,B){var k=A,R=0;if(this.seen.hasOwnProperty(k)){R=this.seen[A];do R++,k=A+"-"+R;while(this.seen.hasOwnProperty(k))}return B||(this.seen[A]=R,this.seen[k]=0),k},O.slug=function(A,B){B===void 0&&(B={});var k=this.serialize(A);return this.getNextSafeSlug(k,B.dryrun)},L}(),ie=function(){function L(z){this.options=z||Q.defaults,this.options.renderer=this.options.renderer||new ee,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new X,this.slugger=new se}L.parse=function(A,B){var k=new L(B);return k.parse(A)},L.parseInline=function(A,B){var k=new L(B);return k.parseInline(A)};var O=L.prototype;return O.parse=function(A,B){B===void 0&&(B=!0);var k="",R,x,J,de,ce,ye,Ee,ke,Fe,ve,Pe,Me,xe,He,ze,Ye,Ge,Oe,q,oe=A.length;for(R=0;R<oe;R++){if(ve=A[R],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ve.type]&&(q=this.options.extensions.renderers[ve.type].call({parser:this},ve),q!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(ve.type))){k+=q||"";continue}switch(ve.type){case"space":continue;case"hr":{k+=this.renderer.hr();continue}case"heading":{k+=this.renderer.heading(this.parseInline(ve.tokens),ve.depth,v(this.parseInline(ve.tokens,this.textRenderer)),this.slugger);continue}case"code":{k+=this.renderer.code(ve.text,ve.lang,ve.escaped);continue}case"table":{for(ke="",Ee="",de=ve.header.length,x=0;x<de;x++)Ee+=this.renderer.tablecell(this.parseInline(ve.header[x].tokens),{header:!0,align:ve.align[x]});for(ke+=this.renderer.tablerow(Ee),Fe="",de=ve.rows.length,x=0;x<de;x++){for(ye=ve.rows[x],Ee="",ce=ye.length,J=0;J<ce;J++)Ee+=this.renderer.tablecell(this.parseInline(ye[J].tokens),{header:!1,align:ve.align[J]});Fe+=this.renderer.tablerow(Ee)}k+=this.renderer.table(ke,Fe);continue}case"blockquote":{Fe=this.parse(ve.tokens),k+=this.renderer.blockquote(Fe);continue}case"list":{for(Pe=ve.ordered,Me=ve.start,xe=ve.loose,de=ve.items.length,Fe="",x=0;x<de;x++)ze=ve.items[x],Ye=ze.checked,Ge=ze.task,He="",ze.task&&(Oe=this.renderer.checkbox(Ye),xe?ze.tokens.length>0&&ze.tokens[0].type==="paragraph"?(ze.tokens[0].text=Oe+" "+ze.tokens[0].text,ze.tokens[0].tokens&&ze.tokens[0].tokens.length>0&&ze.tokens[0].tokens[0].type==="text"&&(ze.tokens[0].tokens[0].text=Oe+" "+ze.tokens[0].tokens[0].text)):ze.tokens.unshift({type:"text",text:Oe}):He+=Oe),He+=this.parse(ze.tokens,xe),Fe+=this.renderer.listitem(He,Ge,Ye);k+=this.renderer.list(Fe,Pe,Me);continue}case"html":{k+=this.renderer.html(ve.text);continue}case"paragraph":{k+=this.renderer.paragraph(this.parseInline(ve.tokens));continue}case"text":{for(Fe=ve.tokens?this.parseInline(ve.tokens):ve.text;R+1<oe&&A[R+1].type==="text";)ve=A[++R],Fe+=`
`+(ve.tokens?this.parseInline(ve.tokens):ve.text);k+=B?this.renderer.paragraph(Fe):Fe;continue}default:{var be='Token with "'+ve.type+'" type was not found.';if(this.options.silent){console.error(be);return}else throw new Error(be)}}}return k},O.parseInline=function(A,B){B=B||this.renderer;var k="",R,x,J,de=A.length;for(R=0;R<de;R++){if(x=A[R],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[x.type]&&(J=this.options.extensions.renderers[x.type].call({parser:this},x),J!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(x.type))){k+=J||"";continue}switch(x.type){case"escape":{k+=B.text(x.text);break}case"html":{k+=B.html(x.text);break}case"link":{k+=B.link(x.href,x.title,this.parseInline(x.tokens,B));break}case"image":{k+=B.image(x.href,x.title,x.text);break}case"strong":{k+=B.strong(this.parseInline(x.tokens,B));break}case"em":{k+=B.em(this.parseInline(x.tokens,B));break}case"codespan":{k+=B.codespan(x.text);break}case"br":{k+=B.br();break}case"del":{k+=B.del(this.parseInline(x.tokens,B));break}case"text":{k+=B.text(x.text);break}default:{var ce='Token with "'+x.type+'" type was not found.';if(this.options.silent){console.error(ce);return}else throw new Error(ce)}}}return k},L}();function T(L,O,z){if(typeof L=="undefined"||L===null)throw new Error("marked(): input parameter is undefined or null");if(typeof L!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(L)+", string expected");if(typeof O=="function"&&(z=O,O=null),O=l({},T.defaults,O||{}),ue(O),z){var A=O.highlight,B;try{B=De.lex(L,O)}catch(J){return z(J)}var k=function(de){var ce;if(!de)try{O.walkTokens&&T.walkTokens(B,O.walkTokens),ce=ie.parse(B,O)}catch(ye){de=ye}return O.highlight=A,de?z(de):z(null,ce)};if(!A||A.length<3||(delete O.highlight,!B.length))return k();var R=0;T.walkTokens(B,function(J){J.type==="code"&&(R++,setTimeout(function(){A(J.text,J.lang,function(de,ce){if(de)return k(de);ce!=null&&ce!==J.text&&(J.text=ce,J.escaped=!0),R--,R===0&&k()})},0))}),R===0&&k();return}try{var x=De.lex(L,O);return O.walkTokens&&T.walkTokens(x,O.walkTokens),ie.parse(x,O)}catch(J){if(J.message+=`
Please report this to https://github.com/markedjs/marked.`,O.silent)return"<p>An error occurred:</p><pre>"+e(J.message+"",!0)+"</pre>";throw J}}T.options=T.setOptions=function(L){return l(T.defaults,L),w(T.defaults),T},T.getDefaults=C,T.defaults=Q.defaults,T.use=function(){for(var L=arguments.length,O=new Array(L),z=0;z<L;z++)O[z]=arguments[z];var A=l.apply(void 0,[{}].concat(O)),B=T.defaults.extensions||{renderers:{},childTokens:{}},k;O.forEach(function(R){if(R.extensions&&(k=!0,R.extensions.forEach(function(J){if(!J.name)throw new Error("extension name required");if(J.renderer){var de=B.renderers?B.renderers[J.name]:null;de?B.renderers[J.name]=function(){for(var ce=arguments.length,ye=new Array(ce),Ee=0;Ee<ce;Ee++)ye[Ee]=arguments[Ee];var ke=J.renderer.apply(this,ye);return ke===!1&&(ke=de.apply(this,ye)),ke}:B.renderers[J.name]=J.renderer}if(J.tokenizer){if(!J.level||J.level!=="block"&&J.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");B[J.level]?B[J.level].unshift(J.tokenizer):B[J.level]=[J.tokenizer],J.start&&(J.level==="block"?B.startBlock?B.startBlock.push(J.start):B.startBlock=[J.start]:J.level==="inline"&&(B.startInline?B.startInline.push(J.start):B.startInline=[J.start]))}J.childTokens&&(B.childTokens[J.name]=J.childTokens)})),R.renderer&&function(){var J=T.defaults.renderer||new ee,de=function(Ee){var ke=J[Ee];J[Ee]=function(){for(var Fe=arguments.length,ve=new Array(Fe),Pe=0;Pe<Fe;Pe++)ve[Pe]=arguments[Pe];var Me=R.renderer[Ee].apply(J,ve);return Me===!1&&(Me=ke.apply(J,ve)),Me}};for(var ce in R.renderer)de(ce);A.renderer=J}(),R.tokenizer&&function(){var J=T.defaults.tokenizer||new we,de=function(Ee){var ke=J[Ee];J[Ee]=function(){for(var Fe=arguments.length,ve=new Array(Fe),Pe=0;Pe<Fe;Pe++)ve[Pe]=arguments[Pe];var Me=R.tokenizer[Ee].apply(J,ve);return Me===!1&&(Me=ke.apply(J,ve)),Me}};for(var ce in R.tokenizer)de(ce);A.tokenizer=J}(),R.walkTokens){var x=T.defaults.walkTokens;A.walkTokens=function(J){R.walkTokens.call(this,J),x&&x.call(this,J)}}k&&(A.extensions=B),T.setOptions(A)})},T.walkTokens=function(L,O){for(var z=function(){var R=B.value;switch(O.call(T,R),R.type){case"table":{for(var x=M(R.header),J;!(J=x()).done;){var de=J.value;T.walkTokens(de.tokens,O)}for(var ce=M(R.rows),ye;!(ye=ce()).done;)for(var Ee=ye.value,ke=M(Ee),Fe;!(Fe=ke()).done;){var ve=Fe.value;T.walkTokens(ve.tokens,O)}break}case"list":{T.walkTokens(R.items,O);break}default:T.defaults.extensions&&T.defaults.extensions.childTokens&&T.defaults.extensions.childTokens[R.type]?T.defaults.extensions.childTokens[R.type].forEach(function(Pe){T.walkTokens(R[Pe],O)}):R.tokens&&T.walkTokens(R.tokens,O)}},A=M(L),B;!(B=A()).done;)z()},T.parseInline=function(L,O){if(typeof L=="undefined"||L===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof L!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(L)+", string expected");O=l({},T.defaults,O||{}),ue(O);try{var z=De.lexInline(L,O);return O.walkTokens&&T.walkTokens(z,O.walkTokens),ie.parseInline(z,O)}catch(A){if(A.message+=`
Please report this to https://github.com/markedjs/marked.`,O.silent)return"<p>An error occurred:</p><pre>"+e(A.message+"",!0)+"</pre>";throw A}},T.Parser=ie,T.parser=ie.parse,T.Renderer=ee,T.TextRenderer=X,T.Lexer=De,T.lexer=De.lex,T.Tokenizer=we,T.Slugger=se,T.parse=T;var $=T.options,j=T.setOptions,W=T.use,d=T.walkTokens,I=T.parseInline,U=T,K=ie.parse,Z=De.lex;Q.Lexer=De,Q.Parser=ie,Q.Renderer=ee,Q.Slugger=se,Q.TextRenderer=X,Q.Tokenizer=we,Q.getDefaults=C,Q.lexer=Z,Q.marked=T,Q.options=$,Q.parse=U,Q.parseInline=I,Q.parser=K,Q.setOptions=j,Q.use=W,Q.walkTokens=d,Object.defineProperty(Q,"__esModule",{value:!0})}),define(me[76],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ArrayNavigator=void 0;class E{constructor(H,M=0,C=H.length,w=M-1){this.items=H,this.start=M,this.end=C,this.index=w}current(){return this.index===this.start-1||this.index===this.end?null:this.items[this.index]}next(){return this.index=Math.min(this.index+1,this.end),this.current()}previous(){return this.index=Math.max(this.index-1,this.start-1),this.current()}first(){return this.index=this.start,this.current()}last(){return this.index=this.end-1,this.current()}}t.ArrayNavigator=E}),define(me[77],pe([1,0,76]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HistoryNavigator2=t.HistoryNavigator=void 0;class i{constructor(C=[],w=10){this._initialize(C),this._limit=w,this._onChange()}getHistory(){return this._elements}add(C){this._history.delete(C),this._history.add(C),this._onChange()}next(){return this._currentPosition()!==this._elements.length-1?this._navigator.next():null}previous(){return this._currentPosition()!==0?this._navigator.previous():null}current(){return this._navigator.current()}first(){return this._navigator.first()}last(){return this._navigator.last()}has(C){return this._history.has(C)}clear(){this._initialize([]),this._onChange()}_onChange(){this._reduceToLimit();const C=this._elements;this._navigator=new E.ArrayNavigator(C,0,C.length,C.length)}_reduceToLimit(){const C=this._elements;C.length>this._limit&&this._initialize(C.slice(C.length-this._limit))}_currentPosition(){const C=this._navigator.current();return C?this._elements.indexOf(C):-1}_initialize(C){this._history=new Set;for(const w of C)this._history.add(w)}get _elements(){const C=[];return this._history.forEach(w=>C.push(w)),C}}t.HistoryNavigator=i;class H{constructor(C,w=10){if(this.capacity=w,C.length<1)throw new Error("not supported");this.size=1,this.head=this.tail=this.cursor={value:C[0],previous:void 0,next:void 0};for(let p=1;p<C.length;p++)this.add(C[p])}add(C){const w={value:C,previous:this.tail,next:void 0};for(this.tail.next=w,this.tail=w,this.cursor=this.tail,this.size++;this.size>this.capacity;)this.head=this.head.next,this.head.previous=void 0,this.size--}replaceLast(C){const w=this.tail.value;return this.tail.value=C,w}isAtEnd(){return this.cursor===this.tail}current(){return this.cursor.value}previous(){return this.cursor.previous&&(this.cursor=this.cursor.previous),this.cursor.value}next(){return this.cursor.next&&(this.cursor=this.cursor.next),this.cursor.value}has(C){let w=this.head;for(;w;){if(w.value===C)return!0;w=w.next}return!1}resetCursor(){return this.cursor=this.tail,this.cursor.value}*[Symbol.iterator](){let C=this.head;for(;C;)yield C.value,C=C.next}}t.HistoryNavigator2=H}),define(me[44],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SlidingWindowAverage=t.MovingAverage=t.Counter=t.rot=t.clamp=void 0;function E(w,p,f){return Math.min(Math.max(w,p),f)}t.clamp=E;function i(w,p){return(p+w%p)%p}t.rot=i;class H{constructor(){this._next=0}getNext(){return this._next++}}t.Counter=H;class M{constructor(){this._n=1,this._val=0}update(p){return this._val=this._val+(p-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}t.MovingAverage=M;class C{constructor(p){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(p),this._values.fill(0,0,p)}update(p){const f=this._values[this._index];return this._values[this._index]=p,this._index=(this._index+1)%this._values.length,this._sum-=f,this._sum+=p,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}t.SlidingWindowAverage=C}),define(me[45],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Range=void 0;var E;(function(i){function H(p,f){if(p.start>=f.end||f.start>=p.end)return{start:0,end:0};const m=Math.max(p.start,f.start),N=Math.min(p.end,f.end);return N-m<=0?{start:0,end:0}:{start:m,end:N}}i.intersect=H;function M(p){return p.end-p.start<=0}i.isEmpty=M;function C(p,f){return!M(H(p,f))}i.intersects=C;function w(p,f){const m=[],N={start:p.start,end:Math.min(f.start,p.end)},o={start:Math.max(f.end,p.start),end:p.end};return M(N)||m.push(N),M(o)||m.push(o),m}i.relativeComplement=w})(E=t.Range||(t.Range={}))}),define(me[78],pe([1,0,45]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RangeMap=t.consolidate=t.shift=t.groupIntersect=void 0;function i(p,f){const m=[];for(const N of f){if(p.start>=N.range.end)continue;if(p.end<N.range.start)break;const o=E.Range.intersect(p,N.range);E.Range.isEmpty(o)||m.push({range:o,size:N.size})}return m}t.groupIntersect=i;function H({start:p,end:f},m){return{start:p+m,end:f+m}}t.shift=H;function M(p){const f=[];let m=null;for(const N of p){const o=N.range.start,s=N.range.end,e=N.size;if(m&&e===m.size){m.range.end=s;continue}m={range:{start:o,end:s},size:e},f.push(m)}return f}t.consolidate=M;function C(...p){return M(p.reduce((f,m)=>f.concat(m),[]))}class w{constructor(){this.groups=[],this._size=0}splice(f,m,N=[]){const o=N.length-m,s=i({start:0,end:f},this.groups),e=i({start:f+m,end:Number.POSITIVE_INFINITY},this.groups).map(v=>({range:H(v.range,o),size:v.size})),g=N.map((v,D)=>({range:{start:f+D,end:f+D+1},size:v.size}));this.groups=C(s,g,e),this._size=this.groups.reduce((v,D)=>v+D.size*(D.range.end-D.range.start),0)}get count(){const f=this.groups.length;return f?this.groups[f-1].range.end:0}get size(){return this._size}indexAt(f){if(f<0)return-1;let m=0,N=0;for(const o of this.groups){const s=o.range.end-o.range.start,e=N+s*o.size;if(f<e)return m+Math.floor((f-N)/o.size);m+=s,N=e}return m}indexAfter(f){return Math.min(this.indexAt(f)+1,this.count)}positionAt(f){if(f<0)return-1;let m=0,N=0;for(const o of this.groups){const s=o.range.end-o.range.start,e=N+s;if(f<e)return m+(f-N)*o.size;m+=s*o.size,N=e}return-1}}t.RangeMap=w}),define(me[79],pe([1,0,13,2]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prefixedStream=t.prefixedReadable=t.transform=t.toReadable=t.emptyStream=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=t.isReadable=void 0;function H(u){const b=u;return b?typeof b.read=="function":!1}t.isReadable=H;function M(u){const b=u;return b?[b.on,b.pause,b.resume,b.destroy].every(S=>typeof S=="function"):!1}t.isReadableStream=M;function C(u){const b=u;return b?M(b.stream)&&Array.isArray(b.buffer)&&typeof b.ended=="boolean":!1}t.isReadableBufferedStream=C;function w(u,b){return new p(u,b)}t.newWriteableStream=w;class p{constructor(b,S){this.reducer=b,this.options=S,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(b){if(!this.state.destroyed){if(this.state.flowing)this.emitData(b);else if(this.buffer.data.push(b),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(S=>this.pendingWritePromises.push(S))}}error(b){this.state.destroyed||(this.state.flowing?this.emitError(b):this.buffer.error.push(b))}end(b){this.state.destroyed||(typeof b!="undefined"&&this.write(b),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(b){this.listeners.data.slice(0).forEach(S=>S(b))}emitError(b){this.listeners.error.length===0?(0,E.onUnexpectedError)(b):this.listeners.error.slice(0).forEach(S=>S(b))}emitEnd(){this.listeners.end.slice(0).forEach(b=>b())}on(b,S){if(!this.state.destroyed)switch(b){case"data":this.listeners.data.push(S),this.resume();break;case"end":this.listeners.end.push(S),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(S),this.state.flowing&&this.flowErrors();break}}removeListener(b,S){if(this.state.destroyed)return;let F;switch(b){case"data":F=this.listeners.data;break;case"end":F=this.listeners.end;break;case"error":F=this.listeners.error;break}if(F){const _=F.indexOf(S);_>=0&&F.splice(_,1)}}flowData(){if(this.buffer.data.length>0){const b=this.reducer(this.buffer.data);this.emitData(b),this.buffer.data.length=0;const S=[...this.pendingWritePromises];this.pendingWritePromises.length=0,S.forEach(F=>F())}}flowErrors(){if(this.listeners.error.length>0){for(const b of this.buffer.error)this.emitError(b);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function f(u,b){const S=[];let F;for(;(F=u.read())!==null;)S.push(F);return b(S)}t.consumeReadable=f;function m(u,b,S){const F=[];let _;for(;(_=u.read())!==null&&F.length<S;)F.push(_);return _===null&&F.length>0?b(F):{read:()=>{if(F.length>0)return F.shift();if(typeof _!="undefined"){const r=_;return _=void 0,r}return u.read()}}}t.peekReadable=m;function N(u,b){return new Promise((S,F)=>{const _=[];o(u,{onData:r=>{b&&_.push(r)},onError:r=>{b?F(r):S(void 0)},onEnd:()=>{S(b?b(_):void 0)}})})}t.consumeStream=N;function o(u,b){let S=!1;return u.on("error",F=>{S||b.onError(F)}),u.on("end",()=>{S||b.onEnd()}),u.on("data",F=>{S||b.onData(F)}),(0,i.toDisposable)(()=>S=!0)}t.listenStream=o;function s(u,b){return new Promise((S,F)=>{const _=new i.DisposableStore,r=[],n=c=>{if(r.push(c),r.length>b)return _.dispose(),u.pause(),S({stream:u,buffer:r,ended:!1})},h=c=>F(c),l=()=>S({stream:u,buffer:r,ended:!0});_.add((0,i.toDisposable)(()=>u.removeListener("error",h))),u.on("error",h),_.add((0,i.toDisposable)(()=>u.removeListener("end",l))),u.on("end",l),_.add((0,i.toDisposable)(()=>u.removeListener("data",n))),u.on("data",n)})}t.peekStream=s;function e(u,b){const S=w(b);return S.end(u),S}t.toStream=e;function g(){const u=w(()=>{throw new Error("not supported")});return u.end(),u}t.emptyStream=g;function v(u){let b=!1;return{read:()=>b?null:(b=!0,u)}}t.toReadable=v;function D(u,b,S){const F=w(S);return o(u,{onData:_=>F.write(b.data(_)),onError:_=>F.error(b.error?b.error(_):_),onEnd:()=>F.end()}),F}t.transform=D;function y(u,b,S){let F=!1;return{read:()=>{const _=b.read();return F?_:(F=!0,_!==null?S([u,_]):u)}}}t.prefixedReadable=y;function a(u,b,S){let F=!1;const _=w(S);return o(b,{onData:r=>F?_.write(r):(F=!0,_.write(S([u,r]))),onError:r=>_.error(r),onEnd:()=>{F||(F=!0,_.write(u)),_.end()}}),_}t.prefixedStream=a}),define(me[31],pe([1,0,79]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.encodeBase64=t.decodeBase64=t.prefixedBufferStream=t.prefixedBufferReadable=t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const i=typeof Buffer!="undefined";let H,M;class C{constructor(c){this.buffer=c,this.byteLength=this.buffer.byteLength}static alloc(c){return i?new C(Buffer.allocUnsafe(c)):new C(new Uint8Array(c))}static wrap(c){return i&&!Buffer.isBuffer(c)&&(c=Buffer.from(c.buffer,c.byteOffset,c.byteLength)),new C(c)}static fromString(c,P){return!(P?.dontUseNodeBuffer||!1)&&i?new C(Buffer.from(c)):(H||(H=new TextEncoder),new C(H.encode(c)))}static fromByteArray(c){const P=C.alloc(c.length);for(let V=0,ue=c.length;V<ue;V++)P.buffer[V]=c[V];return P}static concat(c,P){if(typeof P=="undefined"){P=0;for(let ne=0,ge=c.length;ne<ge;ne++)P+=c[ne].byteLength}const V=C.alloc(P);let ue=0;for(let ne=0,ge=c.length;ne<ge;ne++){const ae=c[ne];V.set(ae,ue),ue+=ae.byteLength}return V}clone(){const c=C.alloc(this.byteLength);return c.set(this),c}toString(){return i?this.buffer.toString():(M||(M=new TextDecoder),M.decode(this.buffer))}slice(c,P){return new C(this.buffer.subarray(c,P))}set(c,P){if(c instanceof C)this.buffer.set(c.buffer,P);else if(c instanceof Uint8Array)this.buffer.set(c,P);else if(c instanceof ArrayBuffer)this.buffer.set(new Uint8Array(c),P);else if(ArrayBuffer.isView(c))this.buffer.set(new Uint8Array(c.buffer,c.byteOffset,c.byteLength),P);else throw new Error("Unknown argument 'array'")}readUInt32BE(c){return f(this.buffer,c)}writeUInt32BE(c,P){m(this.buffer,c,P)}readUInt32LE(c){return N(this.buffer,c)}writeUInt32LE(c,P){o(this.buffer,c,P)}readUInt8(c){return s(this.buffer,c)}writeUInt8(c,P){e(this.buffer,c,P)}}t.VSBuffer=C;function w(l,c){return l[c+0]<<0>>>0|l[c+1]<<8>>>0}t.readUInt16LE=w;function p(l,c,P){l[P+0]=c&255,c=c>>>8,l[P+1]=c&255}t.writeUInt16LE=p;function f(l,c){return l[c]*2**24+l[c+1]*2**16+l[c+2]*2**8+l[c+3]}t.readUInt32BE=f;function m(l,c,P){l[P+3]=c,c=c>>>8,l[P+2]=c,c=c>>>8,l[P+1]=c,c=c>>>8,l[P]=c}t.writeUInt32BE=m;function N(l,c){return l[c+0]<<0>>>0|l[c+1]<<8>>>0|l[c+2]<<16>>>0|l[c+3]<<24>>>0}t.readUInt32LE=N;function o(l,c,P){l[P+0]=c&255,c=c>>>8,l[P+1]=c&255,c=c>>>8,l[P+2]=c&255,c=c>>>8,l[P+3]=c&255}t.writeUInt32LE=o;function s(l,c){return l[c]}t.readUInt8=s;function e(l,c,P){l[P]=c}t.writeUInt8=e;function g(l){return E.consumeReadable(l,c=>C.concat(c))}t.readableToBuffer=g;function v(l){return E.toReadable(l)}t.bufferToReadable=v;function D(l){return E.consumeStream(l,c=>C.concat(c))}t.streamToBuffer=D;async function y(l){return l.ended?C.concat(l.buffer):C.concat([...l.buffer,await D(l.stream)])}t.bufferedStreamToBuffer=y;function a(l){return E.toStream(l,c=>C.concat(c))}t.bufferToStream=a;function u(l){return E.transform(l,{data:c=>typeof c=="string"?C.fromString(c):C.wrap(c)},c=>C.concat(c))}t.streamToBufferReadableStream=u;function b(l){return E.newWriteableStream(c=>C.concat(c),l)}t.newWriteableBufferStream=b;function S(l,c){return E.prefixedReadable(l,c,P=>C.concat(P))}t.prefixedBufferReadable=S;function F(l,c){return E.prefixedStream(l,c,P=>C.concat(P))}t.prefixedBufferStream=F;function _(l){let c=0,P=0,V=0;const ue=new Uint8Array(Math.floor(l.length/4*3)),ne=ae=>{switch(P){case 3:ue[V++]=c|ae,P=0;break;case 2:ue[V++]=c|ae>>>2,c=ae<<6,P=3;break;case 1:ue[V++]=c|ae>>>4,c=ae<<4,P=2;break;default:c=ae<<2,P=1}};for(let ae=0;ae<l.length;ae++){const we=l.charCodeAt(ae);if(we>=65&&we<=90)ne(we-65);else if(we>=97&&we<=122)ne(we-97+26);else if(we>=48&&we<=57)ne(we-48+52);else if(we===43||we===45)ne(62);else if(we===47||we===95)ne(63);else{if(we===61)break;throw new SyntaxError(`Unexpected base64 character ${l[ae]}`)}}const ge=V;for(;P>0;)ne(0);return C.wrap(ue).slice(0,ge)}t.decodeBase64=_;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function h({buffer:l},c=!0,P=!1){const V=P?n:r;let ue="";const ne=l.byteLength%3;let ge=0;for(;ge<l.byteLength-ne;ge+=3){const ae=l[ge+0],we=l[ge+1],he=l[ge+2];ue+=V[ae>>>2],ue+=V[(ae<<4|we>>>4)&63],ue+=V[(we<<2|he>>>6)&63],ue+=V[he&63]}if(ne===1){const ae=l[ge+0];ue+=V[ae>>>2],ue+=V[ae<<4&63],c&&(ue+="==")}else if(ne===2){const ae=l[ge+0],we=l[ge+1];ue+=V[ae>>>2],ue+=V[(ae<<4|we>>>4)&63],ue+=V[we<<2&63],c&&(ue+="=")}return ue}t.encodeBase64=h}),define(me[6],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.withUndefinedAsNull=t.withNullAsUndefined=t.validateConstraint=t.validateConstraints=t.areFunctions=t.isFunction=t.isEmptyObject=t.assertAllDefined=t.assertIsDefined=t.assertType=t.isUndefinedOrNull=t.isDefined=t.isUndefined=t.isBoolean=t.isIterable=t.isNumber=t.isTypedArray=t.isObject=t.isStringArray=t.isString=void 0;function E(F){return typeof F=="string"}t.isString=E;function i(F){return Array.isArray(F)&&F.every(_=>E(_))}t.isStringArray=i;function H(F){return typeof F=="object"&&F!==null&&!Array.isArray(F)&&!(F instanceof RegExp)&&!(F instanceof Date)}t.isObject=H;function M(F){const _=Object.getPrototypeOf(Uint8Array);return typeof F=="object"&&F instanceof _}t.isTypedArray=M;function C(F){return typeof F=="number"&&!isNaN(F)}t.isNumber=C;function w(F){return!!F&&typeof F[Symbol.iterator]=="function"}t.isIterable=w;function p(F){return F===!0||F===!1}t.isBoolean=p;function f(F){return typeof F=="undefined"}t.isUndefined=f;function m(F){return!N(F)}t.isDefined=m;function N(F){return f(F)||F===null}t.isUndefinedOrNull=N;function o(F,_){if(!F)throw new Error(_?`Unexpected type, expected '${_}'`:"Unexpected type")}t.assertType=o;function s(F){if(N(F))throw new Error("Assertion Failed: argument is undefined or null");return F}t.assertIsDefined=s;function e(...F){const _=[];for(let r=0;r<F.length;r++){const n=F[r];if(N(n))throw new Error(`Assertion Failed: argument at index ${r} is undefined or null`);_.push(n)}return _}t.assertAllDefined=e;const g=Object.prototype.hasOwnProperty;function v(F){if(!H(F))return!1;for(const _ in F)if(g.call(F,_))return!1;return!0}t.isEmptyObject=v;function D(F){return typeof F=="function"}t.isFunction=D;function y(...F){return F.length>0&&F.every(D)}t.areFunctions=y;function a(F,_){const r=Math.min(F.length,_.length);for(let n=0;n<r;n++)u(F[n],_[n])}t.validateConstraints=a;function u(F,_){if(E(_)){if(typeof F!==_)throw new Error(`argument does not match constraint: typeof ${_}`)}else if(D(_)){try{if(F instanceof _)return}catch{}if(!N(F)&&F.constructor===_||_.length===1&&_.call(void 0,F)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}t.validateConstraint=u;function b(F){return F===null?void 0:F}t.withNullAsUndefined=b;function S(F){return typeof F=="undefined"?null:F}t.withUndefinedAsNull=S}),define(me[27],pe([1,0,6]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createProxyObject=t.getAllMethodNames=t.getAllPropertyNames=t.filter=t.getCaseInsensitive=t.distinct=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function i(D){if(!D||typeof D!="object"||D instanceof RegExp)return D;const y=Array.isArray(D)?[]:{};return Object.keys(D).forEach(a=>{D[a]&&typeof D[a]=="object"?y[a]=i(D[a]):y[a]=D[a]}),y}t.deepClone=i;function H(D){if(!D||typeof D!="object")return D;const y=[D];for(;y.length>0;){const a=y.shift();Object.freeze(a);for(const u in a)if(M.call(a,u)){const b=a[u];typeof b=="object"&&!Object.isFrozen(b)&&!(0,E.isTypedArray)(b)&&y.push(b)}}return D}t.deepFreeze=H;const M=Object.prototype.hasOwnProperty;function C(D,y){return w(D,y,new Set)}t.cloneAndChange=C;function w(D,y,a){if((0,E.isUndefinedOrNull)(D))return D;const u=y(D);if(typeof u!="undefined")return u;if(Array.isArray(D)){const b=[];for(const S of D)b.push(w(S,y,a));return b}if((0,E.isObject)(D)){if(a.has(D))throw new Error("Cannot clone recursive data-structure");a.add(D);const b={};for(const S in D)M.call(D,S)&&(b[S]=w(D[S],y,a));return a.delete(D),b}return D}function p(D,y,a=!0){return(0,E.isObject)(D)?((0,E.isObject)(y)&&Object.keys(y).forEach(u=>{u in D?a&&((0,E.isObject)(D[u])&&(0,E.isObject)(y[u])?p(D[u],y[u],a):D[u]=y[u]):D[u]=y[u]}),D):y}t.mixin=p;function f(D,y){if(D===y)return!0;if(D==null||y===null||y===void 0||typeof D!=typeof y||typeof D!="object"||Array.isArray(D)!==Array.isArray(y))return!1;let a,u;if(Array.isArray(D)){if(D.length!==y.length)return!1;for(a=0;a<D.length;a++)if(!f(D[a],y[a]))return!1}else{const b=[];for(u in D)b.push(u);b.sort();const S=[];for(u in y)S.push(u);if(S.sort(),!f(b,S))return!1;for(a=0;a<b.length;a++)if(!f(D[b[a]],y[b[a]]))return!1}return!0}t.equals=f;function m(D){const y=new Set;return JSON.stringify(D,(a,u)=>{if((0,E.isObject)(u)||Array.isArray(u)){if(y.has(u))return"[Circular]";y.add(u)}return u})}t.safeStringify=m;function N(D,y){const a=Object.create(null);return!D||!y||Object.keys(y).forEach(b=>{const S=D[b],F=y[b];f(S,F)||(a[b]=F)}),a}t.distinct=N;function o(D,y){const a=y.toLowerCase(),u=Object.keys(D).find(b=>b.toLowerCase()===a);return u?D[u]:D[y]}t.getCaseInsensitive=o;function s(D,y){const a=Object.create(null);for(const[u,b]of Object.entries(D))y(u,b)&&(a[u]=b);return a}t.filter=s;function e(D){let y=[],a=Object.getPrototypeOf(D);for(;Object.prototype!==a;)y=y.concat(Object.getOwnPropertyNames(a)),a=Object.getPrototypeOf(a);return y}t.getAllPropertyNames=e;function g(D){const y=[];for(const a of e(D))typeof D[a]=="function"&&y.push(a);return y}t.getAllMethodNames=g;function v(D,y){const a=b=>function(){const S=Array.prototype.slice.call(arguments,0);return y(b,S)},u={};for(const b of D)u[b]=a(b);return u}t.createProxyObject=v}),define(me[80],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CONTEXT_MENU_CLOSE_CHANNEL=t.CONTEXT_MENU_CHANNEL=void 0,t.CONTEXT_MENU_CHANNEL="vscode:contextmenu",t.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(me[81],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Protocol=void 0;class E{constructor(H,M){this.sender=H,this.onMessage=M}send(H){try{this.sender.send("vscode:message",H.buffer)}catch{}}disconnect(){this.sender.send("vscode:disconnect",null)}}t.Protocol=E}),define(me[46],pe([7]),{}),define(me[82],pe([7]),{}),define(me[83],pe([7]),{}),define(me[84],pe([7]),{}),define(me[85],pe([1,0,11,83,84]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.formatRule=void 0;function i(H){let M=H.definition;for(;M instanceof E.Codicon;)M=M.definition;return`.codicon-${H.id}:before { content: '${M.fontCharacter}'; }`}t.formatRule=i}),define(me[86],pe([7]),{}),define(me[87],pe([7]),{}),define(me[88],pe([7]),{}),define(me[89],pe([7]),{}),define(me[90],pe([7]),{}),define(me[91],pe([7]),{}),define(me[92],pe([7]),{}),define(me[93],pe([7]),{}),define(me[94],pe([7]),{}),define(me[95],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/actionbar/actionViewItems",t)}),define(me[96],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/findinput/findInput",t)}),define(me[97],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/findinput/findInputToggles",t)}),define(me[98],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/iconLabel/iconLabelHover",t)}),define(me[99],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/inputbox/inputBox",t)}),define(me[100],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/selectBox/selectBoxCustom",t)}),define(me[101],pe([12,9]),function(Q,t){return Q.create("vs/base/browser/ui/tree/abstractTree",t)}),define(me[102],pe([12,9]),function(Q,t){return Q.create("vs/base/common/actions",t)}),define(me[103],pe([12,9]),function(Q,t){return Q.create("vs/base/common/platform",t)}),define(me[5],pe([1,0,103]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isAndroid=t.isEdge=t.isSafari=t.isFirefox=t.isChrome=t.isLittleEndian=t.OS=t.OperatingSystem=t.setTimeout0=t.setTimeout0IsFaster=t.translationsConfigFile=t.locale=t.Language=t.language=t.userAgent=t.platform=t.isCI=t.isIOS=t.isWebWorker=t.isWeb=t.isElectron=t.isNative=t.isLinuxSnap=t.isLinux=t.isMacintosh=t.isWindows=t.PlatformToString=t.Platform=t.globals=void 0;const i="en";let H=!1,M=!1,C=!1,w=!1,p=!1,f=!1,m=!1,N=!1,o=!1,s,e=i,g,v;t.globals=typeof self=="object"?self:typeof global=="object"?global:{};let D;typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.process!="undefined"?D=t.globals.vscode.process:typeof process!="undefined"&&(D=process);const y=typeof D?.versions?.electron=="string",a=y&&D?.type==="renderer";if(typeof navigator=="object"&&!a)v=navigator.userAgent,H=v.indexOf("Windows")>=0,M=v.indexOf("Macintosh")>=0,N=(v.indexOf("Macintosh")>=0||v.indexOf("iPad")>=0||v.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=v.indexOf("Linux")>=0,f=!0,s=E.getConfiguredDefaultLocale(E.localize(0,null))||i,e=s;else if(typeof D=="object"){H=D.platform==="win32",M=D.platform==="darwin",C=D.platform==="linux",w=C&&!!D.env.SNAP&&!!D.env.SNAP_REVISION,m=y,o=!!D.env.CI||!!D.env.BUILD_ARTIFACTSTAGINGDIRECTORY,s=i,e=i;const l=D.env.VSCODE_NLS_CONFIG;if(l)try{const c=JSON.parse(l),P=c.availableLanguages["*"];s=c.locale,e=P||i,g=c._translationsConfigFile}catch{}p=!0}else console.error("Unable to resolve platform.");var u;(function(l){l[l.Web=0]="Web",l[l.Mac=1]="Mac",l[l.Linux=2]="Linux",l[l.Windows=3]="Windows"})(u=t.Platform||(t.Platform={}));function b(l){switch(l){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}t.PlatformToString=b;let S=0;M?S=1:H?S=3:C&&(S=2),t.isWindows=H,t.isMacintosh=M,t.isLinux=C,t.isLinuxSnap=w,t.isNative=p,t.isElectron=m,t.isWeb=f,t.isWebWorker=f&&typeof t.globals.importScripts=="function",t.isIOS=N,t.isCI=o,t.platform=S,t.userAgent=v,t.language=e;var F;(function(l){function c(){return t.language}l.value=c;function P(){return t.language.length===2?t.language==="en":t.language.length>=3?t.language[0]==="e"&&t.language[1]==="n"&&t.language[2]==="-":!1}l.isDefaultVariant=P;function V(){return t.language==="en"}l.isDefault=V})(F=t.Language||(t.Language={})),t.locale=s,t.translationsConfigFile=g,t.setTimeout0IsFaster=typeof t.globals.postMessage=="function"&&!t.globals.importScripts,t.setTimeout0=(()=>{if(t.setTimeout0IsFaster){const l=[];t.globals.addEventListener("message",P=>{if(P.data&&P.data.vscodeScheduleAsyncWork)for(let V=0,ue=l.length;V<ue;V++){const ne=l[V];if(ne.id===P.data.vscodeScheduleAsyncWork){l.splice(V,1),ne.callback();return}}});let c=0;return P=>{const V=++c;l.push({id:V,callback:P}),t.globals.postMessage({vscodeScheduleAsyncWork:V},"*")}}return l=>setTimeout(l)})();var _;(function(l){l[l.Windows=1]="Windows",l[l.Macintosh=2]="Macintosh",l[l.Linux=3]="Linux"})(_=t.OperatingSystem||(t.OperatingSystem={})),t.OS=M||N?2:H?1:3;let r=!0,n=!1;function h(){if(!n){n=!0;const l=new Uint8Array(2);l[0]=1,l[1]=2,r=new Uint16Array(l.buffer)[0]===(2<<8)+1}return r}t.isLittleEndian=h,t.isChrome=!!(t.userAgent&&t.userAgent.indexOf("Chrome")>=0),t.isFirefox=!!(t.userAgent&&t.userAgent.indexOf("Firefox")>=0),t.isSafari=!!(!t.isChrome&&t.userAgent&&t.userAgent.indexOf("Safari")>=0),t.isEdge=!!(t.userAgent&&t.userAgent.indexOf("Edg/")>=0),t.isAndroid=!!(t.userAgent&&t.userAgent.indexOf("Android")>=0)}),define(me[104],pe([1,0,5]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.arch=t.platform=t.env=t.cwd=void 0;let i;if(typeof E.globals.vscode!="undefined"&&typeof E.globals.vscode.process!="undefined"){const H=E.globals.vscode.process;i={get platform(){return H.platform},get arch(){return H.arch},get env(){return H.env},cwd(){return H.cwd()}}}else typeof process!="undefined"?i={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:i={get platform(){return E.isWindows?"win32":E.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};t.cwd=i.cwd,t.env=i.env,t.platform=i.platform,t.arch=i.arch}),define(me[21],pe([1,0,104]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.delimiter=t.sep=t.toNamespacedPath=t.parse=t.format=t.extname=t.basename=t.dirname=t.relative=t.resolve=t.join=t.isAbsolute=t.normalize=t.posix=t.win32=void 0;const i=65,H=97,M=90,C=122,w=46,p=47,f=92,m=58,N=63;class o extends Error{constructor(u,b,S){let F;typeof b=="string"&&b.indexOf("not ")===0?(F="must not be",b=b.replace(/^not /,"")):F="must be";const _=u.indexOf(".")!==-1?"property":"argument";let r=`The "${u}" ${_} ${F} of type ${b}`;r+=`. Received type ${typeof S}`;super(r);this.code="ERR_INVALID_ARG_TYPE"}}function s(a,u){if(typeof a!="string")throw new o(u,"string",a)}function e(a){return a===p||a===f}function g(a){return a===p}function v(a){return a>=i&&a<=M||a>=H&&a<=C}function D(a,u,b,S){let F="",_=0,r=-1,n=0,h=0;for(let l=0;l<=a.length;++l){if(l<a.length)h=a.charCodeAt(l);else{if(S(h))break;h=p}if(S(h)){if(!(r===l-1||n===1))if(n===2){if(F.length<2||_!==2||F.charCodeAt(F.length-1)!==w||F.charCodeAt(F.length-2)!==w){if(F.length>2){const c=F.lastIndexOf(b);c===-1?(F="",_=0):(F=F.slice(0,c),_=F.length-1-F.lastIndexOf(b)),r=l,n=0;continue}else if(F.length!==0){F="",_=0,r=l,n=0;continue}}u&&(F+=F.length>0?`${b}..`:"..",_=2)}else F.length>0?F+=`${b}${a.slice(r+1,l)}`:F=a.slice(r+1,l),_=l-r-1;r=l,n=0}else h===w&&n!==-1?++n:n=-1}return F}function y(a,u){if(u===null||typeof u!="object")throw new o("pathObject","Object",u);const b=u.dir||u.root,S=u.base||`${u.name||""}${u.ext||""}`;return b?b===u.root?`${b}${S}`:`${b}${a}${S}`:S}t.win32={resolve(...a){let u="",b="",S=!1;for(let F=a.length-1;F>=-1;F--){let _;if(F>=0){if(_=a[F],s(_,"path"),_.length===0)continue}else u.length===0?_=E.cwd():(_=E.env[`=${u}`]||E.cwd(),(_===void 0||_.slice(0,2).toLowerCase()!==u.toLowerCase()&&_.charCodeAt(2)===f)&&(_=`${u}\\`));const r=_.length;let n=0,h="",l=!1;const c=_.charCodeAt(0);if(r===1)e(c)&&(n=1,l=!0);else if(e(c))if(l=!0,e(_.charCodeAt(1))){let P=2,V=P;for(;P<r&&!e(_.charCodeAt(P));)P++;if(P<r&&P!==V){const ue=_.slice(V,P);for(V=P;P<r&&e(_.charCodeAt(P));)P++;if(P<r&&P!==V){for(V=P;P<r&&!e(_.charCodeAt(P));)P++;(P===r||P!==V)&&(h=`\\\\${ue}\\${_.slice(V,P)}`,n=P)}}}else n=1;else v(c)&&_.charCodeAt(1)===m&&(h=_.slice(0,2),n=2,r>2&&e(_.charCodeAt(2))&&(l=!0,n=3));if(h.length>0)if(u.length>0){if(h.toLowerCase()!==u.toLowerCase())continue}else u=h;if(S){if(u.length>0)break}else if(b=`${_.slice(n)}\\${b}`,S=l,l&&u.length>0)break}return b=D(b,!S,"\\",e),S?`${u}\\${b}`:`${u}${b}`||"."},normalize(a){s(a,"path");const u=a.length;if(u===0)return".";let b=0,S,F=!1;const _=a.charCodeAt(0);if(u===1)return g(_)?"\\":a;if(e(_))if(F=!0,e(a.charCodeAt(1))){let n=2,h=n;for(;n<u&&!e(a.charCodeAt(n));)n++;if(n<u&&n!==h){const l=a.slice(h,n);for(h=n;n<u&&e(a.charCodeAt(n));)n++;if(n<u&&n!==h){for(h=n;n<u&&!e(a.charCodeAt(n));)n++;if(n===u)return`\\\\${l}\\${a.slice(h)}\\`;n!==h&&(S=`\\\\${l}\\${a.slice(h,n)}`,b=n)}}}else b=1;else v(_)&&a.charCodeAt(1)===m&&(S=a.slice(0,2),b=2,u>2&&e(a.charCodeAt(2))&&(F=!0,b=3));let r=b<u?D(a.slice(b),!F,"\\",e):"";return r.length===0&&!F&&(r="."),r.length>0&&e(a.charCodeAt(u-1))&&(r+="\\"),S===void 0?F?`\\${r}`:r:F?`${S}\\${r}`:`${S}${r}`},isAbsolute(a){s(a,"path");const u=a.length;if(u===0)return!1;const b=a.charCodeAt(0);return e(b)||u>2&&v(b)&&a.charCodeAt(1)===m&&e(a.charCodeAt(2))},join(...a){if(a.length===0)return".";let u,b;for(let _=0;_<a.length;++_){const r=a[_];s(r,"path"),r.length>0&&(u===void 0?u=b=r:u+=`\\${r}`)}if(u===void 0)return".";let S=!0,F=0;if(typeof b=="string"&&e(b.charCodeAt(0))){++F;const _=b.length;_>1&&e(b.charCodeAt(1))&&(++F,_>2&&(e(b.charCodeAt(2))?++F:S=!1))}if(S){for(;F<u.length&&e(u.charCodeAt(F));)F++;F>=2&&(u=`\\${u.slice(F)}`)}return t.win32.normalize(u)},relative(a,u){if(s(a,"from"),s(u,"to"),a===u)return"";const b=t.win32.resolve(a),S=t.win32.resolve(u);if(b===S||(a=b.toLowerCase(),u=S.toLowerCase(),a===u))return"";let F=0;for(;F<a.length&&a.charCodeAt(F)===f;)F++;let _=a.length;for(;_-1>F&&a.charCodeAt(_-1)===f;)_--;const r=_-F;let n=0;for(;n<u.length&&u.charCodeAt(n)===f;)n++;let h=u.length;for(;h-1>n&&u.charCodeAt(h-1)===f;)h--;const l=h-n,c=r<l?r:l;let P=-1,V=0;for(;V<c;V++){const ne=a.charCodeAt(F+V);if(ne!==u.charCodeAt(n+V))break;ne===f&&(P=V)}if(V!==c){if(P===-1)return S}else{if(l>c){if(u.charCodeAt(n+V)===f)return S.slice(n+V+1);if(V===2)return S.slice(n+V)}r>c&&(a.charCodeAt(F+V)===f?P=V:V===2&&(P=3)),P===-1&&(P=0)}let ue="";for(V=F+P+1;V<=_;++V)(V===_||a.charCodeAt(V)===f)&&(ue+=ue.length===0?"..":"\\..");return n+=P,ue.length>0?`${ue}${S.slice(n,h)}`:(S.charCodeAt(n)===f&&++n,S.slice(n,h))},toNamespacedPath(a){if(typeof a!="string")return a;if(a.length===0)return"";const u=t.win32.resolve(a);if(u.length<=2)return a;if(u.charCodeAt(0)===f){if(u.charCodeAt(1)===f){const b=u.charCodeAt(2);if(b!==N&&b!==w)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(v(u.charCodeAt(0))&&u.charCodeAt(1)===m&&u.charCodeAt(2)===f)return`\\\\?\\${u}`;return a},dirname(a){s(a,"path");const u=a.length;if(u===0)return".";let b=-1,S=0;const F=a.charCodeAt(0);if(u===1)return e(F)?a:".";if(e(F)){if(b=S=1,e(a.charCodeAt(1))){let n=2,h=n;for(;n<u&&!e(a.charCodeAt(n));)n++;if(n<u&&n!==h){for(h=n;n<u&&e(a.charCodeAt(n));)n++;if(n<u&&n!==h){for(h=n;n<u&&!e(a.charCodeAt(n));)n++;if(n===u)return a;n!==h&&(b=S=n+1)}}}}else v(F)&&a.charCodeAt(1)===m&&(b=u>2&&e(a.charCodeAt(2))?3:2,S=b);let _=-1,r=!0;for(let n=u-1;n>=S;--n)if(e(a.charCodeAt(n))){if(!r){_=n;break}}else r=!1;if(_===-1){if(b===-1)return".";_=b}return a.slice(0,_)},basename(a,u){u!==void 0&&s(u,"ext"),s(a,"path");let b=0,S=-1,F=!0,_;if(a.length>=2&&v(a.charCodeAt(0))&&a.charCodeAt(1)===m&&(b=2),u!==void 0&&u.length>0&&u.length<=a.length){if(u===a)return"";let r=u.length-1,n=-1;for(_=a.length-1;_>=b;--_){const h=a.charCodeAt(_);if(e(h)){if(!F){b=_+1;break}}else n===-1&&(F=!1,n=_+1),r>=0&&(h===u.charCodeAt(r)?--r==-1&&(S=_):(r=-1,S=n))}return b===S?S=n:S===-1&&(S=a.length),a.slice(b,S)}for(_=a.length-1;_>=b;--_)if(e(a.charCodeAt(_))){if(!F){b=_+1;break}}else S===-1&&(F=!1,S=_+1);return S===-1?"":a.slice(b,S)},extname(a){s(a,"path");let u=0,b=-1,S=0,F=-1,_=!0,r=0;a.length>=2&&a.charCodeAt(1)===m&&v(a.charCodeAt(0))&&(u=S=2);for(let n=a.length-1;n>=u;--n){const h=a.charCodeAt(n);if(e(h)){if(!_){S=n+1;break}continue}F===-1&&(_=!1,F=n+1),h===w?b===-1?b=n:r!==1&&(r=1):b!==-1&&(r=-1)}return b===-1||F===-1||r===0||r===1&&b===F-1&&b===S+1?"":a.slice(b,F)},format:y.bind(null,"\\"),parse(a){s(a,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return u;const b=a.length;let S=0,F=a.charCodeAt(0);if(b===1)return e(F)?(u.root=u.dir=a,u):(u.base=u.name=a,u);if(e(F)){if(S=1,e(a.charCodeAt(1))){let P=2,V=P;for(;P<b&&!e(a.charCodeAt(P));)P++;if(P<b&&P!==V){for(V=P;P<b&&e(a.charCodeAt(P));)P++;if(P<b&&P!==V){for(V=P;P<b&&!e(a.charCodeAt(P));)P++;P===b?S=P:P!==V&&(S=P+1)}}}}else if(v(F)&&a.charCodeAt(1)===m){if(b<=2)return u.root=u.dir=a,u;if(S=2,e(a.charCodeAt(2))){if(b===3)return u.root=u.dir=a,u;S=3}}S>0&&(u.root=a.slice(0,S));let _=-1,r=S,n=-1,h=!0,l=a.length-1,c=0;for(;l>=S;--l){if(F=a.charCodeAt(l),e(F)){if(!h){r=l+1;break}continue}n===-1&&(h=!1,n=l+1),F===w?_===-1?_=l:c!==1&&(c=1):_!==-1&&(c=-1)}return n!==-1&&(_===-1||c===0||c===1&&_===n-1&&_===r+1?u.base=u.name=a.slice(r,n):(u.name=a.slice(r,_),u.base=a.slice(r,n),u.ext=a.slice(_,n))),r>0&&r!==S?u.dir=a.slice(0,r-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},t.posix={resolve(...a){let u="",b=!1;for(let S=a.length-1;S>=-1&&!b;S--){const F=S>=0?a[S]:E.cwd();s(F,"path"),F.length!==0&&(u=`${F}/${u}`,b=F.charCodeAt(0)===p)}return u=D(u,!b,"/",g),b?`/${u}`:u.length>0?u:"."},normalize(a){if(s(a,"path"),a.length===0)return".";const u=a.charCodeAt(0)===p,b=a.charCodeAt(a.length-1)===p;return a=D(a,!u,"/",g),a.length===0?u?"/":b?"./":".":(b&&(a+="/"),u?`/${a}`:a)},isAbsolute(a){return s(a,"path"),a.length>0&&a.charCodeAt(0)===p},join(...a){if(a.length===0)return".";let u;for(let b=0;b<a.length;++b){const S=a[b];s(S,"path"),S.length>0&&(u===void 0?u=S:u+=`/${S}`)}return u===void 0?".":t.posix.normalize(u)},relative(a,u){if(s(a,"from"),s(u,"to"),a===u||(a=t.posix.resolve(a),u=t.posix.resolve(u),a===u))return"";const b=1,S=a.length,F=S-b,_=1,r=u.length-_,n=F<r?F:r;let h=-1,l=0;for(;l<n;l++){const P=a.charCodeAt(b+l);if(P!==u.charCodeAt(_+l))break;P===p&&(h=l)}if(l===n)if(r>n){if(u.charCodeAt(_+l)===p)return u.slice(_+l+1);if(l===0)return u.slice(_+l)}else F>n&&(a.charCodeAt(b+l)===p?h=l:l===0&&(h=0));let c="";for(l=b+h+1;l<=S;++l)(l===S||a.charCodeAt(l)===p)&&(c+=c.length===0?"..":"/..");return`${c}${u.slice(_+h)}`},toNamespacedPath(a){return a},dirname(a){if(s(a,"path"),a.length===0)return".";const u=a.charCodeAt(0)===p;let b=-1,S=!0;for(let F=a.length-1;F>=1;--F)if(a.charCodeAt(F)===p){if(!S){b=F;break}}else S=!1;return b===-1?u?"/":".":u&&b===1?"//":a.slice(0,b)},basename(a,u){u!==void 0&&s(u,"ext"),s(a,"path");let b=0,S=-1,F=!0,_;if(u!==void 0&&u.length>0&&u.length<=a.length){if(u===a)return"";let r=u.length-1,n=-1;for(_=a.length-1;_>=0;--_){const h=a.charCodeAt(_);if(h===p){if(!F){b=_+1;break}}else n===-1&&(F=!1,n=_+1),r>=0&&(h===u.charCodeAt(r)?--r==-1&&(S=_):(r=-1,S=n))}return b===S?S=n:S===-1&&(S=a.length),a.slice(b,S)}for(_=a.length-1;_>=0;--_)if(a.charCodeAt(_)===p){if(!F){b=_+1;break}}else S===-1&&(F=!1,S=_+1);return S===-1?"":a.slice(b,S)},extname(a){s(a,"path");let u=-1,b=0,S=-1,F=!0,_=0;for(let r=a.length-1;r>=0;--r){const n=a.charCodeAt(r);if(n===p){if(!F){b=r+1;break}continue}S===-1&&(F=!1,S=r+1),n===w?u===-1?u=r:_!==1&&(_=1):u!==-1&&(_=-1)}return u===-1||S===-1||_===0||_===1&&u===S-1&&u===b+1?"":a.slice(u,S)},format:y.bind(null,"/"),parse(a){s(a,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return u;const b=a.charCodeAt(0)===p;let S;b?(u.root="/",S=1):S=0;let F=-1,_=0,r=-1,n=!0,h=a.length-1,l=0;for(;h>=S;--h){const c=a.charCodeAt(h);if(c===p){if(!n){_=h+1;break}continue}r===-1&&(n=!1,r=h+1),c===w?F===-1?F=h:l!==1&&(l=1):F!==-1&&(l=-1)}if(r!==-1){const c=_===0&&b?1:_;F===-1||l===0||l===1&&F===r-1&&F===_+1?u.base=u.name=a.slice(c,r):(u.name=a.slice(c,F),u.base=a.slice(c,r),u.ext=a.slice(F,r))}return _>0?u.dir=a.slice(0,_-1):b&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize=E.platform==="win32"?t.win32.normalize:t.posix.normalize,t.isAbsolute=E.platform==="win32"?t.win32.isAbsolute:t.posix.isAbsolute,t.join=E.platform==="win32"?t.win32.join:t.posix.join,t.resolve=E.platform==="win32"?t.win32.resolve:t.posix.resolve,t.relative=E.platform==="win32"?t.win32.relative:t.posix.relative,t.dirname=E.platform==="win32"?t.win32.dirname:t.posix.dirname,t.basename=E.platform==="win32"?t.win32.basename:t.posix.basename,t.extname=E.platform==="win32"?t.win32.extname:t.posix.extname,t.format=E.platform==="win32"?t.win32.format:t.posix.format,t.parse=E.platform==="win32"?t.win32.parse:t.posix.parse,t.toNamespacedPath=E.platform==="win32"?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep=E.platform==="win32"?t.win32.sep:t.posix.sep,t.delimiter=E.platform==="win32"?t.win32.delimiter:t.posix.delimiter}),define(me[105],pe([1,0,21]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.normalizeMimeType=t.getExtensionForMimeType=t.getMediaMime=t.getMediaOrTextMime=t.Mimes=void 0,t.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const i={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},H={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function M(m){const N=(0,E.extname)(m),o=i[N.toLowerCase()];return o!==void 0?o:C(m)}t.getMediaOrTextMime=M;function C(m){const N=(0,E.extname)(m);return H[N.toLowerCase()]}t.getMediaMime=C;function w(m){for(const N in H)if(H[N]===m)return N}t.getExtensionForMimeType=w;const p=/^(.+)\/(.+?)(;.+)?$/;function f(m,N){const o=p.exec(m);return o?`${o[1].toLowerCase()}/${o[2].toLowerCase()}${o[3]??""}`:N?void 0:m}t.normalizeMimeType=f}),define(me[106],pe([1,0,5]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StopWatch=void 0;const i=E.globals.performance&&typeof E.globals.performance.now=="function";class H{constructor(C){this._highResolution=i&&C,this._startTime=this._now(),this._stopTime=-1}static create(C=!0){return new H(C)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?E.globals.performance.now():Date.now()}}t.StopWatch=H}),define(me[3],pe([1,0,13,42,2,74,106]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Relay=t.EventBufferer=t.EventMultiplexer=t.MicrotaskEmitter=t.DebounceEmitter=t.PauseableEmitter=t.AsyncEmitter=t.EventDeliveryQueue=t.Emitter=t.setGlobalLeakWarningThreshold=t.Event=void 0;const w=!1,p=!1;var f;(function(h){h.None=()=>H.Disposable.None;function l(d){if(p){const{onListenerDidAdd:I}=d,U=e.create();let K=0;d.onListenerDidAdd=()=>{++K==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),U.print()),I?.()}}}function c(d){return(I,U=null,K)=>{let Z=!1,L;return L=d(O=>{if(!Z)return L?L.dispose():Z=!0,I.call(U,O)},null,K),Z&&L.dispose(),L}}h.once=c;function P(d,I,U){return we((K,Z=null,L)=>d(O=>K.call(Z,I(O)),null,L),U)}h.map=P;function V(d,I,U){return we((K,Z=null,L)=>d(O=>{I(O),K.call(Z,O)},null,L),U)}h.forEach=V;function ue(d,I,U){return we((K,Z=null,L)=>d(O=>I(O)&&K.call(Z,O),null,L),U)}h.filter=ue;function ne(d){return d}h.signal=ne;function ge(...d){return(I,U=null,K)=>(0,H.combinedDisposable)(...d.map(Z=>Z(L=>I.call(U,L),null,K)))}h.any=ge;function ae(d,I,U,K){let Z=U;return P(d,L=>(Z=I(Z,L),Z),K)}h.reduce=ae;function we(d,I){let U;const K={onFirstListenerAdd(){U=d(Z.fire,Z)},onLastListenerRemove(){U?.dispose()}};I||l(K);const Z=new v(K);return I?.add(Z),Z.event}function he(d,I,U=100,K=!1,Z,L){let O,z,A,B=0;const k={leakWarningThreshold:Z,onFirstListenerAdd(){O=d(x=>{B++,z=I(z,x),K&&!A&&(R.fire(z),z=void 0),clearTimeout(A),A=setTimeout(()=>{const J=z;z=void 0,A=void 0,(!K||B>1)&&R.fire(J),B=0},U)})},onLastListenerRemove(){O.dispose()}};L||l(k);const R=new v(k);return L?.add(R),R.event}h.debounce=he;function re(d,I=(K,Z)=>K===Z,U){let K=!0,Z;return ue(d,L=>{const O=K||!I(L,Z);return K=!1,Z=L,O},U)}h.latch=re;function Ce(d,I,U){return[h.filter(d,I,U),h.filter(d,K=>!I(K),U)]}h.split=Ce;function te(d,I=!1,U=[]){let K=U.slice(),Z=d(z=>{K?K.push(z):O.fire(z)});const L=()=>{K?.forEach(z=>O.fire(z)),K=null},O=new v({onFirstListenerAdd(){Z||(Z=d(z=>O.fire(z)))},onFirstListenerDidAdd(){K&&(I?setTimeout(L):L())},onLastListenerRemove(){Z&&Z.dispose(),Z=null}});return O.event}h.buffer=te;class De{constructor(I){this.event=I,this.disposables=new H.DisposableStore}map(I){return new De(P(this.event,I,this.disposables))}forEach(I){return new De(V(this.event,I,this.disposables))}filter(I){return new De(ue(this.event,I,this.disposables))}reduce(I,U){return new De(ae(this.event,I,U,this.disposables))}latch(){return new De(re(this.event,void 0,this.disposables))}debounce(I,U=100,K=!1,Z){return new De(he(this.event,I,U,K,Z,this.disposables))}on(I,U,K){return this.event(I,U,K)}once(I,U,K){return c(this.event)(I,U,K)}dispose(){this.disposables.dispose()}}function ee(d){return new De(d)}h.chain=ee;function X(d,I,U=K=>K){const K=(...z)=>O.fire(U(...z)),Z=()=>d.on(I,K),L=()=>d.removeListener(I,K),O=new v({onFirstListenerAdd:Z,onLastListenerRemove:L});return O.event}h.fromNodeEventEmitter=X;function se(d,I,U=K=>K){const K=(...z)=>O.fire(U(...z)),Z=()=>d.addEventListener(I,K),L=()=>d.removeEventListener(I,K),O=new v({onFirstListenerAdd:Z,onLastListenerRemove:L});return O.event}h.fromDOMEventEmitter=se;function ie(d){return new Promise(I=>c(d)(I))}h.toPromise=ie;function T(d,I){return I(void 0),d(U=>I(U))}h.runAndSubscribe=T;function $(d,I){let U=null;function K(L){U?.dispose(),U=new H.DisposableStore,I(L,U)}K(void 0);const Z=d(L=>K(L));return(0,H.toDisposable)(()=>{Z.dispose(),U?.dispose()})}h.runAndSubscribeWithStore=$;class j{constructor(I,U){this.obs=I,this._counter=0,this._hasChanged=!1;const K={onFirstListenerAdd:()=>{I.addObserver(this)},onLastListenerRemove:()=>{I.removeObserver(this)}};U||l(K),this.emitter=new v(K),U&&U.add(this.emitter)}beginUpdate(I){this._counter++}handleChange(I,U){this._hasChanged=!0}endUpdate(I){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function W(d,I){return new j(d,I).emitter.event}h.fromObservable=W})(f=t.Event||(t.Event={}));class m{constructor(l){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${l}_${m._idPool++}`}start(l){this._stopWatch=new C.StopWatch(!0),this._listenerCount=l}stop(){if(this._stopWatch){const l=this._stopWatch.elapsed();this._elapsedOverall+=l,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${l.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}m._idPool=0;let N=-1;function o(h){const l=N;return N=h,{dispose(){N=l}}}t.setGlobalLeakWarningThreshold=o;class s{constructor(l,c=Math.random().toString(18).slice(2,5)){this.customThreshold=l,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(l,c){let P=N;if(typeof this.customThreshold=="number"&&(P=this.customThreshold),P<=0||c<P)return;this._stacks||(this._stacks=new Map);const V=this._stacks.get(l.value)||0;if(this._stacks.set(l.value,V+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=P*.5;let ue,ne=0;for(const[ge,ae]of this._stacks)(!ue||ne<ae)&&(ue=ge,ne=ae);console.warn(`[${this.name}] potential listener LEAK detected, having ${c} listeners already. MOST frequent listener (${ne}):`),console.warn(ue)}return()=>{const ue=this._stacks.get(l.value)||0;this._stacks.set(l.value,ue-1)}}}class e{constructor(l){this.value=l}static create(){return new e(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class g{constructor(l,c,P){this.callback=l,this.callbackThis=c,this.stack=P,this.subscription=new H.SafeDisposable}invoke(l){this.callback.call(this.callbackThis,l)}}class v{constructor(l){this._disposed=!1,this._options=l,this._leakageMon=N>0?new s(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new m(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(w){const l=Array.from(this._listeners);queueMicrotask(()=>{for(const c of l)c.subscription.isset()&&(c.subscription.unset(),c.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(l,c,P)=>{this._listeners||(this._listeners=new M.LinkedList);const V=this._listeners.isEmpty();V&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let ue,ne;this._leakageMon&&this._listeners.size>=30&&(ne=e.create(),ue=this._leakageMon.check(ne,this._listeners.size+1)),w&&(ne=ne??e.create());const ge=new g(l,c,ne),ae=this._listeners.push(ge);V&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,l,c);const we=ge.subscription.set(()=>{ue?.(),this._disposed||(ae(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return P instanceof H.DisposableStore?P.add(we):Array.isArray(P)&&P.push(we),we}),this._event}fire(l){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new y);for(const c of this._listeners)this._deliveryQueue.push(this,c,l);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}t.Emitter=v;class D{constructor(){this._queue=new M.LinkedList}get size(){return this._queue.size}push(l,c,P){this._queue.push(new a(l,c,P))}clear(l){const c=new M.LinkedList;for(const P of this._queue)P.emitter!==l&&c.push(P);this._queue=c}deliver(){for(;this._queue.size>0;){const l=this._queue.shift();try{l.listener.invoke(l.event)}catch(c){(0,E.onUnexpectedError)(c)}}}}t.EventDeliveryQueue=D;class y extends D{clear(l){this._queue.clear()}}class a{constructor(l,c,P){this.emitter=l,this.listener=c,this.event=P}}class u extends v{async fireAsync(l,c,P){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new M.LinkedList);for(const V of this._listeners)this._asyncDeliveryQueue.push([V,l]);for(;this._asyncDeliveryQueue.size>0&&!c.isCancellationRequested;){const[V,ue]=this._asyncDeliveryQueue.shift(),ne=[],ge={...ue,token:c,waitUntil:ae=>{if(Object.isFrozen(ne))throw new Error("waitUntil can NOT be called asynchronous");P&&(ae=P(ae,V.callback)),ne.push(ae)}};try{V.invoke(ge)}catch(ae){(0,E.onUnexpectedError)(ae);continue}Object.freeze(ne),await Promise.allSettled(ne).then(ae=>{for(const we of ae)we.status==="rejected"&&(0,E.onUnexpectedError)(we.reason)})}}}}t.AsyncEmitter=u;class b extends v{constructor(l){super(l);this._isPaused=0,this._eventQueue=new M.LinkedList,this._mergeFn=l?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const l=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(l))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(l){this._listeners&&(this._isPaused!==0?this._eventQueue.push(l):super.fire(l))}}t.PauseableEmitter=b;class S extends b{constructor(l){super(l);this._delay=l.delay??100}fire(l){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(l)}}t.DebounceEmitter=S;class F extends v{constructor(l){super(l);this._queuedEvents=[],this._mergeFn=l?.merge}fire(l){this._queuedEvents.push(l),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(c=>super.fire(c)),this._queuedEvents=[]})}}t.MicrotaskEmitter=F;class _{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new v({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(l){const c={event:l,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const P=()=>{this.hasListeners&&this.unhook(c);const V=this.events.indexOf(c);this.events.splice(V,1)};return(0,H.toDisposable)((0,i.once)(P))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(l=>this.hook(l))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(l=>this.unhook(l))}hook(l){l.listener=l.event(c=>this.emitter.fire(c))}unhook(l){l.listener&&l.listener.dispose(),l.listener=null}dispose(){this.emitter.dispose()}}t.EventMultiplexer=_;class r{constructor(){this.buffers=[]}wrapEvent(l){return(c,P,V)=>l(ue=>{const ne=this.buffers[this.buffers.length-1];ne?ne.push(()=>c.call(P,ue)):c.call(P,ue)},void 0,V)}bufferEvents(l){const c=[];this.buffers.push(c);const P=l();return this.buffers.pop(),c.forEach(V=>V()),P}}t.EventBufferer=r;class n{constructor(){this.listening=!1,this.inputEvent=f.None,this.inputEventListener=H.Disposable.None,this.emitter=new v({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(l){this.inputEvent=l,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=l(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}t.Relay=n}),define(me[15],pe([1,0,3,2]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isStandalone=t.isAndroid=t.isElectron=t.isWebkitWebView=t.isSafari=t.isChrome=t.isWebKit=t.isFirefox=t.onDidChangeFullscreen=t.isFullscreen=t.setFullscreen=t.setZoomFactor=t.getZoomFactor=t.getZoomLevel=t.setZoomLevel=t.PixelRatio=t.addMatchMediaChangeListener=void 0;class H{constructor(){this._zoomLevel=0,this._zoomFactor=1,this._fullscreen=!1,this._onDidChangeFullscreen=new E.Emitter,this.onDidChangeFullscreen=this._onDidChangeFullscreen.event}getZoomLevel(){return this._zoomLevel}setZoomLevel(a,u){this._zoomLevel!==a&&(this._zoomLevel=a)}getZoomFactor(){return this._zoomFactor}setZoomFactor(a){this._zoomFactor=a}setFullscreen(a){this._fullscreen!==a&&(this._fullscreen=a,this._onDidChangeFullscreen.fire())}isFullscreen(){return this._fullscreen}}H.INSTANCE=new H;class M extends i.Disposable{constructor(){super();this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this._listener=()=>this._handleChange(!0),this._mediaQueryList=null,this._handleChange(!1)}_handleChange(a){this._mediaQueryList?.removeEventListener("change",this._listener),this._mediaQueryList=matchMedia(`(resolution: ${window.devicePixelRatio}dppx)`),this._mediaQueryList.addEventListener("change",this._listener),a&&this._onDidChange.fire()}}class C extends i.Disposable{constructor(){super();this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this._value=this._getPixelRatio();const a=this._register(new M);this._register(a.onDidChange(()=>{this._value=this._getPixelRatio(),this._onDidChange.fire(this._value)}))}get value(){return this._value}_getPixelRatio(){const a=document.createElement("canvas").getContext("2d"),u=window.devicePixelRatio||1,b=a.webkitBackingStorePixelRatio||a.mozBackingStorePixelRatio||a.msBackingStorePixelRatio||a.oBackingStorePixelRatio||a.backingStorePixelRatio||1;return u/b}}class w{constructor(){this._pixelRatioMonitor=null}_getOrCreatePixelRatioMonitor(){return this._pixelRatioMonitor||(this._pixelRatioMonitor=(0,i.markAsSingleton)(new C)),this._pixelRatioMonitor}get value(){return this._getOrCreatePixelRatioMonitor().value}get onDidChange(){return this._getOrCreatePixelRatioMonitor().onDidChange}}function p(y,a){typeof y=="string"&&(y=window.matchMedia(y)),y.addEventListener("change",a)}t.addMatchMediaChangeListener=p,t.PixelRatio=new w;function f(y,a){H.INSTANCE.setZoomLevel(y,a)}t.setZoomLevel=f;function m(){return H.INSTANCE.getZoomLevel()}t.getZoomLevel=m;function N(){return H.INSTANCE.getZoomFactor()}t.getZoomFactor=N;function o(y){H.INSTANCE.setZoomFactor(y)}t.setZoomFactor=o;function s(y){H.INSTANCE.setFullscreen(y)}t.setFullscreen=s;function e(){return H.INSTANCE.isFullscreen()}t.isFullscreen=e,t.onDidChangeFullscreen=H.INSTANCE.onDidChangeFullscreen;const g=navigator.userAgent;t.isFirefox=g.indexOf("Firefox")>=0,t.isWebKit=g.indexOf("AppleWebKit")>=0,t.isChrome=g.indexOf("Chrome")>=0,t.isSafari=!t.isChrome&&g.indexOf("Safari")>=0,t.isWebkitWebView=!t.isChrome&&!t.isSafari&&t.isWebKit,t.isElectron=g.indexOf("Electron/")>=0,t.isAndroid=g.indexOf("Android")>=0;let v=!1;if(window.matchMedia){const y=window.matchMedia("(display-mode: standalone)"),a=window.matchMedia("(display-mode: fullscreen)");v=y.matches,p(y,({matches:u})=>{v&&a.matches||(v=u)})}function D(){return v}t.isStandalone=D}),define(me[107],pe([1,0,15,5]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BrowserFeatures=t.KeyboardSupport=void 0;var H;(function(M){M[M.Always=0]="Always",M[M.FullScreen=1]="FullScreen",M[M.None=2]="None"})(H=t.KeyboardSupport||(t.KeyboardSupport={})),t.BrowserFeatures={clipboard:{writeText:i.isNative||document.queryCommandSupported&&document.queryCommandSupported("copy")||!!(navigator&&navigator.clipboard&&navigator.clipboard.writeText),readText:i.isNative||!!(navigator&&navigator.clipboard&&navigator.clipboard.readText)},keyboard:(()=>i.isNative||E.isStandalone()?0:navigator.keyboard||E.isSafari?1:2)(),touch:"ontouchstart"in window||navigator.maxTouchPoints>0,pointerEvents:window.PointerEvent&&("ontouchstart"in window||window.navigator.maxTouchPoints>0||navigator.maxTouchPoints>0)}}),define(me[18],pe([1,0,3]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DomEmitter=void 0;class i{constructor(M,C,w){const p=f=>this.emitter.fire(f);this.emitter=new E.Emitter({onFirstListenerAdd:()=>M.addEventListener(C,p,w),onLastListenerRemove:()=>M.removeEventListener(C,p,w)})}get event(){return this.emitter.event}dispose(){this.emitter.dispose()}}t.DomEmitter=i}),define(me[19],pe([1,0,15,43,72,5]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardKeyboardEvent=t.printStandardKeyboardEvent=t.printKeyboardEvent=void 0;function C(e){if(e.charCode){const v=String.fromCharCode(e.charCode).toUpperCase();return i.KeyCodeUtils.fromString(v)}const g=e.keyCode;if(g===3)return 7;if(E.isFirefox){if(g===59)return 80;if(g===107)return 81;if(g===109)return 83;if(M.isMacintosh&&g===224)return 57}else if(E.isWebKit){if(g===91)return 57;if(M.isMacintosh&&g===93)return 57;if(!M.isMacintosh&&g===92)return 57}return i.EVENT_KEY_CODE_MAP[g]||0}const w=M.isMacintosh?256:2048,p=512,f=1024,m=M.isMacintosh?2048:256;function N(e){const g=[];return e.ctrlKey&&g.push("ctrl"),e.shiftKey&&g.push("shift"),e.altKey&&g.push("alt"),e.metaKey&&g.push("meta"),`modifiers: [${g.join(",")}], code: ${e.code}, keyCode: ${e.keyCode}, key: ${e.key}`}t.printKeyboardEvent=N;function o(e){const g=[];return e.ctrlKey&&g.push("ctrl"),e.shiftKey&&g.push("shift"),e.altKey&&g.push("alt"),e.metaKey&&g.push("meta"),`modifiers: [${g.join(",")}], code: ${e.code}, keyCode: ${e.keyCode} ('${i.KeyCodeUtils.toString(e.keyCode)}')`}t.printStandardKeyboardEvent=o;class s{constructor(g){this._standardKeyboardEventBrand=!0;const v=g;this.browserEvent=v,this.target=v.target,this.ctrlKey=v.ctrlKey,this.shiftKey=v.shiftKey,this.altKey=v.altKey,this.metaKey=v.metaKey,this.keyCode=C(v),this.code=v.code,this.ctrlKey=this.ctrlKey||this.keyCode===5,this.altKey=this.altKey||this.keyCode===6,this.shiftKey=this.shiftKey||this.keyCode===4,this.metaKey=this.metaKey||this.keyCode===57,this._asKeybinding=this._computeKeybinding(),this._asRuntimeKeybinding=this._computeRuntimeKeybinding()}preventDefault(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()}stopPropagation(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()}toKeybinding(){return this._asRuntimeKeybinding}equals(g){return this._asKeybinding===g}_computeKeybinding(){let g=0;this.keyCode!==5&&this.keyCode!==4&&this.keyCode!==6&&this.keyCode!==57&&(g=this.keyCode);let v=0;return this.ctrlKey&&(v|=w),this.altKey&&(v|=p),this.shiftKey&&(v|=f),this.metaKey&&(v|=m),v|=g,v}_computeRuntimeKeybinding(){let g=0;return this.keyCode!==5&&this.keyCode!==4&&this.keyCode!==6&&this.keyCode!==57&&(g=this.keyCode),new H.SimpleKeybinding(this.ctrlKey,this.shiftKey,this.altKey,this.metaKey,g)}}t.StandardKeyboardEvent=s}),define(me[20],pe([1,0,15,65,5]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardWheelEvent=t.DragMouseEvent=t.StandardMouseEvent=void 0;class M{constructor(f){this.timestamp=Date.now(),this.browserEvent=f,this.leftButton=f.button===0,this.middleButton=f.button===1,this.rightButton=f.button===2,this.buttons=f.buttons,this.target=f.target,this.detail=f.detail||1,f.type==="dblclick"&&(this.detail=2),this.ctrlKey=f.ctrlKey,this.shiftKey=f.shiftKey,this.altKey=f.altKey,this.metaKey=f.metaKey,typeof f.pageX=="number"?(this.posx=f.pageX,this.posy=f.pageY):(this.posx=f.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,this.posy=f.clientY+document.body.scrollTop+document.documentElement.scrollTop);const m=i.IframeUtils.getPositionOfChildWindowRelativeToAncestorWindow(self,f.view);this.posx-=m.left,this.posy-=m.top}preventDefault(){this.browserEvent.preventDefault()}stopPropagation(){this.browserEvent.stopPropagation()}}t.StandardMouseEvent=M;class C extends M{constructor(f){super(f);this.dataTransfer=f.dataTransfer}}t.DragMouseEvent=C;class w{constructor(f,m=0,N=0){if(this.browserEvent=f||null,this.target=f?f.target||f.targetNode||f.srcElement:null,this.deltaY=N,this.deltaX=m,f){const o=f,s=f;if(typeof o.wheelDeltaY!="undefined")this.deltaY=o.wheelDeltaY/120;else if(typeof s.VERTICAL_AXIS!="undefined"&&s.axis===s.VERTICAL_AXIS)this.deltaY=-s.detail/3;else if(f.type==="wheel"){const e=f;e.deltaMode===e.DOM_DELTA_LINE?E.isFirefox&&!H.isMacintosh?this.deltaY=-f.deltaY/3:this.deltaY=-f.deltaY:this.deltaY=-f.deltaY/40}if(typeof o.wheelDeltaX!="undefined")E.isSafari&&H.isWindows?this.deltaX=-(o.wheelDeltaX/120):this.deltaX=o.wheelDeltaX/120;else if(typeof s.HORIZONTAL_AXIS!="undefined"&&s.axis===s.HORIZONTAL_AXIS)this.deltaX=-f.detail/3;else if(f.type==="wheel"){const e=f;e.deltaMode===e.DOM_DELTA_LINE?E.isFirefox&&!H.isMacintosh?this.deltaX=-f.deltaX/3:this.deltaX=-f.deltaX:this.deltaX=-f.deltaX/40}this.deltaY===0&&this.deltaX===0&&f.wheelDelta&&(this.deltaY=f.wheelDelta/120)}}preventDefault(){this.browserEvent?.preventDefault()}stopPropagation(){this.browserEvent?.stopPropagation()}}t.StandardWheelEvent=w}),define(me[32],pe([1,0,3,2,102]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toAction=t.EmptySubmenuAction=t.SubmenuAction=t.Separator=t.ActionRunner=t.Action=void 0;class M extends i.Disposable{constructor(o,s="",e="",g=!0,v){super();this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this._enabled=!0,this._id=o,this._label=s,this._cssClass=e,this._enabled=g,this._actionCallback=v}get id(){return this._id}get label(){return this._label}set label(o){this._setLabel(o)}_setLabel(o){this._label!==o&&(this._label=o,this._onDidChange.fire({label:o}))}get tooltip(){return this._tooltip||""}set tooltip(o){this._setTooltip(o)}_setTooltip(o){this._tooltip!==o&&(this._tooltip=o,this._onDidChange.fire({tooltip:o}))}get class(){return this._cssClass}set class(o){this._setClass(o)}_setClass(o){this._cssClass!==o&&(this._cssClass=o,this._onDidChange.fire({class:o}))}get enabled(){return this._enabled}set enabled(o){this._setEnabled(o)}_setEnabled(o){this._enabled!==o&&(this._enabled=o,this._onDidChange.fire({enabled:o}))}get checked(){return this._checked}set checked(o){this._setChecked(o)}_setChecked(o){this._checked!==o&&(this._checked=o,this._onDidChange.fire({checked:o}))}async run(o,s){this._actionCallback&&await this._actionCallback(o)}}t.Action=M;class C extends i.Disposable{constructor(){super(...arguments);this._onBeforeRun=this._register(new E.Emitter),this.onBeforeRun=this._onBeforeRun.event,this._onDidRun=this._register(new E.Emitter),this.onDidRun=this._onDidRun.event}async run(o,s){if(!o.enabled)return;this._onBeforeRun.fire({action:o});let e;try{await this.runAction(o,s)}catch(g){e=g}this._onDidRun.fire({action:o,error:e})}async runAction(o,s){await o.run(s)}}t.ActionRunner=C;class w extends M{constructor(o){super(w.ID,o,o?"separator text":"separator");this.checked=!1,this.enabled=!1}static join(...o){let s=[];for(const e of o)e.length&&(s.length?s=[...s,new w,...e]:s=e);return s}}t.Separator=w,w.ID="vs.actions.separator";class p{constructor(o,s,e,g){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=o,this.label=s,this.class=g,this._actions=e}get actions(){return this._actions}async run(){}}t.SubmenuAction=p;class f extends M{constructor(){super(f.ID,H.localize(0,null),void 0,!1)}}t.EmptySubmenuAction=f,f.ID="vs.actions.empty";function m(N){return{id:N.id,label:N.label,class:void 0,enabled:N.enabled??!0,checked:N.checked??!1,run:async()=>N.run(),tooltip:N.label}}t.toAction=m}),define(me[28],pe([1,0,3]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CancellationTokenSource=t.CancellationToken=void 0;const i=Object.freeze(function(w,p){const f=setTimeout(w.bind(p),0);return{dispose(){clearTimeout(f)}}});var H;(function(w){function p(f){return f===w.None||f===w.Cancelled||f instanceof M?!0:!f||typeof f!="object"?!1:typeof f.isCancellationRequested=="boolean"&&typeof f.onCancellationRequested=="function"}w.isCancellationToken=p,w.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),w.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:i})})(H=t.CancellationToken||(t.CancellationToken={}));class M{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?i:(this._emitter||(this._emitter=new E.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class C{constructor(p){this._token=void 0,this._parentListener=void 0,this._parentListener=p&&p.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new M),this._token}cancel(){this._token?this._token instanceof M&&this._token.cancel():this._token=H.Cancelled}dispose(p=!1){p&&this.cancel(),this._parentListener?.dispose(),this._token?this._token instanceof M&&this._token.dispose():this._token=H.None}}t.CancellationTokenSource=C}),define(me[108],pe([1,0,28]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CachedFunction=t.LRUCachedFunction=t.Cache=void 0;class i{constructor(w){this.task=w,this.result=null}get(){if(this.result)return this.result;const w=new E.CancellationTokenSource,p=this.task(w.token);return this.result={promise:p,dispose:()=>{this.result=null,w.cancel(),w.dispose()}},this.result}}t.Cache=i;class H{constructor(w){this.fn=w,this.lastCache=void 0,this.lastArgKey=void 0}get(w){const p=JSON.stringify(w);return this.lastArgKey!==p&&(this.lastArgKey=p,this.lastCache=this.fn(w)),this.lastCache}}t.LRUCachedFunction=H;class M{constructor(w){this.fn=w,this._map=new Map}get cachedValues(){return this._map}get(w){if(this._map.has(w))return this._map.get(w);const p=this.fn(w);return this._map.set(w,p),p}}t.CachedFunction=M}),define(me[47],pe([1,0,3,2]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SmoothScrollingOperation=t.SmoothScrollingUpdate=t.Scrollable=t.ScrollState=t.ScrollbarVisibility=void 0;var H;(function(s){s[s.Auto=1]="Auto",s[s.Hidden=2]="Hidden",s[s.Visible=3]="Visible"})(H=t.ScrollbarVisibility||(t.ScrollbarVisibility={}));class M{constructor(e,g,v,D,y,a,u){this._forceIntegerValues=e,this._scrollStateBrand=void 0,this._forceIntegerValues&&(g=g|0,v=v|0,D=D|0,y=y|0,a=a|0,u=u|0),this.rawScrollLeft=D,this.rawScrollTop=u,g<0&&(g=0),D+g>v&&(D=v-g),D<0&&(D=0),y<0&&(y=0),u+y>a&&(u=a-y),u<0&&(u=0),this.width=g,this.scrollWidth=v,this.scrollLeft=D,this.height=y,this.scrollHeight=a,this.scrollTop=u}equals(e){return this.rawScrollLeft===e.rawScrollLeft&&this.rawScrollTop===e.rawScrollTop&&this.width===e.width&&this.scrollWidth===e.scrollWidth&&this.scrollLeft===e.scrollLeft&&this.height===e.height&&this.scrollHeight===e.scrollHeight&&this.scrollTop===e.scrollTop}withScrollDimensions(e,g){return new M(this._forceIntegerValues,typeof e.width!="undefined"?e.width:this.width,typeof e.scrollWidth!="undefined"?e.scrollWidth:this.scrollWidth,g?this.rawScrollLeft:this.scrollLeft,typeof e.height!="undefined"?e.height:this.height,typeof e.scrollHeight!="undefined"?e.scrollHeight:this.scrollHeight,g?this.rawScrollTop:this.scrollTop)}withScrollPosition(e){return new M(this._forceIntegerValues,this.width,this.scrollWidth,typeof e.scrollLeft!="undefined"?e.scrollLeft:this.rawScrollLeft,this.height,this.scrollHeight,typeof e.scrollTop!="undefined"?e.scrollTop:this.rawScrollTop)}createScrollEvent(e,g){const v=this.width!==e.width,D=this.scrollWidth!==e.scrollWidth,y=this.scrollLeft!==e.scrollLeft,a=this.height!==e.height,u=this.scrollHeight!==e.scrollHeight,b=this.scrollTop!==e.scrollTop;return{inSmoothScrolling:g,oldWidth:e.width,oldScrollWidth:e.scrollWidth,oldScrollLeft:e.scrollLeft,width:this.width,scrollWidth:this.scrollWidth,scrollLeft:this.scrollLeft,oldHeight:e.height,oldScrollHeight:e.scrollHeight,oldScrollTop:e.scrollTop,height:this.height,scrollHeight:this.scrollHeight,scrollTop:this.scrollTop,widthChanged:v,scrollWidthChanged:D,scrollLeftChanged:y,heightChanged:a,scrollHeightChanged:u,scrollTopChanged:b}}}t.ScrollState=M;class C extends i.Disposable{constructor(e){super();this._scrollableBrand=void 0,this._onScroll=this._register(new E.Emitter),this.onScroll=this._onScroll.event,this._smoothScrollDuration=e.smoothScrollDuration,this._scheduleAtNextAnimationFrame=e.scheduleAtNextAnimationFrame,this._state=new M(e.forceIntegerValues,0,0,0,0,0,0),this._smoothScrolling=null}dispose(){this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),super.dispose()}setSmoothScrollDuration(e){this._smoothScrollDuration=e}validateScrollPosition(e){return this._state.withScrollPosition(e)}getScrollDimensions(){return this._state}setScrollDimensions(e,g){const v=this._state.withScrollDimensions(e,g);this._setState(v,Boolean(this._smoothScrolling)),this._smoothScrolling?.acceptScrollDimensions(this._state)}getFutureScrollPosition(){return this._smoothScrolling?this._smoothScrolling.to:this._state}getCurrentScrollPosition(){return this._state}setScrollPositionNow(e){const g=this._state.withScrollPosition(e);this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),this._setState(g,!1)}setScrollPositionSmooth(e,g){if(this._smoothScrollDuration===0)return this.setScrollPositionNow(e);if(this._smoothScrolling){e={scrollLeft:typeof e.scrollLeft=="undefined"?this._smoothScrolling.to.scrollLeft:e.scrollLeft,scrollTop:typeof e.scrollTop=="undefined"?this._smoothScrolling.to.scrollTop:e.scrollTop};const v=this._state.withScrollPosition(e);if(this._smoothScrolling.to.scrollLeft===v.scrollLeft&&this._smoothScrolling.to.scrollTop===v.scrollTop)return;let D;g?D=new m(this._smoothScrolling.from,v,this._smoothScrolling.startTime,this._smoothScrolling.duration):D=this._smoothScrolling.combine(this._state,v,this._smoothScrollDuration),this._smoothScrolling.dispose(),this._smoothScrolling=D}else{const v=this._state.withScrollPosition(e);this._smoothScrolling=m.start(this._state,v,this._smoothScrollDuration)}this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(()=>{!this._smoothScrolling||(this._smoothScrolling.animationFrameDisposable=null,this._performSmoothScrolling())})}_performSmoothScrolling(){if(!this._smoothScrolling)return;const e=this._smoothScrolling.tick(),g=this._state.withScrollPosition(e);if(this._setState(g,!0),!!this._smoothScrolling){if(e.isDone){this._smoothScrolling.dispose(),this._smoothScrolling=null;return}this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(()=>{!this._smoothScrolling||(this._smoothScrolling.animationFrameDisposable=null,this._performSmoothScrolling())})}}_setState(e,g){const v=this._state;v.equals(e)||(this._state=e,this._onScroll.fire(this._state.createScrollEvent(v,g)))}}t.Scrollable=C;class w{constructor(e,g,v){this.scrollLeft=e,this.scrollTop=g,this.isDone=v}}t.SmoothScrollingUpdate=w;function p(s,e){const g=e-s;return function(v){return s+g*o(v)}}function f(s,e,g){return function(v){return v<g?s(v/g):e((v-g)/(1-g))}}class m{constructor(e,g,v,D){this.from=e,this.to=g,this.duration=D,this.startTime=v,this.animationFrameDisposable=null,this._initAnimations()}_initAnimations(){this.scrollLeft=this._initAnimation(this.from.scrollLeft,this.to.scrollLeft,this.to.width),this.scrollTop=this._initAnimation(this.from.scrollTop,this.to.scrollTop,this.to.height)}_initAnimation(e,g,v){if(Math.abs(e-g)>2.5*v){let y,a;return e<g?(y=e+.75*v,a=g-.75*v):(y=e-.75*v,a=g+.75*v),f(p(e,y),p(a,g),.33)}return p(e,g)}dispose(){this.animationFrameDisposable!==null&&(this.animationFrameDisposable.dispose(),this.animationFrameDisposable=null)}acceptScrollDimensions(e){this.to=e.withScrollPosition(this.to),this._initAnimations()}tick(){return this._tick(Date.now())}_tick(e){const g=(e-this.startTime)/this.duration;if(g<1){const v=this.scrollLeft(g),D=this.scrollTop(g);return new w(v,D,!1)}return new w(this.to.scrollLeft,this.to.scrollTop,!0)}combine(e,g,v){return m.start(e,g,v)}static start(e,g,v){v=v+10;const D=Date.now()-10;return new m(e,g,D,v)}}t.SmoothScrollingOperation=m;function N(s){return Math.pow(s,3)}function o(s){return 1-N(1-s)}}),define(me[10],pe([1,0,108,73]),function(Q,t,E,i){"use strict";var H;Object.defineProperty(t,"__esModule",{value:!0}),t.InvisibleCharacters=t.AmbiguousCharacters=t.noBreakWhitespace=t.getLeftDeleteOffset=t.GraphemeBreakType=t.getGraphemeBreakType=t.singleLetterHash=t.getNLines=t.uppercaseFirstLetter=t.containsUppercaseCharacter=t.fuzzyContains=t.stripUTF8BOM=t.startsWithUTF8BOM=t.UTF8_BOM_CHARACTER=t.removeAnsiEscapeCodes=t.lcut=t.isEmojiImprecise=t.isFullWidthCharacter=t.containsUnusualLineTerminators=t.UNUSUAL_LINE_TERMINATORS=t.isBasicASCII=t.containsRTL=t.getCharContainingOffset=t.prevCharLength=t.nextCharLength=t.GraphemeIterator=t.CodePointIterator=t.getNextCodePoint=t.computeCodePoint=t.isLowSurrogate=t.isHighSurrogate=t.commonSuffixLength=t.commonPrefixLength=t.startsWithIgnoreCase=t.equalsIgnoreCase=t.isUpperAsciiLetter=t.isLowerAsciiLetter=t.isAsciiDigit=t.compareSubstringIgnoreCase=t.compareIgnoreCase=t.compareSubstring=t.compare=t.replaceAsync=t.lastNonWhitespaceIndex=t.getLeadingWhitespace=t.firstNonWhitespaceIndex=t.splitLines=t.regExpFlags=t.regExpContainsBackreference=t.regExpLeadsToEndlessLoop=t.createRegExp=t.stripWildcards=t.convertSimple2RegExpPattern=t.rtrim=t.ltrim=t.trim=t.truncate=t.count=t.escapeRegExpCharacters=t.escape=t.format2=t.format=t.isFalsyOrWhitespace=void 0;function M(q){return!q||typeof q!="string"?!0:q.trim().length===0}t.isFalsyOrWhitespace=M;const C=/{(\d+)}/g;function w(q,...oe){return oe.length===0?q:q.replace(C,function(be,_e){const Ae=parseInt(_e,10);return isNaN(Ae)||Ae<0||Ae>=oe.length?be:oe[Ae]})}t.format=w;const p=/{([^}]+)}/g;function f(q,oe){return q.replace(p,(be,_e)=>oe[_e]??be)}t.format2=f;function m(q){return q.replace(/[<>&]/g,function(oe){switch(oe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return oe}})}t.escape=m;function N(q){return q.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}t.escapeRegExpCharacters=N;function o(q,oe){let be=0;const _e=oe.charCodeAt(0);for(let Ae=q.length-1;Ae>=0;Ae--)q.charCodeAt(Ae)===_e&&be++;return be}t.count=o;function s(q,oe,be="\u2026"){return q.length<=oe?q:`${q.substr(0,oe)}${be}`}t.truncate=s;function e(q,oe=" "){const be=g(q,oe);return v(be,oe)}t.trim=e;function g(q,oe){if(!q||!oe)return q;const be=oe.length;if(be===0||q.length===0)return q;let _e=0;for(;q.indexOf(oe,_e)===_e;)_e=_e+be;return q.substring(_e)}t.ltrim=g;function v(q,oe){if(!q||!oe)return q;const be=oe.length,_e=q.length;if(be===0||_e===0)return q;let Ae=_e,Re=-1;for(;Re=q.lastIndexOf(oe,Ae-1),!(Re===-1||Re+be!==Ae);){if(Re===0)return"";Ae=Re}return q.substring(0,Ae)}t.rtrim=v;function D(q){return q.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}t.convertSimple2RegExpPattern=D;function y(q){return q.replace(/\*/g,"")}t.stripWildcards=y;function a(q,oe,be={}){if(!q)throw new Error("Cannot create regex from empty string");oe||(q=N(q)),be.wholeWord&&(/\B/.test(q.charAt(0))||(q="\\b"+q),/\B/.test(q.charAt(q.length-1))||(q=q+"\\b"));let _e="";return be.global&&(_e+="g"),be.matchCase||(_e+="i"),be.multiline&&(_e+="m"),be.unicode&&(_e+="u"),new RegExp(q,_e)}t.createRegExp=a;function u(q){return q.source==="^"||q.source==="^$"||q.source==="$"||q.source==="^\\s*$"?!1:!!(q.exec("")&&q.lastIndex===0)}t.regExpLeadsToEndlessLoop=u;function b(q){return!!q.match(/([^\\]|^)(\\\\)*\\\d+/)}t.regExpContainsBackreference=b;function S(q){return(q.global?"g":"")+(q.ignoreCase?"i":"")+(q.multiline?"m":"")+(q.unicode?"u":"")}t.regExpFlags=S;function F(q){return q.split(/\r\n|\r|\n/)}t.splitLines=F;function _(q){for(let oe=0,be=q.length;oe<be;oe++){const _e=q.charCodeAt(oe);if(_e!==32&&_e!==9)return oe}return-1}t.firstNonWhitespaceIndex=_;function r(q,oe=0,be=q.length){for(let _e=oe;_e<be;_e++){const Ae=q.charCodeAt(_e);if(Ae!==32&&Ae!==9)return q.substring(oe,_e)}return q.substring(oe,be)}t.getLeadingWhitespace=r;function n(q,oe=q.length-1){for(let be=oe;be>=0;be--){const _e=q.charCodeAt(be);if(_e!==32&&_e!==9)return be}return-1}t.lastNonWhitespaceIndex=n;function h(q,oe,be){const _e=[];let Ae=0;for(const Re of q.matchAll(oe)){if(_e.push(q.slice(Ae,Re.index)),Re.index===void 0)throw new Error("match.index should be defined");Ae=Re.index+Re[0].length,_e.push(be(Re[0],...Re.slice(1),Re.index,q,Re.groups))}return _e.push(q.slice(Ae)),Promise.all(_e).then(Re=>Re.join(""))}t.replaceAsync=h;function l(q,oe){return q<oe?-1:q>oe?1:0}t.compare=l;function c(q,oe,be=0,_e=q.length,Ae=0,Re=oe.length){for(;be<_e&&Ae<Re;be++,Ae++){const Xe=q.charCodeAt(be),qe=oe.charCodeAt(Ae);if(Xe<qe)return-1;if(Xe>qe)return 1}const Ve=_e-be,tt=Re-Ae;return Ve<tt?-1:Ve>tt?1:0}t.compareSubstring=c;function P(q,oe){return V(q,oe,0,q.length,0,oe.length)}t.compareIgnoreCase=P;function V(q,oe,be=0,_e=q.length,Ae=0,Re=oe.length){for(;be<_e&&Ae<Re;be++,Ae++){let Xe=q.charCodeAt(be),qe=oe.charCodeAt(Ae);if(Xe===qe)continue;if(Xe>=128||qe>=128)return c(q.toLowerCase(),oe.toLowerCase(),be,_e,Ae,Re);ne(Xe)&&(Xe-=32),ne(qe)&&(qe-=32);const Le=Xe-qe;if(Le!==0)return Le}const Ve=_e-be,tt=Re-Ae;return Ve<tt?-1:Ve>tt?1:0}t.compareSubstringIgnoreCase=V;function ue(q){return q>=48&&q<=57}t.isAsciiDigit=ue;function ne(q){return q>=97&&q<=122}t.isLowerAsciiLetter=ne;function ge(q){return q>=65&&q<=90}t.isUpperAsciiLetter=ge;function ae(q,oe){return q.length===oe.length&&V(q,oe)===0}t.equalsIgnoreCase=ae;function we(q,oe){const be=oe.length;return oe.length>q.length?!1:V(q,oe,0,be)===0}t.startsWithIgnoreCase=we;function he(q,oe){const be=Math.min(q.length,oe.length);let _e;for(_e=0;_e<be;_e++)if(q.charCodeAt(_e)!==oe.charCodeAt(_e))return _e;return be}t.commonPrefixLength=he;function re(q,oe){const be=Math.min(q.length,oe.length);let _e;const Ae=q.length-1,Re=oe.length-1;for(_e=0;_e<be;_e++)if(q.charCodeAt(Ae-_e)!==oe.charCodeAt(Re-_e))return _e;return be}t.commonSuffixLength=re;function Ce(q){return 55296<=q&&q<=56319}t.isHighSurrogate=Ce;function te(q){return 56320<=q&&q<=57343}t.isLowSurrogate=te;function De(q,oe){return(q-55296<<10)+(oe-56320)+65536}t.computeCodePoint=De;function ee(q,oe,be){const _e=q.charCodeAt(be);if(Ce(_e)&&be+1<oe){const Ae=q.charCodeAt(be+1);if(te(Ae))return De(_e,Ae)}return _e}t.getNextCodePoint=ee;function X(q,oe){const be=q.charCodeAt(oe-1);if(te(be)&&oe>1){const _e=q.charCodeAt(oe-2);if(Ce(_e))return De(_e,be)}return be}class se{constructor(oe,be=0){this._str=oe,this._len=oe.length,this._offset=be}get offset(){return this._offset}setOffset(oe){this._offset=oe}prevCodePoint(){const oe=X(this._str,this._offset);return this._offset-=oe>=65536?2:1,oe}nextCodePoint(){const oe=ee(this._str,this._len,this._offset);return this._offset+=oe>=65536?2:1,oe}eol(){return this._offset>=this._len}}t.CodePointIterator=se;class ie{constructor(oe,be=0){this._iterator=new se(oe,be)}get offset(){return this._iterator.offset}nextGraphemeLength(){const oe=Pe.getInstance(),be=this._iterator,_e=be.offset;let Ae=oe.getGraphemeBreakType(be.nextCodePoint());for(;!be.eol();){const Re=be.offset,Ve=oe.getGraphemeBreakType(be.nextCodePoint());if(Fe(Ae,Ve)){be.setOffset(Re);break}Ae=Ve}return be.offset-_e}prevGraphemeLength(){const oe=Pe.getInstance(),be=this._iterator,_e=be.offset;let Ae=oe.getGraphemeBreakType(be.prevCodePoint());for(;be.offset>0;){const Re=be.offset,Ve=oe.getGraphemeBreakType(be.prevCodePoint());if(Fe(Ve,Ae)){be.setOffset(Re);break}Ae=Ve}return _e-be.offset}eol(){return this._iterator.eol()}}t.GraphemeIterator=ie;function T(q,oe){return new ie(q,oe).nextGraphemeLength()}t.nextCharLength=T;function $(q,oe){return new ie(q,oe).prevGraphemeLength()}t.prevCharLength=$;function j(q,oe){oe>0&&te(q.charCodeAt(oe))&&oe--;const be=oe+T(q,oe);return[be-$(q,be),be]}t.getCharContainingOffset=j;const W=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function d(q){return W.test(q)}t.containsRTL=d;const I=/^[\t\n\r\x20-\x7E]*$/;function U(q){return I.test(q)}t.isBasicASCII=U,t.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function K(q){return t.UNUSUAL_LINE_TERMINATORS.test(q)}t.containsUnusualLineTerminators=K;function Z(q){return q>=11904&&q<=55215||q>=63744&&q<=64255||q>=65281&&q<=65374}t.isFullWidthCharacter=Z;function L(q){return q>=127462&&q<=127487||q===8986||q===8987||q===9200||q===9203||q>=9728&&q<=10175||q===11088||q===11093||q>=127744&&q<=128591||q>=128640&&q<=128764||q>=128992&&q<=129008||q>=129280&&q<=129535||q>=129648&&q<=129782}t.isEmojiImprecise=L;function O(q,oe){if(q.length<oe)return q;const be=/\b/g;let _e=0;for(;be.test(q)&&!(q.length-be.lastIndex<oe);)_e=be.lastIndex,be.lastIndex+=1;return q.substring(_e).replace(/^\s/,"")}t.lcut=O;const z=/\x1B\x5B[12]?K/g,A=/\x1b\[\d+m/g,B=/\x1b\[0?m/g;function k(q){return q&&(q=q.replace(z,""),q=q.replace(A,""),q=q.replace(B,"")),q}t.removeAnsiEscapeCodes=k,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function R(q){return!!(q&&q.length>0&&q.charCodeAt(0)===65279)}t.startsWithUTF8BOM=R;function x(q){return R(q)?q.substr(1):q}t.stripUTF8BOM=x;function J(q,oe){if(!q||!oe||q.length<oe.length)return!1;const be=oe.length,_e=q.toLowerCase();let Ae=0,Re=-1;for(;Ae<be;){const Ve=_e.indexOf(oe[Ae],Re+1);if(Ve<0)return!1;Re=Ve,Ae++}return!0}t.fuzzyContains=J;function de(q,oe=!1){return q?(oe&&(q=q.replace(/\\./g,"")),q.toLowerCase()!==q):!1}t.containsUppercaseCharacter=de;function ce(q){return q.charAt(0).toUpperCase()+q.slice(1)}t.uppercaseFirstLetter=ce;function ye(q,oe=1){if(oe===0)return"";let be=-1;do be=q.indexOf(`
`,be+1),oe--;while(oe>0&&be>=0);return be===-1?q:(q[be-1]==="\r"&&be--,q.substr(0,be))}t.getNLines=ye;function Ee(q){const oe=90-65+1;return q=q%(2*oe),q<oe?String.fromCharCode(97+q):String.fromCharCode(65+q-oe)}t.singleLetterHash=Ee;function ke(q){return Pe.getInstance().getGraphemeBreakType(q)}t.getGraphemeBreakType=ke;function Fe(q,oe){return q===0?oe!==5&&oe!==7:q===2&&oe===3?!1:q===4||q===2||q===3||oe===4||oe===2||oe===3?!0:!(q===8&&(oe===8||oe===9||oe===11||oe===12)||(q===11||q===9)&&(oe===9||oe===10)||(q===12||q===10)&&oe===10||oe===5||oe===13||oe===7||q===1||q===13&&oe===14||q===6&&oe===6)}var ve;(function(q){q[q.Other=0]="Other",q[q.Prepend=1]="Prepend",q[q.CR=2]="CR",q[q.LF=3]="LF",q[q.Control=4]="Control",q[q.Extend=5]="Extend",q[q.Regional_Indicator=6]="Regional_Indicator",q[q.SpacingMark=7]="SpacingMark",q[q.L=8]="L",q[q.V=9]="V",q[q.T=10]="T",q[q.LV=11]="LV",q[q.LVT=12]="LVT",q[q.ZWJ=13]="ZWJ",q[q.Extended_Pictographic=14]="Extended_Pictographic"})(ve=t.GraphemeBreakType||(t.GraphemeBreakType={}));class Pe{constructor(){this._data=Me()}static getInstance(){return Pe._INSTANCE||(Pe._INSTANCE=new Pe),Pe._INSTANCE}getGraphemeBreakType(oe){if(oe<32)return oe===10?3:oe===13?2:4;if(oe<127)return 0;const be=this._data,_e=be.length/3;let Ae=1;for(;Ae<=_e;)if(oe<be[3*Ae])Ae=2*Ae;else if(oe>be[3*Ae+1])Ae=2*Ae+1;else return be[3*Ae+2];return 0}}Pe._INSTANCE=null;function Me(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function xe(q,oe){if(q===0)return 0;const be=He(q,oe);if(be!==void 0)return be;const _e=new se(oe,q);return _e.prevCodePoint(),_e.offset}t.getLeftDeleteOffset=xe;function He(q,oe){const be=new se(oe,q);let _e=be.prevCodePoint();for(;ze(_e)||_e===65039||_e===8419;){if(be.offset===0)return;_e=be.prevCodePoint()}if(!L(_e))return;let Ae=be.offset;return Ae>0&&be.prevCodePoint()===8205&&(Ae=be.offset),Ae}function ze(q){return 127995<=q&&q<=127999}var Ye;(function(q){q[q.zwj=8205]="zwj",q[q.emojiVariantSelector=65039]="emojiVariantSelector",q[q.enclosingKeyCap=8419]="enclosingKeyCap"})(Ye||(Ye={})),t.noBreakWhitespace="\xA0";class Ge{constructor(oe){this.confusableDictionary=oe}static getInstance(oe){return Ge.cache.get(Array.from(oe))}static getLocales(){return Ge._locales.getValue()}isAmbiguous(oe){return this.confusableDictionary.has(oe)}getPrimaryConfusable(oe){return this.confusableDictionary.get(oe)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}t.AmbiguousCharacters=Ge,H=Ge,Ge.ambiguousCharacterData=new i.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Ge.cache=new E.LRUCachedFunction(q=>{function oe(qe){const Le=new Map;for(let le=0;le<qe.length;le+=2)Le.set(qe[le],qe[le+1]);return Le}function be(qe,Le){const le=new Map(qe);for(const[Se,Ne]of Le)le.set(Se,Ne);return le}function _e(qe,Le){if(!qe)return Le;const le=new Map;for(const[Se,Ne]of qe)Le.has(Se)&&le.set(Se,Ne);return le}const Ae=H.ambiguousCharacterData.getValue();let Re=q.filter(qe=>!qe.startsWith("_")&&qe in Ae);Re.length===0&&(Re=["_default"]);let Ve;for(const qe of Re){const Le=oe(Ae[qe]);Ve=_e(Ve,Le)}const tt=oe(Ae._common),Xe=be(tt,Ve);return new Ge(Xe)}),Ge._locales=new i.Lazy(()=>Object.keys(Ge.ambiguousCharacterData.getValue()).filter(q=>!q.startsWith("_")));class Oe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Oe.getRawData())),this._data}static isInvisibleCharacter(oe){return Oe.getData().has(oe)}static get codePoints(){return Oe.getData()}}t.InvisibleCharacters=Oe,Oe._data=void 0}),define(me[109],pe([1,0,21,5,10,6]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.randomPath=t.parseLineAndColumnAware=t.indexOfPath=t.getDriveLetter=t.hasDriveLetter=t.isRootOrDriveLetter=t.sanitizeFilePath=t.isWindowsDriveLetter=t.isEqualOrParent=t.isEqual=t.isValidBasename=t.isUNC=t.getRoot=t.toPosixPath=t.toSlashes=t.isPathSeparator=void 0;function C(n){return n===47||n===92}t.isPathSeparator=C;function w(n){return n.replace(/[\\/]/g,E.posix.sep)}t.toSlashes=w;function p(n){return n.indexOf("/")===-1&&(n=w(n)),/^[a-zA-Z]:(\/|$)/.test(n)&&(n="/"+n),n}t.toPosixPath=p;function f(n,h=E.posix.sep){if(!n)return"";const l=n.length,c=n.charCodeAt(0);if(C(c)){if(C(n.charCodeAt(1))&&!C(n.charCodeAt(2))){let V=3;const ue=V;for(;V<l&&!C(n.charCodeAt(V));V++);if(ue!==V&&!C(n.charCodeAt(V+1))){for(V+=1;V<l;V++)if(C(n.charCodeAt(V)))return n.slice(0,V+1).replace(/[\\/]/g,h)}}return h}else if(D(c)&&n.charCodeAt(1)===58)return C(n.charCodeAt(2))?n.slice(0,2)+h:n.slice(0,2);let P=n.indexOf("://");if(P!==-1){for(P+=3;P<l;P++)if(C(n.charCodeAt(P)))return n.slice(0,P+1)}return""}t.getRoot=f;function m(n){if(!i.isWindows||!n||n.length<5)return!1;let h=n.charCodeAt(0);if(h!==92||(h=n.charCodeAt(1),h!==92))return!1;let l=2;const c=l;for(;l<n.length&&(h=n.charCodeAt(l),h!==92);l++);return!(c===l||(h=n.charCodeAt(l+1),isNaN(h)||h===92))}t.isUNC=m;const N=/[\\/:\*\?"<>\|]/g,o=/[\\/]/g,s=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function e(n,h=i.isWindows){const l=h?N:o;return!(!n||n.length===0||/^\s+$/.test(n)||(l.lastIndex=0,l.test(n))||h&&s.test(n)||n==="."||n===".."||h&&n[n.length-1]==="."||h&&n.length!==n.trim().length||n.length>255)}t.isValidBasename=e;function g(n,h,l){const c=n===h;return!l||c?c:!n||!h?!1:(0,H.equalsIgnoreCase)(n,h)}t.isEqual=g;function v(n,h,l,c=E.sep){if(n===h)return!0;if(!n||!h||h.length>n.length)return!1;if(l){if(!(0,H.startsWithIgnoreCase)(n,h))return!1;if(h.length===n.length)return!0;let V=h.length;return h.charAt(h.length-1)===c&&V--,n.charAt(V)===c}return h.charAt(h.length-1)!==c&&(h+=c),n.indexOf(h)===0}t.isEqualOrParent=v;function D(n){return n>=65&&n<=90||n>=97&&n<=122}t.isWindowsDriveLetter=D;function y(n,h){return i.isWindows&&n.endsWith(":")&&(n+=E.sep),(0,E.isAbsolute)(n)||(n=(0,E.join)(h,n)),n=(0,E.normalize)(n),i.isWindows?(n=(0,H.rtrim)(n,E.sep),n.endsWith(":")&&(n+=E.sep)):(n=(0,H.rtrim)(n,E.sep),n||(n=E.sep)),n}t.sanitizeFilePath=y;function a(n){const h=(0,E.normalize)(n);return i.isWindows?n.length>3?!1:u(h)&&(n.length===2||h.charCodeAt(2)===92):h===E.posix.sep}t.isRootOrDriveLetter=a;function u(n,h=i.isWindows){return h?D(n.charCodeAt(0))&&n.charCodeAt(1)===58:!1}t.hasDriveLetter=u;function b(n){return u(n)?n[0]:void 0}t.getDriveLetter=b;function S(n,h,l){return h.length>n.length?-1:n===h?0:(l&&(n=n.toLowerCase(),h=h.toLowerCase()),n.indexOf(h))}t.indexOfPath=S;function F(n){const h=n.split(":");let l,c,P;for(const V of h){const ue=Number(V);(0,M.isNumber)(ue)?c===void 0?c=ue:P===void 0&&(P=ue):l=l?[l,V].join(":"):V}if(!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:c!==void 0?c:void 0,column:P!==void 0?P:c!==void 0?1:void 0}}t.parseLineAndColumnAware=F;const _="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function r(n,h,l=8){let c="";for(let V=0;V<l;V++)c+=_.charAt(Math.floor(Math.random()*_.length));let P;return h?P=`${h}-${c}`:P=c,n?(0,E.join)(n,P):P}t.randomPath=r}),define(me[110],pe([1,0,10]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.numberHash=t.doHash=t.hash=void 0;function i(D){return H(D,0)}t.hash=i;function H(D,y){switch(typeof D){case"object":return D===null?M(349,y):Array.isArray(D)?p(D,y):f(D,y);case"string":return w(D,y);case"boolean":return C(D,y);case"number":return M(D,y);case"undefined":return M(937,y);default:return M(617,y)}}t.doHash=H;function M(D,y){return(y<<5)-y+D|0}t.numberHash=M;function C(D,y){return M(D?433:863,y)}function w(D,y){y=M(149417,y);for(let a=0,u=D.length;a<u;a++)y=M(D.charCodeAt(a),y);return y}t.stringHash=w;function p(D,y){return y=M(104579,y),D.reduce((a,u)=>H(u,a),y)}function f(D,y){return y=M(181387,y),Object.keys(D).sort().reduce((a,u)=>(a=w(u,a),H(D[u],a)),y)}class m{constructor(){this._value=0}get value(){return this._value}hash(y){return this._value=H(y,this._value),this._value}}t.Hasher=m;var N;(function(D){D[D.BLOCK_SIZE=64]="BLOCK_SIZE",D[D.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(N||(N={}));function o(D,y,a=32){const u=a-y,b=~((1<<u)-1);return(D<<y|(b&D)>>>u)>>>0}function s(D,y=0,a=D.byteLength,u=0){for(let b=0;b<a;b++)D[y+b]=u}function e(D,y,a="0"){for(;D.length<y;)D=a+D;return D}function g(D,y=32){return D instanceof ArrayBuffer?Array.from(new Uint8Array(D)).map(a=>a.toString(16).padStart(2,"0")).join(""):e((D>>>0).toString(16),y/4)}t.toHexString=g;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(y){const a=y.length;if(a===0)return;const u=this._buff;let b=this._buffLen,S=this._leftoverHighSurrogate,F,_;for(S!==0?(F=S,_=-1,S=0):(F=y.charCodeAt(0),_=0);;){let r=F;if(E.isHighSurrogate(F))if(_+1<a){const n=y.charCodeAt(_+1);E.isLowSurrogate(n)?(_++,r=E.computeCodePoint(F,n)):r=65533}else{S=F;break}else E.isLowSurrogate(F)&&(r=65533);if(b=this._push(u,b,r),_++,_<a)F=y.charCodeAt(_);else break}this._buffLen=b,this._leftoverHighSurrogate=S}_push(y,a,u){return u<128?y[a++]=u:u<2048?(y[a++]=192|(u&1984)>>>6,y[a++]=128|(u&63)>>>0):u<65536?(y[a++]=224|(u&61440)>>>12,y[a++]=128|(u&4032)>>>6,y[a++]=128|(u&63)>>>0):(y[a++]=240|(u&1835008)>>>18,y[a++]=128|(u&258048)>>>12,y[a++]=128|(u&4032)>>>6,y[a++]=128|(u&63)>>>0),a>=64&&(this._step(),a-=64,this._totalLen+=64,y[0]=y[64+0],y[1]=y[64+1],y[2]=y[64+2]),a}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),g(this._h0)+g(this._h1)+g(this._h2)+g(this._h3)+g(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,s(this._buff,this._buffLen),this._buffLen>56&&(this._step(),s(this._buff));const y=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(y/4294967296),!1),this._buffDV.setUint32(60,y%4294967296,!1),this._step()}_step(){const y=v._bigBlock32,a=this._buffDV;for(let l=0;l<64;l+=4)y.setUint32(l,a.getUint32(l,!1),!1);for(let l=64;l<320;l+=4)y.setUint32(l,o(y.getUint32(l-12,!1)^y.getUint32(l-32,!1)^y.getUint32(l-56,!1)^y.getUint32(l-64,!1),1),!1);let u=this._h0,b=this._h1,S=this._h2,F=this._h3,_=this._h4,r,n,h;for(let l=0;l<80;l++)l<20?(r=b&S|~b&F,n=1518500249):l<40?(r=b^S^F,n=1859775393):l<60?(r=b&S|b&F|S&F,n=2400959708):(r=b^S^F,n=3395469782),h=o(u,5)+r+_+n+y.getUint32(l*4,!1)&4294967295,_=F,F=S,S=o(b,30),b=u,u=h;this._h0=this._h0+u&4294967295,this._h1=this._h1+b&4294967295,this._h2=this._h2+S&4294967295,this._h3=this._h3+F&4294967295,this._h4=this._h4+_&4294967295}}t.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))}),define(me[111],pe([1,0,70,110]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LcsDiff=t.MyArray=t.Debug=t.stringDiff=t.StringDiffSequence=void 0;class H{constructor(o){this.source=o}getElements(){const o=this.source,s=new Int32Array(o.length);for(let e=0,g=o.length;e<g;e++)s[e]=o.charCodeAt(e);return s}}t.StringDiffSequence=H;function M(N,o,s){return new m(new H(N),new H(o)).ComputeDiff(s).changes}t.stringDiff=M;class C{static Assert(o,s){if(!o)throw new Error(s)}}t.Debug=C;class w{static Copy(o,s,e,g,v){for(let D=0;D<v;D++)e[g+D]=o[s+D]}static Copy2(o,s,e,g,v){for(let D=0;D<v;D++)e[g+D]=o[s+D]}}t.MyArray=w;var p;(function(N){N[N.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(p||(p={}));class f{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new E.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(o,s){this.m_originalStart=Math.min(this.m_originalStart,o),this.m_modifiedStart=Math.min(this.m_modifiedStart,s),this.m_originalCount++}AddModifiedElement(o,s){this.m_originalStart=Math.min(this.m_originalStart,o),this.m_modifiedStart=Math.min(this.m_modifiedStart,s),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class m{constructor(o,s,e=null){this.ContinueProcessingPredicate=e,this._originalSequence=o,this._modifiedSequence=s;const[g,v,D]=m._getElements(o),[y,a,u]=m._getElements(s);this._hasStrings=D&&u,this._originalStringElements=g,this._originalElementsOrHash=v,this._modifiedStringElements=y,this._modifiedElementsOrHash=a,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(o){return o.length>0&&typeof o[0]=="string"}static _getElements(o){const s=o.getElements();if(m._isStringArray(s)){const e=new Int32Array(s.length);for(let g=0,v=s.length;g<v;g++)e[g]=(0,i.stringHash)(s[g],0);return[s,e,!0]}return s instanceof Int32Array?[[],s,!1]:[[],new Int32Array(s),!1]}ElementsAreEqual(o,s){return this._originalElementsOrHash[o]!==this._modifiedElementsOrHash[s]?!1:this._hasStrings?this._originalStringElements[o]===this._modifiedStringElements[s]:!0}ElementsAreStrictEqual(o,s){if(!this.ElementsAreEqual(o,s))return!1;const e=m._getStrictElement(this._originalSequence,o),g=m._getStrictElement(this._modifiedSequence,s);return e===g}static _getStrictElement(o,s){return typeof o.getStrictElement=="function"?o.getStrictElement(s):null}OriginalElementsAreEqual(o,s){return this._originalElementsOrHash[o]!==this._originalElementsOrHash[s]?!1:this._hasStrings?this._originalStringElements[o]===this._originalStringElements[s]:!0}ModifiedElementsAreEqual(o,s){return this._modifiedElementsOrHash[o]!==this._modifiedElementsOrHash[s]?!1:this._hasStrings?this._modifiedStringElements[o]===this._modifiedStringElements[s]:!0}ComputeDiff(o){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,o)}_ComputeDiff(o,s,e,g,v){const D=[!1];let y=this.ComputeDiffRecursive(o,s,e,g,D);return v&&(y=this.PrettifyChanges(y)),{quitEarly:D[0],changes:y}}ComputeDiffRecursive(o,s,e,g,v){for(v[0]=!1;o<=s&&e<=g&&this.ElementsAreEqual(o,e);)o++,e++;for(;s>=o&&g>=e&&this.ElementsAreEqual(s,g);)s--,g--;if(o>s||e>g){let S;return e<=g?(C.Assert(o===s+1,"originalStart should only be one more than originalEnd"),S=[new E.DiffChange(o,0,e,g-e+1)]):o<=s?(C.Assert(e===g+1,"modifiedStart should only be one more than modifiedEnd"),S=[new E.DiffChange(o,s-o+1,e,0)]):(C.Assert(o===s+1,"originalStart should only be one more than originalEnd"),C.Assert(e===g+1,"modifiedStart should only be one more than modifiedEnd"),S=[]),S}const D=[0],y=[0],a=this.ComputeRecursionPoint(o,s,e,g,D,y,v),u=D[0],b=y[0];if(a!==null)return a;if(!v[0]){const S=this.ComputeDiffRecursive(o,u,e,b,v);let F=[];return v[0]?F=[new E.DiffChange(u+1,s-(u+1)+1,b+1,g-(b+1)+1)]:F=this.ComputeDiffRecursive(u+1,s,b+1,g,v),this.ConcatenateChanges(S,F)}return[new E.DiffChange(o,s-o+1,e,g-e+1)]}WALKTRACE(o,s,e,g,v,D,y,a,u,b,S,F,_,r,n,h,l,c){let P=null,V=null,ue=new f,ne=s,ge=e,ae=_[0]-h[0]-g,we=-1073741824,he=this.m_forwardHistory.length-1;do{const re=ae+o;re===ne||re<ge&&u[re-1]<u[re+1]?(S=u[re+1],r=S-ae-g,S<we&&ue.MarkNextChange(),we=S,ue.AddModifiedElement(S+1,r),ae=re+1-o):(S=u[re-1]+1,r=S-ae-g,S<we&&ue.MarkNextChange(),we=S-1,ue.AddOriginalElement(S,r+1),ae=re-1-o),he>=0&&(u=this.m_forwardHistory[he],o=u[0],ne=1,ge=u.length-1)}while(--he>=-1);if(P=ue.getReverseChanges(),c[0]){let re=_[0]+1,Ce=h[0]+1;if(P!==null&&P.length>0){const te=P[P.length-1];re=Math.max(re,te.getOriginalEnd()),Ce=Math.max(Ce,te.getModifiedEnd())}V=[new E.DiffChange(re,F-re+1,Ce,n-Ce+1)]}else{ue=new f,ne=D,ge=y,ae=_[0]-h[0]-a,we=1073741824,he=l?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const re=ae+v;re===ne||re<ge&&b[re-1]>=b[re+1]?(S=b[re+1]-1,r=S-ae-a,S>we&&ue.MarkNextChange(),we=S+1,ue.AddOriginalElement(S+1,r+1),ae=re+1-v):(S=b[re-1],r=S-ae-a,S>we&&ue.MarkNextChange(),we=S,ue.AddModifiedElement(S+1,r+1),ae=re-1-v),he>=0&&(b=this.m_reverseHistory[he],v=b[0],ne=1,ge=b.length-1)}while(--he>=-1);V=ue.getChanges()}return this.ConcatenateChanges(P,V)}ComputeRecursionPoint(o,s,e,g,v,D,y){let a=0,u=0,b=0,S=0,F=0,_=0;o--,e--,v[0]=0,D[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const r=s-o+(g-e),n=r+1,h=new Int32Array(n),l=new Int32Array(n),c=g-e,P=s-o,V=o-e,ue=s-g,ge=(P-c)%2==0;h[c]=o,l[P]=s,y[0]=!1;for(let ae=1;ae<=r/2+1;ae++){let we=0,he=0;b=this.ClipDiagonalBound(c-ae,ae,c,n),S=this.ClipDiagonalBound(c+ae,ae,c,n);for(let Ce=b;Ce<=S;Ce+=2){Ce===b||Ce<S&&h[Ce-1]<h[Ce+1]?a=h[Ce+1]:a=h[Ce-1]+1,u=a-(Ce-c)-V;const te=a;for(;a<s&&u<g&&this.ElementsAreEqual(a+1,u+1);)a++,u++;if(h[Ce]=a,a+u>we+he&&(we=a,he=u),!ge&&Math.abs(Ce-P)<=ae-1&&a>=l[Ce])return v[0]=a,D[0]=u,te<=l[Ce]&&1447>0&&ae<=1447+1?this.WALKTRACE(c,b,S,V,P,F,_,ue,h,l,a,s,v,u,g,D,ge,y):null}const re=(we-o+(he-e)-ae)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(we,re))return y[0]=!0,v[0]=we,D[0]=he,re>0&&1447>0&&ae<=1447+1?this.WALKTRACE(c,b,S,V,P,F,_,ue,h,l,a,s,v,u,g,D,ge,y):(o++,e++,[new E.DiffChange(o,s-o+1,e,g-e+1)]);F=this.ClipDiagonalBound(P-ae,ae,P,n),_=this.ClipDiagonalBound(P+ae,ae,P,n);for(let Ce=F;Ce<=_;Ce+=2){Ce===F||Ce<_&&l[Ce-1]>=l[Ce+1]?a=l[Ce+1]-1:a=l[Ce-1],u=a-(Ce-P)-ue;const te=a;for(;a>o&&u>e&&this.ElementsAreEqual(a,u);)a--,u--;if(l[Ce]=a,ge&&Math.abs(Ce-c)<=ae&&a<=h[Ce])return v[0]=a,D[0]=u,te>=h[Ce]&&1447>0&&ae<=1447+1?this.WALKTRACE(c,b,S,V,P,F,_,ue,h,l,a,s,v,u,g,D,ge,y):null}if(ae<=1447){let Ce=new Int32Array(S-b+2);Ce[0]=c-b+1,w.Copy2(h,b,Ce,1,S-b+1),this.m_forwardHistory.push(Ce),Ce=new Int32Array(_-F+2),Ce[0]=P-F+1,w.Copy2(l,F,Ce,1,_-F+1),this.m_reverseHistory.push(Ce)}}return this.WALKTRACE(c,b,S,V,P,F,_,ue,h,l,a,s,v,u,g,D,ge,y)}PrettifyChanges(o){for(let s=0;s<o.length;s++){const e=o[s],g=s<o.length-1?o[s+1].originalStart:this._originalElementsOrHash.length,v=s<o.length-1?o[s+1].modifiedStart:this._modifiedElementsOrHash.length,D=e.originalLength>0,y=e.modifiedLength>0;for(;e.originalStart+e.originalLength<g&&e.modifiedStart+e.modifiedLength<v&&(!D||this.OriginalElementsAreEqual(e.originalStart,e.originalStart+e.originalLength))&&(!y||this.ModifiedElementsAreEqual(e.modifiedStart,e.modifiedStart+e.modifiedLength));){const u=this.ElementsAreStrictEqual(e.originalStart,e.modifiedStart);if(this.ElementsAreStrictEqual(e.originalStart+e.originalLength,e.modifiedStart+e.modifiedLength)&&!u)break;e.originalStart++,e.modifiedStart++}const a=[null];if(s<o.length-1&&this.ChangesOverlap(o[s],o[s+1],a)){o[s]=a[0],o.splice(s+1,1),s--;continue}}for(let s=o.length-1;s>=0;s--){const e=o[s];let g=0,v=0;if(s>0){const S=o[s-1];g=S.originalStart+S.originalLength,v=S.modifiedStart+S.modifiedLength}const D=e.originalLength>0,y=e.modifiedLength>0;let a=0,u=this._boundaryScore(e.originalStart,e.originalLength,e.modifiedStart,e.modifiedLength);for(let S=1;;S++){const F=e.originalStart-S,_=e.modifiedStart-S;if(F<g||_<v||D&&!this.OriginalElementsAreEqual(F,F+e.originalLength)||y&&!this.ModifiedElementsAreEqual(_,_+e.modifiedLength))break;const n=(F===g&&_===v?5:0)+this._boundaryScore(F,e.originalLength,_,e.modifiedLength);n>u&&(u=n,a=S)}e.originalStart-=a,e.modifiedStart-=a;const b=[null];if(s>0&&this.ChangesOverlap(o[s-1],o[s],b)){o[s-1]=b[0],o.splice(s,1),s++;continue}}if(this._hasStrings)for(let s=1,e=o.length;s<e;s++){const g=o[s-1],v=o[s],D=v.originalStart-g.originalStart-g.originalLength,y=g.originalStart,a=v.originalStart+v.originalLength,u=a-y,b=g.modifiedStart,S=v.modifiedStart+v.modifiedLength,F=S-b;if(D<5&&u<20&&F<20){const _=this._findBetterContiguousSequence(y,u,b,F,D);if(_){const[r,n]=_;(r!==g.originalStart+g.originalLength||n!==g.modifiedStart+g.modifiedLength)&&(g.originalLength=r-g.originalStart,g.modifiedLength=n-g.modifiedStart,v.originalStart=r+D,v.modifiedStart=n+D,v.originalLength=a-v.originalStart,v.modifiedLength=S-v.modifiedStart)}}}return o}_findBetterContiguousSequence(o,s,e,g,v){if(s<v||g<v)return null;const D=o+s-v+1,y=e+g-v+1;let a=0,u=0,b=0;for(let S=o;S<D;S++)for(let F=e;F<y;F++){const _=this._contiguousSequenceScore(S,F,v);_>0&&_>a&&(a=_,u=S,b=F)}return a>0?[u,b]:null}_contiguousSequenceScore(o,s,e){let g=0;for(let v=0;v<e;v++){if(!this.ElementsAreEqual(o+v,s+v))return 0;g+=this._originalStringElements[o+v].length}return g}_OriginalIsBoundary(o){return o<=0||o>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[o])}_OriginalRegionIsBoundary(o,s){if(this._OriginalIsBoundary(o)||this._OriginalIsBoundary(o-1))return!0;if(s>0){const e=o+s;if(this._OriginalIsBoundary(e-1)||this._OriginalIsBoundary(e))return!0}return!1}_ModifiedIsBoundary(o){return o<=0||o>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[o])}_ModifiedRegionIsBoundary(o,s){if(this._ModifiedIsBoundary(o)||this._ModifiedIsBoundary(o-1))return!0;if(s>0){const e=o+s;if(this._ModifiedIsBoundary(e-1)||this._ModifiedIsBoundary(e))return!0}return!1}_boundaryScore(o,s,e,g){const v=this._OriginalRegionIsBoundary(o,s)?1:0,D=this._ModifiedRegionIsBoundary(e,g)?1:0;return v+D}ConcatenateChanges(o,s){const e=[];if(o.length===0||s.length===0)return s.length>0?s:o;if(this.ChangesOverlap(o[o.length-1],s[0],e)){const g=new Array(o.length+s.length-1);return w.Copy(o,0,g,0,o.length-1),g[o.length-1]=e[0],w.Copy(s,1,g,o.length,s.length-1),g}else{const g=new Array(o.length+s.length);return w.Copy(o,0,g,0,o.length),w.Copy(s,0,g,o.length,s.length),g}}ChangesOverlap(o,s,e){if(C.Assert(o.originalStart<=s.originalStart,"Left change is not less than or equal to right change"),C.Assert(o.modifiedStart<=s.modifiedStart,"Left change is not less than or equal to right change"),o.originalStart+o.originalLength>=s.originalStart||o.modifiedStart+o.modifiedLength>=s.modifiedStart){const g=o.originalStart;let v=o.originalLength;const D=o.modifiedStart;let y=o.modifiedLength;return o.originalStart+o.originalLength>=s.originalStart&&(v=s.originalStart+s.originalLength-o.originalStart),o.modifiedStart+o.modifiedLength>=s.modifiedStart&&(y=s.modifiedStart+s.modifiedLength-o.modifiedStart),e[0]=new E.DiffChange(g,v,D,y),!0}else return e[0]=null,!1}ClipDiagonalBound(o,s,e,g){if(o>=0&&o<g)return o;const v=e,D=g-e-1,y=s%2==0;if(o<0){const a=v%2==0;return y===a?0:1}else{const a=D%2==0;return y===a?g-1:g-2}}}t.LcsDiff=m}),define(me[48],pe([1,0,14,10]),function(Q,t,E,i){"use strict";var H,M,C;Object.defineProperty(t,"__esModule",{value:!0}),t.LRUCache=t.LinkedMap=t.Touch=t.ResourceSet=t.ResourceMap=t.TernarySearchTree=t.UriIterator=t.PathIterator=t.ConfigKeysIterator=t.StringIterator=t.setToString=t.mapToString=t.getOrSet=void 0;function w(_,r,n){let h=_.get(r);return h===void 0&&(h=n,_.set(r,h)),h}t.getOrSet=w;function p(_){const r=[];return _.forEach((n,h)=>{r.push(`${h} => ${n}`)}),`Map(${_.size}) {${r.join(", ")}}`}t.mapToString=p;function f(_){const r=[];return _.forEach(n=>{r.push(n)}),`Set(${_.size}) {${r.join(", ")}}`}t.setToString=f;class m{constructor(){this._value="",this._pos=0}reset(r){return this._value=r,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(r){const n=r.charCodeAt(0),h=this._value.charCodeAt(this._pos);return n-h}value(){return this._value[this._pos]}}t.StringIterator=m;class N{constructor(r=!0){this._caseSensitive=r}reset(r){return this._value=r,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(r)this._from++;else break;else r=!1;return this}cmp(r){return this._caseSensitive?(0,i.compareSubstring)(r,this._value,0,r.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}t.ConfigKeysIterator=N;class o{constructor(r=!0,n=!0){this._splitOnBackslash=r,this._caseSensitive=n}reset(r){this._from=0,this._to=0,this._value=r,this._valueLen=r.length;for(let n=r.length-1;n>=0;n--,this._valueLen--){const h=this._value.charCodeAt(n);if(!(h===47||this._splitOnBackslash&&h===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let r=!0;for(;this._to<this._valueLen;this._to++){const n=this._value.charCodeAt(this._to);if(n===47||this._splitOnBackslash&&n===92)if(r)this._from++;else break;else r=!1}return this}cmp(r){return this._caseSensitive?(0,i.compareSubstring)(r,this._value,0,r.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}t.PathIterator=o;var s;(function(_){_[_.Scheme=1]="Scheme",_[_.Authority=2]="Authority",_[_.Path=3]="Path",_[_.Query=4]="Query",_[_.Fragment=5]="Fragment"})(s||(s={}));class e{constructor(r,n){this._ignorePathCasing=r,this._ignoreQueryAndFragment=n,this._states=[],this._stateIdx=0}reset(r){return this._value=r,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new o(!1,!this._ignorePathCasing(r)),this._pathIterator.reset(r.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(r)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(r){if(this._states[this._stateIdx]===1)return(0,i.compareIgnoreCase)(r,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,i.compareIgnoreCase)(r,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(r);if(this._states[this._stateIdx]===4)return(0,i.compare)(r,this._value.query);if(this._states[this._stateIdx]===5)return(0,i.compare)(r,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}t.UriIterator=e;class g{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const r=this.right;return this.right=r.left,r.left=this,this.updateHeight(),r.updateHeight(),r}rotateRight(){const r=this.left;return this.left=r.right,r.right=this,this.updateHeight(),r.updateHeight(),r}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var v;(function(_){_[_.Left=-1]="Left",_[_.Mid=0]="Mid",_[_.Right=1]="Right"})(v||(v={}));class D{constructor(r){this._iter=r}static forUris(r=()=>!1,n=()=>!1){return new D(new e(r,n))}static forPaths(r=!1){return new D(new o(void 0,!r))}static forStrings(){return new D(new m)}static forConfigKeys(){return new D(new N)}clear(){this._root=void 0}fill(r,n){if(n){const h=n.slice(0);(0,E.shuffle)(h);for(const l of h)this.set(l,r)}else{const h=r.slice(0);(0,E.shuffle)(h);for(const l of h)this.set(l[0],l[1])}}set(r,n){const h=this._iter.reset(r);let l;this._root||(this._root=new g,this._root.segment=h.value());const c=[];for(l=this._root;;){const V=h.cmp(l.segment);if(V>0)l.left||(l.left=new g,l.left.segment=h.value()),c.push([-1,l]),l=l.left;else if(V<0)l.right||(l.right=new g,l.right.segment=h.value()),c.push([1,l]),l=l.right;else if(h.hasNext())h.next(),l.mid||(l.mid=new g,l.mid.segment=h.value()),c.push([0,l]),l=l.mid;else break}const P=l.value;l.value=n,l.key=r;for(let V=c.length-1;V>=0;V--){const ue=c[V][1];ue.updateHeight();const ne=ue.balanceFactor();if(ne<-1||ne>1){const ge=c[V][0],ae=c[V+1][0];if(ge===1&&ae===1)c[V][1]=ue.rotateLeft();else if(ge===-1&&ae===-1)c[V][1]=ue.rotateRight();else if(ge===1&&ae===-1)ue.right=c[V+1][1]=c[V+1][1].rotateRight(),c[V][1]=ue.rotateLeft();else if(ge===-1&&ae===1)ue.left=c[V+1][1]=c[V+1][1].rotateLeft(),c[V][1]=ue.rotateRight();else throw new Error;if(V>0)switch(c[V-1][0]){case-1:c[V-1][1].left=c[V][1];break;case 1:c[V-1][1].right=c[V][1];break;case 0:c[V-1][1].mid=c[V][1];break}else this._root=c[0][1]}}return P}get(r){return this._getNode(r)?.value}_getNode(r){const n=this._iter.reset(r);let h=this._root;for(;h;){const l=n.cmp(h.segment);if(l>0)h=h.left;else if(l<0)h=h.right;else if(n.hasNext())n.next(),h=h.mid;else break}return h}has(r){const n=this._getNode(r);return!(n?.value===void 0&&n?.mid===void 0)}delete(r){return this._delete(r,!1)}deleteSuperstr(r){return this._delete(r,!0)}_delete(r,n){const h=this._iter.reset(r),l=[];let c=this._root;for(;c;){const P=h.cmp(c.segment);if(P>0)l.push([-1,c]),c=c.left;else if(P<0)l.push([1,c]),c=c.right;else if(h.hasNext())h.next(),l.push([0,c]),c=c.mid;else break}if(!!c){if(n?(c.left=void 0,c.mid=void 0,c.right=void 0,c.height=1):(c.key=void 0,c.value=void 0),!c.mid&&!c.value)if(c.left&&c.right){const P=this._min(c.right),{key:V,value:ue,segment:ne}=P;this._delete(P.key,!1),c.key=V,c.value=ue,c.segment=ne}else{const P=c.left??c.right;if(l.length>0){const[V,ue]=l[l.length-1];switch(V){case-1:ue.left=P;break;case 0:ue.mid=P;break;case 1:ue.right=P;break}}else this._root=P}for(let P=l.length-1;P>=0;P--){const V=l[P][1];V.updateHeight();const ue=V.balanceFactor();if(ue>1?(V.right.balanceFactor()>=0||(V.right=V.right.rotateRight()),l[P][1]=V.rotateLeft()):ue<-1&&(V.left.balanceFactor()<=0||(V.left=V.left.rotateLeft()),l[P][1]=V.rotateRight()),P>0)switch(l[P-1][0]){case-1:l[P-1][1].left=l[P][1];break;case 1:l[P-1][1].right=l[P][1];break;case 0:l[P-1][1].mid=l[P][1];break}else this._root=l[0][1]}}}_min(r){for(;r.left;)r=r.left;return r}findSubstr(r){const n=this._iter.reset(r);let h=this._root,l;for(;h;){const c=n.cmp(h.segment);if(c>0)h=h.left;else if(c<0)h=h.right;else if(n.hasNext())n.next(),l=h.value||l,h=h.mid;else break}return h&&h.value||l}findSuperstr(r){const n=this._iter.reset(r);let h=this._root;for(;h;){const l=n.cmp(h.segment);if(l>0)h=h.left;else if(l<0)h=h.right;else if(n.hasNext())n.next(),h=h.mid;else return h.mid?this._entries(h.mid):void 0}}forEach(r){for(const[n,h]of this)r(h,n)}*[Symbol.iterator](){yield*this._entries(this._root)}_entries(r){const n=[];return this._dfsEntries(r,n),n[Symbol.iterator]()}_dfsEntries(r,n){!r||(r.left&&this._dfsEntries(r.left,n),r.value&&n.push([r.key,r.value]),r.mid&&this._dfsEntries(r.mid,n),r.right&&this._dfsEntries(r.right,n))}_isBalanced(){const r=n=>{if(!n)return!0;const h=n.balanceFactor();return h<-1||h>1?!1:r(n.left)&&r(n.right)};return r(this._root)}}t.TernarySearchTree=D;class y{constructor(r,n){this.uri=r,this.value=n}}class a{constructor(r,n){this[H]="ResourceMap",r instanceof a?(this.map=new Map(r.map),this.toKey=n??a.defaultToKey):(this.map=new Map,this.toKey=r??a.defaultToKey)}set(r,n){return this.map.set(this.toKey(r),new y(r,n)),this}get(r){return this.map.get(this.toKey(r))?.value}has(r){return this.map.has(this.toKey(r))}get size(){return this.map.size}clear(){this.map.clear()}delete(r){return this.map.delete(this.toKey(r))}forEach(r,n){typeof n!="undefined"&&(r=r.bind(n));for(const[h,l]of this.map)r(l.value,l.uri,this)}*values(){for(const r of this.map.values())yield r.value}*keys(){for(const r of this.map.values())yield r.uri}*entries(){for(const r of this.map.values())yield[r.uri,r.value]}*[(H=Symbol.toStringTag,Symbol.iterator)](){for(const[,r]of this.map)yield[r.uri,r.value]}}t.ResourceMap=a,a.defaultToKey=_=>_.toString();class u{constructor(r,n){this[M]="ResourceSet",!r||typeof r=="function"?this._map=new a(r):(this._map=new a(n),r.forEach(this.add,this))}get size(){return this._map.size}add(r){return this._map.set(r,r),this}clear(){this._map.clear()}delete(r){return this._map.delete(r)}forEach(r,n){this._map.forEach((h,l)=>r.call(n,l,l,this))}has(r){return this._map.has(r)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}t.ResourceSet=u;var b;(function(_){_[_.None=0]="None",_[_.AsOld=1]="AsOld",_[_.AsNew=2]="AsNew"})(b=t.Touch||(t.Touch={}));class S{constructor(){this[C]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(r){return this._map.has(r)}get(r,n=0){const h=this._map.get(r);if(!!h)return n!==0&&this.touch(h,n),h.value}set(r,n,h=0){let l=this._map.get(r);if(l)l.value=n,h!==0&&this.touch(l,h);else{switch(l={key:r,value:n,next:void 0,previous:void 0},h){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(r,l),this._size++}return this}delete(r){return!!this.remove(r)}remove(r){const n=this._map.get(r);if(!!n)return this._map.delete(r),this.removeItem(n),this._size--,n.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const r=this._head;return this._map.delete(r.key),this.removeItem(r),this._size--,r.value}forEach(r,n){const h=this._state;let l=this._head;for(;l;){if(n?r.bind(n)(l.value,l.key,this):r(l.value,l.key,this),this._state!==h)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const r=this,n=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(r._state!==n)throw new Error("LinkedMap got modified during iteration.");if(h){const c={value:h.key,done:!1};return h=h.next,c}else return{value:void 0,done:!0}}};return l}values(){const r=this,n=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(r._state!==n)throw new Error("LinkedMap got modified during iteration.");if(h){const c={value:h.value,done:!1};return h=h.next,c}else return{value:void 0,done:!0}}};return l}entries(){const r=this,n=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(r._state!==n)throw new Error("LinkedMap got modified during iteration.");if(h){const c={value:[h.key,h.value],done:!1};return h=h.next,c}else return{value:void 0,done:!0}}};return l}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(r){if(r>=this.size)return;if(r===0){this.clear();return}let n=this._head,h=this.size;for(;n&&h>r;)this._map.delete(n.key),n=n.next,h--;this._head=n,this._size=h,n&&(n.previous=void 0),this._state++}addItemFirst(r){if(!this._head&&!this._tail)this._tail=r;else if(this._head)r.next=this._head,this._head.previous=r;else throw new Error("Invalid list");this._head=r,this._state++}addItemLast(r){if(!this._head&&!this._tail)this._head=r;else if(this._tail)r.previous=this._tail,this._tail.next=r;else throw new Error("Invalid list");this._tail=r,this._state++}removeItem(r){if(r===this._head&&r===this._tail)this._head=void 0,this._tail=void 0;else if(r===this._head){if(!r.next)throw new Error("Invalid list");r.next.previous=void 0,this._head=r.next}else if(r===this._tail){if(!r.previous)throw new Error("Invalid list");r.previous.next=void 0,this._tail=r.previous}else{const n=r.next,h=r.previous;if(!n||!h)throw new Error("Invalid list");n.previous=h,h.next=n}r.next=void 0,r.previous=void 0,this._state++}touch(r,n){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(n!==1&&n!==2)){if(n===1){if(r===this._head)return;const h=r.next,l=r.previous;r===this._tail?(l.next=void 0,this._tail=l):(h.previous=l,l.next=h),r.previous=void 0,r.next=this._head,this._head.previous=r,this._head=r,this._state++}else if(n===2){if(r===this._tail)return;const h=r.next,l=r.previous;r===this._head?(h.previous=void 0,this._head=h):(h.previous=l,l.next=h),r.next=void 0,r.previous=this._tail,this._tail.next=r,this._tail=r,this._state++}}}toJSON(){const r=[];return this.forEach((n,h)=>{r.push([h,n])}),r}fromJSON(r){this.clear();for(const[n,h]of r)this.set(n,h)}}t.LinkedMap=S;class F extends S{constructor(r,n=1){super();this._limit=r,this._ratio=Math.min(Math.max(0,n),1)}get limit(){return this._limit}set limit(r){this._limit=r,this.checkTrim()}get ratio(){return this._ratio}set ratio(r){this._ratio=Math.min(Math.max(0,r),1),this.checkTrim()}get(r,n=2){return super.get(r,n)}peek(r){return super.get(r,0)}set(r,n){return super.set(r,n,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}t.LRUCache=F}),define(me[33],pe([1,0,48,10]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.fuzzyScoreGraceful=t.fuzzyScoreGracefulAggressive=t.fuzzyScore=t.FuzzyScoreOptions=t.FuzzyScore=t.isPatternInWord=t.createMatches=t.anyScore=t.matchesFuzzy2=t.matchesFuzzy=t.matchesWords=t.matchesCamelCase=t.isUpper=t.matchesSubString=t.matchesContiguousSubString=t.matchesPrefix=t.matchesStrictPrefix=t.or=void 0;function H(...k){return function(R,x){for(let J=0,de=k.length;J<de;J++){const ce=k[J](R,x);if(ce)return ce}return null}}t.or=H,t.matchesStrictPrefix=M.bind(void 0,!1),t.matchesPrefix=M.bind(void 0,!0);function M(k,R,x){if(!x||x.length<R.length)return null;let J;return k?J=i.startsWithIgnoreCase(x,R):J=x.indexOf(R)===0,J?R.length>0?[{start:0,end:R.length}]:[]:null}function C(k,R){const x=R.toLowerCase().indexOf(k.toLowerCase());return x===-1?null:[{start:x,end:x+k.length}]}t.matchesContiguousSubString=C;function w(k,R){return p(k.toLowerCase(),R.toLowerCase(),0,0)}t.matchesSubString=w;function p(k,R,x,J){if(x===k.length)return[];if(J===R.length)return null;if(k[x]===R[J]){let de=null;return(de=p(k,R,x+1,J+1))?D({start:J,end:J+1},de):null}return p(k,R,x,J+1)}function f(k){return 97<=k&&k<=122}function m(k){return 65<=k&&k<=90}t.isUpper=m;function N(k){return 48<=k&&k<=57}function o(k){return k===32||k===9||k===10||k===13}const s=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(k=>s.add(k.charCodeAt(0)));function e(k){return o(k)||s.has(k)}function g(k,R){return k===R||e(k)&&e(R)}function v(k){return f(k)||m(k)||N(k)}function D(k,R){return R.length===0?R=[k]:k.end===R[0].start?R[0].start=k.start:R.unshift(k),R}function y(k,R){for(let x=R;x<k.length;x++){const J=k.charCodeAt(x);if(m(J)||N(J)||x>0&&!v(k.charCodeAt(x-1)))return x}return k.length}function a(k,R,x,J){if(x===k.length)return[];if(J===R.length)return null;if(k[x]!==R[J].toLowerCase())return null;{let de=null,ce=J+1;for(de=a(k,R,x+1,J+1);!de&&(ce=y(R,ce))<R.length;)de=a(k,R,x+1,ce),ce++;return de===null?null:D({start:J,end:J+1},de)}}function u(k){let R=0,x=0,J=0,de=0,ce=0;for(let ve=0;ve<k.length;ve++)ce=k.charCodeAt(ve),m(ce)&&R++,f(ce)&&x++,v(ce)&&J++,N(ce)&&de++;const ye=R/k.length,Ee=x/k.length,ke=J/k.length,Fe=de/k.length;return{upperPercent:ye,lowerPercent:Ee,alphaPercent:ke,numericPercent:Fe}}function b(k){const{upperPercent:R,lowerPercent:x}=k;return x===0&&R>.6}function S(k){const{upperPercent:R,lowerPercent:x,alphaPercent:J,numericPercent:de}=k;return x>.2&&R<.8&&J>.6&&de<.2}function F(k){let R=0,x=0,J=0,de=0;for(let ce=0;ce<k.length;ce++)J=k.charCodeAt(ce),m(J)&&R++,f(J)&&x++,o(J)&&de++;return(R===0||x===0)&&de===0?k.length<=30:R<=5}function _(k,R){if(!R||(R=R.trim(),R.length===0)||!F(k)||R.length>60)return null;const x=u(R);if(!S(x)){if(!b(x))return null;R=R.toLowerCase()}let J=null,de=0;for(k=k.toLowerCase();de<R.length&&(J=a(k,R,0,de))===null;)de=y(R,de+1);return J}t.matchesCamelCase=_;function r(k,R,x=!1){if(!R||R.length===0)return null;let J=null,de=0;for(k=k.toLowerCase(),R=R.toLowerCase();de<R.length&&(J=n(k,R,0,de,x))===null;)de=h(R,de+1);return J}t.matchesWords=r;function n(k,R,x,J,de){if(x===k.length)return[];if(J===R.length)return null;if(g(k.charCodeAt(x),R.charCodeAt(J))){let ce=null,ye=J+1;if(ce=n(k,R,x+1,J+1,de),!de)for(;!ce&&(ye=h(R,ye))<R.length;)ce=n(k,R,x+1,ye,de),ye++;return ce?k.charCodeAt(x)!==R.charCodeAt(J)?ce:D({start:J,end:J+1},ce):null}else return null}function h(k,R){for(let x=R;x<k.length;x++)if(e(k.charCodeAt(x))||x>0&&e(k.charCodeAt(x-1)))return x;return k.length}const l=H(t.matchesPrefix,_,C),c=H(t.matchesPrefix,_,w),P=new E.LRUCache(1e4);function V(k,R,x=!1){if(typeof k!="string"||typeof R!="string")return null;let J=P.get(k);J||(J=new RegExp(i.convertSimple2RegExpPattern(k),"i"),P.set(k,J));const de=J.exec(R);return de?[{start:de.index,end:de.index+de[0].length}]:x?c(k,R):l(k,R)}t.matchesFuzzy=V;function ue(k,R){const x=K(k,k.toLowerCase(),0,R,R.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return x?ge(x):null}t.matchesFuzzy2=ue;function ne(k,R,x,J,de,ce){const ye=Math.min(13,k.length);for(;x<ye;x++){const Ee=K(k,R,x,J,de,ce,{firstMatchCanBeWeak:!1,boostFullMatch:!0});if(Ee)return Ee}return[0,ce]}t.anyScore=ne;function ge(k){if(typeof k=="undefined")return[];const R=[],x=k[1];for(let J=k.length-1;J>1;J--){const de=k[J]+x,ce=R[R.length-1];ce&&ce.end===de?ce.end=de+1:R.push({start:de,end:de+1})}return R}t.createMatches=ge;const ae=128;function we(){const k=[],R=[];for(let x=0;x<=ae;x++)R[x]=0;for(let x=0;x<=ae;x++)k.push(R.slice(0));return k}function he(k){const R=[];for(let x=0;x<=k;x++)R[x]=0;return R}const re=he(2*ae),Ce=he(2*ae),te=we(),De=we(),ee=we(),X=!1;function se(k,R,x,J,de){function ce(Ee,ke,Fe=" "){for(;Ee.length<ke;)Ee=Fe+Ee;return Ee}let ye=` |   |${J.split("").map(Ee=>ce(Ee,3)).join("|")}
`;for(let Ee=0;Ee<=x;Ee++)Ee===0?ye+=" |":ye+=`${R[Ee-1]}|`,ye+=k[Ee].slice(0,de+1).map(ke=>ce(ke.toString(),3)).join("|")+`
`;return ye}function ie(k,R,x,J){k=k.substr(R),x=x.substr(J),console.log(se(De,k,k.length,x,x.length)),console.log(se(ee,k,k.length,x,x.length)),console.log(se(te,k,k.length,x,x.length))}function T(k,R){if(R<0||R>=k.length)return!1;const x=k.codePointAt(R);switch(x){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!i.isEmojiImprecise(x)}}function $(k,R){if(R<0||R>=k.length)return!1;switch(k.charCodeAt(R)){case 32:case 9:return!0;default:return!1}}function j(k,R,x){return R[k]!==x[k]}function W(k,R,x,J,de,ce,ye=!1){for(;R<x&&de<ce;)k[R]===J[de]&&(ye&&(re[R]=de),R+=1),de+=1;return R===x}t.isPatternInWord=W;var d;(function(k){k[k.Diag=1]="Diag",k[k.Left=2]="Left",k[k.LeftLeft=3]="LeftLeft"})(d||(d={}));var I;(function(k){k.Default=[-100,0];function R(x){return!x||x.length===2&&x[0]===-100&&x[1]===0}k.isDefault=R})(I=t.FuzzyScore||(t.FuzzyScore={}));class U{constructor(R,x){this.firstMatchCanBeWeak=R,this.boostFullMatch=x}}t.FuzzyScoreOptions=U,U.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function K(k,R,x,J,de,ce,ye=U.default){const Ee=k.length>ae?ae:k.length,ke=J.length>ae?ae:J.length;if(x>=Ee||ce>=ke||Ee-x>ke-ce||!W(R,x,Ee,de,ce,ke,!0))return;Z(Ee,ke,x,ce,R,de);let Fe=1,ve=1,Pe=x,Me=ce;const xe=[!1];for(Fe=1,Pe=x;Pe<Ee;Fe++,Pe++){const Oe=re[Pe],q=Ce[Pe],oe=Pe+1<Ee?Ce[Pe+1]:ke;for(ve=Oe-ce+1,Me=Oe;Me<oe;ve++,Me++){let be=Number.MIN_SAFE_INTEGER,_e=!1;Me<=q&&(be=L(k,R,Pe,x,J,de,Me,ke,ce,te[Fe-1][ve-1]===0,xe));let Ae=0;be!==Number.MAX_SAFE_INTEGER&&(_e=!0,Ae=be+De[Fe-1][ve-1]);const Re=Me>Oe,Ve=Re?De[Fe][ve-1]+(te[Fe][ve-1]>0?-5:0):0,tt=Me>Oe+1&&te[Fe][ve-1]>0,Xe=tt?De[Fe][ve-2]+(te[Fe][ve-2]>0?-5:0):0;if(tt&&(!Re||Xe>=Ve)&&(!_e||Xe>=Ae))De[Fe][ve]=Xe,ee[Fe][ve]=3,te[Fe][ve]=0;else if(Re&&(!_e||Ve>=Ae))De[Fe][ve]=Ve,ee[Fe][ve]=2,te[Fe][ve]=0;else if(_e)De[Fe][ve]=Ae,ee[Fe][ve]=1,te[Fe][ve]=te[Fe-1][ve-1]+1;else throw new Error("not possible")}}if(X&&ie(k,x,J,ce),!xe[0]&&!ye.firstMatchCanBeWeak)return;Fe--,ve--;const He=[De[Fe][ve],ce];let ze=0,Ye=0;for(;Fe>=1;){let Oe=ve;do{const q=ee[Fe][Oe];if(q===3)Oe=Oe-2;else if(q===2)Oe=Oe-1;else break}while(Oe>=1);ze>1&&R[x+Fe-1]===de[ce+ve-1]&&!j(Oe+ce-1,J,de)&&ze+1>te[Fe][Oe]&&(Oe=ve),Oe===ve?ze++:ze=1,Ye||(Ye=Oe),Fe--,ve=Oe-1,He.push(ve)}ke===Ee&&ye.boostFullMatch&&(He[0]+=2);const Ge=Ye-Ee;return He[0]-=Ge,He}t.fuzzyScore=K;function Z(k,R,x,J,de,ce){let ye=k-1,Ee=R-1;for(;ye>=x&&Ee>=J;)de[ye]===ce[Ee]&&(Ce[ye]=Ee,ye--),Ee--}function L(k,R,x,J,de,ce,ye,Ee,ke,Fe,ve){if(R[x]!==ce[ye])return Number.MIN_SAFE_INTEGER;let Pe=1,Me=!1;return ye===x-J?Pe=k[x]===de[ye]?7:5:j(ye,de,ce)&&(ye===0||!j(ye-1,de,ce))?(Pe=k[x]===de[ye]?7:5,Me=!0):T(ce,ye)&&(ye===0||!T(ce,ye-1))?Pe=5:(T(ce,ye-1)||$(ce,ye-1))&&(Pe=5,Me=!0),Pe>1&&x===J&&(ve[0]=!0),Me||(Me=j(ye,de,ce)||T(ce,ye-1)||$(ce,ye-1)),x===J?ye>ke&&(Pe-=Me?3:5):Fe?Pe+=Me?2:0:Pe+=Me?0:1,ye+1===Ee&&(Pe-=Me?3:5),Pe}function O(k,R,x,J,de,ce,ye){return A(k,R,x,J,de,ce,!0,ye)}t.fuzzyScoreGracefulAggressive=O;function z(k,R,x,J,de,ce,ye){return A(k,R,x,J,de,ce,!1,ye)}t.fuzzyScoreGraceful=z;function A(k,R,x,J,de,ce,ye,Ee){let ke=K(k,R,x,J,de,ce,Ee);if(ke&&!ye)return ke;if(k.length>=3){const Fe=Math.min(7,k.length-1);for(let ve=x+1;ve<Fe;ve++){const Pe=B(k,ve);if(Pe){const Me=K(Pe,Pe.toLowerCase(),x,J,de,ce,Ee);Me&&(Me[0]-=3,(!ke||Me[0]>ke[0])&&(ke=Me))}}}return ke}function B(k,R){if(R+1>=k.length)return;const x=k[R],J=k[R+1];if(x!==J)return k.slice(0,R)+J+x+k.slice(R+2)}}),define(me[34],pe([1,0,11,33,10]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.matchesFuzzyIconAware=t.parseLabelWithIcons=t.stripIcons=t.markdownEscapeEscapedIcons=t.escapeIcons=t.iconStartMarker=void 0,t.iconStartMarker="$(";const M=new RegExp(`\\$\\(${E.CSSIcon.iconNameExpression}(?:${E.CSSIcon.iconModifierExpression})?\\)`,"g"),C=new RegExp(E.CSSIcon.iconNameCharacter),w=new RegExp(`(\\\\)?${M.source}`,"g");function p(v){return v.replace(w,(D,y)=>y?D:`\\${D}`)}t.escapeIcons=p;const f=new RegExp(`\\\\${M.source}`,"g");function m(v){return v.replace(f,D=>`\\${D}`)}t.markdownEscapeEscapedIcons=m;const N=new RegExp(`(\\s)?(\\\\)?${M.source}(\\s)?`,"g");function o(v){return v.indexOf(t.iconStartMarker)===-1?v:v.replace(N,(D,y,a,u)=>a?D:y||u||"")}t.stripIcons=o;function s(v){const D=v.indexOf(t.iconStartMarker);return D===-1?{text:v}:e(v,D)}t.parseLabelWithIcons=s;function e(v,D){const y=[];let a="";function u(l){if(l){a+=l;for(const c of l)y.push(F)}}let b=-1,S="",F=0,_,r,n=D;const h=v.length;for(u(v.substr(0,D));n<h;)_=v[n],r=v[n+1],_===t.iconStartMarker[0]&&r===t.iconStartMarker[1]?(b=n,u(S),S=t.iconStartMarker,n++):_===")"&&b!==-1?(F+=n-b+1,b=-1,S=""):b!==-1?C.test(_)?S+=_:(u(S),b=-1,S=""):u(_),n++;return u(S),{text:a,iconOffsets:y}}function g(v,D,y=!1){const{text:a,iconOffsets:u}=D;if(!u||u.length===0)return(0,i.matchesFuzzy)(v,a,y);const b=(0,H.ltrim)(a," "),S=a.length-b.length,F=(0,i.matchesFuzzy)(v,b,y);if(F)for(const _ of F){const r=u[_.start+S]+S;_.start+=r,_.end+=r}return F}t.matchesFuzzyIconAware=g}),define(me[16],pe([1,0,21,5]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.uriToFsPath=t.URI=void 0;const H=/^\w[\w\d+.-]*$/,M=/^\//,C=/^\/\//;function w(_,r){if(!_.scheme&&r)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${_.authority}", path: "${_.path}", query: "${_.query}", fragment: "${_.fragment}"}`);if(_.scheme&&!H.test(_.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(_.path){if(_.authority){if(!M.test(_.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(C.test(_.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function p(_,r){return!_&&!r?"file":_}function f(_,r){switch(_){case"https":case"http":case"file":r?r[0]!==N&&(r=N+r):r=N;break}return r}const m="",N="/",o=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class s{constructor(r,n,h,l,c,P=!1){typeof r=="object"?(this.scheme=r.scheme||m,this.authority=r.authority||m,this.path=r.path||m,this.query=r.query||m,this.fragment=r.fragment||m):(this.scheme=p(r,P),this.authority=n||m,this.path=f(this.scheme,h||m),this.query=l||m,this.fragment=c||m,w(this,P))}static isUri(r){return r instanceof s?!0:r?typeof r.authority=="string"&&typeof r.fragment=="string"&&typeof r.path=="string"&&typeof r.query=="string"&&typeof r.scheme=="string"&&typeof r.fsPath=="string"&&typeof r.with=="function"&&typeof r.toString=="function":!1}get fsPath(){return a(this,!1)}with(r){if(!r)return this;let{scheme:n,authority:h,path:l,query:c,fragment:P}=r;return n===void 0?n=this.scheme:n===null&&(n=m),h===void 0?h=this.authority:h===null&&(h=m),l===void 0?l=this.path:l===null&&(l=m),c===void 0?c=this.query:c===null&&(c=m),P===void 0?P=this.fragment:P===null&&(P=m),n===this.scheme&&h===this.authority&&l===this.path&&c===this.query&&P===this.fragment?this:new g(n,h,l,c,P)}static parse(r,n=!1){const h=o.exec(r);return h?new g(h[2]||m,F(h[4]||m),F(h[5]||m),F(h[7]||m),F(h[9]||m),n):new g(m,m,m,m,m)}static file(r){let n=m;if(i.isWindows&&(r=r.replace(/\\/g,N)),r[0]===N&&r[1]===N){const h=r.indexOf(N,2);h===-1?(n=r.substring(2),r=N):(n=r.substring(2,h),r=r.substring(h)||N)}return new g("file",n,r,m,m)}static from(r){const n=new g(r.scheme,r.authority,r.path,r.query,r.fragment);return w(n,!0),n}static joinPath(r,...n){if(!r.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let h;return i.isWindows&&r.scheme==="file"?h=s.file(E.win32.join(a(r,!0),...n)).path:h=E.posix.join(r.path,...n),r.with({path:h})}toString(r=!1){return u(this,r)}toJSON(){return this}static revive(r){if(r){if(r instanceof s)return r;{const n=new g(r);return n._formatted=r.external,n._fsPath=r._sep===e?r.fsPath:null,n}}else return r}}t.URI=s;const e=i.isWindows?1:void 0;class g extends s{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=a(this,!1)),this._fsPath}toString(r=!1){return r?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const r={$mid:1};return this._fsPath&&(r.fsPath=this._fsPath,r._sep=e),this._formatted&&(r.external=this._formatted),this.path&&(r.path=this.path),this.scheme&&(r.scheme=this.scheme),this.authority&&(r.authority=this.authority),this.query&&(r.query=this.query),this.fragment&&(r.fragment=this.fragment),r}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function D(_,r){let n,h=-1;for(let l=0;l<_.length;l++){const c=_.charCodeAt(l);if(c>=97&&c<=122||c>=65&&c<=90||c>=48&&c<=57||c===45||c===46||c===95||c===126||r&&c===47)h!==-1&&(n+=encodeURIComponent(_.substring(h,l)),h=-1),n!==void 0&&(n+=_.charAt(l));else{n===void 0&&(n=_.substr(0,l));const P=v[c];P!==void 0?(h!==-1&&(n+=encodeURIComponent(_.substring(h,l)),h=-1),n+=P):h===-1&&(h=l)}}return h!==-1&&(n+=encodeURIComponent(_.substring(h))),n!==void 0?n:_}function y(_){let r;for(let n=0;n<_.length;n++){const h=_.charCodeAt(n);h===35||h===63?(r===void 0&&(r=_.substr(0,n)),r+=v[h]):r!==void 0&&(r+=_[n])}return r!==void 0?r:_}function a(_,r){let n;return _.authority&&_.path.length>1&&_.scheme==="file"?n=`//${_.authority}${_.path}`:_.path.charCodeAt(0)===47&&(_.path.charCodeAt(1)>=65&&_.path.charCodeAt(1)<=90||_.path.charCodeAt(1)>=97&&_.path.charCodeAt(1)<=122)&&_.path.charCodeAt(2)===58?r?n=_.path.substr(1):n=_.path[1].toLowerCase()+_.path.substr(2):n=_.path,i.isWindows&&(n=n.replace(/\//g,"\\")),n}t.uriToFsPath=a;function u(_,r){const n=r?y:D;let h="",{scheme:l,authority:c,path:P,query:V,fragment:ue}=_;if(l&&(h+=l,h+=":"),(c||l==="file")&&(h+=N,h+=N),c){let ne=c.indexOf("@");if(ne!==-1){const ge=c.substr(0,ne);c=c.substr(ne+1),ne=ge.indexOf(":"),ne===-1?h+=n(ge,!1):(h+=n(ge.substr(0,ne),!1),h+=":",h+=n(ge.substr(ne+1),!1)),h+="@"}c=c.toLowerCase(),ne=c.indexOf(":"),ne===-1?h+=n(c,!1):(h+=n(c.substr(0,ne),!1),h+=c.substr(ne))}if(P){if(P.length>=3&&P.charCodeAt(0)===47&&P.charCodeAt(2)===58){const ne=P.charCodeAt(1);ne>=65&&ne<=90&&(P=`/${String.fromCharCode(ne+32)}:${P.substr(3)}`)}else if(P.length>=2&&P.charCodeAt(1)===58){const ne=P.charCodeAt(0);ne>=65&&ne<=90&&(P=`${String.fromCharCode(ne+32)}:${P.substr(2)}`)}h+=n(P,!0)}return V&&(h+="?",h+=n(V,!1)),ue&&(h+="#",h+=r?ue:D(ue,!1)),h}function b(_){try{return decodeURIComponent(_)}catch{return _.length>3?_.substr(0,3)+b(_.substr(3)):_}}const S=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function F(_){return _.match(S)?_.replace(S,r=>b(r)):_}}),define(me[49],pe([1,0,31,10,16]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.parse=t.stringify=void 0;function M(f){return JSON.stringify(f,w)}t.stringify=M;function C(f){let m=JSON.parse(f);return m=p(m),m}t.parse=C;function w(f,m){return m instanceof RegExp?{$mid:2,source:m.source,flags:(0,i.regExpFlags)(m)}:m}function p(f,m=0){if(!f||m>200)return f;if(typeof f=="object"){switch(f.$mid){case 1:return H.URI.revive(f);case 2:return new RegExp(f.source,f.flags);case 14:return new Date(f.source)}if(f instanceof E.VSBuffer||f instanceof Uint8Array)return f;if(Array.isArray(f))for(let N=0;N<f.length;++N)f[N]=p(f[N],m+1);else for(const N in f)Object.hasOwnProperty.call(f,N)&&(f[N]=p(f[N],m+1))}return f}t.revive=p}),define(me[35],pe([1,0,5,16]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileAccess=t.RemoteAuthorities=t.connectionTokenQueryName=t.connectionTokenCookieName=t.Schemas=void 0;var H;(function(w){w.inMemory="inmemory",w.vscode="vscode",w.internal="private",w.walkThrough="walkThrough",w.walkThroughSnippet="walkThroughSnippet",w.http="http",w.https="https",w.file="file",w.mailto="mailto",w.untitled="untitled",w.data="data",w.command="command",w.vscodeRemote="vscode-remote",w.vscodeRemoteResource="vscode-remote-resource",w.vscodeUserData="vscode-userdata",w.vscodeCustomEditor="vscode-custom-editor",w.vscodeNotebook="vscode-notebook",w.vscodeNotebookCell="vscode-notebook-cell",w.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",w.vscodeNotebookCellOutput="vscode-notebook-cell-output",w.vscodeInteractive="vscode-interactive",w.vscodeInteractiveInput="vscode-interactive-input",w.vscodeSettings="vscode-settings",w.vscodeWorkspaceTrust="vscode-workspace-trust",w.vscodeTerminal="vscode-terminal",w.webviewPanel="webview-panel",w.vscodeWebview="vscode-webview",w.extension="extension",w.vscodeFileResource="vscode-file",w.tmp="tmp",w.vsls="vsls",w.vscodeSourceControl="vscode-scm"})(H=t.Schemas||(t.Schemas={})),t.connectionTokenCookieName="vscode-tkn",t.connectionTokenQueryName="tkn";class M{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${H.vscodeRemoteResource}`}setPreferredWebSchema(p){this._preferredWebSchema=p}setDelegate(p){this._delegate=p}setServerRootPath(p){this._remoteResourcesPath=`${p}/${H.vscodeRemoteResource}`}set(p,f,m){this._hosts[p]=f,this._ports[p]=m}setConnectionToken(p,f){this._connectionTokens[p]=f}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(p){if(this._delegate)return this._delegate(p);const f=p.authority;let m=this._hosts[f];m&&m.indexOf(":")!==-1&&(m=`[${m}]`);const N=this._ports[f],o=this._connectionTokens[f];let s=`path=${encodeURIComponent(p.path)}`;return typeof o=="string"&&(s+=`&${t.connectionTokenQueryName}=${encodeURIComponent(o)}`),i.URI.from({scheme:E.isWeb?this._preferredWebSchema:H.vscodeRemoteResource,authority:`${m}:${N}`,path:this._remoteResourcesPath,query:s})}}t.RemoteAuthorities=new M;class C{asBrowserUri(p,f){const m=this.toUri(p,f);return m.scheme===H.vscodeRemote?t.RemoteAuthorities.rewrite(m):m.scheme===H.file&&(E.isNative||E.isWebWorker&&E.globals.origin===`${H.vscodeFileResource}://${C.FALLBACK_AUTHORITY}`)?m.with({scheme:H.vscodeFileResource,authority:m.authority||C.FALLBACK_AUTHORITY,query:null,fragment:null}):m}asFileUri(p,f){const m=this.toUri(p,f);return m.scheme===H.vscodeFileResource?m.with({scheme:H.file,authority:m.authority!==C.FALLBACK_AUTHORITY?m.authority:null,query:null,fragment:null}):m}toUri(p,f){return i.URI.isUri(p)?p:i.URI.parse(f.toUrl(p))}}C.FALLBACK_AUTHORITY="vscode-app",t.FileAccess=new C}),define(me[36],pe([1,0,109,35,21,5,10,16]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalResource=t.DataUri=t.distinctParents=t.addTrailingPathSeparator=t.removeTrailingPathSeparator=t.hasTrailingPathSeparator=t.isEqualAuthority=t.isAbsolutePath=t.resolvePath=t.relativePath=t.normalizePath=t.joinPath=t.dirname=t.extname=t.basename=t.basenameOrAuthority=t.getComparisonKey=t.isEqualOrParent=t.isEqual=t.extUriIgnorePathCase=t.extUriBiasedIgnorePathCase=t.extUri=t.ExtUri=t.originalFSPath=void 0;function p(s){return(0,w.uriToFsPath)(s,!0)}t.originalFSPath=p;class f{constructor(e){this._ignorePathCasing=e}compare(e,g,v=!1){return e===g?0:(0,C.compare)(this.getComparisonKey(e,v),this.getComparisonKey(g,v))}isEqual(e,g,v=!1){return e===g?!0:!e||!g?!1:this.getComparisonKey(e,v)===this.getComparisonKey(g,v)}getComparisonKey(e,g=!1){return e.with({path:this._ignorePathCasing(e)?e.path.toLowerCase():void 0,fragment:g?null:void 0}).toString()}ignorePathCasing(e){return this._ignorePathCasing(e)}isEqualOrParent(e,g,v=!1){if(e.scheme===g.scheme){if(e.scheme===i.Schemas.file)return E.isEqualOrParent(p(e),p(g),this._ignorePathCasing(e))&&e.query===g.query&&(v||e.fragment===g.fragment);if((0,t.isEqualAuthority)(e.authority,g.authority))return E.isEqualOrParent(e.path,g.path,this._ignorePathCasing(e),"/")&&e.query===g.query&&(v||e.fragment===g.fragment)}return!1}joinPath(e,...g){return w.URI.joinPath(e,...g)}basenameOrAuthority(e){return(0,t.basename)(e)||e.authority}basename(e){return H.posix.basename(e.path)}extname(e){return H.posix.extname(e.path)}dirname(e){if(e.path.length===0)return e;let g;return e.scheme===i.Schemas.file?g=w.URI.file(H.dirname(p(e))).path:(g=H.posix.dirname(e.path),e.authority&&g.length&&g.charCodeAt(0)!==47&&(console.error(`dirname("${e.toString})) resulted in a relative path`),g="/")),e.with({path:g})}normalizePath(e){if(!e.path.length)return e;let g;return e.scheme===i.Schemas.file?g=w.URI.file(H.normalize(p(e))).path:g=H.posix.normalize(e.path),e.with({path:g})}relativePath(e,g){if(e.scheme!==g.scheme||!(0,t.isEqualAuthority)(e.authority,g.authority))return;if(e.scheme===i.Schemas.file){const y=H.relative(p(e),p(g));return M.isWindows?E.toSlashes(y):y}let v=e.path||"/";const D=g.path||"/";if(this._ignorePathCasing(e)){let y=0;for(const a=Math.min(v.length,D.length);y<a&&!(v.charCodeAt(y)!==D.charCodeAt(y)&&v.charAt(y).toLowerCase()!==D.charAt(y).toLowerCase());y++);v=D.substr(0,y)+v.substr(y)}return H.posix.relative(v,D)}resolvePath(e,g){if(e.scheme===i.Schemas.file){const v=w.URI.file(H.resolve(p(e),g));return e.with({authority:v.authority,path:v.path})}return g=E.toPosixPath(g),e.with({path:H.posix.resolve(e.path,g)})}isAbsolutePath(e){return!!e.path&&e.path[0]==="/"}isEqualAuthority(e,g){return e===g||e!==void 0&&g!==void 0&&(0,C.equalsIgnoreCase)(e,g)}hasTrailingPathSeparator(e,g=H.sep){if(e.scheme===i.Schemas.file){const v=p(e);return v.length>E.getRoot(v).length&&v[v.length-1]===g}else{const v=e.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(e.fsPath)}}removeTrailingPathSeparator(e,g=H.sep){return(0,t.hasTrailingPathSeparator)(e,g)?e.with({path:e.path.substr(0,e.path.length-1)}):e}addTrailingPathSeparator(e,g=H.sep){let v=!1;if(e.scheme===i.Schemas.file){const D=p(e);v=D!==void 0&&D.length===E.getRoot(D).length&&D[D.length-1]===g}else{g="/";const D=e.path;v=D.length===1&&D.charCodeAt(D.length-1)===47}return!v&&!(0,t.hasTrailingPathSeparator)(e,g)?e.with({path:e.path+"/"}):e}}t.ExtUri=f,t.extUri=new f(()=>!1),t.extUriBiasedIgnorePathCase=new f(s=>s.scheme===i.Schemas.file?!M.isLinux:!0),t.extUriIgnorePathCase=new f(s=>!0),t.isEqual=t.extUri.isEqual.bind(t.extUri),t.isEqualOrParent=t.extUri.isEqualOrParent.bind(t.extUri),t.getComparisonKey=t.extUri.getComparisonKey.bind(t.extUri),t.basenameOrAuthority=t.extUri.basenameOrAuthority.bind(t.extUri),t.basename=t.extUri.basename.bind(t.extUri),t.extname=t.extUri.extname.bind(t.extUri),t.dirname=t.extUri.dirname.bind(t.extUri),t.joinPath=t.extUri.joinPath.bind(t.extUri),t.normalizePath=t.extUri.normalizePath.bind(t.extUri),t.relativePath=t.extUri.relativePath.bind(t.extUri),t.resolvePath=t.extUri.resolvePath.bind(t.extUri),t.isAbsolutePath=t.extUri.isAbsolutePath.bind(t.extUri),t.isEqualAuthority=t.extUri.isEqualAuthority.bind(t.extUri),t.hasTrailingPathSeparator=t.extUri.hasTrailingPathSeparator.bind(t.extUri),t.removeTrailingPathSeparator=t.extUri.removeTrailingPathSeparator.bind(t.extUri),t.addTrailingPathSeparator=t.extUri.addTrailingPathSeparator.bind(t.extUri);function m(s,e){const g=[];for(let v=0;v<s.length;v++){const D=e(s[v]);s.some((y,a)=>a===v?!1:(0,t.isEqualOrParent)(D,e(y)))||g.push(s[v])}return g}t.distinctParents=m;var N;(function(s){s.META_DATA_LABEL="label",s.META_DATA_DESCRIPTION="description",s.META_DATA_SIZE="size",s.META_DATA_MIME="mime";function e(g){const v=new Map;g.path.substring(g.path.indexOf(";")+1,g.path.lastIndexOf(";")).split(";").forEach(a=>{const[u,b]=a.split(":");u&&b&&v.set(u,b)});const y=g.path.substring(0,g.path.indexOf(";"));return y&&v.set(s.META_DATA_MIME,y),v}s.parseMetaData=e})(N=t.DataUri||(t.DataUri={}));function o(s,e,g){if(e){let v=s.path;return v&&v[0]!==H.posix.sep&&(v=H.posix.sep+v),s.with({scheme:g,authority:e,path:v})}return s.with({scheme:g})}t.toLocalResource=o}),define(me[8],pe([1,0,28,13,3,2,36,5]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createCancelableAsyncIterable=t.CancelableAsyncIterableObject=t.AsyncIterableObject=t.Promises=t.DeferredPromise=t.IntervalCounter=t.TaskSequentializer=t.retry=t.IdleValue=t.runWhenIdle=t.ThrottledWorker=t.RunOnceWorker=t.ProcessTimeRunOnceScheduler=t.RunOnceScheduler=t.IntervalTimer=t.TimeoutTimer=t.ResourceQueue=t.Queue=t.Limiter=t.firstParallel=t.first=t.sequence=t.disposableTimeout=t.timeout=t.AutoOpenBarrier=t.Barrier=t.ThrottledDelayer=t.Delayer=t.MicrotaskDelay=t.SequencerByKey=t.Sequencer=t.Throttler=t.asPromise=t.raceTimeout=t.raceCancellablePromises=t.raceCancellationError=t.raceCancellation=t.createCancelablePromise=t.isThenable=void 0;function p(j){return!!j&&typeof j.then=="function"}t.isThenable=p;function f(j){const W=new E.CancellationTokenSource,d=j(W.token),I=new Promise((U,K)=>{const Z=W.token.onCancellationRequested(()=>{Z.dispose(),W.dispose(),K(new i.CancellationError)});Promise.resolve(d).then(L=>{Z.dispose(),W.dispose(),U(L)},L=>{Z.dispose(),W.dispose(),K(L)})});return new class{cancel(){W.cancel()}then(U,K){return I.then(U,K)}catch(U){return this.then(void 0,U)}finally(U){return I.finally(U)}}}t.createCancelablePromise=f;function m(j,W,d){return new Promise((I,U)=>{const K=W.onCancellationRequested(()=>{K.dispose(),I(d)});j.then(I,U).finally(()=>K.dispose())})}t.raceCancellation=m;function N(j,W){return new Promise((d,I)=>{const U=W.onCancellationRequested(()=>{U.dispose(),I(new i.CancellationError)});j.then(d,I).finally(()=>U.dispose())})}t.raceCancellationError=N;async function o(j){let W=-1;const d=j.map((U,K)=>U.then(Z=>(W=K,Z))),I=await Promise.race(d);return j.forEach((U,K)=>{K!==W&&U.cancel()}),I}t.raceCancellablePromises=o;function s(j,W,d){let I;const U=setTimeout(()=>{I?.(void 0),d?.()},W);return Promise.race([j.finally(()=>clearTimeout(U)),new Promise(K=>I=K)])}t.raceTimeout=s;function e(j){return new Promise((W,d)=>{const I=j();p(I)?I.then(W,d):W(I)})}t.asPromise=e;class g{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(W){if(this.activePromise){if(this.queuedPromiseFactory=W,!this.queuedPromise){const d=()=>{this.queuedPromise=null;const I=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,I};this.queuedPromise=new Promise(I=>{this.activePromise.then(d,d).then(I)})}return new Promise((d,I)=>{this.queuedPromise.then(d,I)})}return this.activePromise=W(),new Promise((d,I)=>{this.activePromise.then(U=>{this.activePromise=null,d(U)},U=>{this.activePromise=null,I(U)})})}}t.Throttler=g;class v{constructor(){this.current=Promise.resolve(null)}queue(W){return this.current=this.current.then(()=>W(),()=>W())}}t.Sequencer=v;class D{constructor(){this.promiseMap=new Map}queue(W,d){const U=(this.promiseMap.get(W)??Promise.resolve()).catch(()=>{}).then(d).finally(()=>{this.promiseMap.get(W)===U&&this.promiseMap.delete(W)});return this.promiseMap.set(W,U),U}}t.SequencerByKey=D;const y=(j,W)=>{let d=!0;const I=setTimeout(()=>{d=!1,W()},j);return{isTriggered:()=>d,dispose:()=>{clearTimeout(I),d=!1}}},a=j=>{let W=!0;return queueMicrotask(()=>{W&&(W=!1,j())}),{isTriggered:()=>W,dispose:()=>{W=!1}}};t.MicrotaskDelay=Symbol("MicrotaskDelay");class u{constructor(W){this.defaultDelay=W,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(W,d=this.defaultDelay){this.task=W,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((U,K)=>{this.doResolve=U,this.doReject=K}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const U=this.task;return this.task=null,U()}}));const I=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=d===t.MicrotaskDelay?a(I):y(d,I),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new i.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}t.Delayer=u;class b{constructor(W){this.delayer=new u(W),this.throttler=new g}trigger(W,d){return this.delayer.trigger(()=>this.throttler.queue(W),d)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}t.ThrottledDelayer=b;class S{constructor(){this._isOpen=!1,this._promise=new Promise((W,d)=>{this._completePromise=W})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}t.Barrier=S;class F extends S{constructor(W){super();this._timeout=setTimeout(()=>this.open(),W)}open(){clearTimeout(this._timeout),super.open()}}t.AutoOpenBarrier=F;function _(j,W){return W?new Promise((d,I)=>{const U=setTimeout(()=>{K.dispose(),d()},j),K=W.onCancellationRequested(()=>{clearTimeout(U),K.dispose(),I(new i.CancellationError)})}):f(d=>_(j,d))}t.timeout=_;function r(j,W=0){const d=setTimeout(j,W);return(0,M.toDisposable)(()=>clearTimeout(d))}t.disposableTimeout=r;function n(j){const W=[];let d=0;const I=j.length;function U(){return d<I?j[d++]():null}function K(Z){Z!=null&&W.push(Z);const L=U();return L?L.then(K):Promise.resolve(W)}return Promise.resolve(null).then(K)}t.sequence=n;function h(j,W=I=>!!I,d=null){let I=0;const U=j.length,K=()=>{if(I>=U)return Promise.resolve(d);const Z=j[I++];return Promise.resolve(Z()).then(O=>W(O)?Promise.resolve(O):K())};return K()}t.first=h;function l(j,W=I=>!!I,d=null){if(j.length===0)return Promise.resolve(d);let I=j.length;const U=()=>{I=-1;for(const K of j)K.cancel?.()};return new Promise((K,Z)=>{for(const L of j)L.then(O=>{--I>=0&&W(O)?(U(),K(O)):I===0&&K(d)}).catch(O=>{--I>=0&&(U(),Z(O))})})}t.firstParallel=l;class c{constructor(W){this._size=0,this.maxDegreeOfParalellism=W,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new H.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(W){return this._size++,new Promise((d,I)=>{this.outstandingPromises.push({factory:W,c:d,e:I}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const W=this.outstandingPromises.shift();this.runningPromises++;const d=W.factory();d.then(W.c,W.e),d.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}t.Limiter=c;class P extends c{constructor(){super(1)}}t.Queue=P;class V{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const W=new ee;return this.drainers.add(W),W.p}isDrained(){for(const[,W]of this.queues)if(W.size>0)return!1;return!0}queueFor(W,d=C.extUri){const I=d.getComparisonKey(W);let U=this.queues.get(I);return U||(U=new P,H.Event.once(U.onDrained)(()=>{U?.dispose(),this.queues.delete(I),this.onDidQueueDrain()}),this.queues.set(I,U)),U}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const W of this.drainers)W.complete();this.drainers.clear()}dispose(){for(const[,W]of this.queues)W.dispose();this.queues.clear(),this.releaseDrainers()}}t.ResourceQueue=V;class ue{constructor(W,d){this._token=-1,typeof W=="function"&&typeof d=="number"&&this.setIfNotSet(W,d)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(W,d){this.cancel(),this._token=setTimeout(()=>{this._token=-1,W()},d)}setIfNotSet(W,d){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,W()},d))}}t.TimeoutTimer=ue;class ne{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(W,d){this.cancel(),this._token=setInterval(()=>{W()},d)}}t.IntervalTimer=ne;class ge{constructor(W,d){this.timeoutToken=-1,this.runner=W,this.timeout=d,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(W=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,W)}get delay(){return this.timeout}set delay(W){this.timeout=W}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}t.RunOnceScheduler=ge;class ae{constructor(W,d){d%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${d}ms is not a multiple of 1000ms.`),this.runner=W,this.timeout=d,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(W=this.timeout){W%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${W}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(W/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}t.ProcessTimeRunOnceScheduler=ae;class we extends ge{constructor(W,d){super(W,d);this.units=[]}work(W){this.units.push(W),this.isScheduled()||this.schedule()}doRun(){const W=this.units;this.units=[],this.runner?.(W)}dispose(){this.units=[],super.dispose()}}t.RunOnceWorker=we;class he extends M.Disposable{constructor(W,d){super();this.options=W,this.handler=d,this.pendingWork=[],this.throttler=this._register(new M.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(W){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+W.length>this.options.maxBufferedWork)return!1}else if(this.pending+W.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...W),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new ge(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}t.ThrottledWorker=he,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?t.runWhenIdle=j=>{(0,w.setTimeout0)(()=>{if(W)return;const d=Date.now()+15;j(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,d-Date.now())}}))});let W=!1;return{dispose(){W||(W=!0)}}}:t.runWhenIdle=(j,W)=>{const d=requestIdleCallback(j,typeof W=="number"?{timeout:W}:void 0);let I=!1;return{dispose(){I||(I=!0,cancelIdleCallback(d))}}}}();class re{constructor(W){this._didRun=!1,this._executor=()=>{try{this._value=W()}catch(d){this._error=d}finally{this._didRun=!0}},this._handle=(0,t.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}t.IdleValue=re;async function Ce(j,W,d){let I;for(let U=0;U<d;U++)try{return await j()}catch(K){I=K,await _(W)}throw I}t.retry=Ce;class te{hasPending(W){return this._pending?typeof W=="number"?this._pending.taskId===W:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(W,d,I){return this._pending={taskId:W,cancel:()=>I?.(),promise:d},d.then(()=>this.donePending(W),()=>this.donePending(W)),d}donePending(W){this._pending&&W===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const W=this._next;this._next=void 0,W.run().then(W.promiseResolve,W.promiseReject)}}setNext(W){if(this._next)this._next.run=W;else{let d,I;const U=new Promise((K,Z)=>{d=K,I=Z});this._next={run:W,promise:U,promiseResolve:d,promiseReject:I}}return this._next.promise}}t.TaskSequentializer=te;class De{constructor(W,d=()=>Date.now()){this.interval=W,this.nowFn=d,this.lastIncrementTime=0,this.value=0}increment(){const W=this.nowFn();return W-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=W,this.value=0),this.value++,this.value}}t.IntervalCounter=De;class ee{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((W,d)=>{this.completeCallback=W,this.errorCallback=d})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(W){return new Promise(d=>{this.completeCallback(W),this.resolved=!0,d()})}error(W){return new Promise(d=>{this.errorCallback(W),this.rejected=!0,d()})}cancel(){new Promise(W=>{this.errorCallback(new i.CancellationError),this.rejected=!0,W()})}}t.DeferredPromise=ee;var X;(function(j){async function W(I){let U;const K=await Promise.all(I.map(Z=>Z.then(L=>L,L=>{U||(U=L)})));if(typeof U!="undefined")throw U;return K}j.settled=W;function d(I){return new Promise(async(U,K)=>{try{await I(U,K)}catch(Z){K(Z)}})}j.withAsyncBody=d})(X=t.Promises||(t.Promises={}));var se;(function(j){j[j.Initial=0]="Initial",j[j.DoneOK=1]="DoneOK",j[j.DoneError=2]="DoneError"})(se||(se={}));class ie{constructor(W){this._state=0,this._results=[],this._error=null,this._onStateChanged=new H.Emitter,queueMicrotask(async()=>{const d={emitOne:I=>this.emitOne(I),emitMany:I=>this.emitMany(I),reject:I=>this.reject(I)};try{await Promise.resolve(W(d)),this.resolve()}catch(I){this.reject(I)}finally{d.emitOne=void 0,d.emitMany=void 0,d.reject=void 0}})}static fromArray(W){return new ie(d=>{d.emitMany(W)})}static fromPromise(W){return new ie(async d=>{d.emitMany(await W)})}static fromPromises(W){return new ie(async d=>{await Promise.all(W.map(async I=>d.emitOne(await I)))})}static merge(W){return new ie(async d=>{await Promise.all(W.map(async I=>{for await(const U of I)d.emitOne(U)}))})}[Symbol.asyncIterator](){let W=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(W<this._results.length)return{done:!1,value:this._results[W++]};if(this._state===1)return{done:!0,value:void 0};await H.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(W,d){return new ie(async I=>{for await(const U of W)I.emitOne(d(U))})}map(W){return ie.map(this,W)}static filter(W,d){return new ie(async I=>{for await(const U of W)d(U)&&I.emitOne(U)})}filter(W){return ie.filter(this,W)}static coalesce(W){return ie.filter(W,d=>!!d)}coalesce(){return ie.coalesce(this)}static async toPromise(W){const d=[];for await(const I of W)d.push(I);return d}toPromise(){return ie.toPromise(this)}emitOne(W){this._state===0&&(this._results.push(W),this._onStateChanged.fire())}emitMany(W){this._state===0&&(this._results=this._results.concat(W),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(W){this._state===0&&(this._state=2,this._error=W,this._onStateChanged.fire())}}t.AsyncIterableObject=ie,ie.EMPTY=ie.fromArray([]);class T extends ie{constructor(W,d){super(d);this._source=W}cancel(){this._source.cancel()}}t.CancelableAsyncIterableObject=T;function $(j){const W=new E.CancellationTokenSource,d=j(W.token);return new T(W,async I=>{const U=W.token.onCancellationRequested(()=>{U.dispose(),W.dispose(),I.reject(new i.CancellationError)});try{for await(const K of d){if(W.token.isCancellationRequested)return;I.emitOne(K)}U.dispose(),W.dispose()}catch(K){U.dispose(),W.dispose(),I.reject(K)}})}t.createCancelableAsyncIterable=$}),define(me[4],pe([1,0,15,107,19,20,8,13,3,112,2,35,5,6,16]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s,e){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.h=t.computeClippingRect=t.DragAndDropObserver=t.getCookieValue=t.ModifierKeyEmitter=t.multibyteAwareBtoa=t.safeInnerHtml=t.hookDomPurifyHrefAndSrcSanitizer=t.detectFullscreen=t.DetectedFullscreenMode=t.triggerUpload=t.triggerDownload=t.asCSSPropertyValue=t.asCSSUrl=t.animate=t.windowOpenWithSuccess=t.windowOpenPopup=t.windowOpenNoOpener=t.computeScreenAwareSize=t.domContentLoaded=t.finalHandler=t.removeTabIndexAndUpdateFocus=t.hide=t.show=t.join=t.$=t.Namespace=t.reset=t.prepend=t.append=t.after=t.trackFocus=t.restoreParentsScrollTop=t.saveParentsScrollTop=t.EventHelper=t.EventType=t.isHTMLElement=t.removeCSSRulesContainingSelector=t.createCSSRule=t.createMetaElement=t.createStyleSheet=t.getActiveElement=t.getShadowRoot=t.isInShadowDOM=t.isShadowRoot=t.hasParentWithClass=t.findParentWithClass=t.isAncestorUsingFlowTo=t.setParentFlowTo=t.isAncestor=t.getLargestChildWidth=t.getTotalHeight=t.getContentHeight=t.getTotalScrollWidth=t.getContentWidth=t.getTotalWidth=t.getDomNodeZoomLevel=t.getDomNodePagePosition=t.position=t.size=t.getTopLeftOffset=t.Dimension=t.getClientArea=t.getComputedStyle=t.addDisposableThrottledListener=t.modify=t.measure=t.scheduleAtNextAnimationFrame=t.runAtThisOrScheduleAtNextAnimationFrame=t.addDisposableGenericMouseUpListener=t.addDisposableGenericMouseMoveListener=t.addDisposableGenericMouseDownListener=t.addStandardDisposableGenericMouseUpListener=t.addStandardDisposableGenericMouseDownListener=t.addStandardDisposableListener=t.addDisposableListener=t.isInDOM=t.clearNode=void 0;function g(Y){for(;Y.firstChild;)Y.firstChild.remove()}t.clearNode=g;function v(Y){return Y?.isConnected??!1}t.isInDOM=v;class D{constructor(G,fe,Te,Ie){this._node=G,this._type=fe,this._handler=Te,this._options=Ie||!1,this._node.addEventListener(this._type,this._handler,this._options)}dispose(){!this._handler||(this._node.removeEventListener(this._type,this._handler,this._options),this._node=null,this._handler=null)}}function y(Y,G,fe,Te){return new D(Y,G,fe,Te)}t.addDisposableListener=y;function a(Y){return function(G){return Y(new M.StandardMouseEvent(G))}}function u(Y){return function(G){return Y(new H.StandardKeyboardEvent(G))}}const b=function(G,fe,Te,Ie){let $e=Te;return fe==="click"||fe==="mousedown"?$e=a(Te):(fe==="keydown"||fe==="keypress"||fe==="keyup")&&($e=u(Te)),y(G,fe,$e,Ie)};t.addStandardDisposableListener=b;const S=function(G,fe,Te){const Ie=a(fe);return _(G,Ie,Te)};t.addStandardDisposableGenericMouseDownListener=S;const F=function(G,fe,Te){const Ie=a(fe);return n(G,Ie,Te)};t.addStandardDisposableGenericMouseUpListener=F;function _(Y,G,fe){return y(Y,o.isIOS&&i.BrowserFeatures.pointerEvents?t.EventType.POINTER_DOWN:t.EventType.MOUSE_DOWN,G,fe)}t.addDisposableGenericMouseDownListener=_;function r(Y,G,fe){return y(Y,o.isIOS&&i.BrowserFeatures.pointerEvents?t.EventType.POINTER_MOVE:t.EventType.MOUSE_MOVE,G,fe)}t.addDisposableGenericMouseMoveListener=r;function n(Y,G,fe){return y(Y,o.isIOS&&i.BrowserFeatures.pointerEvents?t.EventType.POINTER_UP:t.EventType.MOUSE_UP,G,fe)}t.addDisposableGenericMouseUpListener=n;let h=null;function l(Y){if(!h){const G=fe=>setTimeout(()=>fe(new Date().getTime()),0);h=self.requestAnimationFrame||self.msRequestAnimationFrame||self.webkitRequestAnimationFrame||self.mozRequestAnimationFrame||self.oRequestAnimationFrame||G}return h.call(self,Y)}class c{constructor(G,fe=0){this._runner=G,this.priority=fe,this._canceled=!1}dispose(){this._canceled=!0}execute(){if(!this._canceled)try{this._runner()}catch(G){(0,w.onUnexpectedError)(G)}}static sort(G,fe){return fe.priority-G.priority}}(function(){let Y=[],G=null,fe=!1,Te=!1;const Ie=()=>{for(fe=!1,G=Y,Y=[],Te=!0;G.length>0;)G.sort(c.sort),G.shift().execute();Te=!1};t.scheduleAtNextAnimationFrame=($e,We=0)=>{const je=new c($e,We);return Y.push(je),fe||(fe=!0,l(Ie)),je},t.runAtThisOrScheduleAtNextAnimationFrame=($e,We)=>{if(Te){const je=new c($e,We);return G.push(je),je}else return(0,t.scheduleAtNextAnimationFrame)($e,We)}})();function P(Y){return(0,t.scheduleAtNextAnimationFrame)(Y,1e4)}t.measure=P;function V(Y){return(0,t.scheduleAtNextAnimationFrame)(Y,-1e4)}t.modify=V;const ue=8,ne=function(Y,G){return G};class ge extends m.Disposable{constructor(G,fe,Te,Ie=ne,$e=ue){super();let We=null,je=0;const et=this._register(new C.TimeoutTimer),ft=()=>{je=new Date().getTime(),Te(We),We=null};this._register(y(G,fe,It=>{We=Ie(We,It);const gt=new Date().getTime()-je;gt>=$e?(et.cancel(),ft()):et.setIfNotSet(ft,$e-gt)}))}}function ae(Y,G,fe,Te,Ie){return new ge(Y,G,fe,Te,Ie)}t.addDisposableThrottledListener=ae;function we(Y){return document.defaultView.getComputedStyle(Y,null)}t.getComputedStyle=we;function he(Y){if(Y!==document.body)return new Ce(Y.clientWidth,Y.clientHeight);if(o.isIOS&&window.visualViewport)return new Ce(window.visualViewport.width,window.visualViewport.height);if(window.innerWidth&&window.innerHeight)return new Ce(window.innerWidth,window.innerHeight);if(document.body&&document.body.clientWidth&&document.body.clientHeight)return new Ce(document.body.clientWidth,document.body.clientHeight);if(document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight)return new Ce(document.documentElement.clientWidth,document.documentElement.clientHeight);throw new Error("Unable to figure out browser width and height")}t.getClientArea=he;class re{static convertToPixels(G,fe){return parseFloat(fe)||0}static getDimension(G,fe,Te){const Ie=we(G),$e=Ie?Ie.getPropertyValue(fe):"0";return re.convertToPixels(G,$e)}static getBorderLeftWidth(G){return re.getDimension(G,"border-left-width","borderLeftWidth")}static getBorderRightWidth(G){return re.getDimension(G,"border-right-width","borderRightWidth")}static getBorderTopWidth(G){return re.getDimension(G,"border-top-width","borderTopWidth")}static getBorderBottomWidth(G){return re.getDimension(G,"border-bottom-width","borderBottomWidth")}static getPaddingLeft(G){return re.getDimension(G,"padding-left","paddingLeft")}static getPaddingRight(G){return re.getDimension(G,"padding-right","paddingRight")}static getPaddingTop(G){return re.getDimension(G,"padding-top","paddingTop")}static getPaddingBottom(G){return re.getDimension(G,"padding-bottom","paddingBottom")}static getMarginLeft(G){return re.getDimension(G,"margin-left","marginLeft")}static getMarginTop(G){return re.getDimension(G,"margin-top","marginTop")}static getMarginRight(G){return re.getDimension(G,"margin-right","marginRight")}static getMarginBottom(G){return re.getDimension(G,"margin-bottom","marginBottom")}}class Ce{constructor(G,fe){this.width=G,this.height=fe}with(G=this.width,fe=this.height){return G!==this.width||fe!==this.height?new Ce(G,fe):this}static is(G){return typeof G=="object"&&typeof G.height=="number"&&typeof G.width=="number"}static lift(G){return G instanceof Ce?G:new Ce(G.width,G.height)}static equals(G,fe){return G===fe?!0:!G||!fe?!1:G.width===fe.width&&G.height===fe.height}}t.Dimension=Ce,Ce.None=new Ce(0,0);function te(Y){let G=Y.offsetParent,fe=Y.offsetTop,Te=Y.offsetLeft;for(;(Y=Y.parentNode)!==null&&Y!==document.body&&Y!==document.documentElement;){fe-=Y.scrollTop;const Ie=B(Y)?null:we(Y);Ie&&(Te-=Ie.direction!=="rtl"?Y.scrollLeft:-Y.scrollLeft),Y===G&&(Te+=re.getBorderLeftWidth(Y),fe+=re.getBorderTopWidth(Y),fe+=Y.offsetTop,Te+=Y.offsetLeft,G=Y.offsetParent)}return{left:Te,top:fe}}t.getTopLeftOffset=te;function De(Y,G,fe){typeof G=="number"&&(Y.style.width=`${G}px`),typeof fe=="number"&&(Y.style.height=`${fe}px`)}t.size=De;function ee(Y,G,fe,Te,Ie,$e="absolute"){typeof G=="number"&&(Y.style.top=`${G}px`),typeof fe=="number"&&(Y.style.right=`${fe}px`),typeof Te=="number"&&(Y.style.bottom=`${Te}px`),typeof Ie=="number"&&(Y.style.left=`${Ie}px`),Y.style.position=$e}t.position=ee;function X(Y){const G=Y.getBoundingClientRect();return{left:G.left+window.scrollX,top:G.top+window.scrollY,width:G.width,height:G.height}}t.getDomNodePagePosition=X;function se(Y){let G=Y,fe=1;do{const Te=we(G).zoom;Te!=null&&Te!=="1"&&(fe*=Te),G=G.parentElement}while(G!==null&&G!==document.documentElement);return fe}t.getDomNodeZoomLevel=se;function ie(Y){const G=re.getMarginLeft(Y)+re.getMarginRight(Y);return Y.offsetWidth+G}t.getTotalWidth=ie;function T(Y){const G=re.getBorderLeftWidth(Y)+re.getBorderRightWidth(Y),fe=re.getPaddingLeft(Y)+re.getPaddingRight(Y);return Y.offsetWidth-G-fe}t.getContentWidth=T;function $(Y){const G=re.getMarginLeft(Y)+re.getMarginRight(Y);return Y.scrollWidth+G}t.getTotalScrollWidth=$;function j(Y){const G=re.getBorderTopWidth(Y)+re.getBorderBottomWidth(Y),fe=re.getPaddingTop(Y)+re.getPaddingBottom(Y);return Y.offsetHeight-G-fe}t.getContentHeight=j;function W(Y){const G=re.getMarginTop(Y)+re.getMarginBottom(Y);return Y.offsetHeight+G}t.getTotalHeight=W;function d(Y,G){if(Y===null)return 0;const fe=te(Y),Te=te(G);return fe.left-Te.left}function I(Y,G){const fe=G.map(Ie=>Math.max($(Ie),ie(Ie))+d(Ie,Y)||0);return Math.max(...fe)}t.getLargestChildWidth=I;function U(Y,G){for(;Y;){if(Y===G)return!0;Y=Y.parentNode}return!1}t.isAncestor=U;const K="parentFlowToElementId";function Z(Y,G){Y.dataset[K]=G.id}t.setParentFlowTo=Z;function L(Y){const G=Y.dataset[K];return typeof G=="string"?document.getElementById(G):null}function O(Y,G){let fe=Y;for(;fe;){if(fe===G)return!0;if(fe instanceof HTMLElement){const Te=L(fe);if(Te){fe=Te;continue}}fe=fe.parentNode}return!1}t.isAncestorUsingFlowTo=O;function z(Y,G,fe){for(;Y&&Y.nodeType===Y.ELEMENT_NODE;){if(Y.classList.contains(G))return Y;if(fe){if(typeof fe=="string"){if(Y.classList.contains(fe))return null}else if(Y===fe)return null}Y=Y.parentNode}return null}t.findParentWithClass=z;function A(Y,G,fe){return!!z(Y,G,fe)}t.hasParentWithClass=A;function B(Y){return Y&&!!Y.host&&!!Y.mode}t.isShadowRoot=B;function k(Y){return!!R(Y)}t.isInShadowDOM=k;function R(Y){for(;Y.parentNode;){if(Y===document.body)return null;Y=Y.parentNode}return B(Y)?Y:null}t.getShadowRoot=R;function x(){let Y=document.activeElement;for(;Y?.shadowRoot;)Y=Y.shadowRoot.activeElement;return Y}t.getActiveElement=x;function J(Y=document.getElementsByTagName("head")[0]){const G=document.createElement("style");return G.type="text/css",G.media="screen",Y.appendChild(G),G}t.createStyleSheet=J;function de(Y=document.getElementsByTagName("head")[0]){const G=document.createElement("meta");return Y.appendChild(G),G}t.createMetaElement=de;let ce=null;function ye(){return ce||(ce=J()),ce}function Ee(Y){return Y?.sheet?.rules?Y.sheet.rules:Y?.sheet?.cssRules?Y.sheet.cssRules:[]}function ke(Y,G,fe=ye()){!fe||!G||fe.sheet.insertRule(Y+"{"+G+"}",0)}t.createCSSRule=ke;function Fe(Y,G=ye()){if(!G)return;const fe=Ee(G),Te=[];for(let Ie=0;Ie<fe.length;Ie++)fe[Ie].selectorText.indexOf(Y)!==-1&&Te.push(Ie);for(let Ie=Te.length-1;Ie>=0;Ie--)G.sheet.deleteRule(Te[Ie])}t.removeCSSRulesContainingSelector=Fe;function ve(Y){return typeof HTMLElement=="object"?Y instanceof HTMLElement:Y&&typeof Y=="object"&&Y.nodeType===1&&typeof Y.nodeName=="string"}t.isHTMLElement=ve,t.EventType={CLICK:"click",AUXCLICK:"auxclick",DBLCLICK:"dblclick",MOUSE_UP:"mouseup",MOUSE_DOWN:"mousedown",MOUSE_OVER:"mouseover",MOUSE_MOVE:"mousemove",MOUSE_OUT:"mouseout",MOUSE_ENTER:"mouseenter",MOUSE_LEAVE:"mouseleave",MOUSE_WHEEL:"wheel",POINTER_UP:"pointerup",POINTER_DOWN:"pointerdown",POINTER_MOVE:"pointermove",POINTER_LEAVE:"pointerleave",CONTEXT_MENU:"contextmenu",WHEEL:"wheel",KEY_DOWN:"keydown",KEY_PRESS:"keypress",KEY_UP:"keyup",LOAD:"load",BEFORE_UNLOAD:"beforeunload",UNLOAD:"unload",PAGE_SHOW:"pageshow",PAGE_HIDE:"pagehide",ABORT:"abort",ERROR:"error",RESIZE:"resize",SCROLL:"scroll",FULLSCREEN_CHANGE:"fullscreenchange",WK_FULLSCREEN_CHANGE:"webkitfullscreenchange",SELECT:"select",CHANGE:"change",SUBMIT:"submit",RESET:"reset",FOCUS:"focus",FOCUS_IN:"focusin",FOCUS_OUT:"focusout",BLUR:"blur",INPUT:"input",STORAGE:"storage",DRAG_START:"dragstart",DRAG:"drag",DRAG_ENTER:"dragenter",DRAG_LEAVE:"dragleave",DRAG_OVER:"dragover",DROP:"drop",DRAG_END:"dragend",ANIMATION_START:E.isWebKit?"webkitAnimationStart":"animationstart",ANIMATION_END:E.isWebKit?"webkitAnimationEnd":"animationend",ANIMATION_ITERATION:E.isWebKit?"webkitAnimationIteration":"animationiteration"},t.EventHelper={stop:(Y,G)=>(Y.preventDefault(),G&&Y.stopPropagation(),Y)};function Pe(Y){const G=[];for(let fe=0;Y&&Y.nodeType===Y.ELEMENT_NODE;fe++)G[fe]=Y.scrollTop,Y=Y.parentNode;return G}t.saveParentsScrollTop=Pe;function Me(Y,G){for(let fe=0;Y&&Y.nodeType===Y.ELEMENT_NODE;fe++)Y.scrollTop!==G[fe]&&(Y.scrollTop=G[fe]),Y=Y.parentNode}t.restoreParentsScrollTop=Me;class xe extends m.Disposable{constructor(G){super();this._onDidFocus=this._register(new p.Emitter),this.onDidFocus=this._onDidFocus.event,this._onDidBlur=this._register(new p.Emitter),this.onDidBlur=this._onDidBlur.event;let fe=xe.hasFocusWithin(G),Te=!1;const Ie=()=>{Te=!1,fe||(fe=!0,this._onDidFocus.fire())},$e=()=>{fe&&(Te=!0,window.setTimeout(()=>{Te&&(Te=!1,fe=!1,this._onDidBlur.fire())},0))};this._refreshStateHandler=()=>{xe.hasFocusWithin(G)!==fe&&(fe?$e():Ie())},this._register(y(G,t.EventType.FOCUS,Ie,!0)),this._register(y(G,t.EventType.BLUR,$e,!0)),this._register(y(G,t.EventType.FOCUS_IN,()=>this._refreshStateHandler())),this._register(y(G,t.EventType.FOCUS_OUT,()=>this._refreshStateHandler()))}static hasFocusWithin(G){const fe=R(G),Te=fe?fe.activeElement:document.activeElement;return U(Te,G)}refreshState(){this._refreshStateHandler()}}function He(Y){return new xe(Y)}t.trackFocus=He;function ze(Y,G){return Y.after(G),G}t.after=ze;function Ye(Y,...G){if(Y.append(...G),G.length===1&&typeof G[0]!="string")return G[0]}t.append=Ye;function Ge(Y,G){return Y.insertBefore(G,Y.firstChild),G}t.prepend=Ge;function Oe(Y,...G){Y.innerText="",Ye(Y,...G)}t.reset=Oe;const q=/([\w\-]+)?(#([\w\-]+))?((\.([\w\-]+))*)/;var oe;(function(Y){Y.HTML="http://www.w3.org/1999/xhtml",Y.SVG="http://www.w3.org/2000/svg"})(oe=t.Namespace||(t.Namespace={}));function be(Y,G,fe,...Te){const Ie=q.exec(G);if(!Ie)throw new Error("Bad use of emmet");fe={...fe||{}};const $e=Ie[1]||"div";let We;return Y!==oe.HTML?We=document.createElementNS(Y,$e):We=document.createElement($e),Ie[3]&&(We.id=Ie[3]),Ie[4]&&(We.className=Ie[4].replace(/\./g," ").trim()),Object.keys(fe).forEach(je=>{const et=fe[je];typeof et!="undefined"&&(/^on\w+$/.test(je)?We[je]=et:je==="selected"?et&&We.setAttribute(je,"true"):We.setAttribute(je,et))}),We.append(...Te),We}function _e(Y,G,...fe){return be(oe.HTML,Y,G,...fe)}t.$=_e,_e.SVG=function(Y,G,...fe){return be(oe.SVG,Y,G,...fe)};function Ae(Y,G){const fe=[];return Y.forEach((Te,Ie)=>{Ie>0&&(G instanceof Node?fe.push(G.cloneNode()):fe.push(document.createTextNode(G))),fe.push(Te)}),fe}t.join=Ae;function Re(...Y){for(const G of Y)G.style.display="",G.removeAttribute("aria-hidden")}t.show=Re;function Ve(...Y){for(const G of Y)G.style.display="none",G.setAttribute("aria-hidden","true")}t.hide=Ve;function tt(Y,G){for(;Y&&Y.nodeType===Y.ELEMENT_NODE;){if(Y instanceof HTMLElement&&Y.hasAttribute(G))return Y;Y=Y.parentNode}return null}function Xe(Y){!Y||!Y.hasAttribute("tabIndex")||(document.activeElement===Y&&tt(Y.parentElement,"tabIndex")?.focus(),Y.removeAttribute("tabindex"))}t.removeTabIndexAndUpdateFocus=Xe;function qe(Y){return G=>{G.preventDefault(),G.stopPropagation(),Y(G)}}t.finalHandler=qe;function Le(){return new Promise(Y=>{document.readyState==="complete"||document&&document.body!==null?Y(void 0):window.addEventListener("DOMContentLoaded",Y,!1)})}t.domContentLoaded=Le;function le(Y){const G=window.devicePixelRatio*Y;return Math.max(1,Math.floor(G))/window.devicePixelRatio}t.computeScreenAwareSize=le;function Se(Y){window.open(Y,"_blank","noopener")}t.windowOpenNoOpener=Se;const Ne=780,Ue=640;function Ze(Y){const G=Math.floor(window.screenLeft+window.innerWidth/2-Ne/2),fe=Math.floor(window.screenTop+window.innerHeight/2-Ue/2);window.open(Y,"_blank",`width=${Ne},height=${Ue},top=${fe},left=${G}`)}t.windowOpenPopup=Ze;function Qe(Y,G=!0){const fe=window.open();return fe?(G&&(fe.opener=null),fe.location.href=Y,!0):!1}t.windowOpenWithSuccess=Qe;function Je(Y){const G=()=>{Y(),fe=(0,t.scheduleAtNextAnimationFrame)(G)};let fe=(0,t.scheduleAtNextAnimationFrame)(G);return(0,m.toDisposable)(()=>fe.dispose())}t.animate=Je,N.RemoteAuthorities.setPreferredWebSchema(/^https:/.test(window.location.href)?"https":"http");function st(Y){return Y?`url('${N.FileAccess.asBrowserUri(Y).toString(!0).replace(/'/g,"%27")}')`:"url('')"}t.asCSSUrl=st;function ht(Y){return`'${Y.replace(/'/g,"%27")}'`}t.asCSSPropertyValue=ht;function yt(Y,G){let fe;if(e.URI.isUri(Y))fe=Y.toString(!0);else{const Ie=new Blob([Y]);fe=URL.createObjectURL(Ie),setTimeout(()=>URL.revokeObjectURL(fe))}const Te=document.createElement("a");document.body.appendChild(Te),Te.download=G,Te.href=fe,Te.click(),setTimeout(()=>document.body.removeChild(Te))}t.triggerDownload=yt;function Ft(){return new Promise(Y=>{const G=document.createElement("input");document.body.appendChild(G),G.type="file",G.multiple=!0,p.Event.once(p.Event.fromDOMEventEmitter(G,"input"))(()=>{Y((0,s.withNullAsUndefined)(G.files))}),G.click(),setTimeout(()=>document.body.removeChild(G))})}t.triggerUpload=Ft;var bt;(function(Y){Y[Y.DOCUMENT=1]="DOCUMENT",Y[Y.BROWSER=2]="BROWSER"})(bt=t.DetectedFullscreenMode||(t.DetectedFullscreenMode={}));function ci(){return document.fullscreenElement||document.webkitFullscreenElement||document.webkitIsFullScreen?{mode:bt.DOCUMENT,guess:!1}:window.innerHeight===screen.height?{mode:bt.BROWSER,guess:!1}:(o.isMacintosh||o.isLinux)&&window.outerHeight===screen.height&&window.outerWidth===screen.width?{mode:bt.BROWSER,guess:!0}:null}t.detectFullscreen=ci;function zt(Y,G=!1){const fe=document.createElement("a");return f.addHook("afterSanitizeAttributes",Te=>{for(const Ie of["href","src"])if(Te.hasAttribute(Ie)){const $e=Te.getAttribute(Ie);if(Ie==="href"&&$e.startsWith("#"))continue;if(fe.href=$e,!Y.includes(fe.protocol.replace(/:$/,""))){if(G&&Ie==="src"&&fe.href.startsWith("data:"))continue;Te.removeAttribute(Ie)}}}),(0,m.toDisposable)(()=>{f.removeHook("afterSanitizeAttributes")})}t.hookDomPurifyHrefAndSrcSanitizer=zt;const hi=[N.Schemas.http,N.Schemas.https,N.Schemas.command];function di(Y,G){const fe={ALLOWED_TAGS:["a","button","blockquote","code","div","h1","h2","h3","h4","h5","h6","hr","input","label","li","p","pre","select","small","span","strong","textarea","ul","ol"],ALLOWED_ATTR:["href","data-href","data-command","target","title","name","src","alt","class","id","role","tabindex","style","data-code","width","height","align","x-dispatch","required","checked","placeholder","type"],RETURN_DOM:!1,RETURN_DOM_FRAGMENT:!1},Te=zt(hi);try{const Ie=f.sanitize(G,{...fe,RETURN_TRUSTED_TYPE:!0});Y.innerHTML=Ie}finally{Te.dispose()}}t.safeInnerHtml=di;function fi(Y){const G=new Uint16Array(Y.length);for(let Ie=0;Ie<G.length;Ie++)G[Ie]=Y.charCodeAt(Ie);let fe="";const Te=new Uint8Array(G.buffer);for(let Ie=0;Ie<Te.length;Ie++)fe+=String.fromCharCode(Te[Ie]);return fe}function gi(Y){return btoa(fi(Y))}t.multibyteAwareBtoa=gi;class dt extends p.Emitter{constructor(){super();this._subscriptions=new m.DisposableStore,this._keyStatus={altKey:!1,shiftKey:!1,ctrlKey:!1,metaKey:!1},this._subscriptions.add(y(window,"keydown",G=>{if(G.defaultPrevented)return;const fe=new H.StandardKeyboardEvent(G);if(!(fe.keyCode===6&&G.repeat)){if(G.altKey&&!this._keyStatus.altKey)this._keyStatus.lastKeyPressed="alt";else if(G.ctrlKey&&!this._keyStatus.ctrlKey)this._keyStatus.lastKeyPressed="ctrl";else if(G.metaKey&&!this._keyStatus.metaKey)this._keyStatus.lastKeyPressed="meta";else if(G.shiftKey&&!this._keyStatus.shiftKey)this._keyStatus.lastKeyPressed="shift";else if(fe.keyCode!==6)this._keyStatus.lastKeyPressed=void 0;else return;this._keyStatus.altKey=G.altKey,this._keyStatus.ctrlKey=G.ctrlKey,this._keyStatus.metaKey=G.metaKey,this._keyStatus.shiftKey=G.shiftKey,this._keyStatus.lastKeyPressed&&(this._keyStatus.event=G,this.fire(this._keyStatus))}},!0)),this._subscriptions.add(y(window,"keyup",G=>{G.defaultPrevented||(!G.altKey&&this._keyStatus.altKey?this._keyStatus.lastKeyReleased="alt":!G.ctrlKey&&this._keyStatus.ctrlKey?this._keyStatus.lastKeyReleased="ctrl":!G.metaKey&&this._keyStatus.metaKey?this._keyStatus.lastKeyReleased="meta":!G.shiftKey&&this._keyStatus.shiftKey?this._keyStatus.lastKeyReleased="shift":this._keyStatus.lastKeyReleased=void 0,this._keyStatus.lastKeyPressed!==this._keyStatus.lastKeyReleased&&(this._keyStatus.lastKeyPressed=void 0),this._keyStatus.altKey=G.altKey,this._keyStatus.ctrlKey=G.ctrlKey,this._keyStatus.metaKey=G.metaKey,this._keyStatus.shiftKey=G.shiftKey,this._keyStatus.lastKeyReleased&&(this._keyStatus.event=G,this.fire(this._keyStatus)))},!0)),this._subscriptions.add(y(document.body,"mousedown",()=>{this._keyStatus.lastKeyPressed=void 0},!0)),this._subscriptions.add(y(document.body,"mouseup",()=>{this._keyStatus.lastKeyPressed=void 0},!0)),this._subscriptions.add(y(document.body,"mousemove",G=>{G.buttons&&(this._keyStatus.lastKeyPressed=void 0)},!0)),this._subscriptions.add(y(window,"blur",()=>{this.resetKeyStatus()}))}get keyStatus(){return this._keyStatus}get isModifierPressed(){return this._keyStatus.altKey||this._keyStatus.ctrlKey||this._keyStatus.metaKey||this._keyStatus.shiftKey}resetKeyStatus(){this.doResetKeyStatus(),this.fire(this._keyStatus)}doResetKeyStatus(){this._keyStatus={altKey:!1,shiftKey:!1,ctrlKey:!1,metaKey:!1}}static getInstance(){return dt.instance||(dt.instance=new dt),dt.instance}dispose(){super.dispose(),this._subscriptions.dispose()}}t.ModifierKeyEmitter=dt;function mi(Y){const G=document.cookie.match("(^|[^;]+)\\s*"+Y+"\\s*=\\s*([^;]+)");return G?G.pop():void 0}t.getCookieValue=mi;class pi extends m.Disposable{constructor(G,fe){super();this.element=G,this.callbacks=fe,this.counter=0,this.dragStartTime=0,this.registerListeners()}registerListeners(){this._register(y(this.element,t.EventType.DRAG_ENTER,G=>{this.counter++,this.dragStartTime=G.timeStamp,this.callbacks.onDragEnter(G)})),this._register(y(this.element,t.EventType.DRAG_OVER,G=>{G.preventDefault(),this.callbacks.onDragOver?.(G,G.timeStamp-this.dragStartTime)})),this._register(y(this.element,t.EventType.DRAG_LEAVE,G=>{this.counter--,this.counter===0&&(this.dragStartTime=0,this.callbacks.onDragLeave(G))})),this._register(y(this.element,t.EventType.DRAG_END,G=>{this.counter=0,this.dragStartTime=0,this.callbacks.onDragEnd(G)})),this._register(y(this.element,t.EventType.DROP,G=>{this.counter=0,this.dragStartTime=0,this.callbacks.onDrop(G)}))}}t.DragAndDropObserver=pi;function bi(Y,G){const fe=Y instanceof HTMLElement?Y.getBoundingClientRect():Y,Te=G.getBoundingClientRect(),Ie=Math.max(Te.top-fe.top,0),$e=Math.max(fe.width-(fe.right-Te.right),0),We=Math.max(fe.height-(fe.bottom-Te.bottom),0),je=Math.max(Te.left-fe.left,0);return{top:Ie,right:$e,bottom:We,left:je}}t.computeClippingRect=bi;const wi=/(?<tag>[\w\-]+)?(?:#(?<id>[\w\-]+))?(?<class>(?:\.(?:[\w\-]+))*)(?:@(?<name>(?:[\w\_])+))?/;function vi(Y,...G){let fe,Te;Array.isArray(G[0])?(fe={},Te=G[0]):(fe=G[0]||{},Te=G[1]);const Ie=wi.exec(Y);if(!Ie||!Ie.groups)throw new Error("Bad use of h");const $e=Ie.groups.tag||"div",We=document.createElement($e);Ie.groups.id&&(We.id=Ie.groups.id),Ie.groups.class&&(We.className=Ie.groups.class.replace(/\./g," ").trim());const je={};if(Ie.groups.name&&(je[Ie.groups.name]=We),Te)for(const et of Te)et instanceof HTMLElement?We.appendChild(et):typeof et=="string"?We.append(et):(Object.assign(je,et),We.appendChild(et.root));for(const[et,ft]of Object.entries(fe))if(et==="style")for(const[It,gt]of Object.entries(ft))We.style.setProperty(Ut(It),typeof gt=="number"?gt+"px":""+gt);else et==="tabIndex"?We.tabIndex=ft:We.setAttribute(Ut(et),ft.toString());return je.root=We,je}t.h=vi;function Ut(Y){return Y.replace(/([a-z])([A-Z])/g,"$1-$2").toLowerCase()}}),define(me[50],pe([1,0,4,2,105]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.applyDragImage=t.DataTransfers=t.DelayedDragHandler=void 0;class M extends i.Disposable{constructor(p,f){super();this._register((0,E.addDisposableListener)(p,"dragover",m=>{m.preventDefault(),this.timeout||(this.timeout=setTimeout(()=>{f(),this.timeout=null},800))})),["dragleave","drop","dragend"].forEach(m=>{this._register((0,E.addDisposableListener)(p,m,()=>{this.clearDragTimeout()}))})}clearDragTimeout(){this.timeout&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){super.dispose(),this.clearDragTimeout()}}t.DelayedDragHandler=M,t.DataTransfers={RESOURCES:"ResourceURLs",DOWNLOAD_URL:"DownloadURL",FILES:"Files",TEXT:H.Mimes.text};function C(w,p,f){const m=document.createElement("div");m.className=f,m.textContent=p,w.dataTransfer&&(document.body.appendChild(m),w.dataTransfer.setDragImage(m,-10,-10),setTimeout(()=>document.body.removeChild(m),0))}t.applyDragImage=C}),define(me[51],pe([1,0,4]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createElement=t.renderFormattedText=t.renderText=void 0;function i(o,s={}){const e=M(s);return e.textContent=o,e}t.renderText=i;function H(o,s={}){const e=M(s);return p(e,f(o,!!s.renderCodeSegments),s.actionHandler,s.renderCodeSegments),e}t.renderFormattedText=H;function M(o){const s=o.inline?"span":"div",e=document.createElement(s);return o.className&&(e.className=o.className),e}t.createElement=M;class C{constructor(s){this.source=s,this.index=0}eos(){return this.index>=this.source.length}next(){const s=this.peek();return this.advance(),s}peek(){return this.source[this.index]}advance(){this.index++}}var w;(function(o){o[o.Invalid=0]="Invalid",o[o.Root=1]="Root",o[o.Text=2]="Text",o[o.Bold=3]="Bold",o[o.Italics=4]="Italics",o[o.Action=5]="Action",o[o.ActionClose=6]="ActionClose",o[o.Code=7]="Code",o[o.NewLine=8]="NewLine"})(w||(w={}));function p(o,s,e,g){let v;if(s.type===2)v=document.createTextNode(s.content||"");else if(s.type===3)v=document.createElement("b");else if(s.type===4)v=document.createElement("i");else if(s.type===7&&g)v=document.createElement("code");else if(s.type===5&&e){const D=document.createElement("a");e.disposables.add(E.addStandardDisposableListener(D,"click",y=>{e.callback(String(s.index),y)})),v=D}else s.type===8?v=document.createElement("br"):s.type===1&&(v=o);v&&o!==v&&o.appendChild(v),v&&Array.isArray(s.children)&&s.children.forEach(D=>{p(v,D,e,g)})}function f(o,s){const e={type:1,children:[]};let g=0,v=e;const D=[],y=new C(o);for(;!y.eos();){let a=y.next();const u=a==="\\"&&N(y.peek(),s)!==0;if(u&&(a=y.next()),!u&&m(a,s)&&a===y.peek()){y.advance(),v.type===2&&(v=D.pop());const b=N(a,s);if(v.type===b||v.type===5&&b===6)v=D.pop();else{const S={type:b,children:[]};b===5&&(S.index=g,g++),v.children.push(S),D.push(v),v=S}}else if(a===`
`)v.type===2&&(v=D.pop()),v.children.push({type:8});else if(v.type!==2){const b={type:2,content:a};v.children.push(b),D.push(v),v=b}else v.content+=a}return v.type===2&&(v=D.pop()),D.length,e}function m(o,s){return N(o,s)!==0}function N(o,s){switch(o){case"*":return 3;case"_":return 4;case"[":return 5;case"]":return 6;case"`":return s?7:0;default:return 0}}}),define(me[52],pe([1,0,4,2]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.GlobalPointerMoveMonitor=void 0;class H{constructor(){this._hooks=new i.DisposableStore,this._pointerMoveCallback=null,this._onStopCallback=null}dispose(){this.stopMonitoring(!1),this._hooks.dispose()}stopMonitoring(C,w){if(!this.isMonitoring())return;this._hooks.clear(),this._pointerMoveCallback=null;const p=this._onStopCallback;this._onStopCallback=null,C&&p&&p(w)}isMonitoring(){return!!this._pointerMoveCallback}startMonitoring(C,w,p,f,m){this.isMonitoring()&&this.stopMonitoring(!1),this._pointerMoveCallback=f,this._onStopCallback=m;let N=C;try{C.setPointerCapture(w),this._hooks.add((0,i.toDisposable)(()=>{C.releasePointerCapture(w)}))}catch{N=window}this._hooks.add(E.addDisposableListener(N,E.EventType.POINTER_MOVE,o=>{if(o.buttons!==p){this.stopMonitoring(!0);return}o.preventDefault(),this._pointerMoveCallback(o)})),this._hooks.add(E.addDisposableListener(N,E.EventType.POINTER_UP,o=>this.stopMonitoring(!0)))}}t.GlobalPointerMoveMonitor=H});var Ke=this&&this.__decorate||function(Q,t,E,i){var H=arguments.length,M=H<3?t:i===null?i=Object.getOwnPropertyDescriptor(t,E):i,C;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")M=Reflect.decorate(Q,t,E,i);else for(var w=Q.length-1;w>=0;w--)(C=Q[w])&&(M=(H<3?C(M):H>3?C(t,E,M):C(t,E))||M);return H>3&&M&&Object.defineProperty(t,E,M),M};define(me[22],pe([1,0,4,14,25,2]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Gesture=t.EventType=void 0;var C;(function(p){p.Tap="-monaco-gesturetap",p.Change="-monaco-gesturechange",p.Start="-monaco-gesturestart",p.End="-monaco-gesturesend",p.Contextmenu="-monaco-gesturecontextmenu"})(C=t.EventType||(t.EventType={}));class w extends M.Disposable{constructor(){super();this.dispatched=!1,this.activeTouches={},this.handle=null,this.targets=[],this.ignoreTargets=[],this._lastSetTapCountTime=0,this._register(E.addDisposableListener(document,"touchstart",f=>this.onTouchStart(f),{passive:!1})),this._register(E.addDisposableListener(document,"touchend",f=>this.onTouchEnd(f))),this._register(E.addDisposableListener(document,"touchmove",f=>this.onTouchMove(f),{passive:!1}))}static addTarget(f){return w.isTouchDevice()?(w.INSTANCE||(w.INSTANCE=new w),w.INSTANCE.targets.push(f),{dispose:()=>{w.INSTANCE.targets=w.INSTANCE.targets.filter(m=>m!==f)}}):M.Disposable.None}static ignoreTarget(f){return w.isTouchDevice()?(w.INSTANCE||(w.INSTANCE=new w),w.INSTANCE.ignoreTargets.push(f),{dispose:()=>{w.INSTANCE.ignoreTargets=w.INSTANCE.ignoreTargets.filter(m=>m!==f)}}):M.Disposable.None}static isTouchDevice(){return"ontouchstart"in window||navigator.maxTouchPoints>0}dispose(){this.handle&&(this.handle.dispose(),this.handle=null),super.dispose()}onTouchStart(f){const m=Date.now();this.handle&&(this.handle.dispose(),this.handle=null);for(let N=0,o=f.targetTouches.length;N<o;N++){const s=f.targetTouches.item(N);this.activeTouches[s.identifier]={id:s.identifier,initialTarget:s.target,initialTimeStamp:m,initialPageX:s.pageX,initialPageY:s.pageY,rollingTimestamps:[m],rollingPageX:[s.pageX],rollingPageY:[s.pageY]};const e=this.newGestureEvent(C.Start,s.target);e.pageX=s.pageX,e.pageY=s.pageY,this.dispatchEvent(e)}this.dispatched&&(f.preventDefault(),f.stopPropagation(),this.dispatched=!1)}onTouchEnd(f){const m=Date.now(),N=Object.keys(this.activeTouches).length;for(let o=0,s=f.changedTouches.length;o<s;o++){const e=f.changedTouches.item(o);if(!this.activeTouches.hasOwnProperty(String(e.identifier))){console.warn("move of an UNKNOWN touch",e);continue}const g=this.activeTouches[e.identifier],v=Date.now()-g.initialTimeStamp;if(v<w.HOLD_DELAY&&Math.abs(g.initialPageX-i.tail(g.rollingPageX))<30&&Math.abs(g.initialPageY-i.tail(g.rollingPageY))<30){const D=this.newGestureEvent(C.Tap,g.initialTarget);D.pageX=i.tail(g.rollingPageX),D.pageY=i.tail(g.rollingPageY),this.dispatchEvent(D)}else if(v>=w.HOLD_DELAY&&Math.abs(g.initialPageX-i.tail(g.rollingPageX))<30&&Math.abs(g.initialPageY-i.tail(g.rollingPageY))<30){const D=this.newGestureEvent(C.Contextmenu,g.initialTarget);D.pageX=i.tail(g.rollingPageX),D.pageY=i.tail(g.rollingPageY),this.dispatchEvent(D)}else if(N===1){const D=i.tail(g.rollingPageX),y=i.tail(g.rollingPageY),a=i.tail(g.rollingTimestamps)-g.rollingTimestamps[0],u=D-g.rollingPageX[0],b=y-g.rollingPageY[0],S=this.targets.filter(F=>g.initialTarget instanceof Node&&F.contains(g.initialTarget));this.inertia(S,m,Math.abs(u)/a,u>0?1:-1,D,Math.abs(b)/a,b>0?1:-1,y)}this.dispatchEvent(this.newGestureEvent(C.End,g.initialTarget)),delete this.activeTouches[e.identifier]}this.dispatched&&(f.preventDefault(),f.stopPropagation(),this.dispatched=!1)}newGestureEvent(f,m){const N=document.createEvent("CustomEvent");return N.initEvent(f,!1,!0),N.initialTarget=m,N.tapCount=0,N}dispatchEvent(f){if(f.type===C.Tap){const m=new Date().getTime();let N=0;m-this._lastSetTapCountTime>w.CLEAR_TAP_COUNT_TIME?N=1:N=2,this._lastSetTapCountTime=m,f.tapCount=N}else(f.type===C.Change||f.type===C.Contextmenu)&&(this._lastSetTapCountTime=0);for(let m=0;m<this.ignoreTargets.length;m++)if(f.initialTarget instanceof Node&&this.ignoreTargets[m].contains(f.initialTarget))return;this.targets.forEach(m=>{f.initialTarget instanceof Node&&m.contains(f.initialTarget)&&(m.dispatchEvent(f),this.dispatched=!0)})}inertia(f,m,N,o,s,e,g,v){this.handle=E.scheduleAtNextAnimationFrame(()=>{const D=Date.now(),y=D-m;let a=0,u=0,b=!0;N+=w.SCROLL_FRICTION*y,e+=w.SCROLL_FRICTION*y,N>0&&(b=!1,a=o*N*y),e>0&&(b=!1,u=g*e*y);const S=this.newGestureEvent(C.Change);S.translationX=a,S.translationY=u,f.forEach(F=>F.dispatchEvent(S)),b||this.inertia(f,D,N,o,s+a,e,g,v+u)})}onTouchMove(f){const m=Date.now();for(let N=0,o=f.changedTouches.length;N<o;N++){const s=f.changedTouches.item(N);if(!this.activeTouches.hasOwnProperty(String(s.identifier))){console.warn("end of an UNKNOWN touch",s);continue}const e=this.activeTouches[s.identifier],g=this.newGestureEvent(C.Change,e.initialTarget);g.translationX=s.pageX-i.tail(e.rollingPageX),g.translationY=s.pageY-i.tail(e.rollingPageY),g.pageX=s.pageX,g.pageY=s.pageY,this.dispatchEvent(g),e.rollingPageX.length>3&&(e.rollingPageX.shift(),e.rollingPageY.shift(),e.rollingTimestamps.shift()),e.rollingPageX.push(s.pageX),e.rollingPageY.push(s.pageY),e.rollingTimestamps.push(m)}this.dispatched&&(f.preventDefault(),f.stopPropagation(),this.dispatched=!1)}}w.SCROLL_FRICTION=-.005,w.HOLD_DELAY=700,w.CLEAR_TAP_COUNT_TIME=400,Ke([H.memoize],w,"isTouchDevice",null),t.Gesture=w}),define(me[53],pe([1,0,4,5,82]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.status=t.alert=t.setARIAContainer=void 0;const H=2e4;let M,C,w,p,f;function m(e){M=document.createElement("div"),M.className="monaco-aria-container";const g=()=>{const D=document.createElement("div");return D.className="monaco-alert",D.setAttribute("role","alert"),D.setAttribute("aria-atomic","true"),M.appendChild(D),D};C=g(),w=g();const v=()=>{const D=document.createElement("div");return D.className="monaco-status",D.setAttribute("role","complementary"),D.setAttribute("aria-live","polite"),D.setAttribute("aria-atomic","true"),M.appendChild(D),D};p=v(),f=v(),e.appendChild(M)}t.setARIAContainer=m;function N(e){!M||(C.textContent!==e?(E.clearNode(w),s(C,e)):(E.clearNode(C),s(w,e)))}t.alert=N;function o(e){!M||(i.isMacintosh?N(e):p.textContent!==e?(E.clearNode(f),s(p,e)):(E.clearNode(p),s(f,e)))}t.status=o;function s(e,g){E.clearNode(e),g.length>H&&(g=g.substr(0,H)),e.textContent=g,e.style.visibility="hidden",e.style.visibility="visible"}}),define(me[113],pe([1,0,4,11]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.renderIcon=t.renderLabelWithIcons=void 0;const H=new RegExp(`(\\\\)?\\$\\((${i.CSSIcon.iconNameExpression}(?:${i.CSSIcon.iconModifierExpression})?)\\)`,"g");function M(w){const p=new Array;let f,m=0,N=0;for(;(f=H.exec(w))!==null;){N=f.index||0,p.push(w.substring(m,N)),m=(f.index||0)+f[0].length;const[,o,s]=f;p.push(o?`$(${s})`:C({id:s}))}return m<w.length&&p.push(w.substring(m)),p}t.renderLabelWithIcons=M;function C(w){const p=E.$("span");return p.classList.add(...i.CSSIcon.asClassNameArray(w)),p}t.renderIcon=C}),define(me[114],pe([1,0,4]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RowCache=void 0;function i(M){try{M.parentElement?.removeChild(M)}catch{}}class H{constructor(C){this.renderers=C,this.cache=new Map}alloc(C){let w=this.getTemplateCache(C).pop();if(!w){const p=(0,E.$)(".monaco-list-row"),m=this.getRenderer(C).renderTemplate(p);w={domNode:p,templateId:C,templateData:m}}return w}release(C){!C||this.releaseRow(C)}releaseRow(C){const{domNode:w,templateId:p}=C;w&&(w.classList.remove("scrolling"),i(w)),this.getTemplateCache(p).push(C)}getTemplateCache(C){let w=this.cache.get(C);return w||(w=[],this.cache.set(C,w)),w}dispose(){this.cache.forEach((C,w)=>{for(const p of C)this.getRenderer(w).disposeTemplate(p.templateData),p.templateData=null}),this.cache.clear()}getRenderer(C){const w=this.renderers.get(C);if(!w)throw new Error(`No renderer found for ${C}`);return w}}t.RowCache=H}),define(me[115],pe([1,0,8,2]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarVisibilityController=void 0;class H extends i.Disposable{constructor(C,w,p){super();this._visibility=C,this._visibleClassName=w,this._invisibleClassName=p,this._domNode=null,this._isVisible=!1,this._isNeeded=!1,this._rawShouldBeVisible=!1,this._shouldBeVisible=!1,this._revealTimer=this._register(new E.TimeoutTimer)}setVisibility(C){this._visibility!==C&&(this._visibility=C,this._updateShouldBeVisible())}setShouldBeVisible(C){this._rawShouldBeVisible=C,this._updateShouldBeVisible()}_applyVisibilitySetting(){return this._visibility===2?!1:this._visibility===3?!0:this._rawShouldBeVisible}_updateShouldBeVisible(){const C=this._applyVisibilitySetting();this._shouldBeVisible!==C&&(this._shouldBeVisible=C,this.ensureVisibility())}setIsNeeded(C){this._isNeeded!==C&&(this._isNeeded=C,this.ensureVisibility())}setDomNode(C){this._domNode=C,this._domNode.setClassName(this._invisibleClassName),this.setShouldBeVisible(!1)}ensureVisibility(){if(!this._isNeeded){this._hide(!1);return}this._shouldBeVisible?this._reveal():this._hide(!0)}_reveal(){this._isVisible||(this._isVisible=!0,this._revealTimer.setIfNotSet(()=>{this._domNode?.setClassName(this._visibleClassName)},0))}_hide(C){this._revealTimer.cancel(),!!this._isVisible&&(this._isVisible=!1,this._domNode?.setClassName(this._invisibleClassName+(C?" fade":"")))}}t.ScrollbarVisibilityController=H}),define(me[116],pe([1,0,4,22,14,3,2,5]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBoxNative=void 0;class p extends C.Disposable{constructor(m,N,o,s){super();this.selected=0,this.selectBoxOptions=s||Object.create(null),this.options=[],this.selectElement=document.createElement("select"),this.selectElement.className="monaco-select-box",typeof this.selectBoxOptions.ariaLabel=="string"&&this.selectElement.setAttribute("aria-label",this.selectBoxOptions.ariaLabel),typeof this.selectBoxOptions.ariaDescription=="string"&&this.selectElement.setAttribute("aria-description",this.selectBoxOptions.ariaDescription),this._onDidSelect=this._register(new M.Emitter),this.styles=o,this.registerListeners(),this.setOptions(m,N)}registerListeners(){this._register(i.Gesture.addTarget(this.selectElement)),[i.EventType.Tap].forEach(m=>{this._register(E.addDisposableListener(this.selectElement,m,N=>{this.selectElement.focus()}))}),this._register(E.addStandardDisposableListener(this.selectElement,"click",m=>{E.EventHelper.stop(m,!0)})),this._register(E.addStandardDisposableListener(this.selectElement,"change",m=>{this.selectElement.title=m.target.value,this._onDidSelect.fire({index:m.target.selectedIndex,selected:m.target.value})})),this._register(E.addStandardDisposableListener(this.selectElement,"keydown",m=>{let N=!1;w.isMacintosh?(m.keyCode===18||m.keyCode===16||m.keyCode===10)&&(N=!0):(m.keyCode===18&&m.altKey||m.keyCode===10||m.keyCode===3)&&(N=!0),N&&m.stopPropagation()}))}get onDidSelect(){return this._onDidSelect.event}setOptions(m,N){(!this.options||!H.equals(this.options,m))&&(this.options=m,this.selectElement.options.length=0,this.options.forEach((o,s)=>{this.selectElement.add(this.createOption(o.text,s,o.isDisabled))})),N!==void 0&&this.select(N)}select(m){this.options.length===0?this.selected=0:m>=0&&m<this.options.length?this.selected=m:m>this.options.length-1?this.select(this.options.length-1):this.selected<0&&(this.selected=0),this.selectElement.selectedIndex=this.selected,this.selected<this.options.length&&typeof this.options[this.selected].text=="string"?this.selectElement.title=this.options[this.selected].text:this.selectElement.title=""}setAriaLabel(m){this.selectBoxOptions.ariaLabel=m,this.selectElement.setAttribute("aria-label",m)}focus(){this.selectElement&&(this.selectElement.tabIndex=0,this.selectElement.focus())}blur(){this.selectElement&&(this.selectElement.tabIndex=-1,this.selectElement.blur())}setFocusable(m){this.selectElement.tabIndex=m?0:-1}render(m){m.classList.add("select-container"),m.appendChild(this.selectElement),this.setOptions(this.options,this.selected),this.applyStyles()}style(m){this.styles=m,this.applyStyles()}applyStyles(){if(this.selectElement){const m=this.styles.selectBackground?this.styles.selectBackground.toString():"",N=this.styles.selectForeground?this.styles.selectForeground.toString():"",o=this.styles.selectBorder?this.styles.selectBorder.toString():"";this.selectElement.style.backgroundColor=m,this.selectElement.style.color=N,this.selectElement.style.borderColor=o}}createOption(m,N,o){const s=document.createElement("option");return s.value=m,s.text=m,s.disabled=!!o,s}}t.SelectBoxNative=p}),define(me[54],pe([1,0,23,14,8,111,3,26]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IndexTreeModel=t.getVisibleState=t.isFilterResult=void 0;function p(o){return typeof o=="object"&&"visibility"in o&&"data"in o}t.isFilterResult=p;function f(o){switch(o){case!0:return 1;case!1:return 0;default:return o}}t.getVisibleState=f;function m(o){return typeof o.collapsible=="boolean"}class N{constructor(s,e,g,v={}){this.user=s,this.list=e,this.rootRef=[],this.eventBufferer=new C.EventBufferer,this._onDidChangeCollapseState=new C.Emitter,this.onDidChangeCollapseState=this.eventBufferer.wrapEvent(this._onDidChangeCollapseState.event),this._onDidChangeRenderNodeCount=new C.Emitter,this.onDidChangeRenderNodeCount=this.eventBufferer.wrapEvent(this._onDidChangeRenderNodeCount.event),this._onDidSplice=new C.Emitter,this.onDidSplice=this._onDidSplice.event,this.refilterDelayer=new H.Delayer(H.MicrotaskDelay),this.collapseByDefault=typeof v.collapseByDefault=="undefined"?!1:v.collapseByDefault,this.filter=v.filter,this.autoExpandSingleChildren=typeof v.autoExpandSingleChildren=="undefined"?!1:v.autoExpandSingleChildren,this.root={parent:void 0,element:g,children:[],depth:0,visibleChildrenCount:0,visibleChildIndex:-1,collapsible:!1,collapsed:!1,renderNodeCount:0,visibility:1,visible:!0,filterData:void 0}}splice(s,e,g=w.Iterable.empty(),v={}){if(s.length===0)throw new E.TreeError(this.user,"Invalid tree location");v.diffIdentityProvider?this.spliceSmart(v.diffIdentityProvider,s,e,g,v):this.spliceSimple(s,e,g,v)}spliceSmart(s,e,g,v=w.Iterable.empty(),D,y=D.diffDepth??0){const{parentNode:a}=this.getParentNodeWithListIndex(e);if(!a.lastDiffIds)return this.spliceSimple(e,g,v,D);const u=[...v],b=e[e.length-1],S=new M.LcsDiff({getElements:()=>a.lastDiffIds},{getElements:()=>[...a.children.slice(0,b),...u,...a.children.slice(b+g)].map(h=>s.getId(h.element).toString())}).ComputeDiff(!1);if(S.quitEarly)return a.lastDiffIds=void 0,this.spliceSimple(e,g,u,D);const F=e.slice(0,-1),_=(h,l,c)=>{if(y>0)for(let P=0;P<c;P++)h--,l--,this.spliceSmart(s,[...F,h,0],Number.MAX_SAFE_INTEGER,u[l].children,D,y-1)};let r=Math.min(a.children.length,b+g),n=u.length;for(const h of S.changes.sort((l,c)=>c.originalStart-l.originalStart))_(r,n,r-(h.originalStart+h.originalLength)),r=h.originalStart,n=h.modifiedStart-b,this.spliceSimple([...F,r],h.originalLength,w.Iterable.slice(u,n,n+h.modifiedLength),D);_(r,n,r)}spliceSimple(s,e,g=w.Iterable.empty(),{onDidCreateNode:v,onDidDeleteNode:D,diffIdentityProvider:y}){const{parentNode:a,listIndex:u,revealed:b,visible:S}=this.getParentNodeWithListIndex(s),F=[],_=w.Iterable.map(g,ae=>this.createTreeNode(ae,a,a.visible?1:0,b,F,v)),r=s[s.length-1],n=a.children.length>0;let h=0;for(let ae=r;ae>=0&&ae<a.children.length;ae--){const we=a.children[ae];if(we.visible){h=we.visibleChildIndex;break}}const l=[];let c=0,P=0;for(const ae of _)l.push(ae),P+=ae.renderNodeCount,ae.visible&&(ae.visibleChildIndex=h+c++);const V=(0,i.splice)(a.children,r,e,l);y?a.lastDiffIds?(0,i.splice)(a.lastDiffIds,r,e,l.map(ae=>y.getId(ae.element).toString())):a.lastDiffIds=a.children.map(ae=>y.getId(ae.element).toString()):a.lastDiffIds=void 0;let ue=0;for(const ae of V)ae.visible&&ue++;if(ue!==0)for(let ae=r+l.length;ae<a.children.length;ae++){const we=a.children[ae];we.visible&&(we.visibleChildIndex-=ue)}if(a.visibleChildrenCount+=c-ue,b&&S){const ae=V.reduce((we,he)=>we+(he.visible?he.renderNodeCount:0),0);this._updateAncestorsRenderNodeCount(a,P-ae),this.list.splice(u,ae,F)}if(V.length>0&&D){const ae=we=>{D(we),we.children.forEach(ae)};V.forEach(ae)}this._onDidSplice.fire({insertedNodes:l,deletedNodes:V});const ne=a.children.length>0;n!==ne&&this.setCollapsible(s.slice(0,-1),ne);let ge=a;for(;ge;){if(ge.visibility===2){this.refilterDelayer.trigger(()=>this.refilter());break}ge=ge.parent}}rerender(s){if(s.length===0)throw new E.TreeError(this.user,"Invalid tree location");const{node:e,listIndex:g,revealed:v}=this.getTreeNodeWithListIndex(s);e.visible&&v&&this.list.splice(g,1,[e])}updateElementHeight(s,e){if(s.length===0)throw new E.TreeError(this.user,"Invalid tree location");const{listIndex:g}=this.getTreeNodeWithListIndex(s);this.list.updateElementHeight(g,e)}has(s){return this.hasTreeNode(s)}getListIndex(s){const{listIndex:e,visible:g,revealed:v}=this.getTreeNodeWithListIndex(s);return g&&v?e:-1}getListRenderCount(s){return this.getTreeNode(s).renderNodeCount}isCollapsible(s){return this.getTreeNode(s).collapsible}setCollapsible(s,e){const g=this.getTreeNode(s);typeof e=="undefined"&&(e=!g.collapsible);const v={collapsible:e};return this.eventBufferer.bufferEvents(()=>this._setCollapseState(s,v))}isCollapsed(s){return this.getTreeNode(s).collapsed}setCollapsed(s,e,g){const v=this.getTreeNode(s);typeof e=="undefined"&&(e=!v.collapsed);const D={collapsed:e,recursive:g||!1};return this.eventBufferer.bufferEvents(()=>this._setCollapseState(s,D))}_setCollapseState(s,e){const{node:g,listIndex:v,revealed:D}=this.getTreeNodeWithListIndex(s),y=this._setListNodeCollapseState(g,v,D,e);if(g!==this.root&&this.autoExpandSingleChildren&&y&&!m(e)&&g.collapsible&&!g.collapsed&&!e.recursive){let a=-1;for(let u=0;u<g.children.length;u++)if(g.children[u].visible)if(a>-1){a=-1;break}else a=u;a>-1&&this._setCollapseState([...s,a],e)}return y}_setListNodeCollapseState(s,e,g,v){const D=this._setNodeCollapseState(s,v,!1);if(!g||!s.visible||!D)return D;const y=s.renderNodeCount,a=this.updateNodeAfterCollapseChange(s),u=y-(e===-1?0:1);return this.list.splice(e+1,u,a.slice(1)),D}_setNodeCollapseState(s,e,g){let v;if(s===this.root?v=!1:(m(e)?(v=s.collapsible!==e.collapsible,s.collapsible=e.collapsible):s.collapsible?(v=s.collapsed!==e.collapsed,s.collapsed=e.collapsed):v=!1,v&&this._onDidChangeCollapseState.fire({node:s,deep:g})),!m(e)&&e.recursive)for(const D of s.children)v=this._setNodeCollapseState(D,e,!0)||v;return v}expandTo(s){this.eventBufferer.bufferEvents(()=>{let e=this.getTreeNode(s);for(;e.parent;)e=e.parent,s=s.slice(0,s.length-1),e.collapsed&&this._setCollapseState(s,{collapsed:!1,recursive:!1})})}refilter(){const s=this.root.renderNodeCount,e=this.updateNodeAfterFilterChange(this.root);this.list.splice(0,s,e),this.refilterDelayer.cancel()}createTreeNode(s,e,g,v,D,y){const a={parent:e,element:s.element,children:[],depth:e.depth+1,visibleChildrenCount:0,visibleChildIndex:-1,collapsible:typeof s.collapsible=="boolean"?s.collapsible:typeof s.collapsed!="undefined",collapsed:typeof s.collapsed=="undefined"?this.collapseByDefault:s.collapsed,renderNodeCount:1,visibility:1,visible:!0,filterData:void 0},u=this._filterNode(a,g);a.visibility=u,v&&D.push(a);const b=s.children||w.Iterable.empty(),S=v&&u!==0&&!a.collapsed,F=w.Iterable.map(b,n=>this.createTreeNode(n,a,u,S,D,y));let _=0,r=1;for(const n of F)a.children.push(n),r+=n.renderNodeCount,n.visible&&(n.visibleChildIndex=_++);return a.collapsible=a.collapsible||a.children.length>0,a.visibleChildrenCount=_,a.visible=u===2?_>0:u===1,a.visible?a.collapsed||(a.renderNodeCount=r):(a.renderNodeCount=0,v&&D.pop()),y?.(a),a}updateNodeAfterCollapseChange(s){const e=s.renderNodeCount,g=[];return this._updateNodeAfterCollapseChange(s,g),this._updateAncestorsRenderNodeCount(s.parent,g.length-e),g}_updateNodeAfterCollapseChange(s,e){if(s.visible===!1)return 0;if(e.push(s),s.renderNodeCount=1,!s.collapsed)for(const g of s.children)s.renderNodeCount+=this._updateNodeAfterCollapseChange(g,e);return this._onDidChangeRenderNodeCount.fire(s),s.renderNodeCount}updateNodeAfterFilterChange(s){const e=s.renderNodeCount,g=[];return this._updateNodeAfterFilterChange(s,s.visible?1:0,g),this._updateAncestorsRenderNodeCount(s.parent,g.length-e),g}_updateNodeAfterFilterChange(s,e,g,v=!0){let D;if(s!==this.root){if(D=this._filterNode(s,e),D===0)return s.visible=!1,s.renderNodeCount=0,!1;v&&g.push(s)}const y=g.length;s.renderNodeCount=s===this.root?0:1;let a=!1;if(!s.collapsed||D!==0){let u=0;for(const b of s.children)a=this._updateNodeAfterFilterChange(b,D,g,v&&!s.collapsed)||a,b.visible&&(b.visibleChildIndex=u++);s.visibleChildrenCount=u}else s.visibleChildrenCount=0;return s!==this.root&&(s.visible=D===2?a:D===1,s.visibility=D),s.visible?s.collapsed||(s.renderNodeCount+=g.length-y):(s.renderNodeCount=0,v&&g.pop()),this._onDidChangeRenderNodeCount.fire(s),s.visible}_updateAncestorsRenderNodeCount(s,e){if(e!==0)for(;s;)s.renderNodeCount+=e,this._onDidChangeRenderNodeCount.fire(s),s=s.parent}_filterNode(s,e){const g=this.filter?this.filter.filter(s.element,e):1;return typeof g=="boolean"?(s.filterData=void 0,g?1:0):p(g)?(s.filterData=g.data,f(g.visibility)):(s.filterData=void 0,f(g))}hasTreeNode(s,e=this.root){if(!s||s.length===0)return!0;const[g,...v]=s;return g<0||g>e.children.length?!1:this.hasTreeNode(v,e.children[g])}getTreeNode(s,e=this.root){if(!s||s.length===0)return e;const[g,...v]=s;if(g<0||g>e.children.length)throw new E.TreeError(this.user,"Invalid tree location");return this.getTreeNode(v,e.children[g])}getTreeNodeWithListIndex(s){if(s.length===0)return{node:this.root,listIndex:-1,revealed:!0,visible:!1};const{parentNode:e,listIndex:g,revealed:v,visible:D}=this.getParentNodeWithListIndex(s),y=s[s.length-1];if(y<0||y>e.children.length)throw new E.TreeError(this.user,"Invalid tree location");const a=e.children[y];return{node:a,listIndex:g,revealed:v,visible:D&&a.visible}}getParentNodeWithListIndex(s,e=this.root,g=0,v=!0,D=!0){const[y,...a]=s;if(y<0||y>e.children.length)throw new E.TreeError(this.user,"Invalid tree location");for(let u=0;u<y;u++)g+=e.children[u].renderNodeCount;return v=v&&!e.collapsed,D=D&&e.visible,a.length===0?{parentNode:e,listIndex:g,revealed:v,visible:D}:this.getParentNodeWithListIndex(a,e.children[y],g+1,v,D)}getNode(s=[]){return this.getTreeNode(s)}getNodeLocation(s){const e=[];let g=s;for(;g.parent;)e.push(g.parent.children.indexOf(g)),g=g.parent;return e.reverse()}getParentNodeLocation(s){if(s.length!==0)return s.length===1?[]:(0,i.tail2)(s)[0]}getFirstElementChild(s){const e=this.getTreeNode(s);if(e.children.length!==0)return e.children[0].element}getLastElementAncestor(s=[]){const e=this.getTreeNode(s);if(e.children.length!==0)return this._getLastElementAncestor(e)}_getLastElementAncestor(s){return s.children.length===0?s.element:this._getLastElementAncestor(s.children[s.children.length-1])}}t.IndexTreeModel=N}),define(me[117],pe([1,0,54,23,26]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ObjectTreeModel=void 0;class M{constructor(w,p,f={}){this.user=w,this.rootRef=null,this.nodes=new Map,this.nodesByIdentity=new Map,this.model=new E.IndexTreeModel(w,p,null,f),this.onDidSplice=this.model.onDidSplice,this.onDidChangeCollapseState=this.model.onDidChangeCollapseState,this.onDidChangeRenderNodeCount=this.model.onDidChangeRenderNodeCount,f.sorter&&(this.sorter={compare(m,N){return f.sorter.compare(m.element,N.element)}}),this.identityProvider=f.identityProvider}get size(){return this.nodes.size}setChildren(w,p=H.Iterable.empty(),f={}){const m=this.getElementLocation(w);this._setChildren(m,this.preserveCollapseState(p),f)}_setChildren(w,p=H.Iterable.empty(),f){const m=new Set,N=new Set,o=e=>{if(e.element===null)return;const g=e;if(m.add(g.element),this.nodes.set(g.element,g),this.identityProvider){const v=this.identityProvider.getId(g.element).toString();N.add(v),this.nodesByIdentity.set(v,g)}f.onDidCreateNode?.(g)},s=e=>{if(e.element===null)return;const g=e;if(m.has(g.element)||this.nodes.delete(g.element),this.identityProvider){const v=this.identityProvider.getId(g.element).toString();N.has(v)||this.nodesByIdentity.delete(v)}f.onDidDeleteNode?.(g)};this.model.splice([...w,0],Number.MAX_VALUE,p,{...f,onDidCreateNode:o,onDidDeleteNode:s})}preserveCollapseState(w=H.Iterable.empty()){return this.sorter&&(w=[...w].sort(this.sorter.compare.bind(this.sorter))),H.Iterable.map(w,p=>{let f=this.nodes.get(p.element);if(!f&&this.identityProvider){const o=this.identityProvider.getId(p.element).toString();f=this.nodesByIdentity.get(o)}if(!f)return{...p,children:this.preserveCollapseState(p.children)};const m=typeof p.collapsible=="boolean"?p.collapsible:f.collapsible,N=typeof p.collapsed!="undefined"?p.collapsed:f.collapsed;return{...p,collapsible:m,collapsed:N,children:this.preserveCollapseState(p.children)}})}rerender(w){const p=this.getElementLocation(w);this.model.rerender(p)}updateElementHeight(w,p){const f=this.getElementLocation(w);this.model.updateElementHeight(f,p)}resort(w=null,p=!0){if(!this.sorter)return;const f=this.getElementLocation(w),m=this.model.getNode(f);this._setChildren(f,this.resortChildren(m,p),{})}resortChildren(w,p,f=!0){let m=[...w.children];return(p||f)&&(m=m.sort(this.sorter.compare.bind(this.sorter))),H.Iterable.map(m,N=>({element:N.element,collapsible:N.collapsible,collapsed:N.collapsed,children:this.resortChildren(N,p,!1)}))}getFirstElementChild(w=null){const p=this.getElementLocation(w);return this.model.getFirstElementChild(p)}getLastElementAncestor(w=null){const p=this.getElementLocation(w);return this.model.getLastElementAncestor(p)}has(w){return this.nodes.has(w)}getListIndex(w){const p=this.getElementLocation(w);return this.model.getListIndex(p)}getListRenderCount(w){const p=this.getElementLocation(w);return this.model.getListRenderCount(p)}isCollapsible(w){const p=this.getElementLocation(w);return this.model.isCollapsible(p)}setCollapsible(w,p){const f=this.getElementLocation(w);return this.model.setCollapsible(f,p)}isCollapsed(w){const p=this.getElementLocation(w);return this.model.isCollapsed(p)}setCollapsed(w,p,f){const m=this.getElementLocation(w);return this.model.setCollapsed(m,p,f)}expandTo(w){const p=this.getElementLocation(w);this.model.expandTo(p)}refilter(){this.model.refilter()}getNode(w=null){if(w===null)return this.model.getNode(this.model.rootRef);const p=this.nodes.get(w);if(!p)throw new i.TreeError(this.user,`Tree element not found: ${w}`);return p}getNodeLocation(w){return w.element}getParentNodeLocation(w){if(w===null)throw new i.TreeError(this.user,"Invalid getParentNodeLocation call");const p=this.nodes.get(w);if(!p)throw new i.TreeError(this.user,`Tree element not found: ${w}`);const f=this.model.getNodeLocation(p),m=this.model.getParentNodeLocation(f);return this.model.getNode(m).element}getElementLocation(w){if(w===null)return[];const p=this.nodes.get(w);if(!p)throw new i.TreeError(this.user,`Tree element not found: ${w}`);return this.model.getNodeLocation(p)}}t.ObjectTreeModel=M}),define(me[17],pe([1,0,4,19,20,22,2]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Widget=void 0;class w extends C.Disposable{onclick(f,m){this._register(E.addDisposableListener(f,E.EventType.CLICK,N=>m(new H.StandardMouseEvent(N))))}onmousedown(f,m){this._register(E.addDisposableListener(f,E.EventType.MOUSE_DOWN,N=>m(new H.StandardMouseEvent(N))))}onmouseover(f,m){this._register(E.addDisposableListener(f,E.EventType.MOUSE_OVER,N=>m(new H.StandardMouseEvent(N))))}onmouseleave(f,m){this._register(E.addDisposableListener(f,E.EventType.MOUSE_LEAVE,N=>m(new H.StandardMouseEvent(N))))}onkeydown(f,m){this._register(E.addDisposableListener(f,E.EventType.KEY_DOWN,N=>m(new i.StandardKeyboardEvent(N))))}onkeyup(f,m){this._register(E.addDisposableListener(f,E.EventType.KEY_UP,N=>m(new i.StandardKeyboardEvent(N))))}oninput(f,m){this._register(E.addDisposableListener(f,E.EventType.INPUT,m))}onblur(f,m){this._register(E.addDisposableListener(f,E.EventType.BLUR,m))}onfocus(f,m){this._register(E.addDisposableListener(f,E.EventType.FOCUS,m))}onchange(f,m){this._register(E.addDisposableListener(f,E.EventType.CHANGE,m))}ignoreGesture(f){M.Gesture.ignoreTarget(f)}}t.Widget=w}),define(me[37],pe([1,0,52,17,8,4]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ScrollbarArrow=t.ARROW_IMG_SIZE=void 0,t.ARROW_IMG_SIZE=11;class C extends i.Widget{constructor(p){super();this._onActivate=p.onActivate,this.bgDomNode=document.createElement("div"),this.bgDomNode.className="arrow-background",this.bgDomNode.style.position="absolute",this.bgDomNode.style.width=p.bgWidth+"px",this.bgDomNode.style.height=p.bgHeight+"px",typeof p.top!="undefined"&&(this.bgDomNode.style.top="0px"),typeof p.left!="undefined"&&(this.bgDomNode.style.left="0px"),typeof p.bottom!="undefined"&&(this.bgDomNode.style.bottom="0px"),typeof p.right!="undefined"&&(this.bgDomNode.style.right="0px"),this.domNode=document.createElement("div"),this.domNode.className=p.className,this.domNode.classList.add(...p.icon.classNamesArray),this.domNode.style.position="absolute",this.domNode.style.width=t.ARROW_IMG_SIZE+"px",this.domNode.style.height=t.ARROW_IMG_SIZE+"px",typeof p.top!="undefined"&&(this.domNode.style.top=p.top+"px"),typeof p.left!="undefined"&&(this.domNode.style.left=p.left+"px"),typeof p.bottom!="undefined"&&(this.domNode.style.bottom=p.bottom+"px"),typeof p.right!="undefined"&&(this.domNode.style.right=p.right+"px"),this._pointerMoveMonitor=this._register(new E.GlobalPointerMoveMonitor),this._register(M.addStandardDisposableListener(this.bgDomNode,M.EventType.POINTER_DOWN,f=>this._arrowPointerDown(f))),this._register(M.addStandardDisposableListener(this.domNode,M.EventType.POINTER_DOWN,f=>this._arrowPointerDown(f))),this._pointerdownRepeatTimer=this._register(new H.IntervalTimer),this._pointerdownScheduleRepeatTimer=this._register(new H.TimeoutTimer)}_arrowPointerDown(p){if(!p.target||!(p.target instanceof Element))return;const f=()=>{this._pointerdownRepeatTimer.cancelAndSet(()=>this._onActivate(),1e3/24)};this._onActivate(),this._pointerdownRepeatTimer.cancel(),this._pointerdownScheduleRepeatTimer.cancelAndSet(f,200),this._pointerMoveMonitor.startMonitoring(p.target,p.pointerId,p.buttons,m=>{},()=>{this._pointerdownRepeatTimer.cancel(),this._pointerdownScheduleRepeatTimer.cancel()}),p.preventDefault()}}t.ScrollbarArrow=C}),define(me[55],pe([1,0,4,40,52,37,115,17,5]),function(Q,t,E,i,H,M,C,w,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractScrollbar=void 0;const f=140;class m extends w.Widget{constructor(o){super();this._lazyRender=o.lazyRender,this._host=o.host,this._scrollable=o.scrollable,this._scrollByPage=o.scrollByPage,this._scrollbarState=o.scrollbarState,this._visibilityController=this._register(new C.ScrollbarVisibilityController(o.visibility,"visible scrollbar "+o.extraScrollbarClassName,"invisible scrollbar "+o.extraScrollbarClassName)),this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._pointerMoveMonitor=this._register(new H.GlobalPointerMoveMonitor),this._shouldRender=!0,this.domNode=(0,i.createFastDomNode)(document.createElement("div")),this.domNode.setAttribute("role","presentation"),this.domNode.setAttribute("aria-hidden","true"),this._visibilityController.setDomNode(this.domNode),this.domNode.setPosition("absolute"),this._register(E.addDisposableListener(this.domNode.domNode,E.EventType.POINTER_DOWN,s=>this._domNodePointerDown(s)))}_createArrow(o){const s=this._register(new M.ScrollbarArrow(o));this.domNode.domNode.appendChild(s.bgDomNode),this.domNode.domNode.appendChild(s.domNode)}_createSlider(o,s,e,g){this.slider=(0,i.createFastDomNode)(document.createElement("div")),this.slider.setClassName("slider"),this.slider.setPosition("absolute"),this.slider.setTop(o),this.slider.setLeft(s),typeof e=="number"&&this.slider.setWidth(e),typeof g=="number"&&this.slider.setHeight(g),this.slider.setLayerHinting(!0),this.slider.setContain("strict"),this.domNode.domNode.appendChild(this.slider.domNode),this._register(E.addDisposableListener(this.slider.domNode,E.EventType.POINTER_DOWN,v=>{v.button===0&&(v.preventDefault(),this._sliderPointerDown(v))})),this.onclick(this.slider.domNode,v=>{v.leftButton&&v.stopPropagation()})}_onElementSize(o){return this._scrollbarState.setVisibleSize(o)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender}_onElementScrollSize(o){return this._scrollbarState.setScrollSize(o)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender}_onElementScrollPosition(o){return this._scrollbarState.setScrollPosition(o)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender}beginReveal(){this._visibilityController.setShouldBeVisible(!0)}beginHide(){this._visibilityController.setShouldBeVisible(!1)}render(){!this._shouldRender||(this._shouldRender=!1,this._renderDomNode(this._scrollbarState.getRectangleLargeSize(),this._scrollbarState.getRectangleSmallSize()),this._updateSlider(this._scrollbarState.getSliderSize(),this._scrollbarState.getArrowSize()+this._scrollbarState.getSliderPosition()))}_domNodePointerDown(o){o.target===this.domNode.domNode&&this._onPointerDown(o)}delegatePointerDown(o){const s=this.domNode.domNode.getClientRects()[0].top,e=s+this._scrollbarState.getSliderPosition(),g=s+this._scrollbarState.getSliderPosition()+this._scrollbarState.getSliderSize(),v=this._sliderPointerPosition(o);e<=v&&v<=g?o.button===0&&(o.preventDefault(),this._sliderPointerDown(o)):this._onPointerDown(o)}_onPointerDown(o){let s,e;if(o.target===this.domNode.domNode&&typeof o.offsetX=="number"&&typeof o.offsetY=="number")s=o.offsetX,e=o.offsetY;else{const v=E.getDomNodePagePosition(this.domNode.domNode);s=o.pageX-v.left,e=o.pageY-v.top}const g=this._pointerDownRelativePosition(s,e);this._setDesiredScrollPositionNow(this._scrollByPage?this._scrollbarState.getDesiredScrollPositionFromOffsetPaged(g):this._scrollbarState.getDesiredScrollPositionFromOffset(g)),o.button===0&&(o.preventDefault(),this._sliderPointerDown(o))}_sliderPointerDown(o){if(!o.target||!(o.target instanceof Element))return;const s=this._sliderPointerPosition(o),e=this._sliderOrthogonalPointerPosition(o),g=this._scrollbarState.clone();this.slider.toggleClassName("active",!0),this._pointerMoveMonitor.startMonitoring(o.target,o.pointerId,o.buttons,v=>{const D=this._sliderOrthogonalPointerPosition(v),y=Math.abs(D-e);if(p.isWindows&&y>f){this._setDesiredScrollPositionNow(g.getScrollPosition());return}const u=this._sliderPointerPosition(v)-s;this._setDesiredScrollPositionNow(g.getDesiredScrollPositionFromDelta(u))},()=>{this.slider.toggleClassName("active",!1),this._host.onDragEnd()}),this._host.onDragStart()}_setDesiredScrollPositionNow(o){const s={};this.writeScrollPosition(s,o),this._scrollable.setScrollPositionNow(s)}updateScrollbarSize(o){this._updateScrollbarSize(o),this._scrollbarState.setScrollbarSize(o),this._shouldRender=!0,this._lazyRender||this.render()}isNeeded(){return this._scrollbarState.isNeeded()}}t.AbstractScrollbar=m}),define(me[118],pe([1,0,20,55,37,41,11]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HorizontalScrollbar=void 0;class w extends i.AbstractScrollbar{constructor(f,m,N){const o=f.getScrollDimensions(),s=f.getCurrentScrollPosition();super({lazyRender:m.lazyRender,host:N,scrollbarState:new M.ScrollbarState(m.horizontalHasArrows?m.arrowSize:0,m.horizontal===2?0:m.horizontalScrollbarSize,m.vertical===2?0:m.verticalScrollbarSize,o.width,o.scrollWidth,s.scrollLeft),visibility:m.horizontal,extraScrollbarClassName:"horizontal",scrollable:f,scrollByPage:m.scrollByPage});if(m.horizontalHasArrows){const e=(m.arrowSize-H.ARROW_IMG_SIZE)/2,g=(m.horizontalScrollbarSize-H.ARROW_IMG_SIZE)/2;this._createArrow({className:"scra",icon:C.Codicon.scrollbarButtonLeft,top:g,left:e,bottom:void 0,right:void 0,bgWidth:m.arrowSize,bgHeight:m.horizontalScrollbarSize,onActivate:()=>this._host.onMouseWheel(new E.StandardWheelEvent(null,1,0))}),this._createArrow({className:"scra",icon:C.Codicon.scrollbarButtonRight,top:g,left:void 0,bottom:void 0,right:e,bgWidth:m.arrowSize,bgHeight:m.horizontalScrollbarSize,onActivate:()=>this._host.onMouseWheel(new E.StandardWheelEvent(null,-1,0))})}this._createSlider(Math.floor((m.horizontalScrollbarSize-m.horizontalSliderSize)/2),0,void 0,m.horizontalSliderSize)}_updateSlider(f,m){this.slider.setWidth(f),this.slider.setLeft(m)}_renderDomNode(f,m){this.domNode.setWidth(f),this.domNode.setHeight(m),this.domNode.setLeft(0),this.domNode.setBottom(0)}onDidScroll(f){return this._shouldRender=this._onElementScrollSize(f.scrollWidth)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(f.scrollLeft)||this._shouldRender,this._shouldRender=this._onElementSize(f.width)||this._shouldRender,this._shouldRender}_pointerDownRelativePosition(f,m){return f}_sliderPointerPosition(f){return f.pageX}_sliderOrthogonalPointerPosition(f){return f.pageY}_updateScrollbarSize(f){this.slider.setHeight(f)}writeScrollPosition(f,m){f.scrollLeft=m}updateOptions(f){this.updateScrollbarSize(f.horizontal===2?0:f.horizontalScrollbarSize),this._scrollbarState.setOppositeScrollbarSize(f.vertical===2?0:f.verticalScrollbarSize),this._visibilityController.setVisibility(f.horizontal),this._scrollByPage=f.scrollByPage}}t.HorizontalScrollbar=w}),define(me[119],pe([1,0,20,55,37,41,11]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.VerticalScrollbar=void 0;class w extends i.AbstractScrollbar{constructor(f,m,N){const o=f.getScrollDimensions(),s=f.getCurrentScrollPosition();super({lazyRender:m.lazyRender,host:N,scrollbarState:new M.ScrollbarState(m.verticalHasArrows?m.arrowSize:0,m.vertical===2?0:m.verticalScrollbarSize,0,o.height,o.scrollHeight,s.scrollTop),visibility:m.vertical,extraScrollbarClassName:"vertical",scrollable:f,scrollByPage:m.scrollByPage});if(m.verticalHasArrows){const e=(m.arrowSize-H.ARROW_IMG_SIZE)/2,g=(m.verticalScrollbarSize-H.ARROW_IMG_SIZE)/2;this._createArrow({className:"scra",icon:C.Codicon.scrollbarButtonUp,top:e,left:g,bottom:void 0,right:void 0,bgWidth:m.verticalScrollbarSize,bgHeight:m.arrowSize,onActivate:()=>this._host.onMouseWheel(new E.StandardWheelEvent(null,0,1))}),this._createArrow({className:"scra",icon:C.Codicon.scrollbarButtonDown,top:void 0,left:g,bottom:e,right:void 0,bgWidth:m.verticalScrollbarSize,bgHeight:m.arrowSize,onActivate:()=>this._host.onMouseWheel(new E.StandardWheelEvent(null,0,-1))})}this._createSlider(0,Math.floor((m.verticalScrollbarSize-m.verticalSliderSize)/2),m.verticalSliderSize,void 0)}_updateSlider(f,m){this.slider.setHeight(f),this.slider.setTop(m)}_renderDomNode(f,m){this.domNode.setWidth(m),this.domNode.setHeight(f),this.domNode.setRight(0),this.domNode.setTop(0)}onDidScroll(f){return this._shouldRender=this._onElementScrollSize(f.scrollHeight)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(f.scrollTop)||this._shouldRender,this._shouldRender=this._onElementSize(f.height)||this._shouldRender,this._shouldRender}_pointerDownRelativePosition(f,m){return m}_sliderPointerPosition(f){return f.pageY}_sliderOrthogonalPointerPosition(f){return f.pageX}_updateScrollbarSize(f){this.slider.setWidth(f)}writeScrollPosition(f,m){f.scrollTop=m}updateOptions(f){this.updateScrollbarSize(f.vertical===2?0:f.verticalScrollbarSize),this._scrollbarState.setOppositeScrollbarSize(0),this._visibilityController.setVisibility(f.vertical),this._scrollByPage=f.scrollByPage}}t.VerticalScrollbar=w}),define(me[56],pe([1,0,15,4,40,20,118,119,17,8,3,2,5,47,89]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DomScrollableElement=t.SmoothScrollableElement=t.ScrollableElement=t.AbstractScrollableElement=t.MouseWheelClassifier=void 0;const e=500,g=50,v=!0;class D{constructor(r,n,h){this.timestamp=r,this.deltaX=n,this.deltaY=h,this.score=0}}class y{constructor(){this._capacity=5,this._memory=[],this._front=-1,this._rear=-1}isPhysicalMouseWheel(){if(this._front===-1&&this._rear===-1)return!1;let r=1,n=0,h=1,l=this._rear;do{const c=l===this._front?r:Math.pow(2,-h);if(r-=c,n+=this._memory[l].score*c,l===this._front)break;l=(this._capacity+l-1)%this._capacity,h++}while(!0);return n<=.5}accept(r,n,h){const l=new D(r,n,h);l.score=this._computeScore(l),this._front===-1&&this._rear===-1?(this._memory[0]=l,this._front=0,this._rear=0):(this._rear=(this._rear+1)%this._capacity,this._rear===this._front&&(this._front=(this._front+1)%this._capacity),this._memory[this._rear]=l)}_computeScore(r){if(Math.abs(r.deltaX)>0&&Math.abs(r.deltaY)>0)return 1;let n=.5;const h=this._front===-1&&this._rear===-1?null:this._memory[this._rear];return(!this._isAlmostInt(r.deltaX)||!this._isAlmostInt(r.deltaY))&&(n+=.25),Math.min(Math.max(n,0),1)}_isAlmostInt(r){return Math.abs(Math.round(r)-r)<.01}}t.MouseWheelClassifier=y,y.INSTANCE=new y;class a extends p.Widget{constructor(r,n,h){super();this._onScroll=this._register(new m.Emitter),this.onScroll=this._onScroll.event,this._onWillScroll=this._register(new m.Emitter),this.onWillScroll=this._onWillScroll.event,r.style.overflow="hidden",this._options=F(n),this._scrollable=h,this._register(this._scrollable.onScroll(c=>{this._onWillScroll.fire(c),this._onDidScroll(c),this._onScroll.fire(c)}));const l={onMouseWheel:c=>this._onMouseWheel(c),onDragStart:()=>this._onDragStart(),onDragEnd:()=>this._onDragEnd()};this._verticalScrollbar=this._register(new w.VerticalScrollbar(this._scrollable,this._options,l)),this._horizontalScrollbar=this._register(new C.HorizontalScrollbar(this._scrollable,this._options,l)),this._domNode=document.createElement("div"),this._domNode.className="monaco-scrollable-element "+this._options.className,this._domNode.setAttribute("role","presentation"),this._domNode.style.position="relative",this._domNode.style.overflow="hidden",this._domNode.appendChild(r),this._domNode.appendChild(this._horizontalScrollbar.domNode.domNode),this._domNode.appendChild(this._verticalScrollbar.domNode.domNode),this._options.useShadows?(this._leftShadowDomNode=(0,H.createFastDomNode)(document.createElement("div")),this._leftShadowDomNode.setClassName("shadow"),this._domNode.appendChild(this._leftShadowDomNode.domNode),this._topShadowDomNode=(0,H.createFastDomNode)(document.createElement("div")),this._topShadowDomNode.setClassName("shadow"),this._domNode.appendChild(this._topShadowDomNode.domNode),this._topLeftShadowDomNode=(0,H.createFastDomNode)(document.createElement("div")),this._topLeftShadowDomNode.setClassName("shadow"),this._domNode.appendChild(this._topLeftShadowDomNode.domNode)):(this._leftShadowDomNode=null,this._topShadowDomNode=null,this._topLeftShadowDomNode=null),this._listenOnDomNode=this._options.listenOnDomNode||this._domNode,this._mouseWheelToDispose=[],this._setListeningToMouseWheel(this._options.handleMouseWheel),this.onmouseover(this._listenOnDomNode,c=>this._onMouseOver(c)),this.onmouseleave(this._listenOnDomNode,c=>this._onMouseLeave(c)),this._hideTimeout=this._register(new f.TimeoutTimer),this._isDragging=!1,this._mouseIsOver=!1,this._shouldRender=!0,this._revealOnScroll=!0}get options(){return this._options}dispose(){this._mouseWheelToDispose=(0,N.dispose)(this._mouseWheelToDispose),super.dispose()}getDomNode(){return this._domNode}getOverviewRulerLayoutInfo(){return{parent:this._domNode,insertBefore:this._verticalScrollbar.domNode.domNode}}delegateVerticalScrollbarPointerDown(r){this._verticalScrollbar.delegatePointerDown(r)}getScrollDimensions(){return this._scrollable.getScrollDimensions()}setScrollDimensions(r){this._scrollable.setScrollDimensions(r,!1)}updateClassName(r){this._options.className=r,o.isMacintosh&&(this._options.className+=" mac"),this._domNode.className="monaco-scrollable-element "+this._options.className}updateOptions(r){typeof r.handleMouseWheel!="undefined"&&(this._options.handleMouseWheel=r.handleMouseWheel,this._setListeningToMouseWheel(this._options.handleMouseWheel)),typeof r.mouseWheelScrollSensitivity!="undefined"&&(this._options.mouseWheelScrollSensitivity=r.mouseWheelScrollSensitivity),typeof r.fastScrollSensitivity!="undefined"&&(this._options.fastScrollSensitivity=r.fastScrollSensitivity),typeof r.scrollPredominantAxis!="undefined"&&(this._options.scrollPredominantAxis=r.scrollPredominantAxis),typeof r.horizontal!="undefined"&&(this._options.horizontal=r.horizontal),typeof r.vertical!="undefined"&&(this._options.vertical=r.vertical),typeof r.horizontalScrollbarSize!="undefined"&&(this._options.horizontalScrollbarSize=r.horizontalScrollbarSize),typeof r.verticalScrollbarSize!="undefined"&&(this._options.verticalScrollbarSize=r.verticalScrollbarSize),typeof r.scrollByPage!="undefined"&&(this._options.scrollByPage=r.scrollByPage),this._horizontalScrollbar.updateOptions(this._options),this._verticalScrollbar.updateOptions(this._options),this._options.lazyRender||this._render()}setRevealOnScroll(r){this._revealOnScroll=r}triggerScrollFromMouseWheelEvent(r){this._onMouseWheel(new M.StandardWheelEvent(r))}_setListeningToMouseWheel(r){if(this._mouseWheelToDispose.length>0!==r&&(this._mouseWheelToDispose=(0,N.dispose)(this._mouseWheelToDispose),r)){const h=l=>{this._onMouseWheel(new M.StandardWheelEvent(l))};this._mouseWheelToDispose.push(i.addDisposableListener(this._listenOnDomNode,i.EventType.MOUSE_WHEEL,h,{passive:!1}))}}_onMouseWheel(r){const n=y.INSTANCE;if(v){const c=window.devicePixelRatio/(0,E.getZoomFactor)();o.isWindows||o.isLinux?n.accept(Date.now(),r.deltaX/c,r.deltaY/c):n.accept(Date.now(),r.deltaX,r.deltaY)}let h=!1;if(r.deltaY||r.deltaX){let c=r.deltaY*this._options.mouseWheelScrollSensitivity,P=r.deltaX*this._options.mouseWheelScrollSensitivity;this._options.scrollPredominantAxis&&(Math.abs(c)>=Math.abs(P)?P=0:c=0),this._options.flipAxes&&([c,P]=[P,c]);const V=!o.isMacintosh&&r.browserEvent&&r.browserEvent.shiftKey;(this._options.scrollYToX||V)&&!P&&(P=c,c=0),r.browserEvent&&r.browserEvent.altKey&&(P=P*this._options.fastScrollSensitivity,c=c*this._options.fastScrollSensitivity);const ue=this._scrollable.getFutureScrollPosition();let ne={};if(c){const ge=g*c,ae=ue.scrollTop-(ge<0?Math.floor(ge):Math.ceil(ge));this._verticalScrollbar.writeScrollPosition(ne,ae)}if(P){const ge=g*P,ae=ue.scrollLeft-(ge<0?Math.floor(ge):Math.ceil(ge));this._horizontalScrollbar.writeScrollPosition(ne,ae)}ne=this._scrollable.validateScrollPosition(ne),(ue.scrollLeft!==ne.scrollLeft||ue.scrollTop!==ne.scrollTop)&&(v&&this._options.mouseWheelSmoothScroll&&n.isPhysicalMouseWheel()?this._scrollable.setScrollPositionSmooth(ne):this._scrollable.setScrollPositionNow(ne),h=!0)}let l=h;!l&&this._options.alwaysConsumeMouseWheel&&(l=!0),!l&&this._options.consumeMouseWheelIfScrollbarIsNeeded&&(this._verticalScrollbar.isNeeded()||this._horizontalScrollbar.isNeeded())&&(l=!0),l&&(r.preventDefault(),r.stopPropagation())}_onDidScroll(r){this._shouldRender=this._horizontalScrollbar.onDidScroll(r)||this._shouldRender,this._shouldRender=this._verticalScrollbar.onDidScroll(r)||this._shouldRender,this._options.useShadows&&(this._shouldRender=!0),this._revealOnScroll&&this._reveal(),this._options.lazyRender||this._render()}renderNow(){if(!this._options.lazyRender)throw new Error("Please use `lazyRender` together with `renderNow`!");this._render()}_render(){if(!!this._shouldRender&&(this._shouldRender=!1,this._horizontalScrollbar.render(),this._verticalScrollbar.render(),this._options.useShadows)){const r=this._scrollable.getCurrentScrollPosition(),n=r.scrollTop>0,h=r.scrollLeft>0,l=h?" left":"",c=n?" top":"",P=h||n?" top-left-corner":"";this._leftShadowDomNode.setClassName(`shadow${l}`),this._topShadowDomNode.setClassName(`shadow${c}`),this._topLeftShadowDomNode.setClassName(`shadow${P}${c}${l}`)}}_onDragStart(){this._isDragging=!0,this._reveal()}_onDragEnd(){this._isDragging=!1,this._hide()}_onMouseLeave(r){this._mouseIsOver=!1,this._hide()}_onMouseOver(r){this._mouseIsOver=!0,this._reveal()}_reveal(){this._verticalScrollbar.beginReveal(),this._horizontalScrollbar.beginReveal(),this._scheduleHide()}_hide(){!this._mouseIsOver&&!this._isDragging&&(this._verticalScrollbar.beginHide(),this._horizontalScrollbar.beginHide())}_scheduleHide(){!this._mouseIsOver&&!this._isDragging&&this._hideTimeout.cancelAndSet(()=>this._hide(),e)}}t.AbstractScrollableElement=a;class u extends a{constructor(r,n){n=n||{},n.mouseWheelSmoothScroll=!1;const h=new s.Scrollable({forceIntegerValues:!0,smoothScrollDuration:0,scheduleAtNextAnimationFrame:l=>i.scheduleAtNextAnimationFrame(l)});super(r,n,h);this._register(h)}setScrollPosition(r){this._scrollable.setScrollPositionNow(r)}getScrollPosition(){return this._scrollable.getCurrentScrollPosition()}}t.ScrollableElement=u;class b extends a{constructor(r,n,h){super(r,n,h)}setScrollPosition(r){r.reuseAnimation?this._scrollable.setScrollPositionSmooth(r,r.reuseAnimation):this._scrollable.setScrollPositionNow(r)}getScrollPosition(){return this._scrollable.getCurrentScrollPosition()}}t.SmoothScrollableElement=b;class S extends a{constructor(r,n){n=n||{},n.mouseWheelSmoothScroll=!1;const h=new s.Scrollable({forceIntegerValues:!1,smoothScrollDuration:0,scheduleAtNextAnimationFrame:l=>i.scheduleAtNextAnimationFrame(l)});super(r,n,h);this._register(h),this._element=r,this.onScroll(l=>{l.scrollTopChanged&&(this._element.scrollTop=l.scrollTop),l.scrollLeftChanged&&(this._element.scrollLeft=l.scrollLeft)}),this.scanDomNode()}setScrollPosition(r){this._scrollable.setScrollPositionNow(r)}getScrollPosition(){return this._scrollable.getCurrentScrollPosition()}scanDomNode(){this.setScrollDimensions({width:this._element.clientWidth,scrollWidth:this._element.scrollWidth,height:this._element.clientHeight,scrollHeight:this._element.scrollHeight}),this.setScrollPosition({scrollLeft:this._element.scrollLeft,scrollTop:this._element.scrollTop})}}t.DomScrollableElement=S;function F(_){const r={lazyRender:typeof _.lazyRender!="undefined"?_.lazyRender:!1,className:typeof _.className!="undefined"?_.className:"",useShadows:typeof _.useShadows!="undefined"?_.useShadows:!0,handleMouseWheel:typeof _.handleMouseWheel!="undefined"?_.handleMouseWheel:!0,flipAxes:typeof _.flipAxes!="undefined"?_.flipAxes:!1,consumeMouseWheelIfScrollbarIsNeeded:typeof _.consumeMouseWheelIfScrollbarIsNeeded!="undefined"?_.consumeMouseWheelIfScrollbarIsNeeded:!1,alwaysConsumeMouseWheel:typeof _.alwaysConsumeMouseWheel!="undefined"?_.alwaysConsumeMouseWheel:!1,scrollYToX:typeof _.scrollYToX!="undefined"?_.scrollYToX:!1,mouseWheelScrollSensitivity:typeof _.mouseWheelScrollSensitivity!="undefined"?_.mouseWheelScrollSensitivity:1,fastScrollSensitivity:typeof _.fastScrollSensitivity!="undefined"?_.fastScrollSensitivity:5,scrollPredominantAxis:typeof _.scrollPredominantAxis!="undefined"?_.scrollPredominantAxis:!0,mouseWheelSmoothScroll:typeof _.mouseWheelSmoothScroll!="undefined"?_.mouseWheelSmoothScroll:!0,arrowSize:typeof _.arrowSize!="undefined"?_.arrowSize:11,listenOnDomNode:typeof _.listenOnDomNode!="undefined"?_.listenOnDomNode:null,horizontal:typeof _.horizontal!="undefined"?_.horizontal:1,horizontalScrollbarSize:typeof _.horizontalScrollbarSize!="undefined"?_.horizontalScrollbarSize:10,horizontalSliderSize:typeof _.horizontalSliderSize!="undefined"?_.horizontalSliderSize:0,horizontalHasArrows:typeof _.horizontalHasArrows!="undefined"?_.horizontalHasArrows:!1,vertical:typeof _.vertical!="undefined"?_.vertical:1,verticalScrollbarSize:typeof _.verticalScrollbarSize!="undefined"?_.verticalScrollbarSize:10,verticalHasArrows:typeof _.verticalHasArrows!="undefined"?_.verticalHasArrows:!1,verticalSliderSize:typeof _.verticalSliderSize!="undefined"?_.verticalSliderSize:0,scrollByPage:typeof _.scrollByPage!="undefined"?_.scrollByPage:!1};return r.horizontalSliderSize=typeof _.horizontalSliderSize!="undefined"?_.horizontalSliderSize:r.horizontalScrollbarSize,r.verticalSliderSize=typeof _.verticalSliderSize!="undefined"?_.verticalSliderSize:r.verticalScrollbarSize,o.isMacintosh&&(r.className+=" mac"),r}}),define(me[57],pe([1,0,15,50,4,18,22,56,14,8,25,3,2,45,47,78,114]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s,e,g,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ListView=t.NativeDragAndDropData=t.ExternalElementsDragAndDropData=t.ElementsDragAndDropData=void 0;const D={CurrentDragAndDropData:void 0},y={useShadows:!0,verticalScrollMode:1,setRowLineHeight:!0,setRowHeight:!0,supportDynamicHeights:!1,dnd:{getDragElements(r){return[r]},getDragURI(){return null},onDragStart(){},onDragOver(){return!1},drop(){}},horizontalScrolling:!1,transformOptimization:!0,alwaysConsumeMouseWheel:!0};class a{constructor(n){this.elements=n}get context(){return this._context}set context(n){this._context=n}update(){}getData(){return this.elements}}t.ElementsDragAndDropData=a;class u{constructor(n){this.elements=n}update(){}getData(){return this.elements}}t.ExternalElementsDragAndDropData=u;class b{constructor(){this.types=[],this.files=[]}update(n){if(n.types&&this.types.splice(0,this.types.length,...n.types),n.files){this.files.splice(0,this.files.length);for(let h=0;h<n.files.length;h++){const l=n.files.item(h);l&&(l.size||l.type)&&this.files.push(l)}}}getData(){return{types:this.types,files:this.files}}}t.NativeDragAndDropData=b;function S(r,n){return Array.isArray(r)&&Array.isArray(n)?(0,p.equals)(r,n):r===n}class F{constructor(n){n?.getSetSize?this.getSetSize=n.getSetSize.bind(n):this.getSetSize=(h,l,c)=>c,n?.getPosInSet?this.getPosInSet=n.getPosInSet.bind(n):this.getPosInSet=(h,l)=>l+1,n?.getRole?this.getRole=n.getRole.bind(n):this.getRole=h=>"listitem",n?.isChecked?this.isChecked=n.isChecked.bind(n):this.isChecked=h=>{}}}class _{constructor(n,h,l,c=y){if(this.virtualDelegate=h,this.domId=`list_id_${++_.InstanceCount}`,this.renderers=new Map,this.renderWidth=0,this._scrollHeight=0,this.scrollableElementUpdateDisposable=null,this.scrollableElementWidthDelayer=new f.Delayer(50),this.splicing=!1,this.dragOverAnimationStopDisposable=o.Disposable.None,this.dragOverMouseY=0,this.canDrop=!1,this.currentDragFeedbackDisposable=o.Disposable.None,this.onDragLeaveTimeout=o.Disposable.None,this.disposables=new o.DisposableStore,this._onDidChangeContentHeight=new N.Emitter,this.onDidChangeContentHeight=N.Event.latch(this._onDidChangeContentHeight.event,void 0,this.disposables),this._horizontalScrolling=!1,c.horizontalScrolling&&c.supportDynamicHeights)throw new Error("Horizontal scrolling and dynamic heights not supported simultaneously");this.items=[],this.itemId=0,this.rangeMap=new g.RangeMap;for(const V of l)this.renderers.set(V.templateId,V);this.cache=this.disposables.add(new v.RowCache(this.renderers)),this.lastRenderTop=0,this.lastRenderHeight=0,this.domNode=document.createElement("div"),this.domNode.className="monaco-list",this.domNode.classList.add(this.domId),this.domNode.tabIndex=0,this.domNode.classList.toggle("mouse-support",typeof c.mouseSupport=="boolean"?c.mouseSupport:!0),this._horizontalScrolling=c.horizontalScrolling??y.horizontalScrolling,this.domNode.classList.toggle("horizontal-scrolling",this._horizontalScrolling),this.additionalScrollHeight=typeof c.additionalScrollHeight=="undefined"?0:c.additionalScrollHeight,this.accessibilityProvider=new F(c.accessibilityProvider),this.rowsContainer=document.createElement("div"),this.rowsContainer.className="monaco-list-rows",(c.transformOptimization??y.transformOptimization)&&(this.rowsContainer.style.transform="translate3d(0px, 0px, 0px)"),this.disposables.add(C.Gesture.addTarget(this.rowsContainer)),this.scrollable=new e.Scrollable({forceIntegerValues:!0,smoothScrollDuration:c.smoothScrolling??!1?125:0,scheduleAtNextAnimationFrame:V=>(0,H.scheduleAtNextAnimationFrame)(V)}),this.scrollableElement=this.disposables.add(new w.SmoothScrollableElement(this.rowsContainer,{alwaysConsumeMouseWheel:c.alwaysConsumeMouseWheel??y.alwaysConsumeMouseWheel,horizontal:1,vertical:c.verticalScrollMode??y.verticalScrollMode,useShadows:c.useShadows??y.useShadows,mouseWheelScrollSensitivity:c.mouseWheelScrollSensitivity,fastScrollSensitivity:c.fastScrollSensitivity},this.scrollable)),this.domNode.appendChild(this.scrollableElement.getDomNode()),n.appendChild(this.domNode),this.scrollableElement.onScroll(this.onScroll,this,this.disposables),this.disposables.add((0,H.addDisposableListener)(this.rowsContainer,C.EventType.Change,V=>this.onTouchChange(V))),this.disposables.add((0,H.addDisposableListener)(this.scrollableElement.getDomNode(),"scroll",V=>V.target.scrollTop=0)),this.disposables.add((0,H.addDisposableListener)(this.domNode,"dragover",V=>this.onDragOver(this.toDragEvent(V)))),this.disposables.add((0,H.addDisposableListener)(this.domNode,"drop",V=>this.onDrop(this.toDragEvent(V)))),this.disposables.add((0,H.addDisposableListener)(this.domNode,"dragleave",V=>this.onDragLeave(this.toDragEvent(V)))),this.disposables.add((0,H.addDisposableListener)(this.domNode,"dragend",V=>this.onDragEnd(V))),this.setRowLineHeight=c.setRowLineHeight??y.setRowLineHeight,this.setRowHeight=c.setRowHeight??y.setRowHeight,this.supportDynamicHeights=c.supportDynamicHeights??y.supportDynamicHeights,this.dnd=c.dnd??y.dnd,this.layout()}get contentHeight(){return this.rangeMap.size}get onDidScroll(){return this.scrollableElement.onScroll}get onWillScroll(){return this.scrollableElement.onWillScroll}get containerDomNode(){return this.rowsContainer}get scrollableElementDomNode(){return this.scrollableElement.getDomNode()}get horizontalScrolling(){return this._horizontalScrolling}set horizontalScrolling(n){if(n!==this._horizontalScrolling){if(n&&this.supportDynamicHeights)throw new Error("Horizontal scrolling and dynamic heights not supported simultaneously");if(this._horizontalScrolling=n,this.domNode.classList.toggle("horizontal-scrolling",this._horizontalScrolling),this._horizontalScrolling){for(const h of this.items)this.measureItemWidth(h);this.updateScrollWidth(),this.scrollableElement.setScrollDimensions({width:(0,H.getContentWidth)(this.domNode)}),this.rowsContainer.style.width=`${Math.max(this.scrollWidth||0,this.renderWidth)}px`}else this.scrollableElementWidthDelayer.cancel(),this.scrollableElement.setScrollDimensions({width:this.renderWidth,scrollWidth:this.renderWidth}),this.rowsContainer.style.width=""}}updateOptions(n){n.additionalScrollHeight!==void 0&&(this.additionalScrollHeight=n.additionalScrollHeight,this.scrollableElement.setScrollDimensions({scrollHeight:this.scrollHeight})),n.smoothScrolling!==void 0&&this.scrollable.setSmoothScrollDuration(n.smoothScrolling?125:0),n.horizontalScrolling!==void 0&&(this.horizontalScrolling=n.horizontalScrolling),n.mouseWheelScrollSensitivity!==void 0&&this.scrollableElement.updateOptions({mouseWheelScrollSensitivity:n.mouseWheelScrollSensitivity}),n.fastScrollSensitivity!==void 0&&this.scrollableElement.updateOptions({fastScrollSensitivity:n.fastScrollSensitivity})}triggerScrollFromMouseWheelEvent(n){this.scrollableElement.triggerScrollFromMouseWheelEvent(n)}updateElementHeight(n,h,l){if(n<0||n>=this.items.length)return;const c=this.items[n].size;if(typeof h=="undefined"){if(!this.supportDynamicHeights){console.warn("Dynamic heights not supported");return}this.items[n].lastDynamicHeightWidth=void 0,h=c+this.probeDynamicHeight(n)}if(c===h)return;const P=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight);let V=0;n<P.start||l!==null&&l>n&&l<=P.end?V=h-c:V=0,this.rangeMap.splice(n,1,[{size:h}]),this.items[n].size=h,this.render(P,Math.max(0,this.lastRenderTop+V),this.lastRenderHeight,void 0,void 0,!0),this.setScrollTop(this.lastRenderTop),this.eventuallyUpdateScrollDimensions(),this.supportDynamicHeights&&this._rerender(this.lastRenderTop,this.lastRenderHeight)}splice(n,h,l=[]){if(this.splicing)throw new Error("Can't run recursive splices.");this.splicing=!0;try{return this._splice(n,h,l)}finally{this.splicing=!1,this._onDidChangeContentHeight.fire(this.contentHeight)}}_splice(n,h,l=[]){const c=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),P={start:n,end:n+h},V=s.Range.intersect(c,P),ue=new Map;for(let $=V.end-1;$>=V.start;$--){const j=this.items[$];if(j.dragStartDisposable.dispose(),j.checkedDisposable.dispose(),j.row){let W=ue.get(j.templateId);W||(W=[],ue.set(j.templateId,W));const d=this.renderers.get(j.templateId);d&&d.disposeElement&&d.disposeElement(j.element,$,j.row.templateData,j.size),W.push(j.row)}j.row=null}const ne={start:n+h,end:this.items.length},ge=s.Range.intersect(ne,c),ae=s.Range.relativeComplement(ne,c),we=l.map($=>({id:String(this.itemId++),element:$,templateId:this.virtualDelegate.getTemplateId($),size:this.virtualDelegate.getHeight($),width:void 0,hasDynamicHeight:!!this.virtualDelegate.hasDynamicHeight&&this.virtualDelegate.hasDynamicHeight($),lastDynamicHeightWidth:void 0,row:null,uri:void 0,dropTarget:!1,dragStartDisposable:o.Disposable.None,checkedDisposable:o.Disposable.None}));let he;n===0&&h>=this.items.length?(this.rangeMap=new g.RangeMap,this.rangeMap.splice(0,0,we),he=this.items,this.items=we):(this.rangeMap.splice(n,h,we),he=this.items.splice(n,h,...we));const re=l.length-h,Ce=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),te=(0,g.shift)(ge,re),De=s.Range.intersect(Ce,te);for(let $=De.start;$<De.end;$++)this.updateItemInDOM(this.items[$],$);const ee=s.Range.relativeComplement(te,Ce);for(const $ of ee)for(let j=$.start;j<$.end;j++)this.removeItemFromDOM(j);const X=ae.map($=>(0,g.shift)($,re)),ie=[{start:n,end:n+l.length},...X].map($=>s.Range.intersect(Ce,$)),T=this.getNextToLastElement(ie);for(const $ of ie)for(let j=$.start;j<$.end;j++){const W=this.items[j],I=ue.get(W.templateId)?.pop();this.insertItemInDOM(j,T,I)}for(const $ of ue.values())for(const j of $)this.cache.release(j);return this.eventuallyUpdateScrollDimensions(),this.supportDynamicHeights&&this._rerender(this.scrollTop,this.renderHeight),he.map($=>$.element)}eventuallyUpdateScrollDimensions(){this._scrollHeight=this.contentHeight,this.rowsContainer.style.height=`${this._scrollHeight}px`,this.scrollableElementUpdateDisposable||(this.scrollableElementUpdateDisposable=(0,H.scheduleAtNextAnimationFrame)(()=>{this.scrollableElement.setScrollDimensions({scrollHeight:this.scrollHeight}),this.updateScrollWidth(),this.scrollableElementUpdateDisposable=null}))}eventuallyUpdateScrollWidth(){if(!this.horizontalScrolling){this.scrollableElementWidthDelayer.cancel();return}this.scrollableElementWidthDelayer.trigger(()=>this.updateScrollWidth())}updateScrollWidth(){if(!this.horizontalScrolling)return;let n=0;for(const h of this.items)typeof h.width!="undefined"&&(n=Math.max(n,h.width));this.scrollWidth=n,this.scrollableElement.setScrollDimensions({scrollWidth:n===0?0:n+10})}updateWidth(n){if(!this.horizontalScrolling||typeof this.scrollWidth=="undefined")return;const h=this.items[n];this.measureItemWidth(h),typeof h.width!="undefined"&&h.width>this.scrollWidth&&(this.scrollWidth=h.width,this.scrollableElement.setScrollDimensions({scrollWidth:this.scrollWidth+10}))}rerender(){if(!!this.supportDynamicHeights){for(const n of this.items)n.lastDynamicHeightWidth=void 0;this._rerender(this.lastRenderTop,this.lastRenderHeight)}}get length(){return this.items.length}get renderHeight(){return this.scrollableElement.getScrollDimensions().height}get firstVisibleIndex(){const n=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),h=this.rangeMap.positionAt(n.start),l=this.rangeMap.positionAt(n.start+1);return l!==-1&&(l-h)/2+h<this.scrollTop?n.start+1:n.start}get lastVisibleIndex(){return this.getRenderRange(this.lastRenderTop,this.lastRenderHeight).end-1}element(n){return this.items[n].element}indexOf(n){return this.items.findIndex(h=>h.element===n)}domElement(n){const h=this.items[n].row;return h&&h.domNode}elementHeight(n){return this.items[n].size}elementTop(n){return this.rangeMap.positionAt(n)}indexAt(n){return this.rangeMap.indexAt(n)}indexAfter(n){return this.rangeMap.indexAfter(n)}layout(n,h){const l={height:typeof n=="number"?n:(0,H.getContentHeight)(this.domNode)};this.scrollableElementUpdateDisposable&&(this.scrollableElementUpdateDisposable.dispose(),this.scrollableElementUpdateDisposable=null,l.scrollHeight=this.scrollHeight),this.scrollableElement.setScrollDimensions(l),typeof h!="undefined"&&(this.renderWidth=h,this.supportDynamicHeights&&this._rerender(this.scrollTop,this.renderHeight)),this.horizontalScrolling&&this.scrollableElement.setScrollDimensions({width:typeof h=="number"?h:(0,H.getContentWidth)(this.domNode)})}render(n,h,l,c,P,V=!1){const ue=this.getRenderRange(h,l),ne=s.Range.relativeComplement(ue,n),ge=s.Range.relativeComplement(n,ue),ae=this.getNextToLastElement(ne);if(V){const we=s.Range.intersect(n,ue);for(let he=we.start;he<we.end;he++)this.updateItemInDOM(this.items[he],he)}for(const we of ne)for(let he=we.start;he<we.end;he++)this.insertItemInDOM(he,ae);for(const we of ge)for(let he=we.start;he<we.end;he++)this.removeItemFromDOM(he);c!==void 0&&(this.rowsContainer.style.left=`-${c}px`),this.rowsContainer.style.top=`-${h}px`,this.horizontalScrolling&&P!==void 0&&(this.rowsContainer.style.width=`${Math.max(P,this.renderWidth)}px`),this.lastRenderTop=h,this.lastRenderHeight=l}insertItemInDOM(n,h,l){const c=this.items[n];c.row||(c.row=l??this.cache.alloc(c.templateId));const P=this.accessibilityProvider.getRole(c.element)||"listitem";c.row.domNode.setAttribute("role",P);const V=this.accessibilityProvider.isChecked(c.element);if(typeof V=="boolean")c.row.domNode.setAttribute("aria-checked",String(!!V));else if(V){const ge=ae=>c.row.domNode.setAttribute("aria-checked",String(!!ae));ge(V.value),c.checkedDisposable=V.onDidChange(ge)}c.row.domNode.parentElement||(h?this.rowsContainer.insertBefore(c.row.domNode,h):this.rowsContainer.appendChild(c.row.domNode)),this.updateItemInDOM(c,n);const ue=this.renderers.get(c.templateId);if(!ue)throw new Error(`No renderer found for template id ${c.templateId}`);ue?.renderElement(c.element,n,c.row.templateData,c.size);const ne=this.dnd.getDragURI(c.element);c.dragStartDisposable.dispose(),c.row.domNode.draggable=!!ne,ne&&(c.dragStartDisposable=(0,H.addDisposableListener)(c.row.domNode,"dragstart",ge=>this.onDragStart(c.element,ne,ge))),this.horizontalScrolling&&(this.measureItemWidth(c),this.eventuallyUpdateScrollWidth())}measureItemWidth(n){if(!n.row||!n.row.domNode)return;n.row.domNode.style.width=E.isFirefox?"-moz-fit-content":"fit-content",n.width=(0,H.getContentWidth)(n.row.domNode);const h=window.getComputedStyle(n.row.domNode);h.paddingLeft&&(n.width+=parseFloat(h.paddingLeft)),h.paddingRight&&(n.width+=parseFloat(h.paddingRight)),n.row.domNode.style.width=""}updateItemInDOM(n,h){n.row.domNode.style.top=`${this.elementTop(h)}px`,this.setRowHeight&&(n.row.domNode.style.height=`${n.size}px`),this.setRowLineHeight&&(n.row.domNode.style.lineHeight=`${n.size}px`),n.row.domNode.setAttribute("data-index",`${h}`),n.row.domNode.setAttribute("data-last-element",h===this.length-1?"true":"false"),n.row.domNode.setAttribute("data-parity",h%2==0?"even":"odd"),n.row.domNode.setAttribute("aria-setsize",String(this.accessibilityProvider.getSetSize(n.element,h,this.length))),n.row.domNode.setAttribute("aria-posinset",String(this.accessibilityProvider.getPosInSet(n.element,h))),n.row.domNode.setAttribute("id",this.getElementDomId(h)),n.row.domNode.classList.toggle("drop-target",n.dropTarget)}removeItemFromDOM(n){const h=this.items[n];if(h.dragStartDisposable.dispose(),h.checkedDisposable.dispose(),h.row){const l=this.renderers.get(h.templateId);l&&l.disposeElement&&l.disposeElement(h.element,n,h.row.templateData,h.size),this.cache.release(h.row),h.row=null}this.horizontalScrolling&&this.eventuallyUpdateScrollWidth()}getScrollTop(){return this.scrollableElement.getScrollPosition().scrollTop}setScrollTop(n,h){this.scrollableElementUpdateDisposable&&(this.scrollableElementUpdateDisposable.dispose(),this.scrollableElementUpdateDisposable=null,this.scrollableElement.setScrollDimensions({scrollHeight:this.scrollHeight})),this.scrollableElement.setScrollPosition({scrollTop:n,reuseAnimation:h})}getScrollLeft(){return this.scrollableElement.getScrollPosition().scrollLeft}setScrollLeft(n){this.scrollableElementUpdateDisposable&&(this.scrollableElementUpdateDisposable.dispose(),this.scrollableElementUpdateDisposable=null,this.scrollableElement.setScrollDimensions({scrollWidth:this.scrollWidth})),this.scrollableElement.setScrollPosition({scrollLeft:n})}get scrollTop(){return this.getScrollTop()}set scrollTop(n){this.setScrollTop(n)}get scrollHeight(){return this._scrollHeight+(this.horizontalScrolling?10:0)+this.additionalScrollHeight}get onMouseClick(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"click")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseDblClick(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"dblclick")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseMiddleClick(){return N.Event.filter(N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"auxclick")).event,n=>this.toMouseEvent(n),this.disposables),n=>n.browserEvent.button===1,this.disposables)}get onMouseUp(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"mouseup")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseDown(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"mousedown")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseOver(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"mouseover")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseMove(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"mousemove")).event,n=>this.toMouseEvent(n),this.disposables)}get onMouseOut(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"mouseout")).event,n=>this.toMouseEvent(n),this.disposables)}get onContextMenu(){return N.Event.any(N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"contextmenu")).event,n=>this.toMouseEvent(n),this.disposables),N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,C.EventType.Contextmenu)).event,n=>this.toGestureEvent(n),this.disposables))}get onTouchStart(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.domNode,"touchstart")).event,n=>this.toTouchEvent(n),this.disposables)}get onTap(){return N.Event.map(this.disposables.add(new M.DomEmitter(this.rowsContainer,C.EventType.Tap)).event,n=>this.toGestureEvent(n),this.disposables)}toMouseEvent(n){const h=this.getItemIndexFromEventTarget(n.target||null),l=typeof h=="undefined"?void 0:this.items[h],c=l&&l.element;return{browserEvent:n,index:h,element:c}}toTouchEvent(n){const h=this.getItemIndexFromEventTarget(n.target||null),l=typeof h=="undefined"?void 0:this.items[h],c=l&&l.element;return{browserEvent:n,index:h,element:c}}toGestureEvent(n){const h=this.getItemIndexFromEventTarget(n.initialTarget||null),l=typeof h=="undefined"?void 0:this.items[h],c=l&&l.element;return{browserEvent:n,index:h,element:c}}toDragEvent(n){const h=this.getItemIndexFromEventTarget(n.target||null),l=typeof h=="undefined"?void 0:this.items[h],c=l&&l.element;return{browserEvent:n,index:h,element:c}}onScroll(n){try{const h=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight);this.render(h,n.scrollTop,n.height,n.scrollLeft,n.scrollWidth),this.supportDynamicHeights&&this._rerender(n.scrollTop,n.height,n.inSmoothScrolling)}catch(h){throw console.error("Got bad scroll event:",n),h}}onTouchChange(n){n.preventDefault(),n.stopPropagation(),this.scrollTop-=n.translationY}onDragStart(n,h,l){if(!l.dataTransfer)return;const c=this.dnd.getDragElements(n);if(l.dataTransfer.effectAllowed="copyMove",l.dataTransfer.setData(i.DataTransfers.TEXT,h),l.dataTransfer.setDragImage){let P;this.dnd.getDragLabel&&(P=this.dnd.getDragLabel(c,l)),typeof P=="undefined"&&(P=String(c.length));const V=(0,H.$)(".monaco-drag-image");V.textContent=P,document.body.appendChild(V),l.dataTransfer.setDragImage(V,-10,-10),setTimeout(()=>document.body.removeChild(V),0)}this.currentDragData=new a(c),D.CurrentDragAndDropData=new u(c),this.dnd.onDragStart?.(this.currentDragData,l)}onDragOver(n){if(n.browserEvent.preventDefault(),this.onDragLeaveTimeout.dispose(),D.CurrentDragAndDropData&&D.CurrentDragAndDropData.getData()==="vscode-ui"||(this.setupDragAndDropScrollTopAnimation(n.browserEvent),!n.browserEvent.dataTransfer))return!1;if(!this.currentDragData)if(D.CurrentDragAndDropData)this.currentDragData=D.CurrentDragAndDropData;else{if(!n.browserEvent.dataTransfer.types)return!1;this.currentDragData=new b}const h=this.dnd.onDragOver(this.currentDragData,n.element,n.index,n.browserEvent);if(this.canDrop=typeof h=="boolean"?h:h.accept,!this.canDrop)return this.currentDragFeedback=void 0,this.currentDragFeedbackDisposable.dispose(),!1;n.browserEvent.dataTransfer.dropEffect=typeof h!="boolean"&&h.effect===0?"copy":"move";let l;if(typeof h!="boolean"&&h.feedback?l=h.feedback:typeof n.index=="undefined"?l=[-1]:l=[n.index],l=(0,p.distinct)(l).filter(c=>c>=-1&&c<this.length).sort((c,P)=>c-P),l=l[0]===-1?[-1]:l,S(this.currentDragFeedback,l))return!0;if(this.currentDragFeedback=l,this.currentDragFeedbackDisposable.dispose(),l[0]===-1)this.domNode.classList.add("drop-target"),this.rowsContainer.classList.add("drop-target"),this.currentDragFeedbackDisposable=(0,o.toDisposable)(()=>{this.domNode.classList.remove("drop-target"),this.rowsContainer.classList.remove("drop-target")});else{for(const c of l){const P=this.items[c];P.dropTarget=!0,P.row?.domNode.classList.add("drop-target")}this.currentDragFeedbackDisposable=(0,o.toDisposable)(()=>{for(const c of l){const P=this.items[c];P.dropTarget=!1,P.row?.domNode.classList.remove("drop-target")}})}return!0}onDragLeave(n){this.onDragLeaveTimeout.dispose(),this.onDragLeaveTimeout=(0,f.disposableTimeout)(()=>this.clearDragOverFeedback(),100),this.currentDragData&&this.dnd.onDragLeave?.(this.currentDragData,n.element,n.index,n.browserEvent)}onDrop(n){if(!this.canDrop)return;const h=this.currentDragData;this.teardownDragAndDropScrollTopAnimation(),this.clearDragOverFeedback(),this.currentDragData=void 0,D.CurrentDragAndDropData=void 0,!(!h||!n.browserEvent.dataTransfer)&&(n.browserEvent.preventDefault(),h.update(n.browserEvent.dataTransfer),this.dnd.drop(h,n.element,n.index,n.browserEvent))}onDragEnd(n){this.canDrop=!1,this.teardownDragAndDropScrollTopAnimation(),this.clearDragOverFeedback(),this.currentDragData=void 0,D.CurrentDragAndDropData=void 0,this.dnd.onDragEnd?.(n)}clearDragOverFeedback(){this.currentDragFeedback=void 0,this.currentDragFeedbackDisposable.dispose(),this.currentDragFeedbackDisposable=o.Disposable.None}setupDragAndDropScrollTopAnimation(n){if(!this.dragOverAnimationDisposable){const h=(0,H.getTopLeftOffset)(this.domNode).top;this.dragOverAnimationDisposable=(0,H.animate)(this.animateDragAndDropScrollTop.bind(this,h))}this.dragOverAnimationStopDisposable.dispose(),this.dragOverAnimationStopDisposable=(0,f.disposableTimeout)(()=>{this.dragOverAnimationDisposable&&(this.dragOverAnimationDisposable.dispose(),this.dragOverAnimationDisposable=void 0)},1e3),this.dragOverMouseY=n.pageY}animateDragAndDropScrollTop(n){if(this.dragOverMouseY===void 0)return;const h=this.dragOverMouseY-n,l=this.renderHeight-35;h<35?this.scrollTop+=Math.max(-14,Math.floor(.3*(h-35))):h>l&&(this.scrollTop+=Math.min(14,Math.floor(.3*(h-l))))}teardownDragAndDropScrollTopAnimation(){this.dragOverAnimationStopDisposable.dispose(),this.dragOverAnimationDisposable&&(this.dragOverAnimationDisposable.dispose(),this.dragOverAnimationDisposable=void 0)}getItemIndexFromEventTarget(n){const h=this.scrollableElement.getDomNode();let l=n;for(;l instanceof HTMLElement&&l!==this.rowsContainer&&h.contains(l);){const c=l.getAttribute("data-index");if(c){const P=Number(c);if(!isNaN(P))return P}l=l.parentElement}}getRenderRange(n,h){return{start:this.rangeMap.indexAt(n),end:this.rangeMap.indexAfter(n+h-1)}}_rerender(n,h,l){const c=this.getRenderRange(n,h);let P,V;n===this.elementTop(c.start)?(P=c.start,V=0):c.end-c.start>1&&(P=c.start+1,V=this.elementTop(P)-n);let ue=0;for(;;){const ne=this.getRenderRange(n,h);let ge=!1;for(let ae=ne.start;ae<ne.end;ae++){const we=this.probeDynamicHeight(ae);we!==0&&this.rangeMap.splice(ae,1,[this.items[ae]]),ue+=we,ge=ge||we!==0}if(!ge){ue!==0&&this.eventuallyUpdateScrollDimensions();const ae=s.Range.relativeComplement(c,ne);for(const he of ae)for(let re=he.start;re<he.end;re++)this.items[re].row&&this.removeItemFromDOM(re);const we=s.Range.relativeComplement(ne,c);for(const he of we)for(let re=he.start;re<he.end;re++){const Ce=re+1,te=Ce<this.items.length?this.items[Ce].row:null,De=te?te.domNode:null;this.insertItemInDOM(re,De)}for(let he=ne.start;he<ne.end;he++)this.items[he].row&&this.updateItemInDOM(this.items[he],he);if(typeof P=="number"){const he=this.scrollable.getFutureScrollPosition().scrollTop-n,re=this.elementTop(P)-V+he;this.setScrollTop(re,l)}this._onDidChangeContentHeight.fire(this.contentHeight);return}}}probeDynamicHeight(n){const h=this.items[n];if(this.virtualDelegate.getDynamicHeight){const V=this.virtualDelegate.getDynamicHeight(h.element);if(V!==null){const ue=h.size;return h.size=V,h.lastDynamicHeightWidth=this.renderWidth,V-ue}}if(!h.hasDynamicHeight||h.lastDynamicHeightWidth===this.renderWidth||!!this.virtualDelegate.hasDynamicHeight&&!this.virtualDelegate.hasDynamicHeight(h.element))return 0;const l=h.size;if(!this.setRowHeight&&h.row){const V=h.row.domNode.offsetHeight;return h.size=V,h.lastDynamicHeightWidth=this.renderWidth,V-l}const c=this.cache.alloc(h.templateId);c.domNode.style.height="",this.rowsContainer.appendChild(c.domNode);const P=this.renderers.get(h.templateId);return P&&(P.renderElement(h.element,n,c.templateData,void 0),P.disposeElement?.(h.element,n,c.templateData,void 0)),h.size=c.domNode.offsetHeight,this.virtualDelegate.setDynamicHeight?.(h.element,h.size),h.lastDynamicHeightWidth=this.renderWidth,this.rowsContainer.removeChild(c.domNode),this.cache.release(c),h.size-l}getNextToLastElement(n){const h=n[n.length-1];if(!h)return null;const l=this.items[h.end];return!l||!l.row?null:l.row.domNode}getElementDomId(n){return`${this.domId}_${n}`}dispose(){if(this.items){for(const n of this.items)if(n.row){const h=this.renderers.get(n.row.templateId);h&&(h.disposeElement?.(n.element,-1,n.row.templateData,void 0),h.disposeTemplate(n.row.templateData))}this.items=[]}this.domNode&&this.domNode.parentNode&&this.domNode.parentNode.removeChild(this.domNode),(0,o.dispose)(this.disposables)}}_.InstanceCount=0,Ke([m.memoize],_.prototype,"onMouseClick",null),Ke([m.memoize],_.prototype,"onMouseDblClick",null),Ke([m.memoize],_.prototype,"onMouseMiddleClick",null),Ke([m.memoize],_.prototype,"onMouseUp",null),Ke([m.memoize],_.prototype,"onMouseDown",null),Ke([m.memoize],_.prototype,"onMouseOver",null),Ke([m.memoize],_.prototype,"onMouseMove",null),Ke([m.memoize],_.prototype,"onMouseOut",null),Ke([m.memoize],_.prototype,"onContextMenu",null),Ke([m.memoize],_.prototype,"onTouchStart",null),Ke([m.memoize],_.prototype,"onTap",null),t.ListView=_}),define(me[58],pe([1,0,4,18,19,22,53,67,14,8,24,25,3,33,2,44,27,5,6,66,57,88]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s,e,g,v,D,y,a,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.List=t.DefaultStyleController=t.MouseController=t.isSelectionRangeChangeEvent=t.isSelectionSingleChangeEvent=t.DefaultKeyboardNavigationDelegate=t.TypeNavigationMode=t.isButton=t.isMonacoEditor=t.isInputElement=void 0;class b{constructor(d){this.trait=d,this.renderedElements=[]}get templateId(){return`template:${this.trait.name}`}renderTemplate(d){return d}renderElement(d,I,U){const K=this.renderedElements.findIndex(Z=>Z.templateData===U);if(K>=0){const Z=this.renderedElements[K];this.trait.unrender(U),Z.index=I}else{const Z={index:I,templateData:U};this.renderedElements.push(Z)}this.trait.renderIndex(I,U)}splice(d,I,U){const K=[];for(const Z of this.renderedElements)Z.index<d?K.push(Z):Z.index>=d+I&&K.push({index:Z.index+U-I,templateData:Z.templateData});this.renderedElements=K}renderIndexes(d){for(const{index:I,templateData:U}of this.renderedElements)d.indexOf(I)>-1&&this.trait.renderIndex(I,U)}disposeTemplate(d){const I=this.renderedElements.findIndex(U=>U.templateData===d);I<0||this.renderedElements.splice(I,1)}}class S{constructor(d){this._trait=d,this.length=0,this.indexes=[],this.sortedIndexes=[],this._onChange=new o.Emitter,this.onChange=this._onChange.event}get name(){return this._trait}get renderer(){return new b(this)}splice(d,I,U){I=Math.max(0,Math.min(I,this.length-d));const K=U.length-I,Z=d+I,L=[...this.sortedIndexes.filter(z=>z<d),...U.map((z,A)=>z?A+d:-1).filter(z=>z!==-1),...this.sortedIndexes.filter(z=>z>=Z).map(z=>z+K)],O=this.length+K;if(this.sortedIndexes.length>0&&L.length===0&&O>0){const z=this.sortedIndexes.find(A=>A>=d)??O-1;L.push(Math.min(z,O-1))}this.renderer.splice(d,I,U.length),this._set(L,L),this.length=O}renderIndex(d,I){I.classList.toggle(this._trait,this.contains(d))}unrender(d){d.classList.remove(this._trait)}set(d,I){return this._set(d,[...d].sort(se),I)}_set(d,I,U){const K=this.indexes,Z=this.sortedIndexes;this.indexes=d,this.sortedIndexes=I;const L=ee(Z,d);return this.renderer.renderIndexes(L),this._onChange.fire({indexes:d,browserEvent:U}),K}get(){return this.indexes}contains(d){return(0,p.binarySearch)(this.sortedIndexes,d,se)>=0}dispose(){(0,e.dispose)(this._onChange)}}Ke([N.memoize],S.prototype,"renderer",null);class F extends S{constructor(d){super("selected");this.setAriaSelected=d}renderIndex(d,I){super.renderIndex(d,I),this.setAriaSelected&&(this.contains(d)?I.setAttribute("aria-selected","true"):I.setAttribute("aria-selected","false"))}}class _{constructor(d,I,U){this.trait=d,this.view=I,this.identityProvider=U}splice(d,I,U){if(!this.identityProvider)return this.trait.splice(d,I,U.map(()=>!1));const K=this.trait.get().map(L=>this.identityProvider.getId(this.view.element(L)).toString()),Z=U.map(L=>K.indexOf(this.identityProvider.getId(L).toString())>-1);this.trait.splice(d,I,Z)}}function r(W){return W.tagName==="INPUT"||W.tagName==="TEXTAREA"}t.isInputElement=r;function n(W){return W.classList.contains("monaco-editor")?!0:W.classList.contains("monaco-list")||!W.parentElement?!1:n(W.parentElement)}t.isMonacoEditor=n;function h(W){return W.tagName==="A"&&W.classList.contains("monaco-button")||W.tagName==="DIV"&&W.classList.contains("monaco-button-dropdown")?!0:W.classList.contains("monaco-list")||!W.parentElement?!1:h(W.parentElement)}t.isButton=h;class l{constructor(d,I,U){this.list=d,this.view=I,this.disposables=new e.DisposableStore,this.multipleSelectionDisposables=new e.DisposableStore,this.onKeyDown.filter(K=>K.keyCode===3).on(this.onEnter,this,this.disposables),this.onKeyDown.filter(K=>K.keyCode===16).on(this.onUpArrow,this,this.disposables),this.onKeyDown.filter(K=>K.keyCode===18).on(this.onDownArrow,this,this.disposables),this.onKeyDown.filter(K=>K.keyCode===11).on(this.onPageUpArrow,this,this.disposables),this.onKeyDown.filter(K=>K.keyCode===12).on(this.onPageDownArrow,this,this.disposables),this.onKeyDown.filter(K=>K.keyCode===9).on(this.onEscape,this,this.disposables),U.multipleSelectionSupport!==!1&&this.onKeyDown.filter(K=>(D.isMacintosh?K.metaKey:K.ctrlKey)&&K.keyCode===31).on(this.onCtrlA,this,this.multipleSelectionDisposables)}get onKeyDown(){return this.disposables.add(o.Event.chain(this.disposables.add(new i.DomEmitter(this.view.domNode,"keydown")).event).filter(d=>!r(d.target)).map(d=>new H.StandardKeyboardEvent(d)))}updateOptions(d){d.multipleSelectionSupport!==void 0&&(this.multipleSelectionDisposables.clear(),d.multipleSelectionSupport&&this.onKeyDown.filter(I=>(D.isMacintosh?I.metaKey:I.ctrlKey)&&I.keyCode===31).on(this.onCtrlA,this,this.multipleSelectionDisposables))}onEnter(d){d.preventDefault(),d.stopPropagation(),this.list.setSelection(this.list.getFocus(),d.browserEvent)}onUpArrow(d){d.preventDefault(),d.stopPropagation(),this.list.focusPrevious(1,!1,d.browserEvent);const I=this.list.getFocus()[0];this.list.setAnchor(I),this.list.reveal(I),this.view.domNode.focus()}onDownArrow(d){d.preventDefault(),d.stopPropagation(),this.list.focusNext(1,!1,d.browserEvent);const I=this.list.getFocus()[0];this.list.setAnchor(I),this.list.reveal(I),this.view.domNode.focus()}onPageUpArrow(d){d.preventDefault(),d.stopPropagation(),this.list.focusPreviousPage(d.browserEvent);const I=this.list.getFocus()[0];this.list.setAnchor(I),this.list.reveal(I),this.view.domNode.focus()}onPageDownArrow(d){d.preventDefault(),d.stopPropagation(),this.list.focusNextPage(d.browserEvent);const I=this.list.getFocus()[0];this.list.setAnchor(I),this.list.reveal(I),this.view.domNode.focus()}onCtrlA(d){d.preventDefault(),d.stopPropagation(),this.list.setSelection((0,p.range)(this.list.length),d.browserEvent),this.list.setAnchor(void 0),this.view.domNode.focus()}onEscape(d){this.list.getSelection().length&&(d.preventDefault(),d.stopPropagation(),this.list.setSelection([],d.browserEvent),this.list.setAnchor(void 0),this.view.domNode.focus())}dispose(){this.disposables.dispose(),this.multipleSelectionDisposables.dispose()}}Ke([N.memoize],l.prototype,"onKeyDown",null);var c;(function(W){W[W.Automatic=0]="Automatic",W[W.Trigger=1]="Trigger"})(c=t.TypeNavigationMode||(t.TypeNavigationMode={}));var P;(function(W){W[W.Idle=0]="Idle",W[W.Typing=1]="Typing"})(P||(P={})),t.DefaultKeyboardNavigationDelegate=new class{mightProducePrintableCharacter(W){return W.ctrlKey||W.metaKey||W.altKey?!1:W.keyCode>=31&&W.keyCode<=56||W.keyCode>=21&&W.keyCode<=30||W.keyCode>=93&&W.keyCode<=102||W.keyCode>=80&&W.keyCode<=90}};class V{constructor(d,I,U,K,Z){this.list=d,this.view=I,this.keyboardNavigationLabelProvider=U,this.keyboardNavigationEventFilter=K,this.delegate=Z,this.enabled=!1,this.state=P.Idle,this.mode=c.Automatic,this.triggered=!1,this.previouslyFocused=-1,this.enabledDisposables=new e.DisposableStore,this.disposables=new e.DisposableStore,this.updateOptions(d.options)}updateOptions(d){d.typeNavigationEnabled??!0?this.enable():this.disable(),this.mode=d.typeNavigationMode??c.Automatic}trigger(){this.triggered=!this.triggered}enable(){if(this.enabled)return;let d=!1;const I=this.enabledDisposables.add(o.Event.chain(this.enabledDisposables.add(new i.DomEmitter(this.view.domNode,"keydown")).event)).filter(Z=>!r(Z.target)).filter(()=>this.mode===c.Automatic||this.triggered).map(Z=>new H.StandardKeyboardEvent(Z)).filter(Z=>d||this.keyboardNavigationEventFilter(Z)).filter(Z=>this.delegate.mightProducePrintableCharacter(Z)).forEach(Z=>E.EventHelper.stop(Z,!0)).map(Z=>Z.browserEvent.key).event,U=o.Event.debounce(I,()=>null,800,void 0,void 0,this.enabledDisposables);o.Event.reduce(o.Event.any(I,U),(Z,L)=>L===null?null:(Z||"")+L,void 0,this.enabledDisposables)(this.onInput,this,this.enabledDisposables),U(this.onClear,this,this.enabledDisposables),I(()=>d=!0,void 0,this.enabledDisposables),U(()=>d=!1,void 0,this.enabledDisposables),this.enabled=!0,this.triggered=!1}disable(){!this.enabled||(this.enabledDisposables.clear(),this.enabled=!1,this.triggered=!1)}onClear(){const d=this.list.getFocus();if(d.length>0&&d[0]===this.previouslyFocused){const I=this.list.options.accessibilityProvider?.getAriaLabel(this.list.element(d[0]));I&&(0,C.alert)(I)}this.previouslyFocused=-1}onInput(d){if(!d){this.state=P.Idle,this.triggered=!1;return}const I=this.list.getFocus(),U=I.length>0?I[0]:0,K=this.state===P.Idle?1:0;this.state=P.Typing;for(let Z=0;Z<this.list.length;Z++){const L=(U+Z+K)%this.list.length,O=this.keyboardNavigationLabelProvider.getKeyboardNavigationLabel(this.view.element(L)),z=O&&O.toString();if(typeof z=="undefined"||(0,s.matchesPrefix)(d,z)){this.previouslyFocused=U,this.list.setFocus([L]),this.list.reveal(L);return}}}dispose(){this.disable(),this.enabledDisposables.dispose(),this.disposables.dispose()}}class ue{constructor(d,I){this.list=d,this.view=I,this.disposables=new e.DisposableStore,this.disposables.add(o.Event.chain(this.disposables.add(new i.DomEmitter(I.domNode,"keydown")).event)).filter(K=>!r(K.target)).map(K=>new H.StandardKeyboardEvent(K)).filter(K=>K.keyCode===2&&!K.ctrlKey&&!K.metaKey&&!K.shiftKey&&!K.altKey).on(this.onTab,this,this.disposables)}onTab(d){if(d.target!==this.view.domNode)return;const I=this.list.getFocus();if(I.length===0)return;const U=this.view.domElement(I[0]);if(!U)return;const K=U.querySelector("[tabIndex]");if(!K||!(K instanceof HTMLElement)||K.tabIndex===-1)return;const Z=window.getComputedStyle(K);Z.visibility==="hidden"||Z.display==="none"||(d.preventDefault(),d.stopPropagation(),K.focus())}dispose(){this.disposables.dispose()}}function ne(W){return D.isMacintosh?W.browserEvent.metaKey:W.browserEvent.ctrlKey}t.isSelectionSingleChangeEvent=ne;function ge(W){return W.browserEvent.shiftKey}t.isSelectionRangeChangeEvent=ge;function ae(W){return W instanceof MouseEvent&&W.button===2}const we={isSelectionSingleChangeEvent:ne,isSelectionRangeChangeEvent:ge};class he{constructor(d){this.list=d,this.disposables=new e.DisposableStore,this._onPointer=new o.Emitter,this.onPointer=this._onPointer.event,d.options.multipleSelectionSupport!==!1&&(this.multipleSelectionController=this.list.options.multipleSelectionController||we),this.mouseSupport=typeof d.options.mouseSupport=="undefined"||!!d.options.mouseSupport,this.mouseSupport&&(d.onMouseDown(this.onMouseDown,this,this.disposables),d.onContextMenu(this.onContextMenu,this,this.disposables),d.onMouseDblClick(this.onDoubleClick,this,this.disposables),d.onTouchStart(this.onMouseDown,this,this.disposables),this.disposables.add(M.Gesture.addTarget(d.getHTMLElement()))),o.Event.any(d.onMouseClick,d.onMouseMiddleClick,d.onTap)(this.onViewPointer,this,this.disposables)}updateOptions(d){d.multipleSelectionSupport!==void 0&&(this.multipleSelectionController=void 0,d.multipleSelectionSupport&&(this.multipleSelectionController=this.list.options.multipleSelectionController||we))}isSelectionSingleChangeEvent(d){return this.multipleSelectionController?this.multipleSelectionController.isSelectionSingleChangeEvent(d):!1}isSelectionRangeChangeEvent(d){return this.multipleSelectionController?this.multipleSelectionController.isSelectionRangeChangeEvent(d):!1}isSelectionChangeEvent(d){return this.isSelectionSingleChangeEvent(d)||this.isSelectionRangeChangeEvent(d)}onMouseDown(d){n(d.browserEvent.target)||document.activeElement!==d.browserEvent.target&&this.list.domFocus()}onContextMenu(d){if(n(d.browserEvent.target))return;const I=typeof d.index=="undefined"?[]:[d.index];this.list.setFocus(I,d.browserEvent)}onViewPointer(d){if(!this.mouseSupport||r(d.browserEvent.target)||n(d.browserEvent.target))return;const I=d.index;if(typeof I=="undefined"){this.list.setFocus([],d.browserEvent),this.list.setSelection([],d.browserEvent),this.list.setAnchor(void 0);return}if(this.isSelectionRangeChangeEvent(d))return this.changeSelection(d);if(this.isSelectionChangeEvent(d))return this.changeSelection(d);this.list.setFocus([I],d.browserEvent),this.list.setAnchor(I),ae(d.browserEvent)||this.list.setSelection([I],d.browserEvent),this._onPointer.fire(d)}onDoubleClick(d){if(r(d.browserEvent.target)||n(d.browserEvent.target)||this.isSelectionChangeEvent(d))return;const I=this.list.getFocus();this.list.setSelection(I,d.browserEvent)}changeSelection(d){const I=d.index;let U=this.list.getAnchor();if(this.isSelectionRangeChangeEvent(d)){typeof U=="undefined"&&(U=this.list.getFocus()[0]??I,this.list.setAnchor(U));const K=Math.min(U,I),Z=Math.max(U,I),L=(0,p.range)(K,Z+1),O=this.list.getSelection(),z=De(ee(O,[U]),U);if(z.length===0)return;const A=ee(L,X(O,z));this.list.setSelection(A,d.browserEvent),this.list.setFocus([I],d.browserEvent)}else if(this.isSelectionSingleChangeEvent(d)){const K=this.list.getSelection(),Z=K.filter(L=>L!==I);this.list.setFocus([I]),this.list.setAnchor(I),K.length===Z.length?this.list.setSelection([...Z,I],d.browserEvent):this.list.setSelection(Z,d.browserEvent)}}dispose(){this.disposables.dispose()}}t.MouseController=he;class re{constructor(d,I){this.styleElement=d,this.selectorSuffix=I}style(d){const I=this.selectorSuffix&&`.${this.selectorSuffix}`,U=[];d.listBackground&&(d.listBackground.isOpaque()?U.push(`.monaco-list${I} .monaco-list-rows { background: ${d.listBackground}; }`):D.isMacintosh||console.warn(`List with id '${this.selectorSuffix}' was styled with a non-opaque background color. This will break sub-pixel antialiasing.`)),d.listFocusBackground&&(U.push(`.monaco-list${I}:focus .monaco-list-row.focused { background-color: ${d.listFocusBackground}; }`),U.push(`.monaco-list${I}:focus .monaco-list-row.focused:hover { background-color: ${d.listFocusBackground}; }`)),d.listFocusForeground&&U.push(`.monaco-list${I}:focus .monaco-list-row.focused { color: ${d.listFocusForeground}; }`),d.listActiveSelectionBackground&&(U.push(`.monaco-list${I}:focus .monaco-list-row.selected { background-color: ${d.listActiveSelectionBackground}; }`),U.push(`.monaco-list${I}:focus .monaco-list-row.selected:hover { background-color: ${d.listActiveSelectionBackground}; }`)),d.listActiveSelectionForeground&&U.push(`.monaco-list${I}:focus .monaco-list-row.selected { color: ${d.listActiveSelectionForeground}; }`),d.listActiveSelectionIconForeground&&U.push(`.monaco-list${I}:focus .monaco-list-row.selected .codicon { color: ${d.listActiveSelectionIconForeground}; }`),d.listFocusAndSelectionOutline&&U.push(`.monaco-list${I}:focus .monaco-list-row.selected { outline-color: ${d.listFocusAndSelectionOutline} !important; }`),d.listFocusAndSelectionBackground&&U.push(`
				.monaco-drag-image,
				.monaco-list${I}:focus .monaco-list-row.selected.focused { background-color: ${d.listFocusAndSelectionBackground}; }
			`),d.listFocusAndSelectionForeground&&U.push(`
				.monaco-drag-image,
				.monaco-list${I}:focus .monaco-list-row.selected.focused { color: ${d.listFocusAndSelectionForeground}; }
			`),d.listInactiveFocusForeground&&(U.push(`.monaco-list${I} .monaco-list-row.focused { color:  ${d.listInactiveFocusForeground}; }`),U.push(`.monaco-list${I} .monaco-list-row.focused:hover { color:  ${d.listInactiveFocusForeground}; }`)),d.listInactiveSelectionIconForeground&&U.push(`.monaco-list${I} .monaco-list-row.focused .codicon { color:  ${d.listInactiveSelectionIconForeground}; }`),d.listInactiveFocusBackground&&(U.push(`.monaco-list${I} .monaco-list-row.focused { background-color:  ${d.listInactiveFocusBackground}; }`),U.push(`.monaco-list${I} .monaco-list-row.focused:hover { background-color:  ${d.listInactiveFocusBackground}; }`)),d.listInactiveSelectionBackground&&(U.push(`.monaco-list${I} .monaco-list-row.selected { background-color:  ${d.listInactiveSelectionBackground}; }`),U.push(`.monaco-list${I} .monaco-list-row.selected:hover { background-color:  ${d.listInactiveSelectionBackground}; }`)),d.listInactiveSelectionForeground&&U.push(`.monaco-list${I} .monaco-list-row.selected { color: ${d.listInactiveSelectionForeground}; }`),d.listHoverBackground&&U.push(`.monaco-list${I}:not(.drop-target) .monaco-list-row:hover:not(.selected):not(.focused) { background-color: ${d.listHoverBackground}; }`),d.listHoverForeground&&U.push(`.monaco-list${I} .monaco-list-row:hover:not(.selected):not(.focused) { color:  ${d.listHoverForeground}; }`),d.listSelectionOutline&&U.push(`.monaco-list${I} .monaco-list-row.selected { outline: 1px dotted ${d.listSelectionOutline}; outline-offset: -1px; }`),d.listFocusOutline&&U.push(`
				.monaco-drag-image,
				.monaco-list${I}:focus .monaco-list-row.focused { outline: 1px solid ${d.listFocusOutline}; outline-offset: -1px; }
				.monaco-workbench.context-menu-visible .monaco-list${I}.last-focused .monaco-list-row.focused { outline: 1px solid ${d.listFocusOutline}; outline-offset: -1px; }
			`),d.listInactiveFocusOutline&&U.push(`.monaco-list${I} .monaco-list-row.focused { outline: 1px dotted ${d.listInactiveFocusOutline}; outline-offset: -1px; }`),d.listHoverOutline&&U.push(`.monaco-list${I} .monaco-list-row:hover { outline: 1px dashed ${d.listHoverOutline}; outline-offset: -1px; }`),d.listDropBackground&&U.push(`
				.monaco-list${I}.drop-target,
				.monaco-list${I} .monaco-list-rows.drop-target,
				.monaco-list${I} .monaco-list-row.drop-target { background-color: ${d.listDropBackground} !important; color: inherit !important; }
			`),d.tableColumnsBorder&&U.push(`
				.monaco-table:hover > .monaco-split-view2,
				.monaco-table:hover > .monaco-split-view2 .monaco-sash.vertical::before {
					border-color: ${d.tableColumnsBorder};
			}`),d.tableOddRowsBackgroundColor&&U.push(`
				.monaco-table .monaco-list-row[data-parity=odd]:not(.focused):not(.selected):not(:hover) .monaco-table-tr,
				.monaco-table .monaco-list:not(:focus) .monaco-list-row[data-parity=odd].focused:not(.selected):not(:hover) .monaco-table-tr,
				.monaco-table .monaco-list:not(.focused) .monaco-list-row[data-parity=odd].focused:not(.selected):not(:hover) .monaco-table-tr {
					background-color: ${d.tableOddRowsBackgroundColor};
				}
			`),this.styleElement.textContent=U.join(`
`)}}t.DefaultStyleController=re;const Ce={listFocusBackground:m.Color.fromHex("#7FB0D0"),listActiveSelectionBackground:m.Color.fromHex("#0E639C"),listActiveSelectionForeground:m.Color.fromHex("#FFFFFF"),listActiveSelectionIconForeground:m.Color.fromHex("#FFFFFF"),listFocusAndSelectionOutline:m.Color.fromHex("#90C2F9"),listFocusAndSelectionBackground:m.Color.fromHex("#094771"),listFocusAndSelectionForeground:m.Color.fromHex("#FFFFFF"),listInactiveSelectionBackground:m.Color.fromHex("#3F3F46"),listInactiveSelectionIconForeground:m.Color.fromHex("#FFFFFF"),listHoverBackground:m.Color.fromHex("#2A2D2E"),listDropBackground:m.Color.fromHex("#383B3D"),treeIndentGuidesStroke:m.Color.fromHex("#a9a9a9"),tableColumnsBorder:m.Color.fromHex("#cccccc").transparent(.2),tableOddRowsBackgroundColor:m.Color.fromHex("#cccccc").transparent(.04)},te={keyboardSupport:!0,mouseSupport:!0,multipleSelectionSupport:!0,dnd:{getDragURI(){return null},onDragStart(){},onDragOver(){return!1},drop(){}}};function De(W,d){const I=W.indexOf(d);if(I===-1)return[];const U=[];let K=I-1;for(;K>=0&&W[K]===d-(I-K);)U.push(W[K--]);for(U.reverse(),K=I;K<W.length&&W[K]===d+(K-I);)U.push(W[K++]);return U}function ee(W,d){const I=[];let U=0,K=0;for(;U<W.length||K<d.length;)if(U>=W.length)I.push(d[K++]);else if(K>=d.length)I.push(W[U++]);else if(W[U]===d[K]){I.push(W[U]),U++,K++;continue}else W[U]<d[K]?I.push(W[U++]):I.push(d[K++]);return I}function X(W,d){const I=[];let U=0,K=0;for(;U<W.length||K<d.length;)if(U>=W.length)I.push(d[K++]);else if(K>=d.length)I.push(W[U++]);else if(W[U]===d[K]){U++,K++;continue}else W[U]<d[K]?I.push(W[U++]):K++;return I}const se=(W,d)=>W-d;class ie{constructor(d,I){this._templateId=d,this.renderers=I}get templateId(){return this._templateId}renderTemplate(d){return this.renderers.map(I=>I.renderTemplate(d))}renderElement(d,I,U,K){let Z=0;for(const L of this.renderers)L.renderElement(d,I,U[Z++],K)}disposeElement(d,I,U,K){let Z=0;for(const L of this.renderers)L.disposeElement?.(d,I,U[Z],K),Z+=1}disposeTemplate(d){let I=0;for(const U of this.renderers)U.disposeTemplate(d[I++])}}class T{constructor(d){this.accessibilityProvider=d,this.templateId="a18n"}renderTemplate(d){return d}renderElement(d,I,U){const K=this.accessibilityProvider.getAriaLabel(d);K?U.setAttribute("aria-label",K):U.removeAttribute("aria-label");const Z=this.accessibilityProvider.getAriaLevel&&this.accessibilityProvider.getAriaLevel(d);typeof Z=="number"?U.setAttribute("aria-level",`${Z}`):U.removeAttribute("aria-level")}disposeTemplate(d){}}class ${constructor(d,I){this.list=d,this.dnd=I}getDragElements(d){const I=this.list.getSelectedElements();return I.indexOf(d)>-1?I:[d]}getDragURI(d){return this.dnd.getDragURI(d)}getDragLabel(d,I){if(this.dnd.getDragLabel)return this.dnd.getDragLabel(d,I)}onDragStart(d,I){this.dnd.onDragStart?.(d,I)}onDragOver(d,I,U,K){return this.dnd.onDragOver(d,I,U,K)}onDragLeave(d,I,U,K){this.dnd.onDragLeave?.(d,I,U,K)}onDragEnd(d){this.dnd.onDragEnd?.(d)}drop(d,I,U,K){this.dnd.drop(d,I,U,K)}}class j{constructor(d,I,U,K,Z=te){this.user=d,this._options=Z,this.focus=new S("focused"),this.anchor=new S("anchor"),this.eventBufferer=new o.EventBufferer,this._ariaLabel="",this.disposables=new e.DisposableStore,this._onDidDispose=new o.Emitter,this.onDidDispose=this._onDidDispose.event;const L=this._options.accessibilityProvider&&this._options.accessibilityProvider.getWidgetRole?this._options.accessibilityProvider?.getWidgetRole():"list";this.selection=new F(L!=="listbox"),(0,v.mixin)(Z,Ce,!1);const O=[this.focus.renderer,this.selection.renderer];this.accessibilityProvider=Z.accessibilityProvider,this.accessibilityProvider&&(O.push(new T(this.accessibilityProvider)),this.accessibilityProvider.onDidChangeActiveDescendant?.(this.onDidChangeActiveDescendant,this,this.disposables)),K=K.map(A=>new ie(A.templateId,[...O,A]));const z={...Z,dnd:Z.dnd&&new $(this,Z.dnd)};if(this.view=new u.ListView(I,U,K,z),this.view.domNode.setAttribute("role",L),Z.styleController)this.styleController=Z.styleController(this.view.domId);else{const A=(0,E.createStyleSheet)(this.view.domNode);this.styleController=new re(A,this.view.domId)}if(this.spliceable=new w.CombinedSpliceable([new _(this.focus,this.view,Z.identityProvider),new _(this.selection,this.view,Z.identityProvider),new _(this.anchor,this.view,Z.identityProvider),this.view]),this.disposables.add(this.focus),this.disposables.add(this.selection),this.disposables.add(this.anchor),this.disposables.add(this.view),this.disposables.add(this._onDidDispose),this.disposables.add(new ue(this,this.view)),(typeof Z.keyboardSupport!="boolean"||Z.keyboardSupport)&&(this.keyboardController=new l(this,this.view,Z),this.disposables.add(this.keyboardController)),Z.keyboardNavigationLabelProvider){const A=Z.keyboardNavigationDelegate||t.DefaultKeyboardNavigationDelegate;this.typeNavigationController=new V(this,this.view,Z.keyboardNavigationLabelProvider,Z.keyboardNavigationEventFilter??(()=>!0),A),this.disposables.add(this.typeNavigationController)}this.mouseController=this.createMouseController(Z),this.disposables.add(this.mouseController),this.onDidChangeFocus(this._onFocusChange,this,this.disposables),this.onDidChangeSelection(this._onSelectionChange,this,this.disposables),this.accessibilityProvider&&(this.ariaLabel=this.accessibilityProvider.getWidgetAriaLabel()),this._options.multipleSelectionSupport!==!1&&this.view.domNode.setAttribute("aria-multiselectable","true")}get onDidChangeFocus(){return o.Event.map(this.eventBufferer.wrapEvent(this.focus.onChange),d=>this.toListEvent(d),this.disposables)}get onDidChangeSelection(){return o.Event.map(this.eventBufferer.wrapEvent(this.selection.onChange),d=>this.toListEvent(d),this.disposables)}get domId(){return this.view.domId}get onDidScroll(){return this.view.onDidScroll}get onMouseClick(){return this.view.onMouseClick}get onMouseDblClick(){return this.view.onMouseDblClick}get onMouseMiddleClick(){return this.view.onMouseMiddleClick}get onPointer(){return this.mouseController.onPointer}get onMouseUp(){return this.view.onMouseUp}get onMouseDown(){return this.view.onMouseDown}get onMouseOver(){return this.view.onMouseOver}get onMouseMove(){return this.view.onMouseMove}get onMouseOut(){return this.view.onMouseOut}get onTouchStart(){return this.view.onTouchStart}get onTap(){return this.view.onTap}get onContextMenu(){let d=!1;const I=this.disposables.add(o.Event.chain(this.disposables.add(new i.DomEmitter(this.view.domNode,"keydown")).event)).map(Z=>new H.StandardKeyboardEvent(Z)).filter(Z=>d=Z.keyCode===58||Z.shiftKey&&Z.keyCode===68).map(Z=>E.EventHelper.stop(Z,!0)).filter(()=>!1).event,U=this.disposables.add(o.Event.chain(this.disposables.add(new i.DomEmitter(this.view.domNode,"keyup")).event)).forEach(()=>d=!1).map(Z=>new H.StandardKeyboardEvent(Z)).filter(Z=>Z.keyCode===58||Z.shiftKey&&Z.keyCode===68).map(Z=>E.EventHelper.stop(Z,!0)).map(({browserEvent:Z})=>{const L=this.getFocus(),O=L.length?L[0]:void 0,z=typeof O!="undefined"?this.view.element(O):void 0,A=typeof O!="undefined"?this.view.domElement(O):this.view.domNode;return{index:O,element:z,anchor:A,browserEvent:Z}}).event,K=this.disposables.add(o.Event.chain(this.view.onContextMenu)).filter(Z=>!d).map(({element:Z,index:L,browserEvent:O})=>({element:Z,index:L,anchor:{x:O.pageX+1,y:O.pageY},browserEvent:O})).event;return o.Event.any(I,U,K)}get onKeyDown(){return this.disposables.add(new i.DomEmitter(this.view.domNode,"keydown")).event}get onKeyUp(){return this.disposables.add(new i.DomEmitter(this.view.domNode,"keyup")).event}get onKeyPress(){return this.disposables.add(new i.DomEmitter(this.view.domNode,"keypress")).event}get onDidFocus(){return o.Event.signal(this.disposables.add(new i.DomEmitter(this.view.domNode,"focus",!0)).event)}get onDidBlur(){return o.Event.signal(this.disposables.add(new i.DomEmitter(this.view.domNode,"blur",!0)).event)}createMouseController(d){return new he(this)}updateOptions(d={}){this._options={...this._options,...d},this.typeNavigationController?.updateOptions(this._options),this._options.multipleSelectionController!==void 0&&(this._options.multipleSelectionSupport?this.view.domNode.setAttribute("aria-multiselectable","true"):this.view.domNode.removeAttribute("aria-multiselectable")),this.mouseController.updateOptions(d),this.keyboardController?.updateOptions(d),this.view.updateOptions(d)}get options(){return this._options}splice(d,I,U=[]){if(d<0||d>this.view.length)throw new a.ListError(this.user,`Invalid start index: ${d}`);if(I<0)throw new a.ListError(this.user,`Invalid delete count: ${I}`);I===0&&U.length===0||this.eventBufferer.bufferEvents(()=>this.spliceable.splice(d,I,U))}updateWidth(d){this.view.updateWidth(d)}updateElementHeight(d,I){this.view.updateElementHeight(d,I,null)}rerender(){this.view.rerender()}element(d){return this.view.element(d)}indexOf(d){return this.view.indexOf(d)}get length(){return this.view.length}get contentHeight(){return this.view.contentHeight}get onDidChangeContentHeight(){return this.view.onDidChangeContentHeight}get scrollTop(){return this.view.getScrollTop()}set scrollTop(d){this.view.setScrollTop(d)}get scrollLeft(){return this.view.getScrollLeft()}set scrollLeft(d){this.view.setScrollLeft(d)}get scrollHeight(){return this.view.scrollHeight}get renderHeight(){return this.view.renderHeight}get firstVisibleIndex(){return this.view.firstVisibleIndex}get lastVisibleIndex(){return this.view.lastVisibleIndex}get ariaLabel(){return this._ariaLabel}set ariaLabel(d){this._ariaLabel=d,this.view.domNode.setAttribute("aria-label",d)}domFocus(){this.view.domNode.focus({preventScroll:!0})}layout(d,I){this.view.layout(d,I)}triggerTypeNavigation(){this.typeNavigationController?.trigger()}setSelection(d,I){for(const U of d)if(U<0||U>=this.length)throw new a.ListError(this.user,`Invalid index ${U}`);this.selection.set(d,I)}getSelection(){return this.selection.get()}getSelectedElements(){return this.getSelection().map(d=>this.view.element(d))}setAnchor(d){if(typeof d=="undefined"){this.anchor.set([]);return}if(d<0||d>=this.length)throw new a.ListError(this.user,`Invalid index ${d}`);this.anchor.set([d])}getAnchor(){return(0,p.firstOrDefault)(this.anchor.get(),void 0)}getAnchorElement(){const d=this.getAnchor();return typeof d=="undefined"?void 0:this.element(d)}setFocus(d,I){for(const U of d)if(U<0||U>=this.length)throw new a.ListError(this.user,`Invalid index ${U}`);this.focus.set(d,I)}focusNext(d=1,I=!1,U,K){if(this.length===0)return;const Z=this.focus.get(),L=this.findNextIndex(Z.length>0?Z[0]+d:0,I,K);L>-1&&this.setFocus([L],U)}focusPrevious(d=1,I=!1,U,K){if(this.length===0)return;const Z=this.focus.get(),L=this.findPreviousIndex(Z.length>0?Z[0]-d:0,I,K);L>-1&&this.setFocus([L],U)}async focusNextPage(d,I){let U=this.view.indexAt(this.view.getScrollTop()+this.view.renderHeight);U=U===0?0:U-1;const K=this.getFocus()[0];if(K!==U&&(K===void 0||U>K)){const Z=this.findPreviousIndex(U,!1,I);Z>-1&&K!==Z?this.setFocus([Z],d):this.setFocus([U],d)}else{const Z=this.view.getScrollTop();let L=Z+this.view.renderHeight;U>K&&(L-=this.view.elementHeight(U)),this.view.setScrollTop(L),this.view.getScrollTop()!==Z&&(this.setFocus([]),await(0,f.timeout)(0),await this.focusNextPage(d,I))}}async focusPreviousPage(d,I){let U;const K=this.view.getScrollTop();K===0?U=this.view.indexAt(K):U=this.view.indexAfter(K-1);const Z=this.getFocus()[0];if(Z!==U&&(Z===void 0||Z>=U)){const L=this.findNextIndex(U,!1,I);L>-1&&Z!==L?this.setFocus([L],d):this.setFocus([U],d)}else{const L=K;this.view.setScrollTop(K-this.view.renderHeight),this.view.getScrollTop()!==L&&(this.setFocus([]),await(0,f.timeout)(0),await this.focusPreviousPage(d,I))}}focusLast(d,I){if(this.length===0)return;const U=this.findPreviousIndex(this.length-1,!1,I);U>-1&&this.setFocus([U],d)}focusFirst(d,I){this.focusNth(0,d,I)}focusNth(d,I,U){if(this.length===0)return;const K=this.findNextIndex(d,!1,U);K>-1&&this.setFocus([K],I)}findNextIndex(d,I=!1,U){for(let K=0;K<this.length;K++){if(d>=this.length&&!I)return-1;if(d=d%this.length,!U||U(this.element(d)))return d;d++}return-1}findPreviousIndex(d,I=!1,U){for(let K=0;K<this.length;K++){if(d<0&&!I)return-1;if(d=(this.length+d%this.length)%this.length,!U||U(this.element(d)))return d;d--}return-1}getFocus(){return this.focus.get()}getFocusedElements(){return this.getFocus().map(d=>this.view.element(d))}reveal(d,I){if(d<0||d>=this.length)throw new a.ListError(this.user,`Invalid index ${d}`);const U=this.view.getScrollTop(),K=this.view.elementTop(d),Z=this.view.elementHeight(d);if((0,y.isNumber)(I)){const L=Z-this.view.renderHeight;this.view.setScrollTop(L*(0,g.clamp)(I,0,1)+K)}else{const L=K+Z,O=U+this.view.renderHeight;K<U&&L>=O||(K<U||L>=O&&Z>=this.view.renderHeight?this.view.setScrollTop(K):L>=O&&this.view.setScrollTop(L-this.view.renderHeight))}}getRelativeTop(d){if(d<0||d>=this.length)throw new a.ListError(this.user,`Invalid index ${d}`);const I=this.view.getScrollTop(),U=this.view.elementTop(d),K=this.view.elementHeight(d);if(U<I||U+K>I+this.view.renderHeight)return null;const Z=K-this.view.renderHeight;return Math.abs((I-U)/Z)}isDOMFocused(){return this.view.domNode===document.activeElement}getHTMLElement(){return this.view.domNode}getElementID(d){return this.view.getElementDomId(d)}style(d){this.styleController.style(d)}toListEvent({indexes:d,browserEvent:I}){return{indexes:d,elements:d.map(U=>this.view.element(U)),browserEvent:I}}_onFocusChange(){const d=this.focus.get();this.view.domNode.classList.toggle("element-focused",d.length>0),this.onDidChangeActiveDescendant()}onDidChangeActiveDescendant(){const d=this.focus.get();if(d.length>0){let I;this.accessibilityProvider?.getActiveDescendantId&&(I=this.accessibilityProvider.getActiveDescendantId(this.view.element(d[0]))),this.view.domNode.setAttribute("aria-activedescendant",I||this.view.getElementDomId(d[0]))}else this.view.domNode.removeAttribute("aria-activedescendant")}_onSelectionChange(){const d=this.selection.get();this.view.domNode.classList.toggle("selection-none",d.length===0),this.view.domNode.classList.toggle("selection-single",d.length===1),this.view.domNode.classList.toggle("selection-multiple",d.length>1)}dispose(){this._onDidDispose.fire(),this.disposables.dispose(),this._onDidDispose.dispose()}}Ke([N.memoize],j.prototype,"onDidChangeFocus",null),Ke([N.memoize],j.prototype,"onDidChangeSelection",null),Ke([N.memoize],j.prototype,"onContextMenu",null),Ke([N.memoize],j.prototype,"onKeyDown",null),Ke([N.memoize],j.prototype,"onKeyUp",null),Ke([N.memoize],j.prototype,"onKeyPress",null),Ke([N.memoize],j.prototype,"onDidFocus",null),Ke([N.memoize],j.prototype,"onDidBlur",null),t.List=j}),define(me[59],pe([1,0,13,34,36,10,16]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parseHrefAndDimensions=t.removeMarkdownEscapes=t.escapeDoubleQuotes=t.escapeMarkdownSyntaxTokens=t.markdownStringEqual=t.isMarkdownString=t.isEmptyMarkdownString=t.MarkdownString=t.MarkdownStringTextNewlineStyle=void 0;var w;(function(v){v[v.Paragraph=0]="Paragraph",v[v.Break=1]="Break"})(w=t.MarkdownStringTextNewlineStyle||(t.MarkdownStringTextNewlineStyle={}));class p{constructor(D="",y=!1){if(this.value=D,typeof this.value!="string")throw(0,E.illegalArgument)("value");typeof y=="boolean"?(this.isTrusted=y,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=y.isTrusted??void 0,this.supportThemeIcons=y.supportThemeIcons??!1,this.supportHtml=y.supportHtml??!1)}appendText(D,y=0){return this.value+=o(this.supportThemeIcons?(0,i.escapeIcons)(D):D).replace(/([ \t]+)/g,(a,u)=>"&nbsp;".repeat(u.length)).replace(/\>/gm,"\\>").replace(/\n/g,y===1?`\\
`:`

`),this}appendMarkdown(D){return this.value+=D,this}appendCodeblock(D,y){return this.value+="\n```",this.value+=D,this.value+=`
`,this.value+=y,this.value+="\n```\n",this}appendLink(D,y,a){return this.value+="[",this.value+=this._escape(y,"]"),this.value+="](",this.value+=this._escape(String(D),")"),a&&(this.value+=` "${this._escape(this._escape(a,'"'),")")}"`),this.value+=")",this}_escape(D,y){const a=new RegExp((0,M.escapeRegExpCharacters)(y),"g");return D.replace(a,(u,b)=>D.charAt(b-1)!=="\\"?`\\${u}`:u)}}t.MarkdownString=p;function f(v){return m(v)?!v.value:Array.isArray(v)?v.every(f):!0}t.isEmptyMarkdownString=f;function m(v){return v instanceof p?!0:v&&typeof v=="object"?typeof v.value=="string"&&(typeof v.isTrusted=="boolean"||v.isTrusted===void 0)&&(typeof v.supportThemeIcons=="boolean"||v.supportThemeIcons===void 0):!1}t.isMarkdownString=m;function N(v,D){return v===D?!0:!v||!D?!1:v.value===D.value&&v.isTrusted===D.isTrusted&&v.supportThemeIcons===D.supportThemeIcons&&v.supportHtml===D.supportHtml&&(v.baseUri===D.baseUri||!!v.baseUri&&!!D.baseUri&&(0,H.isEqual)(C.URI.from(v.baseUri),C.URI.from(D.baseUri)))}t.markdownStringEqual=N;function o(v){return v.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}t.escapeMarkdownSyntaxTokens=o;function s(v){return v.replace(/"/g,"&quot;")}t.escapeDoubleQuotes=s;function e(v){return v&&v.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}t.removeMarkdownEscapes=e;function g(v){const D=[],y=v.split("|").map(u=>u.trim());v=y[0];const a=y[1];if(a){const u=/height=(\d+)/.exec(a),b=/width=(\d+)/.exec(a),S=u?u[1]:"",F=b?b[1]:"",_=isFinite(parseInt(F)),r=isFinite(parseInt(S));_&&D.push(`width="${F}"`),r&&D.push(`height="${S}"`)}return{href:v,dimensions:D}}t.parseHrefAndDimensions=g}),define(me[120],pe([1,0,4,112,18,51,20,113,13,3,59,34,71,2,75,49,35,27,36,10,16]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s,e,g,v,D,y,a,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.renderMarkdownAsPlaintext=t.renderStringAsPlaintext=t.renderMarkdown=void 0;function b(l,c={},P={}){const V=new s.DisposableStore;let ue=!1;const ne=(0,M.createElement)(c),ge=function(ee){let X;try{X=(0,g.parse)(decodeURIComponent(ee))}catch{}return X?(X=(0,D.cloneAndChange)(X,se=>{if(l.uris&&l.uris[se])return u.URI.revive(l.uris[se])}),encodeURIComponent(JSON.stringify(X))):ee},ae=function(ee,X){const se=l.uris&&l.uris[ee];let ie=u.URI.revive(se);return X?ee.startsWith(v.Schemas.data+":")?ee:(ie||(ie=u.URI.parse(ee)),v.FileAccess.asBrowserUri(ie).toString(!0)):!ie||u.URI.parse(ee).toString()===ie.toString()?ee:(ie.query&&(ie=ie.with({query:ge(ie.query)})),ie.toString())},we=new e.marked.Renderer;we.image=(ee,X,se)=>{let ie=[],T=[];return ee&&({href:ee,dimensions:ie}=(0,m.parseHrefAndDimensions)(ee),T.push(`src="${(0,m.escapeDoubleQuotes)(ee)}"`)),se&&T.push(`alt="${(0,m.escapeDoubleQuotes)(se)}"`),X&&T.push(`title="${(0,m.escapeDoubleQuotes)(X)}"`),ie.length&&(T=T.concat(ie)),"<img "+T.join(" ")+">"},we.link=(ee,X,se)=>typeof ee!="string"?"":(ee===se&&(se=(0,m.removeMarkdownEscapes)(se)),X=typeof X=="string"?(0,m.escapeDoubleQuotes)((0,m.removeMarkdownEscapes)(X)):"",ee=(0,m.removeMarkdownEscapes)(ee),ee=ee.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;"),`<a href="${ee}" title="${X||ee}">${se}</a>`),we.paragraph=ee=>`<p>${ee}</p>`;const he=[];if(c.codeBlockRenderer&&(we.code=(ee,X)=>{const se=o.defaultGenerator.nextId(),ie=c.codeBlockRenderer(S(X),ee);return he.push(ie.then(T=>[se,T])),`<div class="code" data-code="${se}">${(0,a.escape)(ee)}</div>`}),c.actionHandler){const ee=c.actionHandler.disposables.add(new H.DomEmitter(ne,"click")),X=c.actionHandler.disposables.add(new H.DomEmitter(ne,"auxclick"));c.actionHandler.disposables.add(f.Event.any(ee.event,X.event)(se=>{const ie=new C.StandardMouseEvent(se);if(!ie.leftButton&&!ie.middleButton)return;let T=ie.target;if(!(T.tagName!=="A"&&(T=T.parentElement,!T||T.tagName!=="A")))try{let $=T.dataset.href;$&&(l.baseUri&&($=F(u.URI.from(l.baseUri),$)),c.actionHandler.callback($,ie))}catch($){(0,p.onUnexpectedError)($)}finally{ie.preventDefault()}}))}l.supportHtml||(P.sanitizer=ee=>(l.isTrusted?ee.match(/^(<span[^>]+>)|(<\/\s*span>)$/):void 0)?ee:"",P.sanitize=!0,P.silent=!0),P.renderer=we;let re=l.value??"";re.length>1e5&&(re=`${re.substr(0,1e5)}\u2026`),l.supportThemeIcons&&(re=(0,N.markdownEscapeEscapedIcons)(re));let Ce=e.marked.parse(re,P);l.supportThemeIcons&&(Ce=(0,w.renderLabelWithIcons)(Ce).map(X=>typeof X=="string"?X:X.outerHTML).join(""));const De=new DOMParser().parseFromString(_(l,Ce),"text/html");if(De.body.querySelectorAll("img").forEach(ee=>{const X=ee.getAttribute("src");if(X){let se=X;try{l.baseUri&&(se=F(u.URI.from(l.baseUri),se))}catch{}ee.src=ae(se,!0)}}),De.body.querySelectorAll("a").forEach(ee=>{const X=ee.getAttribute("href");if(ee.setAttribute("href",""),!X||/^data:|javascript:/i.test(X)||/^command:/i.test(X)&&!l.isTrusted||/^command:(\/\/\/)?_workbench\.downloadResource/i.test(X))ee.replaceWith(...ee.childNodes);else{let se=ae(X,!1);l.baseUri&&(se=F(u.URI.from(l.baseUri),X)),ee.dataset.href=se}}),ne.innerHTML=_(l,De.body.innerHTML),he.length>0&&Promise.all(he).then(ee=>{if(ue)return;const X=new Map(ee),se=ne.querySelectorAll("div[data-code]");for(const ie of se){const T=X.get(ie.dataset.code??"");T&&E.reset(ie,T)}c.asyncRenderCallback?.()}),c.asyncRenderCallback)for(const ee of ne.getElementsByTagName("img")){const X=V.add(E.addDisposableListener(ee,"load",()=>{X.dispose(),c.asyncRenderCallback()}))}return{element:ne,dispose:()=>{ue=!0,V.dispose()}}}t.renderMarkdown=b;function S(l){if(!l)return"";const c=l.split(/[\s+|:|,|\{|\?]/,1);return c.length?c[0]:l}function F(l,c){return/^\w[\w\d+.-]*:/.test(c)?c:l.path.endsWith("/")?(0,y.resolvePath)(l,c).toString():(0,y.resolvePath)((0,y.dirname)(l),c).toString()}function _(l,c){const{config:P,allowedSchemes:V}=r(l);i.addHook("uponSanitizeAttribute",(ne,ge)=>{if(ge.attrName==="style"||ge.attrName==="class"){if(ne.tagName==="SPAN"){if(ge.attrName==="style"){ge.keepAttr=/^(color\:#[0-9a-fA-F]+;)?(background-color\:#[0-9a-fA-F]+;)?$/.test(ge.attrValue);return}else if(ge.attrName==="class"){ge.keepAttr=/^codicon codicon-[a-z\-]+( codicon-modifier-[a-z\-]+)?$/.test(ge.attrValue);return}}ge.keepAttr=!1;return}});const ue=E.hookDomPurifyHrefAndSrcSanitizer(V);try{return i.sanitize(c,{...P,RETURN_TRUSTED_TYPE:!0})}finally{i.removeHook("uponSanitizeAttribute"),ue.dispose()}}function r(l){const c=[v.Schemas.http,v.Schemas.https,v.Schemas.mailto,v.Schemas.data,v.Schemas.file,v.Schemas.vscodeFileResource,v.Schemas.vscodeRemote,v.Schemas.vscodeRemoteResource];return l.isTrusted&&c.push(v.Schemas.command),{config:{ALLOWED_TAGS:["ul","li","p","b","i","code","blockquote","ol","h1","h2","h3","h4","h5","h6","hr","em","pre","table","thead","tbody","tr","th","td","div","del","a","strong","br","img","span"],ALLOWED_ATTR:["href","data-href","target","title","src","alt","class","style","data-code","width","height","align"],ALLOW_UNKNOWN_PROTOCOLS:!0},allowedSchemes:c}}function n(l){return typeof l=="string"?l:h(l)}t.renderStringAsPlaintext=n;function h(l){const c=new e.marked.Renderer;c.code=ne=>ne,c.blockquote=ne=>ne,c.html=ne=>"",c.heading=(ne,ge,ae)=>ne+`
`,c.hr=()=>"",c.list=(ne,ge)=>ne,c.listitem=ne=>ne+`
`,c.paragraph=ne=>ne+`
`,c.table=(ne,ge)=>ne+ge+`
`,c.tablerow=ne=>ne,c.tablecell=(ne,ge)=>ne+" ",c.strong=ne=>ne,c.em=ne=>ne,c.codespan=ne=>ne,c.br=()=>`
`,c.del=ne=>ne,c.image=(ne,ge,ae)=>"",c.text=ne=>ne,c.link=(ne,ge,ae)=>ae;let P=l.value??"";P.length>1e5&&(P=`${P.substr(0,1e5)}\u2026`);const V=new Map([["&quot;",'"'],["&nbsp;"," "],["&amp;","&"],["&#39;","'"],["&lt;","<"],["&gt;",">"]]),ue=e.marked.parse(P,{renderer:c}).replace(/&(#\d+|[a-zA-Z]+);/g,ne=>V.get(ne)??ne);return _({isTrusted:!1},ue).toString()}t.renderMarkdownAsPlaintext=h}),define(me[121],pe([1,0,4,8,28,59,34,2,6,98]),function(Q,t,E,i,H,M,C,w,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.setupCustomHover=t.setupNativeHover=void 0;function m(s,e){(0,p.isString)(e)?s.title=(0,C.stripIcons)(e):e?.markdownNotSupportedFallback?s.title=e.markdownNotSupportedFallback:s.removeAttribute("title")}t.setupNativeHover=m;class N{constructor(e,g,v){this.hoverDelegate=e,this.target=g,this.fadeInAnimation=v}async update(e,g,v){if(this._cancellationTokenSource&&(this._cancellationTokenSource.dispose(!0),this._cancellationTokenSource=void 0),this.isDisposed)return;let D;if(e===void 0||(0,p.isString)(e)||e instanceof HTMLElement)D=e;else if(!(0,p.isFunction)(e.markdown))D=e.markdown??e.markdownNotSupportedFallback;else{this._hoverWidget||this.show((0,f.localize)(0,null),g),this._cancellationTokenSource=new H.CancellationTokenSource;const y=this._cancellationTokenSource.token;if(D=await e.markdown(y),D===void 0&&(D=e.markdownNotSupportedFallback),this.isDisposed||y.isCancellationRequested)return}this.show(D,g,v)}show(e,g,v){const D=this._hoverWidget;if(this.hasContent(e)){const y={content:e,target:this.target,showPointer:this.hoverDelegate.placement==="element",hoverPosition:2,skipFadeInAnimation:!this.fadeInAnimation||!!D,...v};this._hoverWidget=this.hoverDelegate.showHover(y,g)}D?.dispose()}hasContent(e){return e?(0,M.isMarkdownString)(e)?!!e.value:!0:!1}get isDisposed(){return this._hoverWidget?.isDisposed}dispose(){this._hoverWidget?.dispose(),this._cancellationTokenSource?.dispose(!0),this._cancellationTokenSource=void 0}}function o(s,e,g,v){let D,y;const a=(_,r)=>{_&&(y?.dispose(),y=void 0),r&&(D?.dispose(),D=void 0),s.onDidHideHover?.()},u=(_,r,n)=>new i.TimeoutTimer(async()=>{(!y||y.isDisposed)&&(y=new N(s,n||e,_>0),await y.update(g,r,v))},_),b=()=>{if(D)return;const _=new w.DisposableStore,r=l=>a(!1,l.fromElement===e);_.add(E.addDisposableListener(e,E.EventType.MOUSE_LEAVE,r,!0));const n=()=>a(!0,!0);_.add(E.addDisposableListener(e,E.EventType.MOUSE_DOWN,n,!0));const h={targetElements:[e],dispose:()=>{}};if(s.placement===void 0||s.placement==="mouse"){const l=c=>{h.x=c.x+10,c.target instanceof HTMLElement&&c.target.classList.contains("action-label")&&a(!0,!0)};_.add(E.addDisposableListener(e,E.EventType.MOUSE_MOVE,l,!0))}_.add(u(s.delay,!1,h)),D=_},S=E.addDisposableListener(e,E.EventType.MOUSE_OVER,b,!0);return{show:_=>{a(!1,!0),u(0,_)},hide:()=>{a(!0,!0)},update:async(_,r)=>{g=_,await y?.update(g,void 0,r)},dispose:()=>{S.dispose(),a(!0,!0)}}}t.setupCustomHover=o}),define(me[122],pe([1,0,4,18,19,120,58,14,3,43,2,5,100,91]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBoxList=void 0;const s=E.$,e="selectOption.entry.template";class g{get templateId(){return e}renderTemplate(y){const a=Object.create(null);return a.disposables=[],a.root=y,a.text=E.append(y,s(".option-text")),a.detail=E.append(y,s(".option-detail")),a.decoratorRight=E.append(y,s(".option-decorator-right")),a}renderElement(y,a,u){const b=u,S=y.text,F=y.detail,_=y.decoratorRight,r=y.isDisabled;b.text.textContent=S,b.detail.textContent=F||"",b.decoratorRight.innerText=_||"",r?b.root.classList.add("option-disabled"):b.root.classList.remove("option-disabled")}disposeTemplate(y){y.disposables=(0,m.dispose)(y.disposables)}}class v extends m.Disposable{constructor(y,a,u,b,S){super();this.options=[],this._currentSelection=0,this._hasDetails=!1,this._skipLayout=!1,this._sticky=!1,this._isVisible=!1,this.selectBoxOptions=S||Object.create(null),typeof this.selectBoxOptions.minBottomMargin!="number"?this.selectBoxOptions.minBottomMargin=v.DEFAULT_DROPDOWN_MINIMUM_BOTTOM_MARGIN:this.selectBoxOptions.minBottomMargin<0&&(this.selectBoxOptions.minBottomMargin=0),this.selectElement=document.createElement("select"),this.selectElement.className="monaco-select-box monaco-select-box-dropdown-padding",typeof this.selectBoxOptions.ariaLabel=="string"&&this.selectElement.setAttribute("aria-label",this.selectBoxOptions.ariaLabel),typeof this.selectBoxOptions.ariaDescription=="string"&&this.selectElement.setAttribute("aria-description",this.selectBoxOptions.ariaDescription),this._onDidSelect=new p.Emitter,this._register(this._onDidSelect),this.styles=b,this.registerListeners(),this.constructSelectDropDown(u),this.selected=a||0,y&&this.setOptions(y,a)}getHeight(){return 18}getTemplateId(){return e}constructSelectDropDown(y){this.contextViewProvider=y,this.selectDropDownContainer=E.$(".monaco-select-box-dropdown-container"),this.selectDropDownContainer.classList.add("monaco-select-box-dropdown-padding"),this.selectionDetailsPane=E.append(this.selectDropDownContainer,s(".select-box-details-pane"));const a=E.append(this.selectDropDownContainer,s(".select-box-dropdown-container-width-control")),u=E.append(a,s(".width-control-div"));this.widthControlElement=document.createElement("span"),this.widthControlElement.className="option-text-width-control",E.append(u,this.widthControlElement),this._dropDownPosition=0,this.styleElement=E.createStyleSheet(this.selectDropDownContainer),this.selectDropDownContainer.setAttribute("draggable","true"),this._register(E.addDisposableListener(this.selectDropDownContainer,E.EventType.DRAG_START,b=>{E.EventHelper.stop(b,!0)}))}registerListeners(){this._register(E.addStandardDisposableListener(this.selectElement,"change",a=>{this.selected=a.target.selectedIndex,this._onDidSelect.fire({index:a.target.selectedIndex,selected:a.target.value}),!!this.options[this.selected]&&!!this.options[this.selected].text&&(this.selectElement.title=this.options[this.selected].text)})),this._register(E.addDisposableListener(this.selectElement,E.EventType.CLICK,a=>{E.EventHelper.stop(a),this._isVisible?this.hideSelectDropDown(!0):this.showSelectDropDown()})),this._register(E.addDisposableListener(this.selectElement,E.EventType.MOUSE_DOWN,a=>{E.EventHelper.stop(a)}));let y;this._register(E.addDisposableListener(this.selectElement,"touchstart",a=>{y=this._isVisible})),this._register(E.addDisposableListener(this.selectElement,"touchend",a=>{E.EventHelper.stop(a),y?this.hideSelectDropDown(!0):this.showSelectDropDown()})),this._register(E.addDisposableListener(this.selectElement,E.EventType.KEY_DOWN,a=>{const u=new H.StandardKeyboardEvent(a);let b=!1;N.isMacintosh?(u.keyCode===18||u.keyCode===16||u.keyCode===10||u.keyCode===3)&&(b=!0):(u.keyCode===18&&u.altKey||u.keyCode===16&&u.altKey||u.keyCode===10||u.keyCode===3)&&(b=!0),b&&(this.showSelectDropDown(),E.EventHelper.stop(a,!0))}))}get onDidSelect(){return this._onDidSelect.event}setOptions(y,a){w.equals(this.options,y)||(this.options=y,this.selectElement.options.length=0,this._hasDetails=!1,this.options.forEach((u,b)=>{this.selectElement.add(this.createOption(u.text,b,u.isDisabled)),typeof u.description=="string"&&(this._hasDetails=!0)})),a!==void 0&&(this.select(a),this._currentSelection=this.selected)}setOptionsList(){this.selectList?.splice(0,this.selectList.length,this.options)}select(y){y>=0&&y<this.options.length?this.selected=y:y>this.options.length-1?this.select(this.options.length-1):this.selected<0&&(this.selected=0),this.selectElement.selectedIndex=this.selected,!!this.options[this.selected]&&!!this.options[this.selected].text&&(this.selectElement.title=this.options[this.selected].text)}setAriaLabel(y){this.selectBoxOptions.ariaLabel=y,this.selectElement.setAttribute("aria-label",this.selectBoxOptions.ariaLabel)}focus(){this.selectElement&&(this.selectElement.tabIndex=0,this.selectElement.focus())}blur(){this.selectElement&&(this.selectElement.tabIndex=-1,this.selectElement.blur())}setFocusable(y){this.selectElement.tabIndex=y?0:-1}render(y){this.container=y,y.classList.add("select-container"),y.appendChild(this.selectElement),this.applyStyles()}style(y){const a=[];this.styles=y,this.styles.listFocusBackground&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { background-color: ${this.styles.listFocusBackground} !important; }`),this.styles.listFocusForeground&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { color: ${this.styles.listFocusForeground} !important; }`),this.styles.decoratorRightForeground&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.focused) .option-decorator-right { color: ${this.styles.decoratorRightForeground}; }`),this.styles.selectBackground&&this.styles.selectBorder&&!this.styles.selectBorder.equals(this.styles.selectBackground)?(a.push(`.monaco-select-box-dropdown-container { border: 1px solid ${this.styles.selectBorder} } `),a.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-top { border-top: 1px solid ${this.styles.selectBorder} } `),a.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-bottom { border-bottom: 1px solid ${this.styles.selectBorder} } `)):this.styles.selectListBorder&&(a.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-top { border-top: 1px solid ${this.styles.selectListBorder} } `),a.push(`.monaco-select-box-dropdown-container > .select-box-details-pane.border-bottom { border-bottom: 1px solid ${this.styles.selectListBorder} } `)),this.styles.listHoverForeground&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { color: ${this.styles.listHoverForeground} !important; }`),this.styles.listHoverBackground&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { background-color: ${this.styles.listHoverBackground} !important; }`),this.styles.listFocusOutline&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { outline: 1.6px dotted ${this.styles.listFocusOutline} !important; outline-offset: -1.6px !important; }`),this.styles.listHoverOutline&&a.push(`.monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { outline: 1.6px dashed ${this.styles.listHoverOutline} !important; outline-offset: -1.6px !important; }`),a.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled.focused { background-color: transparent !important; color: inherit !important; outline: none !important; }"),a.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled:hover { background-color: transparent !important; color: inherit !important; outline: none !important; }"),this.styleElement.textContent=a.join(`
`),this.applyStyles()}applyStyles(){if(this.selectElement){const y=this.styles.selectBackground?this.styles.selectBackground.toString():"",a=this.styles.selectForeground?this.styles.selectForeground.toString():"",u=this.styles.selectBorder?this.styles.selectBorder.toString():"";this.selectElement.style.backgroundColor=y,this.selectElement.style.color=a,this.selectElement.style.borderColor=u}this.selectList&&this.styleList()}styleList(){if(this.selectList){const y=this.styles.selectBackground?this.styles.selectBackground.toString():"";this.selectList.style({});const a=this.styles.selectListBackground?this.styles.selectListBackground.toString():y;this.selectDropDownListContainer.style.backgroundColor=a,this.selectionDetailsPane.style.backgroundColor=a;const u=this.styles.focusBorder?this.styles.focusBorder.toString():"";this.selectDropDownContainer.style.outlineColor=u,this.selectDropDownContainer.style.outlineOffset="-1px"}}createOption(y,a,u){const b=document.createElement("option");return b.value=y,b.text=y,b.disabled=!!u,b}showSelectDropDown(){this.selectionDetailsPane.innerText="",!(!this.contextViewProvider||this._isVisible)&&(this.createSelectList(this.selectDropDownContainer),this.setOptionsList(),this.contextViewProvider.showContextView({getAnchor:()=>this.selectElement,render:y=>this.renderSelectDropDown(y,!0),layout:()=>{this.layoutSelectDropDown()},onHide:()=>{this.selectDropDownContainer.classList.remove("visible"),this.selectElement.classList.remove("synthetic-focus")},anchorPosition:this._dropDownPosition},this.selectBoxOptions.optionsAsChildren?this.container:void 0),this._isVisible=!0,this.hideSelectDropDown(!1),this.contextViewProvider.showContextView({getAnchor:()=>this.selectElement,render:y=>this.renderSelectDropDown(y),layout:()=>this.layoutSelectDropDown(),onHide:()=>{this.selectDropDownContainer.classList.remove("visible"),this.selectElement.classList.remove("synthetic-focus")},anchorPosition:this._dropDownPosition},this.selectBoxOptions.optionsAsChildren?this.container:void 0),this._currentSelection=this.selected,this._isVisible=!0,this.selectElement.setAttribute("aria-expanded","true"))}hideSelectDropDown(y){!this.contextViewProvider||!this._isVisible||(this._isVisible=!1,this.selectElement.setAttribute("aria-expanded","false"),y&&this.selectElement.focus(),this.contextViewProvider.hideContextView())}renderSelectDropDown(y,a){return y.appendChild(this.selectDropDownContainer),this.layoutSelectDropDown(a),{dispose:()=>{try{y.removeChild(this.selectDropDownContainer)}catch{}}}}measureMaxDetailsHeight(){let y=0;return this.options.forEach((a,u)=>{this.updateDetail(u),this.selectionDetailsPane.offsetHeight>y&&(y=this.selectionDetailsPane.offsetHeight)}),y}layoutSelectDropDown(y){if(this._skipLayout)return!1;if(this.selectList){this.selectDropDownContainer.classList.add("visible");const a=E.getDomNodePagePosition(this.selectElement),u=getComputedStyle(this.selectElement),b=parseFloat(u.getPropertyValue("--dropdown-padding-top"))+parseFloat(u.getPropertyValue("--dropdown-padding-bottom")),S=window.innerHeight-a.top-a.height-(this.selectBoxOptions.minBottomMargin||0),F=a.top-v.DEFAULT_DROPDOWN_MINIMUM_TOP_MARGIN,_=this.selectElement.offsetWidth,r=this.setWidthControlElement(this.widthControlElement),n=Math.max(r,Math.round(_)).toString()+"px";this.selectDropDownContainer.style.width=n,this.selectList.getHTMLElement().style.height="",this.selectList.layout();let h=this.selectList.contentHeight;const l=this._hasDetails?this.measureMaxDetailsHeight():0,c=h+b+l,P=Math.floor((S-b-l)/this.getHeight()),V=Math.floor((F-b-l)/this.getHeight());if(y)return a.top+a.height>window.innerHeight-22||a.top<v.DEFAULT_DROPDOWN_MINIMUM_TOP_MARGIN||P<1&&V<1?!1:(P<v.DEFAULT_MINIMUM_VISIBLE_OPTIONS&&V>P&&this.options.length>P?(this._dropDownPosition=1,this.selectDropDownContainer.removeChild(this.selectDropDownListContainer),this.selectDropDownContainer.removeChild(this.selectionDetailsPane),this.selectDropDownContainer.appendChild(this.selectionDetailsPane),this.selectDropDownContainer.appendChild(this.selectDropDownListContainer),this.selectionDetailsPane.classList.remove("border-top"),this.selectionDetailsPane.classList.add("border-bottom")):(this._dropDownPosition=0,this.selectDropDownContainer.removeChild(this.selectDropDownListContainer),this.selectDropDownContainer.removeChild(this.selectionDetailsPane),this.selectDropDownContainer.appendChild(this.selectDropDownListContainer),this.selectDropDownContainer.appendChild(this.selectionDetailsPane),this.selectionDetailsPane.classList.remove("border-bottom"),this.selectionDetailsPane.classList.add("border-top")),!0);if(a.top+a.height>window.innerHeight-22||a.top<v.DEFAULT_DROPDOWN_MINIMUM_TOP_MARGIN||this._dropDownPosition===0&&P<1||this._dropDownPosition===1&&V<1)return this.hideSelectDropDown(!0),!1;if(this._dropDownPosition===0){if(this._isVisible&&P+V<1)return this.hideSelectDropDown(!0),!1;c>S&&(h=P*this.getHeight())}else c>F&&(h=V*this.getHeight());return this.selectList.layout(h),this.selectList.domFocus(),this.selectList.length>0&&(this.selectList.setFocus([this.selected||0]),this.selectList.reveal(this.selectList.getFocus()[0]||0)),this._hasDetails?(this.selectList.getHTMLElement().style.height=h+b+"px",this.selectDropDownContainer.style.height=""):this.selectDropDownContainer.style.height=h+b+"px",this.updateDetail(this.selected),this.selectDropDownContainer.style.width=n,this.selectDropDownListContainer.setAttribute("tabindex","0"),this.selectElement.classList.add("synthetic-focus"),this.selectDropDownContainer.classList.add("synthetic-focus"),!0}else return!1}setWidthControlElement(y){let a=0;if(y){let u=0,b=0;this.options.forEach((S,F)=>{const _=S.detail?S.detail.length:0,r=S.decoratorRight?S.decoratorRight.length:0,n=S.text.length+_+r;n>b&&(u=F,b=n)}),y.textContent=this.options[u].text+(this.options[u].decoratorRight?this.options[u].decoratorRight+" ":""),a=E.getTotalWidth(y)}return a}createSelectList(y){if(this.selectList)return;this.selectDropDownListContainer=E.append(y,s(".select-box-dropdown-list-container")),this.listRenderer=new g,this.selectList=new C.List("SelectBoxCustom",this.selectDropDownListContainer,this,[this.listRenderer],{useShadows:!1,verticalScrollMode:3,keyboardSupport:!1,mouseSupport:!1,accessibilityProvider:{getAriaLabel:b=>{let S=b.text;return b.detail&&(S+=`. ${b.detail}`),b.decoratorRight&&(S+=`. ${b.decoratorRight}`),b.description&&(S+=`. ${b.description}`),S},getWidgetAriaLabel:()=>(0,o.localize)(0,null),getRole:()=>"option",getWidgetRole:()=>"listbox"}}),this.selectBoxOptions.ariaLabel&&(this.selectList.ariaLabel=this.selectBoxOptions.ariaLabel);const a=this._register(new i.DomEmitter(this.selectDropDownListContainer,"keydown")),u=p.Event.chain(a.event).filter(()=>this.selectList.length>0).map(b=>new H.StandardKeyboardEvent(b));this._register(u.filter(b=>b.keyCode===3).on(b=>this.onEnter(b),this)),this._register(u.filter(b=>b.keyCode===2).on(b=>this.onEnter(b),this)),this._register(u.filter(b=>b.keyCode===9).on(b=>this.onEscape(b),this)),this._register(u.filter(b=>b.keyCode===16).on(b=>this.onUpArrow(b),this)),this._register(u.filter(b=>b.keyCode===18).on(b=>this.onDownArrow(b),this)),this._register(u.filter(b=>b.keyCode===12).on(this.onPageDown,this)),this._register(u.filter(b=>b.keyCode===11).on(this.onPageUp,this)),this._register(u.filter(b=>b.keyCode===14).on(this.onHome,this)),this._register(u.filter(b=>b.keyCode===13).on(this.onEnd,this)),this._register(u.filter(b=>b.keyCode>=21&&b.keyCode<=56||b.keyCode>=80&&b.keyCode<=108).on(this.onCharacter,this)),this._register(E.addDisposableListener(this.selectList.getHTMLElement(),E.EventType.POINTER_UP,b=>this.onPointerUp(b))),this._register(this.selectList.onMouseOver(b=>typeof b.index!="undefined"&&this.selectList.setFocus([b.index]))),this._register(this.selectList.onDidChangeFocus(b=>this.onListFocus(b))),this._register(E.addDisposableListener(this.selectDropDownContainer,E.EventType.FOCUS_OUT,b=>{!this._isVisible||E.isAncestor(b.relatedTarget,this.selectDropDownContainer)||this.onListBlur()})),this.selectList.getHTMLElement().setAttribute("aria-label",this.selectBoxOptions.ariaLabel||""),this.selectList.getHTMLElement().setAttribute("aria-expanded","true"),this.styleList()}onPointerUp(y){if(!this.selectList.length)return;E.EventHelper.stop(y);const a=y.target;if(!a||a.classList.contains("slider"))return;const u=a.closest(".monaco-list-row");if(!u)return;const b=Number(u.getAttribute("data-index")),S=u.classList.contains("option-disabled");b>=0&&b<this.options.length&&!S&&(this.selected=b,this.select(this.selected),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0]),this.selected!==this._currentSelection&&(this._currentSelection=this.selected,this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.options[this.selected].text}),!!this.options[this.selected]&&!!this.options[this.selected].text&&(this.selectElement.title=this.options[this.selected].text)),this.hideSelectDropDown(!0))}onListBlur(){this._sticky||(this.selected!==this._currentSelection&&this.select(this._currentSelection),this.hideSelectDropDown(!1))}renderDescriptionMarkdown(y,a){const u=S=>{for(let F=0;F<S.childNodes.length;F++){const _=S.childNodes.item(F);(_.tagName&&_.tagName.toLowerCase())==="img"?S.removeChild(_):u(_)}},b=(0,M.renderMarkdown)({value:y},{actionHandler:a});return b.element.classList.add("select-box-description-markdown"),u(b.element),b.element}onListFocus(y){!this._isVisible||!this._hasDetails||this.updateDetail(y.indexes[0])}updateDetail(y){this.selectionDetailsPane.innerText="";const a=this.options[y],u=a?.description??"",b=a?.descriptionIsMarkdown??!1;if(u){if(b){const S=a.descriptionMarkdownActionHandler;this.selectionDetailsPane.appendChild(this.renderDescriptionMarkdown(u,S))}else this.selectionDetailsPane.innerText=u;this.selectionDetailsPane.style.display="block"}else this.selectionDetailsPane.style.display="none";this._skipLayout=!0,this.contextViewProvider.layout(),this._skipLayout=!1}onEscape(y){E.EventHelper.stop(y),this.select(this._currentSelection),this.hideSelectDropDown(!0)}onEnter(y){E.EventHelper.stop(y),this.selected!==this._currentSelection&&(this._currentSelection=this.selected,this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.options[this.selected].text}),!!this.options[this.selected]&&!!this.options[this.selected].text&&(this.selectElement.title=this.options[this.selected].text)),this.hideSelectDropDown(!0)}onDownArrow(y){if(this.selected<this.options.length-1){E.EventHelper.stop(y,!0);const a=this.options[this.selected+1].isDisabled;if(a&&this.options.length>this.selected+2)this.selected+=2;else{if(a)return;this.selected++}this.select(this.selected),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0])}}onUpArrow(y){this.selected>0&&(E.EventHelper.stop(y,!0),this.options[this.selected-1].isDisabled&&this.selected>1?this.selected-=2:this.selected--,this.select(this.selected),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0]))}onPageUp(y){E.EventHelper.stop(y),this.selectList.focusPreviousPage(),setTimeout(()=>{this.selected=this.selectList.getFocus()[0],this.options[this.selected].isDisabled&&this.selected<this.options.length-1&&(this.selected++,this.selectList.setFocus([this.selected])),this.selectList.reveal(this.selected),this.select(this.selected)},1)}onPageDown(y){E.EventHelper.stop(y),this.selectList.focusNextPage(),setTimeout(()=>{this.selected=this.selectList.getFocus()[0],this.options[this.selected].isDisabled&&this.selected>0&&(this.selected--,this.selectList.setFocus([this.selected])),this.selectList.reveal(this.selected),this.select(this.selected)},1)}onHome(y){E.EventHelper.stop(y),!(this.options.length<2)&&(this.selected=0,this.options[this.selected].isDisabled&&this.selected>1&&this.selected++,this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selected),this.select(this.selected))}onEnd(y){E.EventHelper.stop(y),!(this.options.length<2)&&(this.selected=this.options.length-1,this.options[this.selected].isDisabled&&this.selected>1&&this.selected--,this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selected),this.select(this.selected))}onCharacter(y){const a=f.KeyCodeUtils.toString(y.keyCode);let u=-1;for(let b=0;b<this.options.length-1;b++)if(u=(b+this.selected+1)%this.options.length,this.options[u].text.charAt(0).toUpperCase()===a&&!this.options[u].isDisabled){this.select(u),this.selectList.setFocus([u]),this.selectList.reveal(this.selectList.getFocus()[0]),E.EventHelper.stop(y);break}}dispose(){this.hideSelectDropDown(!1),super.dispose()}}t.SelectBoxList=v,v.DEFAULT_DROPDOWN_MINIMUM_BOTTOM_MARGIN=32,v.DEFAULT_DROPDOWN_MINIMUM_TOP_MARGIN=2,v.DEFAULT_MINIMUM_VISIBLE_OPTIONS=3}),define(me[123],pe([1,0,122,116,17,24,27,5,90]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectBox=t.defaultStyles=void 0,t.defaultStyles={selectBackground:M.Color.fromHex("#3C3C3C"),selectForeground:M.Color.fromHex("#F0F0F0"),selectBorder:M.Color.fromHex("#3C3C3C")};class p extends H.Widget{constructor(m,N,o,s=(0,C.deepClone)(t.defaultStyles),e){super();w.isMacintosh&&!e?.useCustomDrawn?this.selectBoxDelegate=new i.SelectBoxNative(m,N,s,e):this.selectBoxDelegate=new E.SelectBoxList(m,N,o,s,e),this._register(this.selectBoxDelegate)}get onDidSelect(){return this.selectBoxDelegate.onDidSelect}setOptions(m,N){this.selectBoxDelegate.setOptions(m,N)}select(m){this.selectBoxDelegate.select(m)}setAriaLabel(m){this.selectBoxDelegate.setAriaLabel(m)}focus(){this.selectBoxDelegate.focus()}blur(){this.selectBoxDelegate.blur()}setFocusable(m){this.selectBoxDelegate.setFocusable(m)}render(m){this.selectBoxDelegate.render(m)}style(m){this.selectBoxDelegate.style(m)}applyStyles(){this.selectBoxDelegate.applyStyles()}}t.SelectBox=p}),define(me[60],pe([1,0,15,50,4,22,121,123,32,2,5,6,95,46]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SelectActionViewItem=t.ActionViewItem=t.BaseActionViewItem=void 0;class s extends f.Disposable{constructor(D,y,a={}){super();this.options=a,this._context=D||this,this._action=y,y instanceof p.Action&&this._register(y.onDidChange(u=>{!this.element||this.handleActionChangeEvent(u)}))}get action(){return this._action}handleActionChangeEvent(D){D.enabled!==void 0&&this.updateEnabled(),D.checked!==void 0&&this.updateChecked(),D.class!==void 0&&this.updateClass(),D.label!==void 0&&(this.updateLabel(),this.updateTooltip()),D.tooltip!==void 0&&this.updateTooltip()}get actionRunner(){return this._actionRunner||(this._actionRunner=this._register(new p.ActionRunner)),this._actionRunner}set actionRunner(D){this._actionRunner=D}isEnabled(){return this._action.enabled}setActionContext(D){this._context=D}render(D){const y=this.element=D;this._register(M.Gesture.addTarget(D));const a=this.options&&this.options.draggable;a&&(D.draggable=!0,E.isFirefox&&this._register((0,H.addDisposableListener)(D,H.EventType.DRAG_START,u=>u.dataTransfer?.setData(i.DataTransfers.TEXT,this._action.label)))),this._register((0,H.addDisposableListener)(y,M.EventType.Tap,u=>this.onClick(u,!0))),this._register((0,H.addDisposableListener)(y,H.EventType.MOUSE_DOWN,u=>{a||H.EventHelper.stop(u,!0),this._action.enabled&&u.button===0&&y.classList.add("active")})),m.isMacintosh&&this._register((0,H.addDisposableListener)(y,H.EventType.CONTEXT_MENU,u=>{u.button===0&&u.ctrlKey===!0&&this.onClick(u)})),this._register((0,H.addDisposableListener)(y,H.EventType.CLICK,u=>{H.EventHelper.stop(u,!0),this.options&&this.options.isMenu||this.onClick(u)})),this._register((0,H.addDisposableListener)(y,H.EventType.DBLCLICK,u=>{H.EventHelper.stop(u,!0)})),[H.EventType.MOUSE_UP,H.EventType.MOUSE_OUT].forEach(u=>{this._register((0,H.addDisposableListener)(y,u,b=>{H.EventHelper.stop(b),y.classList.remove("active")}))})}onClick(D,y=!1){H.EventHelper.stop(D,!0);const a=N.isUndefinedOrNull(this._context)?this.options?.useEventAsContext?D:{preserveFocus:y}:this._context;this.actionRunner.run(this._action,a)}focus(){this.element&&(this.element.tabIndex=0,this.element.focus(),this.element.classList.add("focused"))}isFocused(){return!!this.element?.classList.contains("focused")}blur(){this.element&&(this.element.blur(),this.element.tabIndex=-1,this.element.classList.remove("focused"))}setFocusable(D){this.element&&(this.element.tabIndex=D?0:-1)}get trapsArrowNavigation(){return!1}updateEnabled(){}updateLabel(){}getTooltip(){return this.action.tooltip}updateTooltip(){if(!this.element)return;const D=this.getTooltip()??"";this.updateAriaLabel(),this.options.hoverDelegate?(this.element.title="",this.customHover?this.customHover.update(D):(this.customHover=(0,C.setupCustomHover)(this.options.hoverDelegate,this.element,D),this._store.add(this.customHover))):this.element.title=D}updateAriaLabel(){if(this.element){const D=this.getTooltip()??"";this.element.setAttribute("aria-label",D)}}updateClass(){}updateChecked(){}dispose(){this.element&&(this.element.remove(),this.element=void 0),super.dispose()}}t.BaseActionViewItem=s;class e extends s{constructor(D,y,a={}){super(D,y,a);this.options=a,this.options.icon=a.icon!==void 0?a.icon:!1,this.options.label=a.label!==void 0?a.label:!0,this.cssClass=""}render(D){super.render(D),this.element&&(this.label=(0,H.append)(this.element,(0,H.$)("a.action-label"))),this.label&&(this._action.id===p.Separator.ID?this.label.setAttribute("role","presentation"):this.options.isMenu?this.label.setAttribute("role","menuitem"):this.label.setAttribute("role","button")),this.options.label&&this.options.keybinding&&this.element&&((0,H.append)(this.element,(0,H.$)("span.keybinding")).textContent=this.options.keybinding),this.updateClass(),this.updateLabel(),this.updateTooltip(),this.updateEnabled(),this.updateChecked()}focus(){this.label&&(this.label.tabIndex=0,this.label.focus())}isFocused(){return!!this.label&&this.label?.tabIndex===0}blur(){this.label&&(this.label.tabIndex=-1)}setFocusable(D){this.label&&(this.label.tabIndex=D?0:-1)}updateLabel(){this.options.label&&this.label&&(this.label.textContent=this.action.label)}getTooltip(){let D=null;return this.action.tooltip?D=this.action.tooltip:!this.options.label&&this.action.label&&this.options.icon&&(D=this.action.label,this.options.keybinding&&(D=o.localize(0,null,D,this.options.keybinding))),D??void 0}updateClass(){this.cssClass&&this.label&&this.label.classList.remove(...this.cssClass.split(" ")),this.options.icon?(this.cssClass=this.action.class,this.label&&(this.label.classList.add("codicon"),this.cssClass&&this.label.classList.add(...this.cssClass.split(" "))),this.updateEnabled()):this.label?.classList.remove("codicon")}updateEnabled(){this.action.enabled?(this.label&&(this.label.removeAttribute("aria-disabled"),this.label.classList.remove("disabled")),this.element?.classList.remove("disabled")):(this.label&&(this.label.setAttribute("aria-disabled","true"),this.label.classList.add("disabled")),this.element?.classList.add("disabled"))}updateAriaLabel(){if(this.label){const D=this.getTooltip()??"";this.label.setAttribute("aria-label",D)}}updateChecked(){this.label&&(this.action.checked?this.label.classList.add("checked"):this.label.classList.remove("checked"))}}t.ActionViewItem=e;class g extends s{constructor(D,y,a,u,b,S){super(D,y);this.selectBox=new w.SelectBox(a,u,b,void 0,S),this.selectBox.setFocusable(!1),this._register(this.selectBox),this.registerListeners()}setOptions(D,y){this.selectBox.setOptions(D,y)}select(D){this.selectBox.select(D)}registerListeners(){this._register(this.selectBox.onDidSelect(D=>{this.actionRunner.run(this._action,this.getActionContext(D.selected,D.index))}))}getActionContext(D,y){return D}setFocusable(D){this.selectBox.setFocusable(D)}focus(){this.selectBox?.focus()}blur(){this.selectBox?.blur()}render(D){this.selectBox.render(D)}}t.SelectActionViewItem=g}),define(me[61],pe([1,0,4,19,60,32,3,2,6,46]),function(Q,t,E,i,H,M,C,w,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prepareActions=t.ActionBar=t.ActionsOrientation=void 0;var f;(function(o){o[o.HORIZONTAL=0]="HORIZONTAL",o[o.VERTICAL=1]="VERTICAL"})(f=t.ActionsOrientation||(t.ActionsOrientation={}));class m extends w.Disposable{constructor(s,e={}){super();this.triggerKeyDown=!1,this.focusable=!0,this._onDidBlur=this._register(new C.Emitter),this.onDidBlur=this._onDidBlur.event,this._onDidCancel=this._register(new C.Emitter({onFirstListenerAdd:()=>this.cancelHasListener=!0})),this.onDidCancel=this._onDidCancel.event,this.cancelHasListener=!1,this._onDidRun=this._register(new C.Emitter),this.onDidRun=this._onDidRun.event,this._onBeforeRun=this._register(new C.Emitter),this.onBeforeRun=this._onBeforeRun.event,this.options=e,this._context=e.context??null,this._orientation=this.options.orientation??0,this._triggerKeys={keyDown:this.options.triggerKeys?.keyDown??!1,keys:this.options.triggerKeys?.keys??[3,10]},this.options.actionRunner?this._actionRunner=this.options.actionRunner:(this._actionRunner=new M.ActionRunner,this._register(this._actionRunner)),this._register(this._actionRunner.onDidRun(D=>this._onDidRun.fire(D))),this._register(this._actionRunner.onBeforeRun(D=>this._onBeforeRun.fire(D))),this._actionIds=[],this.viewItems=[],this.viewItemDisposables=new Map,this.focusedItem=void 0,this.domNode=document.createElement("div"),this.domNode.className="monaco-action-bar",e.animated!==!1&&this.domNode.classList.add("animated");let g,v;switch(this._orientation){case 0:g=[15],v=[17];break;case 1:g=[16],v=[18],this.domNode.className+=" vertical";break}this._register(E.addDisposableListener(this.domNode,E.EventType.KEY_DOWN,D=>{const y=new i.StandardKeyboardEvent(D);let a=!0;const u=typeof this.focusedItem=="number"?this.viewItems[this.focusedItem]:void 0;g&&(y.equals(g[0])||y.equals(g[1]))?a=this.focusPrevious():v&&(y.equals(v[0])||y.equals(v[1]))?a=this.focusNext():y.equals(9)&&this.cancelHasListener?this._onDidCancel.fire():y.equals(14)?a=this.focusFirst():y.equals(13)?a=this.focusLast():y.equals(2)&&u instanceof H.BaseActionViewItem&&u.trapsArrowNavigation?a=this.focusNext():this.isTriggerKeyEvent(y)?this._triggerKeys.keyDown?this.doTrigger(y):this.triggerKeyDown=!0:a=!1,a&&(y.preventDefault(),y.stopPropagation())})),this._register(E.addDisposableListener(this.domNode,E.EventType.KEY_UP,D=>{const y=new i.StandardKeyboardEvent(D);this.isTriggerKeyEvent(y)?(!this._triggerKeys.keyDown&&this.triggerKeyDown&&(this.triggerKeyDown=!1,this.doTrigger(y)),y.preventDefault(),y.stopPropagation()):(y.equals(2)||y.equals(1024|2))&&this.updateFocusedItem()})),this.focusTracker=this._register(E.trackFocus(this.domNode)),this._register(this.focusTracker.onDidBlur(()=>{(E.getActiveElement()===this.domNode||!E.isAncestor(E.getActiveElement(),this.domNode))&&(this._onDidBlur.fire(),this.focusedItem=void 0,this.previouslyFocusedItem=void 0,this.triggerKeyDown=!1)})),this._register(this.focusTracker.onDidFocus(()=>this.updateFocusedItem())),this.actionsList=document.createElement("ul"),this.actionsList.className="actions-container",this.actionsList.setAttribute("role",this.options.ariaRole||"toolbar"),this.options.ariaLabel&&this.actionsList.setAttribute("aria-label",this.options.ariaLabel),this.domNode.appendChild(this.actionsList),s.appendChild(this.domNode)}refreshRole(){this.length()>=2?this.actionsList.setAttribute("role",this.options.ariaRole||"toolbar"):this.actionsList.setAttribute("role","presentation")}setAriaLabel(s){s?this.actionsList.setAttribute("aria-label",s):this.actionsList.removeAttribute("aria-label")}setFocusable(s){if(this.focusable=s,this.focusable){const e=this.viewItems.find(g=>g instanceof H.BaseActionViewItem&&g.isEnabled());e instanceof H.BaseActionViewItem&&e.setFocusable(!0)}else this.viewItems.forEach(e=>{e instanceof H.BaseActionViewItem&&e.setFocusable(!1)})}isTriggerKeyEvent(s){let e=!1;return this._triggerKeys.keys.forEach(g=>{e=e||s.equals(g)}),e}updateFocusedItem(){for(let s=0;s<this.actionsList.children.length;s++){const e=this.actionsList.children[s];if(E.isAncestor(E.getActiveElement(),e)){this.focusedItem=s;break}}}get context(){return this._context}set context(s){this._context=s,this.viewItems.forEach(e=>e.setActionContext(s))}get actionRunner(){return this._actionRunner}set actionRunner(s){s&&(this._actionRunner=s,this.viewItems.forEach(e=>e.actionRunner=s))}getContainer(){return this.domNode}hasAction(s){return this._actionIds.includes(s.id)}getAction(s){return this.viewItems[s].action}push(s,e={}){const g=Array.isArray(s)?s:[s];let v=p.isNumber(e.index)?e.index:null;g.forEach(D=>{const y=document.createElement("li");y.className="action-item",y.setAttribute("role","presentation");let a;this.options.actionViewItemProvider&&(a=this.options.actionViewItemProvider(D)),a||(a=new H.ActionViewItem(this.context,D,{hoverDelegate:this.options.hoverDelegate,...e})),this.options.allowContextMenu||this.viewItemDisposables.set(a,E.addDisposableListener(y,E.EventType.CONTEXT_MENU,u=>{E.EventHelper.stop(u,!0)})),a.actionRunner=this._actionRunner,a.setActionContext(this.context),a.render(y),this.focusable&&a instanceof H.BaseActionViewItem&&this.viewItems.length===0&&a.setFocusable(!0),v===null||v<0||v>=this.actionsList.children.length?(this.actionsList.appendChild(y),this.viewItems.push(a),this._actionIds.push(D.id)):(this.actionsList.insertBefore(y,this.actionsList.children[v]),this.viewItems.splice(v,0,a),this._actionIds.splice(v,0,D.id),v++)}),typeof this.focusedItem=="number"&&this.focus(this.focusedItem),this.refreshRole()}getWidth(s){if(s>=0&&s<this.actionsList.children.length){const e=this.actionsList.children.item(s);if(e)return e.clientWidth}return 0}getHeight(s){if(s>=0&&s<this.actionsList.children.length){const e=this.actionsList.children.item(s);if(e)return e.clientHeight}return 0}pull(s){s>=0&&s<this.viewItems.length&&(this.actionsList.removeChild(this.actionsList.childNodes[s]),this.viewItemDisposables.get(this.viewItems[s])?.dispose(),this.viewItemDisposables.delete(this.viewItems[s]),(0,w.dispose)(this.viewItems.splice(s,1)),this._actionIds.splice(s,1),this.refreshRole())}clear(){(0,w.dispose)(this.viewItems),this.viewItemDisposables.forEach(s=>s.dispose()),this.viewItemDisposables.clear(),this.viewItems=[],this._actionIds=[],E.clearNode(this.actionsList),this.refreshRole()}length(){return this.viewItems.length}isEmpty(){return this.viewItems.length===0}focus(s){let e=!1,g;if(s===void 0?e=!0:typeof s=="number"?g=s:typeof s=="boolean"&&(e=s),e&&typeof this.focusedItem=="undefined"){const v=this.viewItems.findIndex(D=>D.isEnabled());this.focusedItem=v===-1?void 0:v,this.updateFocus(void 0,void 0,!0)}else g!==void 0&&(this.focusedItem=g),this.updateFocus(void 0,void 0,!0)}focusFirst(){return this.focusedItem=this.length()-1,this.focusNext(!0)}focusLast(){return this.focusedItem=0,this.focusPrevious(!0)}focusNext(s){if(typeof this.focusedItem=="undefined")this.focusedItem=this.viewItems.length-1;else if(this.viewItems.length<=1)return!1;const e=this.focusedItem;let g;do{if(!s&&this.options.preventLoopNavigation&&this.focusedItem+1>=this.viewItems.length)return this.focusedItem=e,!1;this.focusedItem=(this.focusedItem+1)%this.viewItems.length,g=this.viewItems[this.focusedItem]}while(this.focusedItem!==e&&(this.options.focusOnlyEnabledItems&&!g.isEnabled()||g.action.id===M.Separator.ID));return this.updateFocus(),!0}focusPrevious(s){if(typeof this.focusedItem=="undefined")this.focusedItem=0;else if(this.viewItems.length<=1)return!1;const e=this.focusedItem;let g;do{if(this.focusedItem=this.focusedItem-1,this.focusedItem<0){if(!s&&this.options.preventLoopNavigation)return this.focusedItem=e,!1;this.focusedItem=this.viewItems.length-1}g=this.viewItems[this.focusedItem]}while(this.focusedItem!==e&&(this.options.focusOnlyEnabledItems&&!g.isEnabled()||g.action.id===M.Separator.ID));return this.updateFocus(!0),!0}updateFocus(s,e,g=!1){typeof this.focusedItem=="undefined"&&this.actionsList.focus({preventScroll:e}),this.previouslyFocusedItem!==void 0&&this.previouslyFocusedItem!==this.focusedItem&&this.viewItems[this.previouslyFocusedItem]?.blur();const v=this.focusedItem!==void 0&&this.viewItems[this.focusedItem];if(v){let D=!0;p.isFunction(v.focus)||(D=!1),this.options.focusOnlyEnabledItems&&p.isFunction(v.isEnabled)&&!v.isEnabled()&&(D=!1),v.action.id===M.Separator.ID&&(D=!1),D?(g||this.previouslyFocusedItem!==this.focusedItem)&&(v.focus(s),this.previouslyFocusedItem=this.focusedItem):(this.actionsList.focus({preventScroll:e}),this.previouslyFocusedItem=void 0)}}doTrigger(s){if(typeof this.focusedItem=="undefined")return;const e=this.viewItems[this.focusedItem];if(e instanceof H.BaseActionViewItem){const g=e._context===null||e._context===void 0?s:e._context;this.run(e._action,g)}}async run(s,e){await this._actionRunner.run(s,e)}dispose(){(0,w.dispose)(this.viewItems),this.viewItems=[],this._actionIds=[],this.getContainer().remove(),super.dispose()}}t.ActionBar=m;function N(o){if(!o.length)return o;let s=-1;for(let g=0;g<o.length;g++)if(o[g].id!==M.Separator.ID){s=g;break}if(s===-1)return[];o=o.slice(s);for(let g=o.length-1;g>=0&&o[g].id===M.Separator.ID;g--)o.splice(g,1);let e=!1;for(let g=o.length-1;g>=0;g--){const v=o[g].id===M.Separator.ID;v&&!e?o.splice(g,1):v?v&&(e=!1):e=!0}return o}t.prepareActions=N}),define(me[124],pe([1,0,4,18,51,61,53,56,17,24,3,77,27,99,87]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HistoryInputBox=t.InputBox=t.MessageType=void 0;const e=E.$;var g;(function(a){a[a.INFO=1]="INFO",a[a.WARNING=2]="WARNING",a[a.ERROR=3]="ERROR"})(g=t.MessageType||(t.MessageType={}));const v={inputBackground:f.Color.fromHex("#3C3C3C"),inputForeground:f.Color.fromHex("#CCCCCC"),inputValidationInfoBorder:f.Color.fromHex("#55AAFF"),inputValidationInfoBackground:f.Color.fromHex("#063B49"),inputValidationWarningBorder:f.Color.fromHex("#B89500"),inputValidationWarningBackground:f.Color.fromHex("#352A05"),inputValidationErrorBorder:f.Color.fromHex("#BE1100"),inputValidationErrorBackground:f.Color.fromHex("#5A1D1D")};class D extends p.Widget{constructor(u,b,S){super();this.state="idle",this.maxHeight=Number.POSITIVE_INFINITY,this._onDidChange=this._register(new m.Emitter),this.onDidChange=this._onDidChange.event,this._onDidHeightChange=this._register(new m.Emitter),this.onDidHeightChange=this._onDidHeightChange.event,this.contextViewProvider=b,this.options=S||Object.create(null),(0,o.mixin)(this.options,v,!1),this.message=null,this.placeholder=this.options.placeholder||"",this.tooltip=this.options.tooltip??(this.placeholder||""),this.ariaLabel=this.options.ariaLabel||"",this.inputBackground=this.options.inputBackground,this.inputForeground=this.options.inputForeground,this.inputBorder=this.options.inputBorder,this.inputValidationInfoBorder=this.options.inputValidationInfoBorder,this.inputValidationInfoBackground=this.options.inputValidationInfoBackground,this.inputValidationInfoForeground=this.options.inputValidationInfoForeground,this.inputValidationWarningBorder=this.options.inputValidationWarningBorder,this.inputValidationWarningBackground=this.options.inputValidationWarningBackground,this.inputValidationWarningForeground=this.options.inputValidationWarningForeground,this.inputValidationErrorBorder=this.options.inputValidationErrorBorder,this.inputValidationErrorBackground=this.options.inputValidationErrorBackground,this.inputValidationErrorForeground=this.options.inputValidationErrorForeground,this.options.validationOptions&&(this.validation=this.options.validationOptions.validation),this.element=E.append(u,e(".monaco-inputbox.idle"));const F=this.options.flexibleHeight?"textarea":"input",_=E.append(this.element,e(".ibwrapper"));if(this.input=E.append(_,e(F+".input.empty")),this.input.setAttribute("autocorrect","off"),this.input.setAttribute("autocapitalize","off"),this.input.setAttribute("spellcheck","false"),this.onfocus(this.input,()=>this.element.classList.add("synthetic-focus")),this.onblur(this.input,()=>this.element.classList.remove("synthetic-focus")),this.options.flexibleHeight){this.maxHeight=typeof this.options.flexibleMaxHeight=="number"?this.options.flexibleMaxHeight:Number.POSITIVE_INFINITY,this.mirror=E.append(_,e("div.mirror")),this.mirror.innerText="\xA0",this.scrollableElement=new w.ScrollableElement(this.element,{vertical:1}),this.options.flexibleWidth&&(this.input.setAttribute("wrap","off"),this.mirror.style.whiteSpace="pre",this.mirror.style.wordWrap="initial"),E.append(u,this.scrollableElement.getDomNode()),this._register(this.scrollableElement),this._register(this.scrollableElement.onScroll(h=>this.input.scrollTop=h.scrollTop));const r=this._register(new i.DomEmitter(document,"selectionchange")),n=m.Event.filter(r.event,()=>document.getSelection()?.anchorNode===_);this._register(n(this.updateScrollDimensions,this)),this._register(this.onDidHeightChange(this.updateScrollDimensions,this))}else this.input.type=this.options.type||"text",this.input.setAttribute("wrap","off");this.ariaLabel&&this.input.setAttribute("aria-label",this.ariaLabel),this.placeholder&&!this.options.showPlaceholderOnFocus&&this.setPlaceHolder(this.placeholder),this.tooltip&&this.setTooltip(this.tooltip),this.oninput(this.input,()=>this.onValueChange()),this.onblur(this.input,()=>this.onBlur()),this.onfocus(this.input,()=>this.onFocus()),this.ignoreGesture(this.input),setTimeout(()=>this.updateMirror(),0),this.options.actions&&(this.actionbar=this._register(new M.ActionBar(this.element)),this.actionbar.push(this.options.actions,{icon:!0,label:!1})),this.applyStyles()}onBlur(){this._hideMessage(),this.options.showPlaceholderOnFocus&&this.input.setAttribute("placeholder","")}onFocus(){this._showMessage(),this.options.showPlaceholderOnFocus&&this.input.setAttribute("placeholder",this.placeholder||"")}setPlaceHolder(u){this.placeholder=u,this.input.setAttribute("placeholder",u)}setTooltip(u){this.tooltip=u,this.input.title=u}setAriaLabel(u){this.ariaLabel=u,u?this.input.setAttribute("aria-label",this.ariaLabel):this.input.removeAttribute("aria-label")}getAriaLabel(){return this.ariaLabel}get mirrorElement(){return this.mirror}get inputElement(){return this.input}get value(){return this.input.value}set value(u){this.input.value!==u&&(this.input.value=u,this.onValueChange())}get height(){return typeof this.cachedHeight=="number"?this.cachedHeight:E.getTotalHeight(this.element)}focus(){this.input.focus()}blur(){this.input.blur()}hasFocus(){return document.activeElement===this.input}select(u=null){this.input.select(),u&&(this.input.setSelectionRange(u.start,u.end),u.end===this.input.value.length&&(this.input.scrollLeft=this.input.scrollWidth))}isSelectionAtEnd(){return this.input.selectionEnd===this.input.value.length&&this.input.selectionStart===this.input.selectionEnd}enable(){this.input.removeAttribute("disabled")}disable(){this.blur(),this.input.disabled=!0,this._hideMessage()}setEnabled(u){u?this.enable():this.disable()}get width(){return E.getTotalWidth(this.input)}set width(u){if(this.options.flexibleHeight&&this.options.flexibleWidth){let b=0;if(this.mirror){const S=parseFloat(this.mirror.style.paddingLeft||"")||0,F=parseFloat(this.mirror.style.paddingRight||"")||0;b=S+F}this.input.style.width=u-b+"px"}else this.input.style.width=u+"px";this.mirror&&(this.mirror.style.width=u+"px")}set paddingRight(u){this.input.style.width=`calc(100% - ${u}px)`,this.mirror&&(this.mirror.style.paddingRight=u+"px")}updateScrollDimensions(){if(typeof this.cachedContentHeight!="number"||typeof this.cachedHeight!="number"||!this.scrollableElement)return;const u=this.cachedContentHeight,b=this.cachedHeight,S=this.input.scrollTop;this.scrollableElement.setScrollDimensions({scrollHeight:u,height:b}),this.scrollableElement.setScrollPosition({scrollTop:S})}showMessage(u,b){this.message=u,this.element.classList.remove("idle"),this.element.classList.remove("info"),this.element.classList.remove("warning"),this.element.classList.remove("error"),this.element.classList.add(this.classForType(u.type));const S=this.stylesForType(this.message.type);this.element.style.border=S.border?`1px solid ${S.border}`:"",(this.hasFocus()||b)&&this._showMessage()}hideMessage(){this.message=null,this.element.classList.remove("info"),this.element.classList.remove("warning"),this.element.classList.remove("error"),this.element.classList.add("idle"),this._hideMessage(),this.applyStyles()}isInputValid(){return!!this.validation&&!this.validation(this.value)}validate(){let u=null;return this.validation&&(u=this.validation(this.value),u?(this.inputElement.setAttribute("aria-invalid","true"),this.showMessage(u)):this.inputElement.hasAttribute("aria-invalid")&&(this.inputElement.removeAttribute("aria-invalid"),this.hideMessage())),u?.type}stylesForType(u){switch(u){case 1:return{border:this.inputValidationInfoBorder,background:this.inputValidationInfoBackground,foreground:this.inputValidationInfoForeground};case 2:return{border:this.inputValidationWarningBorder,background:this.inputValidationWarningBackground,foreground:this.inputValidationWarningForeground};default:return{border:this.inputValidationErrorBorder,background:this.inputValidationErrorBackground,foreground:this.inputValidationErrorForeground}}}classForType(u){switch(u){case 1:return"info";case 2:return"warning";default:return"error"}}_showMessage(){if(!this.contextViewProvider||!this.message)return;let u;const b=()=>u.style.width=E.getTotalWidth(this.element)+"px";this.contextViewProvider.showContextView({getAnchor:()=>this.element,anchorAlignment:1,render:F=>{if(!this.message)return null;u=E.append(F,e(".monaco-inputbox-container")),b();const _={inline:!0,className:"monaco-inputbox-message"},r=this.message.formatContent?(0,H.renderFormattedText)(this.message.content,_):(0,H.renderText)(this.message.content,_);r.classList.add(this.classForType(this.message.type));const n=this.stylesForType(this.message.type);return r.style.backgroundColor=n.background?n.background.toString():"",r.style.color=n.foreground?n.foreground.toString():"",r.style.border=n.border?`1px solid ${n.border}`:"",E.append(u,r),null},onHide:()=>{this.state="closed"},layout:b});let S;this.message.type===3?S=s.localize(0,null,this.message.content):this.message.type===2?S=s.localize(1,null,this.message.content):S=s.localize(2,null,this.message.content),C.alert(S),this.state="open"}_hideMessage(){!this.contextViewProvider||(this.state==="open"&&this.contextViewProvider.hideContextView(),this.state="idle")}onValueChange(){this._onDidChange.fire(this.value),this.validate(),this.updateMirror(),this.input.classList.toggle("empty",!this.value),this.state==="open"&&this.contextViewProvider&&this.contextViewProvider.layout()}updateMirror(){if(!this.mirror)return;const u=this.value,S=u.charCodeAt(u.length-1)===10?" ":"";(u+S).replace(/\u000c/g,"")?this.mirror.textContent=u+S:this.mirror.innerText="\xA0",this.layout()}style(u){this.inputBackground=u.inputBackground,this.inputForeground=u.inputForeground,this.inputBorder=u.inputBorder,this.inputValidationInfoBackground=u.inputValidationInfoBackground,this.inputValidationInfoForeground=u.inputValidationInfoForeground,this.inputValidationInfoBorder=u.inputValidationInfoBorder,this.inputValidationWarningBackground=u.inputValidationWarningBackground,this.inputValidationWarningForeground=u.inputValidationWarningForeground,this.inputValidationWarningBorder=u.inputValidationWarningBorder,this.inputValidationErrorBackground=u.inputValidationErrorBackground,this.inputValidationErrorForeground=u.inputValidationErrorForeground,this.inputValidationErrorBorder=u.inputValidationErrorBorder,this.applyStyles()}applyStyles(){const u=this.inputBackground?this.inputBackground.toString():"",b=this.inputForeground?this.inputForeground.toString():"",S=this.inputBorder?this.inputBorder.toString():"";this.element.style.backgroundColor=u,this.element.style.color=b,this.input.style.backgroundColor="inherit",this.input.style.color=b,this.element.style.borderWidth=S?"1px":"",this.element.style.borderStyle=S?"solid":"",this.element.style.borderColor=S}layout(){if(!this.mirror)return;const u=this.cachedContentHeight;this.cachedContentHeight=E.getTotalHeight(this.mirror),u!==this.cachedContentHeight&&(this.cachedHeight=Math.min(this.cachedContentHeight,this.maxHeight),this.input.style.height=this.cachedHeight+"px",this._onDidHeightChange.fire(this.cachedContentHeight))}insertAtCursor(u){const b=this.inputElement,S=b.selectionStart,F=b.selectionEnd,_=b.value;S!==null&&F!==null&&(this.value=_.substr(0,S)+u+_.substr(F),b.setSelectionRange(S+1,S+1),this.layout())}dispose(){this._hideMessage(),this.message=null,this.actionbar?.dispose(),super.dispose()}}t.InputBox=D;class y extends D{constructor(u,b,S){const F=s.localize(3,null),_=` or \u21C5 ${F}`,r=` (\u21C5 ${F})`;super(u,b,S);this._onDidFocus=this._register(new m.Emitter),this.onDidFocus=this._onDidFocus.event,this._onDidBlur=this._register(new m.Emitter),this.onDidBlur=this._onDidBlur.event,this.history=new N.HistoryNavigator(S.history,100);const n=()=>{if(S.showHistoryHint&&S.showHistoryHint()&&!this.placeholder.endsWith(_)&&!this.placeholder.endsWith(r)&&this.history.getHistory().length){const h=this.placeholder.endsWith(")")?_:r,l=this.placeholder+h;S.showPlaceholderOnFocus&&document.activeElement!==this.input?this.placeholder=l:this.setPlaceHolder(l)}};this.observer=new MutationObserver((h,l)=>{h.forEach(c=>{c.target.textContent||n()})}),this.observer.observe(this.input,{attributeFilter:["class"]}),this.onfocus(this.input,()=>n()),this.onblur(this.input,()=>{const h=l=>{if(this.placeholder.endsWith(l)){const c=this.placeholder.slice(0,this.placeholder.length-l.length);return S.showPlaceholderOnFocus?this.placeholder=c:this.setPlaceHolder(c),!0}else return!1};h(r)||h(_)})}dispose(){super.dispose(),this.observer&&(this.observer.disconnect(),this.observer=void 0)}addToHistory(){this.value&&this.value!==this.getCurrentValue()&&this.history.add(this.value)}getHistory(){return this.history.getHistory()}showNextValue(){this.history.has(this.value)||this.addToHistory();let u=this.getNextValue();u&&(u=u===this.value?this.getNextValue():u),u&&(this.value=u,C.status(this.value))}showPreviousValue(){this.history.has(this.value)||this.addToHistory();let u=this.getPreviousValue();u&&(u=u===this.value?this.getPreviousValue():u),u&&(this.value=u,C.status(this.value))}clearHistory(){this.history.clear()}onBlur(){super.onBlur(),this._onDidBlur.fire()}onFocus(){super.onFocus(),this._onDidFocus.fire()}getCurrentValue(){let u=this.history.current();return u||(u=this.history.last(),this.history.next()),u}getPreviousValue(){return this.history.previous()||this.history.first()}getNextValue(){return this.history.next()||this.history.last()}}t.HistoryInputBox=y}),define(me[62],pe([1,0,60,17,11,24,3,92]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Checkbox=t.Toggle=t.ToggleActionViewItem=void 0;const w={inputActiveOptionBorder:M.Color.fromHex("#007ACC00"),inputActiveOptionForeground:M.Color.fromHex("#FFFFFF"),inputActiveOptionBackground:M.Color.fromHex("#0E639C50")};class p extends E.BaseActionViewItem{constructor(o,s,e){super(o,s,e);this.toggle=this._register(new f({actionClassName:this._action.class,isChecked:!!this._action.checked,title:this.options.keybinding?`${this._action.label} (${this.options.keybinding})`:this._action.label,notFocusable:!0})),this._register(this.toggle.onChange(()=>this._action.checked=!!this.toggle&&this.toggle.checked))}render(o){this.element=o,this.element.appendChild(this.toggle.domNode)}updateEnabled(){this.toggle&&(this.isEnabled()?this.toggle.enable():this.toggle.disable())}updateChecked(){this.toggle.checked=!!this._action.checked}focus(){this.toggle.domNode.tabIndex=0,this.toggle.focus()}blur(){this.toggle.domNode.tabIndex=-1,this.toggle.domNode.blur()}setFocusable(o){this.toggle.domNode.tabIndex=o?0:-1}}t.ToggleActionViewItem=p;class f extends i.Widget{constructor(o){super();this._onChange=this._register(new C.Emitter),this.onChange=this._onChange.event,this._onKeyDown=this._register(new C.Emitter),this.onKeyDown=this._onKeyDown.event,this._opts={...w,...o},this._checked=this._opts.isChecked;const s=["monaco-custom-toggle"];this._opts.icon&&(this._icon=this._opts.icon,s.push(...H.CSSIcon.asClassNameArray(this._icon))),this._opts.actionClassName&&s.push(...this._opts.actionClassName.split(" ")),this._checked&&s.push("checked"),this.domNode=document.createElement("div"),this.domNode.title=this._opts.title,this.domNode.classList.add(...s),this._opts.notFocusable||(this.domNode.tabIndex=0),this.domNode.setAttribute("role","checkbox"),this.domNode.setAttribute("aria-checked",String(this._checked)),this.domNode.setAttribute("aria-label",this._opts.title),this.applyStyles(),this.onclick(this.domNode,e=>{this.enabled&&(this.checked=!this._checked,this._onChange.fire(!1),e.preventDefault())}),this.ignoreGesture(this.domNode),this.onkeydown(this.domNode,e=>{if(e.keyCode===10||e.keyCode===3){this.checked=!this._checked,this._onChange.fire(!0),e.preventDefault(),e.stopPropagation();return}this._onKeyDown.fire(e)})}get enabled(){return this.domNode.getAttribute("aria-disabled")!=="true"}focus(){this.domNode.focus()}get checked(){return this._checked}set checked(o){this._checked=o,this.domNode.setAttribute("aria-checked",String(this._checked)),this.domNode.classList.toggle("checked",this._checked),this.applyStyles()}setIcon(o){this._icon&&this.domNode.classList.remove(...H.CSSIcon.asClassNameArray(this._icon)),this._icon=o,this._icon&&this.domNode.classList.add(...H.CSSIcon.asClassNameArray(this._icon))}width(){return 2+2+2+16}style(o){o.inputActiveOptionBorder&&(this._opts.inputActiveOptionBorder=o.inputActiveOptionBorder),o.inputActiveOptionForeground&&(this._opts.inputActiveOptionForeground=o.inputActiveOptionForeground),o.inputActiveOptionBackground&&(this._opts.inputActiveOptionBackground=o.inputActiveOptionBackground),this.applyStyles()}applyStyles(){this.domNode&&(this.domNode.style.borderColor=this._checked&&this._opts.inputActiveOptionBorder?this._opts.inputActiveOptionBorder.toString():"",this.domNode.style.color=this._checked&&this._opts.inputActiveOptionForeground?this._opts.inputActiveOptionForeground.toString():"inherit",this.domNode.style.backgroundColor=this._checked&&this._opts.inputActiveOptionBackground?this._opts.inputActiveOptionBackground.toString():"")}enable(){this.domNode.setAttribute("aria-disabled",String(!1))}disable(){this.domNode.setAttribute("aria-disabled",String(!0))}setTitle(o){this.domNode.title=o,this.domNode.setAttribute("aria-label",o)}}t.Toggle=f;class m extends i.Widget{constructor(o,s){super();this.title=o,this.isChecked=s,this.checkbox=new f({title:this.title,isChecked:this.isChecked,icon:H.Codicon.check,actionClassName:"monaco-checkbox"}),this.domNode=this.checkbox.domNode,this.styles={},this.checkbox.onChange(()=>{this.applyStyles()})}get checked(){return this.checkbox.checked}set checked(o){this.checkbox.checked=o,this.applyStyles()}focus(){this.domNode.focus()}hasFocus(){return this.domNode===document.activeElement}style(o){this.styles=o,this.applyStyles()}applyStyles(){this.domNode.style.color=this.styles.checkboxForeground?this.styles.checkboxForeground.toString():"",this.domNode.style.backgroundColor=this.styles.checkboxBackground?this.styles.checkboxBackground.toString():"",this.domNode.style.borderColor=this.styles.checkboxBorder?this.styles.checkboxBorder.toString():""}}t.Checkbox=m}),define(me[125],pe([1,0,62,11,97]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RegexToggle=t.WholeWordsToggle=t.CaseSensitiveToggle=void 0;const M=H.localize(0,null),C=H.localize(1,null),w=H.localize(2,null);class p extends E.Toggle{constructor(o){super({icon:i.Codicon.caseSensitive,title:M+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.CaseSensitiveToggle=p;class f extends E.Toggle{constructor(o){super({icon:i.Codicon.wholeWord,title:C+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.WholeWordsToggle=f;class m extends E.Toggle{constructor(o){super({icon:i.Codicon.regex,title:w+o.appendTitle,isChecked:o.isChecked,inputActiveOptionBorder:o.inputActiveOptionBorder,inputActiveOptionForeground:o.inputActiveOptionForeground,inputActiveOptionBackground:o.inputActiveOptionBackground})}}t.RegexToggle=m}),define(me[126],pe([1,0,4,125,124,17,3,96,2,86]),function(Q,t,E,i,H,M,C,w,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FindInput=void 0;const f=w.localize(0,null);class m extends M.Widget{constructor(o,s,e,g){super();this._showOptionButtons=e,this.fixFocusOnOptionClickEnabled=!0,this.imeSessionInProgress=!1,this.additionalTogglesDisposables=new p.DisposableStore,this.additionalToggles=[],this._onDidOptionChange=this._register(new C.Emitter),this.onDidOptionChange=this._onDidOptionChange.event,this._onKeyDown=this._register(new C.Emitter),this.onKeyDown=this._onKeyDown.event,this._onMouseDown=this._register(new C.Emitter),this.onMouseDown=this._onMouseDown.event,this._onInput=this._register(new C.Emitter),this.onInput=this._onInput.event,this._onKeyUp=this._register(new C.Emitter),this.onKeyUp=this._onKeyUp.event,this._onCaseSensitiveKeyDown=this._register(new C.Emitter),this.onCaseSensitiveKeyDown=this._onCaseSensitiveKeyDown.event,this._onRegexKeyDown=this._register(new C.Emitter),this.onRegexKeyDown=this._onRegexKeyDown.event,this._lastHighlightFindOptions=0,this.placeholder=g.placeholder||"",this.validation=g.validation,this.label=g.label||f,this.inputActiveOptionBorder=g.inputActiveOptionBorder,this.inputActiveOptionForeground=g.inputActiveOptionForeground,this.inputActiveOptionBackground=g.inputActiveOptionBackground,this.inputBackground=g.inputBackground,this.inputForeground=g.inputForeground,this.inputBorder=g.inputBorder,this.inputValidationInfoBorder=g.inputValidationInfoBorder,this.inputValidationInfoBackground=g.inputValidationInfoBackground,this.inputValidationInfoForeground=g.inputValidationInfoForeground,this.inputValidationWarningBorder=g.inputValidationWarningBorder,this.inputValidationWarningBackground=g.inputValidationWarningBackground,this.inputValidationWarningForeground=g.inputValidationWarningForeground,this.inputValidationErrorBorder=g.inputValidationErrorBorder,this.inputValidationErrorBackground=g.inputValidationErrorBackground,this.inputValidationErrorForeground=g.inputValidationErrorForeground;const v=g.appendCaseSensitiveLabel||"",D=g.appendWholeWordsLabel||"",y=g.appendRegexLabel||"",a=g.history||[],u=!!g.flexibleHeight,b=!!g.flexibleWidth,S=g.flexibleMaxHeight;this.domNode=document.createElement("div"),this.domNode.classList.add("monaco-findInput"),this.inputBox=this._register(new H.HistoryInputBox(this.domNode,s,{placeholder:this.placeholder||"",ariaLabel:this.label||"",validationOptions:{validation:this.validation},inputBackground:this.inputBackground,inputForeground:this.inputForeground,inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoForeground:this.inputValidationInfoForeground,inputValidationInfoBorder:this.inputValidationInfoBorder,inputValidationWarningBackground:this.inputValidationWarningBackground,inputValidationWarningForeground:this.inputValidationWarningForeground,inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorForeground:this.inputValidationErrorForeground,inputValidationErrorBorder:this.inputValidationErrorBorder,history:a,showHistoryHint:g.showHistoryHint,flexibleHeight:u,flexibleWidth:b,flexibleMaxHeight:S})),this.regex=this._register(new i.RegexToggle({appendTitle:y,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder,inputActiveOptionForeground:this.inputActiveOptionForeground,inputActiveOptionBackground:this.inputActiveOptionBackground})),this._register(this.regex.onChange(_=>{this._onDidOptionChange.fire(_),!_&&this.fixFocusOnOptionClickEnabled&&this.inputBox.focus(),this.validate()})),this._register(this.regex.onKeyDown(_=>{this._onRegexKeyDown.fire(_)})),this.wholeWords=this._register(new i.WholeWordsToggle({appendTitle:D,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder,inputActiveOptionForeground:this.inputActiveOptionForeground,inputActiveOptionBackground:this.inputActiveOptionBackground})),this._register(this.wholeWords.onChange(_=>{this._onDidOptionChange.fire(_),!_&&this.fixFocusOnOptionClickEnabled&&this.inputBox.focus(),this.validate()})),this.caseSensitive=this._register(new i.CaseSensitiveToggle({appendTitle:v,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder,inputActiveOptionForeground:this.inputActiveOptionForeground,inputActiveOptionBackground:this.inputActiveOptionBackground})),this._register(this.caseSensitive.onChange(_=>{this._onDidOptionChange.fire(_),!_&&this.fixFocusOnOptionClickEnabled&&this.inputBox.focus(),this.validate()})),this._register(this.caseSensitive.onKeyDown(_=>{this._onCaseSensitiveKeyDown.fire(_)}));const F=[this.caseSensitive.domNode,this.wholeWords.domNode,this.regex.domNode];this.onkeydown(this.domNode,_=>{if(_.equals(15)||_.equals(17)||_.equals(9)){const r=F.indexOf(document.activeElement);if(r>=0){let n=-1;_.equals(17)?n=(r+1)%F.length:_.equals(15)&&(r===0?n=F.length-1:n=r-1),_.equals(9)?(F[r].blur(),this.inputBox.focus()):n>=0&&F[n].focus(),E.EventHelper.stop(_,!0)}}}),this.controls=document.createElement("div"),this.controls.className="controls",this.controls.style.display=this._showOptionButtons?"block":"none",this.controls.appendChild(this.caseSensitive.domNode),this.controls.appendChild(this.wholeWords.domNode),this.controls.appendChild(this.regex.domNode),this._showOptionButtons||(this.caseSensitive.domNode.style.display="none",this.wholeWords.domNode.style.display="none",this.regex.domNode.style.display="none"),this.setAdditionalToggles(g?.additionalToggles),this.domNode.appendChild(this.controls),o?.appendChild(this.domNode),this._register(E.addDisposableListener(this.inputBox.inputElement,"compositionstart",_=>{this.imeSessionInProgress=!0})),this._register(E.addDisposableListener(this.inputBox.inputElement,"compositionend",_=>{this.imeSessionInProgress=!1,this._onInput.fire()})),this.onkeydown(this.inputBox.inputElement,_=>this._onKeyDown.fire(_)),this.onkeyup(this.inputBox.inputElement,_=>this._onKeyUp.fire(_)),this.oninput(this.inputBox.inputElement,_=>this._onInput.fire()),this.onmousedown(this.inputBox.inputElement,_=>this._onMouseDown.fire(_))}get isImeSessionInProgress(){return this.imeSessionInProgress}get onDidChange(){return this.inputBox.onDidChange}enable(){this.domNode.classList.remove("disabled"),this.inputBox.enable(),this.regex.enable(),this.wholeWords.enable(),this.caseSensitive.enable();for(const o of this.additionalToggles)o.enable()}disable(){this.domNode.classList.add("disabled"),this.inputBox.disable(),this.regex.disable(),this.wholeWords.disable(),this.caseSensitive.disable();for(const o of this.additionalToggles)o.disable()}setFocusInputOnOptionClick(o){this.fixFocusOnOptionClickEnabled=o}setEnabled(o){o?this.enable():this.disable()}setAdditionalToggles(o){for(const s of this.additionalToggles)s.domNode.remove();this.additionalToggles=[],this.additionalTogglesDisposables.dispose(),this.additionalTogglesDisposables=new p.DisposableStore;for(const s of o??[])this.additionalTogglesDisposables.add(s),this.controls.appendChild(s.domNode),this.additionalTogglesDisposables.add(s.onChange(e=>{this._onDidOptionChange.fire(e),!e&&this.fixFocusOnOptionClickEnabled&&this.inputBox.focus()})),this.additionalToggles.push(s);this.additionalToggles.length>0&&(this.controls.style.display="block"),this.inputBox.paddingRight=(this._showOptionButtons?this.caseSensitive.width()+this.wholeWords.width()+this.regex.width():0)+this.additionalToggles.reduce((s,e)=>s+e.width(),0)}clear(){this.clearValidation(),this.setValue(""),this.focus()}getValue(){return this.inputBox.value}setValue(o){this.inputBox.value!==o&&(this.inputBox.value=o)}onSearchSubmit(){this.inputBox.addToHistory()}style(o){this.inputActiveOptionBorder=o.inputActiveOptionBorder,this.inputActiveOptionForeground=o.inputActiveOptionForeground,this.inputActiveOptionBackground=o.inputActiveOptionBackground,this.inputBackground=o.inputBackground,this.inputForeground=o.inputForeground,this.inputBorder=o.inputBorder,this.inputValidationInfoBackground=o.inputValidationInfoBackground,this.inputValidationInfoForeground=o.inputValidationInfoForeground,this.inputValidationInfoBorder=o.inputValidationInfoBorder,this.inputValidationWarningBackground=o.inputValidationWarningBackground,this.inputValidationWarningForeground=o.inputValidationWarningForeground,this.inputValidationWarningBorder=o.inputValidationWarningBorder,this.inputValidationErrorBackground=o.inputValidationErrorBackground,this.inputValidationErrorForeground=o.inputValidationErrorForeground,this.inputValidationErrorBorder=o.inputValidationErrorBorder,this.applyStyles()}applyStyles(){if(this.domNode){const o={inputActiveOptionBorder:this.inputActiveOptionBorder,inputActiveOptionForeground:this.inputActiveOptionForeground,inputActiveOptionBackground:this.inputActiveOptionBackground};this.regex.style(o),this.wholeWords.style(o),this.caseSensitive.style(o);for(const e of this.additionalToggles)e.style(o);const s={inputBackground:this.inputBackground,inputForeground:this.inputForeground,inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoForeground:this.inputValidationInfoForeground,inputValidationInfoBorder:this.inputValidationInfoBorder,inputValidationWarningBackground:this.inputValidationWarningBackground,inputValidationWarningForeground:this.inputValidationWarningForeground,inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorForeground:this.inputValidationErrorForeground,inputValidationErrorBorder:this.inputValidationErrorBorder};this.inputBox.style(s)}}select(){this.inputBox.select()}focus(){this.inputBox.focus()}getCaseSensitive(){return this.caseSensitive.checked}setCaseSensitive(o){this.caseSensitive.checked=o}getWholeWords(){return this.wholeWords.checked}setWholeWords(o){this.wholeWords.checked=o}getRegex(){return this.regex.checked}setRegex(o){this.regex.checked=o,this.validate()}focusOnCaseSensitive(){this.caseSensitive.focus()}focusOnRegex(){this.regex.focus()}highlightFindOptions(){this.domNode.classList.remove("highlight-"+this._lastHighlightFindOptions),this._lastHighlightFindOptions=1-this._lastHighlightFindOptions,this.domNode.classList.add("highlight-"+this._lastHighlightFindOptions)}validate(){this.inputBox.validate()}showMessage(o){this.inputBox.showMessage(o)}clearMessage(){this.inputBox.hideMessage()}clearValidation(){this.inputBox.hideMessage()}}t.FindInput=m,m.OPTION_CHANGE="optionChange"}),define(me[127],pe([1,0,4,18,19,61,126,57,58,62,54,23,32,14,8,11,69,3,33,2,44,6,101,93]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s,e,g,v,D,y,a,u,b,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractTree=t.TreeFindMode=t.ModeToggle=t.RenderIndentGuides=t.AbstractTreeViewState=t.ComposedTreeDelegate=void 0;class F extends w.ElementsDragAndDropData{constructor(T){super(T.elements.map($=>$.element));this.data=T}set context(T){this.data.context=T}get context(){return this.data.context}}function _(ie){return ie instanceof w.ElementsDragAndDropData?new F(ie):ie}class r{constructor(T,$){this.modelProvider=T,this.dnd=$,this.autoExpandDisposable=a.Disposable.None}getDragURI(T){return this.dnd.getDragURI(T.element)}getDragLabel(T,$){if(this.dnd.getDragLabel)return this.dnd.getDragLabel(T.map(j=>j.element),$)}onDragStart(T,$){this.dnd.onDragStart?.(_(T),$)}onDragOver(T,$,j,W,d=!0){const I=this.dnd.onDragOver(_(T),$&&$.element,j,W),U=this.autoExpandNode!==$;if(U&&(this.autoExpandDisposable.dispose(),this.autoExpandNode=$),typeof $=="undefined")return I;if(U&&typeof I!="boolean"&&I.autoExpand&&(this.autoExpandDisposable=(0,e.disposableTimeout)(()=>{const z=this.modelProvider(),A=z.getNodeLocation($);z.isCollapsed(A)&&z.setCollapsed(A,!1),this.autoExpandNode=void 0},500)),typeof I=="boolean"||!I.accept||typeof I.bubble=="undefined"||I.feedback){if(!d){const z=typeof I=="boolean"?I:I.accept,A=typeof I=="boolean"?void 0:I.effect;return{accept:z,effect:A,feedback:[j]}}return I}if(I.bubble===1){const z=this.modelProvider(),A=z.getNodeLocation($),B=z.getParentNodeLocation(A),k=z.getNode(B),R=B&&z.getListIndex(B);return this.onDragOver(T,k,R,W,!1)}const K=this.modelProvider(),Z=K.getNodeLocation($),L=K.getListIndex(Z),O=K.getListRenderCount(Z);return{...I,feedback:(0,s.range)(L,L+O)}}drop(T,$,j,W){this.autoExpandDisposable.dispose(),this.autoExpandNode=void 0,this.dnd.drop(_(T),$&&$.element,j,W)}onDragEnd(T){this.dnd.onDragEnd?.(T)}}function n(ie,T){return T&&{...T,identityProvider:T.identityProvider&&{getId($){return T.identityProvider.getId($.element)}},dnd:T.dnd&&new r(ie,T.dnd),multipleSelectionController:T.multipleSelectionController&&{isSelectionSingleChangeEvent($){return T.multipleSelectionController.isSelectionSingleChangeEvent({...$,element:$.element})},isSelectionRangeChangeEvent($){return T.multipleSelectionController.isSelectionRangeChangeEvent({...$,element:$.element})}},accessibilityProvider:T.accessibilityProvider&&{...T.accessibilityProvider,getSetSize($){const j=ie(),W=j.getNodeLocation($),d=j.getParentNodeLocation(W);return j.getNode(d).visibleChildrenCount},getPosInSet($){return $.visibleChildIndex+1},isChecked:T.accessibilityProvider&&T.accessibilityProvider.isChecked?$=>T.accessibilityProvider.isChecked($.element):void 0,getRole:T.accessibilityProvider&&T.accessibilityProvider.getRole?$=>T.accessibilityProvider.getRole($.element):()=>"treeitem",getAriaLabel($){return T.accessibilityProvider.getAriaLabel($.element)},getWidgetAriaLabel(){return T.accessibilityProvider.getWidgetAriaLabel()},getWidgetRole:T.accessibilityProvider&&T.accessibilityProvider.getWidgetRole?()=>T.accessibilityProvider.getWidgetRole():()=>"tree",getAriaLevel:T.accessibilityProvider&&T.accessibilityProvider.getAriaLevel?$=>T.accessibilityProvider.getAriaLevel($.element):$=>$.depth,getActiveDescendantId:T.accessibilityProvider.getActiveDescendantId&&($=>T.accessibilityProvider.getActiveDescendantId($.element))},keyboardNavigationLabelProvider:T.keyboardNavigationLabelProvider&&{...T.keyboardNavigationLabelProvider,getKeyboardNavigationLabel($){return T.keyboardNavigationLabelProvider.getKeyboardNavigationLabel($.element)}}}}class h{constructor(T){this.delegate=T}getHeight(T){return this.delegate.getHeight(T.element)}getTemplateId(T){return this.delegate.getTemplateId(T.element)}hasDynamicHeight(T){return!!this.delegate.hasDynamicHeight&&this.delegate.hasDynamicHeight(T.element)}setDynamicHeight(T,$){this.delegate.setDynamicHeight?.(T.element,$)}}t.ComposedTreeDelegate=h;class l{constructor(T){if(this.focus=new Set(T.focus),this.selection=new Set(T.selection),T.expanded instanceof Array){this.expanded=Object.create(null);for(const $ of T.expanded)this.expanded[$]=1}else this.expanded=T.expanded;this.expanded=T.expanded,this.scrollTop=T.scrollTop}static lift(T){return T instanceof l?T:new l(T)}static empty(T=0){return new l({focus:[],selection:[],expanded:Object.create(null),scrollTop:T})}toJSON(){return{focus:Array.from(this.focus),selection:Array.from(this.selection),expanded:this.expanded,scrollTop:this.scrollTop}}}t.AbstractTreeViewState=l;var c;(function(ie){ie.None="none",ie.OnHover="onHover",ie.Always="always"})(c=t.RenderIndentGuides||(t.RenderIndentGuides={}));class P{constructor(T,$=[]){this._elements=$,this.disposables=new a.DisposableStore,this.onDidChange=D.Event.forEach(T,j=>this._elements=j,this.disposables)}get elements(){return this._elements}dispose(){this.disposables.dispose()}}class V{constructor(T,$,j,W,d={}){this.renderer=T,this.modelProvider=$,this.activeNodes=W,this.renderedElements=new Map,this.renderedNodes=new Map,this.indent=V.DefaultIndent,this.hideTwistiesOfChildlessElements=!1,this.shouldRenderIndentGuides=!1,this.renderedIndentGuides=new v.SetMap,this.activeIndentNodes=new Set,this.indentGuidesDisposable=a.Disposable.None,this.disposables=new a.DisposableStore,this.templateId=T.templateId,this.updateOptions(d),D.Event.map(j,I=>I.node)(this.onDidChangeNodeTwistieState,this,this.disposables),T.onDidChangeTwistieState?.(this.onDidChangeTwistieState,this,this.disposables)}updateOptions(T={}){if(typeof T.indent!="undefined"&&(this.indent=(0,u.clamp)(T.indent,0,40)),typeof T.renderIndentGuides!="undefined"){const $=T.renderIndentGuides!==c.None;if($!==this.shouldRenderIndentGuides&&(this.shouldRenderIndentGuides=$,this.indentGuidesDisposable.dispose(),$)){const j=new a.DisposableStore;this.activeNodes.onDidChange(this._onDidChangeActiveNodes,this,j),this.indentGuidesDisposable=j,this._onDidChangeActiveNodes(this.activeNodes.elements)}}typeof T.hideTwistiesOfChildlessElements!="undefined"&&(this.hideTwistiesOfChildlessElements=T.hideTwistiesOfChildlessElements)}renderTemplate(T){const $=(0,E.append)(T,(0,E.$)(".monaco-tl-row")),j=(0,E.append)($,(0,E.$)(".monaco-tl-indent")),W=(0,E.append)($,(0,E.$)(".monaco-tl-twistie")),d=(0,E.append)($,(0,E.$)(".monaco-tl-contents")),I=this.renderer.renderTemplate(d);return{container:T,indent:j,twistie:W,indentGuidesDisposable:a.Disposable.None,templateData:I}}renderElement(T,$,j,W){typeof W=="number"&&(this.renderedNodes.set(T,{templateData:j,height:W}),this.renderedElements.set(T.element,T));const d=V.DefaultIndent+(T.depth-1)*this.indent;j.twistie.style.paddingLeft=`${d}px`,j.indent.style.width=`${d+this.indent-16}px`,this.renderTwistie(T,j),typeof W=="number"&&this.renderIndentGuides(T,j),this.renderer.renderElement(T,$,j.templateData,W)}disposeElement(T,$,j,W){j.indentGuidesDisposable.dispose(),this.renderer.disposeElement?.(T,$,j.templateData,W),typeof W=="number"&&(this.renderedNodes.delete(T),this.renderedElements.delete(T.element))}disposeTemplate(T){this.renderer.disposeTemplate(T.templateData)}onDidChangeTwistieState(T){const $=this.renderedElements.get(T);!$||this.onDidChangeNodeTwistieState($)}onDidChangeNodeTwistieState(T){const $=this.renderedNodes.get(T);!$||(this.renderTwistie(T,$.templateData),this._onDidChangeActiveNodes(this.activeNodes.elements),this.renderIndentGuides(T,$.templateData))}renderTwistie(T,$){$.twistie.classList.remove(...g.Codicon.treeItemExpanded.classNamesArray);let j=!1;this.renderer.renderTwistie&&(j=this.renderer.renderTwistie(T.element,$.twistie)),T.collapsible&&(!this.hideTwistiesOfChildlessElements||T.visibleChildrenCount>0)?(j||$.twistie.classList.add(...g.Codicon.treeItemExpanded.classNamesArray),$.twistie.classList.add("collapsible"),$.twistie.classList.toggle("collapsed",T.collapsed)):$.twistie.classList.remove("collapsible","collapsed"),T.collapsible?$.container.setAttribute("aria-expanded",String(!T.collapsed)):$.container.removeAttribute("aria-expanded")}renderIndentGuides(T,$){if((0,E.clearNode)($.indent),$.indentGuidesDisposable.dispose(),!this.shouldRenderIndentGuides)return;const j=new a.DisposableStore,W=this.modelProvider();let d=T;for(;;){const I=W.getNodeLocation(d),U=W.getParentNodeLocation(I);if(!U)break;const K=W.getNode(U),Z=(0,E.$)(".indent-guide",{style:`width: ${this.indent}px`});this.activeIndentNodes.has(K)&&Z.classList.add("active"),$.indent.childElementCount===0?$.indent.appendChild(Z):$.indent.insertBefore(Z,$.indent.firstElementChild),this.renderedIndentGuides.add(K,Z),j.add((0,a.toDisposable)(()=>this.renderedIndentGuides.delete(K,Z))),d=K}$.indentGuidesDisposable=j}_onDidChangeActiveNodes(T){if(!this.shouldRenderIndentGuides)return;const $=new Set,j=this.modelProvider();T.forEach(W=>{const d=j.getNodeLocation(W);try{const I=j.getParentNodeLocation(d);W.collapsible&&W.children.length>0&&!W.collapsed?$.add(W):I&&$.add(j.getNode(I))}catch{}}),this.activeIndentNodes.forEach(W=>{$.has(W)||this.renderedIndentGuides.forEach(W,d=>d.classList.remove("active"))}),$.forEach(W=>{this.activeIndentNodes.has(W)||this.renderedIndentGuides.forEach(W,d=>d.classList.add("active"))}),this.activeIndentNodes=$}dispose(){this.renderedNodes.clear(),this.renderedElements.clear(),this.indentGuidesDisposable.dispose(),(0,a.dispose)(this.disposables)}}V.DefaultIndent=8;class ue{constructor(T,$,j){this.tree=T,this.keyboardNavigationLabelProvider=$,this._filter=j,this._totalCount=0,this._matchCount=0,this._pattern="",this._lowercasePattern="",this.disposables=new a.DisposableStore,T.onWillRefilter(this.reset,this,this.disposables)}get totalCount(){return this._totalCount}get matchCount(){return this._matchCount}set pattern(T){this._pattern=T,this._lowercasePattern=T.toLowerCase()}filter(T,$){let j=1;if(this._filter){const I=this._filter.filter(T,$);if(typeof I=="boolean"?j=I?1:0:(0,m.isFilterResult)(I)?j=(0,m.getVisibleState)(I.visibility):j=I,j===0)return!1}if(this._totalCount++,!this._pattern)return this._matchCount++,{data:y.FuzzyScore.Default,visibility:j};const W=this.keyboardNavigationLabelProvider.getKeyboardNavigationLabel(T),d=Array.isArray(W)?W:[W];for(const I of d){const U=I&&I.toString();if(typeof U=="undefined")return{data:y.FuzzyScore.Default,visibility:j};const K=(0,y.fuzzyScore)(this._pattern,this._lowercasePattern,0,U,U.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(K)return this._matchCount++,d.length===1?{data:K,visibility:j}:{data:{label:U,score:K},visibility:j}}return this.tree.findMode===ge.Filter?2:{data:y.FuzzyScore.Default,visibility:j}}reset(){this._totalCount=0,this._matchCount=0}dispose(){(0,a.dispose)(this.disposables)}}class ne extends f.Toggle{constructor(T){super({icon:g.Codicon.listFilter,title:(0,S.localize)(0,null),isChecked:T?.isChecked??!1,inputActiveOptionBorder:T?.inputActiveOptionBorder,inputActiveOptionForeground:T?.inputActiveOptionForeground,inputActiveOptionBackground:T?.inputActiveOptionBackground})}}t.ModeToggle=ne;var ge;(function(ie){ie[ie.Highlight=0]="Highlight",ie[ie.Filter=1]="Filter"})(ge=t.TreeFindMode||(t.TreeFindMode={}));class ae extends a.Disposable{constructor(T,$,j,W,d){super();this.tree=$,this.elements=(0,E.h)(".monaco-tree-type-filter",[(0,E.h)(".monaco-tree-type-filter-grab.codicon.codicon-debug-gripper@grab",{tabIndex:0}),(0,E.h)(".monaco-tree-type-filter-input@findInput"),(0,E.h)(".monaco-tree-type-filter-actionbar@actionbar")]),this.width=0,this.right=0,this._onDidDisable=new D.Emitter,this.onDidDisable=this._onDidDisable.event,T.appendChild(this.elements.root),this._register((0,a.toDisposable)(()=>T.removeChild(this.elements.root))),this.modeToggle=this._register(new ne({...d,isChecked:W===ge.Filter})),this.onDidChangeMode=D.Event.map(this.modeToggle.onChange,()=>this.modeToggle.checked?ge.Filter:ge.Highlight,this._store),this.findInput=this._register(new C.FindInput(this.elements.findInput,j,!1,{label:(0,S.localize)(3,null),additionalToggles:[this.modeToggle]})),this.actionbar=this._register(new M.ActionBar(this.elements.actionbar)),this.mode=W;const I=this._register(new i.DomEmitter(this.findInput.inputBox.inputElement,"keydown")),U=this._register(D.Event.chain(I.event)).map(O=>new H.StandardKeyboardEvent(O)).event;this._register(U(O=>{switch(O.keyCode){case 18:O.preventDefault(),O.stopPropagation(),this.tree.domFocus();return}}));const K=this._register(new o.Action("close",(0,S.localize)(4,null),"codicon codicon-close",!0,()=>this.dispose()));this.actionbar.push(K,{icon:!0,label:!1});const Z=this._register(new i.DomEmitter(this.elements.grab,"mousedown"));this._register(Z.event(O=>{const z=new a.DisposableStore,A=z.add(new i.DomEmitter(window,"mousemove")),B=z.add(new i.DomEmitter(window,"mouseup")),k=this.right,R=O.pageX;this.elements.grab.classList.add("grabbing");const x=J=>{const de=J.pageX-R;this.right=k-de,this.layout()};z.add(A.event(x)),z.add(B.event(J=>{x(J),this.elements.grab.classList.remove("grabbing"),z.dispose()}))}));const L=this._register(D.Event.chain(this._register(new i.DomEmitter(this.elements.grab,"keydown")).event)).map(O=>new H.StandardKeyboardEvent(O)).event;this._register(L(O=>{let z;O.keyCode===15?z=Number.POSITIVE_INFINITY:O.keyCode===17?z=0:O.keyCode===10&&(z=this.right===0?Number.POSITIVE_INFINITY:0),z!==void 0&&(O.preventDefault(),O.stopPropagation(),this.right=z,this.layout())})),this.onDidChangeValue=this.findInput.onDidChange,this.style(d??{})}set mode(T){this.modeToggle.checked=T===ge.Filter,this.findInput.inputBox.setPlaceHolder(T===ge.Filter?(0,S.localize)(1,null):(0,S.localize)(2,null))}style(T){this.findInput.style(T),T.listFilterWidgetBackground&&(this.elements.root.style.backgroundColor=T.listFilterWidgetBackground.toString()),T.listFilterWidgetShadow&&(this.elements.root.style.boxShadow=`0 0 8px 2px ${T.listFilterWidgetShadow}`)}focus(){this.findInput.focus()}select(){this.findInput.select()}layout(T=this.width){this.width=T,this.right=(0,u.clamp)(this.right,0,Math.max(0,T-212)),this.elements.root.style.right=`${this.right}px`}showMessage(T){this.findInput.showMessage(T)}clearMessage(){this.findInput.clearMessage()}async dispose(){this._onDidDisable.fire(),this.elements.root.classList.add("disabled"),await(0,e.timeout)(300),super.dispose()}}class we{constructor(T,$,j,W,d){this.tree=T,this.view=j,this.filter=W,this.contextViewProvider=d,this._pattern="",this.width=0,this._onDidChangeMode=new D.Emitter,this.onDidChangeMode=this._onDidChangeMode.event,this._onDidChangePattern=new D.Emitter,this.onDidChangePattern=this._onDidChangePattern.event,this._onDidChangeOpenState=new D.Emitter,this.onDidChangeOpenState=this._onDidChangeOpenState.event,this.enabledDisposables=new a.DisposableStore,this.disposables=new a.DisposableStore,this._mode=T.options.defaultFindMode??ge.Highlight,$.onDidSplice(this.onDidSpliceModel,this,this.disposables)}get pattern(){return this._pattern}get mode(){return this._mode}set mode(T){T!==this._mode&&(this._mode=T,this.widget&&(this.widget.mode=this._mode),this.tree.refilter(),this.render(),this._onDidChangeMode.fire(T))}open(){if(this.widget){this.widget.focus(),this.widget.select();return}this.mode=this.tree.options.defaultFindMode??ge.Highlight,this.widget=new ae(this.view.getHTMLElement(),this.tree,this.contextViewProvider,this.mode,this.styles),this.enabledDisposables.add(this.widget),this.widget.onDidChangeValue(this.onDidChangeValue,this,this.enabledDisposables),this.widget.onDidChangeMode(T=>this.mode=T,void 0,this.enabledDisposables),this.widget.onDidDisable(this.close,this,this.enabledDisposables),this.widget.layout(this.width),this.widget.focus(),this._onDidChangeOpenState.fire(!0)}close(){!this.widget||(this.widget=void 0,this.enabledDisposables.dispose(),this.enabledDisposables=new a.DisposableStore,this.onDidChangeValue(""),this.tree.domFocus(),this._onDidChangeOpenState.fire(!1))}onDidChangeValue(T){this._pattern=T,this._onDidChangePattern.fire(T),this.filter.pattern=T,this.tree.refilter(),T&&this.tree.focusNext(0,!0,void 0,j=>!y.FuzzyScore.isDefault(j.filterData));const $=this.tree.getFocus();if($.length>0){const j=$[0];this.tree.getRelativeTop(j)===null&&this.tree.reveal(j,.5)}this.render()}onDidSpliceModel(){!this.widget||this.pattern.length===0||(this.tree.refilter(),this.render())}render(){const T=this.filter.totalCount>0&&this.filter.matchCount===0;this.pattern&&T?this.widget?.showMessage({type:2,content:(0,S.localize)(5,null)}):this.widget?.clearMessage()}shouldAllowFocus(T){return!this.widget||!this.pattern||this._mode===ge.Filter||this.filter.totalCount>0&&this.filter.matchCount<=1?!0:!y.FuzzyScore.isDefault(T.filterData)}style(T){this.styles=T,this.widget?.style(T)}layout(T){this.width=T,this.widget?.layout(T)}dispose(){this._onDidChangePattern.dispose(),this.enabledDisposables.dispose(),this.disposables.dispose()}}function he(ie){let T=N.TreeMouseEventTarget.Unknown;return(0,E.hasParentWithClass)(ie.browserEvent.target,"monaco-tl-twistie","monaco-tl-row")?T=N.TreeMouseEventTarget.Twistie:(0,E.hasParentWithClass)(ie.browserEvent.target,"monaco-tl-contents","monaco-tl-row")?T=N.TreeMouseEventTarget.Element:(0,E.hasParentWithClass)(ie.browserEvent.target,"monaco-tree-type-filter","monaco-list")&&(T=N.TreeMouseEventTarget.Filter),{browserEvent:ie.browserEvent,element:ie.element?ie.element.element:null,target:T}}function re(ie){return{element:ie.element?ie.element.element:null,browserEvent:ie.browserEvent,anchor:ie.anchor}}function Ce(ie,T){T(ie),ie.children.forEach($=>Ce($,T))}class te{constructor(T,$){this.getFirstViewElementWithTrait=T,this.identityProvider=$,this.nodes=[],this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event}get nodeSet(){return this._nodeSet||(this._nodeSet=this.createNodeSet()),this._nodeSet}set(T,$){!$?.__forceEvent&&(0,s.equals)(this.nodes,T)||this._set(T,!1,$)}_set(T,$,j){if(this.nodes=[...T],this.elements=void 0,this._nodeSet=void 0,!$){const W=this;this._onDidChange.fire({get elements(){return W.get()},browserEvent:j})}}get(){return this.elements||(this.elements=this.nodes.map(T=>T.element)),[...this.elements]}getNodes(){return this.nodes}has(T){return this.nodeSet.has(T)}onDidModelSplice({insertedNodes:T,deletedNodes:$}){if(!this.identityProvider){const K=this.createNodeSet(),Z=L=>K.delete(L);$.forEach(L=>Ce(L,Z)),this.set([...K.values()]);return}const j=new Set,W=K=>j.add(this.identityProvider.getId(K.element).toString());$.forEach(K=>Ce(K,W));const d=new Map,I=K=>d.set(this.identityProvider.getId(K.element).toString(),K);T.forEach(K=>Ce(K,I));const U=[];for(const K of this.nodes){const Z=this.identityProvider.getId(K.element).toString();if(!j.has(Z))U.push(K);else{const O=d.get(Z);O&&U.push(O)}}if(this.nodes.length>0&&U.length===0){const K=this.getFirstViewElementWithTrait();K&&U.push(K)}this._set(U,!0)}createNodeSet(){const T=new Set;for(const $ of this.nodes)T.add($);return T}}class De extends p.MouseController{constructor(T,$){super(T);this.tree=$}onViewPointer(T){if((0,p.isButton)(T.browserEvent.target)||(0,p.isInputElement)(T.browserEvent.target)||(0,p.isMonacoEditor)(T.browserEvent.target))return;const $=T.element;if(!$)return super.onViewPointer(T);if(this.isSelectionRangeChangeEvent(T)||this.isSelectionSingleChangeEvent(T))return super.onViewPointer(T);const j=T.browserEvent.target,W=j.classList.contains("monaco-tl-twistie")||j.classList.contains("monaco-icon-label")&&j.classList.contains("folder-icon")&&T.browserEvent.offsetX<16;let d=!1;if(typeof this.tree.expandOnlyOnTwistieClick=="function"?d=this.tree.expandOnlyOnTwistieClick($.element):d=!!this.tree.expandOnlyOnTwistieClick,d&&!W&&T.browserEvent.detail!==2)return super.onViewPointer(T);if(!this.tree.expandOnDoubleClick&&T.browserEvent.detail===2)return super.onViewPointer(T);if($.collapsible){const I=this.tree.model,U=I.getNodeLocation($),K=T.browserEvent.altKey;if(this.tree.setFocus([U]),I.setCollapsed(U,void 0,K),d&&W)return}super.onViewPointer(T)}onDoubleClick(T){T.browserEvent.target.classList.contains("monaco-tl-twistie")||!this.tree.expandOnDoubleClick||super.onDoubleClick(T)}}class ee extends p.List{constructor(T,$,j,W,d,I,U,K){super(T,$,j,W,K);this.focusTrait=d,this.selectionTrait=I,this.anchorTrait=U}createMouseController(T){return new De(this,T.tree)}splice(T,$,j=[]){if(super.splice(T,$,j),j.length===0)return;const W=[],d=[];let I;j.forEach((U,K)=>{this.focusTrait.has(U)&&W.push(T+K),this.selectionTrait.has(U)&&d.push(T+K),this.anchorTrait.has(U)&&(I=T+K)}),W.length>0&&super.setFocus((0,s.distinct)([...super.getFocus(),...W])),d.length>0&&super.setSelection((0,s.distinct)([...super.getSelection(),...d])),typeof I=="number"&&super.setAnchor(I)}setFocus(T,$,j=!1){super.setFocus(T,$),j||this.focusTrait.set(T.map(W=>this.element(W)),$)}setSelection(T,$,j=!1){super.setSelection(T,$),j||this.selectionTrait.set(T.map(W=>this.element(W)),$)}setAnchor(T,$=!1){super.setAnchor(T),$||(typeof T=="undefined"?this.anchorTrait.set([]):this.anchorTrait.set([this.element(T)]))}}class X{constructor(T,$,j,W,d={}){this._user=T,this._options=d,this.eventBufferer=new D.EventBufferer,this.onDidChangeFindOpenState=D.Event.None,this.disposables=new a.DisposableStore,this._onWillRefilter=new D.Emitter,this.onWillRefilter=this._onWillRefilter.event,this._onDidUpdateOptions=new D.Emitter,this.onDidUpdateOptions=this._onDidUpdateOptions.event;const I=new h(j),U=new D.Relay,K=new D.Relay,Z=this.disposables.add(new P(K.event));this.renderers=W.map(z=>new V(z,()=>this.model,U.event,Z,d));for(const z of this.renderers)this.disposables.add(z);let L;d.keyboardNavigationLabelProvider&&(L=new ue(this,d.keyboardNavigationLabelProvider,d.filter),d={...d,filter:L},this.disposables.add(L)),this.focus=new te(()=>this.view.getFocusedElements()[0],d.identityProvider),this.selection=new te(()=>this.view.getSelectedElements()[0],d.identityProvider),this.anchor=new te(()=>this.view.getAnchorElement(),d.identityProvider),this.view=new ee(T,$,I,this.renderers,this.focus,this.selection,this.anchor,{...n(()=>this.model,d),tree:this}),this.model=this.createModel(T,this.view,d),U.input=this.model.onDidChangeCollapseState;const O=D.Event.forEach(this.model.onDidSplice,z=>{this.eventBufferer.bufferEvents(()=>{this.focus.onDidModelSplice(z),this.selection.onDidModelSplice(z)})},this.disposables);if(O(()=>null,null,this.disposables),K.input=D.Event.chain(D.Event.any(O,this.focus.onDidChange,this.selection.onDidChange)).debounce(()=>null,0).map(()=>{const z=new Set;for(const A of this.focus.getNodes())z.add(A);for(const A of this.selection.getNodes())z.add(A);return[...z.values()]}).event,d.keyboardSupport!==!1){const z=D.Event.chain(this.view.onKeyDown).filter(A=>!(0,p.isInputElement)(A.target)).map(A=>new H.StandardKeyboardEvent(A));z.filter(A=>A.keyCode===15).on(this.onLeftArrow,this,this.disposables),z.filter(A=>A.keyCode===17).on(this.onRightArrow,this,this.disposables),z.filter(A=>A.keyCode===10).on(this.onSpace,this,this.disposables)}(d.findWidgetEnabled??!0)&&d.keyboardNavigationLabelProvider&&d.contextViewProvider?(this.findController=new we(this,this.model,this.view,L,d.contextViewProvider),this.focusNavigationFilter=z=>this.findController.shouldAllowFocus(z),this.onDidChangeFindOpenState=this.findController.onDidChangeOpenState,this.disposables.add(this.findController),this.onDidChangeFindMode=this.findController.onDidChangeMode):this.onDidChangeFindMode=D.Event.None,this.styleElement=(0,E.createStyleSheet)(this.view.getHTMLElement()),this.getHTMLElement().classList.toggle("always",this._options.renderIndentGuides===c.Always)}get onDidScroll(){return this.view.onDidScroll}get onDidChangeFocus(){return this.eventBufferer.wrapEvent(this.focus.onDidChange)}get onDidChangeSelection(){return this.eventBufferer.wrapEvent(this.selection.onDidChange)}get onMouseClick(){return D.Event.map(this.view.onMouseClick,he)}get onMouseDblClick(){return D.Event.filter(D.Event.map(this.view.onMouseDblClick,he),T=>T.target!==N.TreeMouseEventTarget.Filter)}get onContextMenu(){return D.Event.map(this.view.onContextMenu,re)}get onTap(){return D.Event.map(this.view.onTap,he)}get onPointer(){return D.Event.map(this.view.onPointer,he)}get onKeyDown(){return this.view.onKeyDown}get onKeyUp(){return this.view.onKeyUp}get onKeyPress(){return this.view.onKeyPress}get onDidFocus(){return this.view.onDidFocus}get onDidBlur(){return this.view.onDidBlur}get onDidChangeModel(){return D.Event.signal(this.model.onDidSplice)}get onDidChangeCollapseState(){return this.model.onDidChangeCollapseState}get onDidChangeRenderNodeCount(){return this.model.onDidChangeRenderNodeCount}get findMode(){return this.findController?.mode??ge.Highlight}set findMode(T){this.findController&&(this.findController.mode=T)}get onDidChangeFindPattern(){return this.findController?this.findController.onDidChangePattern:D.Event.None}get expandOnDoubleClick(){return typeof this._options.expandOnDoubleClick=="undefined"?!0:this._options.expandOnDoubleClick}get expandOnlyOnTwistieClick(){return typeof this._options.expandOnlyOnTwistieClick=="undefined"?!0:this._options.expandOnlyOnTwistieClick}get onDidDispose(){return this.view.onDidDispose}updateOptions(T={}){this._options={...this._options,...T};for(const $ of this.renderers)$.updateOptions(T);this.view.updateOptions(this._options),this._onDidUpdateOptions.fire(this._options),this.getHTMLElement().classList.toggle("always",this._options.renderIndentGuides===c.Always)}get options(){return this._options}updateWidth(T){const $=this.model.getListIndex(T);$!==-1&&this.view.updateWidth($)}getHTMLElement(){return this.view.getHTMLElement()}get contentHeight(){return this.view.contentHeight}get onDidChangeContentHeight(){return this.view.onDidChangeContentHeight}get scrollTop(){return this.view.scrollTop}set scrollTop(T){this.view.scrollTop=T}get scrollLeft(){return this.view.scrollLeft}set scrollLeft(T){this.view.scrollLeft=T}get scrollHeight(){return this.view.scrollHeight}get renderHeight(){return this.view.renderHeight}get firstVisibleElement(){const T=this.view.firstVisibleIndex;return T<0||T>=this.view.length?void 0:this.view.element(T).element}get lastVisibleElement(){const T=this.view.lastVisibleIndex;return this.view.element(T).element}get ariaLabel(){return this.view.ariaLabel}set ariaLabel(T){this.view.ariaLabel=T}domFocus(){this.view.domFocus()}isDOMFocused(){return this.getHTMLElement()===document.activeElement}layout(T,$){this.view.layout(T,$),(0,b.isNumber)($)&&this.findController?.layout($)}style(T){const $=`.${this.view.domId}`,j=[];T.treeIndentGuidesStroke&&(j.push(`.monaco-list${$}:hover .monaco-tl-indent > .indent-guide, .monaco-list${$}.always .monaco-tl-indent > .indent-guide  { border-color: ${T.treeIndentGuidesStroke.transparent(.4)}; }`),j.push(`.monaco-list${$} .monaco-tl-indent > .indent-guide.active { border-color: ${T.treeIndentGuidesStroke}; }`)),this.styleElement.textContent=j.join(`
`),this.findController?.style(T),this.view.style(T)}getParentElement(T){const $=this.model.getParentNodeLocation(T);return this.model.getNode($).element}getFirstElementChild(T){return this.model.getFirstElementChild(T)}getNode(T){return this.model.getNode(T)}collapse(T,$=!1){return this.model.setCollapsed(T,!0,$)}expand(T,$=!1){return this.model.setCollapsed(T,!1,$)}toggleCollapsed(T,$=!1){return this.model.setCollapsed(T,void 0,$)}expandAll(){this.model.setCollapsed(this.model.rootRef,!1,!0)}collapseAll(){this.model.setCollapsed(this.model.rootRef,!0,!0)}isCollapsible(T){return this.model.isCollapsible(T)}setCollapsible(T,$){return this.model.setCollapsible(T,$)}isCollapsed(T){return this.model.isCollapsed(T)}triggerTypeNavigation(){this.view.triggerTypeNavigation()}openFind(){this.findController?.open()}closeFind(){this.findController?.close()}refilter(){this._onWillRefilter.fire(void 0),this.model.refilter()}setAnchor(T){if(typeof T=="undefined")return this.view.setAnchor(void 0);const $=this.model.getNode(T);this.anchor.set([$]);const j=this.model.getListIndex(T);j>-1&&this.view.setAnchor(j,!0)}getAnchor(){return(0,s.firstOrDefault)(this.anchor.get(),void 0)}setSelection(T,$){const j=T.map(d=>this.model.getNode(d));this.selection.set(j,$);const W=T.map(d=>this.model.getListIndex(d)).filter(d=>d>-1);this.view.setSelection(W,$,!0)}getSelection(){return this.selection.get()}setFocus(T,$){const j=T.map(d=>this.model.getNode(d));this.focus.set(j,$);const W=T.map(d=>this.model.getListIndex(d)).filter(d=>d>-1);this.view.setFocus(W,$,!0)}focusNext(T=1,$=!1,j,W=this.focusNavigationFilter){this.view.focusNext(T,$,j,W)}focusPrevious(T=1,$=!1,j,W=this.focusNavigationFilter){this.view.focusPrevious(T,$,j,W)}focusNextPage(T,$=this.focusNavigationFilter){return this.view.focusNextPage(T,$)}focusPreviousPage(T,$=this.focusNavigationFilter){return this.view.focusPreviousPage(T,$)}focusLast(T,$=this.focusNavigationFilter){this.view.focusLast(T,$)}focusFirst(T,$=this.focusNavigationFilter){this.view.focusFirst(T,$)}getFocus(){return this.focus.get()}reveal(T,$){this.model.expandTo(T);const j=this.model.getListIndex(T);j!==-1&&this.view.reveal(j,$)}getRelativeTop(T){const $=this.model.getListIndex(T);return $===-1?null:this.view.getRelativeTop($)}getViewState(T=this.options.identityProvider){if(!T)throw new N.TreeError(this._user,"Can't get tree view state without an identity provider");const $=I=>T.getId(I).toString(),j=l.empty(this.scrollTop);for(const I of this.getFocus())j.focus.add($(I));for(const I of this.getSelection())j.selection.add($(I));const W=this.model.getNode(),d=[W];for(;d.length>0;){const I=d.shift();I!==W&&I.collapsible&&(j.expanded[$(I.element)]=I.collapsed?0:1),d.push(...I.children)}return j}onLeftArrow(T){T.preventDefault(),T.stopPropagation();const $=this.view.getFocusedElements();if($.length===0)return;const j=$[0],W=this.model.getNodeLocation(j);if(!this.model.setCollapsed(W,!0)){const I=this.model.getParentNodeLocation(W);if(!I)return;const U=this.model.getListIndex(I);this.view.reveal(U),this.view.setFocus([U])}}onRightArrow(T){T.preventDefault(),T.stopPropagation();const $=this.view.getFocusedElements();if($.length===0)return;const j=$[0],W=this.model.getNodeLocation(j);if(!this.model.setCollapsed(W,!1)){if(!j.children.some(K=>K.visible))return;const[I]=this.view.getFocus(),U=I+1;this.view.reveal(U),this.view.setFocus([U])}}onSpace(T){T.preventDefault(),T.stopPropagation();const $=this.view.getFocusedElements();if($.length===0)return;const j=$[0],W=this.model.getNodeLocation(j),d=T.browserEvent.altKey;this.model.setCollapsed(W,void 0,d)}navigate(T){return new se(this.view,this.model,T)}dispose(){(0,a.dispose)(this.disposables),this.view.dispose()}}t.AbstractTree=X;class se{constructor(T,$,j){this.view=T,this.model=$,j?this.index=this.model.getListIndex(j):this.index=-1}current(){return this.index<0||this.index>=this.view.length?null:this.view.element(this.index).element}previous(){return this.index--,this.current()}next(){return this.index++,this.current()}first(){return this.index=0,this.current()}last(){return this.index=this.view.length-1,this.current()}}}),define(me[128],pe([1,0,127,117,23,26]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DataTree=void 0;class C extends E.AbstractTree{constructor(p,f,m,N,o,s={}){super(p,f,m,N,s);this.user=p,this.dataSource=o,this.nodesByIdentity=new Map,this.identityProvider=s.identityProvider}getInput(){return this.input}setInput(p,f){if(f&&!this.identityProvider)throw new H.TreeError(this.user,"Can't restore tree view state without an identity provider");if(this.input=p,!p){this.nodesByIdentity.clear(),this.model.setChildren(null,M.Iterable.empty());return}if(!f){this._refresh(p);return}const m=[],N=[],o=e=>{const g=this.identityProvider.getId(e).toString();return!f.expanded[g]},s=e=>{const g=this.identityProvider.getId(e.element).toString();f.focus.has(g)&&m.push(e.element),f.selection.has(g)&&N.push(e.element)};this._refresh(p,o,s),this.setFocus(m),this.setSelection(N),f&&typeof f.scrollTop=="number"&&(this.scrollTop=f.scrollTop)}updateChildren(p=this.input){if(typeof this.input=="undefined")throw new H.TreeError(this.user,"Tree input not set");let f;this.identityProvider&&(f=m=>{const N=this.identityProvider.getId(m).toString(),o=this.nodesByIdentity.get(N);if(!!o)return o.collapsed}),this._refresh(p,f)}resort(p=this.input,f=!0){this.model.resort(p===this.input?null:p,f)}refresh(p){if(p===void 0){this.view.rerender();return}this.model.rerender(p)}_refresh(p,f,m){let N;if(this.identityProvider){const o=new Set,s=m;m=e=>{const g=this.identityProvider.getId(e.element).toString();o.add(g),this.nodesByIdentity.set(g,e),s?.(e)},N=e=>{const g=this.identityProvider.getId(e.element).toString();o.has(g)||this.nodesByIdentity.delete(g)}}this.model.setChildren(p===this.input?null:p,this.iterate(p,f).elements,{onDidCreateNode:m,onDidDeleteNode:N})}iterate(p,f){const m=[...this.dataSource.getChildren(p)];return{elements:M.Iterable.map(m,o=>{const{elements:s,size:e}=this.iterate(o,f),g=this.dataSource.hasChildren?this.dataSource.hasChildren(o):void 0,v=e===0?void 0:f&&f(o);return{element:o,children:s,collapsible:g,collapsed:v}}),size:m.length}}createModel(p,f,m){return new i.ObjectTreeModel(p,f,m)}}t.DataTree=C}),define(me[38],pe([1,0,14,8,31,28,25,13,3,2,49,10,6]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.logWithColors=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.ResponseType=t.RequestType=void 0;var s;(function(ee){ee[ee.Promise=100]="Promise",ee[ee.PromiseCancel=101]="PromiseCancel",ee[ee.EventListen=102]="EventListen",ee[ee.EventDispose=103]="EventDispose"})(s=t.RequestType||(t.RequestType={}));function e(ee){switch(ee){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var g;(function(ee){ee[ee.Initialize=200]="Initialize",ee[ee.PromiseSuccess=201]="PromiseSuccess",ee[ee.PromiseError=202]="PromiseError",ee[ee.PromiseErrorObj=203]="PromiseErrorObj",ee[ee.EventFire=204]="EventFire"})(g=t.ResponseType||(t.ResponseType={}));function v(ee){switch(ee){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var D;(function(ee){ee[ee.Uninitialized=0]="Uninitialized",ee[ee.Idle=1]="Idle"})(D||(D={}));class y{constructor(X){this.buffer=X,this.pos=0}read(X){const se=this.buffer.slice(this.pos,this.pos+X);return this.pos+=se.byteLength,se}}class a{constructor(){this.buffers=[]}get buffer(){return H.VSBuffer.concat(this.buffers)}write(X){this.buffers.push(X)}}var u;(function(ee){ee[ee.Undefined=0]="Undefined",ee[ee.String=1]="String",ee[ee.Buffer=2]="Buffer",ee[ee.VSBuffer=3]="VSBuffer",ee[ee.Array=4]="Array",ee[ee.Object=5]="Object"})(u||(u={}));function b(ee){const X=H.VSBuffer.alloc(4);return X.writeUInt32BE(ee,0),X}function S(ee){return ee.read(4).readUInt32BE(0)}function F(ee){const X=H.VSBuffer.alloc(1);return X.writeUInt8(ee,0),X}const _={Undefined:F(u.Undefined),String:F(u.String),Buffer:F(u.Buffer),VSBuffer:F(u.VSBuffer),Array:F(u.Array),Object:F(u.Object)},r=typeof Buffer!="undefined";function n(ee,X){if(typeof X=="undefined")ee.write(_.Undefined);else if(typeof X=="string"){const se=H.VSBuffer.fromString(X);ee.write(_.String),ee.write(b(se.byteLength)),ee.write(se)}else if(r&&Buffer.isBuffer(X)){const se=H.VSBuffer.wrap(X);ee.write(_.Buffer),ee.write(b(se.byteLength)),ee.write(se)}else if(X instanceof H.VSBuffer)ee.write(_.VSBuffer),ee.write(b(X.byteLength)),ee.write(X);else if(Array.isArray(X)){ee.write(_.Array),ee.write(b(X.length));for(const se of X)n(ee,se)}else{const se=H.VSBuffer.fromString(JSON.stringify(X));ee.write(_.Object),ee.write(b(se.byteLength)),ee.write(se)}}function h(ee){switch(ee.read(1).readUInt8(0)){case u.Undefined:return;case u.String:return ee.read(S(ee)).toString();case u.Buffer:return ee.read(S(ee)).buffer;case u.VSBuffer:return ee.read(S(ee));case u.Array:{const se=S(ee),ie=[];for(let T=0;T<se;T++)ie.push(h(ee));return ie}case u.Object:return JSON.parse(ee.read(S(ee)).toString())}}class l{constructor(X,se,ie=null,T=1e3){this.protocol=X,this.ctx=se,this.logger=ie,this.timeoutDelay=T,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage($=>this.onRawMessage($)),this.sendResponse({type:200})}registerChannel(X,se){this.channels.set(X,se),setTimeout(()=>this.flushPendingRequests(X),0)}sendResponse(X){switch(X.type){case 200:{const se=this.send([X.type]);this.logger?.logOutgoing(se,0,1,v(X.type));return}case 201:case 202:case 204:case 203:{const se=this.send([X.type,X.id],X.data);this.logger?.logOutgoing(se,X.id,1,v(X.type),X.data);return}}}send(X,se=void 0){const ie=new a;return n(ie,X),n(ie,se),this.sendBuffer(ie.buffer)}sendBuffer(X){try{return this.protocol.send(X),X.byteLength}catch{return 0}}onRawMessage(X){const se=new y(X),ie=h(se),T=h(se),$=ie[0];switch($){case 100:return this.logger?.logIncoming(X.byteLength,ie[1],1,`${e($)}: ${ie[2]}.${ie[3]}`,T),this.onPromise({type:$,id:ie[1],channelName:ie[2],name:ie[3],arg:T});case 102:return this.logger?.logIncoming(X.byteLength,ie[1],1,`${e($)}: ${ie[2]}.${ie[3]}`,T),this.onEventListen({type:$,id:ie[1],channelName:ie[2],name:ie[3],arg:T});case 101:return this.logger?.logIncoming(X.byteLength,ie[1],1,`${e($)}`),this.disposeActiveRequest({type:$,id:ie[1]});case 103:return this.logger?.logIncoming(X.byteLength,ie[1],1,`${e($)}`),this.disposeActiveRequest({type:$,id:ie[1]})}}onPromise(X){const se=this.channels.get(X.channelName);if(!se){this.collectPendingRequest(X);return}const ie=new M.CancellationTokenSource;let T;try{T=se.call(this.ctx,X.name,X.arg,ie.token)}catch(W){T=Promise.reject(W)}const $=X.id;T.then(W=>{this.sendResponse({id:$,data:W,type:201}),this.activeRequests.delete(X.id)},W=>{W instanceof Error?this.sendResponse({id:$,data:{message:W.message,name:W.name,stack:W.stack?W.stack.split?W.stack.split(`
`):W.stack:void 0},type:202}):this.sendResponse({id:$,data:W,type:203}),this.activeRequests.delete(X.id)});const j=(0,f.toDisposable)(()=>ie.cancel());this.activeRequests.set(X.id,j)}onEventListen(X){const se=this.channels.get(X.channelName);if(!se){this.collectPendingRequest(X);return}const ie=X.id,$=se.listen(this.ctx,X.name,X.arg)(j=>this.sendResponse({id:ie,data:j,type:204}));this.activeRequests.set(X.id,$)}disposeActiveRequest(X){const se=this.activeRequests.get(X.id);se&&(se.dispose(),this.activeRequests.delete(X.id))}collectPendingRequest(X){let se=this.pendingRequests.get(X.channelName);se||(se=[],this.pendingRequests.set(X.channelName,se));const ie=setTimeout(()=>{console.error(`Unknown channel: ${X.channelName}`),X.type===100&&this.sendResponse({id:X.id,data:{name:"Unknown channel",message:`Channel name '${X.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);se.push({request:X,timeoutTimer:ie})}flushPendingRequests(X){const se=this.pendingRequests.get(X);if(se){for(const ie of se)switch(clearTimeout(ie.timeoutTimer),ie.request.type){case 100:this.onPromise(ie.request);break;case 102:this.onEventListen(ie.request);break}this.pendingRequests.delete(X)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,f.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}t.ChannelServer=l;var c;(function(ee){ee[ee.LocalSide=0]="LocalSide",ee[ee.OtherSide=1]="OtherSide"})(c=t.RequestInitiator||(t.RequestInitiator={}));class P{constructor(X,se=null){this.protocol=X,this.isDisposed=!1,this.state=D.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new p.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(ie=>this.onBuffer(ie)),this.logger=se}getChannel(X){const se=this;return{call(ie,T,$){return se.isDisposed?Promise.reject(new w.CancellationError):se.requestPromise(X,ie,T,$)},listen(ie,T){return se.isDisposed?p.Event.None:se.requestEvent(X,ie,T)}}}requestPromise(X,se,ie,T=M.CancellationToken.None){const $=this.lastRequestId++,W={id:$,type:100,channelName:X,name:se,arg:ie};if(T.isCancellationRequested)return Promise.reject(new w.CancellationError);let d;return new Promise((U,K)=>{if(T.isCancellationRequested)return K(new w.CancellationError);const Z=()=>{const A=B=>{switch(B.type){case 201:this.handlers.delete($),U(B.data);break;case 202:{this.handlers.delete($);const k=new Error(B.data.message);k.stack=B.data.stack,k.name=B.data.name,K(k);break}case 203:this.handlers.delete($),K(B.data);break}};this.handlers.set($,A),this.sendRequest(W)};let L=null;this.state===D.Idle?Z():(L=(0,i.createCancelablePromise)(A=>this.whenInitialized()),L.then(()=>{L=null,Z()}));const O=()=>{L?(L.cancel(),L=null):this.sendRequest({id:$,type:101}),K(new w.CancellationError)},z=T.onCancellationRequested(O);d=(0,f.combinedDisposable)((0,f.toDisposable)(O),z),this.activeRequests.add(d)}).finally(()=>{this.activeRequests.delete(d)})}requestEvent(X,se,ie){const T=this.lastRequestId++,j={id:T,type:102,channelName:X,name:se,arg:ie};let W=null;const d=new p.Emitter({onFirstListenerAdd:()=>{W=(0,i.createCancelablePromise)(U=>this.whenInitialized()),W.then(()=>{W=null,this.activeRequests.add(d),this.sendRequest(j)})},onLastListenerRemove:()=>{W?(W.cancel(),W=null):(this.activeRequests.delete(d),this.sendRequest({id:T,type:103}))}}),I=U=>d.fire(U.data);return this.handlers.set(T,I),d.event}sendRequest(X){switch(X.type){case 100:case 102:{const se=this.send([X.type,X.id,X.channelName,X.name],X.arg);this.logger?.logOutgoing(se,X.id,0,`${e(X.type)}: ${X.channelName}.${X.name}`,X.arg);return}case 101:case 103:{const se=this.send([X.type,X.id]);this.logger?.logOutgoing(se,X.id,0,e(X.type));return}}}send(X,se=void 0){const ie=new a;return n(ie,X),n(ie,se),this.sendBuffer(ie.buffer)}sendBuffer(X){try{return this.protocol.send(X),X.byteLength}catch{return 0}}onBuffer(X){const se=new y(X),ie=h(se),T=h(se),$=ie[0];switch($){case 200:return this.logger?.logIncoming(X.byteLength,0,0,v($)),this.onResponse({type:ie[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(X.byteLength,ie[1],0,v($),T),this.onResponse({type:ie[0],id:ie[1],data:T})}}onResponse(X){if(X.type===200){this.state=D.Idle,this._onDidInitialize.fire();return}this.handlers.get(X.id)?.(X)}get onDidInitializePromise(){return p.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===D.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,f.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}Ke([C.memoize],P.prototype,"onDidInitializePromise",null),t.ChannelClient=P;class V{constructor(X){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new p.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new p.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,X(({protocol:se,onDidClientDisconnect:ie})=>{p.Event.once(se.onMessage)($=>{const j=new y($),W=h(j),d=new l(se,W),I=new P(se);this.channels.forEach((K,Z)=>d.registerChannel(Z,K));const U={channelServer:d,channelClient:I,ctx:W};this._connections.add(U),this._onDidAddConnection.fire(U),ie(()=>{d.dispose(),I.dispose(),this._connections.delete(U),this._onDidRemoveConnection.fire(U)})})})}get connections(){const X=[];return this._connections.forEach(se=>X.push(se)),X}getChannel(X,se){const ie=this;return{call(T,$,j){let W;if((0,o.isFunction)(se)){const I=(0,E.getRandomElement)(ie.connections.filter(se));W=I?Promise.resolve(I):p.Event.toPromise(p.Event.filter(ie.onDidAddConnection,se))}else W=se.routeCall(ie,T,$);const d=W.then(I=>I.channelClient.getChannel(X));return ne(d).call(T,$,j)},listen(T,$){if((0,o.isFunction)(se))return ie.getMulticastEvent(X,se,T,$);const j=se.routeEvent(ie,T,$).then(W=>W.channelClient.getChannel(X));return ne(j).listen(T,$)}}}getMulticastEvent(X,se,ie,T){const $=this;let j=new f.DisposableStore;const W=new p.Emitter({onFirstListenerAdd:()=>{j=new f.DisposableStore;const d=new p.EventMultiplexer,I=new Map,U=Z=>{const O=Z.channelClient.getChannel(X).listen(ie,T),z=d.add(O);I.set(Z,z)},K=Z=>{const L=I.get(Z);!L||(L.dispose(),I.delete(Z))};$.connections.filter(se).forEach(U),p.Event.filter($.onDidAddConnection,se)(U,void 0,j),$.onDidRemoveConnection(K,void 0,j),d.event(W.fire,W,j),j.add(d)},onLastListenerRemove:()=>{j.dispose()}});return W.event}registerChannel(X,se){this.channels.set(X,se),this._connections.forEach(ie=>{ie.channelServer.registerChannel(X,se)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}t.IPCServer=V;class ue{constructor(X,se,ie=null){const T=new a;n(T,se),X.send(T.buffer),this.channelClient=new P(X,ie),this.channelServer=new l(X,se,ie)}getChannel(X){return this.channelClient.getChannel(X)}registerChannel(X,se){this.channelServer.registerChannel(X,se)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}t.IPCClient=ue;function ne(ee){return{call(X,se,ie){return ee.then(T=>T.call(X,se,ie))},listen(X,se){const ie=new p.Relay;return ee.then(T=>ie.input=T.listen(X,se)),ie.event}}}t.getDelayedChannel=ne;function ge(ee){let X=!1;return{call(se,ie,T){return X?ee.call(se,ie,T):(0,i.timeout)(0).then(()=>X=!0).then(()=>ee.call(se,ie,T))},listen(se,ie){if(X)return ee.listen(se,ie);const T=new p.Relay;return(0,i.timeout)(0).then(()=>X=!0).then(()=>T.input=ee.listen(se,ie)),T.event}}}t.getNextTickChannel=ge;class ae{constructor(X){this.fn=X}routeCall(X){return this.route(X)}routeEvent(X){return this.route(X)}async route(X){for(const se of X.connections)if(await Promise.resolve(this.fn(se.ctx)))return Promise.resolve(se);return await p.Event.toPromise(X.onDidAddConnection),await this.route(X)}}t.StaticRouter=ae;var we;(function(ee){function X($,j){const W=$,d=j&&j.disableMarshalling,I=new Map;for(const U in W)ie(U)&&I.set(U,p.Event.buffer(W[U],!0));return new class{listen(U,K,Z){const L=I.get(K);if(L)return L;if(T(K)){const O=W[K];if(typeof O=="function")return O.call(W,Z)}throw new Error(`Event not found: ${K}`)}call(U,K,Z){const L=W[K];if(typeof L=="function"){if(!d&&Array.isArray(Z))for(let O=0;O<Z.length;O++)Z[O]=(0,m.revive)(Z[O]);return L.apply(W,Z)}throw new Error(`Method not found: ${K}`)}}}ee.fromService=X;function se($,j){const W=j&&j.disableMarshalling;return new Proxy({},{get(d,I){if(typeof I=="string")return j?.properties?.has(I)?j.properties.get(I):T(I)?function(U){return $.listen(I,U)}:ie(I)?$.listen(I):async function(...U){let K;j&&!(0,o.isUndefinedOrNull)(j.context)?K=[j.context,...U]:K=U;const Z=await $.call(I,K);return W?Z:(0,m.revive)(Z)};throw new Error(`Property not found: ${String(I)}`)}})}ee.toService=se;function ie($){return $[0]==="o"&&$[1]==="n"&&N.isUpperAsciiLetter($.charCodeAt(2))}function T($){return/^onDynamic/.test($)&&N.isUpperAsciiLetter($.charCodeAt(9))}})(we=t.ProxyChannel||(t.ProxyChannel={}));const he=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function re(ee){if(Array.isArray(ee))return ee;if(ee&&typeof ee=="object"&&typeof ee.toString=="function"){const X=ee.toString();if(X!=="[object Object]")return X}return ee}function Ce(ee){return Array.isArray(ee)?ee.map(re):re(ee)}function te(ee,X,se,ie,T,$,j){j=Ce(j);const W=he[T],d=W[ie%W.length];let I=[`%c[${ee}]%c[${String(X).padStart(7," ")}]%c[len: ${String(se).padStart(5," ")}]%c${String(ie).padStart(5," ")} - ${$}`,"color: darkgreen","color: grey","color: grey",`color: ${d}`];/\($/.test($)?(I=I.concat(j),I.push(")")):I.push(j),console.log.apply(console,I)}t.logWithColors=te;class De{constructor(X,se){this._outgoingPrefix=X,this._incomingPrefix=se,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(X,se,ie,T,$){this._totalOutgoing+=X,te(this._outgoingPrefix,this._totalOutgoing,X,se,ie,T,$)}logIncoming(X,se,ie,T,$){this._totalIncoming+=X,te(this._incomingPrefix,this._totalIncoming,X,se,ie,T,$)}}t.IPCLogger=De}),define(me[29],pe([1,0,5]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.context=t.process=t.webFrame=t.ipcMessagePort=t.ipcRenderer=void 0,t.ipcRenderer=E.globals.vscode.ipcRenderer,t.ipcMessagePort=E.globals.vscode.ipcMessagePort,t.webFrame=E.globals.vscode.webFrame,t.process=E.globals.vscode.process,t.context=E.globals.vscode.context}),define(me[129],pe([1,0,80,29]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.popup=void 0;let H=0;function M(w,p,f){const m=[],N=H++,o=`vscode:onContextMenu${N}`,s=(e,g,v)=>{m[g].click?.(v)};i.ipcRenderer.once(o,s),i.ipcRenderer.once(E.CONTEXT_MENU_CLOSE_CHANNEL,(e,g)=>{g===N&&(i.ipcRenderer.removeListener(o,s),f?.())}),i.ipcRenderer.send(E.CONTEXT_MENU_CHANNEL,N,w.map(e=>C(e,m)),o,p)}t.popup=M;function C(w,p){const f={id:p.length,label:w.label,type:w.type,accelerator:w.accelerator,checked:w.checked,enabled:typeof w.enabled=="boolean"?w.enabled:!0,visible:typeof w.visible=="boolean"?w.visible:!0};return p.push(w),Array.isArray(w.submenu)&&(f.submenu=w.submenu.map(m=>C(m,p))),f}}),define(me[130],pe([1,0,31,3,38,81,29]),function(Q,t,E,i,H,M,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=void 0;class w extends H.IPCClient{constructor(f){const m=w.createProtocol();super(m,f);this.protocol=m}static createProtocol(){const f=i.Event.fromNodeEventEmitter(C.ipcRenderer,"vscode:message",(m,N)=>E.VSBuffer.wrap(N));return C.ipcRenderer.send("vscode:hello"),new M.Protocol(C.ipcRenderer,f)}dispose(){this.protocol.disconnect()}}t.Client=w}),define(me[131],pe([12,9]),function(Q,t){return Q.create("vs/platform/files/common/files",t)}),define(me[132],pe([12,9]),function(Q,t){return Q.create("vs/platform/theme/common/iconRegistry",t)}),define(me[63],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SyncDescriptor=void 0;class E{constructor(H,M=[],C=!1){this.ctor=H,this.staticArguments=M,this.supportsDelayedInstantiation=C}}t.SyncDescriptor=E}),define(me[133],pe([1,0,63]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSingletonServiceDescriptors=t.registerSingleton=void 0;const i=[];function H(C,w,p){w instanceof E.SyncDescriptor||(w=new E.SyncDescriptor(w,[],p)),i.push([C,w])}t.registerSingleton=H;function M(){return i}t.getSingletonServiceDescriptors=M}),define(me[30],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.refineServiceDecorator=t.createDecorator=t.IInstantiationService=t._util=void 0;var E;(function(C){C.serviceIds=new Map,C.DI_TARGET="$di$target",C.DI_DEPENDENCIES="$di$dependencies";function w(p){return p[C.DI_DEPENDENCIES]||[]}C.getServiceDependencies=w})(E=t._util||(t._util={})),t.IInstantiationService=H("instantiationService");function i(C,w,p){w[E.DI_TARGET]===w?w[E.DI_DEPENDENCIES].push({id:C,index:p}):(w[E.DI_DEPENDENCIES]=[{id:C,index:p}],w[E.DI_TARGET]=w)}function H(C){if(E.serviceIds.has(C))return E.serviceIds.get(C);const w=function(p,f,m){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");i(w,p,m)};return w.toString=()=>C,E.serviceIds.set(C,w),w}t.createDecorator=H;function M(C){return C}t.refineServiceDecorator=M}),define(me[134],pe([1,0,30]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullDiagnosticsService=t.isRemoteDiagnosticError=t.IDiagnosticsService=t.ID=void 0,t.ID="diagnosticsService",t.IDiagnosticsService=(0,E.createDecorator)(t.ID);function i(M){return!!M.hostName&&!!M.errorMessage}t.isRemoteDiagnosticError=i;class H{async getPerformanceInfo(C,w){return{}}async getSystemInfo(C,w){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(C,w){return""}async getWorkspaceFileExtensions(C){return{extensions:[]}}async reportWorkspaceStats(C){}}t.NullDiagnosticsService=H}),define(me[135],pe([1,0,48,21,10,6,16,131,30]),function(Q,t,E,i,H,M,C,w,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getPlatformLimits=t.Arch=t.ByteSize=t.FALLBACK_MAX_MEMORY_SIZE_MB=t.MIN_MAX_MEMORY_SIZE_MB=t.whenProviderRegistered=t.etag=t.ETAG_DISABLED=t.FileKind=t.FILES_EXCLUDE_CONFIG=t.FILES_ASSOCIATIONS_CONFIG=t.HotExitConfiguration=t.AutoSaveConfiguration=t.FileOperationResult=t.NotModifiedSinceFileOperationError=t.FileOperationError=t.isParent=t.FileChangesEvent=t.FileChangeType=t.FileOperationEvent=t.FileOperation=t.toFileOperationResult=t.toFileSystemProviderErrorCode=t.markAsFileSystemProviderError=t.ensureFileSystemProviderError=t.createFileSystemProviderError=t.FileSystemProviderError=t.FileSystemProviderErrorCode=t.hasFileAtomicReadCapability=t.hasFileReadStreamCapability=t.hasOpenReadWriteCloseCapability=t.hasFileCloneCapability=t.hasFileFolderCopyCapability=t.hasReadWriteCapability=t.FileSystemProviderCapabilities=t.FilePermission=t.FileType=t.isFileOpenForWriteOptions=t.IFileService=void 0,t.IFileService=(0,p.createDecorator)("fileService");function f(te){return te.create===!0}t.isFileOpenForWriteOptions=f;var m;(function(te){te[te.Unknown=0]="Unknown",te[te.File=1]="File",te[te.Directory=2]="Directory",te[te.SymbolicLink=64]="SymbolicLink"})(m=t.FileType||(t.FileType={}));var N;(function(te){te[te.Readonly=1]="Readonly"})(N=t.FilePermission||(t.FilePermission={}));var o;(function(te){te[te.FileReadWrite=2]="FileReadWrite",te[te.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",te[te.FileReadStream=16]="FileReadStream",te[te.FileFolderCopy=8]="FileFolderCopy",te[te.PathCaseSensitive=1024]="PathCaseSensitive",te[te.Readonly=2048]="Readonly",te[te.Trash=4096]="Trash",te[te.FileWriteUnlock=8192]="FileWriteUnlock",te[te.FileAtomicRead=16384]="FileAtomicRead",te[te.FileClone=32768]="FileClone"})(o=t.FileSystemProviderCapabilities||(t.FileSystemProviderCapabilities={}));function s(te){return!!(te.capabilities&2)}t.hasReadWriteCapability=s;function e(te){return!!(te.capabilities&8)}t.hasFileFolderCopyCapability=e;function g(te){return!!(te.capabilities&32768)}t.hasFileCloneCapability=g;function v(te){return!!(te.capabilities&4)}t.hasOpenReadWriteCloseCapability=v;function D(te){return!!(te.capabilities&16)}t.hasFileReadStreamCapability=D;function y(te){return s(te)?!!(te.capabilities&16384):!1}t.hasFileAtomicReadCapability=y;var a;(function(te){te.FileExists="EntryExists",te.FileNotFound="EntryNotFound",te.FileNotADirectory="EntryNotADirectory",te.FileIsADirectory="EntryIsADirectory",te.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",te.FileTooLarge="EntryTooLarge",te.FileWriteLocked="EntryWriteLocked",te.NoPermissions="NoPermissions",te.Unavailable="Unavailable",te.Unknown="Unknown"})(a=t.FileSystemProviderErrorCode||(t.FileSystemProviderErrorCode={}));class u extends Error{constructor(De,ee){super(De);this.code=ee}}t.FileSystemProviderError=u;function b(te,De){const ee=new u(te.toString(),De);return F(ee,De),ee}t.createFileSystemProviderError=b;function S(te){return te||b((0,w.localize)(0,null),a.Unknown)}t.ensureFileSystemProviderError=S;function F(te,De){return te.name=De?`${De} (FileSystemError)`:"FileSystemError",te}t.markAsFileSystemProviderError=F;function _(te){if(!te)return a.Unknown;if(te instanceof u)return te.code;const De=/^(.+) \(FileSystemError\)$/.exec(te.name);if(!De)return a.Unknown;switch(De[1]){case a.FileExists:return a.FileExists;case a.FileIsADirectory:return a.FileIsADirectory;case a.FileNotADirectory:return a.FileNotADirectory;case a.FileNotFound:return a.FileNotFound;case a.FileExceedsMemoryLimit:return a.FileExceedsMemoryLimit;case a.FileTooLarge:return a.FileTooLarge;case a.FileWriteLocked:return a.FileWriteLocked;case a.NoPermissions:return a.NoPermissions;case a.Unavailable:return a.Unavailable}return a.Unknown}t.toFileSystemProviderErrorCode=_;function r(te){if(te instanceof V)return te.fileOperationResult;switch(_(te)){case a.FileNotFound:return 1;case a.FileIsADirectory:return 0;case a.FileNotADirectory:return 10;case a.FileWriteLocked:return 5;case a.NoPermissions:return 6;case a.FileExists:return 4;case a.FileExceedsMemoryLimit:return 9;case a.FileTooLarge:return 7;default:return 11}}t.toFileOperationResult=r;var n;(function(te){te[te.CREATE=0]="CREATE",te[te.DELETE=1]="DELETE",te[te.MOVE=2]="MOVE",te[te.COPY=3]="COPY",te[te.WRITE=4]="WRITE"})(n=t.FileOperation||(t.FileOperation={}));class h{constructor(De,ee,X){this.resource=De,this.operation=ee,this.target=X}isOperation(De){return this.operation===De}}t.FileOperationEvent=h;var l;(function(te){te[te.UPDATED=0]="UPDATED",te[te.ADDED=1]="ADDED",te[te.DELETED=2]="DELETED"})(l=t.FileChangeType||(t.FileChangeType={}));class c{constructor(De,ee){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=De;const X=new Map;for(const se of De){const ie=X.get(se.type);switch(ie?ie.push([se.resource,se]):X.set(se.type,[[se.resource,se]]),se.type){case 1:this.rawAdded.push(se.resource);break;case 0:this.rawUpdated.push(se.resource);break;case 2:this.rawDeleted.push(se.resource);break}}for(const[se,ie]of X)switch(se){case 1:this.added=E.TernarySearchTree.forUris(()=>ee),this.added.fill(ie);break;case 0:this.updated=E.TernarySearchTree.forUris(()=>ee),this.updated.fill(ie);break;case 2:this.deleted=E.TernarySearchTree.forUris(()=>ee),this.deleted.fill(ie);break}}contains(De,...ee){return this.doContains(De,{includeChildren:!1},...ee)}affects(De,...ee){return this.doContains(De,{includeChildren:!0},...ee)}doContains(De,ee,...X){if(!De)return!1;const se=X.length>0;return!!((!se||X.includes(1))&&(this.added?.get(De)||ee.includeChildren&&this.added?.findSuperstr(De))||(!se||X.includes(0))&&(this.updated?.get(De)||ee.includeChildren&&this.updated?.findSuperstr(De))||(!se||X.includes(2))&&(this.deleted?.findSubstr(De)||ee.includeChildren&&this.deleted?.findSuperstr(De)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}t.FileChangesEvent=c;function P(te,De,ee){return!te||!De||te===De||De.length>te.length?!1:(De.charAt(De.length-1)!==i.sep&&(De+=i.sep),ee?(0,H.startsWithIgnoreCase)(te,De):te.indexOf(De)===0)}t.isParent=P;class V extends Error{constructor(De,ee,X){super(De);this.fileOperationResult=ee,this.options=X}}t.FileOperationError=V;class ue extends V{constructor(De,ee,X){super(De,2,X);this.stat=ee}}t.NotModifiedSinceFileOperationError=ue;var ne;(function(te){te[te.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",te[te.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",te[te.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",te[te.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",te[te.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",te[te.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",te[te.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",te[te.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",te[te.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",te[te.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",te[te.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",te[te.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(ne=t.FileOperationResult||(t.FileOperationResult={})),t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},t.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},t.FILES_ASSOCIATIONS_CONFIG="files.associations",t.FILES_EXCLUDE_CONFIG="files.exclude";var ge;(function(te){te[te.FILE=0]="FILE",te[te.FOLDER=1]="FOLDER",te[te.ROOT_FOLDER=2]="ROOT_FOLDER"})(ge=t.FileKind||(t.FileKind={})),t.ETAG_DISABLED="";function ae(te){if(!(typeof te.size!="number"||typeof te.mtime!="number"))return te.mtime.toString(29)+te.size.toString(31)}t.etag=ae;async function we(te,De){if(!De.hasProvider(C.URI.from({scheme:te.scheme})))return new Promise(ee=>{const X=De.onDidChangeFileSystemProviderRegistrations(se=>{se.scheme===te.scheme&&se.added&&(X.dispose(),ee())})})}t.whenProviderRegistered=we,t.MIN_MAX_MEMORY_SIZE_MB=2048,t.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class he{static formatSize(De){return(0,M.isNumber)(De)||(De=0),De<he.KB?(0,w.localize)(1,null,De.toFixed(0)):De<he.MB?(0,w.localize)(2,null,(De/he.KB).toFixed(2)):De<he.GB?(0,w.localize)(3,null,(De/he.MB).toFixed(2)):De<he.TB?(0,w.localize)(4,null,(De/he.GB).toFixed(2)):(0,w.localize)(5,null,(De/he.TB).toFixed(2))}}t.ByteSize=he,he.KB=1024,he.MB=he.KB*he.KB,he.GB=he.MB*he.KB,he.TB=he.GB*he.KB;var re;(function(te){te[te.IA32=0]="IA32",te[te.OTHER=1]="OTHER"})(re=t.Arch||(t.Arch={}));function Ce(te){return{maxFileSize:te===0?300*he.MB:16*he.GB,maxHeapSize:te===0?700*he.MB:2*700*he.MB}}t.getPlatformLimits=Ce}),define(me[136],pe([1,0,2,130]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ElectronIPCMainProcessService=void 0;class H extends E.Disposable{constructor(C){super();this.mainProcessConnection=this._register(new i.Client(`window:${C}`))}getChannel(C){return this.mainProcessConnection.getChannel(C)}registerChannel(C,w){this.mainProcessConnection.registerChannel(C,w)}}t.ElectronIPCMainProcessService=H});var Tt=this&&this.__param||function(Q,t){return function(E,i){t(E,i,Q)}};define(me[137],pe([1,0,38,63,133,30]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.registerSharedProcessRemoteService=t.ISharedProcessService=t.registerMainProcessRemoteService=t.IMainProcessService=void 0;class C{constructor(s,e,g){const v=g.getChannel(s);return w(e)?new e.channelClientCtor(v):E.ProxyChannel.toService(v,e?.proxyOptions)}}function w(o){return!!o?.channelClientCtor}t.IMainProcessService=(0,M.createDecorator)("mainProcessService");let p=class extends C{constructor(s,e,g){super(s,e,g)}};p=Ke([Tt(2,t.IMainProcessService)],p);function f(o,s,e){(0,H.registerSingleton)(o,new i.SyncDescriptor(p,[s,e],e?.supportsDelayedInstantiation))}t.registerMainProcessRemoteService=f,t.ISharedProcessService=(0,M.createDecorator)("sharedProcessService");let m=class extends C{constructor(s,e,g){super(s,e,g)}};m=Ke([Tt(2,t.ISharedProcessService)],m);function N(o,s,e){(0,H.registerSingleton)(o,new i.SyncDescriptor(m,[s,e],e?.supportsDelayedInstantiation))}t.registerSharedProcessRemoteService=N}),define(me[138],pe([1,0,38,137]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NativeHostService=void 0;let H=class{constructor(C,w){return this.windowId=C,E.ProxyChannel.toService(w.getChannel("nativeHost"),{context:C,properties:(()=>{const p=new Map;return p.set("windowId",C),p})()})}};H=Ke([Tt(1,i.IMainProcessService)],H),t.NativeHostService=H}),define(me[39],pe([1,0,68,6]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class H{constructor(){this.data=new Map}add(C,w){E.ok(i.isString(C)),E.ok(i.isObject(w)),E.ok(!this.data.has(C),"There is already an extension with this id"),this.data.set(C,w)}knows(C){return this.data.has(C)}as(C){return this.data.get(C)||null}}t.Registry=new H}),define(me[139],pe([1,0,3,39]),function(Q,t,E,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function H(w){return w.length>0&&w.charAt(w.length-1)==="#"?w.substring(0,w.length-1):w}class M{constructor(){this._onDidChangeSchema=new E.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(p,f){this.schemasById[H(p)]=f,this._onDidChangeSchema.fire(p)}notifySchemaChanged(p){this._onDidChangeSchema.fire(p)}getSchemaContributions(){return{schemas:this.schemasById}}}const C=new M;i.Registry.add(t.Extensions.JSONContribution,C)}),define(me[140],pe([1,0]),function(Q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isDark=t.isHighContrast=t.ColorScheme=void 0;var E;(function(M){M.DARK="dark",M.LIGHT="light",M.HIGH_CONTRAST_DARK="hcDark",M.HIGH_CONTRAST_LIGHT="hcLight"})(E=t.ColorScheme||(t.ColorScheme={}));function i(M){return M===E.HIGH_CONTRAST_DARK||M===E.HIGH_CONTRAST_LIGHT}t.isHighContrast=i;function H(M){return M===E.DARK||M===E.HIGH_CONTRAST_DARK}t.isDark=H}),define(me[64],pe([1,0,11,3,2,30,39,140]),function(Q,t,E,i,H,M,C,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Themable=t.registerThemingParticipant=t.Extensions=t.getThemeTypeSelector=t.FolderThemeIcon=t.FileThemeIcon=t.ThemeIcon=t.themeColorFromId=t.ThemeColor=t.IThemeService=void 0,t.IThemeService=(0,M.createDecorator)("themeService");var p;(function(v){function D(y){return y&&typeof y=="object"&&typeof y.id=="string"}v.isThemeColor=D})(p=t.ThemeColor||(t.ThemeColor={}));function f(v){return{id:v}}t.themeColorFromId=f;var m;(function(v){function D(r){return r&&typeof r=="object"&&typeof r.id=="string"&&(typeof r.color=="undefined"||p.isThemeColor(r.color))}v.isThemeIcon=D;const y=new RegExp(`^\\$\\((${E.CSSIcon.iconNameExpression}(?:${E.CSSIcon.iconModifierExpression})?)\\)$`);function a(r){const n=y.exec(r);if(!n)return;const[,h]=n;return{id:h}}v.fromString=a;function u(r){return{id:r}}v.fromId=u;function b(r,n){let h=r.id;const l=h.lastIndexOf("~");return l!==-1&&(h=h.substring(0,l)),n&&(h=`${h}~${n}`),{id:h}}v.modify=b;function S(r){const n=r.id.lastIndexOf("~");if(n!==-1)return r.id.substring(n+1)}v.getModifier=S;function F(r,n){return r.id===n.id&&r.color?.id===n.color?.id}v.isEqual=F;function _(r,n){return{id:r.id,color:n?f(n):void 0}}v.asThemeIcon=_,v.asClassNameArray=E.CSSIcon.asClassNameArray,v.asClassName=E.CSSIcon.asClassName,v.asCSSSelector=E.CSSIcon.asCSSSelector})(m=t.ThemeIcon||(t.ThemeIcon={})),t.FileThemeIcon=E.Codicon.file,t.FolderThemeIcon=E.Codicon.folder;function N(v){switch(v){case w.ColorScheme.DARK:return"vs-dark";case w.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case w.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}t.getThemeTypeSelector=N,t.Extensions={ThemingContribution:"base.contributions.theming"};class o{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new i.Emitter}onColorThemeChange(D){return this.themingParticipants.push(D),this.onThemingParticipantAddedEmitter.fire(D),(0,H.toDisposable)(()=>{const y=this.themingParticipants.indexOf(D);this.themingParticipants.splice(y,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const s=new o;C.Registry.add(t.Extensions.ThemingContribution,s);function e(v){return s.onColorThemeChange(v)}t.registerThemingParticipant=e;class g extends H.Disposable{constructor(D){super();this.themeService=D,this.theme=D.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(y=>this.onThemeChange(y)))}onThemeChange(D){this.theme=D,this.updateStyles()}updateStyles(){}getColor(D,y){let a=this.theme.getColor(D);return a&&y&&(a=y(a,this.theme)),a?a.toString():null}}t.Themable=g}),define(me[141],pe([1,0,8,11,3,6,16,132,139,39,64]),function(Q,t,E,i,H,M,C,w,p,f,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.spinningLoading=t.syncing=t.gotoNextLocation=t.gotoPreviousLocation=t.widgetClose=t.iconsSchemaId=t.getIconRegistry=t.registerIcon=t.IconFontDefinition=t.IconContribution=t.Extensions=void 0,t.Extensions={IconContribution:"base.contributions.icons"};var N;(function(u){function b(S,F){let _=S.defaults;for(;m.ThemeIcon.isThemeIcon(_);){const r=e.getIcon(_.id);if(!r)return;_=r.defaults}return _}u.getDefinition=b})(N=t.IconContribution||(t.IconContribution={}));var o;(function(u){function b(F){return{weight:F.weight,style:F.style,src:F.src.map(_=>({format:_.format,location:_.location.toString()}))}}u.toJSONObject=b;function S(F){const _=r=>(0,M.isString)(r)?r:void 0;if(F&&Array.isArray(F.src)&&F.src.every(r=>(0,M.isString)(r.format)&&(0,M.isString)(r.location)))return{weight:_(F.weight),style:_(F.style),src:F.src.map(r=>({format:r.format,location:C.URI.parse(r.location)}))}}u.fromJSONObject=S})(o=t.IconFontDefinition||(t.IconFontDefinition={}));class s{constructor(){this._onDidChange=new H.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,w.localize)(0,null)},fontCharacter:{type:"string",description:(0,w.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${i.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(b,S,F,_){const r=this.iconsById[b];if(r){if(F&&!r.description){r.description=F,this.iconSchema.properties[b].markdownDescription=`${F} $(${b})`;const l=this.iconReferenceSchema.enum.indexOf(b);l!==-1&&(this.iconReferenceSchema.enumDescriptions[l]=F),this._onDidChange.fire()}return r}const n={id:b,description:F,defaults:S,deprecationMessage:_};this.iconsById[b]=n;const h={$ref:"#/definitions/icons"};return _&&(h.deprecationMessage=_),F&&(h.markdownDescription=`${F}: $(${b})`),this.iconSchema.properties[b]=h,this.iconReferenceSchema.enum.push(b),this.iconReferenceSchema.enumDescriptions.push(F||""),this._onDidChange.fire(),{id:b}}deregisterIcon(b){delete this.iconsById[b],delete this.iconSchema.properties[b];const S=this.iconReferenceSchema.enum.indexOf(b);S!==-1&&(this.iconReferenceSchema.enum.splice(S,1),this.iconReferenceSchema.enumDescriptions.splice(S,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(b=>this.iconsById[b])}getIcon(b){return this.iconsById[b]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(b,S){const F=this.iconFontsById[b];return F||(this.iconFontsById[b]=S,this._onDidChange.fire(),S)}deregisterIconFont(b){delete this.iconFontsById[b]}getIconFont(b){return this.iconFontsById[b]}toString(){const b=(r,n)=>r.id.localeCompare(n.id),S=r=>{for(;m.ThemeIcon.isThemeIcon(r.defaults);)r=this.iconsById[r.defaults.id];return`codicon codicon-${r?r.id:""}`},F=[];F.push("| preview     | identifier                        | default codicon ID                | description"),F.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const _=Object.keys(this.iconsById).map(r=>this.iconsById[r]);for(const r of _.filter(n=>!!n.description).sort(b))F.push(`|<i class="${S(r)}"></i>|${r.id}|${m.ThemeIcon.isThemeIcon(r.defaults)?r.defaults.id:r.id}|${r.description||""}|`);F.push("| preview     | identifier                        "),F.push("| ----------- | --------------------------------- |");for(const r of _.filter(n=>!m.ThemeIcon.isThemeIcon(n.defaults)).sort(b))F.push(`|<i class="${S(r)}"></i>|${r.id}|`);return F.join(`
`)}}const e=new s;f.Registry.add(t.Extensions.IconContribution,e);function g(u,b,S,F){return e.registerIcon(u,b,S,F)}t.registerIcon=g;function v(){return e}t.getIconRegistry=v;function D(){for(const u of i.Codicon.getAll())e.registerIcon(u.id,u.definition,u.description)}D(),t.iconsSchemaId="vscode://schemas/icons";const y=f.Registry.as(p.Extensions.JSONContribution);y.registerSchema(t.iconsSchemaId,e.getIconSchema());const a=new E.RunOnceScheduler(()=>y.notifySchemaChanged(t.iconsSchemaId),200);e.onDidChange(()=>{a.isScheduled()||a.schedule()}),t.widgetClose=g("widget-close",i.Codicon.close,(0,w.localize)(2,null)),t.gotoPreviousLocation=g("goto-previous-location",i.Codicon.arrowUp,(0,w.localize)(3,null)),t.gotoNextLocation=g("goto-next-location",i.Codicon.arrowDown,(0,w.localize)(4,null)),t.syncing=m.ThemeIcon.modify(i.Codicon.sync,"spin"),t.spinningLoading=m.ThemeIcon.modify(i.Codicon.loading,"spin")}),define(me[142],pe([1,0,4,3,141,64]),function(Q,t,E,i,H,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.UnthemedProductIconTheme=t.getIconsStyleSheet=void 0;function C(p){const f=new i.Emitter,m=(0,H.getIconRegistry)();return m.onDidChange(()=>f.fire()),p?.onDidProductIconThemeChange(()=>f.fire()),{onDidChange:f.event,getCSS(){const N=p?p.getProductIconTheme():new w,o={},s=g=>{const v=N.getIcon(g);if(!v)return;const D=v.font;return D?(o[D.id]=D.definition,`.codicon-${g.id}:before { content: '${v.fontCharacter}'; font-family: ${(0,E.asCSSPropertyValue)(D.id)}; }`):`.codicon-${g.id}:before { content: '${v.fontCharacter}'; }`},e=[];for(const g of m.getIcons()){const v=s(g);v&&e.push(v)}for(const g in o){const v=o[g],D=v.weight?`font-weight: ${v.weight};`:"",y=v.style?`font-style: ${v.style};`:"",a=v.src.map(u=>`${(0,E.asCSSUrl)(u.location)} format('${u.format}')`).join(", ");e.push(`@font-face { src: ${a}; font-family: ${(0,E.asCSSPropertyValue)(g)};${D}${y} font-display: block; }`)}return e.join(`
`)}}}t.getIconsStyleSheet=C;class w{getIcon(f){const m=(0,H.getIconRegistry)();let N=f.defaults;for(;M.ThemeIcon.isThemeIcon(N);){const o=m.getIcon(N.id);if(!o)return;N=o.defaults}return N}}t.UnthemedProductIconTheme=w}),define(me[143],pe([1,0,5]),function(Q,t,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.zoomLevelToZoomFactor=t.useWindowControlsOverlay=t.getTitleBarStyle=t.getMenuBarVisibility=t.isFileToOpen=t.isFolderToOpen=t.isWorkspaceToOpen=t.WindowMinimumSize=void 0,t.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function i(m){return!!m.workspaceUri}t.isWorkspaceToOpen=i;function H(m){return!!m.folderUri}t.isFolderToOpen=H;function M(m){return!!m.fileUri}t.isFileToOpen=M;function C(m){const N=w(m),o=m.getValue("window.menuBarVisibility");return o==="default"||N==="native"&&o==="compact"||E.isMacintosh&&E.isNative?"classic":o}t.getMenuBarVisibility=C;function w(m){if(E.isWeb)return"custom";const N=m.getValue("window");if(N){if(E.isMacintosh&&N.nativeTabs===!0||E.isMacintosh&&N.nativeFullScreen===!1)return"native";const e=N.titleBarStyle;if(e==="native"||e==="custom")return e}return E.isLinux?"native":"custom"}t.getTitleBarStyle=w;function p(m,N){if(!E.isWindows||E.isWeb||!N.isBuilt||w(m)==="native")return!1;const o=m.getValue("window.experimental.windowControlsOverlay.enabled");return typeof o=="boolean"?o:!1}t.useWindowControlsOverlay=p;function f(m=0){return Math.pow(1.2,m)}t.zoomLevelToZoomFactor=f}),define(me[144],pe([1,0,15,29,143]),function(Q,t,E,i,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.zoomOut=t.zoomIn=t.applyZoom=void 0;function M(p){i.webFrame.setZoomLevel(p),(0,E.setZoomFactor)((0,H.zoomLevelToZoomFactor)(p)),(0,E.setZoomLevel)(p,!1)}t.applyZoom=M;function C(){M((0,E.getZoomLevel)()+1)}t.zoomIn=C;function w(){M((0,E.getZoomLevel)()-1)}t.zoomOut=w}),define(me[145],pe([1,0,9,4,128,8,129,29,134,135,136,138,142,144,94,85]),function(Q,t,E,i,H,M,C,w,p,f,m,N,o,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.startup=void 0;const e=/\s--(inspect|debug)(-brk|port)?=(\d+)?/,g=/\s--(inspect|debug)-port=(\d+)/;class v{getHeight(c){return 22}getTemplateId(c){return _(c)?"process":S(c)?"machine":(0,p.isRemoteDiagnosticError)(c)?"error":F(c)?"header":""}}class D{hasChildren(c){return(0,p.isRemoteDiagnosticError)(c)?!1:_(c)?!!c.children?.length:!0}getChildren(c){return _(c)?c.children?c.children:[]:(0,p.isRemoteDiagnosticError)(c)?[]:F(c)?c.processRoots.length>1?c.processRoots:[c.processRoots[0].rootProcess]:S(c)?[c.rootProcess]:[c.processes]}}class y{constructor(){this.templateId="header"}renderTemplate(c){const P=Object.create(null),V=(0,i.append)(c,(0,i.$)(".row"));return P.name=(0,i.append)(V,(0,i.$)(".nameLabel")),P.CPU=(0,i.append)(V,(0,i.$)(".cpu")),P.memory=(0,i.append)(V,(0,i.$)(".memory")),P.PID=(0,i.append)(V,(0,i.$)(".pid")),P}renderElement(c,P,V,ue){V.name.textContent=(0,E.localize)(0,null),V.CPU.textContent=(0,E.localize)(1,null),V.PID.textContent=(0,E.localize)(2,null),V.memory.textContent=(0,E.localize)(3,null)}disposeTemplate(c){}}class a{constructor(){this.templateId="machine"}renderTemplate(c){const P=Object.create(null),V=(0,i.append)(c,(0,i.$)(".row"));return P.name=(0,i.append)(V,(0,i.$)(".nameLabel")),P}renderElement(c,P,V,ue){V.name.textContent=c.element.name}disposeTemplate(c){}}class u{constructor(){this.templateId="error"}renderTemplate(c){const P=Object.create(null),V=(0,i.append)(c,(0,i.$)(".row"));return P.name=(0,i.append)(V,(0,i.$)(".nameLabel")),P}renderElement(c,P,V,ue){V.name.textContent=c.element.errorMessage}disposeTemplate(c){}}class b{constructor(c,P,V){this.platform=c,this.totalMem=P,this.mapPidToWindowTitle=V,this.templateId="process"}renderTemplate(c){const P=Object.create(null),V=(0,i.append)(c,(0,i.$)(".row"));return P.name=(0,i.append)(V,(0,i.$)(".nameLabel")),P.CPU=(0,i.append)(V,(0,i.$)(".cpu")),P.memory=(0,i.append)(V,(0,i.$)(".memory")),P.PID=(0,i.append)(V,(0,i.$)(".pid")),P}renderElement(c,P,V,ue){const{element:ne}=c;let ge=ne.name;ge==="window"&&(ge=this.mapPidToWindowTitle.get(ne.pid)!==void 0?`${ge} (${this.mapPidToWindowTitle.get(ne.pid)})`:ge);const ae=ne.pid.toFixed(0);V.name.textContent=ge,V.name.title=ne.cmd,V.CPU.textContent=ne.load.toFixed(0),V.PID.textContent=ae,V.PID.parentElement.id=`pid-${ae}`;const we=this.platform==="win32"?ne.mem:this.totalMem*(ne.mem/100);V.memory.textContent=(we/f.ByteSize.MB).toFixed(0)}disposeTemplate(c){}}function S(l){return!!l.name&&!!l.rootProcess}function F(l){return!!l.processRoots}function _(l){return!!l.pid}class r{constructor(c,P){this.data=P,this.mapPidToWindowTitle=new Map;const V=new m.ElectronIPCMainProcessService(c);this.nativeHostService=new N.NativeHostService(c,V),this.applyStyles(P.styles),this.setEventHandlers(P),w.ipcRenderer.on("vscode:windowsInfoResponse",(ue,ne)=>{this.mapPidToWindowTitle=new Map,ne.forEach(ge=>this.mapPidToWindowTitle.set(ge.pid,ge.title))}),w.ipcRenderer.on("vscode:listProcessesResponse",async(ue,ne)=>{ne.forEach((ge,ae)=>{_(ge.rootProcess)&&(ge.rootProcess.name=ae===0?`${this.data.applicationName} main`:"remote agent")}),this.tree?(this.tree.setInput({processes:{processRoots:ne}}),this.tree.layout(window.innerHeight,window.innerWidth)):await this.createProcessTree(ne),this.requestProcessList(0)}),this.lastRequestTime=Date.now(),w.ipcRenderer.send("vscode:windowsInfoRequest"),w.ipcRenderer.send("vscode:listProcesses")}setEventHandlers(c){document.onkeydown=P=>{const V=c.platform==="darwin"?P.metaKey:P.ctrlKey;V&&P.keyCode===87&&(P.stopPropagation(),P.preventDefault(),w.ipcRenderer.send("vscode:closeProcessExplorer")),V&&P.keyCode===187&&(0,s.zoomIn)(),V&&P.keyCode===189&&(0,s.zoomOut)()}}async createProcessTree(c){const P=document.getElementById("process-list");if(!P)return;const{totalmem:V}=await this.nativeHostService.getOSStatistics(),ue=[new b(this.data.platform,V,this.mapPidToWindowTitle),new y,new a,new u];this.tree=new H.DataTree("processExplorer",P,new v,ue,new D,{identityProvider:{getId:ne=>_(ne)?ne.pid.toString():(0,p.isRemoteDiagnosticError)(ne)?ne.hostName:F(ne)?"processes":S(ne)?ne.name:"header"}}),this.tree.setInput({processes:{processRoots:c}}),this.tree.layout(window.innerHeight,window.innerWidth),this.tree.onContextMenu(ne=>{_(ne.element)&&this.showContextMenu(ne.element,!0)}),P.style.height=`${window.innerHeight}px`,window.addEventListener("resize",()=>{P.style.height=`${window.innerHeight}px`,this.tree?.layout(window.innerHeight,window.innerWidth)})}isDebuggable(c){const P=e.exec(c);return P&&P.length>=2||c.indexOf("node ")>=0||c.indexOf("node.exe")>=0}attachTo(c){const P={type:"node",request:"attach",name:`process ${c.pid}`};let V=e.exec(c.cmd);V&&V.length>=2?(V.length===4&&V[3]&&(P.port=parseInt(V[3])),P.protocol=V[1]==="debug"?"legacy":"inspector"):P.processId=String(c.pid),V=g.exec(c.cmd),V&&V.length===3&&(P.port=parseInt(V[2])),w.ipcRenderer.send("vscode:workbenchCommand",{id:"debug.startFromConfig",from:"processExplorer",args:[P]})}applyStyles(c){const P=(0,i.createStyleSheet)(),V=[];c.listFocusBackground&&(V.push(`.monaco-list:focus .monaco-list-row.focused { background-color: ${c.listFocusBackground}; }`),V.push(`.monaco-list:focus .monaco-list-row.focused:hover { background-color: ${c.listFocusBackground}; }`)),c.listFocusForeground&&V.push(`.monaco-list:focus .monaco-list-row.focused { color: ${c.listFocusForeground}; }`),c.listActiveSelectionBackground&&(V.push(`.monaco-list:focus .monaco-list-row.selected { background-color: ${c.listActiveSelectionBackground}; }`),V.push(`.monaco-list:focus .monaco-list-row.selected:hover { background-color: ${c.listActiveSelectionBackground}; }`)),c.listActiveSelectionForeground&&V.push(`.monaco-list:focus .monaco-list-row.selected { color: ${c.listActiveSelectionForeground}; }`),c.listHoverBackground&&V.push(`.monaco-list-row:hover:not(.selected):not(.focused) { background-color: ${c.listHoverBackground}; }`),c.listHoverForeground&&V.push(`.monaco-list-row:hover:not(.selected):not(.focused) { color: ${c.listHoverForeground}; }`),c.listFocusOutline&&V.push(`.monaco-list:focus .monaco-list-row.focused { outline: 1px solid ${c.listFocusOutline}; outline-offset: -1px; }`),c.listHoverOutline&&V.push(`.monaco-list-row:hover { outline: 1px dashed ${c.listHoverOutline}; outline-offset: -1px; }`),c.scrollbarShadowColor&&V.push(`
				.monaco-scrollable-element > .shadow.top {
					box-shadow: ${c.scrollbarShadowColor} 0 6px 6px -6px inset;
				}

				.monaco-scrollable-element > .shadow.left {
					box-shadow: ${c.scrollbarShadowColor} 6px 0 6px -6px inset;
				}

				.monaco-scrollable-element > .shadow.top.left {
					box-shadow: ${c.scrollbarShadowColor} 6px 6px 6px -6px inset;
				}
			`),c.scrollbarSliderBackgroundColor&&V.push(`
				.monaco-scrollable-element > .scrollbar > .slider {
					background: ${c.scrollbarSliderBackgroundColor};
				}
			`),c.scrollbarSliderHoverBackgroundColor&&V.push(`
				.monaco-scrollable-element > .scrollbar > .slider:hover {
					background: ${c.scrollbarSliderHoverBackgroundColor};
				}
			`),c.scrollbarSliderActiveBackgroundColor&&V.push(`
				.monaco-scrollable-element > .scrollbar > .slider.active {
					background: ${c.scrollbarSliderActiveBackgroundColor};
				}
			`),P.textContent=V.join(`
`),c.color&&(document.body.style.color=c.color)}showContextMenu(c,P){const V=[],ue=Number(c.pid);P&&(V.push({label:(0,E.localize)(4,null),click:()=>{this.nativeHostService.killProcess(ue,"SIGTERM")}}),V.push({label:(0,E.localize)(5,null),click:()=>{this.nativeHostService.killProcess(ue,"SIGKILL")}}),V.push({type:"separator"})),V.push({label:(0,E.localize)(6,null),click:()=>{const ne=this.tree?.getSelection()?.map(ae=>{if(!(!ae||!("pid"in ae)))return ae.pid}).filter(ae=>!!ae);ne?.includes(ue)||(ne.length=0,ne.push(ue));const ge=ne?.map(ae=>document.getElementById(`pid-${ae}`)).filter(ae=>!!ae);if(ge){const ae=ge.map(we=>we.innerText).filter(we=>!!we);this.nativeHostService.writeClipboardText(ae.join(`
`))}}}),V.push({label:(0,E.localize)(7,null),click:()=>{const ne=document.getElementById("process-list");ne&&this.nativeHostService.writeClipboardText(ne.innerText)}}),c&&P&&this.isDebuggable(c.cmd)&&(V.push({type:"separator"}),V.push({label:(0,E.localize)(8,null),click:()=>{this.attachTo(c)}})),(0,C.popup)(V)}requestProcessList(c){setTimeout(()=>{const P=Date.now(),V=c+P-this.lastRequestTime;this.lastRequestTime=P,V>1e3?(w.ipcRenderer.send("vscode:windowsInfoRequest"),w.ipcRenderer.send("vscode:listProcesses")):this.requestProcessList(V)},200)}}function n(){const l=(0,i.createStyleSheet)();l.id="codiconStyles";const c=(0,o.getIconsStyleSheet)(void 0);function P(){l.textContent=c.getCSS()}const V=new M.RunOnceScheduler(P,0);c.onDidChange(()=>V.schedule()),V.schedule()}function h(l){const c=l.data.platform==="win32"?"windows":l.data.platform==="linux"?"linux":"mac";document.body.classList.add(c),n(),(0,s.applyZoom)(l.data.zoomLevel),new r(l.windowId,l.data)}t.startup=h})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/undefined/core/vs/code/electron-sandbox/processExplorer/processExplorerMain.js.map
