/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var De=["exports","require","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/base/common/event","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/path","vs/base/common/errors","vs/base/common/platform","vs/base/common/network","vs/base/common/types","vs/platform/log/common/log","vs/workbench/api/common/extHostRpcService","vs/workbench/api/common/extHostTypeConverters","vs/base/common/arrays","vs/base/common/async","vs/nls","vs/nls!vs/workbench/api/node/extensionHostProcess","vs/base/common/cancellation","vs/base/common/resources","vs/base/common/buffer","vs/base/common/objects","vs/base/common/map","vs/workbench/api/common/extHostInitDataService","vs/workbench/services/extensions/common/extensions","vs/platform/extensions/common/extensions","vs/base/node/pfs","vs/workbench/services/search/common/search","vs/base/common/extpath","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/uuid","vs/editor/common/core/range","vs/base/common/glob","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/base/common/severity","vs/platform/files/common/files","vs/platform/registry/common/platform","child_process","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostVariableResolverService","vs/base/common/assert","vs/editor/common/core/position","vs/base/common/errorMessage","vs/base/common/stopwatch","vs/platform/contextkey/common/contextkey","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostEditorTabs","vs/base/common/decorators","vs/base/common/functional","vs/base/common/iterator","vs/base/common/hash","vs/base/common/marshalling","fs","vs/editor/common/languages","vs/workbench/contrib/testing/common/testId","vs/workbench/contrib/testing/common/testTypes","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/codicons","vs/base/common/collections","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/normalization","os","vs/platform/instantiation/common/extensions","vs/platform/configuration/common/configuration","vs/platform/extensionManagement/common/extensionManagement","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/common/webview","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/api/common/extHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/idGenerator","vs/base/common/numbers","vs/base/common/stream","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/model","vs/base/common/mime","vs/base/common/processes","vs/base/common/filters","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/htmlContent","vs/base/common/labels","vs/base/common/uriIpc","vs/base/node/extpath","vs/base/node/processes","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.net","vs/editor/common/services/semanticTokensDto","vs/editor/common/config/editorOptions","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/tunnel/common/tunnel","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/common/editor","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostTelemetryLogService","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostOutput","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/common/json","vs/base/common/marked/marked","vs/editor/common/core/selection","vs/editor/common/core/textModelDefaults","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/model/prefixSumComputer","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/cache","vs/base/common/iconLabels","vs/editor/common/languageSelector","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/tokenizationRegistry","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/api/node/extHostTunnelService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/instantiation/common/instantiationService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/product/common/productService","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/node/uriTransformer","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","net","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostProgress","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostCLIServer","http","vs/workbench/api/node/extHostConsoleForwarder","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostLoggerService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/output/common/output","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostVariableResolverService","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","string_decoder","vs/workbench/services/textfile/common/encoding","vs/workbench/services/views/common/treeViewsService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/node/proxyResolver","vs/workbench/api/node/extHostExtensionService","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHost.node.services","util","vs/base/common/semver/semver","https","tls","vscode-proxy-agent","events","vscode-regexpp","vs/workbench/api/node/extensionHostProcess","minimist"],Ie=function(Z){for(var e=[],u=0,t=Z.length;u<t;u++)e[u]=De[Z[u]];return e};define(De[48],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.ok=void 0;function u(C,P){if(!C)throw new Error(P?`Assertion failed (${P})`:"Assertion Failed")}e.ok=u;function t(C,P="Unreachable"){throw new Error(P)}e.assertNever=t}),define(De[76],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function u(y){return y?y.replace(/\$\((.*?)\)/g,(D,w)=>` ${w} `).trim():""}e.getCodiconAriaLabel=u;class t{constructor(D,w,I){this.id=D,this.definition=w,this.description=I,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",t.circleFilled.definition),t.closeDirty=new t("close-dirty",t.circleFilled.definition),t.debugBreakpoint=new t("debug-breakpoint",t.circleFilled.definition),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",t.circleFilled.definition),t.debugHint=new t("debug-hint",t.circleFilled.definition),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circle=new t("circle",{fontCharacter:"\\eabc"}),t.circleOutline=new t("circle-outline",t.circle.definition),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",t.circle.definition),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.circleSmallFilled=new t("circle-small-filled",{fontCharacter:"\\eb8a"}),t.debugStackframeDot=new t("debug-stackframe-dot",t.circleSmallFilled.definition),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLarge=new t("circle-large",{fontCharacter:"\\ebb5"}),t.circleLargeOutline=new t("circle-large-outline",t.circleLarge.definition),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.layoutSidebarRightOff=new t("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),t.layoutPanelOff=new t("layout-panel-off",{fontCharacter:"\\ec01"}),t.layoutSidebarLeftOff=new t("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.heartFilled=new t("heart-filled",{fontCharacter:"\\ec04"}),t.map=new t("map",{fontCharacter:"\\ec05"}),t.mapFilled=new t("map-filled",{fontCharacter:"\\ec06"}),t.circleSmall=new t("circle-small",{fontCharacter:"\\ec07"}),t.bellSlash=new t("bell-slash",{fontCharacter:"\\ec08"}),t.bellSlashDot=new t("bell-slash-dot",{fontCharacter:"\\ec09"}),t.commentUnresolved=new t("comment-unresolved",{fontCharacter:"\\ec0a"}),t.gitPullRequestGoToChanges=new t("git-pull-request-go-to-changes",{fontCharacter:"\\ec0b"}),t.gitPullRequestNewChanges=new t("git-pull-request-new-changes",{fontCharacter:"\\ec0c"}),t.searchFuzzy=new t("search-fuzzy",{fontCharacter:"\\ec0d"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function C(y,D){const w=["codicon","codicon-"+y];return D&&w.push("codicon-modifier-"+D),w}e.getClassNamesArray=C;var P;(function(y){y.iconNameSegment="[A-Za-z0-9]+",y.iconNameExpression="[A-Za-z0-9-]+",y.iconModifierExpression="~[A-Za-z]+",y.iconNameCharacter="[A-Za-z0-9~-]";const D=new RegExp(`^(${y.iconNameExpression})(${y.iconModifierExpression})?$`);function w(k){if(k instanceof t)return["codicon","codicon-"+k.id];const _=D.exec(k.id);if(!_)return w(t.error);const[,T,E]=_,b=["codicon","codicon-"+T];return E&&b.push("codicon-modifier-"+E.substr(1)),b}y.asClassNameArray=w;function I(k){return w(k).join(" ")}y.asClassName=I;function A(k){return"."+w(k).join(".")}y.asCSSSelector=A})(P=e.CSSIcon||(e.CSSIcon={}))}),define(De[77],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.groupBy=void 0;function u(y,D){const w=Object.create(null);for(const I of y){const A=D(I);let k=w[A];k||(k=w[A]=[]),k.push(I)}return w}e.groupBy=u;function t(y,D){const w=[],I=[];for(const A of y)D.has(A)||w.push(A);for(const A of D)y.has(A)||I.push(A);return{removed:w,added:I}}e.diffSets=t;function C(y,D){const w=[],I=[];for(const[A,k]of y)D.has(A)||w.push(k);for(const[A,k]of D)y.has(A)||I.push(k);return{removed:w,added:I}}e.diffMaps=C;class P{constructor(){this.map=new Map}add(D,w){let I=this.map.get(D);I||(I=new Set,this.map.set(D,I)),I.add(w)}delete(D,w){const I=this.map.get(D);!I||(I.delete(w),I.size===0&&this.map.delete(D))}forEach(D,w){const I=this.map.get(D);!I||I.forEach(w)}}e.SetMap=P}),define(De[58],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function u(y){return(D,w,I)=>{let A=null,k=null;if(typeof I.value=="function"?(A="value",k=I.value):typeof I.get=="function"&&(A="get",k=I.get),!k)throw new Error("not supported");I[A]=y(k,w)}}e.createDecorator=u;function t(y,D,w){let I=null,A=null;if(typeof w.value=="function"?(I="value",A=w.value,A.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof w.get=="function"&&(I="get",A=w.get),!A)throw new Error("not supported");const k=`$memoize$${D}`;w[I]=function(..._){return this.hasOwnProperty(k)||Object.defineProperty(this,k,{configurable:!1,enumerable:!1,writable:!1,value:A.apply(this,_)}),this[k]}}e.memoize=t;function C(y,D,w){return u((I,A)=>{const k=`$debounce$${A}`,_=`$debounce$result$${A}`;return function(...T){this[_]||(this[_]=w?w():void 0),clearTimeout(this[k]),D&&(this[_]=D(this[_],...T),T=[this[_]]),this[k]=setTimeout(()=>{I.apply(this,T),this[_]=w?w():void 0},y)}})}e.debounce=C;function P(y,D,w){return u((I,A)=>{const k=`$throttle$timer$${A}`,_=`$throttle$result$${A}`,T=`$throttle$lastRun$${A}`,E=`$throttle$pending$${A}`;return function(...b){if(this[_]||(this[_]=w?w():void 0),(this[T]===null||this[T]===void 0)&&(this[T]=-Number.MAX_VALUE),D&&(this[_]=D(this[_],...b)),this[E])return;const v=this[T]+y;v<=Date.now()?(this[T]=Date.now(),I.apply(this,[this[_]]),this[_]=w?w():void 0):(this[E]=!0,this[k]=setTimeout(()=>{this[E]=!1,this[T]=Date.now(),I.apply(this,[this[_]]),this[_]=w?w():void 0},v-Date.now()))}})}e.throttle=P}),define(De[10],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class u{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(c){setTimeout(()=>{throw c.stack?g.isErrorNoTelemetry(c)?new g(c.message+`

`+c.stack):new Error(c.message+`

`+c.stack):c},0)}}addListener(c){return this.listeners.push(c),()=>{this._removeListener(c)}}emit(c){this.listeners.forEach(l=>{l(c)})}_removeListener(c){this.listeners.splice(this.listeners.indexOf(c),1)}setUnexpectedErrorHandler(c){this.unexpectedErrorHandler=c}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(c){this.unexpectedErrorHandler(c),this.emit(c)}onUnexpectedExternalError(c){this.unexpectedErrorHandler(c)}}e.ErrorHandler=u,e.errorHandler=new u;function t(m){e.errorHandler.setUnexpectedErrorHandler(m)}e.setUnexpectedErrorHandler=t;function C(m){w(m)||e.errorHandler.onUnexpectedError(m)}e.onUnexpectedError=C;function P(m){w(m)||e.errorHandler.onUnexpectedExternalError(m)}e.onUnexpectedExternalError=P;function y(m){if(m instanceof Error){const{name:c,message:l}=m,r=m.stacktrace||m.stack;return{$isError:!0,name:c,message:l,stack:r,noTelemetry:g.isErrorNoTelemetry(m)}}return m}e.transformErrorForSerialization=y;const D="Canceled";function w(m){return m instanceof I?!0:m instanceof Error&&m.name===D&&m.message===D}e.isCancellationError=w;class I extends Error{constructor(){super(D);this.name=this.message}}e.CancellationError=I;function A(){const m=new Error(D);return m.name=m.message,m}e.canceled=A;function k(m){return m?new Error(`Illegal argument: ${m}`):new Error("Illegal argument")}e.illegalArgument=k;function _(m){return m?new Error(`Illegal state: ${m}`):new Error("Illegal state")}e.illegalState=_;function T(m){return m?new Error(`readonly property '${m} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=T;function E(m){const c=new Error(`${m} has been disposed`);return c.name="DISPOSED",c}e.disposed=E;function b(m){return m?m.message?m.message:m.stack?m.stack.split(`
`)[0]:String(m):"Error"}e.getErrorMessage=b;class v extends Error{constructor(c){super("NotImplemented");c&&(this.message=c)}}e.NotImplementedError=v;class h extends Error{constructor(c){super("NotSupported");c&&(this.message=c)}}e.NotSupportedError=h;class p extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=p;class g extends Error{constructor(c){super(c);this.name="CodeExpectedError"}static fromError(c){if(c instanceof g)return c;const l=new g;return l.message=c.message,l.stack=c.stack,l}static isErrorNoTelemetry(c){return c.name==="CodeExpectedError"}}e.ErrorNoTelemetry=g;class a extends Error{constructor(c){super(c||"An unexpected bug occurred.");Object.setPrototypeOf(this,a.prototype);debugger}}e.BugIndicatingError=a}),define(De[17],Ie([1,0,10]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CallbackIterable=e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.removeFastWithoutKeepingOrder=e.equals=e.tail2=e.tail=void 0;function t(ae,de=0){return ae[ae.length-(1+de)]}e.tail=t;function C(ae){if(ae.length===0)throw new Error("Invalid tail call");return[ae.slice(0,ae.length-1),ae[ae.length-1]]}e.tail2=C;function P(ae,de,ge=(te,le)=>te===le){if(ae===de)return!0;if(!ae||!de||ae.length!==de.length)return!1;for(let te=0,le=ae.length;te<le;te++)if(!ge(ae[te],de[te]))return!1;return!0}e.equals=P;function y(ae,de){const ge=ae.length-1;de<ge&&(ae[de]=ae[ge]),ae.pop()}e.removeFastWithoutKeepingOrder=y;function D(ae,de,ge){return w(ae.length,te=>ge(ae[te],de))}e.binarySearch=D;function w(ae,de){let ge=0,te=ae-1;for(;ge<=te;){const le=(ge+te)/2|0,ee=de(le);if(ee<0)ge=le+1;else if(ee>0)te=le-1;else return le}return-(ge+1)}e.binarySearch2=w;function I(ae,de){let ge=0,te=ae.length;if(te===0)return 0;for(;ge<te;){const le=Math.floor((ge+te)/2);de(ae[le])?te=le:ge=le+1}return ge}e.findFirstInSorted=I;function A(ae,de,ge){if(ae=ae|0,ae>=de.length)throw new TypeError("invalid index");const te=de[Math.floor(de.length*Math.random())],le=[],ee=[],ie=[];for(const F of de){const H=ge(F,te);H<0?le.push(F):H>0?ee.push(F):ie.push(F)}return ae<le.length?A(ae,le,ge):ae<le.length+ie.length?ie[0]:A(ae-(le.length+ie.length),ee,ge)}e.quickSelect=A;function k(ae,de){const ge=[];let te;for(const le of ae.slice(0).sort(de))!te||de(te[0],le)!==0?(te=[le],ge.push(te)):te.push(le);return ge}e.groupBy=k;function _(ae,de,ge){const te=[];function le(F,H,K){if(H===0&&K.length===0)return;const Q=te[te.length-1];Q&&Q.start+Q.deleteCount===F?(Q.deleteCount+=H,Q.toInsert.push(...K)):te.push({start:F,deleteCount:H,toInsert:K})}let ee=0,ie=0;for(;;){if(ee===ae.length){le(ee,0,de.slice(ie));break}if(ie===de.length){le(ee,ae.length-ee,[]);break}const F=ae[ee],H=de[ie],K=ge(F,H);K===0?(ee+=1,ie+=1):K<0?(le(ee,1,[]),ee+=1):K>0&&(le(ee,0,[H]),ie+=1)}return te}e.sortedDiff=_;function T(ae,de,ge){const te=_(ae,de,ge),le=[],ee=[];for(const ie of te)le.push(...ae.slice(ie.start,ie.start+ie.deleteCount)),ee.push(...ie.toInsert);return{removed:le,added:ee}}e.delta=T;function E(ae,de,ge){if(ge===0)return[];const te=ae.slice(0,ge).sort(de);return v(ae,de,te,ge,ae.length),te}e.top=E;function b(ae,de,ge,te,le){return ge===0?Promise.resolve([]):new Promise((ee,ie)=>{(async()=>{const F=ae.length,H=ae.slice(0,ge).sort(de);for(let K=ge,Q=Math.min(ge+te,F);K<F;K=Q,Q=Math.min(Q+te,F)){if(K>ge&&await new Promise(fe=>setTimeout(fe)),le&&le.isCancellationRequested)throw new u.CancellationError;v(ae,de,H,K,Q)}return H})().then(ee,ie)})}e.topAsync=b;function v(ae,de,ge,te,le){for(const ee=ge.length;te<le;te++){const ie=ae[te];if(de(ie,ge[ee-1])<0){ge.pop();const F=I(ge,H=>de(ie,H)<0);ge.splice(F,0,ie)}}}function h(ae){return ae.filter(de=>!!de)}e.coalesce=h;function p(ae){let de=0;for(let ge=0;ge<ae.length;ge++)ae[ge]&&(ae[de]=ae[ge],de+=1);ae.length=de}e.coalesceInPlace=p;function g(ae,de,ge){ae.splice(ge,0,ae.splice(de,1)[0])}e.move=g;function a(ae){return!Array.isArray(ae)||ae.length===0}e.isFalsyOrEmpty=a;function m(ae){return Array.isArray(ae)&&ae.length>0}e.isNonEmptyArray=m;function c(ae,de=ge=>ge){const ge=new Set;return ae.filter(te=>{const le=de(te);return ge.has(le)?!1:(ge.add(le),!0)})}e.distinct=c;function l(ae){const de=new Set;return ge=>{const te=ae(ge);return de.has(te)?!1:(de.add(te),!0)}}e.uniqueFilter=l;function r(ae,de){const ge=i(ae,de);if(ge!==-1)return ae[ge]}e.findLast=r;function i(ae,de){for(let ge=ae.length-1;ge>=0;ge--){const te=ae[ge];if(de(te))return ge}return-1}e.lastIndex=i;function s(ae,de){return ae.length>0?ae[0]:de}e.firstOrDefault=s;function n(ae,de){return ae.length>0?ae[ae.length-1]:de}e.lastOrDefault=n;function o(ae,de,ge=(te,le)=>te===le){let te=0;for(let le=0,ee=Math.min(ae.length,de.length);le<ee&&ge(ae[le],de[le]);le++)te++;return te}e.commonPrefixLength=o;function d(ae){return[].concat(...ae)}e.flatten=d;function f(ae,de){let ge=typeof de=="number"?ae:0;typeof de=="number"?ge=ae:(ge=0,de=ae);const te=[];if(ge<=de)for(let le=ge;le<de;le++)te.push(le);else for(let le=ge;le>de;le--)te.push(le);return te}e.range=f;function S(ae,de,ge){return ae.reduce((te,le)=>(te[de(le)]=ge?ge(le):le,te),Object.create(null))}e.index=S;function L(ae,de){return ae.push(de),()=>M(ae,de)}e.insert=L;function M(ae,de){const ge=ae.indexOf(de);if(ge>-1)return ae.splice(ge,1),de}e.remove=M;function B(ae,de,ge){const te=ae.slice(0,de),le=ae.slice(de);return te.concat(ge,le)}e.arrayInsert=B;function R(ae,de){let ge;if(typeof de=="number"){let te=de;ge=()=>{const le=Math.sin(te++)*179426549;return le-Math.floor(le)}}else ge=Math.random;for(let te=ae.length-1;te>0;te-=1){const le=Math.floor(ge()*(te+1)),ee=ae[te];ae[te]=ae[le],ae[le]=ee}}e.shuffle=R;function U(ae,de){const ge=ae.indexOf(de);ge>-1&&(ae.splice(ge,1),ae.unshift(de))}e.pushToStart=U;function $(ae,de){const ge=ae.indexOf(de);ge>-1&&(ae.splice(ge,1),ae.push(de))}e.pushToEnd=$;function N(ae,de){for(const ge of de)ae.push(ge)}e.pushMany=N;function X(ae,de){return Array.isArray(ae)?ae.map(de):de(ae)}e.mapArrayOrNot=X;function z(ae){return Array.isArray(ae)?ae:[ae]}e.asArray=z;function O(ae){return ae[Math.floor(Math.random()*ae.length)]}e.getRandomElement=O;function x(ae,de){for(const ge of ae){const te=de(ge);if(te!==void 0)return te}}e.mapFind=x;function V(ae,de,ge){const te=J(ae,de),le=ae.length,ee=ge.length;ae.length=le+ee;for(let ie=le-1;ie>=te;ie--)ae[ie+ee]=ae[ie];for(let ie=0;ie<ee;ie++)ae[ie+te]=ge[ie]}e.insertInto=V;function q(ae,de,ge,te){const le=J(ae,de),ee=ae.splice(le,ge);return V(ae,le,te),ee}e.splice=q;function J(ae,de){return de<0?Math.max(de+ae.length,0):Math.min(de,ae.length)}var Y;(function(ae){function de(le){return le<0}ae.isLessThan=de;function ge(le){return le>0}ae.isGreaterThan=ge;function te(le){return le===0}ae.isNeitherLessOrGreaterThan=te,ae.greaterThan=1,ae.lessThan=-1,ae.neitherLessOrGreaterThan=0})(Y=e.CompareResult||(e.CompareResult={}));function he(ae,de){return(ge,te)=>de(ae(ge),ae(te))}e.compareBy=he;function ve(...ae){return(de,ge)=>{for(const te of ae){const le=te(de,ge);if(!Y.isNeitherLessOrGreaterThan(le))return le}return Y.neitherLessOrGreaterThan}}e.tieBreakComparators=ve;const re=(ae,de)=>ae-de;e.numberComparator=re;function pe(ae,de){if(ae.length===0)return;let ge=ae[0];for(let te=1;te<ae.length;te++){const le=ae[te];de(le,ge)>0&&(ge=le)}return ge}e.findMaxBy=pe;function be(ae,de){if(ae.length===0)return;let ge=ae[0];for(let te=1;te<ae.length;te++){const le=ae[te];de(le,ge)>=0&&(ge=le)}return ge}e.findLastMaxBy=be;function ke(ae,de){return pe(ae,(ge,te)=>-de(ge,te))}e.findMinBy=ke;class Re{constructor(de){this.items=de,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(de){let ge=this.firstIdx;for(;ge<this.items.length&&de(this.items[ge]);)ge++;const te=ge===this.firstIdx?null:this.items.slice(this.firstIdx,ge);return this.firstIdx=ge,te}takeFromEndWhile(de){let ge=this.lastIdx;for(;ge>=0&&de(this.items[ge]);)ge--;const te=ge===this.lastIdx?null:this.items.slice(ge+1,this.lastIdx+1);return this.lastIdx=ge,te}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const de=this.items[this.firstIdx];return this.firstIdx++,de}removeLast(){const de=this.items[this.lastIdx];return this.lastIdx--,de}takeCount(de){const ge=this.items.slice(this.firstIdx,this.firstIdx+de);return this.firstIdx+=de,ge}}e.ArrayQueue=Re;class Ue{constructor(de){this.iterate=de}forEach(de){this.iterate(ge=>(de(ge),!0))}toArray(){const de=[];return this.iterate(ge=>(de.push(ge),!0)),de}filter(de){return new Ue(ge=>this.iterate(te=>de(te)?ge(te):!0))}map(de){return new Ue(ge=>this.iterate(te=>ge(de(te))))}some(de){let ge=!1;return this.iterate(te=>(ge=de(te),!ge)),ge}findFirst(de){let ge;return this.iterate(te=>de(te)?(ge=te,!1):!0),ge}findLast(de){let ge;return this.iterate(te=>(de(te)&&(ge=te),!0)),ge}findLastMaxBy(de){let ge,te=!0;return this.iterate(le=>((te||Y.isGreaterThan(de(le,ge)))&&(te=!1,ge=le),!0)),ge}}e.CallbackIterable=Ue,Ue.empty=new Ue(ae=>{})}),define(De[59],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function u(t){const C=this;let P=!1,y;return function(){return P||(P=!0,y=t.apply(C,arguments)),y}}e.once=u}),define(De[93],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class u{constructor(C){this._prefix=C,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=u,e.defaultGenerator=new u("id#")}),define(De[60],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var u;(function(t){function C(l){return l&&typeof l=="object"&&typeof l[Symbol.iterator]=="function"}t.is=C;const P=Object.freeze([]);function y(){return P}t.empty=y;function*D(l){yield l}t.single=D;function w(l){return l||P}t.from=w;function I(l){return!l||l[Symbol.iterator]().next().done===!0}t.isEmpty=I;function A(l){return l[Symbol.iterator]().next().value}t.first=A;function k(l,r){for(const i of l)if(r(i))return!0;return!1}t.some=k;function _(l,r){for(const i of l)if(r(i))return i}t.find=_;function*T(l,r){for(const i of l)r(i)&&(yield i)}t.filter=T;function*E(l,r){let i=0;for(const s of l)yield r(s,i++)}t.map=E;function*b(...l){for(const r of l)for(const i of r)yield i}t.concat=b;function*v(l){for(const r of l)for(const i of r)yield i}t.concatNested=v;function h(l,r,i){let s=i;for(const n of l)s=r(s,n);return s}t.reduce=h;function p(l,r){let i=0;for(const s of l)r(s,i++)}t.forEach=p;function*g(l,r,i=l.length){for(r<0&&(r+=l.length),i<0?i+=l.length:i>l.length&&(i=l.length);r<i;r++)yield l[r]}t.slice=g;function a(l,r=Number.POSITIVE_INFINITY){const i=[];if(r===0)return[i,l];const s=l[Symbol.iterator]();for(let n=0;n<r;n++){const o=s.next();if(o.done)return[i,t.empty()];i.push(o.value)}return[i,{[Symbol.iterator](){return s}}]}t.consume=a;function m(l){return a(l)[0]}t.collect=m;function c(l,r,i=(s,n)=>s===n){const s=l[Symbol.iterator](),n=r[Symbol.iterator]();for(;;){const o=s.next(),d=n.next();if(o.done!==d.done)return!1;if(o.done)return!0;if(!i(o.value,d.value))return!1}}t.equals=c})(u=e.Iterable||(e.Iterable={}))}),define(De[143],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var u;(function(c){c[c.None=0]="None",c[c.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",c[c.UnexpectedEndOfString=2]="UnexpectedEndOfString",c[c.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",c[c.InvalidUnicode=4]="InvalidUnicode",c[c.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",c[c.InvalidCharacter=6]="InvalidCharacter"})(u=e.ScanError||(e.ScanError={}));var t;(function(c){c[c.OpenBraceToken=1]="OpenBraceToken",c[c.CloseBraceToken=2]="CloseBraceToken",c[c.OpenBracketToken=3]="OpenBracketToken",c[c.CloseBracketToken=4]="CloseBracketToken",c[c.CommaToken=5]="CommaToken",c[c.ColonToken=6]="ColonToken",c[c.NullKeyword=7]="NullKeyword",c[c.TrueKeyword=8]="TrueKeyword",c[c.FalseKeyword=9]="FalseKeyword",c[c.StringLiteral=10]="StringLiteral",c[c.NumericLiteral=11]="NumericLiteral",c[c.LineCommentTrivia=12]="LineCommentTrivia",c[c.BlockCommentTrivia=13]="BlockCommentTrivia",c[c.LineBreakTrivia=14]="LineBreakTrivia",c[c.Trivia=15]="Trivia",c[c.Unknown=16]="Unknown",c[c.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var C;(function(c){c[c.InvalidSymbol=1]="InvalidSymbol",c[c.InvalidNumberFormat=2]="InvalidNumberFormat",c[c.PropertyNameExpected=3]="PropertyNameExpected",c[c.ValueExpected=4]="ValueExpected",c[c.ColonExpected=5]="ColonExpected",c[c.CommaExpected=6]="CommaExpected",c[c.CloseBraceExpected=7]="CloseBraceExpected",c[c.CloseBracketExpected=8]="CloseBracketExpected",c[c.EndOfFileExpected=9]="EndOfFileExpected",c[c.InvalidCommentToken=10]="InvalidCommentToken",c[c.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",c[c.UnexpectedEndOfString=12]="UnexpectedEndOfString",c[c.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",c[c.InvalidUnicode=14]="InvalidUnicode",c[c.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",c[c.InvalidCharacter=16]="InvalidCharacter"})(C=e.ParseErrorCode||(e.ParseErrorCode={}));var P;(function(c){c.DEFAULT={allowTrailingComma:!0}})(P=e.ParseOptions||(e.ParseOptions={}));function y(c,l=!1){let r=0;const i=c.length;let s="",n=0,o=16,d=0;function f($){let N=0,X=0;for(;N<$;){const z=c.charCodeAt(r);if(z>=48&&z<=57)X=X*16+z-48;else if(z>=65&&z<=70)X=X*16+z-65+10;else if(z>=97&&z<=102)X=X*16+z-97+10;else break;r++,N++}return N<$&&(X=-1),X}function S($){r=$,s="",n=0,o=16,d=0}function L(){const $=r;if(c.charCodeAt(r)===48)r++;else for(r++;r<c.length&&I(c.charCodeAt(r));)r++;if(r<c.length&&c.charCodeAt(r)===46)if(r++,r<c.length&&I(c.charCodeAt(r)))for(r++;r<c.length&&I(c.charCodeAt(r));)r++;else return d=3,c.substring($,r);let N=r;if(r<c.length&&(c.charCodeAt(r)===69||c.charCodeAt(r)===101))if(r++,(r<c.length&&c.charCodeAt(r)===43||c.charCodeAt(r)===45)&&r++,r<c.length&&I(c.charCodeAt(r))){for(r++;r<c.length&&I(c.charCodeAt(r));)r++;N=r}else d=3;return c.substring($,N)}function M(){let $="",N=r;for(;;){if(r>=i){$+=c.substring(N,r),d=2;break}const X=c.charCodeAt(r);if(X===34){$+=c.substring(N,r),r++;break}if(X===92){if($+=c.substring(N,r),r++,r>=i){d=2;break}switch(c.charCodeAt(r++)){case 34:$+='"';break;case 92:$+="\\";break;case 47:$+="/";break;case 98:$+="\b";break;case 102:$+="\f";break;case 110:$+=`
`;break;case 114:$+="\r";break;case 116:$+="	";break;case 117:{const O=f(4);O>=0?$+=String.fromCharCode(O):d=4;break}default:d=5}N=r;continue}if(X>=0&&X<=31)if(w(X)){$+=c.substring(N,r),d=2;break}else d=6;r++}return $}function B(){if(s="",d=0,n=r,r>=i)return n=i,o=17;let $=c.charCodeAt(r);if(D($)){do r++,s+=String.fromCharCode($),$=c.charCodeAt(r);while(D($));return o=15}if(w($))return r++,s+=String.fromCharCode($),$===13&&c.charCodeAt(r)===10&&(r++,s+=`
`),o=14;switch($){case 123:return r++,o=1;case 125:return r++,o=2;case 91:return r++,o=3;case 93:return r++,o=4;case 58:return r++,o=6;case 44:return r++,o=5;case 34:return r++,s=M(),o=10;case 47:{const N=r-1;if(c.charCodeAt(r+1)===47){for(r+=2;r<i&&!w(c.charCodeAt(r));)r++;return s=c.substring(N,r),o=12}if(c.charCodeAt(r+1)===42){r+=2;const X=i-1;let z=!1;for(;r<X;){if(c.charCodeAt(r)===42&&c.charCodeAt(r+1)===47){r+=2,z=!0;break}r++}return z||(r++,d=1),s=c.substring(N,r),o=13}return s+=String.fromCharCode($),r++,o=16}case 45:if(s+=String.fromCharCode($),r++,r===i||!I(c.charCodeAt(r)))return o=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=L(),o=11;default:for(;r<i&&R($);)r++,$=c.charCodeAt(r);if(n!==r){switch(s=c.substring(n,r),s){case"true":return o=8;case"false":return o=9;case"null":return o=7}return o=16}return s+=String.fromCharCode($),r++,o=16}}function R($){if(D($)||w($))return!1;switch($){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function U(){let $;do $=B();while($>=12&&$<=15);return $}return{setPosition:S,getPosition:()=>r,scan:l?U:B,getToken:()=>o,getTokenValue:()=>s,getTokenOffset:()=>n,getTokenLength:()=>r-n,getTokenError:()=>d}}e.createScanner=y;function D(c){return c===32||c===9||c===11||c===12||c===160||c===5760||c>=8192&&c<=8203||c===8239||c===8287||c===12288||c===65279}function w(c){return c===10||c===13||c===8232||c===8233}function I(c){return c>=48&&c<=57}var A;(function(c){c[c.nullCharacter=0]="nullCharacter",c[c.maxAsciiCharacter=127]="maxAsciiCharacter",c[c.lineFeed=10]="lineFeed",c[c.carriageReturn=13]="carriageReturn",c[c.lineSeparator=8232]="lineSeparator",c[c.paragraphSeparator=8233]="paragraphSeparator",c[c.nextLine=133]="nextLine",c[c.space=32]="space",c[c.nonBreakingSpace=160]="nonBreakingSpace",c[c.enQuad=8192]="enQuad",c[c.emQuad=8193]="emQuad",c[c.enSpace=8194]="enSpace",c[c.emSpace=8195]="emSpace",c[c.threePerEmSpace=8196]="threePerEmSpace",c[c.fourPerEmSpace=8197]="fourPerEmSpace",c[c.sixPerEmSpace=8198]="sixPerEmSpace",c[c.figureSpace=8199]="figureSpace",c[c.punctuationSpace=8200]="punctuationSpace",c[c.thinSpace=8201]="thinSpace",c[c.hairSpace=8202]="hairSpace",c[c.zeroWidthSpace=8203]="zeroWidthSpace",c[c.narrowNoBreakSpace=8239]="narrowNoBreakSpace",c[c.ideographicSpace=12288]="ideographicSpace",c[c.mathematicalSpace=8287]="mathematicalSpace",c[c.ogham=5760]="ogham",c[c._=95]="_",c[c.$=36]="$",c[c._0=48]="_0",c[c._1=49]="_1",c[c._2=50]="_2",c[c._3=51]="_3",c[c._4=52]="_4",c[c._5=53]="_5",c[c._6=54]="_6",c[c._7=55]="_7",c[c._8=56]="_8",c[c._9=57]="_9",c[c.a=97]="a",c[c.b=98]="b",c[c.c=99]="c",c[c.d=100]="d",c[c.e=101]="e",c[c.f=102]="f",c[c.g=103]="g",c[c.h=104]="h",c[c.i=105]="i",c[c.j=106]="j",c[c.k=107]="k",c[c.l=108]="l",c[c.m=109]="m",c[c.n=110]="n",c[c.o=111]="o",c[c.p=112]="p",c[c.q=113]="q",c[c.r=114]="r",c[c.s=115]="s",c[c.t=116]="t",c[c.u=117]="u",c[c.v=118]="v",c[c.w=119]="w",c[c.x=120]="x",c[c.y=121]="y",c[c.z=122]="z",c[c.A=65]="A",c[c.B=66]="B",c[c.C=67]="C",c[c.D=68]="D",c[c.E=69]="E",c[c.F=70]="F",c[c.G=71]="G",c[c.H=72]="H",c[c.I=73]="I",c[c.J=74]="J",c[c.K=75]="K",c[c.L=76]="L",c[c.M=77]="M",c[c.N=78]="N",c[c.O=79]="O",c[c.P=80]="P",c[c.Q=81]="Q",c[c.R=82]="R",c[c.S=83]="S",c[c.T=84]="T",c[c.U=85]="U",c[c.V=86]="V",c[c.W=87]="W",c[c.X=88]="X",c[c.Y=89]="Y",c[c.Z=90]="Z",c[c.ampersand=38]="ampersand",c[c.asterisk=42]="asterisk",c[c.at=64]="at",c[c.backslash=92]="backslash",c[c.bar=124]="bar",c[c.caret=94]="caret",c[c.closeBrace=125]="closeBrace",c[c.closeBracket=93]="closeBracket",c[c.closeParen=41]="closeParen",c[c.colon=58]="colon",c[c.comma=44]="comma",c[c.dot=46]="dot",c[c.doubleQuote=34]="doubleQuote",c[c.equals=61]="equals",c[c.exclamation=33]="exclamation",c[c.greaterThan=62]="greaterThan",c[c.lessThan=60]="lessThan",c[c.minus=45]="minus",c[c.openBrace=123]="openBrace",c[c.openBracket=91]="openBracket",c[c.openParen=40]="openParen",c[c.percent=37]="percent",c[c.plus=43]="plus",c[c.question=63]="question",c[c.semicolon=59]="semicolon",c[c.singleQuote=39]="singleQuote",c[c.slash=47]="slash",c[c.tilde=126]="tilde",c[c.backspace=8]="backspace",c[c.formFeed=12]="formFeed",c[c.byteOrderMark=65279]="byteOrderMark",c[c.tab=9]="tab",c[c.verticalTab=11]="verticalTab"})(A||(A={}));function k(c,l){const r=[],i=new Object;let s;const n={value:{},offset:0,length:0,type:"object",parent:void 0};let o=!1;function d(f,S,L,M){n.value=f,n.offset=S,n.length=L,n.type=M,n.colonOffset=void 0,s=n}try{g(c,{onObjectBegin:(f,S)=>{if(l<=f)throw i;s=void 0,o=l>f,r.push("")},onObjectProperty:(f,S,L)=>{if(l<S||(d(f,S,L,"property"),r[r.length-1]=f,l<=S+L))throw i},onObjectEnd:(f,S)=>{if(l<=f)throw i;s=void 0,r.pop()},onArrayBegin:(f,S)=>{if(l<=f)throw i;s=void 0,r.push(0)},onArrayEnd:(f,S)=>{if(l<=f)throw i;s=void 0,r.pop()},onLiteralValue:(f,S,L)=>{if(l<S||(d(f,S,L,m(f)),l<=S+L))throw i},onSeparator:(f,S,L)=>{if(l<=S)throw i;if(f===":"&&s&&s.type==="property")s.colonOffset=S,o=!1,s=void 0;else if(f===","){const M=r[r.length-1];typeof M=="number"?r[r.length-1]=M+1:(o=!0,r[r.length-1]=""),s=void 0}}})}catch(f){if(f!==i)throw f}return{path:r,previousNode:s,isAtPropertyKey:o,matches:f=>{let S=0;for(let L=0;S<f.length&&L<r.length;L++)if(f[S]===r[L]||f[S]==="*")S++;else if(f[S]!=="**")return!1;return S===f.length}}}e.getLocation=k;function _(c,l=[],r=P.DEFAULT){let i=null,s=[];const n=[];function o(f){Array.isArray(s)?s.push(f):i!==null&&(s[i]=f)}return g(c,{onObjectBegin:()=>{const f={};o(f),n.push(s),s=f,i=null},onObjectProperty:f=>{i=f},onObjectEnd:()=>{s=n.pop()},onArrayBegin:()=>{const f=[];o(f),n.push(s),s=f,i=null},onArrayEnd:()=>{s=n.pop()},onLiteralValue:o,onError:(f,S,L)=>{l.push({error:f,offset:S,length:L})}},r),s[0]}e.parse=_;function T(c,l=[],r=P.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(f){i.type==="property"&&(i.length=f-i.offset,i=i.parent)}function n(f){return i.children.push(f),f}g(c,{onObjectBegin:f=>{i=n({type:"object",offset:f,length:-1,parent:i,children:[]})},onObjectProperty:(f,S,L)=>{i=n({type:"property",offset:S,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:f,offset:S,length:L,parent:i})},onObjectEnd:(f,S)=>{i.length=f+S-i.offset,i=i.parent,s(f+S)},onArrayBegin:(f,S)=>{i=n({type:"array",offset:f,length:-1,parent:i,children:[]})},onArrayEnd:(f,S)=>{i.length=f+S-i.offset,i=i.parent,s(f+S)},onLiteralValue:(f,S,L)=>{n({type:m(f),offset:S,length:L,parent:i,value:f}),s(S+L)},onSeparator:(f,S,L)=>{i.type==="property"&&(f===":"?i.colonOffset=S:f===","&&s(S))},onError:(f,S,L)=>{l.push({error:f,offset:S,length:L})}},r);const d=i.children[0];return d&&delete d.parent,d}e.parseTree=T;function E(c,l){if(!c)return;let r=c;for(const i of l)if(typeof i=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let s=!1;for(const n of r.children)if(Array.isArray(n.children)&&n.children[0].value===i){r=n.children[1],s=!0;break}if(!s)return}else{const s=i;if(r.type!=="array"||s<0||!Array.isArray(r.children)||s>=r.children.length)return;r=r.children[s]}return r}e.findNodeAtLocation=E;function b(c){if(!c.parent||!c.parent.children)return[];const l=b(c.parent);if(c.parent.type==="property"){const r=c.parent.children[0].value;l.push(r)}else if(c.parent.type==="array"){const r=c.parent.children.indexOf(c);r!==-1&&l.push(r)}return l}e.getNodePath=b;function v(c){switch(c.type){case"array":return c.children.map(v);case"object":{const l=Object.create(null);for(const r of c.children){const i=r.children[1];i&&(l[r.children[0].value]=v(i))}return l}case"null":case"string":case"number":case"boolean":return c.value;default:return}}e.getNodeValue=v;function h(c,l,r=!1){return l>=c.offset&&l<c.offset+c.length||r&&l===c.offset+c.length}e.contains=h;function p(c,l,r=!1){if(h(c,l,r)){const i=c.children;if(Array.isArray(i))for(let s=0;s<i.length&&i[s].offset<=l;s++){const n=p(i[s],l,r);if(n)return n}return c}}e.findNodeAtOffset=p;function g(c,l,r=P.DEFAULT){const i=y(c,!1);function s(he){return he?()=>he(i.getTokenOffset(),i.getTokenLength()):()=>!0}function n(he){return he?ve=>he(ve,i.getTokenOffset(),i.getTokenLength()):()=>!0}const o=s(l.onObjectBegin),d=n(l.onObjectProperty),f=s(l.onObjectEnd),S=s(l.onArrayBegin),L=s(l.onArrayEnd),M=n(l.onLiteralValue),B=n(l.onSeparator),R=s(l.onComment),U=n(l.onError),$=r&&r.disallowComments,N=r&&r.allowTrailingComma;function X(){for(;;){const he=i.scan();switch(i.getTokenError()){case 4:z(14);break;case 5:z(15);break;case 3:z(13);break;case 1:$||z(11);break;case 2:z(12);break;case 6:z(16);break}switch(he){case 12:case 13:$?z(10):R();break;case 16:z(1);break;case 15:case 14:break;default:return he}}}function z(he,ve=[],re=[]){if(U(he),ve.length+re.length>0){let pe=i.getToken();for(;pe!==17;){if(ve.indexOf(pe)!==-1){X();break}else if(re.indexOf(pe)!==-1)break;pe=X()}}}function O(he){const ve=i.getTokenValue();return he?M(ve):d(ve),X(),!0}function x(){switch(i.getToken()){case 11:{let he=0;try{he=JSON.parse(i.getTokenValue()),typeof he!="number"&&(z(2),he=0)}catch{z(2)}M(he);break}case 7:M(null);break;case 8:M(!0);break;case 9:M(!1);break;default:return!1}return X(),!0}function V(){return i.getToken()!==10?(z(3,[],[2,5]),!1):(O(!1),i.getToken()===6?(B(":"),X(),Y()||z(4,[],[2,5])):z(5,[],[2,5]),!0)}function q(){o(),X();let he=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(he||z(4,[],[]),B(","),X(),i.getToken()===2&&N)break}else he&&z(6,[],[]);V()||z(4,[],[2,5]),he=!0}return f(),i.getToken()!==2?z(7,[2],[]):X(),!0}function J(){S(),X();let he=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(he||z(4,[],[]),B(","),X(),i.getToken()===4&&N)break}else he&&z(6,[],[]);Y()||z(4,[],[4,5]),he=!0}return L(),i.getToken()!==4?z(8,[4],[]):X(),!0}function Y(){switch(i.getToken()){case 3:return J();case 1:return q();case 10:return O(!0);default:return x()}}return X(),i.getToken()===17?r.allowEmptyContent?!0:(z(4,[],[]),!1):Y()?(i.getToken()!==17&&z(9,[],[]),!0):(z(4,[],[]),!1)}e.visit=g;function a(c,l){const r=y(c),i=[];let s,n=0,o;do switch(o=r.getPosition(),s=r.scan(),s){case 12:case 13:case 17:n!==o&&i.push(c.substring(n,o)),l!==void 0&&i.push(r.getTokenValue().replace(/[^\r\n]/g,l)),n=r.getPosition();break}while(s!==17);return i.join("")}e.stripComments=a;function m(c){switch(typeof c){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(c){if(Array.isArray(c))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=m}),define(De[78],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class u{constructor(C){this.executor=C,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(C){this._error=C}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(C){return new u(()=>C(this.getValue()))}}e.Lazy=u}),define(De[6],Ie([1,0,59,60]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.disposeIfDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const C=!1;let P=null;function y(n){P=n}if(e.setDisposableTracker=y,C){const n="__is_disposable_tracked__";y(new class{trackDisposable(o){const d=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[n]||console.log(d)},3e3)}setParent(o,d){if(o&&o!==g.None)try{o[n]=!0}catch{}}markAsDisposed(o){if(o&&o!==g.None)try{o[n]=!0}catch{}}markAsSingleton(o){}})}function D(n){return P?.trackDisposable(n),n}function w(n){P?.markAsDisposed(n)}function I(n,o){P?.setParent(n,o)}function A(n,o){if(!!P)for(const d of n)P.setParent(d,o)}function k(n){return P?.markAsSingleton(n),n}e.markAsSingleton=k;class _ extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=_;function T(n){return typeof n.dispose=="function"&&n.dispose.length===0}e.isDisposable=T;function E(n){if(t.Iterable.is(n)){const o=[];for(const d of n)if(d)try{d.dispose()}catch(f){o.push(f)}if(o.length===1)throw o[0];if(o.length>1)throw new _(o);return Array.isArray(n)?[]:n}else if(n)return n.dispose(),n}e.dispose=E;function b(n){for(const o of n)T(o)&&o.dispose();return[]}e.disposeIfDisposable=b;function v(...n){const o=h(()=>E(n));return A(n,o),o}e.combinedDisposable=v;function h(n){const o=D({dispose:(0,u.once)(()=>{w(o),n()})});return o}e.toDisposable=h;class p{constructor(){this._toDispose=new Set,this._isDisposed=!1,D(this)}dispose(){this._isDisposed||(w(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{E(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return I(o,this),this._isDisposed?p.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=p,p.DISABLE_DISPOSED_WARNING=!1;class g{constructor(){this._store=new p,D(this),I(this._store,this)}dispose(){w(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=g,g.None=Object.freeze({dispose(){}});class a{constructor(){this._isDisposed=!1,D(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){this._isDisposed||o===this._value||(this._value?.dispose(),o&&I(o,this),this._value=o)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,w(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const o=this._value;return this._value=void 0,o&&I(o,null),o}}e.MutableDisposable=a;class m{constructor(o){this._disposable=o,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=m;class c{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,D(this)}set(o){let d=o;return this.unset=()=>d=void 0,this.isset=()=>d!==void 0,this.dispose=()=>{d&&(d(),d=void 0,w(this))},this}}e.SafeDisposable=c;class l{constructor(){this.references=new Map}acquire(o,...d){let f=this.references.get(o);f||(f={counter:0,object:this.createReferencedObject(o,...d)},this.references.set(o,f));const{object:S}=f,L=(0,u.once)(()=>{--f.counter==0&&(this.destroyReferencedObject(o,f.object),this.references.delete(o))});return f.counter++,{object:S,dispose:L}}}e.ReferenceCollection=l;class r{constructor(o){this.referenceCollection=o}async acquire(o,...d){const f=this.referenceCollection.acquire(o,...d);try{return{object:await f.object,dispose:()=>f.dispose()}}catch(S){throw f.dispose(),S}}}e.AsyncReferenceCollection=r;class i{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=i;function s(n){const o=new p;try{n(o)}finally{o.dispose()}}e.disposeOnReturn=s}),define(De[79],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class u{constructor(P){this.element=P,this.next=u.Undefined,this.prev=u.Undefined}}u.Undefined=new u(void 0);class t{constructor(){this._first=u.Undefined,this._last=u.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===u.Undefined}clear(){let P=this._first;for(;P!==u.Undefined;){const y=P.next;P.prev=u.Undefined,P.next=u.Undefined,P=y}this._first=u.Undefined,this._last=u.Undefined,this._size=0}unshift(P){return this._insert(P,!1)}push(P){return this._insert(P,!0)}_insert(P,y){const D=new u(P);if(this._first===u.Undefined)this._first=D,this._last=D;else if(y){const I=this._last;this._last=D,D.prev=I,I.next=D}else{const I=this._first;this._first=D,D.next=I,I.prev=D}this._size+=1;let w=!1;return()=>{w||(w=!0,this._remove(D))}}shift(){if(this._first!==u.Undefined){const P=this._first.element;return this._remove(this._first),P}}pop(){if(this._last!==u.Undefined){const P=this._last.element;return this._remove(this._last),P}}_remove(P){if(P.prev!==u.Undefined&&P.next!==u.Undefined){const y=P.prev;y.next=P.next,P.next.prev=y}else P.prev===u.Undefined&&P.next===u.Undefined?(this._first=u.Undefined,this._last=u.Undefined):P.next===u.Undefined?(this._last=this._last.prev,this._last.next=u.Undefined):P.prev===u.Undefined&&(this._first=this._first.next,this._first.prev=u.Undefined);this._size-=1}*[Symbol.iterator](){let P=this._first;for(;P!==u.Undefined;)yield P.element,P=P.next}}e.LinkedList=t}),function(Z,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(De[144],Ie([0]),e):(Z=typeof globalThis!="undefined"?globalThis:Z||self,e(Z.marked={}))}(this,function(Z){"use strict";function e(ae,de){for(var ge=0;ge<de.length;ge++){var te=de[ge];te.enumerable=te.enumerable||!1,te.configurable=!0,"value"in te&&(te.writable=!0),Object.defineProperty(ae,te.key,te)}}function u(ae,de,ge){return de&&e(ae.prototype,de),ge&&e(ae,ge),Object.defineProperty(ae,"prototype",{writable:!1}),ae}function t(ae,de){if(!!ae){if(typeof ae=="string")return C(ae,de);var ge=Object.prototype.toString.call(ae).slice(8,-1);if(ge==="Object"&&ae.constructor&&(ge=ae.constructor.name),ge==="Map"||ge==="Set")return Array.from(ae);if(ge==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ge))return C(ae,de)}}function C(ae,de){(de==null||de>ae.length)&&(de=ae.length);for(var ge=0,te=new Array(de);ge<de;ge++)te[ge]=ae[ge];return te}function P(ae,de){var ge=typeof Symbol!="undefined"&&ae[Symbol.iterator]||ae["@@iterator"];if(ge)return(ge=ge.call(ae)).next.bind(ge);if(Array.isArray(ae)||(ge=t(ae))||de&&ae&&typeof ae.length=="number"){ge&&(ae=ge);var te=0;return function(){return te>=ae.length?{done:!0}:{done:!1,value:ae[te++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function y(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}Z.defaults=y();function D(ae){Z.defaults=ae}var w=/[&<>"']/,I=/[&<>"']/g,A=/[<>"']|&(?!#?\w+;)/,k=/[<>"']|&(?!#?\w+;)/g,_={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},T=function(de){return _[de]};function E(ae,de){if(de){if(w.test(ae))return ae.replace(I,T)}else if(A.test(ae))return ae.replace(k,T);return ae}var b=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function v(ae){return ae.replace(b,function(de,ge){return ge=ge.toLowerCase(),ge==="colon"?":":ge.charAt(0)==="#"?ge.charAt(1)==="x"?String.fromCharCode(parseInt(ge.substring(2),16)):String.fromCharCode(+ge.substring(1)):""})}var h=/(^|[^\[])\^/g;function p(ae,de){ae=typeof ae=="string"?ae:ae.source,de=de||"";var ge={replace:function(le,ee){return ee=ee.source||ee,ee=ee.replace(h,"$1"),ae=ae.replace(le,ee),ge},getRegex:function(){return new RegExp(ae,de)}};return ge}var g=/[^\w:]/g,a=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function m(ae,de,ge){if(ae){var te;try{te=decodeURIComponent(v(ge)).replace(g,"").toLowerCase()}catch{return null}if(te.indexOf("javascript:")===0||te.indexOf("vbscript:")===0||te.indexOf("data:")===0)return null}de&&!a.test(ge)&&(ge=s(de,ge));try{ge=encodeURI(ge).replace(/%25/g,"%")}catch{return null}return ge}var c={},l=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,i=/^([^:]+:\/*[^/]*)[\s\S]*$/;function s(ae,de){c[" "+ae]||(l.test(ae)?c[" "+ae]=ae+"/":c[" "+ae]=f(ae,"/",!0)),ae=c[" "+ae];var ge=ae.indexOf(":")===-1;return de.substring(0,2)==="//"?ge?de:ae.replace(r,"$1")+de:de.charAt(0)==="/"?ge?de:ae.replace(i,"$1")+de:ae+de}var n={exec:function(){}};function o(ae){for(var de=1,ge,te;de<arguments.length;de++){ge=arguments[de];for(te in ge)Object.prototype.hasOwnProperty.call(ge,te)&&(ae[te]=ge[te])}return ae}function d(ae,de){var ge=ae.replace(/\|/g,function(ee,ie,F){for(var H=!1,K=ie;--K>=0&&F[K]==="\\";)H=!H;return H?"|":" |"}),te=ge.split(/ \|/),le=0;if(te[0].trim()||te.shift(),te.length>0&&!te[te.length-1].trim()&&te.pop(),te.length>de)te.splice(de);else for(;te.length<de;)te.push("");for(;le<te.length;le++)te[le]=te[le].trim().replace(/\\\|/g,"|");return te}function f(ae,de,ge){var te=ae.length;if(te===0)return"";for(var le=0;le<te;){var ee=ae.charAt(te-le-1);if(ee===de&&!ge)le++;else if(ee!==de&&ge)le++;else break}return ae.slice(0,te-le)}function S(ae,de){if(ae.indexOf(de[1])===-1)return-1;for(var ge=ae.length,te=0,le=0;le<ge;le++)if(ae[le]==="\\")le++;else if(ae[le]===de[0])te++;else if(ae[le]===de[1]&&(te--,te<0))return le;return-1}function L(ae){ae&&ae.sanitize&&!ae.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function M(ae,de){if(de<1)return"";for(var ge="";de>1;)de&1&&(ge+=ae),de>>=1,ae+=ae;return ge+ae}function B(ae,de,ge,te){var le=de.href,ee=de.title?E(de.title):null,ie=ae[1].replace(/\\([\[\]])/g,"$1");if(ae[0].charAt(0)!=="!"){te.state.inLink=!0;var F={type:"link",raw:ge,href:le,title:ee,text:ie,tokens:te.inlineTokens(ie,[])};return te.state.inLink=!1,F}return{type:"image",raw:ge,href:le,title:ee,text:E(ie)}}function R(ae,de){var ge=ae.match(/^(\s+)(?:```)/);if(ge===null)return de;var te=ge[1];return de.split(`
`).map(function(le){var ee=le.match(/^\s+/);if(ee===null)return le;var ie=ee[0];return ie.length>=te.length?le.slice(te.length):le}).join(`
`)}var U=function(){function ae(ge){this.options=ge||Z.defaults}var de=ae.prototype;return de.space=function(te){var le=this.rules.block.newline.exec(te);if(le&&le[0].length>0)return{type:"space",raw:le[0]}},de.code=function(te){var le=this.rules.block.code.exec(te);if(le){var ee=le[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:le[0],codeBlockStyle:"indented",text:this.options.pedantic?ee:f(ee,`
`)}}},de.fences=function(te){var le=this.rules.block.fences.exec(te);if(le){var ee=le[0],ie=R(ee,le[3]||"");return{type:"code",raw:ee,lang:le[2]?le[2].trim():le[2],text:ie}}},de.heading=function(te){var le=this.rules.block.heading.exec(te);if(le){var ee=le[2].trim();if(/#$/.test(ee)){var ie=f(ee,"#");(this.options.pedantic||!ie||/ $/.test(ie))&&(ee=ie.trim())}var F={type:"heading",raw:le[0],depth:le[1].length,text:ee,tokens:[]};return this.lexer.inline(F.text,F.tokens),F}},de.hr=function(te){var le=this.rules.block.hr.exec(te);if(le)return{type:"hr",raw:le[0]}},de.blockquote=function(te){var le=this.rules.block.blockquote.exec(te);if(le){var ee=le[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:le[0],tokens:this.lexer.blockTokens(ee,[]),text:ee}}},de.list=function(te){var le=this.rules.block.list.exec(te);if(le){var ee,ie,F,H,K,Q,fe,we,ue,Ce,Se,Be,qe=le[1].trim(),Je=qe.length>1,Qe={type:"list",raw:"",ordered:Je,start:Je?+qe.slice(0,-1):"",loose:!1,items:[]};qe=Je?"\\d{1,9}\\"+qe.slice(-1):"\\"+qe,this.options.pedantic&&(qe=Je?qe:"[*+-]");for(var Le=new RegExp("^( {0,3}"+qe+")((?:[	 ][^\\n]*)?(?:\\n|$))");te&&(Be=!1,!(!(le=Le.exec(te))||this.rules.block.hr.test(te)));){if(ee=le[0],te=te.substring(ee.length),we=le[2].split(`
`,1)[0],ue=te.split(`
`,1)[0],this.options.pedantic?(H=2,Se=we.trimLeft()):(H=le[2].search(/[^ ]/),H=H>4?1:H,Se=we.slice(H),H+=le[1].length),Q=!1,!we&&/^ *$/.test(ue)&&(ee+=ue+`
`,te=te.substring(ue.length+1),Be=!0),!Be)for(var st=new RegExp("^ {0,"+Math.min(3,H-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),se=new RegExp("^ {0,"+Math.min(3,H-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)");te&&(Ce=te.split(`
`,1)[0],we=Ce,this.options.pedantic&&(we=we.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(st.test(we)||se.test(te)));){if(we.search(/[^ ]/)>=H||!we.trim())Se+=`
`+we.slice(H);else if(!Q)Se+=`
`+we;else break;!Q&&!we.trim()&&(Q=!0),ee+=Ce+`
`,te=te.substring(Ce.length+1)}Qe.loose||(fe?Qe.loose=!0:/\n *\n *$/.test(ee)&&(fe=!0)),this.options.gfm&&(ie=/^\[[ xX]\] /.exec(Se),ie&&(F=ie[0]!=="[ ] ",Se=Se.replace(/^\[[ xX]\] +/,""))),Qe.items.push({type:"list_item",raw:ee,task:!!ie,checked:F,loose:!1,text:Se}),Qe.raw+=ee}Qe.items[Qe.items.length-1].raw=ee.trimRight(),Qe.items[Qe.items.length-1].text=Se.trimRight(),Qe.raw=Qe.raw.trimRight();var oe=Qe.items.length;for(K=0;K<oe;K++){this.lexer.state.top=!1,Qe.items[K].tokens=this.lexer.blockTokens(Qe.items[K].text,[]);var G=Qe.items[K].tokens.filter(function(Ae){return Ae.type==="space"}),ye=G.every(function(Ae){for(var We=Ae.raw.split(""),ze=0,$e=P(We),Ze;!(Ze=$e()).done;){var it=Ze.value;if(it===`
`&&(ze+=1),ze>1)return!0}return!1});!Qe.loose&&G.length&&ye&&(Qe.loose=!0,Qe.items[K].loose=!0)}return Qe}},de.html=function(te){var le=this.rules.block.html.exec(te);if(le){var ee={type:"html",raw:le[0],pre:!this.options.sanitizer&&(le[1]==="pre"||le[1]==="script"||le[1]==="style"),text:le[0]};return this.options.sanitize&&(ee.type="paragraph",ee.text=this.options.sanitizer?this.options.sanitizer(le[0]):E(le[0]),ee.tokens=[],this.lexer.inline(ee.text,ee.tokens)),ee}},de.def=function(te){var le=this.rules.block.def.exec(te);if(le){le[3]&&(le[3]=le[3].substring(1,le[3].length-1));var ee=le[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:ee,raw:le[0],href:le[2],title:le[3]}}},de.table=function(te){var le=this.rules.block.table.exec(te);if(le){var ee={type:"table",header:d(le[1]).map(function(fe){return{text:fe}}),align:le[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:le[3]&&le[3].trim()?le[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(ee.header.length===ee.align.length){ee.raw=le[0];var ie=ee.align.length,F,H,K,Q;for(F=0;F<ie;F++)/^ *-+: *$/.test(ee.align[F])?ee.align[F]="right":/^ *:-+: *$/.test(ee.align[F])?ee.align[F]="center":/^ *:-+ *$/.test(ee.align[F])?ee.align[F]="left":ee.align[F]=null;for(ie=ee.rows.length,F=0;F<ie;F++)ee.rows[F]=d(ee.rows[F],ee.header.length).map(function(fe){return{text:fe}});for(ie=ee.header.length,H=0;H<ie;H++)ee.header[H].tokens=[],this.lexer.inline(ee.header[H].text,ee.header[H].tokens);for(ie=ee.rows.length,H=0;H<ie;H++)for(Q=ee.rows[H],K=0;K<Q.length;K++)Q[K].tokens=[],this.lexer.inline(Q[K].text,Q[K].tokens);return ee}}},de.lheading=function(te){var le=this.rules.block.lheading.exec(te);if(le){var ee={type:"heading",raw:le[0],depth:le[2].charAt(0)==="="?1:2,text:le[1],tokens:[]};return this.lexer.inline(ee.text,ee.tokens),ee}},de.paragraph=function(te){var le=this.rules.block.paragraph.exec(te);if(le){var ee={type:"paragraph",raw:le[0],text:le[1].charAt(le[1].length-1)===`
`?le[1].slice(0,-1):le[1],tokens:[]};return this.lexer.inline(ee.text,ee.tokens),ee}},de.text=function(te){var le=this.rules.block.text.exec(te);if(le){var ee={type:"text",raw:le[0],text:le[0],tokens:[]};return this.lexer.inline(ee.text,ee.tokens),ee}},de.escape=function(te){var le=this.rules.inline.escape.exec(te);if(le)return{type:"escape",raw:le[0],text:E(le[1])}},de.tag=function(te){var le=this.rules.inline.tag.exec(te);if(le)return!this.lexer.state.inLink&&/^<a /i.test(le[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(le[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(le[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(le[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:le[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(le[0]):E(le[0]):le[0]}},de.link=function(te){var le=this.rules.inline.link.exec(te);if(le){var ee=le[2].trim();if(!this.options.pedantic&&/^</.test(ee)){if(!/>$/.test(ee))return;var ie=f(ee.slice(0,-1),"\\");if((ee.length-ie.length)%2==0)return}else{var F=S(le[2],"()");if(F>-1){var H=le[0].indexOf("!")===0?5:4,K=H+le[1].length+F;le[2]=le[2].substring(0,F),le[0]=le[0].substring(0,K).trim(),le[3]=""}}var Q=le[2],fe="";if(this.options.pedantic){var we=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Q);we&&(Q=we[1],fe=we[3])}else fe=le[3]?le[3].slice(1,-1):"";return Q=Q.trim(),/^</.test(Q)&&(this.options.pedantic&&!/>$/.test(ee)?Q=Q.slice(1):Q=Q.slice(1,-1)),B(le,{href:Q&&Q.replace(this.rules.inline._escapes,"$1"),title:fe&&fe.replace(this.rules.inline._escapes,"$1")},le[0],this.lexer)}},de.reflink=function(te,le){var ee;if((ee=this.rules.inline.reflink.exec(te))||(ee=this.rules.inline.nolink.exec(te))){var ie=(ee[2]||ee[1]).replace(/\s+/g," ");if(ie=le[ie.toLowerCase()],!ie||!ie.href){var F=ee[0].charAt(0);return{type:"text",raw:F,text:F}}return B(ee,ie,ee[0],this.lexer)}},de.emStrong=function(te,le,ee){ee===void 0&&(ee="");var ie=this.rules.inline.emStrong.lDelim.exec(te);if(!!ie&&!(ie[3]&&ee.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var F=ie[1]||ie[2]||"";if(!F||F&&(ee===""||this.rules.inline.punctuation.exec(ee))){var H=ie[0].length-1,K,Q,fe=H,we=0,ue=ie[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ue.lastIndex=0,le=le.slice(-1*te.length+H);(ie=ue.exec(le))!=null;)if(K=ie[1]||ie[2]||ie[3]||ie[4]||ie[5]||ie[6],!!K){if(Q=K.length,ie[3]||ie[4]){fe+=Q;continue}else if((ie[5]||ie[6])&&H%3&&!((H+Q)%3)){we+=Q;continue}if(fe-=Q,!(fe>0)){if(Q=Math.min(Q,Q+fe+we),Math.min(H,Q)%2){var Ce=te.slice(1,H+ie.index+Q);return{type:"em",raw:te.slice(0,H+ie.index+Q+1),text:Ce,tokens:this.lexer.inlineTokens(Ce,[])}}var Se=te.slice(2,H+ie.index+Q-1);return{type:"strong",raw:te.slice(0,H+ie.index+Q+1),text:Se,tokens:this.lexer.inlineTokens(Se,[])}}}}}},de.codespan=function(te){var le=this.rules.inline.code.exec(te);if(le){var ee=le[2].replace(/\n/g," "),ie=/[^ ]/.test(ee),F=/^ /.test(ee)&&/ $/.test(ee);return ie&&F&&(ee=ee.substring(1,ee.length-1)),ee=E(ee,!0),{type:"codespan",raw:le[0],text:ee}}},de.br=function(te){var le=this.rules.inline.br.exec(te);if(le)return{type:"br",raw:le[0]}},de.del=function(te){var le=this.rules.inline.del.exec(te);if(le)return{type:"del",raw:le[0],text:le[2],tokens:this.lexer.inlineTokens(le[2],[])}},de.autolink=function(te,le){var ee=this.rules.inline.autolink.exec(te);if(ee){var ie,F;return ee[2]==="@"?(ie=E(this.options.mangle?le(ee[1]):ee[1]),F="mailto:"+ie):(ie=E(ee[1]),F=ie),{type:"link",raw:ee[0],text:ie,href:F,tokens:[{type:"text",raw:ie,text:ie}]}}},de.url=function(te,le){var ee;if(ee=this.rules.inline.url.exec(te)){var ie,F;if(ee[2]==="@")ie=E(this.options.mangle?le(ee[0]):ee[0]),F="mailto:"+ie;else{var H;do H=ee[0],ee[0]=this.rules.inline._backpedal.exec(ee[0])[0];while(H!==ee[0]);ie=E(ee[0]),ee[1]==="www."?F="http://"+ie:F=ie}return{type:"link",raw:ee[0],text:ie,href:F,tokens:[{type:"text",raw:ie,text:ie}]}}},de.inlineText=function(te,le){var ee=this.rules.inline.text.exec(te);if(ee){var ie;return this.lexer.state.inRawBlock?ie=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ee[0]):E(ee[0]):ee[0]:ie=E(this.options.smartypants?le(ee[0]):ee[0]),{type:"text",raw:ee[0],text:ie}}},ae}(),$={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:n,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};$._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,$._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,$.def=p($.def).replace("label",$._label).replace("title",$._title).getRegex(),$.bullet=/(?:[*+-]|\d{1,9}[.)])/,$.listItemStart=p(/^( *)(bull) */).replace("bull",$.bullet).getRegex(),$.list=p($.list).replace(/bull/g,$.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+$.def.source+")").getRegex(),$._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",$._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,$.html=p($.html,"i").replace("comment",$._comment).replace("tag",$._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),$.paragraph=p($._paragraph).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",$._tag).getRegex(),$.blockquote=p($.blockquote).replace("paragraph",$.paragraph).getRegex(),$.normal=o({},$),$.gfm=o({},$.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),$.gfm.table=p($.gfm.table).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",$._tag).getRegex(),$.gfm.paragraph=p($._paragraph).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",$.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",$._tag).getRegex(),$.pedantic=o({},$.normal,{html:p(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",$._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:n,paragraph:p($.normal._paragraph).replace("hr",$.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",$.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var N={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:n,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:n,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};N._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",N.punctuation=p(N.punctuation).replace(/punctuation/g,N._punctuation).getRegex(),N.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,N.escapedEmSt=/\\\*|\\_/g,N._comment=p($._comment).replace("(?:-->|$)","-->").getRegex(),N.emStrong.lDelim=p(N.emStrong.lDelim).replace(/punct/g,N._punctuation).getRegex(),N.emStrong.rDelimAst=p(N.emStrong.rDelimAst,"g").replace(/punct/g,N._punctuation).getRegex(),N.emStrong.rDelimUnd=p(N.emStrong.rDelimUnd,"g").replace(/punct/g,N._punctuation).getRegex(),N._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,N._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,N._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,N.autolink=p(N.autolink).replace("scheme",N._scheme).replace("email",N._email).getRegex(),N._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,N.tag=p(N.tag).replace("comment",N._comment).replace("attribute",N._attribute).getRegex(),N._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,N._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,N._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,N.link=p(N.link).replace("label",N._label).replace("href",N._href).replace("title",N._title).getRegex(),N.reflink=p(N.reflink).replace("label",N._label).replace("ref",$._label).getRegex(),N.nolink=p(N.nolink).replace("ref",$._label).getRegex(),N.reflinkSearch=p(N.reflinkSearch,"g").replace("reflink",N.reflink).replace("nolink",N.nolink).getRegex(),N.normal=o({},N),N.pedantic=o({},N.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:p(/^!?\[(label)\]\((.*?)\)/).replace("label",N._label).getRegex(),reflink:p(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",N._label).getRegex()}),N.gfm=o({},N.normal,{escape:p(N.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),N.gfm.url=p(N.gfm.url,"i").replace("email",N.gfm._extended_email).getRegex(),N.breaks=o({},N.gfm,{br:p(N.br).replace("{2,}","*").getRegex(),text:p(N.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function X(ae){return ae.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function z(ae){var de="",ge,te,le=ae.length;for(ge=0;ge<le;ge++)te=ae.charCodeAt(ge),Math.random()>.5&&(te="x"+te.toString(16)),de+="&#"+te+";";return de}var O=function(){function ae(ge){this.tokens=[],this.tokens.links=Object.create(null),this.options=ge||Z.defaults,this.options.tokenizer=this.options.tokenizer||new U,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var te={block:$.normal,inline:N.normal};this.options.pedantic?(te.block=$.pedantic,te.inline=N.pedantic):this.options.gfm&&(te.block=$.gfm,this.options.breaks?te.inline=N.breaks:te.inline=N.gfm),this.tokenizer.rules=te}ae.lex=function(te,le){var ee=new ae(le);return ee.lex(te)},ae.lexInline=function(te,le){var ee=new ae(le);return ee.inlineTokens(te)};var de=ae.prototype;return de.lex=function(te){te=te.replace(/\r\n|\r/g,`
`),this.blockTokens(te,this.tokens);for(var le;le=this.inlineQueue.shift();)this.inlineTokens(le.src,le.tokens);return this.tokens},de.blockTokens=function(te,le){var ee=this;le===void 0&&(le=[]),this.options.pedantic?te=te.replace(/\t/g,"    ").replace(/^ +$/gm,""):te=te.replace(/^( *)(\t+)/gm,function(fe,we,ue){return we+"    ".repeat(ue.length)});for(var ie,F,H,K;te;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(fe){return(ie=fe.call({lexer:ee},te,le))?(te=te.substring(ie.raw.length),le.push(ie),!0):!1}))){if(ie=this.tokenizer.space(te)){te=te.substring(ie.raw.length),ie.raw.length===1&&le.length>0?le[le.length-1].raw+=`
`:le.push(ie);continue}if(ie=this.tokenizer.code(te)){te=te.substring(ie.raw.length),F=le[le.length-1],F&&(F.type==="paragraph"||F.type==="text")?(F.raw+=`
`+ie.raw,F.text+=`
`+ie.text,this.inlineQueue[this.inlineQueue.length-1].src=F.text):le.push(ie);continue}if(ie=this.tokenizer.fences(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.heading(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.hr(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.blockquote(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.list(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.html(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.def(te)){te=te.substring(ie.raw.length),F=le[le.length-1],F&&(F.type==="paragraph"||F.type==="text")?(F.raw+=`
`+ie.raw,F.text+=`
`+ie.raw,this.inlineQueue[this.inlineQueue.length-1].src=F.text):this.tokens.links[ie.tag]||(this.tokens.links[ie.tag]={href:ie.href,title:ie.title});continue}if(ie=this.tokenizer.table(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.lheading(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(H=te,this.options.extensions&&this.options.extensions.startBlock&&function(){var fe=1/0,we=te.slice(1),ue=void 0;ee.options.extensions.startBlock.forEach(function(Ce){ue=Ce.call({lexer:this},we),typeof ue=="number"&&ue>=0&&(fe=Math.min(fe,ue))}),fe<1/0&&fe>=0&&(H=te.substring(0,fe+1))}(),this.state.top&&(ie=this.tokenizer.paragraph(H))){F=le[le.length-1],K&&F.type==="paragraph"?(F.raw+=`
`+ie.raw,F.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=F.text):le.push(ie),K=H.length!==te.length,te=te.substring(ie.raw.length);continue}if(ie=this.tokenizer.text(te)){te=te.substring(ie.raw.length),F=le[le.length-1],F&&F.type==="text"?(F.raw+=`
`+ie.raw,F.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=F.text):le.push(ie);continue}if(te){var Q="Infinite loop on byte: "+te.charCodeAt(0);if(this.options.silent){console.error(Q);break}else throw new Error(Q)}}return this.state.top=!0,le},de.inline=function(te,le){this.inlineQueue.push({src:te,tokens:le})},de.inlineTokens=function(te,le){var ee=this;le===void 0&&(le=[]);var ie,F,H,K=te,Q,fe,we;if(this.tokens.links){var ue=Object.keys(this.tokens.links);if(ue.length>0)for(;(Q=this.tokenizer.rules.inline.reflinkSearch.exec(K))!=null;)ue.includes(Q[0].slice(Q[0].lastIndexOf("[")+1,-1))&&(K=K.slice(0,Q.index)+"["+M("a",Q[0].length-2)+"]"+K.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Q=this.tokenizer.rules.inline.blockSkip.exec(K))!=null;)K=K.slice(0,Q.index)+"["+M("a",Q[0].length-2)+"]"+K.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Q=this.tokenizer.rules.inline.escapedEmSt.exec(K))!=null;)K=K.slice(0,Q.index)+"++"+K.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;te;)if(fe||(we=""),fe=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Se){return(ie=Se.call({lexer:ee},te,le))?(te=te.substring(ie.raw.length),le.push(ie),!0):!1}))){if(ie=this.tokenizer.escape(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.tag(te)){te=te.substring(ie.raw.length),F=le[le.length-1],F&&ie.type==="text"&&F.type==="text"?(F.raw+=ie.raw,F.text+=ie.text):le.push(ie);continue}if(ie=this.tokenizer.link(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.reflink(te,this.tokens.links)){te=te.substring(ie.raw.length),F=le[le.length-1],F&&ie.type==="text"&&F.type==="text"?(F.raw+=ie.raw,F.text+=ie.text):le.push(ie);continue}if(ie=this.tokenizer.emStrong(te,K,we)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.codespan(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.br(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.del(te)){te=te.substring(ie.raw.length),le.push(ie);continue}if(ie=this.tokenizer.autolink(te,z)){te=te.substring(ie.raw.length),le.push(ie);continue}if(!this.state.inLink&&(ie=this.tokenizer.url(te,z))){te=te.substring(ie.raw.length),le.push(ie);continue}if(H=te,this.options.extensions&&this.options.extensions.startInline&&function(){var Se=1/0,Be=te.slice(1),qe=void 0;ee.options.extensions.startInline.forEach(function(Je){qe=Je.call({lexer:this},Be),typeof qe=="number"&&qe>=0&&(Se=Math.min(Se,qe))}),Se<1/0&&Se>=0&&(H=te.substring(0,Se+1))}(),ie=this.tokenizer.inlineText(H,X)){te=te.substring(ie.raw.length),ie.raw.slice(-1)!=="_"&&(we=ie.raw.slice(-1)),fe=!0,F=le[le.length-1],F&&F.type==="text"?(F.raw+=ie.raw,F.text+=ie.text):le.push(ie);continue}if(te){var Ce="Infinite loop on byte: "+te.charCodeAt(0);if(this.options.silent){console.error(Ce);break}else throw new Error(Ce)}}return le},u(ae,null,[{key:"rules",get:function(){return{block:$,inline:N}}}]),ae}(),x=function(){function ae(ge){this.options=ge||Z.defaults}var de=ae.prototype;return de.code=function(te,le,ee){var ie=(le||"").match(/\S*/)[0];if(this.options.highlight){var F=this.options.highlight(te,ie);F!=null&&F!==te&&(ee=!0,te=F)}return te=te.replace(/\n$/,"")+`
`,ie?'<pre><code class="'+this.options.langPrefix+E(ie,!0)+'">'+(ee?te:E(te,!0))+`</code></pre>
`:"<pre><code>"+(ee?te:E(te,!0))+`</code></pre>
`},de.blockquote=function(te){return`<blockquote>
`+te+`</blockquote>
`},de.html=function(te){return te},de.heading=function(te,le,ee,ie){if(this.options.headerIds){var F=this.options.headerPrefix+ie.slug(ee);return"<h"+le+' id="'+F+'">'+te+"</h"+le+`>
`}return"<h"+le+">"+te+"</h"+le+`>
`},de.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},de.list=function(te,le,ee){var ie=le?"ol":"ul",F=le&&ee!==1?' start="'+ee+'"':"";return"<"+ie+F+`>
`+te+"</"+ie+`>
`},de.listitem=function(te){return"<li>"+te+`</li>
`},de.checkbox=function(te){return"<input "+(te?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},de.paragraph=function(te){return"<p>"+te+`</p>
`},de.table=function(te,le){return le&&(le="<tbody>"+le+"</tbody>"),`<table>
<thead>
`+te+`</thead>
`+le+`</table>
`},de.tablerow=function(te){return`<tr>
`+te+`</tr>
`},de.tablecell=function(te,le){var ee=le.header?"th":"td",ie=le.align?"<"+ee+' align="'+le.align+'">':"<"+ee+">";return ie+te+("</"+ee+`>
`)},de.strong=function(te){return"<strong>"+te+"</strong>"},de.em=function(te){return"<em>"+te+"</em>"},de.codespan=function(te){return"<code>"+te+"</code>"},de.br=function(){return this.options.xhtml?"<br/>":"<br>"},de.del=function(te){return"<del>"+te+"</del>"},de.link=function(te,le,ee){if(te=m(this.options.sanitize,this.options.baseUrl,te),te===null)return ee;var ie='<a href="'+E(te)+'"';return le&&(ie+=' title="'+le+'"'),ie+=">"+ee+"</a>",ie},de.image=function(te,le,ee){if(te=m(this.options.sanitize,this.options.baseUrl,te),te===null)return ee;var ie='<img src="'+te+'" alt="'+ee+'"';return le&&(ie+=' title="'+le+'"'),ie+=this.options.xhtml?"/>":">",ie},de.text=function(te){return te},ae}(),V=function(){function ae(){}var de=ae.prototype;return de.strong=function(te){return te},de.em=function(te){return te},de.codespan=function(te){return te},de.del=function(te){return te},de.html=function(te){return te},de.text=function(te){return te},de.link=function(te,le,ee){return""+ee},de.image=function(te,le,ee){return""+ee},de.br=function(){return""},ae}(),q=function(){function ae(){this.seen={}}var de=ae.prototype;return de.serialize=function(te){return te.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},de.getNextSafeSlug=function(te,le){var ee=te,ie=0;if(this.seen.hasOwnProperty(ee)){ie=this.seen[te];do ie++,ee=te+"-"+ie;while(this.seen.hasOwnProperty(ee))}return le||(this.seen[te]=ie,this.seen[ee]=0),ee},de.slug=function(te,le){le===void 0&&(le={});var ee=this.serialize(te);return this.getNextSafeSlug(ee,le.dryrun)},ae}(),J=function(){function ae(ge){this.options=ge||Z.defaults,this.options.renderer=this.options.renderer||new x,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new V,this.slugger=new q}ae.parse=function(te,le){var ee=new ae(le);return ee.parse(te)},ae.parseInline=function(te,le){var ee=new ae(le);return ee.parseInline(te)};var de=ae.prototype;return de.parse=function(te,le){le===void 0&&(le=!0);var ee="",ie,F,H,K,Q,fe,we,ue,Ce,Se,Be,qe,Je,Qe,Le,st,se,oe,G,ye=te.length;for(ie=0;ie<ye;ie++){if(Se=te[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Se.type]&&(G=this.options.extensions.renderers[Se.type].call({parser:this},Se),G!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Se.type))){ee+=G||"";continue}switch(Se.type){case"space":continue;case"hr":{ee+=this.renderer.hr();continue}case"heading":{ee+=this.renderer.heading(this.parseInline(Se.tokens),Se.depth,v(this.parseInline(Se.tokens,this.textRenderer)),this.slugger);continue}case"code":{ee+=this.renderer.code(Se.text,Se.lang,Se.escaped);continue}case"table":{for(ue="",we="",K=Se.header.length,F=0;F<K;F++)we+=this.renderer.tablecell(this.parseInline(Se.header[F].tokens),{header:!0,align:Se.align[F]});for(ue+=this.renderer.tablerow(we),Ce="",K=Se.rows.length,F=0;F<K;F++){for(fe=Se.rows[F],we="",Q=fe.length,H=0;H<Q;H++)we+=this.renderer.tablecell(this.parseInline(fe[H].tokens),{header:!1,align:Se.align[H]});Ce+=this.renderer.tablerow(we)}ee+=this.renderer.table(ue,Ce);continue}case"blockquote":{Ce=this.parse(Se.tokens),ee+=this.renderer.blockquote(Ce);continue}case"list":{for(Be=Se.ordered,qe=Se.start,Je=Se.loose,K=Se.items.length,Ce="",F=0;F<K;F++)Le=Se.items[F],st=Le.checked,se=Le.task,Qe="",Le.task&&(oe=this.renderer.checkbox(st),Je?Le.tokens.length>0&&Le.tokens[0].type==="paragraph"?(Le.tokens[0].text=oe+" "+Le.tokens[0].text,Le.tokens[0].tokens&&Le.tokens[0].tokens.length>0&&Le.tokens[0].tokens[0].type==="text"&&(Le.tokens[0].tokens[0].text=oe+" "+Le.tokens[0].tokens[0].text)):Le.tokens.unshift({type:"text",text:oe}):Qe+=oe),Qe+=this.parse(Le.tokens,Je),Ce+=this.renderer.listitem(Qe,se,st);ee+=this.renderer.list(Ce,Be,qe);continue}case"html":{ee+=this.renderer.html(Se.text);continue}case"paragraph":{ee+=this.renderer.paragraph(this.parseInline(Se.tokens));continue}case"text":{for(Ce=Se.tokens?this.parseInline(Se.tokens):Se.text;ie+1<ye&&te[ie+1].type==="text";)Se=te[++ie],Ce+=`
`+(Se.tokens?this.parseInline(Se.tokens):Se.text);ee+=le?this.renderer.paragraph(Ce):Ce;continue}default:{var Ae='Token with "'+Se.type+'" type was not found.';if(this.options.silent){console.error(Ae);return}else throw new Error(Ae)}}}return ee},de.parseInline=function(te,le){le=le||this.renderer;var ee="",ie,F,H,K=te.length;for(ie=0;ie<K;ie++){if(F=te[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[F.type]&&(H=this.options.extensions.renderers[F.type].call({parser:this},F),H!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(F.type))){ee+=H||"";continue}switch(F.type){case"escape":{ee+=le.text(F.text);break}case"html":{ee+=le.html(F.text);break}case"link":{ee+=le.link(F.href,F.title,this.parseInline(F.tokens,le));break}case"image":{ee+=le.image(F.href,F.title,F.text);break}case"strong":{ee+=le.strong(this.parseInline(F.tokens,le));break}case"em":{ee+=le.em(this.parseInline(F.tokens,le));break}case"codespan":{ee+=le.codespan(F.text);break}case"br":{ee+=le.br();break}case"del":{ee+=le.del(this.parseInline(F.tokens,le));break}case"text":{ee+=le.text(F.text);break}default:{var Q='Token with "'+F.type+'" type was not found.';if(this.options.silent){console.error(Q);return}else throw new Error(Q)}}}return ee},ae}();function Y(ae,de,ge){if(typeof ae=="undefined"||ae===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ae!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ae)+", string expected");if(typeof de=="function"&&(ge=de,de=null),de=o({},Y.defaults,de||{}),L(de),ge){var te=de.highlight,le;try{le=O.lex(ae,de)}catch(H){return ge(H)}var ee=function(K){var Q;if(!K)try{de.walkTokens&&Y.walkTokens(le,de.walkTokens),Q=J.parse(le,de)}catch(fe){K=fe}return de.highlight=te,K?ge(K):ge(null,Q)};if(!te||te.length<3||(delete de.highlight,!le.length))return ee();var ie=0;Y.walkTokens(le,function(H){H.type==="code"&&(ie++,setTimeout(function(){te(H.text,H.lang,function(K,Q){if(K)return ee(K);Q!=null&&Q!==H.text&&(H.text=Q,H.escaped=!0),ie--,ie===0&&ee()})},0))}),ie===0&&ee();return}try{var F=O.lex(ae,de);return de.walkTokens&&Y.walkTokens(F,de.walkTokens),J.parse(F,de)}catch(H){if(H.message+=`
Please report this to https://github.com/markedjs/marked.`,de.silent)return"<p>An error occurred:</p><pre>"+E(H.message+"",!0)+"</pre>";throw H}}Y.options=Y.setOptions=function(ae){return o(Y.defaults,ae),D(Y.defaults),Y},Y.getDefaults=y,Y.defaults=Z.defaults,Y.use=function(){for(var ae=arguments.length,de=new Array(ae),ge=0;ge<ae;ge++)de[ge]=arguments[ge];var te=o.apply(void 0,[{}].concat(de)),le=Y.defaults.extensions||{renderers:{},childTokens:{}},ee;de.forEach(function(ie){if(ie.extensions&&(ee=!0,ie.extensions.forEach(function(H){if(!H.name)throw new Error("extension name required");if(H.renderer){var K=le.renderers?le.renderers[H.name]:null;K?le.renderers[H.name]=function(){for(var Q=arguments.length,fe=new Array(Q),we=0;we<Q;we++)fe[we]=arguments[we];var ue=H.renderer.apply(this,fe);return ue===!1&&(ue=K.apply(this,fe)),ue}:le.renderers[H.name]=H.renderer}if(H.tokenizer){if(!H.level||H.level!=="block"&&H.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");le[H.level]?le[H.level].unshift(H.tokenizer):le[H.level]=[H.tokenizer],H.start&&(H.level==="block"?le.startBlock?le.startBlock.push(H.start):le.startBlock=[H.start]:H.level==="inline"&&(le.startInline?le.startInline.push(H.start):le.startInline=[H.start]))}H.childTokens&&(le.childTokens[H.name]=H.childTokens)})),ie.renderer&&function(){var H=Y.defaults.renderer||new x,K=function(we){var ue=H[we];H[we]=function(){for(var Ce=arguments.length,Se=new Array(Ce),Be=0;Be<Ce;Be++)Se[Be]=arguments[Be];var qe=ie.renderer[we].apply(H,Se);return qe===!1&&(qe=ue.apply(H,Se)),qe}};for(var Q in ie.renderer)K(Q);te.renderer=H}(),ie.tokenizer&&function(){var H=Y.defaults.tokenizer||new U,K=function(we){var ue=H[we];H[we]=function(){for(var Ce=arguments.length,Se=new Array(Ce),Be=0;Be<Ce;Be++)Se[Be]=arguments[Be];var qe=ie.tokenizer[we].apply(H,Se);return qe===!1&&(qe=ue.apply(H,Se)),qe}};for(var Q in ie.tokenizer)K(Q);te.tokenizer=H}(),ie.walkTokens){var F=Y.defaults.walkTokens;te.walkTokens=function(H){ie.walkTokens.call(this,H),F&&F.call(this,H)}}ee&&(te.extensions=le),Y.setOptions(te)})},Y.walkTokens=function(ae,de){for(var ge=function(){var ie=le.value;switch(de.call(Y,ie),ie.type){case"table":{for(var F=P(ie.header),H;!(H=F()).done;){var K=H.value;Y.walkTokens(K.tokens,de)}for(var Q=P(ie.rows),fe;!(fe=Q()).done;)for(var we=fe.value,ue=P(we),Ce;!(Ce=ue()).done;){var Se=Ce.value;Y.walkTokens(Se.tokens,de)}break}case"list":{Y.walkTokens(ie.items,de);break}default:Y.defaults.extensions&&Y.defaults.extensions.childTokens&&Y.defaults.extensions.childTokens[ie.type]?Y.defaults.extensions.childTokens[ie.type].forEach(function(Be){Y.walkTokens(ie[Be],de)}):ie.tokens&&Y.walkTokens(ie.tokens,de)}},te=P(ae),le;!(le=te()).done;)ge()},Y.parseInline=function(ae,de){if(typeof ae=="undefined"||ae===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ae!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ae)+", string expected");de=o({},Y.defaults,de||{}),L(de);try{var ge=O.lexInline(ae,de);return de.walkTokens&&Y.walkTokens(ge,de.walkTokens),J.parseInline(ge,de)}catch(te){if(te.message+=`
Please report this to https://github.com/markedjs/marked.`,de.silent)return"<p>An error occurred:</p><pre>"+E(te.message+"",!0)+"</pre>";throw te}},Y.Parser=J,Y.parser=J.parse,Y.Renderer=x,Y.TextRenderer=V,Y.Lexer=O,Y.lexer=O.lex,Y.Tokenizer=U,Y.Slugger=q,Y.parse=Y;var he=Y.options,ve=Y.setOptions,re=Y.use,pe=Y.walkTokens,be=Y.parseInline,ke=Y,Re=J.parse,Ue=O.lex;Z.Lexer=O,Z.Parser=J,Z.Renderer=x,Z.Slugger=q,Z.TextRenderer=V,Z.Tokenizer=U,Z.getDefaults=y,Z.lexer=Ue,Z.marked=Y,Z.options=he,Z.parse=ke,Z.parseInline=be,Z.parser=Re,Z.setOptions=ve,Z.use=re,Z.walkTokens=pe,Object.defineProperty(Z,"__esModule",{value:!0})}),define(De[94],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function u(D,w,I){return Math.min(Math.max(D,w),I)}e.clamp=u;function t(D,w){return(w+D%w)%w}e.rot=t;class C{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=C;class P{constructor(){this._n=1,this._val=0}update(w){return this._val=this._val+(w-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}e.MovingAverage=P;class y{constructor(w){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(w),this._values.fill(0,0,w)}update(w){const I=this._values[this._index];return this._values[this._index]=w,this._index=(this._index+1)%this._values.length,this._sum-=I,this._sum+=w,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}e.SlidingWindowAverage=y}),function(){function Z(C){const P=[];typeof C=="number"&&P.push("code/timeOrigin",C);function y(w){P.push(w,Date.now())}function D(){const w=[];for(let I=0;I<P.length;I+=2)w.push({name:P[I],startTime:P[I+1]});return w}return{mark:y,getMarks:D}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?Z():{mark(C){performance.mark(C)},getMarks(){let C=performance.timeOrigin;typeof C!="number"&&(C=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const P=[{name:"code/timeOrigin",startTime:Math.round(C)}];for(const y of performance.getEntriesByType("mark"))P.push({name:y.name,startTime:Math.round(C+y.startTime)});return P}};if(typeof process=="object"){const C=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Z(C)}else return console.trace("perf-util loaded in UNKNOWN environment"),Z()}function u(C){return C.MonacoPerformanceMarks||(C.MonacoPerformanceMarks=e()),C.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return u(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=u(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=u(t))}(),function(Z,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var u=e();for(var t in u)(typeof exports=="object"?exports:Z)[t]=u[t]}}(typeof self!="undefined"?self:this,function(){return function(Z){var e={};function u(t){if(e[t])return e[t].exports;var C=e[t]={i:t,l:!1,exports:{}};return Z[t].call(C.exports,C,C.exports,u),C.l=!0,C.exports}return u.m=Z,u.c=e,u.d=function(t,C,P){u.o(t,C)||Object.defineProperty(t,C,{enumerable:!0,get:P})},u.r=function(t){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},u.t=function(t,C){if(1&C&&(t=u(t)),8&C||4&C&&typeof t=="object"&&t&&t.__esModule)return t;var P=Object.create(null);if(u.r(P),Object.defineProperty(P,"default",{enumerable:!0,value:t}),2&C&&typeof t!="string")for(var y in t)u.d(P,y,function(D){return t[D]}.bind(null,y));return P},u.n=function(t){var C=t&&t.__esModule?function(){return t.default}:function(){return t};return u.d(C,"a",C),C},u.o=function(t,C){return Object.prototype.hasOwnProperty.call(t,C)},u.p="",u(u.s=0)}([function(Z,e,u){(function(t){var C;e=Z.exports=re,C=typeof t=="object"&&t.env&&t.env.NODE_DEBUG&&/\bsemver\b/i.test(t.env.NODE_DEBUG)?function(){var ue=Array.prototype.slice.call(arguments,0);ue.unshift("SEMVER"),console.log.apply(console,ue)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var P=256,y=Number.MAX_SAFE_INTEGER||9007199254740991,D=e.re=[],w=e.src=[],I=0,A=I++;w[A]="0|[1-9]\\d*";var k=I++;w[k]="[0-9]+";var _=I++;w[_]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var T=I++;w[T]="("+w[A]+")\\.("+w[A]+")\\.("+w[A]+")";var E=I++;w[E]="("+w[k]+")\\.("+w[k]+")\\.("+w[k]+")";var b=I++;w[b]="(?:"+w[A]+"|"+w[_]+")";var v=I++;w[v]="(?:"+w[k]+"|"+w[_]+")";var h=I++;w[h]="(?:-("+w[b]+"(?:\\."+w[b]+")*))";var p=I++;w[p]="(?:-?("+w[v]+"(?:\\."+w[v]+")*))";var g=I++;w[g]="[0-9A-Za-z-]+";var a=I++;w[a]="(?:\\+("+w[g]+"(?:\\."+w[g]+")*))";var m=I++,c="v?"+w[T]+w[h]+"?"+w[a]+"?";w[m]="^"+c+"$";var l="[v=\\s]*"+w[E]+w[p]+"?"+w[a]+"?",r=I++;w[r]="^"+l+"$";var i=I++;w[i]="((?:<|>)?=?)";var s=I++;w[s]=w[k]+"|x|X|\\*";var n=I++;w[n]=w[A]+"|x|X|\\*";var o=I++;w[o]="[v=\\s]*("+w[n]+")(?:\\.("+w[n]+")(?:\\.("+w[n]+")(?:"+w[h]+")?"+w[a]+"?)?)?";var d=I++;w[d]="[v=\\s]*("+w[s]+")(?:\\.("+w[s]+")(?:\\.("+w[s]+")(?:"+w[p]+")?"+w[a]+"?)?)?";var f=I++;w[f]="^"+w[i]+"\\s*"+w[o]+"$";var S=I++;w[S]="^"+w[i]+"\\s*"+w[d]+"$";var L=I++;w[L]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var M=I++;w[M]="(?:~>?)";var B=I++;w[B]="(\\s*)"+w[M]+"\\s+",D[B]=new RegExp(w[B],"g");var R=I++;w[R]="^"+w[M]+w[o]+"$";var U=I++;w[U]="^"+w[M]+w[d]+"$";var $=I++;w[$]="(?:\\^)";var N=I++;w[N]="(\\s*)"+w[$]+"\\s+",D[N]=new RegExp(w[N],"g");var X=I++;w[X]="^"+w[$]+w[o]+"$";var z=I++;w[z]="^"+w[$]+w[d]+"$";var O=I++;w[O]="^"+w[i]+"\\s*("+l+")$|^$";var x=I++;w[x]="^"+w[i]+"\\s*("+c+")$|^$";var V=I++;w[V]="(\\s*)"+w[i]+"\\s*("+l+"|"+w[o]+")",D[V]=new RegExp(w[V],"g");var q=I++;w[q]="^\\s*("+w[o]+")\\s+-\\s+("+w[o]+")\\s*$";var J=I++;w[J]="^\\s*("+w[d]+")\\s+-\\s+("+w[d]+")\\s*$";var Y=I++;w[Y]="(<|>)?=?\\s*\\*";for(var he=0;he<35;he++)C(he,w[he]),D[he]||(D[he]=new RegExp(w[he]));function ve(ue,Ce){if(ue instanceof re)return ue;if(typeof ue!="string"||ue.length>P||!(Ce?D[r]:D[m]).test(ue))return null;try{return new re(ue,Ce)}catch{return null}}function re(ue,Ce){if(ue instanceof re){if(ue.loose===Ce)return ue;ue=ue.version}else if(typeof ue!="string")throw new TypeError("Invalid Version: "+ue);if(ue.length>P)throw new TypeError("version is longer than "+P+" characters");if(!(this instanceof re))return new re(ue,Ce);C("SemVer",ue,Ce),this.loose=Ce;var Se=ue.trim().match(Ce?D[r]:D[m]);if(!Se)throw new TypeError("Invalid Version: "+ue);if(this.raw=ue,this.major=+Se[1],this.minor=+Se[2],this.patch=+Se[3],this.major>y||this.major<0)throw new TypeError("Invalid major version");if(this.minor>y||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>y||this.patch<0)throw new TypeError("Invalid patch version");Se[4]?this.prerelease=Se[4].split(".").map(function(Be){if(/^[0-9]+$/.test(Be)){var qe=+Be;if(qe>=0&&qe<y)return qe}return Be}):this.prerelease=[],this.build=Se[5]?Se[5].split("."):[],this.format()}e.parse=ve,e.valid=function(ue,Ce){var Se=ve(ue,Ce);return Se?Se.version:null},e.clean=function(ue,Ce){var Se=ve(ue.trim().replace(/^[=v]+/,""),Ce);return Se?Se.version:null},e.SemVer=re,re.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},re.prototype.toString=function(){return this.version},re.prototype.compare=function(ue){return C("SemVer.compare",this.version,this.loose,ue),ue instanceof re||(ue=new re(ue,this.loose)),this.compareMain(ue)||this.comparePre(ue)},re.prototype.compareMain=function(ue){return ue instanceof re||(ue=new re(ue,this.loose)),be(this.major,ue.major)||be(this.minor,ue.minor)||be(this.patch,ue.patch)},re.prototype.comparePre=function(ue){if(ue instanceof re||(ue=new re(ue,this.loose)),this.prerelease.length&&!ue.prerelease.length)return-1;if(!this.prerelease.length&&ue.prerelease.length)return 1;if(!this.prerelease.length&&!ue.prerelease.length)return 0;var Ce=0;do{var Se=this.prerelease[Ce],Be=ue.prerelease[Ce];if(C("prerelease compare",Ce,Se,Be),Se===void 0&&Be===void 0)return 0;if(Be===void 0)return 1;if(Se===void 0)return-1;if(Se!==Be)return be(Se,Be)}while(++Ce)},re.prototype.inc=function(ue,Ce){switch(ue){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",Ce);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",Ce);break;case"prepatch":this.prerelease.length=0,this.inc("patch",Ce),this.inc("pre",Ce);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",Ce),this.inc("pre",Ce);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var Se=this.prerelease.length;--Se>=0;)typeof this.prerelease[Se]=="number"&&(this.prerelease[Se]++,Se=-2);Se===-1&&this.prerelease.push(0)}Ce&&(this.prerelease[0]===Ce?isNaN(this.prerelease[1])&&(this.prerelease=[Ce,0]):this.prerelease=[Ce,0]);break;default:throw new Error("invalid increment argument: "+ue)}return this.format(),this.raw=this.version,this},e.inc=function(ue,Ce,Se,Be){typeof Se=="string"&&(Be=Se,Se=void 0);try{return new re(ue,Se).inc(Ce,Be).version}catch{return null}},e.diff=function(ue,Ce){if(ae(ue,Ce))return null;var Se=ve(ue),Be=ve(Ce);if(Se.prerelease.length||Be.prerelease.length){for(var qe in Se)if((qe==="major"||qe==="minor"||qe==="patch")&&Se[qe]!==Be[qe])return"pre"+qe;return"prerelease"}for(var qe in Se)if((qe==="major"||qe==="minor"||qe==="patch")&&Se[qe]!==Be[qe])return qe},e.compareIdentifiers=be;var pe=/^[0-9]+$/;function be(ue,Ce){var Se=pe.test(ue),Be=pe.test(Ce);return Se&&Be&&(ue=+ue,Ce=+Ce),Se&&!Be?-1:Be&&!Se?1:ue<Ce?-1:ue>Ce?1:0}function ke(ue,Ce,Se){return new re(ue,Se).compare(new re(Ce,Se))}function Re(ue,Ce,Se){return ke(ue,Ce,Se)>0}function Ue(ue,Ce,Se){return ke(ue,Ce,Se)<0}function ae(ue,Ce,Se){return ke(ue,Ce,Se)===0}function de(ue,Ce,Se){return ke(ue,Ce,Se)!==0}function ge(ue,Ce,Se){return ke(ue,Ce,Se)>=0}function te(ue,Ce,Se){return ke(ue,Ce,Se)<=0}function le(ue,Ce,Se,Be){var qe;switch(Ce){case"===":typeof ue=="object"&&(ue=ue.version),typeof Se=="object"&&(Se=Se.version),qe=ue===Se;break;case"!==":typeof ue=="object"&&(ue=ue.version),typeof Se=="object"&&(Se=Se.version),qe=ue!==Se;break;case"":case"=":case"==":qe=ae(ue,Se,Be);break;case"!=":qe=de(ue,Se,Be);break;case">":qe=Re(ue,Se,Be);break;case">=":qe=ge(ue,Se,Be);break;case"<":qe=Ue(ue,Se,Be);break;case"<=":qe=te(ue,Se,Be);break;default:throw new TypeError("Invalid operator: "+Ce)}return qe}function ee(ue,Ce){if(ue instanceof ee){if(ue.loose===Ce)return ue;ue=ue.value}if(!(this instanceof ee))return new ee(ue,Ce);C("comparator",ue,Ce),this.loose=Ce,this.parse(ue),this.semver===ie?this.value="":this.value=this.operator+this.semver.version,C("comp",this)}e.rcompareIdentifiers=function(ue,Ce){return be(Ce,ue)},e.major=function(ue,Ce){return new re(ue,Ce).major},e.minor=function(ue,Ce){return new re(ue,Ce).minor},e.patch=function(ue,Ce){return new re(ue,Ce).patch},e.compare=ke,e.compareLoose=function(ue,Ce){return ke(ue,Ce,!0)},e.rcompare=function(ue,Ce,Se){return ke(Ce,ue,Se)},e.sort=function(ue,Ce){return ue.sort(function(Se,Be){return e.compare(Se,Be,Ce)})},e.rsort=function(ue,Ce){return ue.sort(function(Se,Be){return e.rcompare(Se,Be,Ce)})},e.gt=Re,e.lt=Ue,e.eq=ae,e.neq=de,e.gte=ge,e.lte=te,e.cmp=le,e.Comparator=ee;var ie={};function F(ue,Ce){if(ue instanceof F)return ue.loose===Ce?ue:new F(ue.raw,Ce);if(ue instanceof ee)return new F(ue.value,Ce);if(!(this instanceof F))return new F(ue,Ce);if(this.loose=Ce,this.raw=ue,this.set=ue.split(/\s*\|\|\s*/).map(function(Se){return this.parseRange(Se.trim())},this).filter(function(Se){return Se.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+ue);this.format()}function H(ue){return!ue||ue.toLowerCase()==="x"||ue==="*"}function K(ue,Ce,Se,Be,qe,Je,Qe,Le,st,se,oe,G,ye){return((Ce=H(Se)?"":H(Be)?">="+Se+".0.0":H(qe)?">="+Se+"."+Be+".0":">="+Ce)+" "+(Le=H(st)?"":H(se)?"<"+(+st+1)+".0.0":H(oe)?"<"+st+"."+(+se+1)+".0":G?"<="+st+"."+se+"."+oe+"-"+G:"<="+Le)).trim()}function Q(ue,Ce){for(var Se=0;Se<ue.length;Se++)if(!ue[Se].test(Ce))return!1;if(Ce.prerelease.length){for(Se=0;Se<ue.length;Se++)if(C(ue[Se].semver),ue[Se].semver!==ie&&ue[Se].semver.prerelease.length>0){var Be=ue[Se].semver;if(Be.major===Ce.major&&Be.minor===Ce.minor&&Be.patch===Ce.patch)return!0}return!1}return!0}function fe(ue,Ce,Se){try{Ce=new F(Ce,Se)}catch{return!1}return Ce.test(ue)}function we(ue,Ce,Se,Be){var qe,Je,Qe,Le,st;switch(ue=new re(ue,Be),Ce=new F(Ce,Be),Se){case">":qe=Re,Je=te,Qe=Ue,Le=">",st=">=";break;case"<":qe=Ue,Je=ge,Qe=Re,Le="<",st="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(fe(ue,Ce,Be))return!1;for(var se=0;se<Ce.set.length;++se){var oe=Ce.set[se],G=null,ye=null;if(oe.forEach(function(Ae){Ae.semver===ie&&(Ae=new ee(">=0.0.0")),G=G||Ae,ye=ye||Ae,qe(Ae.semver,G.semver,Be)?G=Ae:Qe(Ae.semver,ye.semver,Be)&&(ye=Ae)}),G.operator===Le||G.operator===st||(!ye.operator||ye.operator===Le)&&Je(ue,ye.semver)||ye.operator===st&&Qe(ue,ye.semver))return!1}return!0}ee.prototype.parse=function(ue){var Ce=this.loose?D[O]:D[x],Se=ue.match(Ce);if(!Se)throw new TypeError("Invalid comparator: "+ue);this.operator=Se[1],this.operator==="="&&(this.operator=""),Se[2]?this.semver=new re(Se[2],this.loose):this.semver=ie},ee.prototype.toString=function(){return this.value},ee.prototype.test=function(ue){return C("Comparator.test",ue,this.loose),this.semver===ie||(typeof ue=="string"&&(ue=new re(ue,this.loose)),le(ue,this.operator,this.semver,this.loose))},ee.prototype.intersects=function(ue,Ce){if(!(ue instanceof ee))throw new TypeError("a Comparator is required");var Se;if(this.operator==="")return Se=new F(ue.value,Ce),fe(this.value,Se,Ce);if(ue.operator==="")return Se=new F(this.value,Ce),fe(ue.semver,Se,Ce);var Be=!(this.operator!==">="&&this.operator!==">"||ue.operator!==">="&&ue.operator!==">"),qe=!(this.operator!=="<="&&this.operator!=="<"||ue.operator!=="<="&&ue.operator!=="<"),Je=this.semver.version===ue.semver.version,Qe=!(this.operator!==">="&&this.operator!=="<="||ue.operator!==">="&&ue.operator!=="<="),Le=le(this.semver,"<",ue.semver,Ce)&&(this.operator===">="||this.operator===">")&&(ue.operator==="<="||ue.operator==="<"),st=le(this.semver,">",ue.semver,Ce)&&(this.operator==="<="||this.operator==="<")&&(ue.operator===">="||ue.operator===">");return Be||qe||Je&&Qe||Le||st},e.Range=F,F.prototype.format=function(){return this.range=this.set.map(function(ue){return ue.join(" ").trim()}).join("||").trim(),this.range},F.prototype.toString=function(){return this.range},F.prototype.parseRange=function(ue){var Ce=this.loose;ue=ue.trim(),C("range",ue,Ce);var Se=Ce?D[J]:D[q];ue=ue.replace(Se,K),C("hyphen replace",ue),ue=ue.replace(D[V],"$1$2$3"),C("comparator trim",ue,D[V]),ue=(ue=(ue=ue.replace(D[B],"$1~")).replace(D[N],"$1^")).split(/\s+/).join(" ");var Be=Ce?D[O]:D[x],qe=ue.split(" ").map(function(Je){return function(Qe,Le){return C("comp",Qe),Qe=function(st,se){return st.trim().split(/\s+/).map(function(oe){return function(G,ye){C("caret",G,ye);var Ae=ye?D[z]:D[X];return G.replace(Ae,function(We,ze,$e,Ze,it){var lt;return C("caret",G,We,ze,$e,Ze,it),H(ze)?lt="":H($e)?lt=">="+ze+".0.0 <"+(+ze+1)+".0.0":H(Ze)?lt=ze==="0"?">="+ze+"."+$e+".0 <"+ze+"."+(+$e+1)+".0":">="+ze+"."+$e+".0 <"+(+ze+1)+".0.0":it?(C("replaceCaret pr",it),it.charAt(0)!=="-"&&(it="-"+it),lt=ze==="0"?$e==="0"?">="+ze+"."+$e+"."+Ze+it+" <"+ze+"."+$e+"."+(+Ze+1):">="+ze+"."+$e+"."+Ze+it+" <"+ze+"."+(+$e+1)+".0":">="+ze+"."+$e+"."+Ze+it+" <"+(+ze+1)+".0.0"):(C("no pr"),lt=ze==="0"?$e==="0"?">="+ze+"."+$e+"."+Ze+" <"+ze+"."+$e+"."+(+Ze+1):">="+ze+"."+$e+"."+Ze+" <"+ze+"."+(+$e+1)+".0":">="+ze+"."+$e+"."+Ze+" <"+(+ze+1)+".0.0"),C("caret return",lt),lt})}(oe,se)}).join(" ")}(Qe,Le),C("caret",Qe),Qe=function(st,se){return st.trim().split(/\s+/).map(function(oe){return function(G,ye){var Ae=ye?D[U]:D[R];return G.replace(Ae,function(We,ze,$e,Ze,it){var lt;return C("tilde",G,We,ze,$e,Ze,it),H(ze)?lt="":H($e)?lt=">="+ze+".0.0 <"+(+ze+1)+".0.0":H(Ze)?lt=">="+ze+"."+$e+".0 <"+ze+"."+(+$e+1)+".0":it?(C("replaceTilde pr",it),it.charAt(0)!=="-"&&(it="-"+it),lt=">="+ze+"."+$e+"."+Ze+it+" <"+ze+"."+(+$e+1)+".0"):lt=">="+ze+"."+$e+"."+Ze+" <"+ze+"."+(+$e+1)+".0",C("tilde return",lt),lt})}(oe,se)}).join(" ")}(Qe,Le),C("tildes",Qe),Qe=function(st,se){return C("replaceXRanges",st,se),st.split(/\s+/).map(function(oe){return function(G,ye){G=G.trim();var Ae=ye?D[S]:D[f];return G.replace(Ae,function(We,ze,$e,Ze,it,lt){C("xRange",G,We,ze,$e,Ze,it,lt);var ht=H($e),tt=ht||H(Ze),at=tt||H(it);return ze==="="&&at&&(ze=""),ht?We=ze===">"||ze==="<"?"<0.0.0":"*":ze&&at?(tt&&(Ze=0),at&&(it=0),ze===">"?(ze=">=",tt?($e=+$e+1,Ze=0,it=0):at&&(Ze=+Ze+1,it=0)):ze==="<="&&(ze="<",tt?$e=+$e+1:Ze=+Ze+1),We=ze+$e+"."+Ze+"."+it):tt?We=">="+$e+".0.0 <"+(+$e+1)+".0.0":at&&(We=">="+$e+"."+Ze+".0 <"+$e+"."+(+Ze+1)+".0"),C("xRange return",We),We})}(oe,se)}).join(" ")}(Qe,Le),C("xrange",Qe),Qe=function(st,se){return C("replaceStars",st,se),st.trim().replace(D[Y],"")}(Qe,Le),C("stars",Qe),Qe}(Je,Ce)}).join(" ").split(/\s+/);return this.loose&&(qe=qe.filter(function(Je){return!!Je.match(Be)})),qe=qe.map(function(Je){return new ee(Je,Ce)})},F.prototype.intersects=function(ue,Ce){if(!(ue instanceof F))throw new TypeError("a Range is required");return this.set.some(function(Se){return Se.every(function(Be){return ue.set.some(function(qe){return qe.every(function(Je){return Be.intersects(Je,Ce)})})})})},e.toComparators=function(ue,Ce){return new F(ue,Ce).set.map(function(Se){return Se.map(function(Be){return Be.value}).join(" ").trim().split(" ")})},F.prototype.test=function(ue){if(!ue)return!1;typeof ue=="string"&&(ue=new re(ue,this.loose));for(var Ce=0;Ce<this.set.length;Ce++)if(Q(this.set[Ce],ue))return!0;return!1},e.satisfies=fe,e.maxSatisfying=function(ue,Ce,Se){var Be=null,qe=null;try{var Je=new F(Ce,Se)}catch{return null}return ue.forEach(function(Qe){Je.test(Qe)&&(Be&&qe.compare(Qe)!==-1||(qe=new re(Be=Qe,Se)))}),Be},e.minSatisfying=function(ue,Ce,Se){var Be=null,qe=null;try{var Je=new F(Ce,Se)}catch{return null}return ue.forEach(function(Qe){Je.test(Qe)&&(Be&&qe.compare(Qe)!==1||(qe=new re(Be=Qe,Se)))}),Be},e.validRange=function(ue,Ce){try{return new F(ue,Ce).range||"*"}catch{return null}},e.ltr=function(ue,Ce,Se){return we(ue,Ce,"<",Se)},e.gtr=function(ue,Ce,Se){return we(ue,Ce,">",Se)},e.outside=we,e.prerelease=function(ue,Ce){var Se=ve(ue,Ce);return Se&&Se.prerelease.length?Se.prerelease:null},e.intersects=function(ue,Ce,Se){return ue=new F(ue,Se),Ce=new F(Ce,Se),ue.intersects(Ce)},e.coerce=function(ue){if(ue instanceof re)return ue;if(typeof ue!="string")return null;var Ce=ue.match(D[L]);return Ce==null?null:ve((Ce[1]||"0")+"."+(Ce[2]||"0")+"."+(Ce[3]||"0"))}}).call(this,u(1))},function(Z,e){var u,t,C=Z.exports={};function P(){throw new Error("setTimeout has not been defined")}function y(){throw new Error("clearTimeout has not been defined")}function D(v){if(u===setTimeout)return setTimeout(v,0);if((u===P||!u)&&setTimeout)return u=setTimeout,setTimeout(v,0);try{return u(v,0)}catch{try{return u.call(null,v,0)}catch{return u.call(this,v,0)}}}(function(){try{u=typeof setTimeout=="function"?setTimeout:P}catch{u=P}try{t=typeof clearTimeout=="function"?clearTimeout:y}catch{t=y}})();var w,I=[],A=!1,k=-1;function _(){A&&w&&(A=!1,w.length?I=w.concat(I):k=-1,I.length&&T())}function T(){if(!A){var v=D(_);A=!0;for(var h=I.length;h;){for(w=I,I=[];++k<h;)w&&w[k].run();k=-1,h=I.length}w=null,A=!1,function(p){if(t===clearTimeout)return clearTimeout(p);if((t===y||!t)&&clearTimeout)return t=clearTimeout,clearTimeout(p);try{t(p)}catch{try{return t.call(null,p)}catch{return t.call(this,p)}}}(v)}}function E(v,h){this.fun=v,this.array=h}function b(){}C.nextTick=function(v){var h=new Array(arguments.length-1);if(arguments.length>1)for(var p=1;p<arguments.length;p++)h[p-1]=arguments[p];I.push(new E(v,h)),I.length!==1||A||D(T)},E.prototype.run=function(){this.fun.apply(null,this.array)},C.title="browser",C.browser=!0,C.env={},C.argv=[],C.version="",C.versions={},C.on=b,C.addListener=b,C.once=b,C.off=b,C.removeListener=b,C.removeAllListeners=b,C.emit=b,C.prependListener=b,C.prependOnceListener=b,C.listeners=function(v){return[]},C.binding=function(v){throw new Error("process.binding is not supported")},C.cwd=function(){return"/"},C.chdir=function(v){throw new Error("process.chdir is not supported")},C.umask=function(){return 0}}])}),define(De[95],Ie([1,0,10,6]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function C(a){const m=a;return m?typeof m.read=="function":!1}e.isReadable=C;function P(a){const m=a;return m?[m.on,m.pause,m.resume,m.destroy].every(c=>typeof c=="function"):!1}e.isReadableStream=P;function y(a){const m=a;return m?P(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean":!1}e.isReadableBufferedStream=y;function D(a,m){return new w(a,m)}e.newWriteableStream=D;class w{constructor(m,c){this.reducer=m,this.options=c,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(c=>c(m))}emitError(m){this.listeners.error.length===0?(0,u.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(c=>c(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,c){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(c),this.resume();break;case"end":this.listeners.end.push(c),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(c),this.state.flowing&&this.flowErrors();break}}removeListener(m,c){if(this.state.destroyed)return;let l;switch(m){case"data":l=this.listeners.data;break;case"end":l=this.listeners.end;break;case"error":l=this.listeners.error;break}if(l){const r=l.indexOf(c);r>=0&&l.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const c=[...this.pendingWritePromises];this.pendingWritePromises.length=0,c.forEach(l=>l())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function I(a,m){const c=[];let l;for(;(l=a.read())!==null;)c.push(l);return m(c)}e.consumeReadable=I;function A(a,m,c){const l=[];let r;for(;(r=a.read())!==null&&l.length<c;)l.push(r);return r===null&&l.length>0?m(l):{read:()=>{if(l.length>0)return l.shift();if(typeof r!="undefined"){const i=r;return r=void 0,i}return a.read()}}}e.peekReadable=A;function k(a,m){return new Promise((c,l)=>{const r=[];_(a,{onData:i=>{m&&r.push(i)},onError:i=>{m?l(i):c(void 0)},onEnd:()=>{c(m?m(r):void 0)}})})}e.consumeStream=k;function _(a,m){let c=!1;return a.on("error",l=>{c||m.onError(l)}),a.on("end",()=>{c||m.onEnd()}),a.on("data",l=>{c||m.onData(l)}),(0,t.toDisposable)(()=>c=!0)}e.listenStream=_;function T(a,m){return new Promise((c,l)=>{const r=new t.DisposableStore,i=[],s=d=>{if(i.push(d),i.length>m)return r.dispose(),a.pause(),c({stream:a,buffer:i,ended:!1})},n=d=>l(d),o=()=>c({stream:a,buffer:i,ended:!0});r.add((0,t.toDisposable)(()=>a.removeListener("error",n))),a.on("error",n),r.add((0,t.toDisposable)(()=>a.removeListener("end",o))),a.on("end",o),r.add((0,t.toDisposable)(()=>a.removeListener("data",s))),a.on("data",s)})}e.peekStream=T;function E(a,m){const c=D(m);return c.end(a),c}e.toStream=E;function b(){const a=D(()=>{throw new Error("not supported")});return a.end(),a}e.emptyStream=b;function v(a){let m=!1;return{read:()=>m?null:(m=!0,a)}}e.toReadable=v;function h(a,m,c){const l=D(c);return _(a,{onData:r=>l.write(m.data(r)),onError:r=>l.error(m.error?m.error(r):r),onEnd:()=>l.end()}),l}e.transform=h;function p(a,m,c){let l=!1;return{read:()=>{const r=m.read();return l?r:(l=!0,r!==null?c([a,r]):a)}}}e.prefixedReadable=p;function g(a,m,c){let l=!1;const r=D(c);return _(m,{onData:i=>l?r.write(i):(l=!0,r.write(c([a,i]))),onError:i=>r.error(i),onEnd:()=>{l||(l=!0,r.write(a)),r.end()}}),r}e.prefixedStream=g}),define(De[23],Ie([1,0,95]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let C,P;class y{constructor(d){this.buffer=d,this.byteLength=this.buffer.byteLength}static alloc(d){return t?new y(Buffer.allocUnsafe(d)):new y(new Uint8Array(d))}static wrap(d){return t&&!Buffer.isBuffer(d)&&(d=Buffer.from(d.buffer,d.byteOffset,d.byteLength)),new y(d)}static fromString(d,f){return!(f?.dontUseNodeBuffer||!1)&&t?new y(Buffer.from(d)):(C||(C=new TextEncoder),new y(C.encode(d)))}static fromByteArray(d){const f=y.alloc(d.length);for(let S=0,L=d.length;S<L;S++)f.buffer[S]=d[S];return f}static concat(d,f){if(typeof f=="undefined"){f=0;for(let M=0,B=d.length;M<B;M++)f+=d[M].byteLength}const S=y.alloc(f);let L=0;for(let M=0,B=d.length;M<B;M++){const R=d[M];S.set(R,L),L+=R.byteLength}return S}clone(){const d=y.alloc(this.byteLength);return d.set(this),d}toString(){return t?this.buffer.toString():(P||(P=new TextDecoder),P.decode(this.buffer))}slice(d,f){return new y(this.buffer.subarray(d,f))}set(d,f){if(d instanceof y)this.buffer.set(d.buffer,f);else if(d instanceof Uint8Array)this.buffer.set(d,f);else if(d instanceof ArrayBuffer)this.buffer.set(new Uint8Array(d),f);else if(ArrayBuffer.isView(d))this.buffer.set(new Uint8Array(d.buffer,d.byteOffset,d.byteLength),f);else throw new Error("Unknown argument 'array'")}readUInt32BE(d){return I(this.buffer,d)}writeUInt32BE(d,f){A(this.buffer,d,f)}readUInt32LE(d){return k(this.buffer,d)}writeUInt32LE(d,f){_(this.buffer,d,f)}readUInt8(d){return T(this.buffer,d)}writeUInt8(d,f){E(this.buffer,d,f)}}e.VSBuffer=y;function D(o,d){return o[d+0]<<0>>>0|o[d+1]<<8>>>0}e.readUInt16LE=D;function w(o,d,f){o[f+0]=d&255,d=d>>>8,o[f+1]=d&255}e.writeUInt16LE=w;function I(o,d){return o[d]*2**24+o[d+1]*2**16+o[d+2]*2**8+o[d+3]}e.readUInt32BE=I;function A(o,d,f){o[f+3]=d,d=d>>>8,o[f+2]=d,d=d>>>8,o[f+1]=d,d=d>>>8,o[f]=d}e.writeUInt32BE=A;function k(o,d){return o[d+0]<<0>>>0|o[d+1]<<8>>>0|o[d+2]<<16>>>0|o[d+3]<<24>>>0}e.readUInt32LE=k;function _(o,d,f){o[f+0]=d&255,d=d>>>8,o[f+1]=d&255,d=d>>>8,o[f+2]=d&255,d=d>>>8,o[f+3]=d&255}e.writeUInt32LE=_;function T(o,d){return o[d]}e.readUInt8=T;function E(o,d,f){o[f]=d}e.writeUInt8=E;function b(o){return u.consumeReadable(o,d=>y.concat(d))}e.readableToBuffer=b;function v(o){return u.toReadable(o)}e.bufferToReadable=v;function h(o){return u.consumeStream(o,d=>y.concat(d))}e.streamToBuffer=h;async function p(o){return o.ended?y.concat(o.buffer):y.concat([...o.buffer,await h(o.stream)])}e.bufferedStreamToBuffer=p;function g(o){return u.toStream(o,d=>y.concat(d))}e.bufferToStream=g;function a(o){return u.transform(o,{data:d=>typeof d=="string"?y.fromString(d):y.wrap(d)},d=>y.concat(d))}e.streamToBufferReadableStream=a;function m(o){return u.newWriteableStream(d=>y.concat(d),o)}e.newWriteableBufferStream=m;function c(o,d){return u.prefixedReadable(o,d,f=>y.concat(f))}e.prefixedBufferReadable=c;function l(o,d){return u.prefixedStream(o,d,f=>y.concat(f))}e.prefixedBufferStream=l;function r(o){let d=0,f=0,S=0;const L=new Uint8Array(Math.floor(o.length/4*3)),M=R=>{switch(f){case 3:L[S++]=d|R,f=0;break;case 2:L[S++]=d|R>>>2,d=R<<6,f=3;break;case 1:L[S++]=d|R>>>4,d=R<<4,f=2;break;default:d=R<<2,f=1}};for(let R=0;R<o.length;R++){const U=o.charCodeAt(R);if(U>=65&&U<=90)M(U-65);else if(U>=97&&U<=122)M(U-97+26);else if(U>=48&&U<=57)M(U-48+52);else if(U===43||U===45)M(62);else if(U===47||U===95)M(63);else{if(U===61)break;throw new SyntaxError(`Unexpected base64 character ${o[R]}`)}}const B=S;for(;f>0;)M(0);return y.wrap(L).slice(0,B)}e.decodeBase64=r;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function n({buffer:o},d=!0,f=!1){const S=f?s:i;let L="";const M=o.byteLength%3;let B=0;for(;B<o.byteLength-M;B+=3){const R=o[B+0],U=o[B+1],$=o[B+2];L+=S[R>>>2],L+=S[(R<<4|U>>>4)&63],L+=S[(U<<2|$>>>6)&63],L+=S[$&63]}if(M===1){const R=o[B+0];L+=S[R>>>2],L+=S[R<<4&63],d&&(L+="==")}else if(M===2){const R=o[B+0],U=o[B+1];L+=S[R>>>2],L+=S[(R<<4|U>>>4)&63],L+=S[U<<2&63],d&&(L+="=")}return L}e.encodeBase64=n}),define(De[13],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.withUndefinedAsNull=e.withNullAsUndefined=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=void 0;function u(l){return typeof l=="string"}e.isString=u;function t(l){return Array.isArray(l)&&l.every(r=>u(r))}e.isStringArray=t;function C(l){return typeof l=="object"&&l!==null&&!Array.isArray(l)&&!(l instanceof RegExp)&&!(l instanceof Date)}e.isObject=C;function P(l){const r=Object.getPrototypeOf(Uint8Array);return typeof l=="object"&&l instanceof r}e.isTypedArray=P;function y(l){return typeof l=="number"&&!isNaN(l)}e.isNumber=y;function D(l){return!!l&&typeof l[Symbol.iterator]=="function"}e.isIterable=D;function w(l){return l===!0||l===!1}e.isBoolean=w;function I(l){return typeof l=="undefined"}e.isUndefined=I;function A(l){return!k(l)}e.isDefined=A;function k(l){return I(l)||l===null}e.isUndefinedOrNull=k;function _(l,r){if(!l)throw new Error(r?`Unexpected type, expected '${r}'`:"Unexpected type")}e.assertType=_;function T(l){if(k(l))throw new Error("Assertion Failed: argument is undefined or null");return l}e.assertIsDefined=T;function E(...l){const r=[];for(let i=0;i<l.length;i++){const s=l[i];if(k(s))throw new Error(`Assertion Failed: argument at index ${i} is undefined or null`);r.push(s)}return r}e.assertAllDefined=E;const b=Object.prototype.hasOwnProperty;function v(l){if(!C(l))return!1;for(const r in l)if(b.call(l,r))return!1;return!0}e.isEmptyObject=v;function h(l){return typeof l=="function"}e.isFunction=h;function p(...l){return l.length>0&&l.every(h)}e.areFunctions=p;function g(l,r){const i=Math.min(l.length,r.length);for(let s=0;s<i;s++)a(l[s],r[s])}e.validateConstraints=g;function a(l,r){if(u(r)){if(typeof l!==r)throw new Error(`argument does not match constraint: typeof ${r}`)}else if(h(r)){try{if(l instanceof r)return}catch{}if(!k(l)&&l.constructor===r||r.length===1&&r.call(void 0,l)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=a;function m(l){return l===null?void 0:l}e.withNullAsUndefined=m;function c(l){return typeof l=="undefined"?null:l}e.withUndefinedAsNull=c}),define(De[24],Ie([1,0,13]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const p=Array.isArray(h)?[]:{};return Object.keys(h).forEach(g=>{h[g]&&typeof h[g]=="object"?p[g]=t(h[g]):p[g]=h[g]}),p}e.deepClone=t;function C(h){if(!h||typeof h!="object")return h;const p=[h];for(;p.length>0;){const g=p.shift();Object.freeze(g);for(const a in g)if(P.call(g,a)){const m=g[a];typeof m=="object"&&!Object.isFrozen(m)&&!(0,u.isTypedArray)(m)&&p.push(m)}}return h}e.deepFreeze=C;const P=Object.prototype.hasOwnProperty;function y(h,p){return D(h,p,new Set)}e.cloneAndChange=y;function D(h,p,g){if((0,u.isUndefinedOrNull)(h))return h;const a=p(h);if(typeof a!="undefined")return a;if(Array.isArray(h)){const m=[];for(const c of h)m.push(D(c,p,g));return m}if((0,u.isObject)(h)){if(g.has(h))throw new Error("Cannot clone recursive data-structure");g.add(h);const m={};for(const c in h)P.call(h,c)&&(m[c]=D(h[c],p,g));return g.delete(h),m}return h}function w(h,p,g=!0){return(0,u.isObject)(h)?((0,u.isObject)(p)&&Object.keys(p).forEach(a=>{a in h?g&&((0,u.isObject)(h[a])&&(0,u.isObject)(p[a])?w(h[a],p[a],g):h[a]=p[a]):h[a]=p[a]}),h):p}e.mixin=w;function I(h,p){if(h===p)return!0;if(h==null||p===null||p===void 0||typeof h!=typeof p||typeof h!="object"||Array.isArray(h)!==Array.isArray(p))return!1;let g,a;if(Array.isArray(h)){if(h.length!==p.length)return!1;for(g=0;g<h.length;g++)if(!I(h[g],p[g]))return!1}else{const m=[];for(a in h)m.push(a);m.sort();const c=[];for(a in p)c.push(a);if(c.sort(),!I(m,c))return!1;for(g=0;g<m.length;g++)if(!I(h[m[g]],p[m[g]]))return!1}return!0}e.equals=I;function A(h){const p=new Set;return JSON.stringify(h,(g,a)=>{if((0,u.isObject)(a)||Array.isArray(a)){if(p.has(a))return"[Circular]";p.add(a)}return a})}e.safeStringify=A;function k(h,p){const g=Object.create(null);return!h||!p||Object.keys(p).forEach(m=>{const c=h[m],l=p[m];I(c,l)||(g[m]=l)}),g}e.distinct=k;function _(h,p){const g=p.toLowerCase(),a=Object.keys(h).find(m=>m.toLowerCase()===g);return a?h[a]:h[p]}e.getCaseInsensitive=_;function T(h,p){const g=Object.create(null);for(const[a,m]of Object.entries(h))p(a,m)&&(g[a]=m);return g}e.filter=T;function E(h){let p=[],g=Object.getPrototypeOf(h);for(;Object.prototype!==g;)p=p.concat(Object.getOwnPropertyNames(g)),g=Object.getPrototypeOf(g);return p}e.getAllPropertyNames=E;function b(h){const p=[];for(const g of E(h))typeof h[g]=="function"&&p.push(g);return p}e.getAllMethodNames=b;function v(h,p){const g=m=>function(){const c=Array.prototype.slice.call(arguments,0);return p(m,c)},a={};for(const m of h)a[m]=g(m);return a}e.createProxyObject=v}),define(De[96],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var u;(function(P){P[P.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",P[P.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",P[P.MAX_UINT_8=255]="MAX_UINT_8",P[P.MAX_UINT_16=65535]="MAX_UINT_16",P[P.MAX_UINT_32=4294967295]="MAX_UINT_32",P[P.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(u=e.Constants||(e.Constants={}));function t(P){return P<0?0:P>255?255:P|0}e.toUint8=t;function C(P){return P<0?0:P>4294967295?4294967295:P|0}e.toUint32=C}),define(De[34],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const u=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(C){return u.test(C)}e.isUUID=t,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let C;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?C=crypto.getRandomValues.bind(crypto):C=function(D){for(let w=0;w<D.length;w++)D[w]=Math.floor(Math.random()*256);return D};const P=new Uint8Array(16),y=[];for(let D=0;D<256;D++)y.push(D.toString(16).padStart(2,"0"));return function(){C(P),P[6]=P[6]&15|64,P[8]=P[8]&63|128;let w=0,I="";return I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I+="-",I+=y[P[w++]],I+=y[P[w++]],I+="-",I+=y[P[w++]],I+=y[P[w++]],I+="-",I+=y[P[w++]],I+=y[P[w++]],I+="-",I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I+=y[P[w++]],I}}()}),define(De[97],Ie([1,0,96]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class t{constructor(D){const w=(0,u.toUint8)(D);this._defaultValue=w,this._asciiMap=t._createAsciiMap(w),this._map=new Map}static _createAsciiMap(D){const w=new Uint8Array(256);for(let I=0;I<256;I++)w[I]=D;return w}set(D,w){const I=(0,u.toUint8)(w);D>=0&&D<256?this._asciiMap[D]=I:this._map.set(D,I)}get(D){return D>=0&&D<256?this._asciiMap[D]:this._map.get(D)||this._defaultValue}}e.CharacterClassifier=t;var C;(function(y){y[y.False=0]="False",y[y.True=1]="True"})(C||(C={}));class P{constructor(){this._actual=new t(0)}add(D){this._actual.set(D,1)}has(D){return this._actual.get(D)===1}}e.CharacterSet=P}),define(De[49],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class u{constructor(C,P){this.lineNumber=C,this.column=P}with(C=this.lineNumber,P=this.column){return C===this.lineNumber&&P===this.column?this:new u(C,P)}delta(C=0,P=0){return this.with(this.lineNumber+C,this.column+P)}equals(C){return u.equals(this,C)}static equals(C,P){return!C&&!P?!0:!!C&&!!P&&C.lineNumber===P.lineNumber&&C.column===P.column}isBefore(C){return u.isBefore(this,C)}static isBefore(C,P){return C.lineNumber<P.lineNumber?!0:P.lineNumber<C.lineNumber?!1:C.column<P.column}isBeforeOrEqual(C){return u.isBeforeOrEqual(this,C)}static isBeforeOrEqual(C,P){return C.lineNumber<P.lineNumber?!0:P.lineNumber<C.lineNumber?!1:C.column<=P.column}static compare(C,P){const y=C.lineNumber|0,D=P.lineNumber|0;if(y===D){const w=C.column|0,I=P.column|0;return w-I}return y-D}clone(){return new u(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(C){return new u(C.lineNumber,C.column)}static isIPosition(C){return C&&typeof C.lineNumber=="number"&&typeof C.column=="number"}}e.Position=u}),define(De[35],Ie([1,0,49]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class t{constructor(P,y,D,w){P>D||P===D&&y>w?(this.startLineNumber=D,this.startColumn=w,this.endLineNumber=P,this.endColumn=y):(this.startLineNumber=P,this.startColumn=y,this.endLineNumber=D,this.endColumn=w)}isEmpty(){return t.isEmpty(this)}static isEmpty(P){return P.startLineNumber===P.endLineNumber&&P.startColumn===P.endColumn}containsPosition(P){return t.containsPosition(this,P)}static containsPosition(P,y){return!(y.lineNumber<P.startLineNumber||y.lineNumber>P.endLineNumber||y.lineNumber===P.startLineNumber&&y.column<P.startColumn||y.lineNumber===P.endLineNumber&&y.column>P.endColumn)}static strictContainsPosition(P,y){return!(y.lineNumber<P.startLineNumber||y.lineNumber>P.endLineNumber||y.lineNumber===P.startLineNumber&&y.column<=P.startColumn||y.lineNumber===P.endLineNumber&&y.column>=P.endColumn)}containsRange(P){return t.containsRange(this,P)}static containsRange(P,y){return!(y.startLineNumber<P.startLineNumber||y.endLineNumber<P.startLineNumber||y.startLineNumber>P.endLineNumber||y.endLineNumber>P.endLineNumber||y.startLineNumber===P.startLineNumber&&y.startColumn<P.startColumn||y.endLineNumber===P.endLineNumber&&y.endColumn>P.endColumn)}strictContainsRange(P){return t.strictContainsRange(this,P)}static strictContainsRange(P,y){return!(y.startLineNumber<P.startLineNumber||y.endLineNumber<P.startLineNumber||y.startLineNumber>P.endLineNumber||y.endLineNumber>P.endLineNumber||y.startLineNumber===P.startLineNumber&&y.startColumn<=P.startColumn||y.endLineNumber===P.endLineNumber&&y.endColumn>=P.endColumn)}plusRange(P){return t.plusRange(this,P)}static plusRange(P,y){let D,w,I,A;return y.startLineNumber<P.startLineNumber?(D=y.startLineNumber,w=y.startColumn):y.startLineNumber===P.startLineNumber?(D=y.startLineNumber,w=Math.min(y.startColumn,P.startColumn)):(D=P.startLineNumber,w=P.startColumn),y.endLineNumber>P.endLineNumber?(I=y.endLineNumber,A=y.endColumn):y.endLineNumber===P.endLineNumber?(I=y.endLineNumber,A=Math.max(y.endColumn,P.endColumn)):(I=P.endLineNumber,A=P.endColumn),new t(D,w,I,A)}intersectRanges(P){return t.intersectRanges(this,P)}static intersectRanges(P,y){let D=P.startLineNumber,w=P.startColumn,I=P.endLineNumber,A=P.endColumn;const k=y.startLineNumber,_=y.startColumn,T=y.endLineNumber,E=y.endColumn;return D<k?(D=k,w=_):D===k&&(w=Math.max(w,_)),I>T?(I=T,A=E):I===T&&(A=Math.min(A,E)),D>I||D===I&&w>A?null:new t(D,w,I,A)}equalsRange(P){return t.equalsRange(this,P)}static equalsRange(P,y){return!!P&&!!y&&P.startLineNumber===y.startLineNumber&&P.startColumn===y.startColumn&&P.endLineNumber===y.endLineNumber&&P.endColumn===y.endColumn}getEndPosition(){return t.getEndPosition(this)}static getEndPosition(P){return new u.Position(P.endLineNumber,P.endColumn)}getStartPosition(){return t.getStartPosition(this)}static getStartPosition(P){return new u.Position(P.startLineNumber,P.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(P,y){return new t(this.startLineNumber,this.startColumn,P,y)}setStartPosition(P,y){return new t(P,y,this.endLineNumber,this.endColumn)}collapseToStart(){return t.collapseToStart(this)}delta(P){return new t(this.startLineNumber+P,this.startColumn,this.endLineNumber+P,this.endColumn)}static collapseToStart(P){return new t(P.startLineNumber,P.startColumn,P.startLineNumber,P.startColumn)}static fromPositions(P,y=P){return new t(P.lineNumber,P.column,y.lineNumber,y.column)}static lift(P){return P?new t(P.startLineNumber,P.startColumn,P.endLineNumber,P.endColumn):null}static isIRange(P){return P&&typeof P.startLineNumber=="number"&&typeof P.startColumn=="number"&&typeof P.endLineNumber=="number"&&typeof P.endColumn=="number"}static areIntersectingOrTouching(P,y){return!(P.endLineNumber<y.startLineNumber||P.endLineNumber===y.startLineNumber&&P.endColumn<y.startColumn||y.endLineNumber<P.startLineNumber||y.endLineNumber===P.startLineNumber&&y.endColumn<P.startColumn)}static areIntersecting(P,y){return!(P.endLineNumber<y.startLineNumber||P.endLineNumber===y.startLineNumber&&P.endColumn<=y.startColumn||y.endLineNumber<P.startLineNumber||y.endLineNumber===P.startLineNumber&&y.endColumn<=P.startColumn)}static compareRangesUsingStarts(P,y){if(P&&y){const I=P.startLineNumber|0,A=y.startLineNumber|0;if(I===A){const k=P.startColumn|0,_=y.startColumn|0;if(k===_){const T=P.endLineNumber|0,E=y.endLineNumber|0;if(T===E){const b=P.endColumn|0,v=y.endColumn|0;return b-v}return T-E}return k-_}return I-A}return(P?1:0)-(y?1:0)}static compareRangesUsingEnds(P,y){return P.endLineNumber===y.endLineNumber?P.endColumn===y.endColumn?P.startLineNumber===y.startLineNumber?P.startColumn-y.startColumn:P.startLineNumber-y.startLineNumber:P.endColumn-y.endColumn:P.endLineNumber-y.endLineNumber}static spansMultipleLines(P){return P.endLineNumber>P.startLineNumber}toJSON(){return this}}e.Range=t}),define(De[145],Ie([1,0,49,35]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var C;(function(y){y[y.LTR=0]="LTR",y[y.RTL=1]="RTL"})(C=e.SelectionDirection||(e.SelectionDirection={}));class P extends t.Range{constructor(D,w,I,A){super(D,w,I,A);this.selectionStartLineNumber=D,this.selectionStartColumn=w,this.positionLineNumber=I,this.positionColumn=A}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(D){return P.selectionsEqual(this,D)}static selectionsEqual(D,w){return D.selectionStartLineNumber===w.selectionStartLineNumber&&D.selectionStartColumn===w.selectionStartColumn&&D.positionLineNumber===w.positionLineNumber&&D.positionColumn===w.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(D,w){return this.getDirection()===0?new P(this.startLineNumber,this.startColumn,D,w):new P(D,w,this.startLineNumber,this.startColumn)}getPosition(){return new u.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new u.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(D,w){return this.getDirection()===0?new P(D,w,this.endLineNumber,this.endColumn):new P(this.endLineNumber,this.endColumn,D,w)}static fromPositions(D,w=D){return new P(D.lineNumber,D.column,w.lineNumber,w.column)}static fromRange(D,w){return w===0?new P(D.startLineNumber,D.startColumn,D.endLineNumber,D.endColumn):new P(D.endLineNumber,D.endColumn,D.startLineNumber,D.startColumn)}static liftSelection(D){return new P(D.selectionStartLineNumber,D.selectionStartColumn,D.positionLineNumber,D.positionColumn)}static selectionsArrEqual(D,w){if(D&&!w||!D&&w)return!1;if(!D&&!w)return!0;if(D.length!==w.length)return!1;for(let I=0,A=D.length;I<A;I++)if(!this.selectionsEqual(D[I],w[I]))return!1;return!0}static isISelection(D){return D&&typeof D.selectionStartLineNumber=="number"&&typeof D.selectionStartColumn=="number"&&typeof D.positionLineNumber=="number"&&typeof D.positionColumn=="number"}static createWithDirection(D,w,I,A,k){return k===0?new P(D,w,I,A):new P(I,A,D,w)}}e.Selection=P}),define(De[146],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EDITOR_MODEL_DEFAULTS=void 0,e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(De[147],Ie([1,0,97]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var t;(function(y){y[y.Regular=0]="Regular",y[y.Whitespace=1]="Whitespace",y[y.WordSeparator=2]="WordSeparator"})(t=e.WordCharacterClass||(e.WordCharacterClass={}));class C extends u.CharacterClassifier{constructor(D){super(0);for(let w=0,I=D.length;w<I;w++)this.set(D.charCodeAt(w),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=C;function P(y){const D={};return w=>(D.hasOwnProperty(w)||(D[w]=y(w)),D[w])}e.getMapForWordSeparators=P(y=>new C(y))}),define(De[98],Ie([1,0,60,6,79]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.setDefaultGetWordAtTextConfig=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function P(k=""){let _="(-?\\d*\\.\\d\\w*)|([^";for(const T of e.USUAL_WORD_SEPARATORS)k.indexOf(T)>=0||(_+="\\"+T);return _+="\\s]+)",new RegExp(_,"g")}e.DEFAULT_WORD_REGEXP=P();function y(k){let _=e.DEFAULT_WORD_REGEXP;if(k&&k instanceof RegExp)if(k.global)_=k;else{let T="g";k.ignoreCase&&(T+="i"),k.multiline&&(T+="m"),k.unicode&&(T+="u"),_=new RegExp(k.source,T)}return _.lastIndex=0,_}e.ensureValidWordDefinition=y;const D=new C.LinkedList;D.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function w(k){const _=D.unshift(k);return(0,t.toDisposable)(_)}e.setDefaultGetWordAtTextConfig=w;function I(k,_,T,E,b){if(b||(b=u.Iterable.first(D)),T.length>b.maxLen){let a=k-b.maxLen/2;return a<0?a=0:E+=a,T=T.substring(a,k+b.maxLen/2),I(k,_,T,E,b)}const v=Date.now(),h=k-1-E;let p=-1,g=null;for(let a=1;!(Date.now()-v>=b.timeBudget);a++){const m=h-b.windowSize*a;_.lastIndex=Math.max(0,m);const c=A(_,T,h,p);if(!c&&g||(g=c,m<=0))break;p=m}if(g){const a={word:g[0],startColumn:E+1+g.index,endColumn:E+1+g.index+g[0].length};return _.lastIndex=0,a}return null}e.getWordAtText=I;function A(k,_,T,E){let b;for(;b=k.exec(_);){const v=b.index||0;if(v<=T&&k.lastIndex>=T)return b;if(E>0&&v>E)return null}return null}}),define(De[148],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var u;(function(y){y[y.None=0]="None",y[y.Indent=1]="Indent",y[y.IndentOutdent=2]="IndentOutdent",y[y.Outdent=3]="Outdent"})(u=e.IndentAction||(e.IndentAction={}));class t{constructor(D){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=D.open,this.close=D.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(D.notIn))for(let w=0,I=D.notIn.length;w<I;w++)switch(D.notIn[w]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(D){switch(D){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(D,w){if(D.getTokenCount()===0)return!0;const I=D.findTokenIndexAtOffset(w-2),A=D.getStandardTokenType(I);return this.isOK(A)}_findNeutralCharacterInRange(D,w){for(let I=D;I<=w;I++){const A=String.fromCharCode(I);if(!this.open.includes(A)&&!this.close.includes(A))return A}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=t;class C{constructor(D){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const w of D)P(this.autoClosingPairsOpenByStart,w.open.charAt(0),w),P(this.autoClosingPairsOpenByEnd,w.open.charAt(w.open.length-1),w),P(this.autoClosingPairsCloseByStart,w.close.charAt(0),w),P(this.autoClosingPairsCloseByEnd,w.close.charAt(w.close.length-1),w),w.close.length===1&&w.open.length===1&&P(this.autoClosingPairsCloseSingleChar,w.close,w)}}e.AutoClosingPairs=C;function P(y,D,w){y.has(D)?y.get(D).push(w):y.set(D,[w])}}),define(De[149],Ie([1,0,97]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var t;(function(T){T[T.Invalid=0]="Invalid",T[T.Start=1]="Start",T[T.H=2]="H",T[T.HT=3]="HT",T[T.HTT=4]="HTT",T[T.HTTP=5]="HTTP",T[T.F=6]="F",T[T.FI=7]="FI",T[T.FIL=8]="FIL",T[T.BeforeColon=9]="BeforeColon",T[T.AfterColon=10]="AfterColon",T[T.AlmostThere=11]="AlmostThere",T[T.End=12]="End",T[T.Accept=13]="Accept",T[T.LastKnownState=14]="LastKnownState"})(t=e.State||(e.State={}));class C{constructor(E,b,v){const h=new Uint8Array(E*b);for(let p=0,g=E*b;p<g;p++)h[p]=v;this._data=h,this.rows=E,this.cols=b}get(E,b){return this._data[E*this.cols+b]}set(E,b,v){this._data[E*this.cols+b]=v}}e.Uint8Matrix=C;class P{constructor(E){let b=0,v=0;for(let p=0,g=E.length;p<g;p++){const[a,m,c]=E[p];m>b&&(b=m),a>v&&(v=a),c>v&&(v=c)}b++,v++;const h=new C(v,b,0);for(let p=0,g=E.length;p<g;p++){const[a,m,c]=E[p];h.set(a,m,c)}this._states=h,this._maxCharCode=b}nextState(E,b){return b<0||b>=this._maxCharCode?0:this._states.get(E,b)}}e.StateMachine=P;let y=null;function D(){return y===null&&(y=new P([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),y}var w;(function(T){T[T.None=0]="None",T[T.ForceTermination=1]="ForceTermination",T[T.CannotEndIn=2]="CannotEndIn"})(w||(w={}));let I=null;function A(){if(I===null){I=new u.CharacterClassifier(0);const T=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let b=0;b<T.length;b++)I.set(T.charCodeAt(b),1);const E=".,;:";for(let b=0;b<E.length;b++)I.set(E.charCodeAt(b),2)}return I}class k{static _createLink(E,b,v,h,p){let g=p-1;do{const a=b.charCodeAt(g);if(E.get(a)!==2)break;g--}while(g>h);if(h>0){const a=b.charCodeAt(h-1),m=b.charCodeAt(g);(a===40&&m===41||a===91&&m===93||a===123&&m===125)&&g--}return{range:{startLineNumber:v,startColumn:h+1,endLineNumber:v,endColumn:g+2},url:b.substring(h,g+1)}}static computeLinks(E,b=D()){const v=A(),h=[];for(let p=1,g=E.getLineCount();p<=g;p++){const a=E.getLineContent(p),m=a.length;let c=0,l=0,r=0,i=1,s=!1,n=!1,o=!1,d=!1;for(;c<m;){let f=!1;const S=a.charCodeAt(c);if(i===13){let L;switch(S){case 40:s=!0,L=0;break;case 41:L=s?0:1;break;case 91:o=!0,n=!0,L=0;break;case 93:o=!1,L=n?0:1;break;case 123:d=!0,L=0;break;case 125:L=d?0:1;break;case 39:L=r===39?1:0;break;case 34:L=r===34?1:0;break;case 96:L=r===96?1:0;break;case 42:L=r===42?1:0;break;case 124:L=r===124?1:0;break;case 32:L=o?0:1;break;default:L=v.get(S)}L===1&&(h.push(k._createLink(v,a,p,l,c)),f=!0)}else if(i===12){let L;S===91?(n=!0,L=0):L=v.get(S),L===1?f=!0:i=13}else i=b.nextState(i,S),i===0&&(f=!0);f&&(i=1,s=!1,n=!1,d=!1,l=c+1,r=S),c++}i===13&&h.push(k._createLink(v,a,p,l,m))}return h}}e.LinkComputer=k;function _(T){return!T||typeof T.getLineCount!="function"||typeof T.getLineContent!="function"?[]:k.computeLinks(T)}e.computeLinks=_}),define(De[99],Ie([1,0,24]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.ApplyEditsResult=e.SearchData=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionAffinity=e.isITextSnapshot=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.OverviewRulerLane=void 0;var t;(function(g){g[g.Left=1]="Left",g[g.Center=2]="Center",g[g.Right=4]="Right",g[g.Full=7]="Full"})(t=e.OverviewRulerLane||(e.OverviewRulerLane={}));var C;(function(g){g[g.Inline=1]="Inline",g[g.Gutter=2]="Gutter"})(C=e.MinimapPosition||(e.MinimapPosition={}));var P;(function(g){g[g.Both=0]="Both",g[g.Right=1]="Right",g[g.Left=2]="Left",g[g.None=3]="None"})(P=e.InjectedTextCursorStops||(e.InjectedTextCursorStops={}));var y;(function(g){g[g.TextDefined=0]="TextDefined",g[g.LF=1]="LF",g[g.CRLF=2]="CRLF"})(y=e.EndOfLinePreference||(e.EndOfLinePreference={}));var D;(function(g){g[g.LF=1]="LF",g[g.CRLF=2]="CRLF"})(D=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var w;(function(g){g[g.LF=0]="LF",g[g.CRLF=1]="CRLF"})(w=e.EndOfLineSequence||(e.EndOfLineSequence={}));class I{constructor(a){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,a.tabSize|0),this.indentSize=a.tabSize|0,this.insertSpaces=Boolean(a.insertSpaces),this.defaultEOL=a.defaultEOL|0,this.trimAutoWhitespace=Boolean(a.trimAutoWhitespace),this.bracketPairColorizationOptions=a.bracketPairColorizationOptions}equals(a){return this.tabSize===a.tabSize&&this.indentSize===a.indentSize&&this.insertSpaces===a.insertSpaces&&this.defaultEOL===a.defaultEOL&&this.trimAutoWhitespace===a.trimAutoWhitespace&&(0,u.equals)(this.bracketPairColorizationOptions,a.bracketPairColorizationOptions)}createChangeEvent(a){return{tabSize:this.tabSize!==a.tabSize,indentSize:this.indentSize!==a.indentSize,insertSpaces:this.insertSpaces!==a.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==a.trimAutoWhitespace}}}e.TextModelResolvedOptions=I;class A{constructor(a,m){this._findMatchBrand=void 0,this.range=a,this.matches=m}}e.FindMatch=A;var k;(function(g){g[g.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",g[g.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",g[g.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",g[g.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(k=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));function _(g){return g&&typeof g.read=="function"}e.isITextSnapshot=_;var T;(function(g){g[g.Left=0]="Left",g[g.Right=1]="Right",g[g.None=2]="None",g[g.LeftOfInjectedText=3]="LeftOfInjectedText",g[g.RightOfInjectedText=4]="RightOfInjectedText"})(T=e.PositionAffinity||(e.PositionAffinity={}));var E;(function(g){g[g.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(E=e.ModelConstants||(e.ModelConstants={}));class b{constructor(a,m,c,l,r,i){this.identifier=a,this.range=m,this.text=c,this.forceMoveMarkers=l,this.isAutoWhitespaceEdit=r,this._isTracked=i}}e.ValidAnnotatedEditOperation=b;class v{constructor(a,m,c){this.regex=a,this.wordSeparators=m,this.simpleSearch=c}}e.SearchData=v;class h{constructor(a,m,c){this.reverseEdits=a,this.changes=m,this.trimAutoWhitespaceLineNumbers=c}}e.ApplyEditsResult=h;function p(g){return!g.isTooLargeForSyncing()&&!g.isForSimpleWidget}e.shouldSynchronizeModel=p}),define(De[150],Ie([1,0,17,96]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumIndexOfResult=e.ConstantTimePrefixSumComputer=e.PrefixSumComputer=void 0;class C{constructor(w){this.values=w,this.prefixSum=new Uint32Array(w.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(w,I){w=(0,t.toUint32)(w);const A=this.values,k=this.prefixSum,_=I.length;return _===0?!1:(this.values=new Uint32Array(A.length+_),this.values.set(A.subarray(0,w),0),this.values.set(A.subarray(w),w+_),this.values.set(I,w),w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(k.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(w,I){return w=(0,t.toUint32)(w),I=(0,t.toUint32)(I),this.values[w]===I?!1:(this.values[w]=I,w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),!0)}removeValues(w,I){w=(0,t.toUint32)(w),I=(0,t.toUint32)(I);const A=this.values,k=this.prefixSum;if(w>=A.length)return!1;const _=A.length-w;return I>=_&&(I=_),I===0?!1:(this.values=new Uint32Array(A.length-I),this.values.set(A.subarray(0,w),0),this.values.set(A.subarray(w+I),w),this.prefixSum=new Uint32Array(this.values.length),w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(k.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(w){return w<0?0:(w=(0,t.toUint32)(w),this._getPrefixSum(w))}_getPrefixSum(w){if(w<=this.prefixSumValidIndex[0])return this.prefixSum[w];let I=this.prefixSumValidIndex[0]+1;I===0&&(this.prefixSum[0]=this.values[0],I++),w>=this.values.length&&(w=this.values.length-1);for(let A=I;A<=w;A++)this.prefixSum[A]=this.prefixSum[A-1]+this.values[A];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],w),this.prefixSum[w]}getIndexOf(w){w=Math.floor(w),this.getTotalSum();let I=0,A=this.values.length-1,k=0,_=0,T=0;for(;I<=A;)if(k=I+(A-I)/2|0,_=this.prefixSum[k],T=_-this.values[k],w<T)A=k-1;else if(w>=_)I=k+1;else break;return new y(k,w-T)}}e.PrefixSumComputer=C;class P{constructor(w){this._values=w,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(w){return this._ensureValid(),w===0?0:this._prefixSum[w-1]}getIndexOf(w){this._ensureValid();const I=this._indexBySum[w],A=I>0?this._prefixSum[I-1]:0;return new y(I,w-A)}removeValues(w,I){this._values.splice(w,I),this._invalidate(w)}insertValues(w,I){this._values=(0,u.arrayInsert)(this._values,w,I),this._invalidate(w)}_invalidate(w){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,w-1)}_ensureValid(){if(!this._isValid){for(let w=this._validEndIndex+1,I=this._values.length;w<I;w++){const A=this._values[w],k=w>0?this._prefixSum[w-1]:0;this._prefixSum[w]=k+A;for(let _=0;_<A;_++)this._indexBySum[k+_]=w}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(w,I){this._values[w]!==I&&(this._values[w]=I,this._invalidate(w))}}e.ConstantTimePrefixSumComputer=P;class y{constructor(w,I){this.index=w,this.remainder=I,this._prefixSumIndexOfResultBrand=void 0,this.index=w,this.remainder=I}}e.PrefixSumIndexOfResult=y}),define(De[151],Ie([19,20]),function(Z,e){return Z.create("vs/base/common/date",e)}),define(De[152],Ie([1,0,151]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,C=t*60,P=C*24,y=P*7,D=P*30,w=P*365;function I(k,_,T){typeof k!="number"&&(k=k.getTime());const E=Math.round((new Date().getTime()-k)/1e3);if(E<-30)return(0,u.localize)(0,null,I(new Date().getTime()+E*1e3,!1));if(E<30)return(0,u.localize)(1,null);let b;return E<t?(b=E,_?b===1?T?(0,u.localize)(2,null,b):(0,u.localize)(3,null,b):T?(0,u.localize)(4,null,b):(0,u.localize)(5,null,b):b===1?T?(0,u.localize)(6,null,b):(0,u.localize)(7,null,b):T?(0,u.localize)(8,null,b):(0,u.localize)(9,null,b)):E<C?(b=Math.floor(E/t),_?b===1?T?(0,u.localize)(10,null,b):(0,u.localize)(11,null,b):T?(0,u.localize)(12,null,b):(0,u.localize)(13,null,b):b===1?T?(0,u.localize)(14,null,b):(0,u.localize)(15,null,b):T?(0,u.localize)(16,null,b):(0,u.localize)(17,null,b)):E<P?(b=Math.floor(E/C),_?b===1?T?(0,u.localize)(18,null,b):(0,u.localize)(19,null,b):T?(0,u.localize)(20,null,b):(0,u.localize)(21,null,b):b===1?T?(0,u.localize)(22,null,b):(0,u.localize)(23,null,b):T?(0,u.localize)(24,null,b):(0,u.localize)(25,null,b)):E<y?(b=Math.floor(E/P),_?b===1?(0,u.localize)(26,null,b):(0,u.localize)(27,null,b):b===1?(0,u.localize)(28,null,b):(0,u.localize)(29,null,b)):E<D?(b=Math.floor(E/y),_?b===1?T?(0,u.localize)(30,null,b):(0,u.localize)(31,null,b):T?(0,u.localize)(32,null,b):(0,u.localize)(33,null,b):b===1?T?(0,u.localize)(34,null,b):(0,u.localize)(35,null,b):T?(0,u.localize)(36,null,b):(0,u.localize)(37,null,b)):E<w?(b=Math.floor(E/D),_?b===1?T?(0,u.localize)(38,null,b):(0,u.localize)(39,null,b):T?(0,u.localize)(40,null,b):(0,u.localize)(41,null,b):b===1?T?(0,u.localize)(42,null,b):(0,u.localize)(43,null,b):T?(0,u.localize)(44,null,b):(0,u.localize)(45,null,b)):(b=Math.floor(E/w),_?b===1?T?(0,u.localize)(46,null,b):(0,u.localize)(47,null,b):T?(0,u.localize)(48,null,b):(0,u.localize)(49,null,b):b===1?T?(0,u.localize)(50,null,b):(0,u.localize)(51,null,b):T?(0,u.localize)(52,null,b):(0,u.localize)(53,null,b))}e.fromNow=I;function A(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=A}),define(De[153],Ie([19,20]),function(Z,e){return Z.create("vs/base/common/errorMessage",e)}),define(De[50],Ie([1,0,17,13,153]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function P(k,_){return _&&(k.stack||k.stacktrace)?C.localize(0,null,D(k),y(k.stack)||y(k.stacktrace)):D(k)}function y(k){return Array.isArray(k)?k.join(`
`):k}function D(k){return typeof k.code=="string"&&typeof k.errno=="number"&&typeof k.syscall=="string"?C.localize(1,null,k.message):k.message||C.localize(2,null)}function w(k=null,_=!1){if(!k)return C.localize(3,null);if(Array.isArray(k)){const T=u.coalesce(k),E=w(T[0],_);return T.length>1?C.localize(4,null,E,T.length):E}if(t.isString(k))return k;if(k.detail){const T=k.detail;if(T.error)return P(T.error,_);if(T.exception)return P(T.exception,_)}return k.stack?P(k,_):k.message?k.message:C.localize(5,null)}e.toErrorMessage=w;function I(k){const _=k;return _ instanceof Error&&Array.isArray(_.actions)}e.isErrorWithActions=I;function A(k,_){let T;return typeof k=="string"?T=new Error(k):T=k,T.actions=_,T}e.createErrorWithActions=A}),define(De[154],Ie([19,20]),function(Z,e){return Z.create("vs/base/common/platform",e)}),define(De[11],Ie([1,0,154]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const t="en";let C=!1,P=!1,y=!1,D=!1,w=!1,I=!1,A=!1,k=!1,_=!1,T,E=t,b,v;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let h;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?h=e.globals.vscode.process:typeof process!="undefined"&&(h=process);const p=typeof h?.versions?.electron=="string",g=p&&h?.type==="renderer";if(typeof navigator=="object"&&!g)v=navigator.userAgent,C=v.indexOf("Windows")>=0,P=v.indexOf("Macintosh")>=0,k=(v.indexOf("Macintosh")>=0||v.indexOf("iPad")>=0||v.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,y=v.indexOf("Linux")>=0,I=!0,T=u.getConfiguredDefaultLocale(u.localize(0,null))||t,E=T;else if(typeof h=="object"){C=h.platform==="win32",P=h.platform==="darwin",y=h.platform==="linux",D=y&&!!h.env.SNAP&&!!h.env.SNAP_REVISION,A=p,_=!!h.env.CI||!!h.env.BUILD_ARTIFACTSTAGINGDIRECTORY,T=t,E=t;const o=h.env.VSCODE_NLS_CONFIG;if(o)try{const d=JSON.parse(o),f=d.availableLanguages["*"];T=d.locale,E=f||t,b=d._translationsConfigFile}catch{}w=!0}else console.error("Unable to resolve platform.");var a;(function(o){o[o.Web=0]="Web",o[o.Mac=1]="Mac",o[o.Linux=2]="Linux",o[o.Windows=3]="Windows"})(a=e.Platform||(e.Platform={}));function m(o){switch(o){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=m;let c=0;P?c=1:C?c=3:y&&(c=2),e.isWindows=C,e.isMacintosh=P,e.isLinux=y,e.isLinuxSnap=D,e.isNative=w,e.isElectron=A,e.isWeb=I,e.isWebWorker=I&&typeof e.globals.importScripts=="function",e.isIOS=k,e.isCI=_,e.platform=c,e.userAgent=v,e.language=E;var l;(function(o){function d(){return e.language}o.value=d;function f(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}o.isDefaultVariant=f;function S(){return e.language==="en"}o.isDefault=S})(l=e.Language||(e.Language={})),e.locale=T,e.translationsConfigFile=b,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const o=[];e.globals.addEventListener("message",f=>{if(f.data&&f.data.vscodeScheduleAsyncWork)for(let S=0,L=o.length;S<L;S++){const M=o[S];if(M.id===f.data.vscodeScheduleAsyncWork){o.splice(S,1),M.callback();return}}});let d=0;return f=>{const S=++d;o.push({id:S,callback:f}),e.globals.postMessage({vscodeScheduleAsyncWork:S},"*")}}return o=>setTimeout(o)})();var r;(function(o){o[o.Windows=1]="Windows",o[o.Macintosh=2]="Macintosh",o[o.Linux=3]="Linux"})(r=e.OperatingSystem||(e.OperatingSystem={})),e.OS=P||k?2:C?1:3;let i=!0,s=!1;function n(){if(!s){s=!0;const o=new Uint8Array(2);o[0]=1,o[1]=2,i=new Uint16Array(o.buffer)[0]===(2<<8)+1}return i}e.isLittleEndian=n,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(De[40],Ie([1,0,11]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof u.globals.vscode!="undefined"&&typeof u.globals.vscode.process!="undefined"){const C=u.globals.vscode.process;t={get platform(){return C.platform},get arch(){return C.arch},get env(){return C.env},cwd(){return C.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return u.isWindows?"win32":u.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(De[9],Ie([1,0,40]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,C=97,P=90,y=122,D=46,w=47,I=92,A=58,k=63;class _ extends Error{constructor(a,m,c){let l;typeof m=="string"&&m.indexOf("not ")===0?(l="must not be",m=m.replace(/^not /,"")):l="must be";const r=a.indexOf(".")!==-1?"property":"argument";let i=`The "${a}" ${r} ${l} of type ${m}`;i+=`. Received type ${typeof c}`;super(i);this.code="ERR_INVALID_ARG_TYPE"}}function T(g,a){if(typeof g!="string")throw new _(a,"string",g)}function E(g){return g===w||g===I}function b(g){return g===w}function v(g){return g>=t&&g<=P||g>=C&&g<=y}function h(g,a,m,c){let l="",r=0,i=-1,s=0,n=0;for(let o=0;o<=g.length;++o){if(o<g.length)n=g.charCodeAt(o);else{if(c(n))break;n=w}if(c(n)){if(!(i===o-1||s===1))if(s===2){if(l.length<2||r!==2||l.charCodeAt(l.length-1)!==D||l.charCodeAt(l.length-2)!==D){if(l.length>2){const d=l.lastIndexOf(m);d===-1?(l="",r=0):(l=l.slice(0,d),r=l.length-1-l.lastIndexOf(m)),i=o,s=0;continue}else if(l.length!==0){l="",r=0,i=o,s=0;continue}}a&&(l+=l.length>0?`${m}..`:"..",r=2)}else l.length>0?l+=`${m}${g.slice(i+1,o)}`:l=g.slice(i+1,o),r=o-i-1;i=o,s=0}else n===D&&s!==-1?++s:s=-1}return l}function p(g,a){if(a===null||typeof a!="object")throw new _("pathObject","Object",a);const m=a.dir||a.root,c=a.base||`${a.name||""}${a.ext||""}`;return m?m===a.root?`${m}${c}`:`${m}${g}${c}`:c}e.win32={resolve(...g){let a="",m="",c=!1;for(let l=g.length-1;l>=-1;l--){let r;if(l>=0){if(r=g[l],T(r,"path"),r.length===0)continue}else a.length===0?r=u.cwd():(r=u.env[`=${a}`]||u.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==a.toLowerCase()&&r.charCodeAt(2)===I)&&(r=`${a}\\`));const i=r.length;let s=0,n="",o=!1;const d=r.charCodeAt(0);if(i===1)E(d)&&(s=1,o=!0);else if(E(d))if(o=!0,E(r.charCodeAt(1))){let f=2,S=f;for(;f<i&&!E(r.charCodeAt(f));)f++;if(f<i&&f!==S){const L=r.slice(S,f);for(S=f;f<i&&E(r.charCodeAt(f));)f++;if(f<i&&f!==S){for(S=f;f<i&&!E(r.charCodeAt(f));)f++;(f===i||f!==S)&&(n=`\\\\${L}\\${r.slice(S,f)}`,s=f)}}}else s=1;else v(d)&&r.charCodeAt(1)===A&&(n=r.slice(0,2),s=2,i>2&&E(r.charCodeAt(2))&&(o=!0,s=3));if(n.length>0)if(a.length>0){if(n.toLowerCase()!==a.toLowerCase())continue}else a=n;if(c){if(a.length>0)break}else if(m=`${r.slice(s)}\\${m}`,c=o,o&&a.length>0)break}return m=h(m,!c,"\\",E),c?`${a}\\${m}`:`${a}${m}`||"."},normalize(g){T(g,"path");const a=g.length;if(a===0)return".";let m=0,c,l=!1;const r=g.charCodeAt(0);if(a===1)return b(r)?"\\":g;if(E(r))if(l=!0,E(g.charCodeAt(1))){let s=2,n=s;for(;s<a&&!E(g.charCodeAt(s));)s++;if(s<a&&s!==n){const o=g.slice(n,s);for(n=s;s<a&&E(g.charCodeAt(s));)s++;if(s<a&&s!==n){for(n=s;s<a&&!E(g.charCodeAt(s));)s++;if(s===a)return`\\\\${o}\\${g.slice(n)}\\`;s!==n&&(c=`\\\\${o}\\${g.slice(n,s)}`,m=s)}}}else m=1;else v(r)&&g.charCodeAt(1)===A&&(c=g.slice(0,2),m=2,a>2&&E(g.charCodeAt(2))&&(l=!0,m=3));let i=m<a?h(g.slice(m),!l,"\\",E):"";return i.length===0&&!l&&(i="."),i.length>0&&E(g.charCodeAt(a-1))&&(i+="\\"),c===void 0?l?`\\${i}`:i:l?`${c}\\${i}`:`${c}${i}`},isAbsolute(g){T(g,"path");const a=g.length;if(a===0)return!1;const m=g.charCodeAt(0);return E(m)||a>2&&v(m)&&g.charCodeAt(1)===A&&E(g.charCodeAt(2))},join(...g){if(g.length===0)return".";let a,m;for(let r=0;r<g.length;++r){const i=g[r];T(i,"path"),i.length>0&&(a===void 0?a=m=i:a+=`\\${i}`)}if(a===void 0)return".";let c=!0,l=0;if(typeof m=="string"&&E(m.charCodeAt(0))){++l;const r=m.length;r>1&&E(m.charCodeAt(1))&&(++l,r>2&&(E(m.charCodeAt(2))?++l:c=!1))}if(c){for(;l<a.length&&E(a.charCodeAt(l));)l++;l>=2&&(a=`\\${a.slice(l)}`)}return e.win32.normalize(a)},relative(g,a){if(T(g,"from"),T(a,"to"),g===a)return"";const m=e.win32.resolve(g),c=e.win32.resolve(a);if(m===c||(g=m.toLowerCase(),a=c.toLowerCase(),g===a))return"";let l=0;for(;l<g.length&&g.charCodeAt(l)===I;)l++;let r=g.length;for(;r-1>l&&g.charCodeAt(r-1)===I;)r--;const i=r-l;let s=0;for(;s<a.length&&a.charCodeAt(s)===I;)s++;let n=a.length;for(;n-1>s&&a.charCodeAt(n-1)===I;)n--;const o=n-s,d=i<o?i:o;let f=-1,S=0;for(;S<d;S++){const M=g.charCodeAt(l+S);if(M!==a.charCodeAt(s+S))break;M===I&&(f=S)}if(S!==d){if(f===-1)return c}else{if(o>d){if(a.charCodeAt(s+S)===I)return c.slice(s+S+1);if(S===2)return c.slice(s+S)}i>d&&(g.charCodeAt(l+S)===I?f=S:S===2&&(f=3)),f===-1&&(f=0)}let L="";for(S=l+f+1;S<=r;++S)(S===r||g.charCodeAt(S)===I)&&(L+=L.length===0?"..":"\\..");return s+=f,L.length>0?`${L}${c.slice(s,n)}`:(c.charCodeAt(s)===I&&++s,c.slice(s,n))},toNamespacedPath(g){if(typeof g!="string")return g;if(g.length===0)return"";const a=e.win32.resolve(g);if(a.length<=2)return g;if(a.charCodeAt(0)===I){if(a.charCodeAt(1)===I){const m=a.charCodeAt(2);if(m!==k&&m!==D)return`\\\\?\\UNC\\${a.slice(2)}`}}else if(v(a.charCodeAt(0))&&a.charCodeAt(1)===A&&a.charCodeAt(2)===I)return`\\\\?\\${a}`;return g},dirname(g){T(g,"path");const a=g.length;if(a===0)return".";let m=-1,c=0;const l=g.charCodeAt(0);if(a===1)return E(l)?g:".";if(E(l)){if(m=c=1,E(g.charCodeAt(1))){let s=2,n=s;for(;s<a&&!E(g.charCodeAt(s));)s++;if(s<a&&s!==n){for(n=s;s<a&&E(g.charCodeAt(s));)s++;if(s<a&&s!==n){for(n=s;s<a&&!E(g.charCodeAt(s));)s++;if(s===a)return g;s!==n&&(m=c=s+1)}}}}else v(l)&&g.charCodeAt(1)===A&&(m=a>2&&E(g.charCodeAt(2))?3:2,c=m);let r=-1,i=!0;for(let s=a-1;s>=c;--s)if(E(g.charCodeAt(s))){if(!i){r=s;break}}else i=!1;if(r===-1){if(m===-1)return".";r=m}return g.slice(0,r)},basename(g,a){a!==void 0&&T(a,"ext"),T(g,"path");let m=0,c=-1,l=!0,r;if(g.length>=2&&v(g.charCodeAt(0))&&g.charCodeAt(1)===A&&(m=2),a!==void 0&&a.length>0&&a.length<=g.length){if(a===g)return"";let i=a.length-1,s=-1;for(r=g.length-1;r>=m;--r){const n=g.charCodeAt(r);if(E(n)){if(!l){m=r+1;break}}else s===-1&&(l=!1,s=r+1),i>=0&&(n===a.charCodeAt(i)?--i==-1&&(c=r):(i=-1,c=s))}return m===c?c=s:c===-1&&(c=g.length),g.slice(m,c)}for(r=g.length-1;r>=m;--r)if(E(g.charCodeAt(r))){if(!l){m=r+1;break}}else c===-1&&(l=!1,c=r+1);return c===-1?"":g.slice(m,c)},extname(g){T(g,"path");let a=0,m=-1,c=0,l=-1,r=!0,i=0;g.length>=2&&g.charCodeAt(1)===A&&v(g.charCodeAt(0))&&(a=c=2);for(let s=g.length-1;s>=a;--s){const n=g.charCodeAt(s);if(E(n)){if(!r){c=s+1;break}continue}l===-1&&(r=!1,l=s+1),n===D?m===-1?m=s:i!==1&&(i=1):m!==-1&&(i=-1)}return m===-1||l===-1||i===0||i===1&&m===l-1&&m===c+1?"":g.slice(m,l)},format:p.bind(null,"\\"),parse(g){T(g,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return a;const m=g.length;let c=0,l=g.charCodeAt(0);if(m===1)return E(l)?(a.root=a.dir=g,a):(a.base=a.name=g,a);if(E(l)){if(c=1,E(g.charCodeAt(1))){let f=2,S=f;for(;f<m&&!E(g.charCodeAt(f));)f++;if(f<m&&f!==S){for(S=f;f<m&&E(g.charCodeAt(f));)f++;if(f<m&&f!==S){for(S=f;f<m&&!E(g.charCodeAt(f));)f++;f===m?c=f:f!==S&&(c=f+1)}}}}else if(v(l)&&g.charCodeAt(1)===A){if(m<=2)return a.root=a.dir=g,a;if(c=2,E(g.charCodeAt(2))){if(m===3)return a.root=a.dir=g,a;c=3}}c>0&&(a.root=g.slice(0,c));let r=-1,i=c,s=-1,n=!0,o=g.length-1,d=0;for(;o>=c;--o){if(l=g.charCodeAt(o),E(l)){if(!n){i=o+1;break}continue}s===-1&&(n=!1,s=o+1),l===D?r===-1?r=o:d!==1&&(d=1):r!==-1&&(d=-1)}return s!==-1&&(r===-1||d===0||d===1&&r===s-1&&r===i+1?a.base=a.name=g.slice(i,s):(a.name=g.slice(i,r),a.base=g.slice(i,s),a.ext=g.slice(r,s))),i>0&&i!==c?a.dir=g.slice(0,i-1):a.dir=a.root,a},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...g){let a="",m=!1;for(let c=g.length-1;c>=-1&&!m;c--){const l=c>=0?g[c]:u.cwd();T(l,"path"),l.length!==0&&(a=`${l}/${a}`,m=l.charCodeAt(0)===w)}return a=h(a,!m,"/",b),m?`/${a}`:a.length>0?a:"."},normalize(g){if(T(g,"path"),g.length===0)return".";const a=g.charCodeAt(0)===w,m=g.charCodeAt(g.length-1)===w;return g=h(g,!a,"/",b),g.length===0?a?"/":m?"./":".":(m&&(g+="/"),a?`/${g}`:g)},isAbsolute(g){return T(g,"path"),g.length>0&&g.charCodeAt(0)===w},join(...g){if(g.length===0)return".";let a;for(let m=0;m<g.length;++m){const c=g[m];T(c,"path"),c.length>0&&(a===void 0?a=c:a+=`/${c}`)}return a===void 0?".":e.posix.normalize(a)},relative(g,a){if(T(g,"from"),T(a,"to"),g===a||(g=e.posix.resolve(g),a=e.posix.resolve(a),g===a))return"";const m=1,c=g.length,l=c-m,r=1,i=a.length-r,s=l<i?l:i;let n=-1,o=0;for(;o<s;o++){const f=g.charCodeAt(m+o);if(f!==a.charCodeAt(r+o))break;f===w&&(n=o)}if(o===s)if(i>s){if(a.charCodeAt(r+o)===w)return a.slice(r+o+1);if(o===0)return a.slice(r+o)}else l>s&&(g.charCodeAt(m+o)===w?n=o:o===0&&(n=0));let d="";for(o=m+n+1;o<=c;++o)(o===c||g.charCodeAt(o)===w)&&(d+=d.length===0?"..":"/..");return`${d}${a.slice(r+n)}`},toNamespacedPath(g){return g},dirname(g){if(T(g,"path"),g.length===0)return".";const a=g.charCodeAt(0)===w;let m=-1,c=!0;for(let l=g.length-1;l>=1;--l)if(g.charCodeAt(l)===w){if(!c){m=l;break}}else c=!1;return m===-1?a?"/":".":a&&m===1?"//":g.slice(0,m)},basename(g,a){a!==void 0&&T(a,"ext"),T(g,"path");let m=0,c=-1,l=!0,r;if(a!==void 0&&a.length>0&&a.length<=g.length){if(a===g)return"";let i=a.length-1,s=-1;for(r=g.length-1;r>=0;--r){const n=g.charCodeAt(r);if(n===w){if(!l){m=r+1;break}}else s===-1&&(l=!1,s=r+1),i>=0&&(n===a.charCodeAt(i)?--i==-1&&(c=r):(i=-1,c=s))}return m===c?c=s:c===-1&&(c=g.length),g.slice(m,c)}for(r=g.length-1;r>=0;--r)if(g.charCodeAt(r)===w){if(!l){m=r+1;break}}else c===-1&&(l=!1,c=r+1);return c===-1?"":g.slice(m,c)},extname(g){T(g,"path");let a=-1,m=0,c=-1,l=!0,r=0;for(let i=g.length-1;i>=0;--i){const s=g.charCodeAt(i);if(s===w){if(!l){m=i+1;break}continue}c===-1&&(l=!1,c=i+1),s===D?a===-1?a=i:r!==1&&(r=1):a!==-1&&(r=-1)}return a===-1||c===-1||r===0||r===1&&a===c-1&&a===m+1?"":g.slice(a,c)},format:p.bind(null,"/"),parse(g){T(g,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return a;const m=g.charCodeAt(0)===w;let c;m?(a.root="/",c=1):c=0;let l=-1,r=0,i=-1,s=!0,n=g.length-1,o=0;for(;n>=c;--n){const d=g.charCodeAt(n);if(d===w){if(!s){r=n+1;break}continue}i===-1&&(s=!1,i=n+1),d===D?l===-1?l=n:o!==1&&(o=1):l!==-1&&(o=-1)}if(i!==-1){const d=r===0&&m?1:r;l===-1||o===0||o===1&&l===i-1&&l===r+1?a.base=a.name=g.slice(d,i):(a.name=g.slice(d,l),a.base=g.slice(d,i),a.ext=g.slice(l,i))}return r>0?a.dir=g.slice(0,r-1):m&&(a.dir="/"),a},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=u.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=u.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=u.platform==="win32"?e.win32.join:e.posix.join,e.resolve=u.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=u.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=u.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=u.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=u.platform==="win32"?e.win32.extname:e.posix.extname,e.format=u.platform==="win32"?e.win32.format:e.posix.format,e.parse=u.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=u.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=u.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=u.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(De[100],Ie([1,0,9]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0,e.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const t={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},C={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function P(A){const k=(0,u.extname)(A),_=t[k.toLowerCase()];return _!==void 0?_:y(A)}e.getMediaOrTextMime=P;function y(A){const k=(0,u.extname)(A);return C[k.toLowerCase()]}e.getMediaMime=y;function D(A){for(const k in C)if(C[k]===A)return k}e.getExtensionForMimeType=D;const w=/^(.+)\/(.+?)(;.+)?$/;function I(A,k){const _=w.exec(A);return _?`${_[1].toLowerCase()}/${_[2].toLowerCase()}${_[3]??""}`:k?void 0:A}e.normalizeMimeType=I}),define(De[101],Ie([1,0,11]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var t;(function(D){D[D.stdout=0]="stdout",D[D.stderr=1]="stderr"})(t=e.Source||(e.Source={}));var C;(function(D){D[D.Success=0]="Success",D[D.Unknown=1]="Unknown",D[D.AccessDenied=2]="AccessDenied",D[D.ProcessNotFound=3]="ProcessNotFound"})(C=e.TerminateResponseCode||(e.TerminateResponseCode={}));function P(D,...w){const I=w.reduce((_,T)=>(_[T]=!0,_),{}),A=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(D).filter(_=>!I[_]).forEach(_=>{for(let T=0;T<A.length;T++)if(_.search(A[T])!==-1){delete D[_];break}})}e.sanitizeProcessEnvironment=P;function y(D){!D||(delete D.DEBUG,u.isMacintosh&&delete D.DYLD_LIBRARY_PATH,u.isLinux&&delete D.LD_PRELOAD)}e.removeDangerousEnvVariables=y}),define(De[51],Ie([1,0,11]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=u.globals.performance&&typeof u.globals.performance.now=="function";class C{constructor(y){this._highResolution=t&&y,this._startTime=this._now(),this._stopTime=-1}static create(y=!0){return new C(y)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?u.globals.performance.now():Date.now()}}e.StopWatch=C}),define(De[4],Ie([1,0,10,59,6,79,51]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const D=!1,w=!1;var I;(function(n){n.None=()=>C.Disposable.None;function o(pe){if(w){const{onListenerDidAdd:be}=pe,ke=E.create();let Re=0;pe.onListenerDidAdd=()=>{++Re==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ke.print()),be?.()}}}function d(pe){return(be,ke=null,Re)=>{let Ue=!1,ae;return ae=pe(de=>{if(!Ue)return ae?ae.dispose():Ue=!0,be.call(ke,de)},null,Re),Ue&&ae.dispose(),ae}}n.once=d;function f(pe,be,ke){return U((Re,Ue=null,ae)=>pe(de=>Re.call(Ue,be(de)),null,ae),ke)}n.map=f;function S(pe,be,ke){return U((Re,Ue=null,ae)=>pe(de=>{be(de),Re.call(Ue,de)},null,ae),ke)}n.forEach=S;function L(pe,be,ke){return U((Re,Ue=null,ae)=>pe(de=>be(de)&&Re.call(Ue,de),null,ae),ke)}n.filter=L;function M(pe){return pe}n.signal=M;function B(...pe){return(be,ke=null,Re)=>(0,C.combinedDisposable)(...pe.map(Ue=>Ue(ae=>be.call(ke,ae),null,Re)))}n.any=B;function R(pe,be,ke,Re){let Ue=ke;return f(pe,ae=>(Ue=be(Ue,ae),Ue),Re)}n.reduce=R;function U(pe,be){let ke;const Re={onFirstListenerAdd(){ke=pe(Ue.fire,Ue)},onLastListenerRemove(){ke?.dispose()}};be||o(Re);const Ue=new v(Re);return be?.add(Ue),Ue.event}function $(pe,be,ke=100,Re=!1,Ue,ae){let de,ge,te,le=0;const ee={leakWarningThreshold:Ue,onFirstListenerAdd(){de=pe(F=>{le++,ge=be(ge,F),Re&&!te&&(ie.fire(ge),ge=void 0),clearTimeout(te),te=setTimeout(()=>{const H=ge;ge=void 0,te=void 0,(!Re||le>1)&&ie.fire(H),le=0},ke)})},onLastListenerRemove(){de.dispose()}};ae||o(ee);const ie=new v(ee);return ae?.add(ie),ie.event}n.debounce=$;function N(pe,be=(Re,Ue)=>Re===Ue,ke){let Re=!0,Ue;return L(pe,ae=>{const de=Re||!be(ae,Ue);return Re=!1,Ue=ae,de},ke)}n.latch=N;function X(pe,be,ke){return[n.filter(pe,be,ke),n.filter(pe,Re=>!be(Re),ke)]}n.split=X;function z(pe,be=!1,ke=[]){let Re=ke.slice(),Ue=pe(ge=>{Re?Re.push(ge):de.fire(ge)});const ae=()=>{Re?.forEach(ge=>de.fire(ge)),Re=null},de=new v({onFirstListenerAdd(){Ue||(Ue=pe(ge=>de.fire(ge)))},onFirstListenerDidAdd(){Re&&(be?setTimeout(ae):ae())},onLastListenerRemove(){Ue&&Ue.dispose(),Ue=null}});return de.event}n.buffer=z;class O{constructor(be){this.event=be,this.disposables=new C.DisposableStore}map(be){return new O(f(this.event,be,this.disposables))}forEach(be){return new O(S(this.event,be,this.disposables))}filter(be){return new O(L(this.event,be,this.disposables))}reduce(be,ke){return new O(R(this.event,be,ke,this.disposables))}latch(){return new O(N(this.event,void 0,this.disposables))}debounce(be,ke=100,Re=!1,Ue){return new O($(this.event,be,ke,Re,Ue,this.disposables))}on(be,ke,Re){return this.event(be,ke,Re)}once(be,ke,Re){return d(this.event)(be,ke,Re)}dispose(){this.disposables.dispose()}}function x(pe){return new O(pe)}n.chain=x;function V(pe,be,ke=Re=>Re){const Re=(...ge)=>de.fire(ke(...ge)),Ue=()=>pe.on(be,Re),ae=()=>pe.removeListener(be,Re),de=new v({onFirstListenerAdd:Ue,onLastListenerRemove:ae});return de.event}n.fromNodeEventEmitter=V;function q(pe,be,ke=Re=>Re){const Re=(...ge)=>de.fire(ke(...ge)),Ue=()=>pe.addEventListener(be,Re),ae=()=>pe.removeEventListener(be,Re),de=new v({onFirstListenerAdd:Ue,onLastListenerRemove:ae});return de.event}n.fromDOMEventEmitter=q;function J(pe){return new Promise(be=>d(pe)(be))}n.toPromise=J;function Y(pe,be){return be(void 0),pe(ke=>be(ke))}n.runAndSubscribe=Y;function he(pe,be){let ke=null;function Re(ae){ke?.dispose(),ke=new C.DisposableStore,be(ae,ke)}Re(void 0);const Ue=pe(ae=>Re(ae));return(0,C.toDisposable)(()=>{Ue.dispose(),ke?.dispose()})}n.runAndSubscribeWithStore=he;class ve{constructor(be,ke){this.obs=be,this._counter=0,this._hasChanged=!1;const Re={onFirstListenerAdd:()=>{be.addObserver(this)},onLastListenerRemove:()=>{be.removeObserver(this)}};ke||o(Re),this.emitter=new v(Re),ke&&ke.add(this.emitter)}beginUpdate(be){this._counter++}handleChange(be,ke){this._hasChanged=!0}endUpdate(be){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function re(pe,be){return new ve(pe,be).emitter.event}n.fromObservable=re})(I=e.Event||(e.Event={}));class A{constructor(o){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${o}_${A._idPool++}`}start(o){this._stopWatch=new y.StopWatch(!0),this._listenerCount=o}stop(){if(this._stopWatch){const o=this._stopWatch.elapsed();this._elapsedOverall+=o,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${o.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}A._idPool=0;let k=-1;function _(n){const o=k;return k=n,{dispose(){k=o}}}e.setGlobalLeakWarningThreshold=_;class T{constructor(o,d=Math.random().toString(18).slice(2,5)){this.customThreshold=o,this.name=d,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(o,d){let f=k;if(typeof this.customThreshold=="number"&&(f=this.customThreshold),f<=0||d<f)return;this._stacks||(this._stacks=new Map);const S=this._stacks.get(o.value)||0;if(this._stacks.set(o.value,S+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=f*.5;let L,M=0;for(const[B,R]of this._stacks)(!L||M<R)&&(L=B,M=R);console.warn(`[${this.name}] potential listener LEAK detected, having ${d} listeners already. MOST frequent listener (${M}):`),console.warn(L)}return()=>{const L=this._stacks.get(o.value)||0;this._stacks.set(o.value,L-1)}}}class E{constructor(o){this.value=o}static create(){return new E(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class b{constructor(o,d,f){this.callback=o,this.callbackThis=d,this.stack=f,this.subscription=new C.SafeDisposable}invoke(o){this.callback.call(this.callbackThis,o)}}class v{constructor(o){this._disposed=!1,this._options=o,this._leakageMon=k>0?new T(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new A(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(D){const o=Array.from(this._listeners);queueMicrotask(()=>{for(const d of o)d.subscription.isset()&&(d.subscription.unset(),d.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(o,d,f)=>{this._listeners||(this._listeners=new P.LinkedList);const S=this._listeners.isEmpty();S&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let L,M;this._leakageMon&&this._listeners.size>=30&&(M=E.create(),L=this._leakageMon.check(M,this._listeners.size+1)),D&&(M=M??E.create());const B=new b(o,d,M),R=this._listeners.push(B);S&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,o,d);const U=B.subscription.set(()=>{L?.(),this._disposed||(R(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return f instanceof C.DisposableStore?f.add(U):Array.isArray(f)&&f.push(U),U}),this._event}fire(o){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new p);for(const d of this._listeners)this._deliveryQueue.push(this,d,o);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=v;class h{constructor(){this._queue=new P.LinkedList}get size(){return this._queue.size}push(o,d,f){this._queue.push(new g(o,d,f))}clear(o){const d=new P.LinkedList;for(const f of this._queue)f.emitter!==o&&d.push(f);this._queue=d}deliver(){for(;this._queue.size>0;){const o=this._queue.shift();try{o.listener.invoke(o.event)}catch(d){(0,u.onUnexpectedError)(d)}}}}e.EventDeliveryQueue=h;class p extends h{clear(o){this._queue.clear()}}class g{constructor(o,d,f){this.emitter=o,this.listener=d,this.event=f}}class a extends v{async fireAsync(o,d,f){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new P.LinkedList);for(const S of this._listeners)this._asyncDeliveryQueue.push([S,o]);for(;this._asyncDeliveryQueue.size>0&&!d.isCancellationRequested;){const[S,L]=this._asyncDeliveryQueue.shift(),M=[],B={...L,token:d,waitUntil:R=>{if(Object.isFrozen(M))throw new Error("waitUntil can NOT be called asynchronous");f&&(R=f(R,S.callback)),M.push(R)}};try{S.invoke(B)}catch(R){(0,u.onUnexpectedError)(R);continue}Object.freeze(M),await Promise.allSettled(M).then(R=>{for(const U of R)U.status==="rejected"&&(0,u.onUnexpectedError)(U.reason)})}}}}e.AsyncEmitter=a;class m extends v{constructor(o){super(o);this._isPaused=0,this._eventQueue=new P.LinkedList,this._mergeFn=o?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const o=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(o))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(o){this._listeners&&(this._isPaused!==0?this._eventQueue.push(o):super.fire(o))}}e.PauseableEmitter=m;class c extends m{constructor(o){super(o);this._delay=o.delay??100}fire(o){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(o)}}e.DebounceEmitter=c;class l extends v{constructor(o){super(o);this._queuedEvents=[],this._mergeFn=o?.merge}fire(o){this._queuedEvents.push(o),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(d=>super.fire(d)),this._queuedEvents=[]})}}e.MicrotaskEmitter=l;class r{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new v({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(o){const d={event:o,listener:null};this.events.push(d),this.hasListeners&&this.hook(d);const f=()=>{this.hasListeners&&this.unhook(d);const S=this.events.indexOf(d);this.events.splice(S,1)};return(0,C.toDisposable)((0,t.once)(f))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(o=>this.hook(o))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(o=>this.unhook(o))}hook(o){o.listener=o.event(d=>this.emitter.fire(d))}unhook(o){o.listener&&o.listener.dispose(),o.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=r;class i{constructor(){this.buffers=[]}wrapEvent(o){return(d,f,S)=>o(L=>{const M=this.buffers[this.buffers.length-1];M?M.push(()=>d.call(f,L)):d.call(f,L)},void 0,S)}bufferEvents(o){const d=[];this.buffers.push(d);const f=o();return this.buffers.pop(),d.forEach(S=>S()),f}}e.EventBufferer=i;class s{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=C.Disposable.None,this.emitter=new v({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(o){this.inputEvent=o,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=o(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=s}),define(De[21],Ie([1,0,4]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(D,w){const I=setTimeout(D.bind(w),0);return{dispose(){clearTimeout(I)}}});var C;(function(D){function w(I){return I===D.None||I===D.Cancelled||I instanceof P?!0:!I||typeof I!="object"?!1:typeof I.isCancellationRequested=="boolean"&&typeof I.onCancellationRequested=="function"}D.isCancellationToken=w,D.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:u.Event.None}),D.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(C=e.CancellationToken||(e.CancellationToken={}));class P{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new u.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class y{constructor(w){this._token=void 0,this._parentListener=void 0,this._parentListener=w&&w.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new P),this._token}cancel(){this._token?this._token instanceof P&&this._token.cancel():this._token=C.Cancelled}dispose(w=!1){w&&this.cancel(),this._parentListener?.dispose(),this._token?this._token instanceof P&&this._token.dispose():this._token=C.None}}e.CancellationTokenSource=y}),define(De[155],Ie([1,0,21]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class t{constructor(D){this.task=D,this.result=null}get(){if(this.result)return this.result;const D=new u.CancellationTokenSource,w=this.task(D.token);return this.result={promise:w,dispose:()=>{this.result=null,D.cancel(),D.dispose()}},this.result}}e.Cache=t;class C{constructor(D){this.fn=D,this.lastCache=void 0,this.lastArgKey=void 0}get(D){const w=JSON.stringify(D);return this.lastArgKey!==w&&(this.lastArgKey=w,this.lastCache=this.fn(D)),this.lastCache}}e.LRUCachedFunction=C;class P{constructor(D){this.fn=D,this._map=new Map}get cachedValues(){return this._map}get(D){if(this._map.has(D))return this._map.get(D);const w=this.fn(D);return this._map.set(D,w),w}}e.CachedFunction=P}),define(De[8],Ie([1,0,155,78]),function(Z,e,u,t){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function P(G){return!G||typeof G!="string"?!0:G.trim().length===0}e.isFalsyOrWhitespace=P;const y=/{(\d+)}/g;function D(G,...ye){return ye.length===0?G:G.replace(y,function(Ae,We){const ze=parseInt(We,10);return isNaN(ze)||ze<0||ze>=ye.length?Ae:ye[ze]})}e.format=D;const w=/{([^}]+)}/g;function I(G,ye){return G.replace(w,(Ae,We)=>ye[We]??Ae)}e.format2=I;function A(G){return G.replace(/[<>&]/g,function(ye){switch(ye){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ye}})}e.escape=A;function k(G){return G.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=k;function _(G,ye){let Ae=0;const We=ye.charCodeAt(0);for(let ze=G.length-1;ze>=0;ze--)G.charCodeAt(ze)===We&&Ae++;return Ae}e.count=_;function T(G,ye,Ae="\u2026"){return G.length<=ye?G:`${G.substr(0,ye)}${Ae}`}e.truncate=T;function E(G,ye=" "){const Ae=b(G,ye);return v(Ae,ye)}e.trim=E;function b(G,ye){if(!G||!ye)return G;const Ae=ye.length;if(Ae===0||G.length===0)return G;let We=0;for(;G.indexOf(ye,We)===We;)We=We+Ae;return G.substring(We)}e.ltrim=b;function v(G,ye){if(!G||!ye)return G;const Ae=ye.length,We=G.length;if(Ae===0||We===0)return G;let ze=We,$e=-1;for(;$e=G.lastIndexOf(ye,ze-1),!($e===-1||$e+Ae!==ze);){if($e===0)return"";ze=$e}return G.substring(0,ze)}e.rtrim=v;function h(G){return G.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=h;function p(G){return G.replace(/\*/g,"")}e.stripWildcards=p;function g(G,ye,Ae={}){if(!G)throw new Error("Cannot create regex from empty string");ye||(G=k(G)),Ae.wholeWord&&(/\B/.test(G.charAt(0))||(G="\\b"+G),/\B/.test(G.charAt(G.length-1))||(G=G+"\\b"));let We="";return Ae.global&&(We+="g"),Ae.matchCase||(We+="i"),Ae.multiline&&(We+="m"),Ae.unicode&&(We+="u"),new RegExp(G,We)}e.createRegExp=g;function a(G){return G.source==="^"||G.source==="^$"||G.source==="$"||G.source==="^\\s*$"?!1:!!(G.exec("")&&G.lastIndex===0)}e.regExpLeadsToEndlessLoop=a;function m(G){return!!G.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=m;function c(G){return(G.global?"g":"")+(G.ignoreCase?"i":"")+(G.multiline?"m":"")+(G.unicode?"u":"")}e.regExpFlags=c;function l(G){return G.split(/\r\n|\r|\n/)}e.splitLines=l;function r(G){for(let ye=0,Ae=G.length;ye<Ae;ye++){const We=G.charCodeAt(ye);if(We!==32&&We!==9)return ye}return-1}e.firstNonWhitespaceIndex=r;function i(G,ye=0,Ae=G.length){for(let We=ye;We<Ae;We++){const ze=G.charCodeAt(We);if(ze!==32&&ze!==9)return G.substring(ye,We)}return G.substring(ye,Ae)}e.getLeadingWhitespace=i;function s(G,ye=G.length-1){for(let Ae=ye;Ae>=0;Ae--){const We=G.charCodeAt(Ae);if(We!==32&&We!==9)return Ae}return-1}e.lastNonWhitespaceIndex=s;function n(G,ye,Ae){const We=[];let ze=0;for(const $e of G.matchAll(ye)){if(We.push(G.slice(ze,$e.index)),$e.index===void 0)throw new Error("match.index should be defined");ze=$e.index+$e[0].length,We.push(Ae($e[0],...$e.slice(1),$e.index,G,$e.groups))}return We.push(G.slice(ze)),Promise.all(We).then($e=>$e.join(""))}e.replaceAsync=n;function o(G,ye){return G<ye?-1:G>ye?1:0}e.compare=o;function d(G,ye,Ae=0,We=G.length,ze=0,$e=ye.length){for(;Ae<We&&ze<$e;Ae++,ze++){const lt=G.charCodeAt(Ae),ht=ye.charCodeAt(ze);if(lt<ht)return-1;if(lt>ht)return 1}const Ze=We-Ae,it=$e-ze;return Ze<it?-1:Ze>it?1:0}e.compareSubstring=d;function f(G,ye){return S(G,ye,0,G.length,0,ye.length)}e.compareIgnoreCase=f;function S(G,ye,Ae=0,We=G.length,ze=0,$e=ye.length){for(;Ae<We&&ze<$e;Ae++,ze++){let lt=G.charCodeAt(Ae),ht=ye.charCodeAt(ze);if(lt===ht)continue;if(lt>=128||ht>=128)return d(G.toLowerCase(),ye.toLowerCase(),Ae,We,ze,$e);M(lt)&&(lt-=32),M(ht)&&(ht-=32);const tt=lt-ht;if(tt!==0)return tt}const Ze=We-Ae,it=$e-ze;return Ze<it?-1:Ze>it?1:0}e.compareSubstringIgnoreCase=S;function L(G){return G>=48&&G<=57}e.isAsciiDigit=L;function M(G){return G>=97&&G<=122}e.isLowerAsciiLetter=M;function B(G){return G>=65&&G<=90}e.isUpperAsciiLetter=B;function R(G,ye){return G.length===ye.length&&S(G,ye)===0}e.equalsIgnoreCase=R;function U(G,ye){const Ae=ye.length;return ye.length>G.length?!1:S(G,ye,0,Ae)===0}e.startsWithIgnoreCase=U;function $(G,ye){const Ae=Math.min(G.length,ye.length);let We;for(We=0;We<Ae;We++)if(G.charCodeAt(We)!==ye.charCodeAt(We))return We;return Ae}e.commonPrefixLength=$;function N(G,ye){const Ae=Math.min(G.length,ye.length);let We;const ze=G.length-1,$e=ye.length-1;for(We=0;We<Ae;We++)if(G.charCodeAt(ze-We)!==ye.charCodeAt($e-We))return We;return Ae}e.commonSuffixLength=N;function X(G){return 55296<=G&&G<=56319}e.isHighSurrogate=X;function z(G){return 56320<=G&&G<=57343}e.isLowSurrogate=z;function O(G,ye){return(G-55296<<10)+(ye-56320)+65536}e.computeCodePoint=O;function x(G,ye,Ae){const We=G.charCodeAt(Ae);if(X(We)&&Ae+1<ye){const ze=G.charCodeAt(Ae+1);if(z(ze))return O(We,ze)}return We}e.getNextCodePoint=x;function V(G,ye){const Ae=G.charCodeAt(ye-1);if(z(Ae)&&ye>1){const We=G.charCodeAt(ye-2);if(X(We))return O(We,Ae)}return Ae}class q{constructor(ye,Ae=0){this._str=ye,this._len=ye.length,this._offset=Ae}get offset(){return this._offset}setOffset(ye){this._offset=ye}prevCodePoint(){const ye=V(this._str,this._offset);return this._offset-=ye>=65536?2:1,ye}nextCodePoint(){const ye=x(this._str,this._len,this._offset);return this._offset+=ye>=65536?2:1,ye}eol(){return this._offset>=this._len}}e.CodePointIterator=q;class J{constructor(ye,Ae=0){this._iterator=new q(ye,Ae)}get offset(){return this._iterator.offset}nextGraphemeLength(){const ye=Be.getInstance(),Ae=this._iterator,We=Ae.offset;let ze=ye.getGraphemeBreakType(Ae.nextCodePoint());for(;!Ae.eol();){const $e=Ae.offset,Ze=ye.getGraphemeBreakType(Ae.nextCodePoint());if(Ce(ze,Ze)){Ae.setOffset($e);break}ze=Ze}return Ae.offset-We}prevGraphemeLength(){const ye=Be.getInstance(),Ae=this._iterator,We=Ae.offset;let ze=ye.getGraphemeBreakType(Ae.prevCodePoint());for(;Ae.offset>0;){const $e=Ae.offset,Ze=ye.getGraphemeBreakType(Ae.prevCodePoint());if(Ce(Ze,ze)){Ae.setOffset($e);break}ze=Ze}return We-Ae.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=J;function Y(G,ye){return new J(G,ye).nextGraphemeLength()}e.nextCharLength=Y;function he(G,ye){return new J(G,ye).prevGraphemeLength()}e.prevCharLength=he;function ve(G,ye){ye>0&&z(G.charCodeAt(ye))&&ye--;const Ae=ye+Y(G,ye);return[Ae-he(G,Ae),Ae]}e.getCharContainingOffset=ve;const re=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function pe(G){return re.test(G)}e.containsRTL=pe;const be=/^[\t\n\r\x20-\x7E]*$/;function ke(G){return be.test(G)}e.isBasicASCII=ke,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Re(G){return e.UNUSUAL_LINE_TERMINATORS.test(G)}e.containsUnusualLineTerminators=Re;function Ue(G){return G>=11904&&G<=55215||G>=63744&&G<=64255||G>=65281&&G<=65374}e.isFullWidthCharacter=Ue;function ae(G){return G>=127462&&G<=127487||G===8986||G===8987||G===9200||G===9203||G>=9728&&G<=10175||G===11088||G===11093||G>=127744&&G<=128591||G>=128640&&G<=128764||G>=128992&&G<=129008||G>=129280&&G<=129535||G>=129648&&G<=129782}e.isEmojiImprecise=ae;function de(G,ye){if(G.length<ye)return G;const Ae=/\b/g;let We=0;for(;Ae.test(G)&&!(G.length-Ae.lastIndex<ye);)We=Ae.lastIndex,Ae.lastIndex+=1;return G.substring(We).replace(/^\s/,"")}e.lcut=de;const ge=/\x1B\x5B[12]?K/g,te=/\x1b\[\d+m/g,le=/\x1b\[0?m/g;function ee(G){return G&&(G=G.replace(ge,""),G=G.replace(te,""),G=G.replace(le,"")),G}e.removeAnsiEscapeCodes=ee,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ie(G){return!!(G&&G.length>0&&G.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ie;function F(G){return ie(G)?G.substr(1):G}e.stripUTF8BOM=F;function H(G,ye){if(!G||!ye||G.length<ye.length)return!1;const Ae=ye.length,We=G.toLowerCase();let ze=0,$e=-1;for(;ze<Ae;){const Ze=We.indexOf(ye[ze],$e+1);if(Ze<0)return!1;$e=Ze,ze++}return!0}e.fuzzyContains=H;function K(G,ye=!1){return G?(ye&&(G=G.replace(/\\./g,"")),G.toLowerCase()!==G):!1}e.containsUppercaseCharacter=K;function Q(G){return G.charAt(0).toUpperCase()+G.slice(1)}e.uppercaseFirstLetter=Q;function fe(G,ye=1){if(ye===0)return"";let Ae=-1;do Ae=G.indexOf(`
`,Ae+1),ye--;while(ye>0&&Ae>=0);return Ae===-1?G:(G[Ae-1]==="\r"&&Ae--,G.substr(0,Ae))}e.getNLines=fe;function we(G){const ye=90-65+1;return G=G%(2*ye),G<ye?String.fromCharCode(97+G):String.fromCharCode(65+G-ye)}e.singleLetterHash=we;function ue(G){return Be.getInstance().getGraphemeBreakType(G)}e.getGraphemeBreakType=ue;function Ce(G,ye){return G===0?ye!==5&&ye!==7:G===2&&ye===3?!1:G===4||G===2||G===3||ye===4||ye===2||ye===3?!0:!(G===8&&(ye===8||ye===9||ye===11||ye===12)||(G===11||G===9)&&(ye===9||ye===10)||(G===12||G===10)&&ye===10||ye===5||ye===13||ye===7||G===1||G===13&&ye===14||G===6&&ye===6)}var Se;(function(G){G[G.Other=0]="Other",G[G.Prepend=1]="Prepend",G[G.CR=2]="CR",G[G.LF=3]="LF",G[G.Control=4]="Control",G[G.Extend=5]="Extend",G[G.Regional_Indicator=6]="Regional_Indicator",G[G.SpacingMark=7]="SpacingMark",G[G.L=8]="L",G[G.V=9]="V",G[G.T=10]="T",G[G.LV=11]="LV",G[G.LVT=12]="LVT",G[G.ZWJ=13]="ZWJ",G[G.Extended_Pictographic=14]="Extended_Pictographic"})(Se=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Be{constructor(){this._data=qe()}static getInstance(){return Be._INSTANCE||(Be._INSTANCE=new Be),Be._INSTANCE}getGraphemeBreakType(ye){if(ye<32)return ye===10?3:ye===13?2:4;if(ye<127)return 0;const Ae=this._data,We=Ae.length/3;let ze=1;for(;ze<=We;)if(ye<Ae[3*ze])ze=2*ze;else if(ye>Ae[3*ze+1])ze=2*ze+1;else return Ae[3*ze+2];return 0}}Be._INSTANCE=null;function qe(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Je(G,ye){if(G===0)return 0;const Ae=Qe(G,ye);if(Ae!==void 0)return Ae;const We=new q(ye,G);return We.prevCodePoint(),We.offset}e.getLeftDeleteOffset=Je;function Qe(G,ye){const Ae=new q(ye,G);let We=Ae.prevCodePoint();for(;Le(We)||We===65039||We===8419;){if(Ae.offset===0)return;We=Ae.prevCodePoint()}if(!ae(We))return;let ze=Ae.offset;return ze>0&&Ae.prevCodePoint()===8205&&(ze=Ae.offset),ze}function Le(G){return 127995<=G&&G<=127999}var st;(function(G){G[G.zwj=8205]="zwj",G[G.emojiVariantSelector=65039]="emojiVariantSelector",G[G.enclosingKeyCap=8419]="enclosingKeyCap"})(st||(st={})),e.noBreakWhitespace="\xA0";class se{constructor(ye){this.confusableDictionary=ye}static getInstance(ye){return se.cache.get(Array.from(ye))}static getLocales(){return se._locales.getValue()}isAmbiguous(ye){return this.confusableDictionary.has(ye)}getPrimaryConfusable(ye){return this.confusableDictionary.get(ye)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=se,C=se,se.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),se.cache=new u.LRUCachedFunction(G=>{function ye(ht){const tt=new Map;for(let at=0;at<ht.length;at+=2)tt.set(ht[at],ht[at+1]);return tt}function Ae(ht,tt){const at=new Map(ht);for(const[Ct,Ot]of tt)at.set(Ct,Ot);return at}function We(ht,tt){if(!ht)return tt;const at=new Map;for(const[Ct,Ot]of ht)tt.has(Ct)&&at.set(Ct,Ot);return at}const ze=C.ambiguousCharacterData.getValue();let $e=G.filter(ht=>!ht.startsWith("_")&&ht in ze);$e.length===0&&($e=["_default"]);let Ze;for(const ht of $e){const tt=ye(ze[ht]);Ze=We(Ze,tt)}const it=ye(ze._common),lt=Ae(it,Ze);return new se(lt)}),se._locales=new t.Lazy(()=>Object.keys(se.ambiguousCharacterData.getValue()).filter(G=>!G.startsWith("_")));class oe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(oe.getRawData())),this._data}static isInvisibleCharacter(ye){return oe.getData().has(ye)}static get codePoints(){return oe.getData()}}e.InvisibleCharacters=oe,oe._data=void 0}),define(De[31],Ie([1,0,9,11,8,13]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function y(s){return s===47||s===92}e.isPathSeparator=y;function D(s){return s.replace(/[\\/]/g,u.posix.sep)}e.toSlashes=D;function w(s){return s.indexOf("/")===-1&&(s=D(s)),/^[a-zA-Z]:(\/|$)/.test(s)&&(s="/"+s),s}e.toPosixPath=w;function I(s,n=u.posix.sep){if(!s)return"";const o=s.length,d=s.charCodeAt(0);if(y(d)){if(y(s.charCodeAt(1))&&!y(s.charCodeAt(2))){let S=3;const L=S;for(;S<o&&!y(s.charCodeAt(S));S++);if(L!==S&&!y(s.charCodeAt(S+1))){for(S+=1;S<o;S++)if(y(s.charCodeAt(S)))return s.slice(0,S+1).replace(/[\\/]/g,n)}}return n}else if(h(d)&&s.charCodeAt(1)===58)return y(s.charCodeAt(2))?s.slice(0,2)+n:s.slice(0,2);let f=s.indexOf("://");if(f!==-1){for(f+=3;f<o;f++)if(y(s.charCodeAt(f)))return s.slice(0,f+1)}return""}e.getRoot=I;function A(s){if(!t.isWindows||!s||s.length<5)return!1;let n=s.charCodeAt(0);if(n!==92||(n=s.charCodeAt(1),n!==92))return!1;let o=2;const d=o;for(;o<s.length&&(n=s.charCodeAt(o),n!==92);o++);return!(d===o||(n=s.charCodeAt(o+1),isNaN(n)||n===92))}e.isUNC=A;const k=/[\\/:\*\?"<>\|]/g,_=/[\\/]/g,T=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function E(s,n=t.isWindows){const o=n?k:_;return!(!s||s.length===0||/^\s+$/.test(s)||(o.lastIndex=0,o.test(s))||n&&T.test(s)||s==="."||s===".."||n&&s[s.length-1]==="."||n&&s.length!==s.trim().length||s.length>255)}e.isValidBasename=E;function b(s,n,o){const d=s===n;return!o||d?d:!s||!n?!1:(0,C.equalsIgnoreCase)(s,n)}e.isEqual=b;function v(s,n,o,d=u.sep){if(s===n)return!0;if(!s||!n||n.length>s.length)return!1;if(o){if(!(0,C.startsWithIgnoreCase)(s,n))return!1;if(n.length===s.length)return!0;let S=n.length;return n.charAt(n.length-1)===d&&S--,s.charAt(S)===d}return n.charAt(n.length-1)!==d&&(n+=d),s.indexOf(n)===0}e.isEqualOrParent=v;function h(s){return s>=65&&s<=90||s>=97&&s<=122}e.isWindowsDriveLetter=h;function p(s,n){return t.isWindows&&s.endsWith(":")&&(s+=u.sep),(0,u.isAbsolute)(s)||(s=(0,u.join)(n,s)),s=(0,u.normalize)(s),t.isWindows?(s=(0,C.rtrim)(s,u.sep),s.endsWith(":")&&(s+=u.sep)):(s=(0,C.rtrim)(s,u.sep),s||(s=u.sep)),s}e.sanitizeFilePath=p;function g(s){const n=(0,u.normalize)(s);return t.isWindows?s.length>3?!1:a(n)&&(s.length===2||n.charCodeAt(2)===92):n===u.posix.sep}e.isRootOrDriveLetter=g;function a(s,n=t.isWindows){return n?h(s.charCodeAt(0))&&s.charCodeAt(1)===58:!1}e.hasDriveLetter=a;function m(s){return a(s)?s[0]:void 0}e.getDriveLetter=m;function c(s,n,o){return n.length>s.length?-1:s===n?0:(o&&(s=s.toLowerCase(),n=n.toLowerCase()),s.indexOf(n))}e.indexOfPath=c;function l(s){const n=s.split(":");let o,d,f;for(const S of n){const L=Number(S);(0,P.isNumber)(L)?d===void 0?d=L:f===void 0&&(f=L):o=o?[o,S].join(":"):S}if(!o)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:o,line:d!==void 0?d:void 0,column:f!==void 0?f:d!==void 0?1:void 0}}e.parseLineAndColumnAware=l;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function i(s,n,o=8){let d="";for(let S=0;S<o;S++)d+=r.charAt(Math.floor(Math.random()*r.length));let f;return n?f=`${n}-${d}`:f=d,s?(0,u.join)(s,f):f}e.randomPath=i}),define(De[61],Ie([1,0,8]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(h){return C(h,0)}e.hash=t;function C(h,p){switch(typeof h){case"object":return h===null?P(349,p):Array.isArray(h)?w(h,p):I(h,p);case"string":return D(h,p);case"boolean":return y(h,p);case"number":return P(h,p);case"undefined":return P(937,p);default:return P(617,p)}}e.doHash=C;function P(h,p){return(p<<5)-p+h|0}e.numberHash=P;function y(h,p){return P(h?433:863,p)}function D(h,p){p=P(149417,p);for(let g=0,a=h.length;g<a;g++)p=P(h.charCodeAt(g),p);return p}e.stringHash=D;function w(h,p){return p=P(104579,p),h.reduce((g,a)=>C(a,g),p)}function I(h,p){return p=P(181387,p),Object.keys(h).sort().reduce((g,a)=>(g=D(a,g),C(h[a],g)),p)}class A{constructor(){this._value=0}get value(){return this._value}hash(p){return this._value=C(p,this._value),this._value}}e.Hasher=A;var k;(function(h){h[h.BLOCK_SIZE=64]="BLOCK_SIZE",h[h.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function _(h,p,g=32){const a=g-p,m=~((1<<a)-1);return(h<<p|(m&h)>>>a)>>>0}function T(h,p=0,g=h.byteLength,a=0){for(let m=0;m<g;m++)h[p+m]=a}function E(h,p,g="0"){for(;h.length<p;)h=g+h;return h}function b(h,p=32){return h instanceof ArrayBuffer?Array.from(new Uint8Array(h)).map(g=>g.toString(16).padStart(2,"0")).join(""):E((h>>>0).toString(16),p/4)}e.toHexString=b;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(p){const g=p.length;if(g===0)return;const a=this._buff;let m=this._buffLen,c=this._leftoverHighSurrogate,l,r;for(c!==0?(l=c,r=-1,c=0):(l=p.charCodeAt(0),r=0);;){let i=l;if(u.isHighSurrogate(l))if(r+1<g){const s=p.charCodeAt(r+1);u.isLowSurrogate(s)?(r++,i=u.computeCodePoint(l,s)):i=65533}else{c=l;break}else u.isLowSurrogate(l)&&(i=65533);if(m=this._push(a,m,i),r++,r<g)l=p.charCodeAt(r);else break}this._buffLen=m,this._leftoverHighSurrogate=c}_push(p,g,a){return a<128?p[g++]=a:a<2048?(p[g++]=192|(a&1984)>>>6,p[g++]=128|(a&63)>>>0):a<65536?(p[g++]=224|(a&61440)>>>12,p[g++]=128|(a&4032)>>>6,p[g++]=128|(a&63)>>>0):(p[g++]=240|(a&1835008)>>>18,p[g++]=128|(a&258048)>>>12,p[g++]=128|(a&4032)>>>6,p[g++]=128|(a&63)>>>0),g>=64&&(this._step(),g-=64,this._totalLen+=64,p[0]=p[64+0],p[1]=p[64+1],p[2]=p[64+2]),g}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),b(this._h0)+b(this._h1)+b(this._h2)+b(this._h3)+b(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,T(this._buff,this._buffLen),this._buffLen>56&&(this._step(),T(this._buff));const p=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(p/4294967296),!1),this._buffDV.setUint32(60,p%4294967296,!1),this._step()}_step(){const p=v._bigBlock32,g=this._buffDV;for(let o=0;o<64;o+=4)p.setUint32(o,g.getUint32(o,!1),!1);for(let o=64;o<320;o+=4)p.setUint32(o,_(p.getUint32(o-12,!1)^p.getUint32(o-32,!1)^p.getUint32(o-56,!1)^p.getUint32(o-64,!1),1),!1);let a=this._h0,m=this._h1,c=this._h2,l=this._h3,r=this._h4,i,s,n;for(let o=0;o<80;o++)o<20?(i=m&c|~m&l,s=1518500249):o<40?(i=m^c^l,s=1859775393):o<60?(i=m&c|m&l|c&l,s=2400959708):(i=m^c^l,s=3395469782),n=_(a,5)+i+r+s+p.getUint32(o*4,!1)&4294967295,r=l,l=c,c=_(m,30),m=a,a=n;this._h0=this._h0+a&4294967295,this._h1=this._h1+m&4294967295,this._h2=this._h2+c&4294967295,this._h3=this._h3+l&4294967295,this._h4=this._h4+r&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))}),define(De[25],Ie([1,0,17,8]),function(Z,e,u,t){"use strict";var C,P,y;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function D(r,i,s){let n=r.get(i);return n===void 0&&(n=s,r.set(i,n)),n}e.getOrSet=D;function w(r){const i=[];return r.forEach((s,n)=>{i.push(`${n} => ${s}`)}),`Map(${r.size}) {${i.join(", ")}}`}e.mapToString=w;function I(r){const i=[];return r.forEach(s=>{i.push(s)}),`Set(${r.size}) {${i.join(", ")}}`}e.setToString=I;class A{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const s=i.charCodeAt(0),n=this._value.charCodeAt(this._pos);return s-n}value(){return this._value[this._pos]}}e.StringIterator=A;class k{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,t.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=k;class _{constructor(i=!0,s=!0){this._splitOnBackslash=i,this._caseSensitive=s}reset(i){this._from=0,this._to=0,this._value=i,this._valueLen=i.length;for(let s=i.length-1;s>=0;s--,this._valueLen--){const n=this._value.charCodeAt(s);if(!(n===47||this._splitOnBackslash&&n===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let i=!0;for(;this._to<this._valueLen;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,t.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=_;var T;(function(r){r[r.Scheme=1]="Scheme",r[r.Authority=2]="Authority",r[r.Path=3]="Path",r[r.Query=4]="Query",r[r.Fragment=5]="Fragment"})(T||(T={}));class E{constructor(i,s){this._ignorePathCasing=i,this._ignoreQueryAndFragment=s,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new _(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(i)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,t.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=E;class b{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const i=this.right;return this.right=i.left,i.left=this,this.updateHeight(),i.updateHeight(),i}rotateRight(){const i=this.left;return this.left=i.right,i.right=this,this.updateHeight(),i.updateHeight(),i}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var v;(function(r){r[r.Left=-1]="Left",r[r.Mid=0]="Mid",r[r.Right=1]="Right"})(v||(v={}));class h{constructor(i){this._iter=i}static forUris(i=()=>!1,s=()=>!1){return new h(new E(i,s))}static forPaths(i=!1){return new h(new _(void 0,!i))}static forStrings(){return new h(new A)}static forConfigKeys(){return new h(new k)}clear(){this._root=void 0}fill(i,s){if(s){const n=s.slice(0);(0,u.shuffle)(n);for(const o of n)this.set(o,i)}else{const n=i.slice(0);(0,u.shuffle)(n);for(const o of n)this.set(o[0],o[1])}}set(i,s){const n=this._iter.reset(i);let o;this._root||(this._root=new b,this._root.segment=n.value());const d=[];for(o=this._root;;){const S=n.cmp(o.segment);if(S>0)o.left||(o.left=new b,o.left.segment=n.value()),d.push([-1,o]),o=o.left;else if(S<0)o.right||(o.right=new b,o.right.segment=n.value()),d.push([1,o]),o=o.right;else if(n.hasNext())n.next(),o.mid||(o.mid=new b,o.mid.segment=n.value()),d.push([0,o]),o=o.mid;else break}const f=o.value;o.value=s,o.key=i;for(let S=d.length-1;S>=0;S--){const L=d[S][1];L.updateHeight();const M=L.balanceFactor();if(M<-1||M>1){const B=d[S][0],R=d[S+1][0];if(B===1&&R===1)d[S][1]=L.rotateLeft();else if(B===-1&&R===-1)d[S][1]=L.rotateRight();else if(B===1&&R===-1)L.right=d[S+1][1]=d[S+1][1].rotateRight(),d[S][1]=L.rotateLeft();else if(B===-1&&R===1)L.left=d[S+1][1]=d[S+1][1].rotateLeft(),d[S][1]=L.rotateRight();else throw new Error;if(S>0)switch(d[S-1][0]){case-1:d[S-1][1].left=d[S][1];break;case 1:d[S-1][1].right=d[S][1];break;case 0:d[S-1][1].mid=d[S][1];break}else this._root=d[0][1]}}return f}get(i){return this._getNode(i)?.value}_getNode(i){const s=this._iter.reset(i);let n=this._root;for(;n;){const o=s.cmp(n.segment);if(o>0)n=n.left;else if(o<0)n=n.right;else if(s.hasNext())s.next(),n=n.mid;else break}return n}has(i){const s=this._getNode(i);return!(s?.value===void 0&&s?.mid===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,s){const n=this._iter.reset(i),o=[];let d=this._root;for(;d;){const f=n.cmp(d.segment);if(f>0)o.push([-1,d]),d=d.left;else if(f<0)o.push([1,d]),d=d.right;else if(n.hasNext())n.next(),o.push([0,d]),d=d.mid;else break}if(!!d){if(s?(d.left=void 0,d.mid=void 0,d.right=void 0,d.height=1):(d.key=void 0,d.value=void 0),!d.mid&&!d.value)if(d.left&&d.right){const f=this._min(d.right),{key:S,value:L,segment:M}=f;this._delete(f.key,!1),d.key=S,d.value=L,d.segment=M}else{const f=d.left??d.right;if(o.length>0){const[S,L]=o[o.length-1];switch(S){case-1:L.left=f;break;case 0:L.mid=f;break;case 1:L.right=f;break}}else this._root=f}for(let f=o.length-1;f>=0;f--){const S=o[f][1];S.updateHeight();const L=S.balanceFactor();if(L>1?(S.right.balanceFactor()>=0||(S.right=S.right.rotateRight()),o[f][1]=S.rotateLeft()):L<-1&&(S.left.balanceFactor()<=0||(S.left=S.left.rotateLeft()),o[f][1]=S.rotateRight()),f>0)switch(o[f-1][0]){case-1:o[f-1][1].left=o[f][1];break;case 1:o[f-1][1].right=o[f][1];break;case 0:o[f-1][1].mid=o[f][1];break}else this._root=o[0][1]}}}_min(i){for(;i.left;)i=i.left;return i}findSubstr(i){const s=this._iter.reset(i);let n=this._root,o;for(;n;){const d=s.cmp(n.segment);if(d>0)n=n.left;else if(d<0)n=n.right;else if(s.hasNext())s.next(),o=n.value||o,n=n.mid;else break}return n&&n.value||o}findSuperstr(i){const s=this._iter.reset(i);let n=this._root;for(;n;){const o=s.cmp(n.segment);if(o>0)n=n.left;else if(o<0)n=n.right;else if(s.hasNext())s.next(),n=n.mid;else return n.mid?this._entries(n.mid):void 0}}forEach(i){for(const[s,n]of this)i(n,s)}*[Symbol.iterator](){yield*this._entries(this._root)}_entries(i){const s=[];return this._dfsEntries(i,s),s[Symbol.iterator]()}_dfsEntries(i,s){!i||(i.left&&this._dfsEntries(i.left,s),i.value&&s.push([i.key,i.value]),i.mid&&this._dfsEntries(i.mid,s),i.right&&this._dfsEntries(i.right,s))}_isBalanced(){const i=s=>{if(!s)return!0;const n=s.balanceFactor();return n<-1||n>1?!1:i(s.left)&&i(s.right)};return i(this._root)}}e.TernarySearchTree=h;class p{constructor(i,s){this.uri=i,this.value=s}}class g{constructor(i,s){this[C]="ResourceMap",i instanceof g?(this.map=new Map(i.map),this.toKey=s??g.defaultToKey):(this.map=new Map,this.toKey=i??g.defaultToKey)}set(i,s){return this.map.set(this.toKey(i),new p(i,s)),this}get(i){return this.map.get(this.toKey(i))?.value}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,s){typeof s!="undefined"&&(i=i.bind(s));for(const[n,o]of this.map)i(o.value,o.uri,this)}*values(){for(const i of this.map.values())yield i.value}*keys(){for(const i of this.map.values())yield i.uri}*entries(){for(const i of this.map.values())yield[i.uri,i.value]}*[(C=Symbol.toStringTag,Symbol.iterator)](){for(const[,i]of this.map)yield[i.uri,i.value]}}e.ResourceMap=g,g.defaultToKey=r=>r.toString();class a{constructor(i,s){this[P]="ResourceSet",!i||typeof i=="function"?this._map=new g(i):(this._map=new g(s),i.forEach(this.add,this))}get size(){return this._map.size}add(i){return this._map.set(i,i),this}clear(){this._map.clear()}delete(i){return this._map.delete(i)}forEach(i,s){this._map.forEach((n,o)=>i.call(s,o,o,this))}has(i){return this._map.has(i)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(P=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=a;var m;(function(r){r[r.None=0]="None",r[r.AsOld=1]="AsOld",r[r.AsNew=2]="AsNew"})(m=e.Touch||(e.Touch={}));class c{constructor(){this[y]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(i){return this._map.has(i)}get(i,s=0){const n=this._map.get(i);if(!!n)return s!==0&&this.touch(n,s),n.value}set(i,s,n=0){let o=this._map.get(i);if(o)o.value=s,n!==0&&this.touch(o,n);else{switch(o={key:i,value:s,next:void 0,previous:void 0},n){case 0:this.addItemLast(o);break;case 1:this.addItemFirst(o);break;case 2:this.addItemLast(o);break;default:this.addItemLast(o);break}this._map.set(i,o),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const s=this._map.get(i);if(!!s)return this._map.delete(i),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}forEach(i,s){const n=this._state;let o=this._head;for(;o;){if(s?i.bind(s)(o.value,o.key,this):i(o.value,o.key,this),this._state!==n)throw new Error("LinkedMap got modified during iteration.");o=o.next}}keys(){const i=this,s=this._state;let n=this._head;const o={[Symbol.iterator](){return o},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(n){const d={value:n.key,done:!1};return n=n.next,d}else return{value:void 0,done:!0}}};return o}values(){const i=this,s=this._state;let n=this._head;const o={[Symbol.iterator](){return o},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(n){const d={value:n.value,done:!1};return n=n.next,d}else return{value:void 0,done:!0}}};return o}entries(){const i=this,s=this._state;let n=this._head;const o={[Symbol.iterator](){return o},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(n){const d={value:[n.key,n.value],done:!1};return n=n.next,d}else return{value:void 0,done:!0}}};return o}[(y=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(i>=this.size)return;if(i===0){this.clear();return}let s=this._head,n=this.size;for(;s&&n>i;)this._map.delete(s.key),s=s.next,n--;this._head=s,this._size=n,s&&(s.previous=void 0),this._state++}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const s=i.next,n=i.previous;if(!s||!n)throw new Error("Invalid list");s.previous=n,n.next=s}i.next=void 0,i.previous=void 0,this._state++}touch(i,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(i===this._head)return;const n=i.next,o=i.previous;i===this._tail?(o.next=void 0,this._tail=o):(n.previous=o,o.next=n),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(s===2){if(i===this._tail)return;const n=i.next,o=i.previous;i===this._head?(n.previous=void 0,this._head=n):(n.previous=o,o.next=n),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((s,n)=>{i.push([n,s])}),i}fromJSON(i){this.clear();for(const[s,n]of i)this.set(s,n)}}e.LinkedMap=c;class l extends c{constructor(i,s=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,s=2){return super.get(i,s)}peek(i){return super.get(i,0)}set(i,s){return super.set(i,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=l}),define(De[102],Ie([1,0,25,8]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScoreOptions=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function C(...ee){return function(ie,F){for(let H=0,K=ee.length;H<K;H++){const Q=ee[H](ie,F);if(Q)return Q}return null}}e.or=C,e.matchesStrictPrefix=P.bind(void 0,!1),e.matchesPrefix=P.bind(void 0,!0);function P(ee,ie,F){if(!F||F.length<ie.length)return null;let H;return ee?H=t.startsWithIgnoreCase(F,ie):H=F.indexOf(ie)===0,H?ie.length>0?[{start:0,end:ie.length}]:[]:null}function y(ee,ie){const F=ie.toLowerCase().indexOf(ee.toLowerCase());return F===-1?null:[{start:F,end:F+ee.length}]}e.matchesContiguousSubString=y;function D(ee,ie){return w(ee.toLowerCase(),ie.toLowerCase(),0,0)}e.matchesSubString=D;function w(ee,ie,F,H){if(F===ee.length)return[];if(H===ie.length)return null;if(ee[F]===ie[H]){let K=null;return(K=w(ee,ie,F+1,H+1))?h({start:H,end:H+1},K):null}return w(ee,ie,F,H+1)}function I(ee){return 97<=ee&&ee<=122}function A(ee){return 65<=ee&&ee<=90}e.isUpper=A;function k(ee){return 48<=ee&&ee<=57}function _(ee){return ee===32||ee===9||ee===10||ee===13}const T=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(ee=>T.add(ee.charCodeAt(0)));function E(ee){return _(ee)||T.has(ee)}function b(ee,ie){return ee===ie||E(ee)&&E(ie)}function v(ee){return I(ee)||A(ee)||k(ee)}function h(ee,ie){return ie.length===0?ie=[ee]:ee.end===ie[0].start?ie[0].start=ee.start:ie.unshift(ee),ie}function p(ee,ie){for(let F=ie;F<ee.length;F++){const H=ee.charCodeAt(F);if(A(H)||k(H)||F>0&&!v(ee.charCodeAt(F-1)))return F}return ee.length}function g(ee,ie,F,H){if(F===ee.length)return[];if(H===ie.length)return null;if(ee[F]!==ie[H].toLowerCase())return null;{let K=null,Q=H+1;for(K=g(ee,ie,F+1,H+1);!K&&(Q=p(ie,Q))<ie.length;)K=g(ee,ie,F+1,Q),Q++;return K===null?null:h({start:H,end:H+1},K)}}function a(ee){let ie=0,F=0,H=0,K=0,Q=0;for(let Se=0;Se<ee.length;Se++)Q=ee.charCodeAt(Se),A(Q)&&ie++,I(Q)&&F++,v(Q)&&H++,k(Q)&&K++;const fe=ie/ee.length,we=F/ee.length,ue=H/ee.length,Ce=K/ee.length;return{upperPercent:fe,lowerPercent:we,alphaPercent:ue,numericPercent:Ce}}function m(ee){const{upperPercent:ie,lowerPercent:F}=ee;return F===0&&ie>.6}function c(ee){const{upperPercent:ie,lowerPercent:F,alphaPercent:H,numericPercent:K}=ee;return F>.2&&ie<.8&&H>.6&&K<.2}function l(ee){let ie=0,F=0,H=0,K=0;for(let Q=0;Q<ee.length;Q++)H=ee.charCodeAt(Q),A(H)&&ie++,I(H)&&F++,_(H)&&K++;return(ie===0||F===0)&&K===0?ee.length<=30:ie<=5}function r(ee,ie){if(!ie||(ie=ie.trim(),ie.length===0)||!l(ee)||ie.length>60)return null;const F=a(ie);if(!c(F)){if(!m(F))return null;ie=ie.toLowerCase()}let H=null,K=0;for(ee=ee.toLowerCase();K<ie.length&&(H=g(ee,ie,0,K))===null;)K=p(ie,K+1);return H}e.matchesCamelCase=r;function i(ee,ie,F=!1){if(!ie||ie.length===0)return null;let H=null,K=0;for(ee=ee.toLowerCase(),ie=ie.toLowerCase();K<ie.length&&(H=s(ee,ie,0,K,F))===null;)K=n(ie,K+1);return H}e.matchesWords=i;function s(ee,ie,F,H,K){if(F===ee.length)return[];if(H===ie.length)return null;if(b(ee.charCodeAt(F),ie.charCodeAt(H))){let Q=null,fe=H+1;if(Q=s(ee,ie,F+1,H+1,K),!K)for(;!Q&&(fe=n(ie,fe))<ie.length;)Q=s(ee,ie,F+1,fe,K),fe++;return Q?ee.charCodeAt(F)!==ie.charCodeAt(H)?Q:h({start:H,end:H+1},Q):null}else return null}function n(ee,ie){for(let F=ie;F<ee.length;F++)if(E(ee.charCodeAt(F))||F>0&&E(ee.charCodeAt(F-1)))return F;return ee.length}const o=C(e.matchesPrefix,r,y),d=C(e.matchesPrefix,r,D),f=new u.LRUCache(1e4);function S(ee,ie,F=!1){if(typeof ee!="string"||typeof ie!="string")return null;let H=f.get(ee);H||(H=new RegExp(t.convertSimple2RegExpPattern(ee),"i"),f.set(ee,H));const K=H.exec(ie);return K?[{start:K.index,end:K.index+K[0].length}]:F?d(ee,ie):o(ee,ie)}e.matchesFuzzy=S;function L(ee,ie){const F=Re(ee,ee.toLowerCase(),0,ie,ie.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return F?B(F):null}e.matchesFuzzy2=L;function M(ee,ie,F,H,K,Q){const fe=Math.min(13,ee.length);for(;F<fe;F++){const we=Re(ee,ie,F,H,K,Q,{firstMatchCanBeWeak:!1,boostFullMatch:!0});if(we)return we}return[0,Q]}e.anyScore=M;function B(ee){if(typeof ee=="undefined")return[];const ie=[],F=ee[1];for(let H=ee.length-1;H>1;H--){const K=ee[H]+F,Q=ie[ie.length-1];Q&&Q.end===K?Q.end=K+1:ie.push({start:K,end:K+1})}return ie}e.createMatches=B;const R=128;function U(){const ee=[],ie=[];for(let F=0;F<=R;F++)ie[F]=0;for(let F=0;F<=R;F++)ee.push(ie.slice(0));return ee}function $(ee){const ie=[];for(let F=0;F<=ee;F++)ie[F]=0;return ie}const N=$(2*R),X=$(2*R),z=U(),O=U(),x=U(),V=!1;function q(ee,ie,F,H,K){function Q(we,ue,Ce=" "){for(;we.length<ue;)we=Ce+we;return we}let fe=` |   |${H.split("").map(we=>Q(we,3)).join("|")}
`;for(let we=0;we<=F;we++)we===0?fe+=" |":fe+=`${ie[we-1]}|`,fe+=ee[we].slice(0,K+1).map(ue=>Q(ue.toString(),3)).join("|")+`
`;return fe}function J(ee,ie,F,H){ee=ee.substr(ie),F=F.substr(H),console.log(q(O,ee,ee.length,F,F.length)),console.log(q(x,ee,ee.length,F,F.length)),console.log(q(z,ee,ee.length,F,F.length))}function Y(ee,ie){if(ie<0||ie>=ee.length)return!1;const F=ee.codePointAt(ie);switch(F){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!t.isEmojiImprecise(F)}}function he(ee,ie){if(ie<0||ie>=ee.length)return!1;switch(ee.charCodeAt(ie)){case 32:case 9:return!0;default:return!1}}function ve(ee,ie,F){return ie[ee]!==F[ee]}function re(ee,ie,F,H,K,Q,fe=!1){for(;ie<F&&K<Q;)ee[ie]===H[K]&&(fe&&(N[ie]=K),ie+=1),K+=1;return ie===F}e.isPatternInWord=re;var pe;(function(ee){ee[ee.Diag=1]="Diag",ee[ee.Left=2]="Left",ee[ee.LeftLeft=3]="LeftLeft"})(pe||(pe={}));var be;(function(ee){ee.Default=[-100,0];function ie(F){return!F||F.length===2&&F[0]===-100&&F[1]===0}ee.isDefault=ie})(be=e.FuzzyScore||(e.FuzzyScore={}));class ke{constructor(ie,F){this.firstMatchCanBeWeak=ie,this.boostFullMatch=F}}e.FuzzyScoreOptions=ke,ke.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function Re(ee,ie,F,H,K,Q,fe=ke.default){const we=ee.length>R?R:ee.length,ue=H.length>R?R:H.length;if(F>=we||Q>=ue||we-F>ue-Q||!re(ie,F,we,K,Q,ue,!0))return;Ue(we,ue,F,Q,ie,K);let Ce=1,Se=1,Be=F,qe=Q;const Je=[!1];for(Ce=1,Be=F;Be<we;Ce++,Be++){const oe=N[Be],G=X[Be],ye=Be+1<we?X[Be+1]:ue;for(Se=oe-Q+1,qe=oe;qe<ye;Se++,qe++){let Ae=Number.MIN_SAFE_INTEGER,We=!1;qe<=G&&(Ae=ae(ee,ie,Be,F,H,K,qe,ue,Q,z[Ce-1][Se-1]===0,Je));let ze=0;Ae!==Number.MAX_SAFE_INTEGER&&(We=!0,ze=Ae+O[Ce-1][Se-1]);const $e=qe>oe,Ze=$e?O[Ce][Se-1]+(z[Ce][Se-1]>0?-5:0):0,it=qe>oe+1&&z[Ce][Se-1]>0,lt=it?O[Ce][Se-2]+(z[Ce][Se-2]>0?-5:0):0;if(it&&(!$e||lt>=Ze)&&(!We||lt>=ze))O[Ce][Se]=lt,x[Ce][Se]=3,z[Ce][Se]=0;else if($e&&(!We||Ze>=ze))O[Ce][Se]=Ze,x[Ce][Se]=2,z[Ce][Se]=0;else if(We)O[Ce][Se]=ze,x[Ce][Se]=1,z[Ce][Se]=z[Ce-1][Se-1]+1;else throw new Error("not possible")}}if(V&&J(ee,F,H,Q),!Je[0]&&!fe.firstMatchCanBeWeak)return;Ce--,Se--;const Qe=[O[Ce][Se],Q];let Le=0,st=0;for(;Ce>=1;){let oe=Se;do{const G=x[Ce][oe];if(G===3)oe=oe-2;else if(G===2)oe=oe-1;else break}while(oe>=1);Le>1&&ie[F+Ce-1]===K[Q+Se-1]&&!ve(oe+Q-1,H,K)&&Le+1>z[Ce][oe]&&(oe=Se),oe===Se?Le++:Le=1,st||(st=oe),Ce--,Se=oe-1,Qe.push(Se)}ue===we&&fe.boostFullMatch&&(Qe[0]+=2);const se=st-we;return Qe[0]-=se,Qe}e.fuzzyScore=Re;function Ue(ee,ie,F,H,K,Q){let fe=ee-1,we=ie-1;for(;fe>=F&&we>=H;)K[fe]===Q[we]&&(X[fe]=we,fe--),we--}function ae(ee,ie,F,H,K,Q,fe,we,ue,Ce,Se){if(ie[F]!==Q[fe])return Number.MIN_SAFE_INTEGER;let Be=1,qe=!1;return fe===F-H?Be=ee[F]===K[fe]?7:5:ve(fe,K,Q)&&(fe===0||!ve(fe-1,K,Q))?(Be=ee[F]===K[fe]?7:5,qe=!0):Y(Q,fe)&&(fe===0||!Y(Q,fe-1))?Be=5:(Y(Q,fe-1)||he(Q,fe-1))&&(Be=5,qe=!0),Be>1&&F===H&&(Se[0]=!0),qe||(qe=ve(fe,K,Q)||Y(Q,fe-1)||he(Q,fe-1)),F===H?fe>ue&&(Be-=qe?3:5):Ce?Be+=qe?2:0:Be+=qe?0:1,fe+1===we&&(Be-=qe?3:5),Be}function de(ee,ie,F,H,K,Q,fe){return te(ee,ie,F,H,K,Q,!0,fe)}e.fuzzyScoreGracefulAggressive=de;function ge(ee,ie,F,H,K,Q,fe){return te(ee,ie,F,H,K,Q,!1,fe)}e.fuzzyScoreGraceful=ge;function te(ee,ie,F,H,K,Q,fe,we){let ue=Re(ee,ie,F,H,K,Q,we);if(ue&&!fe)return ue;if(ee.length>=3){const Ce=Math.min(7,ee.length-1);for(let Se=F+1;Se<Ce;Se++){const Be=le(ee,Se);if(Be){const qe=Re(Be,Be.toLowerCase(),F,H,K,Q,we);qe&&(qe[0]-=3,(!ue||qe[0]>ue[0])&&(ue=qe))}}}return ue}function le(ee,ie){if(ie+1>=ee.length)return;const F=ee[ie],H=ee[ie+1];if(F!==H)return ee.slice(0,ie)+H+F+ee.slice(ie+2)}}),define(De[156],Ie([1,0,76,102,8]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const P=new RegExp(`\\$\\(${u.CSSIcon.iconNameExpression}(?:${u.CSSIcon.iconModifierExpression})?\\)`,"g"),y=new RegExp(u.CSSIcon.iconNameCharacter),D=new RegExp(`(\\\\)?${P.source}`,"g");function w(v){return v.replace(D,(h,p)=>p?h:`\\${h}`)}e.escapeIcons=w;const I=new RegExp(`\\\\${P.source}`,"g");function A(v){return v.replace(I,h=>`\\${h}`)}e.markdownEscapeEscapedIcons=A;const k=new RegExp(`(\\s)?(\\\\)?${P.source}(\\s)?`,"g");function _(v){return v.indexOf(e.iconStartMarker)===-1?v:v.replace(k,(h,p,g,a)=>g?h:p||a||"")}e.stripIcons=_;function T(v){const h=v.indexOf(e.iconStartMarker);return h===-1?{text:v}:E(v,h)}e.parseLabelWithIcons=T;function E(v,h){const p=[];let g="";function a(o){if(o){g+=o;for(const d of o)p.push(l)}}let m=-1,c="",l=0,r,i,s=h;const n=v.length;for(a(v.substr(0,h));s<n;)r=v[s],i=v[s+1],r===e.iconStartMarker[0]&&i===e.iconStartMarker[1]?(m=s,a(c),c=e.iconStartMarker,s++):r===")"&&m!==-1?(l+=s-m+1,m=-1,c=""):m!==-1?y.test(r)?c+=r:(a(c),m=-1,c=""):a(r),s++;return a(c),{text:g,iconOffsets:p}}function b(v,h,p=!1){const{text:g,iconOffsets:a}=h;if(!a||a.length===0)return(0,t.matchesFuzzy)(v,g,p);const m=(0,C.ltrim)(g," "),c=g.length-m.length,l=(0,t.matchesFuzzy)(v,m,p);if(l)for(const r of l){const i=a[r.start+c]+c;r.start+=i,r.end+=i}return l}e.matchesFuzzyIconAware=b}),define(De[80],Ie([1,0,25]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new u.LRUCache(1e4);function C(I){return w(I,"NFC",t)}e.normalizeNFC=C;const P=new u.LRUCache(1e4);function y(I){return w(I,"NFD",P)}e.normalizeNFD=y;const D=/[^\u0000-\u0080]/;function w(I,A,k){if(!I)return I;const _=k.get(I);if(_)return _;let T;return D.test(I)?T=I.normalize(A):T=I,k.set(I,T),T}e.removeAccents=function(){const I=/[\u0300-\u036f]/g;return function(A){return y(A).replace(I,"")}}()}),define(De[41],Ie([1,0,8]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(C){C[C.Ignore=0]="Ignore",C[C.Info=1]="Info",C[C.Warning=2]="Warning",C[C.Error=3]="Error"})(t||(t={})),function(C){const P="error",y="warning",D="warn",w="info",I="ignore";function A(_){return _?u.equalsIgnoreCase(P,_)?C.Error:u.equalsIgnoreCase(y,_)||u.equalsIgnoreCase(D,_)?C.Warning:u.equalsIgnoreCase(w,_)?C.Info:C.Ignore:C.Ignore}C.fromValue=A;function k(_){switch(_){case C.Error:return P;case C.Warning:return y;case C.Info:return w;default:return I}}C.toString=k}(t||(t={})),e.default=t}),define(De[2],Ie([1,0,9,11]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const C=/^\w[\w\d+.-]*$/,P=/^\//,y=/^\/\//;function D(r,i){if(!r.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!C.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!P.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(y.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function w(r,i){return!r&&!i?"file":r}function I(r,i){switch(r){case"https":case"http":case"file":i?i[0]!==k&&(i=k+i):i=k;break}return i}const A="",k="/",_=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class T{constructor(i,s,n,o,d,f=!1){typeof i=="object"?(this.scheme=i.scheme||A,this.authority=i.authority||A,this.path=i.path||A,this.query=i.query||A,this.fragment=i.fragment||A):(this.scheme=w(i,f),this.authority=s||A,this.path=I(this.scheme,n||A),this.query=o||A,this.fragment=d||A,D(this,f))}static isUri(i){return i instanceof T?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}get fsPath(){return g(this,!1)}with(i){if(!i)return this;let{scheme:s,authority:n,path:o,query:d,fragment:f}=i;return s===void 0?s=this.scheme:s===null&&(s=A),n===void 0?n=this.authority:n===null&&(n=A),o===void 0?o=this.path:o===null&&(o=A),d===void 0?d=this.query:d===null&&(d=A),f===void 0?f=this.fragment:f===null&&(f=A),s===this.scheme&&n===this.authority&&o===this.path&&d===this.query&&f===this.fragment?this:new b(s,n,o,d,f)}static parse(i,s=!1){const n=_.exec(i);return n?new b(n[2]||A,l(n[4]||A),l(n[5]||A),l(n[7]||A),l(n[9]||A),s):new b(A,A,A,A,A)}static file(i){let s=A;if(t.isWindows&&(i=i.replace(/\\/g,k)),i[0]===k&&i[1]===k){const n=i.indexOf(k,2);n===-1?(s=i.substring(2),i=k):(s=i.substring(2,n),i=i.substring(n)||k)}return new b("file",s,i,A,A)}static from(i){const s=new b(i.scheme,i.authority,i.path,i.query,i.fragment);return D(s,!0),s}static joinPath(i,...s){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let n;return t.isWindows&&i.scheme==="file"?n=T.file(u.win32.join(g(i,!0),...s)).path:n=u.posix.join(i.path,...s),i.with({path:n})}toString(i=!1){return a(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof T)return i;{const s=new b(i);return s._formatted=i.external,s._fsPath=i._sep===E?i.fsPath:null,s}}else return i}}e.URI=T;const E=t.isWindows?1:void 0;class b extends T{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=g(this,!1)),this._fsPath}toString(i=!1){return i?a(this,!0):(this._formatted||(this._formatted=a(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=E),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function h(r,i){let s,n=-1;for(let o=0;o<r.length;o++){const d=r.charCodeAt(o);if(d>=97&&d<=122||d>=65&&d<=90||d>=48&&d<=57||d===45||d===46||d===95||d===126||i&&d===47)n!==-1&&(s+=encodeURIComponent(r.substring(n,o)),n=-1),s!==void 0&&(s+=r.charAt(o));else{s===void 0&&(s=r.substr(0,o));const f=v[d];f!==void 0?(n!==-1&&(s+=encodeURIComponent(r.substring(n,o)),n=-1),s+=f):n===-1&&(n=o)}}return n!==-1&&(s+=encodeURIComponent(r.substring(n))),s!==void 0?s:r}function p(r){let i;for(let s=0;s<r.length;s++){const n=r.charCodeAt(s);n===35||n===63?(i===void 0&&(i=r.substr(0,s)),i+=v[n]):i!==void 0&&(i+=r[s])}return i!==void 0?i:r}function g(r,i){let s;return r.authority&&r.path.length>1&&r.scheme==="file"?s=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?i?s=r.path.substr(1):s=r.path[1].toLowerCase()+r.path.substr(2):s=r.path,t.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=g;function a(r,i){const s=i?p:h;let n="",{scheme:o,authority:d,path:f,query:S,fragment:L}=r;if(o&&(n+=o,n+=":"),(d||o==="file")&&(n+=k,n+=k),d){let M=d.indexOf("@");if(M!==-1){const B=d.substr(0,M);d=d.substr(M+1),M=B.indexOf(":"),M===-1?n+=s(B,!1):(n+=s(B.substr(0,M),!1),n+=":",n+=s(B.substr(M+1),!1)),n+="@"}d=d.toLowerCase(),M=d.indexOf(":"),M===-1?n+=s(d,!1):(n+=s(d.substr(0,M),!1),n+=d.substr(M))}if(f){if(f.length>=3&&f.charCodeAt(0)===47&&f.charCodeAt(2)===58){const M=f.charCodeAt(1);M>=65&&M<=90&&(f=`/${String.fromCharCode(M+32)}:${f.substr(3)}`)}else if(f.length>=2&&f.charCodeAt(1)===58){const M=f.charCodeAt(0);M>=65&&M<=90&&(f=`${String.fromCharCode(M+32)}:${f.substr(2)}`)}n+=s(f,!0)}return S&&(n+="?",n+=s(S,!1)),L&&(n+="#",n+=i?L:h(L,!1)),n}function m(r){try{return decodeURIComponent(r)}catch{return r.length>3?r.substr(0,3)+m(r.substr(3)):r}}const c=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function l(r){return r.match(c)?r.replace(c,i=>m(i)):r}}),define(De[62],Ie([1,0,23,8,2]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function P(I){return JSON.stringify(I,D)}e.stringify=P;function y(I){let A=JSON.parse(I);return A=w(A),A}e.parse=y;function D(I,A){return A instanceof RegExp?{$mid:2,source:A.source,flags:(0,t.regExpFlags)(A)}:A}function w(I,A=0){if(!I||A>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return C.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof u.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let k=0;k<I.length;++k)I[k]=w(I[k],A+1);else for(const k in I)Object.hasOwnProperty.call(I,k)&&(I[k]=w(I[k],A+1))}return I}e.revive=w}),define(De[12],Ie([1,0,11,2]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var C;(function(D){D.inMemory="inmemory",D.vscode="vscode",D.internal="private",D.walkThrough="walkThrough",D.walkThroughSnippet="walkThroughSnippet",D.http="http",D.https="https",D.file="file",D.mailto="mailto",D.untitled="untitled",D.data="data",D.command="command",D.vscodeRemote="vscode-remote",D.vscodeRemoteResource="vscode-remote-resource",D.vscodeUserData="vscode-userdata",D.vscodeCustomEditor="vscode-custom-editor",D.vscodeNotebook="vscode-notebook",D.vscodeNotebookCell="vscode-notebook-cell",D.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",D.vscodeNotebookCellOutput="vscode-notebook-cell-output",D.vscodeInteractive="vscode-interactive",D.vscodeInteractiveInput="vscode-interactive-input",D.vscodeSettings="vscode-settings",D.vscodeWorkspaceTrust="vscode-workspace-trust",D.vscodeTerminal="vscode-terminal",D.webviewPanel="webview-panel",D.vscodeWebview="vscode-webview",D.extension="extension",D.vscodeFileResource="vscode-file",D.tmp="tmp",D.vsls="vsls",D.vscodeSourceControl="vscode-scm"})(C=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class P{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${C.vscodeRemoteResource}`}setPreferredWebSchema(w){this._preferredWebSchema=w}setDelegate(w){this._delegate=w}setServerRootPath(w){this._remoteResourcesPath=`${w}/${C.vscodeRemoteResource}`}set(w,I,A){this._hosts[w]=I,this._ports[w]=A}setConnectionToken(w,I){this._connectionTokens[w]=I}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(w){if(this._delegate)return this._delegate(w);const I=w.authority;let A=this._hosts[I];A&&A.indexOf(":")!==-1&&(A=`[${A}]`);const k=this._ports[I],_=this._connectionTokens[I];let T=`path=${encodeURIComponent(w.path)}`;return typeof _=="string"&&(T+=`&${e.connectionTokenQueryName}=${encodeURIComponent(_)}`),t.URI.from({scheme:u.isWeb?this._preferredWebSchema:C.vscodeRemoteResource,authority:`${A}:${k}`,path:this._remoteResourcesPath,query:T})}}e.RemoteAuthorities=new P;class y{asBrowserUri(w,I){const A=this.toUri(w,I);return A.scheme===C.vscodeRemote?e.RemoteAuthorities.rewrite(A):A.scheme===C.file&&(u.isNative||u.isWebWorker&&u.globals.origin===`${C.vscodeFileResource}://${y.FALLBACK_AUTHORITY}`)?A.with({scheme:C.vscodeFileResource,authority:A.authority||y.FALLBACK_AUTHORITY,query:null,fragment:null}):A}asFileUri(w,I){const A=this.toUri(w,I);return A.scheme===C.vscodeFileResource?A.with({scheme:C.file,authority:A.authority!==y.FALLBACK_AUTHORITY?A.authority:null,query:null,fragment:null}):A}toUri(w,I){return t.URI.isUri(w)?w:t.URI.parse(I.toUrl(w))}}y.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new y}),define(De[22],Ie([1,0,31,12,9,11,8,2]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function w(T){return(0,D.uriToFsPath)(T,!0)}e.originalFSPath=w;class I{constructor(E){this._ignorePathCasing=E}compare(E,b,v=!1){return E===b?0:(0,y.compare)(this.getComparisonKey(E,v),this.getComparisonKey(b,v))}isEqual(E,b,v=!1){return E===b?!0:!E||!b?!1:this.getComparisonKey(E,v)===this.getComparisonKey(b,v)}getComparisonKey(E,b=!1){return E.with({path:this._ignorePathCasing(E)?E.path.toLowerCase():void 0,fragment:b?null:void 0}).toString()}ignorePathCasing(E){return this._ignorePathCasing(E)}isEqualOrParent(E,b,v=!1){if(E.scheme===b.scheme){if(E.scheme===t.Schemas.file)return u.isEqualOrParent(w(E),w(b),this._ignorePathCasing(E))&&E.query===b.query&&(v||E.fragment===b.fragment);if((0,e.isEqualAuthority)(E.authority,b.authority))return u.isEqualOrParent(E.path,b.path,this._ignorePathCasing(E),"/")&&E.query===b.query&&(v||E.fragment===b.fragment)}return!1}joinPath(E,...b){return D.URI.joinPath(E,...b)}basenameOrAuthority(E){return(0,e.basename)(E)||E.authority}basename(E){return C.posix.basename(E.path)}extname(E){return C.posix.extname(E.path)}dirname(E){if(E.path.length===0)return E;let b;return E.scheme===t.Schemas.file?b=D.URI.file(C.dirname(w(E))).path:(b=C.posix.dirname(E.path),E.authority&&b.length&&b.charCodeAt(0)!==47&&(console.error(`dirname("${E.toString})) resulted in a relative path`),b="/")),E.with({path:b})}normalizePath(E){if(!E.path.length)return E;let b;return E.scheme===t.Schemas.file?b=D.URI.file(C.normalize(w(E))).path:b=C.posix.normalize(E.path),E.with({path:b})}relativePath(E,b){if(E.scheme!==b.scheme||!(0,e.isEqualAuthority)(E.authority,b.authority))return;if(E.scheme===t.Schemas.file){const p=C.relative(w(E),w(b));return P.isWindows?u.toSlashes(p):p}let v=E.path||"/";const h=b.path||"/";if(this._ignorePathCasing(E)){let p=0;for(const g=Math.min(v.length,h.length);p<g&&!(v.charCodeAt(p)!==h.charCodeAt(p)&&v.charAt(p).toLowerCase()!==h.charAt(p).toLowerCase());p++);v=h.substr(0,p)+v.substr(p)}return C.posix.relative(v,h)}resolvePath(E,b){if(E.scheme===t.Schemas.file){const v=D.URI.file(C.resolve(w(E),b));return E.with({authority:v.authority,path:v.path})}return b=u.toPosixPath(b),E.with({path:C.posix.resolve(E.path,b)})}isAbsolutePath(E){return!!E.path&&E.path[0]==="/"}isEqualAuthority(E,b){return E===b||E!==void 0&&b!==void 0&&(0,y.equalsIgnoreCase)(E,b)}hasTrailingPathSeparator(E,b=C.sep){if(E.scheme===t.Schemas.file){const v=w(E);return v.length>u.getRoot(v).length&&v[v.length-1]===b}else{const v=E.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(E.fsPath)}}removeTrailingPathSeparator(E,b=C.sep){return(0,e.hasTrailingPathSeparator)(E,b)?E.with({path:E.path.substr(0,E.path.length-1)}):E}addTrailingPathSeparator(E,b=C.sep){let v=!1;if(E.scheme===t.Schemas.file){const h=w(E);v=h!==void 0&&h.length===u.getRoot(h).length&&h[h.length-1]===b}else{b="/";const h=E.path;v=h.length===1&&h.charCodeAt(h.length-1)===47}return!v&&!(0,e.hasTrailingPathSeparator)(E,b)?E.with({path:E.path+"/"}):E}}e.ExtUri=I,e.extUri=new I(()=>!1),e.extUriBiasedIgnorePathCase=new I(T=>T.scheme===t.Schemas.file?!P.isLinux:!0),e.extUriIgnorePathCase=new I(T=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function A(T,E){const b=[];for(let v=0;v<T.length;v++){const h=E(T[v]);T.some((p,g)=>g===v?!1:(0,e.isEqualOrParent)(h,E(p)))||b.push(T[v])}return b}e.distinctParents=A;var k;(function(T){T.META_DATA_LABEL="label",T.META_DATA_DESCRIPTION="description",T.META_DATA_SIZE="size",T.META_DATA_MIME="mime";function E(b){const v=new Map;b.path.substring(b.path.indexOf(";")+1,b.path.lastIndexOf(";")).split(";").forEach(g=>{const[a,m]=g.split(":");a&&m&&v.set(a,m)});const p=b.path.substring(0,b.path.indexOf(";"));return p&&v.set(T.META_DATA_MIME,p),v}T.parseMetaData=E})(k=e.DataUri||(e.DataUri={}));function _(T,E,b){if(E){let v=T.path;return v&&v[0]!==C.posix.sep&&(v=C.posix.sep+v),T.with({scheme:b,authority:E,path:v})}return T.with({scheme:b})}e.toLocalResource=_}),define(De[18],Ie([1,0,21,10,4,6,22,11]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function w(ve){return!!ve&&typeof ve.then=="function"}e.isThenable=w;function I(ve){const re=new u.CancellationTokenSource,pe=ve(re.token),be=new Promise((ke,Re)=>{const Ue=re.token.onCancellationRequested(()=>{Ue.dispose(),re.dispose(),Re(new t.CancellationError)});Promise.resolve(pe).then(ae=>{Ue.dispose(),re.dispose(),ke(ae)},ae=>{Ue.dispose(),re.dispose(),Re(ae)})});return new class{cancel(){re.cancel()}then(ke,Re){return be.then(ke,Re)}catch(ke){return this.then(void 0,ke)}finally(ke){return be.finally(ke)}}}e.createCancelablePromise=I;function A(ve,re,pe){return new Promise((be,ke)=>{const Re=re.onCancellationRequested(()=>{Re.dispose(),be(pe)});ve.then(be,ke).finally(()=>Re.dispose())})}e.raceCancellation=A;function k(ve,re){return new Promise((pe,be)=>{const ke=re.onCancellationRequested(()=>{ke.dispose(),be(new t.CancellationError)});ve.then(pe,be).finally(()=>ke.dispose())})}e.raceCancellationError=k;async function _(ve){let re=-1;const pe=ve.map((ke,Re)=>ke.then(Ue=>(re=Re,Ue))),be=await Promise.race(pe);return ve.forEach((ke,Re)=>{Re!==re&&ke.cancel()}),be}e.raceCancellablePromises=_;function T(ve,re,pe){let be;const ke=setTimeout(()=>{be?.(void 0),pe?.()},re);return Promise.race([ve.finally(()=>clearTimeout(ke)),new Promise(Re=>be=Re)])}e.raceTimeout=T;function E(ve){return new Promise((re,pe)=>{const be=ve();w(be)?be.then(re,pe):re(be)})}e.asPromise=E;class b{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(re){if(this.activePromise){if(this.queuedPromiseFactory=re,!this.queuedPromise){const pe=()=>{this.queuedPromise=null;const be=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,be};this.queuedPromise=new Promise(be=>{this.activePromise.then(pe,pe).then(be)})}return new Promise((pe,be)=>{this.queuedPromise.then(pe,be)})}return this.activePromise=re(),new Promise((pe,be)=>{this.activePromise.then(ke=>{this.activePromise=null,pe(ke)},ke=>{this.activePromise=null,be(ke)})})}}e.Throttler=b;class v{constructor(){this.current=Promise.resolve(null)}queue(re){return this.current=this.current.then(()=>re(),()=>re())}}e.Sequencer=v;class h{constructor(){this.promiseMap=new Map}queue(re,pe){const ke=(this.promiseMap.get(re)??Promise.resolve()).catch(()=>{}).then(pe).finally(()=>{this.promiseMap.get(re)===ke&&this.promiseMap.delete(re)});return this.promiseMap.set(re,ke),ke}}e.SequencerByKey=h;const p=(ve,re)=>{let pe=!0;const be=setTimeout(()=>{pe=!1,re()},ve);return{isTriggered:()=>pe,dispose:()=>{clearTimeout(be),pe=!1}}},g=ve=>{let re=!0;return queueMicrotask(()=>{re&&(re=!1,ve())}),{isTriggered:()=>re,dispose:()=>{re=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class a{constructor(re){this.defaultDelay=re,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(re,pe=this.defaultDelay){this.task=re,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((ke,Re)=>{this.doResolve=ke,this.doReject=Re}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const ke=this.task;return this.task=null,ke()}}));const be=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=pe===e.MicrotaskDelay?g(be):p(pe,be),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=a;class m{constructor(re){this.delayer=new a(re),this.throttler=new b}trigger(re,pe){return this.delayer.trigger(()=>this.throttler.queue(re),pe)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=m;class c{constructor(){this._isOpen=!1,this._promise=new Promise((re,pe)=>{this._completePromise=re})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=c;class l extends c{constructor(re){super();this._timeout=setTimeout(()=>this.open(),re)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=l;function r(ve,re){return re?new Promise((pe,be)=>{const ke=setTimeout(()=>{Re.dispose(),pe()},ve),Re=re.onCancellationRequested(()=>{clearTimeout(ke),Re.dispose(),be(new t.CancellationError)})}):I(pe=>r(ve,pe))}e.timeout=r;function i(ve,re=0){const pe=setTimeout(ve,re);return(0,P.toDisposable)(()=>clearTimeout(pe))}e.disposableTimeout=i;function s(ve){const re=[];let pe=0;const be=ve.length;function ke(){return pe<be?ve[pe++]():null}function Re(Ue){Ue!=null&&re.push(Ue);const ae=ke();return ae?ae.then(Re):Promise.resolve(re)}return Promise.resolve(null).then(Re)}e.sequence=s;function n(ve,re=be=>!!be,pe=null){let be=0;const ke=ve.length,Re=()=>{if(be>=ke)return Promise.resolve(pe);const Ue=ve[be++];return Promise.resolve(Ue()).then(de=>re(de)?Promise.resolve(de):Re())};return Re()}e.first=n;function o(ve,re=be=>!!be,pe=null){if(ve.length===0)return Promise.resolve(pe);let be=ve.length;const ke=()=>{be=-1;for(const Re of ve)Re.cancel?.()};return new Promise((Re,Ue)=>{for(const ae of ve)ae.then(de=>{--be>=0&&re(de)?(ke(),Re(de)):be===0&&Re(pe)}).catch(de=>{--be>=0&&(ke(),Ue(de))})})}e.firstParallel=o;class d{constructor(re){this._size=0,this.maxDegreeOfParalellism=re,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new C.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(re){return this._size++,new Promise((pe,be)=>{this.outstandingPromises.push({factory:re,c:pe,e:be}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const re=this.outstandingPromises.shift();this.runningPromises++;const pe=re.factory();pe.then(re.c,re.e),pe.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=d;class f extends d{constructor(){super(1)}}e.Queue=f;class S{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const re=new x;return this.drainers.add(re),re.p}isDrained(){for(const[,re]of this.queues)if(re.size>0)return!1;return!0}queueFor(re,pe=y.extUri){const be=pe.getComparisonKey(re);let ke=this.queues.get(be);return ke||(ke=new f,C.Event.once(ke.onDrained)(()=>{ke?.dispose(),this.queues.delete(be),this.onDidQueueDrain()}),this.queues.set(be,ke)),ke}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const re of this.drainers)re.complete();this.drainers.clear()}dispose(){for(const[,re]of this.queues)re.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=S;class L{constructor(re,pe){this._token=-1,typeof re=="function"&&typeof pe=="number"&&this.setIfNotSet(re,pe)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(re,pe){this.cancel(),this._token=setTimeout(()=>{this._token=-1,re()},pe)}setIfNotSet(re,pe){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,re()},pe))}}e.TimeoutTimer=L;class M{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(re,pe){this.cancel(),this._token=setInterval(()=>{re()},pe)}}e.IntervalTimer=M;class B{constructor(re,pe){this.timeoutToken=-1,this.runner=re,this.timeout=pe,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(re=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,re)}get delay(){return this.timeout}set delay(re){this.timeout=re}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=B;class R{constructor(re,pe){pe%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${pe}ms is not a multiple of 1000ms.`),this.runner=re,this.timeout=pe,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(re=this.timeout){re%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${re}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(re/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=R;class U extends B{constructor(re,pe){super(re,pe);this.units=[]}work(re){this.units.push(re),this.isScheduled()||this.schedule()}doRun(){const re=this.units;this.units=[],this.runner?.(re)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=U;class $ extends P.Disposable{constructor(re,pe){super();this.options=re,this.handler=pe,this.pendingWork=[],this.throttler=this._register(new P.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(re){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+re.length>this.options.maxBufferedWork)return!1}else if(this.pending+re.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...re),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new B(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=$,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=ve=>{(0,D.setTimeout0)(()=>{if(re)return;const pe=Date.now()+15;ve(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,pe-Date.now())}}))});let re=!1;return{dispose(){re||(re=!0)}}}:e.runWhenIdle=(ve,re)=>{const pe=requestIdleCallback(ve,typeof re=="number"?{timeout:re}:void 0);let be=!1;return{dispose(){be||(be=!0,cancelIdleCallback(pe))}}}}();class N{constructor(re){this._didRun=!1,this._executor=()=>{try{this._value=re()}catch(pe){this._error=pe}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=N;async function X(ve,re,pe){let be;for(let ke=0;ke<pe;ke++)try{return await ve()}catch(Re){be=Re,await r(re)}throw be}e.retry=X;class z{hasPending(re){return this._pending?typeof re=="number"?this._pending.taskId===re:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(re,pe,be){return this._pending={taskId:re,cancel:()=>be?.(),promise:pe},pe.then(()=>this.donePending(re),()=>this.donePending(re)),pe}donePending(re){this._pending&&re===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const re=this._next;this._next=void 0,re.run().then(re.promiseResolve,re.promiseReject)}}setNext(re){if(this._next)this._next.run=re;else{let pe,be;const ke=new Promise((Re,Ue)=>{pe=Re,be=Ue});this._next={run:re,promise:ke,promiseResolve:pe,promiseReject:be}}return this._next.promise}}e.TaskSequentializer=z;class O{constructor(re,pe=()=>Date.now()){this.interval=re,this.nowFn=pe,this.lastIncrementTime=0,this.value=0}increment(){const re=this.nowFn();return re-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=re,this.value=0),this.value++,this.value}}e.IntervalCounter=O;class x{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((re,pe)=>{this.completeCallback=re,this.errorCallback=pe})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(re){return new Promise(pe=>{this.completeCallback(re),this.resolved=!0,pe()})}error(re){return new Promise(pe=>{this.errorCallback(re),this.rejected=!0,pe()})}cancel(){new Promise(re=>{this.errorCallback(new t.CancellationError),this.rejected=!0,re()})}}e.DeferredPromise=x;var V;(function(ve){async function re(be){let ke;const Re=await Promise.all(be.map(Ue=>Ue.then(ae=>ae,ae=>{ke||(ke=ae)})));if(typeof ke!="undefined")throw ke;return Re}ve.settled=re;function pe(be){return new Promise(async(ke,Re)=>{try{await be(ke,Re)}catch(Ue){Re(Ue)}})}ve.withAsyncBody=pe})(V=e.Promises||(e.Promises={}));var q;(function(ve){ve[ve.Initial=0]="Initial",ve[ve.DoneOK=1]="DoneOK",ve[ve.DoneError=2]="DoneError"})(q||(q={}));class J{constructor(re){this._state=0,this._results=[],this._error=null,this._onStateChanged=new C.Emitter,queueMicrotask(async()=>{const pe={emitOne:be=>this.emitOne(be),emitMany:be=>this.emitMany(be),reject:be=>this.reject(be)};try{await Promise.resolve(re(pe)),this.resolve()}catch(be){this.reject(be)}finally{pe.emitOne=void 0,pe.emitMany=void 0,pe.reject=void 0}})}static fromArray(re){return new J(pe=>{pe.emitMany(re)})}static fromPromise(re){return new J(async pe=>{pe.emitMany(await re)})}static fromPromises(re){return new J(async pe=>{await Promise.all(re.map(async be=>pe.emitOne(await be)))})}static merge(re){return new J(async pe=>{await Promise.all(re.map(async be=>{for await(const ke of be)pe.emitOne(ke)}))})}[Symbol.asyncIterator](){let re=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(re<this._results.length)return{done:!1,value:this._results[re++]};if(this._state===1)return{done:!0,value:void 0};await C.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(re,pe){return new J(async be=>{for await(const ke of re)be.emitOne(pe(ke))})}map(re){return J.map(this,re)}static filter(re,pe){return new J(async be=>{for await(const ke of re)pe(ke)&&be.emitOne(ke)})}filter(re){return J.filter(this,re)}static coalesce(re){return J.filter(re,pe=>!!pe)}coalesce(){return J.coalesce(this)}static async toPromise(re){const pe=[];for await(const be of re)pe.push(be);return pe}toPromise(){return J.toPromise(this)}emitOne(re){this._state===0&&(this._results.push(re),this._onStateChanged.fire())}emitMany(re){this._state===0&&(this._results=this._results.concat(re),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(re){this._state===0&&(this._state=2,this._error=re,this._onStateChanged.fire())}}e.AsyncIterableObject=J,J.EMPTY=J.fromArray([]);class Y extends J{constructor(re,pe){super(pe);this._source=re}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=Y;function he(ve){const re=new u.CancellationTokenSource,pe=ve(re.token);return new Y(re,async be=>{const ke=re.token.onCancellationRequested(()=>{ke.dispose(),re.dispose(),be.reject(new t.CancellationError)});try{for await(const Re of pe){if(re.token.isCancellationRequested)return;be.emitOne(Re)}ke.dispose(),re.dispose()}catch(Re){ke.dispose(),re.dispose(),be.reject(Re)}})}e.createCancelableAsyncIterable=he}),define(De[103],Ie([1,0,18,9]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const C=new u.IdleValue(()=>{const f=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:f,collatorIsNumeric:f.resolvedOptions().numeric}}),P=new u.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),y=new u.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function D(f,S,L=!1){const M=f||"",B=S||"",R=C.value.collator.compare(M,B);return C.value.collatorIsNumeric&&R===0&&M!==B?M<B?-1:1:R}e.compareFileNames=D;function w(f,S){const L=P.value.collator;return f=f||"",S=S||"",m(L,f,S)}e.compareFileNamesDefault=w;function I(f,S){const L=P.value.collator;return f=f||"",S=S||"",i(f,S)||m(L,f,S)}e.compareFileNamesUpper=I;function A(f,S){const L=P.value.collator;return f=f||"",S=S||"",r(f,S)||m(L,f,S)}e.compareFileNamesLower=A;function k(f,S){return f=f||"",S=S||"",f===S?0:f<S?-1:1}e.compareFileNamesUnicode=k;function _(f,S,L=!1){L||(f=f&&f.toLowerCase(),S=S&&S.toLowerCase());const[M,B]=g(f),[R,U]=g(S);return M!==R?M<R?-1:1:B===U?0:B<U?-1:1}e.noIntlCompareFileNames=_;function T(f,S){const[L,M]=g(f),[B,R]=g(S);let U=C.value.collator.compare(M,R);if(U===0){if(C.value.collatorIsNumeric&&M!==R)return M<R?-1:1;if(U=C.value.collator.compare(L,B),C.value.collatorIsNumeric&&U===0&&L!==B)return L<B?-1:1}return U}e.compareFileExtensions=T;function E(f,S){f=f||"",S=S||"";const L=a(f),M=a(S),B=P.value.collator,R=y.value.collator;return m(R,L,M)||m(B,f,S)}e.compareFileExtensionsDefault=E;function b(f,S){f=f||"",S=S||"";const L=a(f),M=a(S),B=P.value.collator,R=y.value.collator;return m(R,L,M)||i(f,S)||m(B,f,S)}e.compareFileExtensionsUpper=b;function v(f,S){f=f||"",S=S||"";const L=a(f),M=a(S),B=P.value.collator,R=y.value.collator;return m(R,L,M)||r(f,S)||m(B,f,S)}e.compareFileExtensionsLower=v;function h(f,S){f=f||"",S=S||"";const L=a(f).toLowerCase(),M=a(S).toLowerCase();return L!==M?L<M?-1:1:f!==S?f<S?-1:1:0}e.compareFileExtensionsUnicode=h;const p=/^(.*?)(\.([^.]*))?$/;function g(f,S=!1){const L=f?p.exec(f):[];let M=[L&&L[1]||"",L&&L[3]||""];return S&&(!M[0]&&M[1]||M[0]&&M[0].charAt(0)===".")&&(M=[M[0]+"."+M[1],""]),M}function a(f){const S=f?p.exec(f):[];return S&&S[1]&&S[1].charAt(0)!=="."&&S[3]||""}function m(f,S,L){const M=f.compare(S,L);return M!==0?M:S.length!==L.length?S.length<L.length?-1:1:0}function c(f){const S=f.charAt(0);return S.toLocaleUpperCase()!==S}function l(f){const S=f.charAt(0);return S.toLocaleLowerCase()!==S}function r(f,S){return c(f)&&l(S)?-1:l(f)&&c(S)?1:0}function i(f,S){return l(f)&&c(S)?-1:c(f)&&l(S)?1:0}function s(f,S,L=!1){return L||(f=f&&f.toLowerCase(),S=S&&S.toLowerCase()),f===S?0:f<S?-1:1}function n(f,S,L=!1){const M=f.split(t.sep),B=S.split(t.sep),R=M.length-1,U=B.length-1;let $,N;for(let X=0;;X++){if($=R===X,N=U===X,$&&N)return D(M[X],B[X],L);if($)return-1;if(N)return 1;const z=s(M[X],B[X],L);if(z!==0)return z}}e.comparePaths=n;function o(f,S,L){const M=f.toLowerCase(),B=S.toLowerCase(),R=d(f,S,L);if(R)return R;const U=M.endsWith(L),$=B.endsWith(L);if(U!==$)return U?-1:1;const N=D(M,B);return N!==0?N:M.localeCompare(B)}e.compareAnything=o;function d(f,S,L){const M=f.toLowerCase(),B=S.toLowerCase(),R=M.startsWith(L),U=B.startsWith(L);if(R!==U)return R?-1:1;if(R&&U){if(M.length<B.length)return-1;if(M.length>B.length)return 1}return 0}e.compareByPrefix=d}),define(De[104],Ie([1,0,103,102,61,9,11,8]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const w=0,I=[w,[]];function A(z,O,x,V){if(!z||!O)return I;const q=z.length,J=O.length;if(q<J)return I;const Y=z.toLowerCase();return k(O,x,J,z,Y,q,V)}e.scoreFuzzy=A;function k(z,O,x,V,q,J,Y){const he=[],ve=[];for(let ke=0;ke<x;ke++){const Re=ke*J,Ue=Re-J,ae=ke>0,de=z[ke],ge=O[ke];for(let te=0;te<J;te++){const le=te>0,ee=Re+te,ie=ee-1,F=Ue+te-1,H=le?he[ie]:0,K=ae&&le?he[F]:0,Q=ae&&le?ve[F]:0;let fe;!K&&ae?fe=0:fe=_(de,ge,V,q,te,Q),fe&&K+fe>=H&&(Y||ae||q.startsWith(O,te))?(ve[ee]=Q+1,he[ee]=K+fe):(ve[ee]=w,he[ee]=H)}}const re=[];let pe=x-1,be=J-1;for(;pe>=0&&be>=0;){const ke=pe*J+be;ve[ke]===w||(re.push(be),pe--),be--}return[he[x*J-1],re.reverse()]}function _(z,O,x,V,q,J){let Y=0;if(!T(O,V[q]))return Y;if(Y+=1,J>0&&(Y+=J*5),z===x[q]&&(Y+=1),q===0)Y+=8;else{const he=E(x.charCodeAt(q-1));he?Y+=he:(0,t.isUpper)(x.charCodeAt(q))&&J===0&&(Y+=2)}return Y}function T(z,O){return z===O?!0:z==="/"||z==="\\"?O==="/"||O==="\\":!1}function E(z){switch(z){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const b=[void 0,[]];function v(z,O,x=0,V=0){const q=O;return q.values&&q.values.length>1?h(z,q.values,x,V):p(z,O,x,V)}e.scoreFuzzy2=v;function h(z,O,x,V){let q=0;const J=[];for(const Y of O){const[he,ve]=p(z,Y,x,V);if(typeof he!="number")return b;q+=he,J.push(...ve)}return[q,d(J)]}function p(z,O,x,V){const q=(0,t.fuzzyScore)(O.original,O.originalLowercase,x,z,z.toLowerCase(),V,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return q?[q[0],(0,t.createMatches)(q)]:b}const g=Object.freeze({score:0}),a=1<<18,m=1<<17,c=1<<16;function l(z,O,x,V){const q=V.values?V.values:[V];return(0,C.hash)({[V.normalized]:{values:q.map(Y=>({value:Y.normalized,expectContiguousMatch:Y.expectContiguousMatch})),label:z,description:O,allowNonContiguousMatches:x}})}function r(z,O,x,V,q){if(!z||!O.normalized)return g;const J=V.getItemLabel(z);if(!J)return g;const Y=V.getItemDescription(z),he=l(J,Y,x,O),ve=q[he];if(ve)return ve;const re=i(J,Y,V.getItemPath(z),O,x);return q[he]=re,re}e.scoreItemFuzzy=r;function i(z,O,x,V,q){const J=!x||!V.containsPathSeparator;return x&&(y.isLinux?V.pathNormalized===x:(0,D.equalsIgnoreCase)(V.pathNormalized,x))?{score:a,labelMatch:[{start:0,end:z.length}],descriptionMatch:O?[{start:0,end:O.length}]:void 0}:V.values&&V.values.length>1?s(z,O,x,V.values,J,q):n(z,O,x,V,J,q)}function s(z,O,x,V,q,J){let Y=0;const he=[],ve=[];for(const re of V){const{score:pe,labelMatch:be,descriptionMatch:ke}=n(z,O,x,re,q,J);if(pe===w)return g;Y+=pe,be&&he.push(...be),ke&&ve.push(...ke)}return{score:Y,labelMatch:d(he),descriptionMatch:d(ve)}}function n(z,O,x,V,q,J){if(q||!O){const[Y,he]=A(z,V.normalized,V.normalizedLowercase,J&&!V.expectContiguousMatch);if(Y){const ve=(0,t.matchesPrefix)(V.normalized,z);let re;return ve?(re=m,re+=Math.round(V.normalized.length/z.length*100)):re=c,{score:re+Y,labelMatch:ve||o(he)}}}if(O){let Y=O;x&&(Y=`${O}${P.sep}`);const he=Y.length,ve=`${Y}${z}`,[re,pe]=A(ve,V.normalized,V.normalizedLowercase,J&&!V.expectContiguousMatch);if(re){const be=o(pe),ke=[],Re=[];return be.forEach(Ue=>{Ue.start<he&&Ue.end>he?(ke.push({start:0,end:Ue.end-he}),Re.push({start:Ue.start,end:he})):Ue.start>=he?ke.push({start:Ue.start-he,end:Ue.end-he}):Re.push(Ue)}),{score:re,labelMatch:ke,descriptionMatch:Re}}}return g}function o(z){const O=[];if(!z)return O;let x;for(const V of z)x&&x.end===V?x.end+=1:(x={start:V,end:V+1},O.push(x));return O}function d(z){const O=z.sort((q,J)=>q.start-J.start),x=[];let V;for(const q of O)!V||!f(V,q)?(V=q,x.push(q)):(V.start=Math.min(V.start,q.start),V.end=Math.max(V.end,q.end));return x}function f(z,O){return!(z.end<O.start||O.end<z.start)}function S(z,O,x,V,q,J){const Y=r(z,x,V,q,J),he=r(O,x,V,q,J),ve=Y.score,re=he.score;if((ve===a||re===a)&&ve!==re)return ve===a?-1:1;if(ve>c||re>c){if(ve!==re)return ve>re?-1:1;if(ve<m&&re<m){const de=M(Y.labelMatch,he.labelMatch);if(de!==0)return de}const Ue=q.getItemLabel(z)||"",ae=q.getItemLabel(O)||"";if(Ue.length!==ae.length)return Ue.length-ae.length}if(ve!==re)return ve>re?-1:1;const pe=Array.isArray(Y.labelMatch)&&Y.labelMatch.length>0,be=Array.isArray(he.labelMatch)&&he.labelMatch.length>0;if(pe&&!be)return-1;if(be&&!pe)return 1;const ke=L(z,Y,q),Re=L(O,he,q);return ke&&Re&&ke!==Re?Re>ke?-1:1:B(z,O,x,q)}e.compareItemsByFuzzyScore=S;function L(z,O,x){let V=-1,q=-1;if(O.descriptionMatch&&O.descriptionMatch.length?V=O.descriptionMatch[0].start:O.labelMatch&&O.labelMatch.length&&(V=O.labelMatch[0].start),O.labelMatch&&O.labelMatch.length){if(q=O.labelMatch[O.labelMatch.length-1].end,O.descriptionMatch&&O.descriptionMatch.length){const J=x.getItemDescription(z);J&&(q+=J.length)}}else O.descriptionMatch&&O.descriptionMatch.length&&(q=O.descriptionMatch[O.descriptionMatch.length-1].end);return q-V}function M(z,O){if(!z&&!O||(!z||!z.length)&&(!O||!O.length))return 0;if(!O||!O.length)return-1;if(!z||!z.length)return 1;const x=z[0].start,q=z[z.length-1].end-x,J=O[0].start,he=O[O.length-1].end-J;return q===he?0:he<q?1:-1}function B(z,O,x,V){const q=V.getItemLabel(z)||"",J=V.getItemLabel(O)||"",Y=V.getItemDescription(z),he=V.getItemDescription(O),ve=q.length+(Y?Y.length:0),re=J.length+(he?he.length:0);if(ve!==re)return ve-re;const pe=V.getItemPath(z),be=V.getItemPath(O);return pe&&be&&pe.length!==be.length?pe.length-be.length:q!==J?(0,u.compareAnything)(q,J,x.normalized):Y&&he&&Y!==he?(0,u.compareAnything)(Y,he,x.normalized):pe&&be&&pe!==be?(0,u.compareAnything)(pe,be,x.normalized):0}function R(z){return z.startsWith('"')&&z.endsWith('"')}const U=" ";function $(z){typeof z!="string"&&(z="");const O=z.toLowerCase(),{pathNormalized:x,normalized:V,normalizedLowercase:q}=N(z),J=x.indexOf(P.sep)>=0,Y=R(z);let he;const ve=z.split(U);if(ve.length>1)for(const re of ve){const pe=R(re),{pathNormalized:be,normalized:ke,normalizedLowercase:Re}=N(re);ke&&(he||(he=[]),he.push({original:re,originalLowercase:re.toLowerCase(),pathNormalized:be,normalized:ke,normalizedLowercase:Re,expectContiguousMatch:pe}))}return{original:z,originalLowercase:O,pathNormalized:x,normalized:V,normalizedLowercase:q,values:he,containsPathSeparator:J,expectContiguousMatch:Y}}e.prepareQuery=$;function N(z){let O;y.isWindows?O=z.replace(/\//g,P.sep):O=z.replace(/\\/g,P.sep);const x=(0,D.stripWildcards)(O).replace(/\s|"/g,"");return{pathNormalized:O,normalized:x,normalizedLowercase:x.toLowerCase()}}function X(z){return Array.isArray(z)?$(z.map(O=>O.original).join(U)):$(z.original)}e.pieceToQuery=X}),define(De[36],Ie([1,0,17,18,31,25,9,11,8]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function I(){return Object.create(null)}e.getEmptyExpression=I,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const A="[/\\\\]",k="[^/\\\\]",_=/\//g;function T(x,V){switch(x){case 0:return"";case 1:return`${k}*?`;default:return`(?:${A}|${k}+${A}${V?`|${A}${k}+`:""})*?`}}function E(x,V){if(!x)return[];const q=[];let J=!1,Y=!1,he="";for(const ve of x){switch(ve){case V:if(!J&&!Y){q.push(he),he="";continue}break;case"{":J=!0;break;case"}":J=!1;break;case"[":Y=!0;break;case"]":Y=!1;break}he+=ve}return he&&q.push(he),q}e.splitGlobAware=E;function b(x){if(!x)return"";let V="";const q=E(x,e.GLOB_SPLIT);if(q.every(J=>J===e.GLOBSTAR))V=".*";else{let J=!1;q.forEach((Y,he)=>{if(Y===e.GLOBSTAR){if(J)return;V+=T(2,he===q.length-1)}else{let ve=!1,re="",pe=!1,be="";for(const ke of Y){if(ke!=="}"&&ve){re+=ke;continue}if(pe&&(ke!=="]"||!be)){let Re;ke==="-"?Re=ke:(ke==="^"||ke==="!")&&!be?Re="^":ke===e.GLOB_SPLIT?Re="":Re=(0,w.escapeRegExpCharacters)(ke),be+=Re;continue}switch(ke){case"{":ve=!0;continue;case"[":pe=!0;continue;case"}":{V+=`(?:${E(re,",").map(ae=>b(ae)).join("|")})`,ve=!1,re="";break}case"]":{V+="["+be+"]",pe=!1,be="";break}case"?":V+=k;continue;case"*":V+=T(1);continue;default:V+=(0,w.escapeRegExpCharacters)(ke)}}he<q.length-1&&(q[he+1]!==e.GLOBSTAR||he+2<q.length)&&(V+=A)}J=Y===e.GLOBSTAR})}return V}const v=/^\*\*\/\*\.[\w\.-]+$/,h=/^\*\*\/([\w\.-]+)\/?$/,p=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,g=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,a=/^\*\*((\/[\w\.-]+)+)\/?$/,m=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,c=new P.LRUCache(1e4),l=function(){return!1},r=function(){return null};function i(x,V){if(!x)return r;let q;typeof x!="string"?q=x.pattern:q=x,q=q.trim();const J=`${q}_${!!V.trimForExclusions}`;let Y=c.get(J);if(Y)return s(Y,x);let he;return v.test(q)?Y=o(q.substr(4),q):(he=h.exec(n(q,V)))?Y=d(he[1],q):(V.trimForExclusions?g:p).test(q)?Y=f(q,V):(he=a.exec(n(q,V)))?Y=S(he[1].substr(1),q,!0):(he=m.exec(n(q,V)))?Y=S(he[1],q,!1):Y=L(q),c.set(J,Y),s(Y,x)}function s(x,V){if(typeof V=="string")return x;const q=function(J,Y){return(0,C.isEqualOrParent)(J,V.base,!D.isLinux)?x(J.substr(V.base.length+1),Y):null};return q.allBasenames=x.allBasenames,q.allPaths=x.allPaths,q.basenames=x.basenames,q.patterns=x.patterns,q}function n(x,V){return V.trimForExclusions&&x.endsWith("/**")?x.substr(0,x.length-2):x}function o(x,V){return function(q,J){return typeof q=="string"&&q.endsWith(x)?V:null}}function d(x,V){const q=`/${x}`,J=`\\${x}`,Y=function(ve,re){return typeof ve!="string"?null:re?re===x?V:null:ve===x||ve.endsWith(q)||ve.endsWith(J)?V:null},he=[x];return Y.basenames=he,Y.patterns=[V],Y.allBasenames=he,Y}function f(x,V){const q=z(x.slice(1,-1).split(",").map(re=>i(re,V)).filter(re=>re!==r),x),J=q.length;if(!J)return r;if(J===1)return q[0];const Y=function(re,pe){for(let be=0,ke=q.length;be<ke;be++)if(q[be](re,pe))return x;return null},he=q.find(re=>!!re.allBasenames);he&&(Y.allBasenames=he.allBasenames);const ve=q.reduce((re,pe)=>pe.allPaths?re.concat(pe.allPaths):re,[]);return ve.length&&(Y.allPaths=ve),Y}function S(x,V,q){const J=y.sep===y.posix.sep,Y=J?x:x.replace(_,y.sep),he=y.sep+Y,ve=y.posix.sep+x;let re;return q?re=function(pe,be){return typeof pe=="string"&&(pe===Y||pe.endsWith(he)||!J&&(pe===x||pe.endsWith(ve)))?V:null}:re=function(pe,be){return typeof pe=="string"&&(pe===Y||!J&&pe===x)?V:null},re.allPaths=[(q?"*/":"./")+x],re}function L(x){try{const V=new RegExp(`^${b(x)}$`);return function(q){return V.lastIndex=0,typeof q=="string"&&V.test(q)?x:null}}catch{return r}}function M(x,V,q){return!x||typeof V!="string"?!1:B(x)(V,void 0,q)}e.match=M;function B(x,V={}){if(!x)return l;if(typeof x=="string"||R(x)){const q=i(x,V);if(q===r)return l;const J=function(Y,he){return!!q(Y,he)};return q.allBasenames&&(J.allBasenames=q.allBasenames),q.allPaths&&(J.allPaths=q.allPaths),J}return N(x,V)}e.parse=B;function R(x){const V=x;return V?typeof V.base=="string"&&typeof V.pattern=="string":!1}e.isRelativePattern=R;function U(x){return x.allBasenames||[]}e.getBasenameTerms=U;function $(x){return x.allPaths||[]}e.getPathTerms=$;function N(x,V){const q=z(Object.getOwnPropertyNames(x).map(re=>X(re,x[re],V)).filter(re=>re!==r)),J=q.length;if(!J)return r;if(!q.some(re=>!!re.requiresSiblings)){if(J===1)return q[0];const re=function(ke,Re){let Ue;for(let ae=0,de=q.length;ae<de;ae++){const ge=q[ae](ke,Re);if(typeof ge=="string")return ge;(0,t.isThenable)(ge)&&(Ue||(Ue=[]),Ue.push(ge))}return Ue?(async()=>{for(const ae of Ue){const de=await ae;if(typeof de=="string")return de}return null})():null},pe=q.find(ke=>!!ke.allBasenames);pe&&(re.allBasenames=pe.allBasenames);const be=q.reduce((ke,Re)=>Re.allPaths?ke.concat(Re.allPaths):ke,[]);return be.length&&(re.allPaths=be),re}const Y=function(re,pe,be){let ke,Re;for(let Ue=0,ae=q.length;Ue<ae;Ue++){const de=q[Ue];de.requiresSiblings&&be&&(pe||(pe=(0,y.basename)(re)),ke||(ke=pe.substr(0,pe.length-(0,y.extname)(re).length)));const ge=de(re,pe,ke,be);if(typeof ge=="string")return ge;(0,t.isThenable)(ge)&&(Re||(Re=[]),Re.push(ge))}return Re?(async()=>{for(const Ue of Re){const ae=await Ue;if(typeof ae=="string")return ae}return null})():null},he=q.find(re=>!!re.allBasenames);he&&(Y.allBasenames=he.allBasenames);const ve=q.reduce((re,pe)=>pe.allPaths?re.concat(pe.allPaths):re,[]);return ve.length&&(Y.allPaths=ve),Y}function X(x,V,q){if(V===!1)return r;const J=i(x,q);if(J===r)return r;if(typeof V=="boolean")return J;if(V){const Y=V.when;if(typeof Y=="string"){const he=(ve,re,pe,be)=>{if(!be||!J(ve,re))return null;const ke=Y.replace("$(basename)",pe),Re=be(ke);return(0,t.isThenable)(Re)?Re.then(Ue=>Ue?x:null):Re?x:null};return he.requiresSiblings=!0,he}}return J}function z(x,V){const q=x.filter(re=>!!re.basenames);if(q.length<2)return x;const J=q.reduce((re,pe)=>{const be=pe.basenames;return be?re.concat(be):re},[]);let Y;if(V){Y=[];for(let re=0,pe=J.length;re<pe;re++)Y.push(V)}else Y=q.reduce((re,pe)=>{const be=pe.patterns;return be?re.concat(be):re},[]);const he=function(re,pe){if(typeof re!="string")return null;if(!pe){let ke;for(ke=re.length;ke>0;ke--){const Re=re.charCodeAt(ke-1);if(Re===47||Re===92)break}pe=re.substr(ke)}const be=J.indexOf(pe);return be!==-1?Y[be]:null};he.basenames=J,he.patterns=Y,he.allBasenames=J;const ve=x.filter(re=>!re.basenames);return ve.push(he),ve}function O(x,V){return(0,u.equals)(x,V,(q,J)=>typeof q=="string"&&typeof J=="string"?q===J:typeof q!="string"&&typeof J!="string"?q.base===J.base&&q.pattern===J.pattern:!1)}e.patternsEquals=O}),define(De[105],Ie([1,0,10,156,22,8,2]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeDoubleQuotes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var D;(function(v){v[v.Paragraph=0]="Paragraph",v[v.Break=1]="Break"})(D=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class w{constructor(h="",p=!1){if(this.value=h,typeof this.value!="string")throw(0,u.illegalArgument)("value");typeof p=="boolean"?(this.isTrusted=p,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=p.isTrusted??void 0,this.supportThemeIcons=p.supportThemeIcons??!1,this.supportHtml=p.supportHtml??!1)}appendText(h,p=0){return this.value+=_(this.supportThemeIcons?(0,t.escapeIcons)(h):h).replace(/([ \t]+)/g,(g,a)=>"&nbsp;".repeat(a.length)).replace(/\>/gm,"\\>").replace(/\n/g,p===1?`\\
`:`

`),this}appendMarkdown(h){return this.value+=h,this}appendCodeblock(h,p){return this.value+="\n```",this.value+=h,this.value+=`
`,this.value+=p,this.value+="\n```\n",this}appendLink(h,p,g){return this.value+="[",this.value+=this._escape(p,"]"),this.value+="](",this.value+=this._escape(String(h),")"),g&&(this.value+=` "${this._escape(this._escape(g,'"'),")")}"`),this.value+=")",this}_escape(h,p){const g=new RegExp((0,P.escapeRegExpCharacters)(p),"g");return h.replace(g,(a,m)=>h.charAt(m-1)!=="\\"?`\\${a}`:a)}}e.MarkdownString=w;function I(v){return A(v)?!v.value:Array.isArray(v)?v.every(I):!0}e.isEmptyMarkdownString=I;function A(v){return v instanceof w?!0:v&&typeof v=="object"?typeof v.value=="string"&&(typeof v.isTrusted=="boolean"||v.isTrusted===void 0)&&(typeof v.supportThemeIcons=="boolean"||v.supportThemeIcons===void 0):!1}e.isMarkdownString=A;function k(v,h){return v===h?!0:!v||!h?!1:v.value===h.value&&v.isTrusted===h.isTrusted&&v.supportThemeIcons===h.supportThemeIcons&&v.supportHtml===h.supportHtml&&(v.baseUri===h.baseUri||!!v.baseUri&&!!h.baseUri&&(0,C.isEqual)(y.URI.from(v.baseUri),y.URI.from(h.baseUri)))}e.markdownStringEqual=k;function _(v){return v.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=_;function T(v){return v.replace(/"/g,"&quot;")}e.escapeDoubleQuotes=T;function E(v){return v&&v.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=E;function b(v){const h=[],p=v.split("|").map(a=>a.trim());v=p[0];const g=p[1];if(g){const a=/height=(\d+)/.exec(g),m=/width=(\d+)/.exec(g),c=a?a[1]:"",l=m?m[1]:"",r=isFinite(parseInt(l)),i=isFinite(parseInt(c));r&&h.push(`width="${l}"`),i&&h.push(`height="${c}"`)}return{href:v,dimensions:h}}e.parseHrefAndDimensions=b}),define(De[106],Ie([1,0,17,31,9,11,22,8]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function w(r,i){const{os:s,tildify:n,relative:o}=i;if(o){const S=I(r,o,s);if(typeof S=="string")return S}let d=r.fsPath;if(s===1&&!P.isWindows?d=d.replace(/\//g,"\\"):s!==1&&P.isWindows&&(d=d.replace(/\\/g,"/")),s!==1&&n?.userHome){const S=n.userHome.fsPath;let L;r.scheme!==n.userHome.scheme&&r.path.startsWith(C.posix.sep)?L=n.userHome.with({path:r.path}).fsPath:L=r.fsPath,d=_(L,S,s)}return(s===1?C.win32:C.posix).normalize(A(d,s===1))}e.getPathLabel=w;function I(r,i,s){const n=s===1?C.win32:C.posix,o=s===3?y.extUri:y.extUriIgnorePathCase,d=i.getWorkspace(),f=(0,u.firstOrDefault)(d.folders);if(!f)return;r.scheme!==f.uri.scheme&&r.path.startsWith(C.posix.sep)&&(r=f.uri.with({path:r.path}));const S=i.getWorkspaceFolder(r);if(!S)return;let L;if(o.isEqual(S.uri,r)?L="":L=o.relativePath(S.uri,r)??"",L&&(L=n.normalize(L)),d.folders.length>1&&!i.noPrefix){const M=S.name?S.name:o.basenameOrAuthority(S.uri);L=L?`${M} \u2022 ${L}`:M}return L}function A(r,i=P.isWindows){return(0,t.hasDriveLetter)(r,i)?r.charAt(0).toUpperCase()+r.slice(1):r}e.normalizeDriveLetter=A;let k=Object.create(null);function _(r,i,s=P.OS){if(s===1||!r||!i)return r;let n=k.original===i?k.normalized:void 0;n||(n=i,P.isWindows&&(n=(0,t.toSlashes)(n)),n=`${(0,D.rtrim)(n,C.posix.sep)}${C.posix.sep}`,k={original:i,normalized:n});let o=r;return P.isWindows&&(o=(0,t.toSlashes)(o)),(s===3?o.startsWith(n):(0,D.startsWithIgnoreCase)(o,n))?`~/${o.substr(n.length)}`:r}e.tildify=_;function T(r,i){return r.replace(/^~($|\/|\\)/,`${i}$1`)}e.untildify=T;const E="\u2026",b="\\\\",v="~";function h(r,i=C.sep){const s=new Array(r.length);let n=!1;for(let o=0;o<r.length;o++){const d=r[o];if(d===""){s[o]=`.${i}`;continue}if(!d){s[o]=d;continue}n=!0;let f="",S=d;S.indexOf(b)===0?(f=S.substr(0,S.indexOf(b)+b.length),S=S.substr(S.indexOf(b)+b.length)):S.indexOf(i)===0?(f=S.substr(0,S.indexOf(i)+i.length),S=S.substr(S.indexOf(i)+i.length)):S.indexOf(v)===0&&(f=S.substr(0,S.indexOf(v)+v.length),S=S.substr(S.indexOf(v)+v.length));const L=S.split(i);for(let M=1;n&&M<=L.length;M++)for(let B=L.length-M;n&&B>=0;B--){n=!1;let R=L.slice(B,B+M).join(i);for(let U=0;!n&&U<r.length;U++)if(U!==o&&r[U]&&r[U].indexOf(R)>-1){const $=B+M===L.length,N=B>0&&r[U].indexOf(i)>-1?i+R:R,X=r[U].endsWith(N);n=!$||X}if(!n){let U="";(L[0].endsWith(":")||f!=="")&&(B===1&&(B=0,M++,R=L[0]+i+R),B>0&&(U=L[0]+i),U=f+U),B>0&&(U=U+E+i),U=U+R,B+M<L.length&&(U=U+i+E),s[o]=U}}n&&(s[o]=d)}return s}e.shorten=h;var p;(function(r){r[r.TEXT=0]="TEXT",r[r.VARIABLE=1]="VARIABLE",r[r.SEPARATOR=2]="SEPARATOR"})(p||(p={}));function g(r,i=Object.create(null)){const s=[];let n=!1,o="";for(const d of r)if(d==="$"||n&&d==="{")o&&s.push({value:o,type:p.TEXT}),o="",n=!0;else if(d==="}"&&n){const f=i[o];if(typeof f=="string")f.length&&s.push({value:f,type:p.VARIABLE});else if(f){const S=s[s.length-1];(!S||S.type!==p.SEPARATOR)&&s.push({value:f.label,type:p.SEPARATOR})}o="",n=!1}else o+=d;return o&&!n&&s.push({value:o,type:p.TEXT}),s.filter((d,f)=>{if(d.type===p.SEPARATOR){const S=s[f-1],L=s[f+1];return[S,L].every(M=>M&&(M.type===p.VARIABLE||M.type===p.TEXT)&&M.value.length>0)}return!0}).map(d=>d.value).join("")}e.template=g;function a(r,i){return P.isMacintosh||i?r.replace(/\(&&\w\)|&&/g,"").replace(/&/g,P.isMacintosh?"&":"&&"):r.replace(/&&|&/g,s=>s==="&"?"&&":"&")}e.mnemonicMenuLabel=a;function m(r,i){return P.isMacintosh||i?r.replace(/\(&&\w\)|&&/g,""):P.isWindows?r.replace(/&&|&/g,s=>s==="&"?"&&":"&"):r.replace(/&&/g,"_")}e.mnemonicButtonLabel=m;function c(r){return r.replace(/&/g,"&&")}e.unmnemonicLabel=c;function l(r){const i=r.indexOf("/")!==-1?C.posix:C.win32,s=i.basename(r),n=i.dirname(r);return s.length?{name:s,parentPath:n}:{name:n,parentPath:""}}e.splitName=l}),define(De[107],Ie([1,0,2]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(A){return A.toJSON()}class C{constructor(k){this._uriTransformer=k}transformIncoming(k){const _=this._uriTransformer.transformIncoming(k);return _===k?k:t(u.URI.from(_))}transformOutgoing(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:t(u.URI.from(_))}transformOutgoingURI(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:u.URI.from(_)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=C,e.DefaultURITransformer=new class{transformIncoming(A){return A}transformOutgoing(A){return A}transformOutgoingURI(A){return A}transformOutgoingScheme(A){return A}};function P(A,k,_){if(!A||_>200)return null;if(typeof A=="object"){if(A instanceof u.URI)return k.transformOutgoing(A);for(const T in A)if(Object.hasOwnProperty.call(A,T)){const E=P(A[T],k,_+1);E!==null&&(A[T]=E)}}return null}function y(A,k){const _=P(A,k,0);return _===null?A:_}e.transformOutgoingURIs=y;function D(A,k,_,T){if(!A||T>200)return null;if(typeof A=="object"){if(A.$mid===1)return _?u.URI.revive(k.transformIncoming(A)):k.transformIncoming(A);for(const E in A)if(Object.hasOwnProperty.call(A,E)){const b=D(A[E],k,_,T+1);b!==null&&(A[E]=b)}}return null}function w(A,k){const _=D(A,k,!1,0);return _===null?A:_}e.transformIncomingURIs=w;function I(A,k){const _=D(A,k,!0,0);return _===null?A:_}e.transformAndReviveIncomingURIs=I}),define(De[29],Ie([1,0,63,81,301,18,31,80,9,11,22,2]),function(Z,e,u,t,C,P,y,D,w,I,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var _;(function(N){N[N.UNLINK=0]="UNLINK",N[N.MOVE=1]="MOVE"})(_=e.RimRafMode||(e.RimRafMode={}));async function T(N,X=_.UNLINK){if((0,y.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");return X===_.UNLINK?b(N):E(N)}async function E(N){try{const X=(0,y.randomPath)((0,t.tmpdir)());try{await u.promises.rename(N,X)}catch{return b(N)}b(X).catch(z=>{})}catch(X){if(X.code!=="ENOENT")throw X}}async function b(N){return(0,C.promisify)(u.rm)(N,{recursive:!0,force:!0,maxRetries:3})}function v(N){if((0,y.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");u.rmSync(N,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=v;async function h(N,X){return a(await(X?p(N):(0,C.promisify)(u.readdir)(N)))}async function p(N){try{return await(0,C.promisify)(u.readdir)(N,{withFileTypes:!0})}catch(O){console.warn("[node.js fs] readdir with filetypes failed with error: ",O)}const X=[],z=await h(N);for(const O of z){let x=!1,V=!1,q=!1;try{const J=await e.Promises.lstat((0,w.join)(N,O));x=J.isFile(),V=J.isDirectory(),q=J.isSymbolicLink()}catch(J){console.warn("[node.js fs] unexpected error from lstat after readdir: ",J)}X.push({name:O,isFile:()=>x,isDirectory:()=>V,isSymbolicLink:()=>q})}return X}function g(N){return a(u.readdirSync(N))}e.readdirSync=g;function a(N){return N.map(X=>typeof X=="string"?I.isMacintosh?(0,D.normalizeNFC)(X):X:(X.name=I.isMacintosh?(0,D.normalizeNFC)(X.name):X.name,X))}async function m(N){const X=await h(N),z=[];for(const O of X)await l.existsDirectory((0,w.join)(N,O))&&z.push(O);return z}function c(N,X=1e3){return new Promise(z=>{let O=!1;const x=setInterval(()=>{O||(O=!0,u.access(N,V=>{O=!1,V&&(clearInterval(x),z(void 0))}))},X)})}e.whenDeleted=c;var l;(function(N){async function X(x){let V;try{if(V=await e.Promises.lstat(x),!V.isSymbolicLink())return{stat:V}}catch{}try{return{stat:await e.Promises.stat(x),symbolicLink:V?.isSymbolicLink()?{dangling:!1}:void 0}}catch(q){if(q.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};if(I.isWindows&&q.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(x)),symbolicLink:{dangling:!1}}}catch(J){if(J.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};throw J}throw q}}N.stat=X;async function z(x){try{const{stat:V,symbolicLink:q}=await N.stat(x);return V.isFile()&&q?.dangling!==!0}catch{}return!1}N.existsFile=z;async function O(x){try{const{stat:V,symbolicLink:q}=await N.stat(x);return V.isDirectory()&&q?.dangling!==!0}catch{}return!1}N.existsDirectory=O})(l=e.SymlinkSupport||(e.SymlinkSupport={}));const r=new P.ResourceQueue;function i(N,X,z){return r.queueFor(k.URI.file(N),A.extUriBiasedIgnorePathCase).queue(()=>{const O=f(z);return new Promise((x,V)=>o(N,X,O,q=>q?V(q):x()))})}let s=!0;function n(N){s=N}e.configureFlushOnWrite=n;function o(N,X,z,O){if(!s)return u.writeFile(N,X,{mode:z.mode,flag:z.flag},O);u.open(N,z.flag,z.mode,(x,V)=>{if(x)return O(x);u.writeFile(V,X,q=>{if(q)return u.close(V,()=>O(q));u.fdatasync(V,J=>(J&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",J),n(!1)),u.close(V,Y=>O(Y))))})})}function d(N,X,z){const O=f(z);if(!s)return u.writeFileSync(N,X,{mode:O.mode,flag:O.flag});const x=u.openSync(N,O.flag,O.mode);try{u.writeFileSync(x,X);try{u.fdatasyncSync(x)}catch(V){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",V),n(!1)}}finally{u.closeSync(x)}}e.writeFileSync=d;function f(N){return N?{mode:typeof N.mode=="number"?N.mode:438,flag:typeof N.flag=="string"?N.flag:"w"}:{mode:438,flag:"w"}}async function S(N,X){if(N!==X)try{await e.Promises.rename(N,X)}catch(z){if(N.toLowerCase()!==X.toLowerCase()&&z.code==="EXDEV"||N.endsWith("."))await L(N,X,{preserveSymlinks:!1}),await T(N,_.MOVE);else throw z}}async function L(N,X,z){return B(N,X,{root:{source:N,target:X},options:z,handledSourcePaths:new Set})}const M=511;async function B(N,X,z){if(z.handledSourcePaths.has(N))return;z.handledSourcePaths.add(N);const{stat:O,symbolicLink:x}=await l.stat(N);if(x){if(z.options.preserveSymlinks)try{return await $(N,X,z)}catch(V){console.warn("[node.js fs] copy of symlink failed: ",V)}if(x.dangling)return}return O.isDirectory()?R(N,X,O.mode&M,z):U(N,X,O.mode&M)}async function R(N,X,z,O){await e.Promises.mkdir(X,{recursive:!0,mode:z});const x=await h(N);for(const V of x)await B((0,w.join)(N,V),(0,w.join)(X,V),O)}async function U(N,X,z){await e.Promises.copyFile(N,X),await e.Promises.chmod(X,z)}async function $(N,X,z){let O=await e.Promises.readlink(N);(0,y.isEqualOrParent)(O,z.root.source,!I.isLinux)&&(O=(0,w.join)(z.root.target,O.substr(z.root.source.length+1))),await e.Promises.symlink(O,X)}e.Promises=new class{get access(){return(0,C.promisify)(u.access)}get stat(){return(0,C.promisify)(u.stat)}get lstat(){return(0,C.promisify)(u.lstat)}get utimes(){return(0,C.promisify)(u.utimes)}get read(){return(N,X,z,O,x)=>new Promise((V,q)=>{u.read(N,X,z,O,x,(J,Y,he)=>J?q(J):V({bytesRead:Y,buffer:he}))})}get readFile(){return(0,C.promisify)(u.readFile)}get write(){return(N,X,z,O,x)=>new Promise((V,q)=>{u.write(N,X,z,O,x,(J,Y,he)=>J?q(J):V({bytesWritten:Y,buffer:he}))})}get appendFile(){return(0,C.promisify)(u.appendFile)}get fdatasync(){return(0,C.promisify)(u.fdatasync)}get truncate(){return(0,C.promisify)(u.truncate)}get rename(){return(0,C.promisify)(u.rename)}get copyFile(){return(0,C.promisify)(u.copyFile)}get open(){return(0,C.promisify)(u.open)}get close(){return(0,C.promisify)(u.close)}get symlink(){return(0,C.promisify)(u.symlink)}get readlink(){return(0,C.promisify)(u.readlink)}get chmod(){return(0,C.promisify)(u.chmod)}get mkdir(){return(0,C.promisify)(u.mkdir)}get unlink(){return(0,C.promisify)(u.unlink)}get rmdir(){return(0,C.promisify)(u.rmdir)}get realpath(){return(0,C.promisify)(u.realpath)}async exists(N){try{return await e.Promises.access(N),!0}catch{return!1}}get readdir(){return h}get readDirsInDir(){return m}get writeFile(){return i}get rm(){return T}get move(){return S}get copy(){return L}}}),define(De[108],Ie([1,0,63,9,11,8,29]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function D(_){if(C.isLinux)return _;const T=(0,t.dirname)(_);if(_===T)return _;const E=((0,t.basename)(_)||_).toLowerCase();try{const v=(0,y.readdirSync)(T).filter(h=>h.toLowerCase()===E);if(v.length===1){const h=D(T);if(h)return(0,t.join)(h,v[0])}else if(v.length>1){const h=v.indexOf(E);if(h>=0){const p=D(T);if(p)return(0,t.join)(p,v[h])}}}catch{}return null}e.realcaseSync=D;async function w(_){if(C.isLinux)return _;const T=(0,t.dirname)(_);if(_===T)return _;const E=((0,t.basename)(_)||_).toLowerCase();try{const v=(await y.Promises.readdir(T)).filter(h=>h.toLowerCase()===E);if(v.length===1){const h=await w(T);if(h)return(0,t.join)(h,v[0])}else if(v.length>1){const h=v.indexOf(E);if(h>=0){const p=await w(T);if(p)return(0,t.join)(p,v[h])}}}catch{}return null}e.realcase=w;async function I(_){try{return await y.Promises.realpath(_)}catch{const E=k(_);return await y.Promises.access(E,u.constants.R_OK),E}}e.realpath=I;function A(_){try{return u.realpathSync(_)}catch{const E=k(_);return u.accessSync(E,u.constants.R_OK),E}}e.realpathSync=A;function k(_){return(0,P.rtrim)((0,t.normalize)(_),t.sep)}}),define(De[109],Ie([1,0,9,11,40,101,13,29]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return P.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return P.TerminateResponseCode}});function w(k=C.env){return k.comspec||"cmd.exe"}e.getWindowsShell=w;function I(k){let _=[],T=!1;const E=function(b){if(T){_.push(b);return}(!k.send(b,h=>{if(h&&console.error(h),T=!1,_.length>0){const p=_.slice(0);_=[],p.forEach(g=>E(g))}})||t.isWindows)&&(T=!0)};return{send:E}}e.createQueuedSender=I;var A;(function(k){async function _(T,E,b){if(u.isAbsolute(T))return T;if(E===void 0&&(E=C.cwd()),u.dirname(T)!=="."||(b===void 0&&y.isString(C.env.PATH)&&(b=C.env.PATH.split(u.delimiter)),b===void 0||b.length===0))return u.join(E,T);async function h(p){if(await D.Promises.exists(p)){let g;try{g=await D.Promises.stat(p)}catch(a){a.message.startsWith("EACCES")&&(g=await D.Promises.lstat(p))}return g?!g.isDirectory():!1}return!1}for(const p of b){let g;if(u.isAbsolute(p)?g=u.join(p,T):g=u.join(E,p,T),await h(g))return g;let a=g+".com";if(await h(a)||(a=g+".exe",await h(a)))return a}return u.join(E,T)}k.findExecutable=_})(A=e.win32||(e.win32={}))});var je=this&&this.__decorate||function(Z,e,u,t){var C=arguments.length,P=C<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,u):t,y;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")P=Reflect.decorate(Z,e,u,t);else for(var D=Z.length-1;D>=0;D--)(y=Z[D])&&(P=(C<3?y(P):C>3?y(e,u,P):y(e,u))||P);return C>3&&P&&Object.defineProperty(e,u,P),P};define(De[110],Ie([1,0,17,18,23,21,58,10,4,6,62,8,13]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var T;(function(x){x[x.Promise=100]="Promise",x[x.PromiseCancel=101]="PromiseCancel",x[x.EventListen=102]="EventListen",x[x.EventDispose=103]="EventDispose"})(T=e.RequestType||(e.RequestType={}));function E(x){switch(x){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var b;(function(x){x[x.Initialize=200]="Initialize",x[x.PromiseSuccess=201]="PromiseSuccess",x[x.PromiseError=202]="PromiseError",x[x.PromiseErrorObj=203]="PromiseErrorObj",x[x.EventFire=204]="EventFire"})(b=e.ResponseType||(e.ResponseType={}));function v(x){switch(x){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var h;(function(x){x[x.Uninitialized=0]="Uninitialized",x[x.Idle=1]="Idle"})(h||(h={}));class p{constructor(V){this.buffer=V,this.pos=0}read(V){const q=this.buffer.slice(this.pos,this.pos+V);return this.pos+=q.byteLength,q}}class g{constructor(){this.buffers=[]}get buffer(){return C.VSBuffer.concat(this.buffers)}write(V){this.buffers.push(V)}}var a;(function(x){x[x.Undefined=0]="Undefined",x[x.String=1]="String",x[x.Buffer=2]="Buffer",x[x.VSBuffer=3]="VSBuffer",x[x.Array=4]="Array",x[x.Object=5]="Object"})(a||(a={}));function m(x){const V=C.VSBuffer.alloc(4);return V.writeUInt32BE(x,0),V}function c(x){return x.read(4).readUInt32BE(0)}function l(x){const V=C.VSBuffer.alloc(1);return V.writeUInt8(x,0),V}const r={Undefined:l(a.Undefined),String:l(a.String),Buffer:l(a.Buffer),VSBuffer:l(a.VSBuffer),Array:l(a.Array),Object:l(a.Object)},i=typeof Buffer!="undefined";function s(x,V){if(typeof V=="undefined")x.write(r.Undefined);else if(typeof V=="string"){const q=C.VSBuffer.fromString(V);x.write(r.String),x.write(m(q.byteLength)),x.write(q)}else if(i&&Buffer.isBuffer(V)){const q=C.VSBuffer.wrap(V);x.write(r.Buffer),x.write(m(q.byteLength)),x.write(q)}else if(V instanceof C.VSBuffer)x.write(r.VSBuffer),x.write(m(V.byteLength)),x.write(V);else if(Array.isArray(V)){x.write(r.Array),x.write(m(V.length));for(const q of V)s(x,q)}else{const q=C.VSBuffer.fromString(JSON.stringify(V));x.write(r.Object),x.write(m(q.byteLength)),x.write(q)}}function n(x){switch(x.read(1).readUInt8(0)){case a.Undefined:return;case a.String:return x.read(c(x)).toString();case a.Buffer:return x.read(c(x)).buffer;case a.VSBuffer:return x.read(c(x));case a.Array:{const q=c(x),J=[];for(let Y=0;Y<q;Y++)J.push(n(x));return J}case a.Object:return JSON.parse(x.read(c(x)).toString())}}class o{constructor(V,q,J=null,Y=1e3){this.protocol=V,this.ctx=q,this.logger=J,this.timeoutDelay=Y,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(he=>this.onRawMessage(he)),this.sendResponse({type:200})}registerChannel(V,q){this.channels.set(V,q),setTimeout(()=>this.flushPendingRequests(V),0)}sendResponse(V){switch(V.type){case 200:{const q=this.send([V.type]);this.logger?.logOutgoing(q,0,1,v(V.type));return}case 201:case 202:case 204:case 203:{const q=this.send([V.type,V.id],V.data);this.logger?.logOutgoing(q,V.id,1,v(V.type),V.data);return}}}send(V,q=void 0){const J=new g;return s(J,V),s(J,q),this.sendBuffer(J.buffer)}sendBuffer(V){try{return this.protocol.send(V),V.byteLength}catch{return 0}}onRawMessage(V){const q=new p(V),J=n(q),Y=n(q),he=J[0];switch(he){case 100:return this.logger?.logIncoming(V.byteLength,J[1],1,`${E(he)}: ${J[2]}.${J[3]}`,Y),this.onPromise({type:he,id:J[1],channelName:J[2],name:J[3],arg:Y});case 102:return this.logger?.logIncoming(V.byteLength,J[1],1,`${E(he)}: ${J[2]}.${J[3]}`,Y),this.onEventListen({type:he,id:J[1],channelName:J[2],name:J[3],arg:Y});case 101:return this.logger?.logIncoming(V.byteLength,J[1],1,`${E(he)}`),this.disposeActiveRequest({type:he,id:J[1]});case 103:return this.logger?.logIncoming(V.byteLength,J[1],1,`${E(he)}`),this.disposeActiveRequest({type:he,id:J[1]})}}onPromise(V){const q=this.channels.get(V.channelName);if(!q){this.collectPendingRequest(V);return}const J=new P.CancellationTokenSource;let Y;try{Y=q.call(this.ctx,V.name,V.arg,J.token)}catch(re){Y=Promise.reject(re)}const he=V.id;Y.then(re=>{this.sendResponse({id:he,data:re,type:201}),this.activeRequests.delete(V.id)},re=>{re instanceof Error?this.sendResponse({id:he,data:{message:re.message,name:re.name,stack:re.stack?re.stack.split?re.stack.split(`
`):re.stack:void 0},type:202}):this.sendResponse({id:he,data:re,type:203}),this.activeRequests.delete(V.id)});const ve=(0,I.toDisposable)(()=>J.cancel());this.activeRequests.set(V.id,ve)}onEventListen(V){const q=this.channels.get(V.channelName);if(!q){this.collectPendingRequest(V);return}const J=V.id,he=q.listen(this.ctx,V.name,V.arg)(ve=>this.sendResponse({id:J,data:ve,type:204}));this.activeRequests.set(V.id,he)}disposeActiveRequest(V){const q=this.activeRequests.get(V.id);q&&(q.dispose(),this.activeRequests.delete(V.id))}collectPendingRequest(V){let q=this.pendingRequests.get(V.channelName);q||(q=[],this.pendingRequests.set(V.channelName,q));const J=setTimeout(()=>{console.error(`Unknown channel: ${V.channelName}`),V.type===100&&this.sendResponse({id:V.id,data:{name:"Unknown channel",message:`Channel name '${V.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);q.push({request:V,timeoutTimer:J})}flushPendingRequests(V){const q=this.pendingRequests.get(V);if(q){for(const J of q)switch(clearTimeout(J.timeoutTimer),J.request.type){case 100:this.onPromise(J.request);break;case 102:this.onEventListen(J.request);break}this.pendingRequests.delete(V)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=o;var d;(function(x){x[x.LocalSide=0]="LocalSide",x[x.OtherSide=1]="OtherSide"})(d=e.RequestInitiator||(e.RequestInitiator={}));class f{constructor(V,q=null){this.protocol=V,this.isDisposed=!1,this.state=h.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new w.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(J=>this.onBuffer(J)),this.logger=q}getChannel(V){const q=this;return{call(J,Y,he){return q.isDisposed?Promise.reject(new D.CancellationError):q.requestPromise(V,J,Y,he)},listen(J,Y){return q.isDisposed?w.Event.None:q.requestEvent(V,J,Y)}}}requestPromise(V,q,J,Y=P.CancellationToken.None){const he=this.lastRequestId++,re={id:he,type:100,channelName:V,name:q,arg:J};if(Y.isCancellationRequested)return Promise.reject(new D.CancellationError);let pe;return new Promise((ke,Re)=>{if(Y.isCancellationRequested)return Re(new D.CancellationError);const Ue=()=>{const te=le=>{switch(le.type){case 201:this.handlers.delete(he),ke(le.data);break;case 202:{this.handlers.delete(he);const ee=new Error(le.data.message);ee.stack=le.data.stack,ee.name=le.data.name,Re(ee);break}case 203:this.handlers.delete(he),Re(le.data);break}};this.handlers.set(he,te),this.sendRequest(re)};let ae=null;this.state===h.Idle?Ue():(ae=(0,t.createCancelablePromise)(te=>this.whenInitialized()),ae.then(()=>{ae=null,Ue()}));const de=()=>{ae?(ae.cancel(),ae=null):this.sendRequest({id:he,type:101}),Re(new D.CancellationError)},ge=Y.onCancellationRequested(de);pe=(0,I.combinedDisposable)((0,I.toDisposable)(de),ge),this.activeRequests.add(pe)}).finally(()=>{this.activeRequests.delete(pe)})}requestEvent(V,q,J){const Y=this.lastRequestId++,ve={id:Y,type:102,channelName:V,name:q,arg:J};let re=null;const pe=new w.Emitter({onFirstListenerAdd:()=>{re=(0,t.createCancelablePromise)(ke=>this.whenInitialized()),re.then(()=>{re=null,this.activeRequests.add(pe),this.sendRequest(ve)})},onLastListenerRemove:()=>{re?(re.cancel(),re=null):(this.activeRequests.delete(pe),this.sendRequest({id:Y,type:103}))}}),be=ke=>pe.fire(ke.data);return this.handlers.set(Y,be),pe.event}sendRequest(V){switch(V.type){case 100:case 102:{const q=this.send([V.type,V.id,V.channelName,V.name],V.arg);this.logger?.logOutgoing(q,V.id,0,`${E(V.type)}: ${V.channelName}.${V.name}`,V.arg);return}case 101:case 103:{const q=this.send([V.type,V.id]);this.logger?.logOutgoing(q,V.id,0,E(V.type));return}}}send(V,q=void 0){const J=new g;return s(J,V),s(J,q),this.sendBuffer(J.buffer)}sendBuffer(V){try{return this.protocol.send(V),V.byteLength}catch{return 0}}onBuffer(V){const q=new p(V),J=n(q),Y=n(q),he=J[0];switch(he){case 200:return this.logger?.logIncoming(V.byteLength,0,0,v(he)),this.onResponse({type:J[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(V.byteLength,J[1],0,v(he),Y),this.onResponse({type:J[0],id:J[1],data:Y})}}onResponse(V){if(V.type===200){this.state=h.Idle,this._onDidInitialize.fire();return}this.handlers.get(V.id)?.(V)}get onDidInitializePromise(){return w.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===h.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}je([y.memoize],f.prototype,"onDidInitializePromise",null),e.ChannelClient=f;class S{constructor(V){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new w.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new w.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,V(({protocol:q,onDidClientDisconnect:J})=>{w.Event.once(q.onMessage)(he=>{const ve=new p(he),re=n(ve),pe=new o(q,re),be=new f(q);this.channels.forEach((Re,Ue)=>pe.registerChannel(Ue,Re));const ke={channelServer:pe,channelClient:be,ctx:re};this._connections.add(ke),this._onDidAddConnection.fire(ke),J(()=>{pe.dispose(),be.dispose(),this._connections.delete(ke),this._onDidRemoveConnection.fire(ke)})})})}get connections(){const V=[];return this._connections.forEach(q=>V.push(q)),V}getChannel(V,q){const J=this;return{call(Y,he,ve){let re;if((0,_.isFunction)(q)){const be=(0,u.getRandomElement)(J.connections.filter(q));re=be?Promise.resolve(be):w.Event.toPromise(w.Event.filter(J.onDidAddConnection,q))}else re=q.routeCall(J,Y,he);const pe=re.then(be=>be.channelClient.getChannel(V));return M(pe).call(Y,he,ve)},listen(Y,he){if((0,_.isFunction)(q))return J.getMulticastEvent(V,q,Y,he);const ve=q.routeEvent(J,Y,he).then(re=>re.channelClient.getChannel(V));return M(ve).listen(Y,he)}}}getMulticastEvent(V,q,J,Y){const he=this;let ve=new I.DisposableStore;const re=new w.Emitter({onFirstListenerAdd:()=>{ve=new I.DisposableStore;const pe=new w.EventMultiplexer,be=new Map,ke=Ue=>{const de=Ue.channelClient.getChannel(V).listen(J,Y),ge=pe.add(de);be.set(Ue,ge)},Re=Ue=>{const ae=be.get(Ue);!ae||(ae.dispose(),be.delete(Ue))};he.connections.filter(q).forEach(ke),w.Event.filter(he.onDidAddConnection,q)(ke,void 0,ve),he.onDidRemoveConnection(Re,void 0,ve),pe.event(re.fire,re,ve),ve.add(pe)},onLastListenerRemove:()=>{ve.dispose()}});return re.event}registerChannel(V,q){this.channels.set(V,q),this._connections.forEach(J=>{J.channelServer.registerChannel(V,q)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=S;class L{constructor(V,q,J=null){const Y=new g;s(Y,q),V.send(Y.buffer),this.channelClient=new f(V,J),this.channelServer=new o(V,q,J)}getChannel(V){return this.channelClient.getChannel(V)}registerChannel(V,q){this.channelServer.registerChannel(V,q)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=L;function M(x){return{call(V,q,J){return x.then(Y=>Y.call(V,q,J))},listen(V,q){const J=new w.Relay;return x.then(Y=>J.input=Y.listen(V,q)),J.event}}}e.getDelayedChannel=M;function B(x){let V=!1;return{call(q,J,Y){return V?x.call(q,J,Y):(0,t.timeout)(0).then(()=>V=!0).then(()=>x.call(q,J,Y))},listen(q,J){if(V)return x.listen(q,J);const Y=new w.Relay;return(0,t.timeout)(0).then(()=>V=!0).then(()=>Y.input=x.listen(q,J)),Y.event}}}e.getNextTickChannel=B;class R{constructor(V){this.fn=V}routeCall(V){return this.route(V)}routeEvent(V){return this.route(V)}async route(V){for(const q of V.connections)if(await Promise.resolve(this.fn(q.ctx)))return Promise.resolve(q);return await w.Event.toPromise(V.onDidAddConnection),await this.route(V)}}e.StaticRouter=R;var U;(function(x){function V(he,ve){const re=he,pe=ve&&ve.disableMarshalling,be=new Map;for(const ke in re)J(ke)&&be.set(ke,w.Event.buffer(re[ke],!0));return new class{listen(ke,Re,Ue){const ae=be.get(Re);if(ae)return ae;if(Y(Re)){const de=re[Re];if(typeof de=="function")return de.call(re,Ue)}throw new Error(`Event not found: ${Re}`)}call(ke,Re,Ue){const ae=re[Re];if(typeof ae=="function"){if(!pe&&Array.isArray(Ue))for(let de=0;de<Ue.length;de++)Ue[de]=(0,A.revive)(Ue[de]);return ae.apply(re,Ue)}throw new Error(`Method not found: ${Re}`)}}}x.fromService=V;function q(he,ve){const re=ve&&ve.disableMarshalling;return new Proxy({},{get(pe,be){if(typeof be=="string")return ve?.properties?.has(be)?ve.properties.get(be):Y(be)?function(ke){return he.listen(be,ke)}:J(be)?he.listen(be):async function(...ke){let Re;ve&&!(0,_.isUndefinedOrNull)(ve.context)?Re=[ve.context,...ke]:Re=ke;const Ue=await he.call(be,Re);return re?Ue:(0,A.revive)(Ue)};throw new Error(`Property not found: ${String(be)}`)}})}x.toService=q;function J(he){return he[0]==="o"&&he[1]==="n"&&k.isUpperAsciiLetter(he.charCodeAt(2))}function Y(he){return/^onDynamic/.test(he)&&k.isUpperAsciiLetter(he.charCodeAt(9))}})(U=e.ProxyChannel||(e.ProxyChannel={}));const $=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function N(x){if(Array.isArray(x))return x;if(x&&typeof x=="object"&&typeof x.toString=="function"){const V=x.toString();if(V!=="[object Object]")return V}return x}function X(x){return Array.isArray(x)?x.map(N):N(x)}function z(x,V,q,J,Y,he,ve){ve=X(ve);const re=$[Y],pe=re[J%re.length];let be=[`%c[${x}]%c[${String(V).padStart(7," ")}]%c[len: ${String(q).padStart(5," ")}]%c${String(J).padStart(5," ")} - ${he}`,"color: darkgreen","color: grey","color: grey",`color: ${pe}`];/\($/.test(he)?(be=be.concat(ve),be.push(")")):be.push(ve),console.log.apply(console,be)}e.logWithColors=z;class O{constructor(V,q){this._outgoingPrefix=V,this._incomingPrefix=q,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(V,q,J,Y,he){this._totalOutgoing+=V,z(this._outgoingPrefix,this._totalOutgoing,V,q,J,Y,he)}logIncoming(V,q,J,Y,he){this._totalIncoming+=V,z(this._incomingPrefix,this._totalIncoming,V,q,J,Y,he)}}e.IPCLogger=O}),define(De[111],Ie([1,0,23,4,6,110]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var y;(function(i){i.Created="created",i.Read="read",i.Write="write",i.Open="open",i.Error="error",i.Close="close",i.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",i.NodeEndReceived="nodeEndReceived",i.NodeEndSent="nodeEndSent",i.NodeDrainBegin="nodeDrainBegin",i.NodeDrainEnd="nodeDrainEnd",i.zlibInflateError="zlibInflateError",i.zlibInflateData="zlibInflateData",i.zlibInflateInitialWrite="zlibInflateInitialWrite",i.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",i.zlibInflateWrite="zlibInflateWrite",i.zlibInflateFlushFired="zlibInflateFlushFired",i.zlibDeflateError="zlibDeflateError",i.zlibDeflateData="zlibDeflateData",i.zlibDeflateWrite="zlibDeflateWrite",i.zlibDeflateFlushFired="zlibDeflateFlushFired",i.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",i.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",i.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",i.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",i.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",i.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",i.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",i.ProtocolHeaderRead="protocolHeaderRead",i.ProtocolMessageRead="protocolMessageRead",i.ProtocolHeaderWrite="protocolHeaderWrite",i.ProtocolMessageWrite="protocolMessageWrite",i.ProtocolWrite="protocolWrite"})(y=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var D;(function(i){i.enableDiagnostics=!1,i.records=[];const s=new WeakMap;let n=0;function o(f,S){if(!s.has(f)){const L=String(++n);s.set(f,L)}return s.get(f)}function d(f,S,L,M){if(!i.enableDiagnostics)return;const B=o(f,S);if(M instanceof u.VSBuffer||M instanceof Uint8Array||M instanceof ArrayBuffer||ArrayBuffer.isView(M)){const R=u.VSBuffer.alloc(M.byteLength);R.set(M),i.records.push({timestamp:Date.now(),id:B,label:S,type:L,buff:R})}else i.records.push({timestamp:Date.now(),id:B,label:S,type:L,data:M})}i.traceSocketEvent=d})(D=e.SocketDiagnostics||(e.SocketDiagnostics={}));var w;(function(i){i[i.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",i[i.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(w=e.SocketCloseEventType||(e.SocketCloseEventType={}));let I=null;function A(){return I||(I=u.VSBuffer.alloc(0)),I}class k{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,n){if(s===0)return A();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const S=this._chunks[0];return n&&(this._chunks.shift(),this._totalLength-=s),S}if(this._chunks[0].byteLength>s){const S=this._chunks[0].slice(0,s);return n&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),S}const o=u.VSBuffer.alloc(s);let d=0,f=0;for(;s>0;){const S=this._chunks[f];if(S.byteLength>s){const L=S.slice(0,s);o.set(L,d),d+=s,n&&(this._chunks[f]=S.slice(s),this._totalLength-=s),s-=s}else o.set(S,d),d+=S.byteLength,n?(this._chunks.shift(),this._totalLength-=S.byteLength):f++,s-=S.byteLength}return o}}e.ChunkStream=k;var _;(function(i){i[i.None=0]="None",i[i.Regular=1]="Regular",i[i.Control=2]="Control",i[i.Ack=3]="Ack",i[i.Disconnect=5]="Disconnect",i[i.ReplayRequest=6]="ReplayRequest",i[i.Pause=7]="Pause",i[i.Resume=8]="Resume",i[i.KeepAlive=9]="KeepAlive"})(_||(_={}));function T(i){switch(i){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var E;(function(i){i[i.HeaderLength=13]="HeaderLength",i[i.AcknowledgeTime=2e3]="AcknowledgeTime",i[i.TimeoutTime=2e4]="TimeoutTime",i[i.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",i[i.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(E=e.ProtocolConstants||(e.ProtocolConstants={}));class b{constructor(s,n,o,d){this.type=s,this.id=n,this.ack=o,this.data=d,this.writtenTime=0}get size(){return this.data.byteLength}}class v extends C.Disposable{constructor(s){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new k,this._register(this._socket.onData(n=>this.acceptChunk(n))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const n=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=n.readUInt32BE(9),this._state.messageType=n.readUInt8(0),this._state.id=n.readUInt32BE(1),this._state.ack=n.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:T(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const o=this._state.messageType,d=this._state.id,f=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",n),this._onMessage.fire(new b(o,d,f,n)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class h{constructor(s){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(s){if(this._isDisposed)return;s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const n=u.VSBuffer.alloc(13);n.writeUInt8(s.type,0),n.writeUInt32BE(s.id,1),n.writeUInt32BE(s.ack,5),n.writeUInt32BE(s.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:T(s.type),id:s.id,ack:s.ack,messageSize:s.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",s.data),this._writeSoon(n,s.data)}_bufferAdd(s,n){const o=this._totalLength===0;return this._data.push(s,n),this._totalLength+=s.byteLength+n.byteLength,o}_bufferTake(){const s=u.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,n){this._bufferAdd(s,n)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const s=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:s.byteLength}),this._socket.write(s)}}class p extends C.Disposable{constructor(s){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new h(this._socket)),this._socketReader=this._register(new v(this._socket)),this._register(this._socketReader.onMessage(n=>{n.type===1&&this._onMessage.fire(n.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new b(1,0,0,s))}}e.Protocol=p;class g extends P.IPCClient{constructor(s,n,o=null){super(s,n,o);this.protocol=s}static fromSocket(s,n){return new g(new p(s),n)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=g;class a{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=a;class m{constructor(s){this.data=s,this.next=null}}class c{constructor(){this._first=null,this._last=null}length(){let s=0,n=this._first;for(;n;)n=n.next,s++;return s}peek(){return this._first?this._first.data:null}toArray(){const s=[];let n=0,o=this._first;for(;o;)s[n++]=o.data,o=o.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const n=new m(s);if(!this._first){this._first=n,this._last=n;return}this._last.next=n,this._last=n}}class l{constructor(){this.lastRuns=[];const s=Date.now();for(let n=0;n<l._HISTORY_LENGTH;n++)this.lastRuns[n]=s-1e3*n;setInterval(()=>{for(let n=l._HISTORY_LENGTH;n>=1;n--)this.lastRuns[n]=this.lastRuns[n-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return l._INSTANCE||(l._INSTANCE=new l),l._INSTANCE}load(){const s=Date.now(),n=(1+l._HISTORY_LENGTH)*1e3;let o=0;for(let d=0;d<l._HISTORY_LENGTH;d++)s-this.lastRuns[d]<=n&&o++;return 1-o/l._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}l._HISTORY_LENGTH=10,l._INSTANCE=null;class r{constructor(s,n=null,o=l.getInstance()){this._onControlMessage=new a,this.onControlMessage=this._onControlMessage.event,this._onMessage=new a,this.onMessage=this._onMessage.event,this._onDidDispose=new a,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new a,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new a,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=o,this._isReconnecting=!1,this._outgoingUnackMsg=new c,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=s,this._socketWriter=new h(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(d=>this._receiveMessage(d))),this._socketDisposables.push(this._socket.onClose(d=>this._onSocketClose.fire(d))),n&&this._socketReader.acceptChunk(n),this._keepAliveInterval=setInterval(()=>{this._sendKeepAlive()},5e3)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._keepAliveInterval&&(clearInterval(this._keepAliveInterval),this._keepAliveInterval=null),this._socketDisposables=(0,C.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new b(5,0,0,A());this._socketWriter.write(s),this._socketWriter.flush()}sendPause(){const s=new b(7,0,0,A());this._socketWriter.write(s)}sendResume(){const s=new b(8,0,0,A());this._socketWriter.write(s)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,n){this._isReconnecting=!0,this._socketDisposables=(0,C.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=s,this._socketWriter=new h(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(o=>this._receiveMessage(o))),this._socketDisposables.push(this._socket.onClose(o=>this._onSocketClose.fire(o))),this._socketReader.acceptChunk(n)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const s=new b(3,0,this._incomingAckId,A());this._socketWriter.write(s);const n=this._outgoingUnackMsg.toArray();for(let o=0,d=n.length;o<d;o++)this._socketWriter.write(n[o]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const n=this._outgoingUnackMsg.peek();if(n&&n.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(s.type){case 0:break;case 1:{if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const n=Date.now();n-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=n,this._socketWriter.write(new b(6,0,0,A())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data);break}case 2:{this._onControlMessage.fire(s.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const n=this._outgoingUnackMsg.toArray();for(let o=0,d=n.length;o<d;o++)this._socketWriter.write(n[o]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}case 9:break}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const n=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const o=new b(1,n,this._incomingAckId,s);this._outgoingUnackMsg.push(o),this._isReconnecting||(this._socketWriter.write(o),this._recvAckCheck())}sendControl(s){const n=new b(2,0,0,s);this._socketWriter.write(n)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const s=this._outgoingUnackMsg.peek(),n=Date.now()-s.writtenTime,o=Date.now()-this._socketReader.lastReadTime,d=Date.now()-this._lastSocketTimeoutTime;if(n>=2e4&&o>=2e4&&d>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire({unacknowledgedMsgCount:this._outgoingUnackMsg.length(),timeSinceOldestUnacknowledgedMsg:n,timeSinceLastReceivedSomeData:o});return}const f=Math.max(2e4-n,2e4-o,2e4-d,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},f)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const s=new b(3,0,this._incomingAckId,A());this._socketWriter.write(s)}_sendKeepAlive(){const s=new b(9,0,0,A());this._socketWriter.write(s)}}e.PersistentProtocol=r}),define(De[112],Ie([1,0,23,10,4,6,9,11,34,110,111]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function k(){return{crypto:Z.__$__nodeRequire("crypto"),zlib:Z.__$__nodeRequire("zlib"),net:Z.__$__nodeRequire("net"),os:Z.__$__nodeRequire("os")}}class _{constructor(o,d=""){this.debugLabel=d,this.socket=o,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=f=>{if(this.traceSocketEvent("error",{code:f?.code,message:f?.message}),f){if(f.code==="EPIPE")return;(0,t.onUnexpectedError)(f)}},this.socket.on("error",this._errorListener)}traceSocketEvent(o,d){A.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,o,d)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(o){const d=f=>{this.traceSocketEvent("read",f),o(u.VSBuffer.wrap(f))};return this.socket.on("data",d),{dispose:()=>this.socket.off("data",d)}}onClose(o){const d=f=>{this.traceSocketEvent("close",{hadError:f}),o({type:0,hadError:f,error:void 0})};return this.socket.on("close",d),{dispose:()=>this.socket.off("close",d)}}onEnd(o){const d=()=>{this.traceSocketEvent("nodeEndReceived"),o()};return this.socket.on("end",d),{dispose:()=>this.socket.off("end",d)}}write(o){if(!this.socket.destroyed)try{this.traceSocketEvent("write",o),this.socket.write(o.buffer,d=>{if(d){if(d.code==="EPIPE")return;(0,t.onUnexpectedError)(d)}})}catch(d){if(d.code==="EPIPE")return;(0,t.onUnexpectedError)(d)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((o,d)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),o();return}const f=()=>{this.socket.off("close",f),this.socket.off("end",f),this.socket.off("error",f),this.socket.off("timeout",f),this.socket.off("drain",f),this.traceSocketEvent("nodeDrainEnd"),o()};this.socket.on("close",f),this.socket.on("end",f),this.socket.on("error",f),this.socket.on("timeout",f),this.socket.on("drain",f)})}}e.NodeSocket=_;var T;(function(n){n[n.MinHeaderByteSize=2]="MinHeaderByteSize"})(T||(T={}));var E;(function(n){n[n.PeekHeader=1]="PeekHeader",n[n.ReadHeader=2]="ReadHeader",n[n.ReadBody=3]="ReadBody",n[n.Fin=4]="Fin"})(E||(E={}));class b extends P.Disposable{constructor(o,d,f,S){super();this._onData=this._register(new C.Emitter),this._onClose=this._register(new C.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=o,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:d,inflateBytesLength:f?.byteLength||0,recordInflateBytes:S}),this._flowManager=this._register(new v(this,d,f,S,this._onData,(L,M)=>this._write(L,M))),this._register(this._flowManager.onError(L=>{console.error(L),(0,t.onUnexpectedError)(L),this._onClose.fire({type:0,hadError:!0,error:L})})),this._incomingData=new A.ChunkStream,this._register(this.socket.onData(L=>this._acceptChunk(L))),this._register(this.socket.onClose(L=>this._onClose.fire(L)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(o,d){this.socket.traceSocketEvent(o,d)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(o){return this._onData.event(o)}onClose(o){return this._onClose.event(o)}onEnd(o){return this.socket.onEnd(o)}write(o){this._flowManager.writeMessage(o)}_write(o,d){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",o);let f=2;o.byteLength<126?f+=0:o.byteLength<2**16?f+=2:f+=8;const S=u.VSBuffer.alloc(f);if(d?S.writeUInt8(194,0):S.writeUInt8(130,0),o.byteLength<126)S.writeUInt8(o.byteLength,1);else if(o.byteLength<2**16){S.writeUInt8(126,1);let L=1;S.writeUInt8(o.byteLength>>>8&255,++L),S.writeUInt8(o.byteLength>>>0&255,++L)}else{S.writeUInt8(127,1);let L=1;S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(o.byteLength>>>24&255,++L),S.writeUInt8(o.byteLength>>>16&255,++L),S.writeUInt8(o.byteLength>>>8&255,++L),S.writeUInt8(o.byteLength>>>0&255,++L)}this.socket.write(u.VSBuffer.concat([S,o]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(o){if(o.byteLength!==0){for(this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const d=this._incomingData.peek(this._state.readLen),f=d.readUInt8(0),S=(f&128)>>>7,L=(f&64)>>>6,M=d.readUInt8(1),B=(M&128)>>>7,R=M&127;this._state.state=2,this._state.readLen=2+(B?4:0)+(R===126?2:0)+(R===127?8:0),this._state.fin=S,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(L)),this._state.firstFrameOfMessage=Boolean(S),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const d=this._incomingData.read(this._state.readLen),f=d.readUInt8(1),S=(f&128)>>>7;let L=f&127,M=1;L===126?L=d.readUInt8(++M)*2**8+d.readUInt8(++M):L===127&&(L=d.readUInt8(++M)*0+d.readUInt8(++M)*0+d.readUInt8(++M)*0+d.readUInt8(++M)*0+d.readUInt8(++M)*2**24+d.readUInt8(++M)*2**16+d.readUInt8(++M)*2**8+d.readUInt8(++M));let B=0;S&&(B=d.readUInt8(++M)*2**24+d.readUInt8(++M)*2**16+d.readUInt8(++M)*2**8+d.readUInt8(++M)),this._state.state=3,this._state.readLen=L,this._state.mask=B,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const d=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",d),g(d,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",d),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(d,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await C.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=b;class v extends P.Disposable{constructor(o,d,f,S,L,M){super();this._tracer=o,this._onData=L,this._writeFn=M,this._onError=this._register(new C.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new C.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,d?(this._zlibInflateStream=this._register(new h(this._tracer,S,f,{windowBits:15})),this._zlibDeflateStream=this._register(new p(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(B=>this._onError.fire(B))),this._register(this._zlibDeflateStream.onError(B=>this._onError.fire(B)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:u.VSBuffer.alloc(0)}writeMessage(o){this._writeQueue.push(o),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const o=this._writeQueue.shift();if(this._zlibDeflateStream){const d=await this._deflateMessage(this._zlibDeflateStream,o);this._writeFn(d,!0)}else this._writeFn(o,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(o,d){return new Promise((f,S)=>{o.write(d),o.flush(L=>f(L))})}acceptFrame(o,d,f){this._readQueue.push({data:o,isCompressed:d,isLastFrameOfMessage:f}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const o=this._readQueue.shift();if(this._zlibInflateStream&&o.isCompressed){const d=await this._inflateFrame(this._zlibInflateStream,o.data,o.isLastFrameOfMessage);this._onData.fire(d)}else this._onData.fire(o.data)}this._isProcessingReadQueue=!1}}_inflateFrame(o,d,f){return new Promise((S,L)=>{o.write(d),f&&o.write(u.VSBuffer.fromByteArray([0,0,255,255])),o.flush(M=>S(M))})}}class h extends P.Disposable{constructor(o,d,f,S){super();this._tracer=o,this._recordInflateBytes=d,this._onError=this._register(new C.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=k().zlib.createInflateRaw(S),this._zlibInflate.on("error",L=>{this._tracer.traceSocketEvent("zlibInflateError",{message:L?.message,code:L?.code}),this._onError.fire(L)}),this._zlibInflate.on("data",L=>{this._tracer.traceSocketEvent("zlibInflateData",L),this._pendingInflateData.push(u.VSBuffer.wrap(L))}),f&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",f.buffer),this._zlibInflate.write(f.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?u.VSBuffer.concat(this._recordedInflateBytes):u.VSBuffer.alloc(0)}write(o){this._recordInflateBytes&&this._recordedInflateBytes.push(o.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",o),this._zlibInflate.write(o.buffer)}flush(o){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const d=u.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,o(d)})}}class p extends P.Disposable{constructor(o,d){super();this._tracer=o,this._onError=this._register(new C.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=k().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",f=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:f?.message,code:f?.code}),this._onError.fire(f)}),this._zlibDeflate.on("data",f=>{this._tracer.traceSocketEvent("zlibDeflateData",f),this._pendingDeflateData.push(u.VSBuffer.wrap(f))})}write(o){this._tracer.traceSocketEvent("zlibDeflateWrite",o.buffer),this._zlibDeflate.write(o.buffer)}flush(o){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let d=u.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,d=d.slice(0,d.byteLength-4),o(d)})}}function g(n,o){if(o===0)return;const d=n.byteLength>>>2;for(let R=0;R<d;R++){const U=n.readUInt32BE(R*4);n.writeUInt32BE(U^o,R*4)}const f=d*4,S=n.byteLength-f,L=o>>>24&255,M=o>>>16&255,B=o>>>8&255;S>=1&&n.writeUInt8(n.readUInt8(f)^L,f),S>=2&&n.writeUInt8(n.readUInt8(f+1)^M,f+1),S>=3&&n.writeUInt8(n.readUInt8(f+2)^B,f+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const a={[2]:107,[1]:103};function m(){const n=(0,w.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${n}-sock`;let o;return e.XDG_RUNTIME_DIR?o=(0,y.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${n}.sock`):o=(0,y.join)(k().os.tmpdir(),`vscode-ipc-${n}.sock`),l(o),o}e.createRandomIPCHandle=m;function c(n,o,d){const f=k().crypto.createHash("md5").update(n).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${f}-${d}-${o}-sock`;let S;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?S=(0,y.join)(e.XDG_RUNTIME_DIR,`vscode-${f.substr(0,8)}-${d}-${o}.sock`):S=(0,y.join)(n,`${d}-${o}.sock`),l(S),S}e.createStaticIPCHandle=c;function l(n){const o=a[D.platform];typeof o=="number"&&n.length>=o&&console.warn(`WARNING: IPC handle "${n}" is longer than ${o} chars, try a shorter --user-data-dir`)}class r extends I.IPCServer{constructor(o){super(r.toClientConnectionEvent(o));this.server=o}static toClientConnectionEvent(o){const d=C.Event.fromNodeEventEmitter(o,"connection");return C.Event.map(d,f=>({protocol:new A.Protocol(new _(f,"ipc-server-connection")),onDidClientDisconnect:C.Event.once(C.Event.fromNodeEventEmitter(f,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=r;function i(n){return new Promise((o,d)=>{const f=k().net.createServer();f.on("error",d),f.listen(n,()=>{f.removeListener("error",d),o(new r(f))})})}e.serve=i;function s(n,o){return new Promise((d,f)=>{const S=k().net.createConnection(n,()=>{S.removeListener("error",f),d(A.Client.fromSocket(new _(S,`ipc-client${o}`),o))});S.once("error",f)})}e.connect=s}),define(De[157],Ie([1,0,36,9]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function C(P,y,D,w,I,A){if(Array.isArray(P)){let k=0;for(const _ of P){const T=C(_,y,D,w,I,A);if(T===10)return T;T>k&&(k=T)}return k}else{if(typeof P=="string")return w?P==="*"?5:P===D?10:0:0;if(P){const{language:k,pattern:_,scheme:T,hasAccessToAllModels:E,notebookType:b}=P;if(!w&&!E)return 0;b&&I&&(y=I);let v=0;if(T)if(T===y.scheme)v=10;else if(T==="*")v=5;else return 0;if(k)if(k===D)v=10;else if(k==="*")v=Math.max(v,5);else return 0;if(b)if(b===A)v=10;else if(b==="*"&&A!==void 0)v=Math.max(v,5);else return 0;if(_){let h;if(typeof _=="string"?h=_:h={..._,base:(0,t.normalize)(_.base)},h===y.fsPath||(0,u.match)(h,y.fsPath))v=10;else return 0}return v}else return 0}}e.score=C}),define(De[158],Ie([1,0,8,49,150]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class P{constructor(D,w,I,A){this._uri=D,this._lines=w,this._eol=I,this._versionId=A,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(D){D.eol&&D.eol!==this._eol&&(this._eol=D.eol,this._lineStarts=null);const w=D.changes;for(const I of w)this._acceptDeleteRange(I.range),this._acceptInsertText(new t.Position(I.range.startLineNumber,I.range.startColumn),I.text);this._versionId=D.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const D=this._eol.length,w=this._lines.length,I=new Uint32Array(w);for(let A=0;A<w;A++)I[A]=this._lines[A].length+D;this._lineStarts=new C.PrefixSumComputer(I)}}_setLineText(D,w){this._lines[D]=w,this._lineStarts&&this._lineStarts.setValue(D,this._lines[D].length+this._eol.length)}_acceptDeleteRange(D){if(D.startLineNumber===D.endLineNumber){if(D.startColumn===D.endColumn)return;this._setLineText(D.startLineNumber-1,this._lines[D.startLineNumber-1].substring(0,D.startColumn-1)+this._lines[D.startLineNumber-1].substring(D.endColumn-1));return}this._setLineText(D.startLineNumber-1,this._lines[D.startLineNumber-1].substring(0,D.startColumn-1)+this._lines[D.endLineNumber-1].substring(D.endColumn-1)),this._lines.splice(D.startLineNumber,D.endLineNumber-D.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(D.startLineNumber,D.endLineNumber-D.startLineNumber)}_acceptInsertText(D,w){if(w.length===0)return;const I=(0,u.splitLines)(w);if(I.length===1){this._setLineText(D.lineNumber-1,this._lines[D.lineNumber-1].substring(0,D.column-1)+I[0]+this._lines[D.lineNumber-1].substring(D.column-1));return}I[I.length-1]+=this._lines[D.lineNumber-1].substring(D.column-1),this._setLineText(D.lineNumber-1,this._lines[D.lineNumber-1].substring(0,D.column-1)+I[0]);const A=new Uint32Array(I.length-1);for(let k=1;k<I.length;k++)this._lines.splice(D.lineNumber+k-1,0,I[k]),A[k-1]=I[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(D.lineNumber,A)}}e.MirrorTextModel=P}),define(De[159],Ie([1,0,8,147,49,35,99]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.isMultilineRegexSource=e.SearchParams=void 0;const D=999;class w{constructor(p,g,a,m){this.searchString=p,this.isRegex=g,this.matchCase=a,this.wordSeparators=m}parseSearchRequest(){if(this.searchString==="")return null;let p;this.isRegex?p=I(this.searchString):p=this.searchString.indexOf(`
`)>=0;let g=null;try{g=u.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:p,global:!0,unicode:!0})}catch{return null}if(!g)return null;let a=!this.isRegex&&!p;return a&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(a=this.matchCase),new y.SearchData(g,this.wordSeparators?(0,t.getMapForWordSeparators)(this.wordSeparators):null,a?this.searchString:null)}}e.SearchParams=w;function I(h){if(!h||h.length===0)return!1;for(let p=0,g=h.length;p<g;p++){const a=h.charCodeAt(p);if(a===10)return!0;if(a===92){if(p++,p>=g)break;const m=h.charCodeAt(p);if(m===110||m===114||m===87)return!0}}return!1}e.isMultilineRegexSource=I;function A(h,p,g){if(!g)return new y.FindMatch(h,null);const a=[];for(let m=0,c=p.length;m<c;m++)a[m]=p[m];return new y.FindMatch(h,a)}e.createFindMatch=A;class k{constructor(p){const g=[];let a=0;for(let m=0,c=p.length;m<c;m++)p.charCodeAt(m)===10&&(g[a++]=m);this._lineFeedsOffsets=g}findLineFeedCountBeforeOffset(p){const g=this._lineFeedsOffsets;let a=0,m=g.length-1;if(m===-1||p<=g[0])return 0;for(;a<m;){const c=a+((m-a)/2>>0);g[c]>=p?m=c-1:g[c+1]>=p?(a=c,m=c):a=c+1}return a+1}}class _{static findMatches(p,g,a,m,c){const l=g.parseSearchRequest();return l?l.regex.multiline?this._doFindMatchesMultiline(p,a,new v(l.wordSeparators,l.regex),m,c):this._doFindMatchesLineByLine(p,a,l,m,c):[]}static _getMultilineMatchRange(p,g,a,m,c,l){let r,i=0;m?(i=m.findLineFeedCountBeforeOffset(c),r=g+c+i):r=g+c;let s;if(m){const f=m.findLineFeedCountBeforeOffset(c+l.length)-i;s=r+l.length+f}else s=r+l.length;const n=p.getPositionAt(r),o=p.getPositionAt(s);return new P.Range(n.lineNumber,n.column,o.lineNumber,o.column)}static _doFindMatchesMultiline(p,g,a,m,c){const l=p.getOffsetAt(g.getStartPosition()),r=p.getValueInRange(g,1),i=p.getEOL()===`\r
`?new k(r):null,s=[];let n=0,o;for(a.reset(0);o=a.next(r);)if(s[n++]=A(this._getMultilineMatchRange(p,l,r,i,o.index,o[0]),o,m),n>=c)return s;return s}static _doFindMatchesLineByLine(p,g,a,m,c){const l=[];let r=0;if(g.startLineNumber===g.endLineNumber){const s=p.getLineContent(g.startLineNumber).substring(g.startColumn-1,g.endColumn-1);return r=this._findMatchesInLine(a,s,g.startLineNumber,g.startColumn-1,r,l,m,c),l}const i=p.getLineContent(g.startLineNumber).substring(g.startColumn-1);r=this._findMatchesInLine(a,i,g.startLineNumber,g.startColumn-1,r,l,m,c);for(let s=g.startLineNumber+1;s<g.endLineNumber&&r<c;s++)r=this._findMatchesInLine(a,p.getLineContent(s),s,0,r,l,m,c);if(r<c){const s=p.getLineContent(g.endLineNumber).substring(0,g.endColumn-1);r=this._findMatchesInLine(a,s,g.endLineNumber,0,r,l,m,c)}return l}static _findMatchesInLine(p,g,a,m,c,l,r,i){const s=p.wordSeparators;if(!r&&p.simpleSearch){const d=p.simpleSearch,f=d.length,S=g.length;let L=-f;for(;(L=g.indexOf(d,L+f))!==-1;)if((!s||b(s,g,S,L,f))&&(l[c++]=new y.FindMatch(new P.Range(a,L+1+m,a,L+1+f+m),null),c>=i))return c;return c}const n=new v(p.wordSeparators,p.regex);let o;n.reset(0);do if(o=n.next(g),o&&(l[c++]=A(new P.Range(a,o.index+1+m,a,o.index+1+o[0].length+m),o,r),c>=i))return c;while(o);return c}static findNextMatch(p,g,a,m){const c=g.parseSearchRequest();if(!c)return null;const l=new v(c.wordSeparators,c.regex);return c.regex.multiline?this._doFindNextMatchMultiline(p,a,l,m):this._doFindNextMatchLineByLine(p,a,l,m)}static _doFindNextMatchMultiline(p,g,a,m){const c=new C.Position(g.lineNumber,1),l=p.getOffsetAt(c),r=p.getLineCount(),i=p.getValueInRange(new P.Range(c.lineNumber,c.column,r,p.getLineMaxColumn(r)),1),s=p.getEOL()===`\r
`?new k(i):null;a.reset(g.column-1);const n=a.next(i);return n?A(this._getMultilineMatchRange(p,l,i,s,n.index,n[0]),n,m):g.lineNumber!==1||g.column!==1?this._doFindNextMatchMultiline(p,new C.Position(1,1),a,m):null}static _doFindNextMatchLineByLine(p,g,a,m){const c=p.getLineCount(),l=g.lineNumber,r=p.getLineContent(l),i=this._findFirstMatchInLine(a,r,l,g.column,m);if(i)return i;for(let s=1;s<=c;s++){const n=(l+s-1)%c,o=p.getLineContent(n+1),d=this._findFirstMatchInLine(a,o,n+1,1,m);if(d)return d}return null}static _findFirstMatchInLine(p,g,a,m,c){p.reset(m-1);const l=p.next(g);return l?A(new P.Range(a,l.index+1,a,l.index+1+l[0].length),l,c):null}static findPreviousMatch(p,g,a,m){const c=g.parseSearchRequest();if(!c)return null;const l=new v(c.wordSeparators,c.regex);return c.regex.multiline?this._doFindPreviousMatchMultiline(p,a,l,m):this._doFindPreviousMatchLineByLine(p,a,l,m)}static _doFindPreviousMatchMultiline(p,g,a,m){const c=this._doFindMatchesMultiline(p,new P.Range(1,1,g.lineNumber,g.column),a,m,10*D);if(c.length>0)return c[c.length-1];const l=p.getLineCount();return g.lineNumber!==l||g.column!==p.getLineMaxColumn(l)?this._doFindPreviousMatchMultiline(p,new C.Position(l,p.getLineMaxColumn(l)),a,m):null}static _doFindPreviousMatchLineByLine(p,g,a,m){const c=p.getLineCount(),l=g.lineNumber,r=p.getLineContent(l).substring(0,g.column-1),i=this._findLastMatchInLine(a,r,l,m);if(i)return i;for(let s=1;s<=c;s++){const n=(c+l-s-1)%c,o=p.getLineContent(n+1),d=this._findLastMatchInLine(a,o,n+1,m);if(d)return d}return null}static _findLastMatchInLine(p,g,a,m){let c=null,l;for(p.reset(0);l=p.next(g);)c=A(new P.Range(a,l.index+1,a,l.index+1+l[0].length),l,m);return c}}e.TextModelSearch=_;function T(h,p,g,a,m){if(a===0)return!0;const c=p.charCodeAt(a-1);if(h.get(c)!==0||c===13||c===10)return!0;if(m>0){const l=p.charCodeAt(a);if(h.get(l)!==0)return!0}return!1}function E(h,p,g,a,m){if(a+m===g)return!0;const c=p.charCodeAt(a+m);if(h.get(c)!==0||c===13||c===10)return!0;if(m>0){const l=p.charCodeAt(a+m-1);if(h.get(l)!==0)return!0}return!1}function b(h,p,g,a,m){return T(h,p,g,a,m)&&E(h,p,g,a,m)}e.isValidMatch=b;class v{constructor(p,g){this._wordSeparators=p,this._searchRegex=g,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(p){this._searchRegex.lastIndex=p,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(p){const g=p.length;let a;do{if(this._prevMatchStartIndex+this._prevMatchLength===g||(a=this._searchRegex.exec(p),!a))return null;const m=a.index,c=a[0].length;if(m===this._prevMatchStartIndex&&c===this._prevMatchLength){if(c===0){u.getNextCodePoint(p,g,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=m,this._prevMatchLength=c,!this._wordSeparators||b(this._wordSeparators,p,g,m,c))return a}while(a);return null}}e.Searcher=v}),define(De[113],Ie([1,0,23,11]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var C;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(C||(C={}));function P(k){for(let _=0,T=k.length;_<T;_+=4){const E=k[_+0],b=k[_+1],v=k[_+2],h=k[_+3];k[_+0]=h,k[_+1]=v,k[_+2]=b,k[_+3]=E}}function y(k){const _=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return t.isLittleEndian()||P(_),u.VSBuffer.wrap(_)}function D(k){const _=k.buffer;if(t.isLittleEndian()||P(_),_.byteOffset%4==0)return new Uint32Array(_.buffer,_.byteOffset,_.length/4);{const T=new Uint8Array(_.byteLength);return T.set(_),new Uint32Array(T.buffer,T.byteOffset,T.length/4)}}function w(k){const _=new Uint32Array(I(k));let T=0;if(_[T++]=k.id,k.type==="full")_[T++]=1,_[T++]=k.data.length,_.set(k.data,T),T+=k.data.length;else{_[T++]=2,_[T++]=k.deltas.length;for(const E of k.deltas)_[T++]=E.start,_[T++]=E.deleteCount,E.data?(_[T++]=E.data.length,_.set(E.data,T),T+=E.data.length):_[T++]=0}return y(_)}e.encodeSemanticTokensDto=w;function I(k){let _=0;if(_+=1+1,k.type==="full")_+=1+k.data.length;else{_+=1,_+=(1+1+1)*k.deltas.length;for(const T of k.deltas)T.data&&(_+=T.data.length)}return _}function A(k){const _=D(k);let T=0;const E=_[T++];if(_[T++]===1){const p=_[T++],g=_.subarray(T,T+p);return T+=p,{id:E,type:"full",data:g}}const v=_[T++],h=[];for(let p=0;p<v;p++){const g=_[T++],a=_[T++],m=_[T++];let c;m>0&&(c=_.subarray(T,T+m),T+=m),h[p]={start:g,deleteCount:a,data:c}}return{id:E,type:"delta",deltas:h}}e.decodeSemanticTokensDto=A}),define(De[160],Ie([1,0,4,6]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class C{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new u.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(D){this._onDidChange.fire({changedLanguages:D,changedColorMap:!1})}register(D,w){return this._map.set(D,w),this.fire([D]),(0,t.toDisposable)(()=>{this._map.get(D)===w&&(this._map.delete(D),this.fire([D]))})}registerFactory(D,w){this._factories.get(D)?.dispose();const I=new P(this,D,w);return this._factories.set(D,I),(0,t.toDisposable)(()=>{const A=this._factories.get(D);!A||A!==I||(this._factories.delete(D),A.dispose())})}async getOrCreate(D){const w=this.get(D);if(w)return w;const I=this._factories.get(D);return!I||I.isResolved?null:(await I.resolve(),this.get(D))}get(D){return this._map.get(D)||null}isResolved(D){if(this.get(D))return!0;const I=this._factories.get(D);return!!(!I||I.isResolved)}setColorMap(D){this._colorMap=D,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=C;class P extends t.Disposable{constructor(D,w,I){super();this._registry=D,this._languageId=w,this._factory=I,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const D=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,D&&!this._isDisposed&&this._register(this._registry.register(this._languageId,D))}}}),define(De[64],Ie([1,0,76,2,35,160]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.EncodedTokenizationResult=e.TokenizationResult=e.Token=void 0;class y{constructor(f,S,L){this._tokenBrand=void 0,this.offset=f,this.type=S,this.language=L}toString(){return"("+this.offset+", "+this.type+")"}}e.Token=y;class D{constructor(f,S){this._tokenizationResultBrand=void 0,this.tokens=f,this.endState=S}}e.TokenizationResult=D;class w{constructor(f,S){this._encodedTokenizationResultBrand=void 0,this.tokens=f,this.endState=S}}e.EncodedTokenizationResult=w;var I;(function(d){d[d.Method=0]="Method",d[d.Function=1]="Function",d[d.Constructor=2]="Constructor",d[d.Field=3]="Field",d[d.Variable=4]="Variable",d[d.Class=5]="Class",d[d.Struct=6]="Struct",d[d.Interface=7]="Interface",d[d.Module=8]="Module",d[d.Property=9]="Property",d[d.Event=10]="Event",d[d.Operator=11]="Operator",d[d.Unit=12]="Unit",d[d.Value=13]="Value",d[d.Constant=14]="Constant",d[d.Enum=15]="Enum",d[d.EnumMember=16]="EnumMember",d[d.Keyword=17]="Keyword",d[d.Text=18]="Text",d[d.Color=19]="Color",d[d.File=20]="File",d[d.Reference=21]="Reference",d[d.Customcolor=22]="Customcolor",d[d.Folder=23]="Folder",d[d.TypeParameter=24]="TypeParameter",d[d.User=25]="User",d[d.Issue=26]="Issue",d[d.Snippet=27]="Snippet"})(I=e.CompletionItemKind||(e.CompletionItemKind={}));var A;(function(d){const f=new Map;f.set(0,u.Codicon.symbolMethod),f.set(1,u.Codicon.symbolFunction),f.set(2,u.Codicon.symbolConstructor),f.set(3,u.Codicon.symbolField),f.set(4,u.Codicon.symbolVariable),f.set(5,u.Codicon.symbolClass),f.set(6,u.Codicon.symbolStruct),f.set(7,u.Codicon.symbolInterface),f.set(8,u.Codicon.symbolModule),f.set(9,u.Codicon.symbolProperty),f.set(10,u.Codicon.symbolEvent),f.set(11,u.Codicon.symbolOperator),f.set(12,u.Codicon.symbolUnit),f.set(13,u.Codicon.symbolValue),f.set(15,u.Codicon.symbolEnum),f.set(14,u.Codicon.symbolConstant),f.set(15,u.Codicon.symbolEnum),f.set(16,u.Codicon.symbolEnumMember),f.set(17,u.Codicon.symbolKeyword),f.set(27,u.Codicon.symbolSnippet),f.set(18,u.Codicon.symbolText),f.set(19,u.Codicon.symbolColor),f.set(20,u.Codicon.symbolFile),f.set(21,u.Codicon.symbolReference),f.set(22,u.Codicon.symbolCustomColor),f.set(23,u.Codicon.symbolFolder),f.set(24,u.Codicon.symbolTypeParameter),f.set(25,u.Codicon.account),f.set(26,u.Codicon.issues);function S(B){let R=f.get(B);return R||(console.info("No codicon found for CompletionItemKind "+B),R=u.Codicon.symbolProperty),R}d.toIcon=S;const L=new Map;L.set("method",0),L.set("function",1),L.set("constructor",2),L.set("field",3),L.set("variable",4),L.set("class",5),L.set("struct",6),L.set("interface",7),L.set("module",8),L.set("property",9),L.set("event",10),L.set("operator",11),L.set("unit",12),L.set("value",13),L.set("constant",14),L.set("enum",15),L.set("enum-member",16),L.set("enumMember",16),L.set("keyword",17),L.set("snippet",27),L.set("text",18),L.set("color",19),L.set("file",20),L.set("reference",21),L.set("customcolor",22),L.set("folder",23),L.set("type-parameter",24),L.set("typeParameter",24),L.set("account",25),L.set("issue",26);function M(B,R){let U=L.get(B);return typeof U=="undefined"&&!R&&(U=9),U}d.fromString=M})(A=e.CompletionItemKinds||(e.CompletionItemKinds={}));var k;(function(d){d[d.Deprecated=1]="Deprecated"})(k=e.CompletionItemTag||(e.CompletionItemTag={}));var _;(function(d){d[d.KeepWhitespace=1]="KeepWhitespace",d[d.InsertAsSnippet=4]="InsertAsSnippet"})(_=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var T;(function(d){d[d.Invoke=0]="Invoke",d[d.TriggerCharacter=1]="TriggerCharacter",d[d.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(T=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var E;(function(d){d[d.Automatic=0]="Automatic",d[d.Explicit=1]="Explicit"})(E=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var b;(function(d){d[d.Invoke=1]="Invoke",d[d.Auto=2]="Auto"})(b=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var v;(function(d){d[d.Invoke=1]="Invoke",d[d.TriggerCharacter=2]="TriggerCharacter",d[d.ContentChange=3]="ContentChange"})(v=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var h;(function(d){d[d.Text=0]="Text",d[d.Read=1]="Read",d[d.Write=2]="Write"})(h=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function p(d){return d&&t.URI.isUri(d.uri)&&C.Range.isIRange(d.range)&&(C.Range.isIRange(d.originSelectionRange)||C.Range.isIRange(d.targetSelectionRange))}e.isLocationLink=p;var g;(function(d){d[d.File=0]="File",d[d.Module=1]="Module",d[d.Namespace=2]="Namespace",d[d.Package=3]="Package",d[d.Class=4]="Class",d[d.Method=5]="Method",d[d.Property=6]="Property",d[d.Field=7]="Field",d[d.Constructor=8]="Constructor",d[d.Enum=9]="Enum",d[d.Interface=10]="Interface",d[d.Function=11]="Function",d[d.Variable=12]="Variable",d[d.Constant=13]="Constant",d[d.String=14]="String",d[d.Number=15]="Number",d[d.Boolean=16]="Boolean",d[d.Array=17]="Array",d[d.Object=18]="Object",d[d.Key=19]="Key",d[d.Null=20]="Null",d[d.EnumMember=21]="EnumMember",d[d.Struct=22]="Struct",d[d.Event=23]="Event",d[d.Operator=24]="Operator",d[d.TypeParameter=25]="TypeParameter"})(g=e.SymbolKind||(e.SymbolKind={}));var a;(function(d){d[d.Deprecated=1]="Deprecated"})(a=e.SymbolTag||(e.SymbolTag={}));var m;(function(d){const f=new Map;f.set(0,u.Codicon.symbolFile),f.set(1,u.Codicon.symbolModule),f.set(2,u.Codicon.symbolNamespace),f.set(3,u.Codicon.symbolPackage),f.set(4,u.Codicon.symbolClass),f.set(5,u.Codicon.symbolMethod),f.set(6,u.Codicon.symbolProperty),f.set(7,u.Codicon.symbolField),f.set(8,u.Codicon.symbolConstructor),f.set(9,u.Codicon.symbolEnum),f.set(10,u.Codicon.symbolInterface),f.set(11,u.Codicon.symbolFunction),f.set(12,u.Codicon.symbolVariable),f.set(13,u.Codicon.symbolConstant),f.set(14,u.Codicon.symbolString),f.set(15,u.Codicon.symbolNumber),f.set(16,u.Codicon.symbolBoolean),f.set(17,u.Codicon.symbolArray),f.set(18,u.Codicon.symbolObject),f.set(19,u.Codicon.symbolKey),f.set(20,u.Codicon.symbolNull),f.set(21,u.Codicon.symbolEnumMember),f.set(22,u.Codicon.symbolStruct),f.set(23,u.Codicon.symbolEvent),f.set(24,u.Codicon.symbolOperator),f.set(25,u.Codicon.symbolTypeParameter);function S(L){let M=f.get(L);return M||(console.info("No codicon found for SymbolKind "+L),M=u.Codicon.symbolProperty),M}d.toIcon=S})(m=e.SymbolKinds||(e.SymbolKinds={}));class c{constructor(f){this.value=f}}e.FoldingRangeKind=c,c.Comment=new c("comment"),c.Imports=new c("imports"),c.Region=new c("region");var l;(function(d){function f(S){return!S||typeof S!="object"?!1:typeof S.id=="string"&&typeof S.title=="string"}d.is=f})(l=e.Command||(e.Command={}));var r;(function(d){d[d.Collapsed=0]="Collapsed",d[d.Expanded=1]="Expanded"})(r=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var i;(function(d){d[d.Unresolved=0]="Unresolved",d[d.Resolved=1]="Resolved"})(i=e.CommentThreadState||(e.CommentThreadState={}));var s;(function(d){d[d.Editing=0]="Editing",d[d.Preview=1]="Preview"})(s=e.CommentMode||(e.CommentMode={}));var n;(function(d){d[d.Type=1]="Type",d[d.Parameter=2]="Parameter"})(n=e.InlayHintKind||(e.InlayHintKind={})),e.TokenizationRegistry=new P.TokenizationRegistry;var o;(function(d){d[d.None=0]="None",d[d.Option=1]="Option",d[d.Default=2]="Default",d[d.Preferred=3]="Preferred"})(o=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(De[161],Ie([19,20]),function(Z,e){return Z.create("vs/editor/common/config/editorOptions",e)}),define(De[114],Ie([1,0,161,11,98,17,24,146]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var w;(function(se){se[se.None=0]="None",se[se.Keep=1]="Keep",se[se.Brackets=2]="Brackets",se[se.Advanced=3]="Advanced",se[se.Full=4]="Full"})(w=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class I{constructor(oe){this._values=oe}hasChanged(oe){return this._values[oe]}}e.ConfigurationChangedEvent=I;class A{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=A;class k{constructor(oe,G,ye,Ae){this.id=oe,this.name=G,this.defaultValue=ye,this.schema=Ae}applyUpdate(oe,G){return T(oe,G)}compute(oe,G,ye){return ye}}class _{constructor(oe,G){this.newValue=oe,this.didChange=G}}e.ApplyUpdateResult=_;function T(se,oe){if(typeof se!="object"||typeof oe!="object"||!se||!oe)return new _(oe,se!==oe);if(Array.isArray(se)||Array.isArray(oe)){const ye=Array.isArray(se)&&Array.isArray(oe)&&P.equals(se,oe);return new _(oe,!ye)}let G=!1;for(const ye in oe)if(oe.hasOwnProperty(ye)){const Ae=T(se[ye],oe[ye]);Ae.didChange&&(se[ye]=Ae.newValue,G=!0)}return new _(se,G)}class E{constructor(oe){this.schema=void 0,this.id=oe,this.name="_never_",this.defaultValue=void 0}applyUpdate(oe,G){return T(oe,G)}validate(oe){return this.defaultValue}}class b{constructor(oe,G,ye,Ae){this.id=oe,this.name=G,this.defaultValue=ye,this.schema=Ae}applyUpdate(oe,G){return T(oe,G)}validate(oe){return typeof oe=="undefined"?this.defaultValue:oe}compute(oe,G,ye){return ye}}function v(se,oe){return typeof se=="undefined"?oe:se==="false"?!1:Boolean(se)}e.boolean=v;class h extends b{constructor(oe,G,ye,Ae=void 0){typeof Ae!="undefined"&&(Ae.type="boolean",Ae.default=ye);super(oe,G,ye,Ae)}validate(oe){return v(oe,this.defaultValue)}}function p(se,oe,G,ye){if(typeof se=="undefined")return oe;let Ae=parseInt(se,10);return isNaN(Ae)?oe:(Ae=Math.max(G,Ae),Ae=Math.min(ye,Ae),Ae|0)}e.clampedInt=p;class g extends b{constructor(oe,G,ye,Ae,We,ze=void 0){typeof ze!="undefined"&&(ze.type="integer",ze.default=ye,ze.minimum=Ae,ze.maximum=We);super(oe,G,ye,ze);this.minimum=Ae,this.maximum=We}static clampedInt(oe,G,ye,Ae){return p(oe,G,ye,Ae)}validate(oe){return g.clampedInt(oe,this.defaultValue,this.minimum,this.maximum)}}class a extends b{constructor(oe,G,ye,Ae,We){typeof We!="undefined"&&(We.type="number",We.default=ye);super(oe,G,ye,We);this.validationFn=Ae}static clamp(oe,G,ye){return oe<G?G:oe>ye?ye:oe}static float(oe,G){if(typeof oe=="number")return oe;if(typeof oe=="undefined")return G;const ye=parseFloat(oe);return isNaN(ye)?G:ye}validate(oe){return this.validationFn(a.float(oe,this.defaultValue))}}class m extends b{static string(oe,G){return typeof oe!="string"?G:oe}constructor(oe,G,ye,Ae=void 0){typeof Ae!="undefined"&&(Ae.type="string",Ae.default=ye);super(oe,G,ye,Ae)}validate(oe){return m.string(oe,this.defaultValue)}}function c(se,oe,G){return typeof se!="string"||G.indexOf(se)===-1?oe:se}e.stringSet=c;class l extends b{constructor(oe,G,ye,Ae,We=void 0){typeof We!="undefined"&&(We.type="string",We.enum=Ae,We.default=ye);super(oe,G,ye,We);this._allowedValues=Ae}validate(oe){return c(oe,this.defaultValue,this._allowedValues)}}class r extends k{constructor(oe,G,ye,Ae,We,ze,$e=void 0){typeof $e!="undefined"&&($e.type="string",$e.enum=We,$e.default=Ae);super(oe,G,ye,$e);this._allowedValues=We,this._convert=ze}validate(oe){return typeof oe!="string"?this.defaultValue:this._allowedValues.indexOf(oe)===-1?this.defaultValue:this._convert(oe)}}function i(se){switch(se){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class s extends k{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[u.localize(0,null),u.localize(1,null),u.localize(2,null)],default:"auto",description:u.localize(3,null)})}validate(oe){switch(oe){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(oe,G,ye){return ye===0?oe.accessibilitySupport:ye}}class n extends k{constructor(){const oe={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",oe,{"editor.comments.insertSpace":{type:"boolean",default:oe.insertSpace,description:u.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:oe.ignoreEmptyLines,description:u.localize(5,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{insertSpace:v(G.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:v(G.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var o;(function(se){se[se.Hidden=0]="Hidden",se[se.Blink=1]="Blink",se[se.Smooth=2]="Smooth",se[se.Phase=3]="Phase",se[se.Expand=4]="Expand",se[se.Solid=5]="Solid"})(o=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function d(se){switch(se){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var f;(function(se){se[se.Line=1]="Line",se[se.Block=2]="Block",se[se.Underline=3]="Underline",se[se.LineThin=4]="LineThin",se[se.BlockOutline=5]="BlockOutline",se[se.UnderlineThin=6]="UnderlineThin"})(f=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function S(se){switch(se){case f.Line:return"line";case f.Block:return"block";case f.Underline:return"underline";case f.LineThin:return"line-thin";case f.BlockOutline:return"block-outline";case f.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=S;function L(se){switch(se){case"line":return f.Line;case"block":return f.Block;case"underline":return f.Underline;case"line-thin":return f.LineThin;case"block-outline":return f.BlockOutline;case"underline-thin":return f.UnderlineThin}}class M extends E{constructor(){super(130)}compute(oe,G,ye){const Ae=["monaco-editor"];return G.get(34)&&Ae.push(G.get(34)),oe.extraEditorClassName&&Ae.push(oe.extraEditorClassName),G.get(67)==="default"?Ae.push("mouse-default"):G.get(67)==="copy"&&Ae.push("mouse-copy"),G.get(101)&&Ae.push("showUnused"),G.get(128)&&Ae.push("showDeprecated"),Ae.join(" ")}}class B extends h{constructor(){super(33,"emptySelectionClipboard",!0,{description:u.localize(6,null)})}compute(oe,G,ye){return ye&&oe.emptySelectionClipboard}}class R extends k{constructor(){const oe={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(36,"find",oe,{"editor.find.cursorMoveOnType":{type:"boolean",default:oe.cursorMoveOnType,description:u.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:oe.seedSearchStringFromSelection,enumDescriptions:[u.localize(8,null),u.localize(9,null),u.localize(10,null)],description:u.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:oe.autoFindInSelection,enumDescriptions:[u.localize(12,null),u.localize(13,null),u.localize(14,null)],description:u.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:oe.globalFindClipboard,description:u.localize(16,null),included:t.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:oe.addExtraSpaceOnTop,description:u.localize(17,null)},"editor.find.loop":{type:"boolean",default:oe.loop,description:u.localize(18,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{cursorMoveOnType:v(G.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof oe.seedSearchStringFromSelection=="boolean"?oe.seedSearchStringFromSelection?"always":"never":c(G.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof oe.autoFindInSelection=="boolean"?oe.autoFindInSelection?"always":"never":c(G.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:v(G.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:v(G.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:v(G.loop,this.defaultValue.loop)}}}class U extends k{constructor(){super(46,"fontLigatures",U.OFF,{anyOf:[{type:"boolean",description:u.localize(19,null)},{type:"string",description:u.localize(20,null)}],description:u.localize(21,null),default:!1})}validate(oe){return typeof oe=="undefined"?this.defaultValue:typeof oe=="string"?oe==="false"?U.OFF:oe==="true"?U.ON:oe:Boolean(oe)?U.ON:U.OFF}}e.EditorFontLigatures=U,U.OFF='"liga" off, "calt" off',U.ON='"liga" on, "calt" on';class $ extends E{constructor(){super(45)}compute(oe,G,ye){return oe.fontInfo}}class N extends b{constructor(){super(47,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:u.localize(22,null)})}validate(oe){const G=a.float(oe,this.defaultValue);return G===0?e.EDITOR_FONT_DEFAULTS.fontSize:a.clamp(G,6,100)}compute(oe,G,ye){return oe.fontInfo.fontSize}}class X extends k{constructor(){super(48,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:X.MINIMUM_VALUE,maximum:X.MAXIMUM_VALUE,errorMessage:u.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:X.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:u.localize(24,null)})}validate(oe){return oe==="normal"||oe==="bold"?oe:String(g.clampedInt(oe,e.EDITOR_FONT_DEFAULTS.fontWeight,X.MINIMUM_VALUE,X.MAXIMUM_VALUE))}}X.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],X.MINIMUM_VALUE=1,X.MAXIMUM_VALUE=1e3;class z extends k{constructor(){const oe={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},G={type:"string",enum:["peek","gotoAndPeek","goto"],default:oe.multiple,enumDescriptions:[u.localize(25,null),u.localize(26,null),u.localize(27,null)]},ye=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(52,"gotoLocation",oe,{"editor.gotoLocation.multiple":{deprecationMessage:u.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:u.localize(29,null),...G},"editor.gotoLocation.multipleTypeDefinitions":{description:u.localize(30,null),...G},"editor.gotoLocation.multipleDeclarations":{description:u.localize(31,null),...G},"editor.gotoLocation.multipleImplementations":{description:u.localize(32,null),...G},"editor.gotoLocation.multipleReferences":{description:u.localize(33,null),...G},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:oe.alternativeDefinitionCommand,enum:ye,description:u.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:oe.alternativeTypeDefinitionCommand,enum:ye,description:u.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:oe.alternativeDeclarationCommand,enum:ye,description:u.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:oe.alternativeImplementationCommand,enum:ye,description:u.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:oe.alternativeReferenceCommand,enum:ye,description:u.localize(38,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{multiple:c(G.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:G.multipleDefinitions??c(G.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:G.multipleTypeDefinitions??c(G.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:G.multipleDeclarations??c(G.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:G.multipleImplementations??c(G.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:G.multipleReferences??c(G.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:m.string(G.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:m.string(G.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:m.string(G.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:m.string(G.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:m.string(G.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class O extends k{constructor(){const oe={enabled:!0,delay:300,sticky:!0,above:!0};super(54,"hover",oe,{"editor.hover.enabled":{type:"boolean",default:oe.enabled,description:u.localize(39,null)},"editor.hover.delay":{type:"number",default:oe.delay,minimum:0,maximum:1e4,description:u.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:oe.sticky,description:u.localize(41,null)},"editor.hover.above":{type:"boolean",default:oe.above,description:u.localize(42,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),delay:g.clampedInt(G.delay,this.defaultValue.delay,0,1e4),sticky:v(G.sticky,this.defaultValue.sticky),above:v(G.above,this.defaultValue.above)}}}var x;(function(se){se[se.None=0]="None",se[se.Text=1]="Text",se[se.Blocks=2]="Blocks"})(x=e.RenderMinimap||(e.RenderMinimap={}));class V extends E{constructor(){super(133)}compute(oe,G,ye){return V.computeLayout(G,{memory:oe.memory,outerWidth:oe.outerWidth,outerHeight:oe.outerHeight,isDominatedByLongLines:oe.isDominatedByLongLines,lineHeight:oe.fontInfo.lineHeight,viewLineCount:oe.viewLineCount,lineNumbersDigitCount:oe.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:oe.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:oe.fontInfo.maxDigitWidth,pixelRatio:oe.pixelRatio})}static computeContainedMinimapLineCount(oe){const G=oe.height/oe.lineHeight,ye=oe.scrollBeyondLastLine?G-1:0,Ae=(oe.viewLineCount+ye)/(oe.pixelRatio*oe.height),We=Math.floor(oe.viewLineCount/Ae);return{typicalViewportLineCount:G,extraLinesBeyondLastLine:ye,desiredRatio:Ae,minimapLineCount:We}}static _computeMinimapLayout(oe,G){const ye=oe.outerWidth,Ae=oe.outerHeight,We=oe.pixelRatio;if(!oe.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(We*Ae),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Ae};const ze=G.stableMinimapLayoutInput,$e=ze&&oe.outerHeight===ze.outerHeight&&oe.lineHeight===ze.lineHeight&&oe.typicalHalfwidthCharacterWidth===ze.typicalHalfwidthCharacterWidth&&oe.pixelRatio===ze.pixelRatio&&oe.scrollBeyondLastLine===ze.scrollBeyondLastLine&&oe.minimap.enabled===ze.minimap.enabled&&oe.minimap.side===ze.minimap.side&&oe.minimap.size===ze.minimap.size&&oe.minimap.showSlider===ze.minimap.showSlider&&oe.minimap.renderCharacters===ze.minimap.renderCharacters&&oe.minimap.maxColumn===ze.minimap.maxColumn&&oe.minimap.scale===ze.minimap.scale&&oe.verticalScrollbarWidth===ze.verticalScrollbarWidth&&oe.isViewportWrapping===ze.isViewportWrapping,Ze=oe.lineHeight,it=oe.typicalHalfwidthCharacterWidth,lt=oe.scrollBeyondLastLine,ht=oe.minimap.renderCharacters;let tt=We>=2?Math.round(oe.minimap.scale*2):oe.minimap.scale;const at=oe.minimap.maxColumn,Ct=oe.minimap.size,Ot=oe.minimap.side,It=oe.verticalScrollbarWidth,mt=oe.viewLineCount,kt=oe.remainingWidth,Ut=oe.isViewportWrapping,Ft=ht?2:3;let Ge=Math.floor(We*Ae);const Nt=Ge/We;let Lt=!1,Bt=!1,bt=Ft*tt,Te=tt/We,Oe=1;if(Ct==="fill"||Ct==="fit"){const{typicalViewportLineCount:Ke,extraLinesBeyondLastLine:ft,desiredRatio:pt,minimapLineCount:Dt}=V.computeContainedMinimapLineCount({viewLineCount:mt,scrollBeyondLastLine:lt,height:Ae,lineHeight:Ze,pixelRatio:We});if(mt/Dt>1)Lt=!0,Bt=!0,tt=1,bt=1,Te=tt/We;else{let St=!1,At=tt+1;if(Ct==="fit"){const gt=Math.ceil((mt+ft)*bt);Ut&&$e&&kt<=G.stableFitRemainingWidth?(St=!0,At=G.stableFitMaxMinimapScale):St=gt>Ge}if(Ct==="fill"||St){Lt=!0;const gt=tt;bt=Math.min(Ze*We,Math.max(1,Math.floor(1/pt))),Ut&&$e&&kt<=G.stableFitRemainingWidth&&(At=G.stableFitMaxMinimapScale),tt=Math.min(At,Math.max(1,Math.floor(bt/Ft))),tt>gt&&(Oe=Math.min(2,tt/gt)),Te=tt/We/Oe,Ge=Math.ceil(Math.max(Ke,mt+ft)*bt),Ut?(G.stableMinimapLayoutInput=oe,G.stableFitRemainingWidth=kt,G.stableFitMaxMinimapScale=tt):(G.stableMinimapLayoutInput=null,G.stableFitRemainingWidth=0)}}}const _e=Math.floor(at*Te),ne=Math.min(_e,Math.max(0,Math.floor((kt-It-2)*Te/(it+Te)))+e.MINIMAP_GUTTER_WIDTH);let Fe=Math.floor(We*ne);const Ve=Fe/We;Fe=Math.floor(Fe*Oe);const rt=ht?1:2,Ye=Ot==="left"?0:ye-ne-It;return{renderMinimap:rt,minimapLeft:Ye,minimapWidth:ne,minimapHeightIsEditorHeight:Lt,minimapIsSampling:Bt,minimapScale:tt,minimapLineHeight:bt,minimapCanvasInnerWidth:Fe,minimapCanvasInnerHeight:Ge,minimapCanvasOuterWidth:Ve,minimapCanvasOuterHeight:Nt}}static computeLayout(oe,G){const ye=G.outerWidth|0,Ae=G.outerHeight|0,We=G.lineHeight|0,ze=G.lineNumbersDigitCount|0,$e=G.typicalHalfwidthCharacterWidth,Ze=G.maxDigitWidth,it=G.pixelRatio,lt=G.viewLineCount,ht=oe.get(125),tt=ht==="inherit"?oe.get(124):ht,at=tt==="inherit"?oe.get(120):tt,Ct=oe.get(123),Ot=oe.get(2),It=G.isDominatedByLongLines,mt=oe.get(51),kt=oe.get(61).renderType!==0,Ut=oe.get(62),Ft=oe.get(95),Ge=oe.get(66),Nt=oe.get(93),Lt=Nt.verticalScrollbarSize,Bt=Nt.verticalHasArrows,bt=Nt.arrowSize,Te=Nt.horizontalScrollbarSize,Oe=oe.get(59),_e=oe.get(38),ne=oe.get(100)!=="never";let Fe;if(typeof Oe=="string"&&/^\d+(\.\d+)?ch$/.test(Oe)){const xt=parseFloat(Oe.substr(0,Oe.length-2));Fe=g.clampedInt(xt*$e,0,0,1e3)}else Fe=g.clampedInt(Oe,0,0,1e3);_e&&ne&&(Fe+=16);let Ve=0;if(kt){const xt=Math.max(ze,Ut);Ve=Math.round(xt*Ze)}let rt=0;mt&&(rt=We);let Ye=0,Ke=Ye+rt,ft=Ke+Ve,pt=ft+Fe;const Dt=ye-rt-Ve-Fe;let vt=!1,St=!1,At=-1;Ot!==2&&(tt==="inherit"&&It?(vt=!0,St=!0):at==="on"||at==="bounded"?St=!0:at==="wordWrapColumn"&&(At=Ct));const gt=V._computeMinimapLayout({outerWidth:ye,outerHeight:Ae,lineHeight:We,typicalHalfwidthCharacterWidth:$e,pixelRatio:it,scrollBeyondLastLine:Ft,minimap:Ge,verticalScrollbarWidth:Lt,viewLineCount:lt,remainingWidth:Dt,isViewportWrapping:St},G.memory||new A);gt.renderMinimap!==0&&gt.minimapLeft===0&&(Ye+=gt.minimapWidth,Ke+=gt.minimapWidth,ft+=gt.minimapWidth,pt+=gt.minimapWidth);const Yt=Dt-gt.minimapWidth,Jt=Math.max(1,Math.floor((Yt-Lt-2)/$e)),Et=Bt?bt:0;return St&&(At=Math.max(1,Jt),at==="bounded"&&(At=Math.min(At,Ct))),{width:ye,height:Ae,glyphMarginLeft:Ye,glyphMarginWidth:rt,lineNumbersLeft:Ke,lineNumbersWidth:Ve,decorationsLeft:ft,decorationsWidth:Fe,contentLeft:pt,contentWidth:Yt,minimap:gt,viewportColumn:Jt,isWordWrapMinified:vt,isViewportWrapping:St,wrappingColumn:At,verticalScrollbarWidth:Lt,horizontalScrollbarHeight:Te,overviewRuler:{top:Et,width:Lt,height:Ae-2*Et,right:0}}}}e.EditorLayoutInfoComputer=V;class q extends k{constructor(){const oe={enabled:!0};super(58,"lightbulb",oe,{"editor.lightbulb.enabled":{type:"boolean",default:oe.enabled,description:u.localize(43,null)}})}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:{enabled:v(oe.enabled,this.defaultValue.enabled)}}}class J extends k{constructor(){const oe={enabled:!1,maxLineCount:5};super(105,"stickyScroll",oe,{"editor.stickyScroll.enabled":{type:"boolean",default:oe.enabled,description:u.localize(44,null)},"editor.stickyScroll.maxLineCount":{type:"number",default:oe.maxLineCount,minimum:1,maximum:10,description:u.localize(45,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),maxLineCount:g.clampedInt(G.maxLineCount,this.defaultValue.maxLineCount,1,10)}}}class Y extends k{constructor(){const oe={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(129,"inlayHints",oe,{"editor.inlayHints.enabled":{type:"string",default:oe.enabled,description:u.localize(46,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[u.localize(47,null),u.localize(48,null,t.isMacintosh?"Ctrl+Option":"Ctrl+Alt"),u.localize(49,null,t.isMacintosh?"Ctrl+Option":"Ctrl+Alt"),u.localize(50,null)]},"editor.inlayHints.fontSize":{type:"number",default:oe.fontSize,markdownDescription:u.localize(51,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:oe.fontFamily,markdownDescription:u.localize(52,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:oe.padding,description:u.localize(53,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return typeof G.enabled=="boolean"&&(G.enabled=G.enabled?"on":"off"),{enabled:c(G.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:g.clampedInt(G.fontSize,this.defaultValue.fontSize,0,100),fontFamily:m.string(G.fontFamily,this.defaultValue.fontFamily),padding:v(G.padding,this.defaultValue.padding)}}}class he extends a{constructor(){super(60,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,oe=>a.clamp(oe,0,150),{markdownDescription:u.localize(54,null)})}compute(oe,G,ye){return oe.fontInfo.lineHeight}}class ve extends k{constructor(){const oe={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1};super(66,"minimap",oe,{"editor.minimap.enabled":{type:"boolean",default:oe.enabled,description:u.localize(55,null)},"editor.minimap.autohide":{type:"boolean",default:oe.autohide,description:u.localize(56,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[u.localize(57,null),u.localize(58,null),u.localize(59,null)],default:oe.size,description:u.localize(60,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:oe.side,description:u.localize(61,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:oe.showSlider,description:u.localize(62,null)},"editor.minimap.scale":{type:"number",default:oe.scale,minimum:1,maximum:3,enum:[1,2,3],description:u.localize(63,null)},"editor.minimap.renderCharacters":{type:"boolean",default:oe.renderCharacters,description:u.localize(64,null)},"editor.minimap.maxColumn":{type:"number",default:oe.maxColumn,description:u.localize(65,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),autohide:v(G.autohide,this.defaultValue.autohide),size:c(G.size,this.defaultValue.size,["proportional","fill","fit"]),side:c(G.side,this.defaultValue.side,["right","left"]),showSlider:c(G.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:v(G.renderCharacters,this.defaultValue.renderCharacters),scale:g.clampedInt(G.scale,1,1,3),maxColumn:g.clampedInt(G.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function re(se){return se==="ctrlCmd"?t.isMacintosh?"metaKey":"ctrlKey":"altKey"}class pe extends k{constructor(){super(76,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:u.localize(66,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:u.localize(67,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{top:g.clampedInt(G.top,0,0,1e3),bottom:g.clampedInt(G.bottom,0,0,1e3)}}}class be extends k{constructor(){const oe={enabled:!0,cycle:!1};super(77,"parameterHints",oe,{"editor.parameterHints.enabled":{type:"boolean",default:oe.enabled,description:u.localize(68,null)},"editor.parameterHints.cycle":{type:"boolean",default:oe.cycle,description:u.localize(69,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),cycle:v(G.cycle,this.defaultValue.cycle)}}}class ke extends E{constructor(){super(131)}compute(oe,G,ye){return oe.pixelRatio}}class Re extends k{constructor(){const oe={other:"on",comments:"off",strings:"off"},G=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[u.localize(70,null),u.localize(71,null),u.localize(72,null)]}];super(80,"quickSuggestions",oe,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:G,default:oe.strings,description:u.localize(73,null)},comments:{anyOf:G,default:oe.comments,description:u.localize(74,null)},other:{anyOf:G,default:oe.other,description:u.localize(75,null)}},default:oe,markdownDescription:u.localize(76,null,"#editor.suggestOnTriggerCharacters#")});this.defaultValue=oe}validate(oe){if(typeof oe=="boolean"){const it=oe?"on":"off";return{comments:it,strings:it,other:it}}if(!oe||typeof oe!="object")return this.defaultValue;const{other:G,comments:ye,strings:Ae}=oe,We=["on","inline","off"];let ze,$e,Ze;return typeof G=="boolean"?ze=G?"on":"off":ze=c(G,this.defaultValue.other,We),typeof ye=="boolean"?$e=ye?"on":"off":$e=c(ye,this.defaultValue.comments,We),typeof Ae=="boolean"?Ze=Ae?"on":"off":Ze=c(Ae,this.defaultValue.strings,We),{other:ze,comments:$e,strings:Ze}}}var Ue;(function(se){se[se.Off=0]="Off",se[se.On=1]="On",se[se.Relative=2]="Relative",se[se.Interval=3]="Interval",se[se.Custom=4]="Custom"})(Ue=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class ae extends k{constructor(){super(61,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[u.localize(77,null),u.localize(78,null),u.localize(79,null),u.localize(80,null)],default:"on",description:u.localize(81,null)})}validate(oe){let G=this.defaultValue.renderType,ye=this.defaultValue.renderFn;return typeof oe!="undefined"&&(typeof oe=="function"?(G=4,ye=oe):oe==="interval"?G=3:oe==="relative"?G=2:oe==="on"?G=1:G=0),{renderType:G,renderFn:ye}}}function de(se){const oe=se.get(88);return oe==="editable"?se.get(82):oe!=="on"}e.filterValidationDecorations=de;class ge extends k{constructor(){const oe=[],G={type:"number",description:u.localize(82,null)};super(92,"rulers",oe,{type:"array",items:{anyOf:[G,{type:["object"],properties:{column:G,color:{type:"string",description:u.localize(83,null),format:"color-hex"}}}]},default:oe,description:u.localize(84,null)})}validate(oe){if(Array.isArray(oe)){const G=[];for(const ye of oe)if(typeof ye=="number")G.push({column:g.clampedInt(ye,0,0,1e4),color:null});else if(ye&&typeof ye=="object"){const Ae=ye;G.push({column:g.clampedInt(Ae.column,0,0,1e4),color:Ae.color})}return G.sort((ye,Ae)=>ye.column-Ae.column),G}return this.defaultValue}}function te(se,oe){if(typeof se!="string")return oe;switch(se){case"hidden":return 2;case"visible":return 3;default:return 1}}class le extends k{constructor(){const oe={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(93,"scrollbar",oe,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[u.localize(85,null),u.localize(86,null),u.localize(87,null)],default:"auto",description:u.localize(88,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[u.localize(89,null),u.localize(90,null),u.localize(91,null)],default:"auto",description:u.localize(92,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:oe.verticalScrollbarSize,description:u.localize(93,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:oe.horizontalScrollbarSize,description:u.localize(94,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:oe.scrollByPage,description:u.localize(95,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe,ye=g.clampedInt(G.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Ae=g.clampedInt(G.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:g.clampedInt(G.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:te(G.vertical,this.defaultValue.vertical),horizontal:te(G.horizontal,this.defaultValue.horizontal),useShadows:v(G.useShadows,this.defaultValue.useShadows),verticalHasArrows:v(G.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:v(G.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:v(G.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:v(G.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:ye,horizontalSliderSize:g.clampedInt(G.horizontalSliderSize,ye,0,1e3),verticalScrollbarSize:Ae,verticalSliderSize:g.clampedInt(G.verticalSliderSize,Ae,0,1e3),scrollByPage:v(G.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class ee extends k{constructor(){const oe={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(115,"unicodeHighlight",oe,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.nonBasicASCII,description:u.localize(96,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:oe.invisibleCharacters,description:u.localize(97,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:oe.ambiguousCharacters,description:u.localize(98,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.includeComments,description:u.localize(99,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.includeStrings,description:u.localize(100,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:oe.allowedCharacters,description:u.localize(101,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:oe.allowedLocales,description:u.localize(102,null)}})}applyUpdate(oe,G){let ye=!1;G.allowedCharacters&&oe&&(y.equals(oe.allowedCharacters,G.allowedCharacters)||(oe={...oe,allowedCharacters:G.allowedCharacters},ye=!0)),G.allowedLocales&&oe&&(y.equals(oe.allowedLocales,G.allowedLocales)||(oe={...oe,allowedLocales:G.allowedLocales},ye=!0));const Ae=super.applyUpdate(oe,G);return ye?new _(Ae.newValue,!0):Ae}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{nonBasicASCII:K(G.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:v(G.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:v(G.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:K(G.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:K(G.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(oe.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(oe.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(oe,G){if(typeof oe!="object"||!oe)return G;const ye={};for(const[Ae,We]of Object.entries(oe))We===!0&&(ye[Ae]=!0);return ye}}class ie extends k{constructor(){const oe={enabled:!0,mode:"subwordSmart"};super(56,"inlineSuggest",oe,{"editor.inlineSuggest.enabled":{type:"boolean",default:oe.enabled,description:u.localize(103,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),mode:c(G.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class F extends k{constructor(){const oe={enabled:D.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:D.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(12,"bracketPairColorization",oe,{"editor.bracketPairColorization.enabled":{type:"boolean",default:oe.enabled,markdownDescription:u.localize(104,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:oe.independentColorPoolPerBracketType,description:u.localize(105,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{enabled:v(G.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:v(G.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class H extends k{constructor(){const oe={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",oe,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[u.localize(106,null),u.localize(107,null),u.localize(108,null)],default:oe.bracketPairs,description:u.localize(109,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[u.localize(110,null),u.localize(111,null),u.localize(112,null)],default:oe.bracketPairsHorizontal,description:u.localize(113,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:oe.highlightActiveBracketPair,description:u.localize(114,null)},"editor.guides.indentation":{type:"boolean",default:oe.indentation,description:u.localize(115,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[u.localize(116,null),u.localize(117,null),u.localize(118,null)],default:oe.highlightActiveIndentation,description:u.localize(119,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{bracketPairs:K(G.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:K(G.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:v(G.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:v(G.indentation,this.defaultValue.indentation),highlightActiveIndentation:K(G.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function K(se,oe,G){const ye=G.indexOf(se);return ye===-1?oe:G[ye]}class Q extends k{constructor(){const oe={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,matchOnWordStartOnly:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(108,"suggest",oe,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[u.localize(120,null),u.localize(121,null)],default:oe.insertMode,description:u.localize(122,null)},"editor.suggest.filterGraceful":{type:"boolean",default:oe.filterGraceful,description:u.localize(123,null)},"editor.suggest.localityBonus":{type:"boolean",default:oe.localityBonus,description:u.localize(124,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:oe.shareSuggestSelections,markdownDescription:u.localize(125,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:oe.snippetsPreventQuickSuggestions,description:u.localize(126,null)},"editor.suggest.showIcons":{type:"boolean",default:oe.showIcons,description:u.localize(127,null)},"editor.suggest.showStatusBar":{type:"boolean",default:oe.showStatusBar,description:u.localize(128,null)},"editor.suggest.preview":{type:"boolean",default:oe.preview,description:u.localize(129,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:oe.showInlineDetails,description:u.localize(130,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:u.localize(131,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:u.localize(132,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:u.localize(133,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:u.localize(134,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:u.localize(135,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:u.localize(136,null)},"editor.suggest.matchOnWordStartOnly":{type:"boolean",default:!0,markdownDescription:u.localize(137,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:u.localize(138,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:u.localize(139,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:u.localize(140,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:u.localize(141,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:u.localize(142,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:u.localize(143,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:u.localize(144,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:u.localize(145,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:u.localize(146,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:u.localize(147,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:u.localize(148,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:u.localize(149,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:u.localize(150,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:u.localize(151,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:u.localize(152,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:u.localize(153,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:u.localize(154,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:u.localize(155,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:u.localize(156,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:u.localize(157,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:u.localize(158,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:u.localize(159,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:u.localize(160,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:u.localize(161,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:u.localize(162,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const G=oe;return{insertMode:c(G.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:v(G.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:v(G.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:v(G.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:v(G.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:v(G.showIcons,this.defaultValue.showIcons),showStatusBar:v(G.showStatusBar,this.defaultValue.showStatusBar),preview:v(G.preview,this.defaultValue.preview),previewMode:c(G.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:v(G.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:v(G.showMethods,this.defaultValue.showMethods),showFunctions:v(G.showFunctions,this.defaultValue.showFunctions),showConstructors:v(G.showConstructors,this.defaultValue.showConstructors),showDeprecated:v(G.showDeprecated,this.defaultValue.showDeprecated),matchOnWordStartOnly:v(G.matchOnWordStartOnly,this.defaultValue.matchOnWordStartOnly),showFields:v(G.showFields,this.defaultValue.showFields),showVariables:v(G.showVariables,this.defaultValue.showVariables),showClasses:v(G.showClasses,this.defaultValue.showClasses),showStructs:v(G.showStructs,this.defaultValue.showStructs),showInterfaces:v(G.showInterfaces,this.defaultValue.showInterfaces),showModules:v(G.showModules,this.defaultValue.showModules),showProperties:v(G.showProperties,this.defaultValue.showProperties),showEvents:v(G.showEvents,this.defaultValue.showEvents),showOperators:v(G.showOperators,this.defaultValue.showOperators),showUnits:v(G.showUnits,this.defaultValue.showUnits),showValues:v(G.showValues,this.defaultValue.showValues),showConstants:v(G.showConstants,this.defaultValue.showConstants),showEnums:v(G.showEnums,this.defaultValue.showEnums),showEnumMembers:v(G.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:v(G.showKeywords,this.defaultValue.showKeywords),showWords:v(G.showWords,this.defaultValue.showWords),showColors:v(G.showColors,this.defaultValue.showColors),showFiles:v(G.showFiles,this.defaultValue.showFiles),showReferences:v(G.showReferences,this.defaultValue.showReferences),showFolders:v(G.showFolders,this.defaultValue.showFolders),showTypeParameters:v(G.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:v(G.showSnippets,this.defaultValue.showSnippets),showUsers:v(G.showUsers,this.defaultValue.showUsers),showIssues:v(G.showIssues,this.defaultValue.showIssues)}}}class fe extends k{constructor(){super(103,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:u.localize(163,null),default:!0,type:"boolean"}})}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:v(oe.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class we extends E{constructor(){super(132)}compute(oe,G,ye){return G.get(82)?!0:oe.tabFocusMode}}var ue;(function(se){se[se.None=0]="None",se[se.Same=1]="Same",se[se.Indent=2]="Indent",se[se.DeepIndent=3]="DeepIndent"})(ue=e.WrappingIndent||(e.WrappingIndent={}));function Ce(se){switch(se){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class Se extends E{constructor(){super(134)}compute(oe,G,ye){const Ae=G.get(133);return{isDominatedByLongLines:oe.isDominatedByLongLines,isWordWrapMinified:Ae.isWordWrapMinified,isViewportWrapping:Ae.isViewportWrapping,wrappingColumn:Ae.wrappingColumn}}}class Be extends k{constructor(){const oe={enabled:!0};super(32,"dropIntoEditor",oe,{"editor.dropIntoEditor.enabled":{type:"boolean",default:oe.enabled,markdownDescription:u.localize(164,null)}})}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:{enabled:v(oe.enabled,this.defaultValue.enabled)}}}const qe="Consolas, 'Courier New', monospace",Je="Menlo, Monaco, 'Courier New', monospace",Qe="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:t.isMacintosh?Je:t.isLinux?Qe:qe,fontWeight:"normal",fontSize:t.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Le(se){return e.editorOptionsRegistry[se.id]=se,se}var st;(function(se){se[se.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",se[se.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",se[se.accessibilitySupport=2]="accessibilitySupport",se[se.accessibilityPageSize=3]="accessibilityPageSize",se[se.ariaLabel=4]="ariaLabel",se[se.autoClosingBrackets=5]="autoClosingBrackets",se[se.autoClosingDelete=6]="autoClosingDelete",se[se.autoClosingOvertype=7]="autoClosingOvertype",se[se.autoClosingQuotes=8]="autoClosingQuotes",se[se.autoIndent=9]="autoIndent",se[se.automaticLayout=10]="automaticLayout",se[se.autoSurround=11]="autoSurround",se[se.bracketPairColorization=12]="bracketPairColorization",se[se.guides=13]="guides",se[se.codeLens=14]="codeLens",se[se.codeLensFontFamily=15]="codeLensFontFamily",se[se.codeLensFontSize=16]="codeLensFontSize",se[se.colorDecorators=17]="colorDecorators",se[se.columnSelection=18]="columnSelection",se[se.comments=19]="comments",se[se.contextmenu=20]="contextmenu",se[se.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",se[se.cursorBlinking=22]="cursorBlinking",se[se.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",se[se.cursorStyle=24]="cursorStyle",se[se.cursorSurroundingLines=25]="cursorSurroundingLines",se[se.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",se[se.cursorWidth=27]="cursorWidth",se[se.disableLayerHinting=28]="disableLayerHinting",se[se.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",se[se.domReadOnly=30]="domReadOnly",se[se.dragAndDrop=31]="dragAndDrop",se[se.dropIntoEditor=32]="dropIntoEditor",se[se.emptySelectionClipboard=33]="emptySelectionClipboard",se[se.extraEditorClassName=34]="extraEditorClassName",se[se.fastScrollSensitivity=35]="fastScrollSensitivity",se[se.find=36]="find",se[se.fixedOverflowWidgets=37]="fixedOverflowWidgets",se[se.folding=38]="folding",se[se.foldingStrategy=39]="foldingStrategy",se[se.foldingHighlight=40]="foldingHighlight",se[se.foldingImportsByDefault=41]="foldingImportsByDefault",se[se.foldingMaximumRegions=42]="foldingMaximumRegions",se[se.unfoldOnClickAfterEndOfLine=43]="unfoldOnClickAfterEndOfLine",se[se.fontFamily=44]="fontFamily",se[se.fontInfo=45]="fontInfo",se[se.fontLigatures=46]="fontLigatures",se[se.fontSize=47]="fontSize",se[se.fontWeight=48]="fontWeight",se[se.formatOnPaste=49]="formatOnPaste",se[se.formatOnType=50]="formatOnType",se[se.glyphMargin=51]="glyphMargin",se[se.gotoLocation=52]="gotoLocation",se[se.hideCursorInOverviewRuler=53]="hideCursorInOverviewRuler",se[se.hover=54]="hover",se[se.inDiffEditor=55]="inDiffEditor",se[se.inlineSuggest=56]="inlineSuggest",se[se.letterSpacing=57]="letterSpacing",se[se.lightbulb=58]="lightbulb",se[se.lineDecorationsWidth=59]="lineDecorationsWidth",se[se.lineHeight=60]="lineHeight",se[se.lineNumbers=61]="lineNumbers",se[se.lineNumbersMinChars=62]="lineNumbersMinChars",se[se.linkedEditing=63]="linkedEditing",se[se.links=64]="links",se[se.matchBrackets=65]="matchBrackets",se[se.minimap=66]="minimap",se[se.mouseStyle=67]="mouseStyle",se[se.mouseWheelScrollSensitivity=68]="mouseWheelScrollSensitivity",se[se.mouseWheelZoom=69]="mouseWheelZoom",se[se.multiCursorMergeOverlapping=70]="multiCursorMergeOverlapping",se[se.multiCursorModifier=71]="multiCursorModifier",se[se.multiCursorPaste=72]="multiCursorPaste",se[se.occurrencesHighlight=73]="occurrencesHighlight",se[se.overviewRulerBorder=74]="overviewRulerBorder",se[se.overviewRulerLanes=75]="overviewRulerLanes",se[se.padding=76]="padding",se[se.parameterHints=77]="parameterHints",se[se.peekWidgetDefaultFocus=78]="peekWidgetDefaultFocus",se[se.definitionLinkOpensInPeek=79]="definitionLinkOpensInPeek",se[se.quickSuggestions=80]="quickSuggestions",se[se.quickSuggestionsDelay=81]="quickSuggestionsDelay",se[se.readOnly=82]="readOnly",se[se.renameOnType=83]="renameOnType",se[se.renderControlCharacters=84]="renderControlCharacters",se[se.renderFinalNewline=85]="renderFinalNewline",se[se.renderLineHighlight=86]="renderLineHighlight",se[se.renderLineHighlightOnlyWhenFocus=87]="renderLineHighlightOnlyWhenFocus",se[se.renderValidationDecorations=88]="renderValidationDecorations",se[se.renderWhitespace=89]="renderWhitespace",se[se.revealHorizontalRightPadding=90]="revealHorizontalRightPadding",se[se.roundedSelection=91]="roundedSelection",se[se.rulers=92]="rulers",se[se.scrollbar=93]="scrollbar",se[se.scrollBeyondLastColumn=94]="scrollBeyondLastColumn",se[se.scrollBeyondLastLine=95]="scrollBeyondLastLine",se[se.scrollPredominantAxis=96]="scrollPredominantAxis",se[se.selectionClipboard=97]="selectionClipboard",se[se.selectionHighlight=98]="selectionHighlight",se[se.selectOnLineNumbers=99]="selectOnLineNumbers",se[se.showFoldingControls=100]="showFoldingControls",se[se.showUnused=101]="showUnused",se[se.snippetSuggestions=102]="snippetSuggestions",se[se.smartSelect=103]="smartSelect",se[se.smoothScrolling=104]="smoothScrolling",se[se.stickyScroll=105]="stickyScroll",se[se.stickyTabStops=106]="stickyTabStops",se[se.stopRenderingLineAfter=107]="stopRenderingLineAfter",se[se.suggest=108]="suggest",se[se.suggestFontSize=109]="suggestFontSize",se[se.suggestLineHeight=110]="suggestLineHeight",se[se.suggestOnTriggerCharacters=111]="suggestOnTriggerCharacters",se[se.suggestSelection=112]="suggestSelection",se[se.tabCompletion=113]="tabCompletion",se[se.tabIndex=114]="tabIndex",se[se.unicodeHighlighting=115]="unicodeHighlighting",se[se.unusualLineTerminators=116]="unusualLineTerminators",se[se.useShadowDOM=117]="useShadowDOM",se[se.useTabStops=118]="useTabStops",se[se.wordSeparators=119]="wordSeparators",se[se.wordWrap=120]="wordWrap",se[se.wordWrapBreakAfterCharacters=121]="wordWrapBreakAfterCharacters",se[se.wordWrapBreakBeforeCharacters=122]="wordWrapBreakBeforeCharacters",se[se.wordWrapColumn=123]="wordWrapColumn",se[se.wordWrapOverride1=124]="wordWrapOverride1",se[se.wordWrapOverride2=125]="wordWrapOverride2",se[se.wrappingIndent=126]="wrappingIndent",se[se.wrappingStrategy=127]="wrappingStrategy",se[se.showDeprecated=128]="showDeprecated",se[se.inlayHints=129]="inlayHints",se[se.editorClassName=130]="editorClassName",se[se.pixelRatio=131]="pixelRatio",se[se.tabFocusMode=132]="tabFocusMode",se[se.layoutInfo=133]="layoutInfo",se[se.wrappingInfo=134]="wrappingInfo"})(st=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Le(new h(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:u.localize(165,null)})),acceptSuggestionOnEnter:Le(new l(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",u.localize(166,null),""],markdownDescription:u.localize(167,null)})),accessibilitySupport:Le(new s),accessibilityPageSize:Le(new g(3,"accessibilityPageSize",10,1,1073741824,{description:u.localize(168,null)})),ariaLabel:Le(new m(4,"ariaLabel",u.localize(169,null))),autoClosingBrackets:Le(new l(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",u.localize(170,null),u.localize(171,null),""],description:u.localize(172,null)})),autoClosingDelete:Le(new l(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",u.localize(173,null),""],description:u.localize(174,null)})),autoClosingOvertype:Le(new l(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",u.localize(175,null),""],description:u.localize(176,null)})),autoClosingQuotes:Le(new l(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",u.localize(177,null),u.localize(178,null),""],description:u.localize(179,null)})),autoIndent:Le(new r(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],i,{enumDescriptions:[u.localize(180,null),u.localize(181,null),u.localize(182,null),u.localize(183,null),u.localize(184,null)],description:u.localize(185,null)})),automaticLayout:Le(new h(10,"automaticLayout",!1)),autoSurround:Le(new l(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[u.localize(186,null),u.localize(187,null),u.localize(188,null),""],description:u.localize(189,null)})),bracketPairColorization:Le(new F),bracketPairGuides:Le(new H),stickyTabStops:Le(new h(106,"stickyTabStops",!1,{description:u.localize(190,null)})),codeLens:Le(new h(14,"codeLens",!0,{description:u.localize(191,null)})),codeLensFontFamily:Le(new m(15,"codeLensFontFamily","",{description:u.localize(192,null)})),codeLensFontSize:Le(new g(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:u.localize(193,null)})),colorDecorators:Le(new h(17,"colorDecorators",!0,{description:u.localize(194,null)})),columnSelection:Le(new h(18,"columnSelection",!1,{description:u.localize(195,null)})),comments:Le(new n),contextmenu:Le(new h(20,"contextmenu",!0)),copyWithSyntaxHighlighting:Le(new h(21,"copyWithSyntaxHighlighting",!0,{description:u.localize(196,null)})),cursorBlinking:Le(new r(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],d,{description:u.localize(197,null)})),cursorSmoothCaretAnimation:Le(new h(23,"cursorSmoothCaretAnimation",!1,{description:u.localize(198,null)})),cursorStyle:Le(new r(24,"cursorStyle",f.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],L,{description:u.localize(199,null)})),cursorSurroundingLines:Le(new g(25,"cursorSurroundingLines",0,0,1073741824,{description:u.localize(200,null)})),cursorSurroundingLinesStyle:Le(new l(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[u.localize(201,null),u.localize(202,null)],description:u.localize(203,null)})),cursorWidth:Le(new g(27,"cursorWidth",0,0,1073741824,{markdownDescription:u.localize(204,null)})),disableLayerHinting:Le(new h(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:Le(new h(29,"disableMonospaceOptimizations",!1)),domReadOnly:Le(new h(30,"domReadOnly",!1)),dragAndDrop:Le(new h(31,"dragAndDrop",!0,{description:u.localize(205,null)})),emptySelectionClipboard:Le(new B),dropIntoEditor:Le(new Be),stickyScroll:Le(new J),extraEditorClassName:Le(new m(34,"extraEditorClassName","")),fastScrollSensitivity:Le(new a(35,"fastScrollSensitivity",5,se=>se<=0?5:se,{markdownDescription:u.localize(206,null)})),find:Le(new R),fixedOverflowWidgets:Le(new h(37,"fixedOverflowWidgets",!1)),folding:Le(new h(38,"folding",!0,{description:u.localize(207,null)})),foldingStrategy:Le(new l(39,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[u.localize(208,null),u.localize(209,null)],description:u.localize(210,null)})),foldingHighlight:Le(new h(40,"foldingHighlight",!0,{description:u.localize(211,null)})),foldingImportsByDefault:Le(new h(41,"foldingImportsByDefault",!1,{description:u.localize(212,null)})),foldingMaximumRegions:Le(new g(42,"foldingMaximumRegions",5e3,10,65e3,{description:u.localize(213,null)})),unfoldOnClickAfterEndOfLine:Le(new h(43,"unfoldOnClickAfterEndOfLine",!1,{description:u.localize(214,null)})),fontFamily:Le(new m(44,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:u.localize(215,null)})),fontInfo:Le(new $),fontLigatures2:Le(new U),fontSize:Le(new N),fontWeight:Le(new X),formatOnPaste:Le(new h(49,"formatOnPaste",!1,{description:u.localize(216,null)})),formatOnType:Le(new h(50,"formatOnType",!1,{description:u.localize(217,null)})),glyphMargin:Le(new h(51,"glyphMargin",!0,{description:u.localize(218,null)})),gotoLocation:Le(new z),hideCursorInOverviewRuler:Le(new h(53,"hideCursorInOverviewRuler",!1,{description:u.localize(219,null)})),hover:Le(new O),inDiffEditor:Le(new h(55,"inDiffEditor",!1)),letterSpacing:Le(new a(57,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,se=>a.clamp(se,-5,20),{description:u.localize(220,null)})),lightbulb:Le(new q),lineDecorationsWidth:Le(new b(59,"lineDecorationsWidth",10)),lineHeight:Le(new he),lineNumbers:Le(new ae),lineNumbersMinChars:Le(new g(62,"lineNumbersMinChars",5,1,300)),linkedEditing:Le(new h(63,"linkedEditing",!1,{description:u.localize(221,null)})),links:Le(new h(64,"links",!0,{description:u.localize(222,null)})),matchBrackets:Le(new l(65,"matchBrackets","always",["always","near","never"],{description:u.localize(223,null)})),minimap:Le(new ve),mouseStyle:Le(new l(67,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Le(new a(68,"mouseWheelScrollSensitivity",1,se=>se===0?1:se,{markdownDescription:u.localize(224,null)})),mouseWheelZoom:Le(new h(69,"mouseWheelZoom",!1,{markdownDescription:u.localize(225,null)})),multiCursorMergeOverlapping:Le(new h(70,"multiCursorMergeOverlapping",!0,{description:u.localize(226,null)})),multiCursorModifier:Le(new r(71,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],re,{markdownEnumDescriptions:[u.localize(227,null),u.localize(228,null)],markdownDescription:u.localize(229,null)})),multiCursorPaste:Le(new l(72,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[u.localize(230,null),u.localize(231,null)],markdownDescription:u.localize(232,null)})),occurrencesHighlight:Le(new h(73,"occurrencesHighlight",!0,{description:u.localize(233,null)})),overviewRulerBorder:Le(new h(74,"overviewRulerBorder",!0,{description:u.localize(234,null)})),overviewRulerLanes:Le(new g(75,"overviewRulerLanes",3,0,3)),padding:Le(new pe),parameterHints:Le(new be),peekWidgetDefaultFocus:Le(new l(78,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[u.localize(235,null),u.localize(236,null)],description:u.localize(237,null)})),definitionLinkOpensInPeek:Le(new h(79,"definitionLinkOpensInPeek",!1,{description:u.localize(238,null)})),quickSuggestions:Le(new Re),quickSuggestionsDelay:Le(new g(81,"quickSuggestionsDelay",10,0,1073741824,{description:u.localize(239,null)})),readOnly:Le(new h(82,"readOnly",!1)),renameOnType:Le(new h(83,"renameOnType",!1,{description:u.localize(240,null),markdownDeprecationMessage:u.localize(241,null)})),renderControlCharacters:Le(new h(84,"renderControlCharacters",!0,{description:u.localize(242,null),restricted:!0})),renderFinalNewline:Le(new h(85,"renderFinalNewline",!0,{description:u.localize(243,null)})),renderLineHighlight:Le(new l(86,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",u.localize(244,null)],description:u.localize(245,null)})),renderLineHighlightOnlyWhenFocus:Le(new h(87,"renderLineHighlightOnlyWhenFocus",!1,{description:u.localize(246,null)})),renderValidationDecorations:Le(new l(88,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Le(new l(89,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",u.localize(247,null),u.localize(248,null),u.localize(249,null),""],description:u.localize(250,null)})),revealHorizontalRightPadding:Le(new g(90,"revealHorizontalRightPadding",15,0,1e3)),roundedSelection:Le(new h(91,"roundedSelection",!0,{description:u.localize(251,null)})),rulers:Le(new ge),scrollbar:Le(new le),scrollBeyondLastColumn:Le(new g(94,"scrollBeyondLastColumn",4,0,1073741824,{description:u.localize(252,null)})),scrollBeyondLastLine:Le(new h(95,"scrollBeyondLastLine",!0,{description:u.localize(253,null)})),scrollPredominantAxis:Le(new h(96,"scrollPredominantAxis",!0,{description:u.localize(254,null)})),selectionClipboard:Le(new h(97,"selectionClipboard",!0,{description:u.localize(255,null),included:t.isLinux})),selectionHighlight:Le(new h(98,"selectionHighlight",!0,{description:u.localize(256,null)})),selectOnLineNumbers:Le(new h(99,"selectOnLineNumbers",!0)),showFoldingControls:Le(new l(100,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[u.localize(257,null),u.localize(258,null),u.localize(259,null)],description:u.localize(260,null)})),showUnused:Le(new h(101,"showUnused",!0,{description:u.localize(261,null)})),showDeprecated:Le(new h(128,"showDeprecated",!0,{description:u.localize(262,null)})),inlayHints:Le(new Y),snippetSuggestions:Le(new l(102,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[u.localize(263,null),u.localize(264,null),u.localize(265,null),u.localize(266,null)],description:u.localize(267,null)})),smartSelect:Le(new fe),smoothScrolling:Le(new h(104,"smoothScrolling",!1,{description:u.localize(268,null)})),stopRenderingLineAfter:Le(new g(107,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Le(new Q),inlineSuggest:Le(new ie),suggestFontSize:Le(new g(109,"suggestFontSize",0,0,1e3,{markdownDescription:u.localize(269,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:Le(new g(110,"suggestLineHeight",0,0,1e3,{markdownDescription:u.localize(270,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:Le(new h(111,"suggestOnTriggerCharacters",!0,{description:u.localize(271,null)})),suggestSelection:Le(new l(112,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[u.localize(272,null),u.localize(273,null),u.localize(274,null)],description:u.localize(275,null)})),tabCompletion:Le(new l(113,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[u.localize(276,null),u.localize(277,null),u.localize(278,null)],description:u.localize(279,null)})),tabIndex:Le(new g(114,"tabIndex",0,-1,1073741824)),unicodeHighlight:Le(new ee),unusualLineTerminators:Le(new l(116,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[u.localize(280,null),u.localize(281,null),u.localize(282,null)],description:u.localize(283,null)})),useShadowDOM:Le(new h(117,"useShadowDOM",!0)),useTabStops:Le(new h(118,"useTabStops",!0,{description:u.localize(284,null)})),wordSeparators:Le(new m(119,"wordSeparators",C.USUAL_WORD_SEPARATORS,{description:u.localize(285,null)})),wordWrap:Le(new l(120,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[u.localize(286,null),u.localize(287,null),u.localize(288,null),u.localize(289,null)],description:u.localize(290,null)})),wordWrapBreakAfterCharacters:Le(new m(121,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Le(new m(122,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Le(new g(123,"wordWrapColumn",80,1,1073741824,{markdownDescription:u.localize(291,null)})),wordWrapOverride1:Le(new l(124,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Le(new l(125,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Le(new r(126,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Ce,{enumDescriptions:[u.localize(292,null),u.localize(293,null),u.localize(294,null),u.localize(295,null)],description:u.localize(296,null)})),wrappingStrategy:Le(new l(127,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[u.localize(297,null),u.localize(298,null)],description:u.localize(299,null)})),editorClassName:Le(new M),pixelRatio:Le(new ke),tabFocusMode:Le(new we),layoutInfo:Le(new V),wrappingInfo:Le(new Se)}}),define(De[162],Ie([19,20]),function(Z,e){return Z.create("vs/platform/configuration/common/configurationRegistry",e)}),define(De[163],Ie([19,20]),function(Z,e){return Z.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(De[164],Ie([19,20]),function(Z,e){return Z.create("vs/platform/extensions/common/extensionValidator",e)}),define(De[165],Ie([19,20]),function(Z,e){return Z.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(De[166],Ie([19,20]),function(Z,e){return Z.create("vs/platform/files/common/files",e)}),define(De[167],Ie([19,20]),function(Z,e){return Z.create("vs/platform/markers/common/markers",e)}),define(De[168],Ie([19,20]),function(Z,e){return Z.create("vs/platform/workspace/common/workspace",e)}),define(De[169],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(De[170],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostExtensionService",e)}),define(De[171],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostProgress",e)}),define(De[172],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostStatusBar",e)}),define(De[173],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostTerminalService",e)}),define(De[174],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostTreeViews",e)}),define(De[175],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/common/extHostWorkspace",e)}),define(De[176],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/node/extHostDebugService",e)}),define(De[177],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/api/node/extHostTunnelService",e)}),define(De[178],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/common/editor",e)}),define(De[179],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(De[180],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/contrib/debug/common/debug",e)}),define(De[181],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(De[182],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(De[183],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(De[184],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(De[185],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(De[186],Ie([19,20]),function(Z,e){return Z.create("vs/workbench/services/search/common/queryBuilder",e)}),define(De[187],Ie([1,0,22,41,164,302]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const y=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,D=/^-(\d{4})(\d{2})(\d{2})$/;function w(h){return h=h.trim(),h==="*"||y.test(h)}e.isValidVersionStr=w;function I(h){if(!w(h))return null;if(h=h.trim(),h==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const p=h.match(y);return p?{hasCaret:p[1]==="^",hasGreaterEquals:p[1]===">=",majorBase:p[2]==="x"?0:parseInt(p[2],10),majorMustEqual:p[2]!=="x",minorBase:p[4]==="x"?0:parseInt(p[4],10),minorMustEqual:p[4]!=="x",patchBase:p[6]==="x"?0:parseInt(p[6],10),patchMustEqual:p[6]!=="x",preRelease:p[8]||null}:null}e.parseVersion=I;function A(h){if(!h)return null;const p=h.majorBase,g=h.majorMustEqual,a=h.minorBase;let m=h.minorMustEqual;const c=h.patchBase;let l=h.patchMustEqual;h.hasCaret&&(p===0||(m=!1),l=!1);let r=0;if(h.preRelease){const i=D.exec(h.preRelease);if(i){const[,s,n,o]=i;r=Date.UTC(Number(s),Number(n)-1,Number(o))}}return{majorBase:p,majorMustEqual:g,minorBase:a,minorMustEqual:m,patchBase:c,patchMustEqual:l,isMinimum:h.hasGreaterEquals,notBefore:r}}e.normalizeVersion=A;function k(h,p,g){let a;typeof h=="string"?a=A(I(h)):a=h;let m;p instanceof Date?m=p.getTime():typeof p=="string"&&(m=new Date(p).getTime());let c;if(typeof g=="string"?c=A(I(g)):c=g,!a||!c)return!1;const l=a.majorBase,r=a.minorBase,i=a.patchBase;let s=c.majorBase,n=c.minorBase,o=c.patchBase;const d=c.notBefore;let f=c.majorMustEqual,S=c.minorMustEqual,L=c.patchMustEqual;return c.isMinimum?l>s?!0:l<s?!1:r>n?!0:r<n||m&&m<d?!1:i>=o:(l===1&&s===0&&(!f||!S||!L)&&(s=1,n=0,o=0,f=!0,S=!1,L=!1),l<s?!1:l>s?!f:r<n?!1:r>n?!S:i<o?!1:i>o?!L:!(m&&m<d))}e.isValidVersion=k;function _(h,p,g,a,m){const c=[];if(typeof a.publisher!="undefined"&&typeof a.publisher!="string")return c.push([t.default.Error,C.localize(0,null)]),c;if(typeof a.name!="string")return c.push([t.default.Error,C.localize(1,null,"name")]),c;if(typeof a.version!="string")return c.push([t.default.Error,C.localize(2,null,"version")]),c;if(!a.engines)return c.push([t.default.Error,C.localize(3,null,"engines")]),c;if(typeof a.engines.vscode!="string")return c.push([t.default.Error,C.localize(4,null,"engines.vscode")]),c;if(typeof a.extensionDependencies!="undefined"&&!v(a.extensionDependencies))return c.push([t.default.Error,C.localize(5,null,"extensionDependencies")]),c;if(typeof a.activationEvents!="undefined"){if(!v(a.activationEvents))return c.push([t.default.Error,C.localize(6,null,"activationEvents")]),c;if(typeof a.main=="undefined"&&typeof a.browser=="undefined")return c.push([t.default.Error,C.localize(7,null,"activationEvents","main")]),c}if(typeof a.extensionKind!="undefined"&&typeof a.main=="undefined"&&c.push([t.default.Warning,C.localize(8,null,"extensionKind")]),typeof a.main!="undefined"){if(typeof a.main!="string")return c.push([t.default.Error,C.localize(9,null,"main")]),c;{const i=(0,u.joinPath)(g,a.main);(0,u.isEqualOrParent)(i,g)||c.push([t.default.Warning,C.localize(10,null,i.path,g.path)])}if(typeof a.activationEvents=="undefined")return c.push([t.default.Error,C.localize(11,null,"activationEvents","main")]),c}if(typeof a.browser!="undefined"){if(typeof a.browser!="string")return c.push([t.default.Error,C.localize(12,null,"browser")]),c;{const i=(0,u.joinPath)(g,a.browser);(0,u.isEqualOrParent)(i,g)||c.push([t.default.Warning,C.localize(13,null,i.path,g.path)])}if(typeof a.activationEvents=="undefined")return c.push([t.default.Error,C.localize(14,null,"activationEvents","browser")]),c}if(!P.valid(a.version))return c.push([t.default.Error,C.localize(15,null)]),c;const l=[];if(!T(h,p,a,m,l))for(const i of l)c.push([t.default.Error,i]);return c}e.validateExtensionManifest=_;function T(h,p,g,a,m){return a||typeof g.main=="undefined"&&typeof g.browser=="undefined"?!0:b(h,p,g.engines.vscode,m)}e.isValidExtensionVersion=T;function E(h,p,g){return h==="*"||b(p,g,h)}e.isEngineValid=E;function b(h,p,g,a=[]){const m=A(I(g));if(!m)return a.push(C.localize(16,null,g)),!1;if(m.majorBase===0){if(!m.majorMustEqual||!m.minorMustEqual)return a.push(C.localize(17,null,g)),!1}else if(!m.majorMustEqual)return a.push(C.localize(18,null,g)),!1;return k(h,p,m)?!0:(a.push(C.localize(19,null,h,g)),!1)}function v(h){if(!Array.isArray(h))return!1;for(let p=0,g=h.length;p<g;p++)if(typeof h[p]!="string")return!1;return!0}}),define(De[115],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class u{constructor(C,P=[],y=!1){this.ctor=C,this.staticArguments=P,this.supportsDelayedInstantiation=y}}e.SyncDescriptor=u}),define(De[82],Ie([1,0,115]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function C(y,D,w){D instanceof u.SyncDescriptor||(D=new u.SyncDescriptor(D,[],w)),t.push([y,D])}e.registerSingleton=C;function P(){return t}e.getSingletonServiceDescriptors=P}),define(De[188],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class u{constructor(P){this.incoming=new Map,this.outgoing=new Map,this.data=P}}e.Node=u;class t{constructor(P){this._hashFn=P,this._nodes=new Map}roots(){const P=[];for(const y of this._nodes.values())y.outgoing.size===0&&P.push(y);return P}insertEdge(P,y){const D=this.lookupOrInsertNode(P),w=this.lookupOrInsertNode(y);D.outgoing.set(this._hashFn(y),w),w.incoming.set(this._hashFn(P),D)}removeNode(P){const y=this._hashFn(P);this._nodes.delete(y);for(const D of this._nodes.values())D.outgoing.delete(y),D.incoming.delete(y)}lookupOrInsertNode(P){const y=this._hashFn(P);let D=this._nodes.get(y);return D||(D=new u(P),this._nodes.set(y,D)),D}lookup(P){return this._nodes.get(this._hashFn(P))}isEmpty(){return this._nodes.size===0}toString(){const P=[];for(const[y,D]of this._nodes)P.push(`${y}, (incoming)[${[...D.incoming.keys()].join(", ")}], (outgoing)[${[...D.outgoing.keys()].join(",")}]`);return P.join(`
`)}findCycleSlow(){for(const[P,y]of this._nodes){const D=new Set([P]),w=this._findCycle(y,D);if(w)return w}}_findCycle(P,y){for(const[D,w]of P.outgoing){if(y.has(D))return[...y,D].join(" -> ");y.add(D);const I=this._findCycle(w,y);if(I)return I;y.delete(D)}}}e.Graph=t}),define(De[3],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var u;(function(y){y.serviceIds=new Map,y.DI_TARGET="$di$target",y.DI_DEPENDENCIES="$di$dependencies";function D(w){return w[y.DI_DEPENDENCIES]||[]}y.getServiceDependencies=D})(u=e._util||(e._util={})),e.IInstantiationService=C("instantiationService");function t(y,D,w){D[u.DI_TARGET]===D?D[u.DI_DEPENDENCIES].push({id:y,index:w}):(D[u.DI_DEPENDENCIES]=[{id:y,index:w}],D[u.DI_TARGET]=D)}function C(y){if(u.serviceIds.has(y))return u.serviceIds.get(y);const D=function(w,I,A){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(D,w,A)};return D.toString=()=>y,u.serviceIds.set(y,D),D}e.createDecorator=C;function P(y){return y}e.refineServiceDecorator=P}),define(De[83],Ie([1,0,13,2,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,C.createDecorator)("configurationService");function P(h){return h&&typeof h=="object"&&(!h.overrideIdentifier||typeof h.overrideIdentifier=="string")&&(!h.resource||h.resource instanceof t.URI)}e.isConfigurationOverrides=P;function y(h){return h&&typeof h=="object"&&(!h.overrideIdentifiers||Array.isArray(h.overrideIdentifiers))&&!h.overrideIdentifier&&(!h.resource||h.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=y;var D;(function(h){h[h.APPLICATION=1]="APPLICATION",h[h.USER=2]="USER",h[h.USER_LOCAL=3]="USER_LOCAL",h[h.USER_REMOTE=4]="USER_REMOTE",h[h.WORKSPACE=5]="WORKSPACE",h[h.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",h[h.DEFAULT=7]="DEFAULT",h[h.MEMORY=8]="MEMORY"})(D=e.ConfigurationTarget||(e.ConfigurationTarget={}));function w(h){switch(h){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.ConfigurationTargetToString=w;function I(h,p){const g=Object.create(null);for(const a in h)A(g,a,h[a],p);return g}e.toValuesTree=I;function A(h,p,g,a){const m=p.split("."),c=m.pop();let l=h;for(let r=0;r<m.length;r++){const i=m[r];let s=l[i];switch(typeof s){case"undefined":s=l[i]=Object.create(null);break;case"object":break;default:a(`Ignoring ${p} as ${m.slice(0,r+1).join(".")} is ${JSON.stringify(s)}`);return}l=s}if(typeof l=="object"&&l!==null)try{l[c]=g}catch{a(`Ignoring ${p} as ${m.join(".")} is ${JSON.stringify(l)}`)}else a(`Ignoring ${p} as ${m.join(".")} is ${JSON.stringify(l)}`)}e.addToValueTree=A;function k(h,p){const g=p.split(".");_(h,g)}e.removeFromValueTree=k;function _(h,p){const g=p.shift();if(p.length===0){delete h[g];return}if(Object.keys(h).indexOf(g)!==-1){const a=h[g];typeof a=="object"&&!Array.isArray(a)&&(_(a,p),Object.keys(a).length===0&&delete h[g])}}function T(h,p,g){function a(l,r){let i=l;for(const s of r){if(typeof i!="object"||i===null)return;i=i[s]}return i}const m=p.split("."),c=a(h,m);return typeof c=="undefined"?g:c}e.getConfigurationValue=T;function E(h,p,g){Object.keys(p).forEach(a=>{a!=="__proto__"&&(a in h?u.isObject(h[a])&&u.isObject(p[a])?E(h[a],p[a],g):g&&(h[a]=p[a]):h[a]=p[a])})}e.merge=E;function b(h,p,g){const a=h.inspect(p),m=h.inspect(g);return typeof a.userValue!="undefined"||typeof a.workspaceValue!="undefined"||typeof a.workspaceFolderValue!="undefined"?a.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:a.defaultValue}e.getMigratedSettingValue=b;function v(h){return h.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=v}),define(De[52],Ie([1,0,11,8,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const P=new Map;P.set("false",!1),P.set("true",!0),P.set("isMac",u.isMacintosh),P.set("isLinux",u.isLinux),P.set("isWindows",u.isWindows),P.set("isWeb",u.isWeb),P.set("isMacNative",u.isMacintosh&&!u.isWeb),P.set("isEdge",u.isEdge),P.set("isFirefox",u.isFirefox),P.set("isChrome",u.isChrome),P.set("isSafari",u.isSafari);const y=Object.prototype.hasOwnProperty;var D;(function(B){B[B.False=0]="False",B[B.True=1]="True",B[B.Defined=2]="Defined",B[B.Not=3]="Not",B[B.Equals=4]="Equals",B[B.NotEquals=5]="NotEquals",B[B.And=6]="And",B[B.Regex=7]="Regex",B[B.NotRegex=8]="NotRegex",B[B.Or=9]="Or",B[B.In=10]="In",B[B.NotIn=11]="NotIn",B[B.Greater=12]="Greater",B[B.GreaterEquals=13]="GreaterEquals",B[B.Smaller=14]="Smaller",B[B.SmallerEquals=15]="SmallerEquals"})(D=e.ContextKeyExprType||(e.ContextKeyExprType={}));class w{static false(){return k.INSTANCE}static true(){return _.INSTANCE}static has(R){return T.create(R)}static equals(R,U){return E.create(R,U)}static notEquals(R,U){return h.create(R,U)}static regex(R,U){return r.create(R,U)}static in(R,U){return b.create(R,U)}static notIn(R,U){return v.create(R,U)}static not(R){return p.create(R)}static and(...R){return n.create(R,null)}static or(...R){return o.create(R,null,!0)}static greater(R,U){return a.create(R,U)}static greaterEquals(R,U){return m.create(R,U)}static smaller(R,U){return c.create(R,U)}static smallerEquals(R,U){return l.create(R,U)}static deserialize(R,U=!1){if(!!R)return this._deserializeOrExpression(R,U)}static _deserializeOrExpression(R,U){const $=R.split("||");return o.create($.map(N=>this._deserializeAndExpression(N,U)),null,!0)}static _deserializeAndExpression(R,U){const $=R.split("&&");return n.create($.map(N=>this._deserializeOne(N,U)),null)}static _deserializeOne(R,U){if(R=R.trim(),R.indexOf("!=")>=0){const $=R.split("!=");return h.create($[0].trim(),this._deserializeValue($[1],U))}if(R.indexOf("==")>=0){const $=R.split("==");return E.create($[0].trim(),this._deserializeValue($[1],U))}if(R.indexOf("=~")>=0){const $=R.split("=~");return r.create($[0].trim(),this._deserializeRegexValue($[1],U))}if(R.indexOf(" not in ")>=0){const $=R.split(" not in ");return v.create($[0].trim(),$[1].trim())}if(R.indexOf(" in ")>=0){const $=R.split(" in ");return b.create($[0].trim(),$[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(R)){const $=R.split(">=");return m.create($[0].trim(),$[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(R)){const $=R.split(">");return a.create($[0].trim(),$[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(R)){const $=R.split("<=");return l.create($[0].trim(),$[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(R)){const $=R.split("<");return c.create($[0].trim(),$[1].trim())}return/^\!\s*/.test(R)?p.create(R.substr(1).trim()):T.create(R)}static _deserializeValue(R,U){if(R=R.trim(),R==="true")return!0;if(R==="false")return!1;const $=/^'([^']*)'$/.exec(R);return $?$[1].trim():R}static _deserializeRegexValue(R,U){if((0,t.isFalsyOrWhitespace)(R)){if(U)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}const $=R.indexOf("/"),N=R.lastIndexOf("/");if($===N||$<0){if(U)throw new Error(`bad regexp-value '${R}', missing /-enclosure`);return console.warn(`bad regexp-value '${R}', missing /-enclosure`),null}const X=R.slice($+1,N),z=R[N+1]==="i"?"i":"";try{return new RegExp(X,z)}catch(O){if(U)throw new Error(`bad regexp-value '${R}', parse error: ${O}`);return console.warn(`bad regexp-value '${R}', parse error: ${O}`),null}}}e.ContextKeyExpr=w;function I(B,R){const U=B?B.substituteConstants():void 0,$=R?R.substituteConstants():void 0;return!U&&!$?!0:!U||!$?!1:U.equals($)}e.expressionsAreEqualWithConstantSubstitution=I;function A(B,R){return B.cmp(R)}class k{constructor(){this.type=0}cmp(R){return this.type-R.type}equals(R){return R.type===this.type}substituteConstants(){return this}evaluate(R){return!1}serialize(){return"false"}keys(){return[]}map(R){return this}negate(){return _.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class _{constructor(){this.type=1}cmp(R){return this.type-R.type}equals(R){return R.type===this.type}substituteConstants(){return this}evaluate(R){return!0}serialize(){return"true"}keys(){return[]}map(R){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=_,_.INSTANCE=new _;class T{constructor(R,U){this.key=R,this.negated=U,this.type=2}static create(R,U=null){const $=P.get(R);return typeof $=="boolean"?$?_.INSTANCE:k.INSTANCE:new T(R,U)}cmp(R){return R.type!==this.type?this.type-R.type:f(this.key,R.key)}equals(R){return R.type===this.type?this.key===R.key:!1}substituteConstants(){const R=P.get(this.key);return typeof R=="boolean"?R?_.INSTANCE:k.INSTANCE:this}evaluate(R){return!!R.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(R){return R.mapDefined(this.key)}negate(){return this.negated||(this.negated=p.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=T;class E{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=4}static create(R,U,$=null){if(typeof U=="boolean")return U?T.create(R,$):p.create(R,$);const N=P.get(R);return typeof N=="boolean"?U===(N?"true":"false")?_.INSTANCE:k.INSTANCE:new E(R,U,$)}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){const R=P.get(this.key);if(typeof R=="boolean"){const U=R?"true":"false";return this.value===U?_.INSTANCE:k.INSTANCE}return this}evaluate(R){return R.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(R){return R.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=h.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=E;class b{constructor(R,U){this.key=R,this.valueKey=U,this.type=10,this.negated=null}static create(R,U){return new b(R,U)}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.valueKey,R.key,R.valueKey)}equals(R){return R.type===this.type?this.key===R.key&&this.valueKey===R.valueKey:!1}substituteConstants(){return this}evaluate(R){const U=R.getValue(this.valueKey),$=R.getValue(this.key);return Array.isArray(U)?U.includes($):typeof $=="string"&&typeof U=="object"&&U!==null?y.call(U,$):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(R){return R.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=v.create(this.key,this.valueKey)),this.negated}}e.ContextKeyInExpr=b;class v{constructor(R,U){this.key=R,this.valueKey=U,this.type=11,this._negated=b.create(R,U)}static create(R,U){return new v(R,U)}cmp(R){return R.type!==this.type?this.type-R.type:this._negated.cmp(R._negated)}equals(R){return R.type===this.type?this._negated.equals(R._negated):!1}substituteConstants(){return this}evaluate(R){return!this._negated.evaluate(R)}serialize(){return`${this.key} not in '${this.valueKey}'`}keys(){return this._negated.keys()}map(R){return R.mapNotIn(this.key,this.valueKey)}negate(){return this._negated}}e.ContextKeyNotInExpr=v;class h{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=5}static create(R,U,$=null){if(typeof U=="boolean")return U?p.create(R,$):T.create(R,$);const N=P.get(R);return typeof N=="boolean"?U===(N?"true":"false")?k.INSTANCE:_.INSTANCE:new h(R,U,$)}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){const R=P.get(this.key);if(typeof R=="boolean"){const U=R?"true":"false";return this.value===U?k.INSTANCE:_.INSTANCE}return this}evaluate(R){return R.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(R){return R.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=E.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=h;class p{constructor(R,U){this.key=R,this.negated=U,this.type=3}static create(R,U=null){const $=P.get(R);return typeof $=="boolean"?$?k.INSTANCE:_.INSTANCE:new p(R,U)}cmp(R){return R.type!==this.type?this.type-R.type:f(this.key,R.key)}equals(R){return R.type===this.type?this.key===R.key:!1}substituteConstants(){const R=P.get(this.key);return typeof R=="boolean"?R?k.INSTANCE:_.INSTANCE:this}evaluate(R){return!R.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(R){return R.mapNot(this.key)}negate(){return this.negated||(this.negated=T.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=p;function g(B,R){if(typeof B=="string"){const U=parseFloat(B);isNaN(U)||(B=U)}return typeof B=="string"||typeof B=="number"?R(B):k.INSTANCE}class a{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=12}static create(R,U,$=null){return g(U,N=>new a(R,N,$))}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){return this}evaluate(R){return typeof this.value=="string"?!1:parseFloat(R.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(R){return R.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=l.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=a;class m{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=13}static create(R,U,$=null){return g(U,N=>new m(R,N,$))}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){return this}evaluate(R){return typeof this.value=="string"?!1:parseFloat(R.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(R){return R.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=m;class c{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=14}static create(R,U,$=null){return g(U,N=>new c(R,N,$))}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){return this}evaluate(R){return typeof this.value=="string"?!1:parseFloat(R.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(R){return R.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=m.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=c;class l{constructor(R,U,$){this.key=R,this.value=U,this.negated=$,this.type=15}static create(R,U,$=null){return g(U,N=>new l(R,N,$))}cmp(R){return R.type!==this.type?this.type-R.type:S(this.key,this.value,R.key,R.value)}equals(R){return R.type===this.type?this.key===R.key&&this.value===R.value:!1}substituteConstants(){return this}evaluate(R){return typeof this.value=="string"?!1:parseFloat(R.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(R){return R.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=a.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=l;class r{constructor(R,U){this.key=R,this.regexp=U,this.type=7,this.negated=null}static create(R,U){return new r(R,U)}cmp(R){if(R.type!==this.type)return this.type-R.type;if(this.key<R.key)return-1;if(this.key>R.key)return 1;const U=this.regexp?this.regexp.source:"",$=R.regexp?R.regexp.source:"";return U<$?-1:U>$?1:0}equals(R){if(R.type===this.type){const U=this.regexp?this.regexp.source:"",$=R.regexp?R.regexp.source:"";return this.key===R.key&&U===$}return!1}substituteConstants(){return this}evaluate(R){const U=R.getValue(this.key);return this.regexp?this.regexp.test(U):!1}serialize(){const R=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${R}`}keys(){return[this.key]}map(R){return R.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=i.create(this)),this.negated}}e.ContextKeyRegexExpr=r;class i{constructor(R){this._actual=R,this.type=8}static create(R){return new i(R)}cmp(R){return R.type!==this.type?this.type-R.type:this._actual.cmp(R._actual)}equals(R){return R.type===this.type?this._actual.equals(R._actual):!1}substituteConstants(){return this}evaluate(R){return!this._actual.evaluate(R)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(R){return new i(this._actual.map(R))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=i;function s(B){let R=null;for(let U=0,$=B.length;U<$;U++){const N=B[U].substituteConstants();if(B[U]!==N&&R===null){R=[];for(let X=0;X<U;X++)R[X]=B[X]}R!==null&&(R[U]=N)}return R===null?B:R}class n{constructor(R,U){this.expr=R,this.negated=U,this.type=6}static create(R,U){return n._normalizeArr(R,U)}cmp(R){if(R.type!==this.type)return this.type-R.type;if(this.expr.length<R.expr.length)return-1;if(this.expr.length>R.expr.length)return 1;for(let U=0,$=this.expr.length;U<$;U++){const N=A(this.expr[U],R.expr[U]);if(N!==0)return N}return 0}equals(R){if(R.type===this.type){if(this.expr.length!==R.expr.length)return!1;for(let U=0,$=this.expr.length;U<$;U++)if(!this.expr[U].equals(R.expr[U]))return!1;return!0}return!1}substituteConstants(){const R=s(this.expr);return R===this.expr?this:n.create(R,this.negated)}evaluate(R){for(let U=0,$=this.expr.length;U<$;U++)if(!this.expr[U].evaluate(R))return!1;return!0}static _normalizeArr(R,U){const $=[];let N=!1;for(const X of R)if(!!X){if(X.type===1){N=!0;continue}if(X.type===0)return k.INSTANCE;if(X.type===6){$.push(...X.expr);continue}$.push(X)}if($.length===0&&N)return _.INSTANCE;if($.length!==0){if($.length===1)return $[0];$.sort(A);for(let X=1;X<$.length;X++)$[X-1].equals($[X])&&($.splice(X,1),X--);if($.length===1)return $[0];for(;$.length>1;){const X=$[$.length-1];if(X.type!==9)break;$.pop();const z=$.pop(),O=$.length===0,x=o.create(X.expr.map(V=>n.create([V,z],null)),null,O);x&&($.push(x),$.sort(A))}return $.length===1?$[0]:new n($,U)}}serialize(){return this.expr.map(R=>R.serialize()).join(" && ")}keys(){const R=[];for(const U of this.expr)R.push(...U.keys());return R}map(R){return new n(this.expr.map(U=>U.map(R)),null)}negate(){if(!this.negated){const R=[];for(const U of this.expr)R.push(U.negate());this.negated=o.create(R,this,!0)}return this.negated}}class o{constructor(R,U){this.expr=R,this.negated=U,this.type=9}static create(R,U,$){return o._normalizeArr(R,U,$)}cmp(R){if(R.type!==this.type)return this.type-R.type;if(this.expr.length<R.expr.length)return-1;if(this.expr.length>R.expr.length)return 1;for(let U=0,$=this.expr.length;U<$;U++){const N=A(this.expr[U],R.expr[U]);if(N!==0)return N}return 0}equals(R){if(R.type===this.type){if(this.expr.length!==R.expr.length)return!1;for(let U=0,$=this.expr.length;U<$;U++)if(!this.expr[U].equals(R.expr[U]))return!1;return!0}return!1}substituteConstants(){const R=s(this.expr);return R===this.expr?this:o.create(R,this.negated,!1)}evaluate(R){for(let U=0,$=this.expr.length;U<$;U++)if(this.expr[U].evaluate(R))return!0;return!1}static _normalizeArr(R,U,$){let N=[],X=!1;if(R){for(let z=0,O=R.length;z<O;z++){const x=R[z];if(!!x){if(x.type===0){X=!0;continue}if(x.type===1)return _.INSTANCE;if(x.type===9){N=N.concat(x.expr);continue}N.push(x)}}if(N.length===0&&X)return k.INSTANCE;N.sort(A)}if(N.length!==0){if(N.length===1)return N[0];for(let z=1;z<N.length;z++)N[z-1].equals(N[z])&&(N.splice(z,1),z--);if(N.length===1)return N[0];if($){for(let z=0;z<N.length;z++)for(let O=z+1;O<N.length;O++)L(N[z],N[O])&&(N.splice(O,1),O--);if(N.length===1)return N[0]}return new o(N,U)}}serialize(){return this.expr.map(R=>R.serialize()).join(" || ")}keys(){const R=[];for(const U of this.expr)R.push(...U.keys());return R}map(R){return new o(this.expr.map(U=>U.map(R)),null)}negate(){if(!this.negated){const R=[];for(const U of this.expr)R.push(U.negate());for(;R.length>1;){const U=R.shift(),$=R.shift(),N=[];for(const z of M(U))for(const O of M($))N.push(n.create([z,O],null));const X=R.length===0;R.unshift(o.create(N,null,X))}this.negated=R[0]}return this.negated}}class d extends T{constructor(R,U,$){super(R,null);this._defaultValue=U,typeof $=="object"?d._info.push({...$,key:R}):$!==!0&&d._info.push({key:R,description:$,type:U!=null?typeof U:void 0})}static all(){return d._info.values()}bindTo(R){return R.createKey(this.key,this._defaultValue)}getValue(R){return R.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(R){return E.create(this.key,R)}notEqualsTo(R){return h.create(this.key,R)}}e.RawContextKey=d,d._info=[],e.IContextKeyService=(0,C.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function f(B,R){return B<R?-1:B>R?1:0}function S(B,R,U,$){return B<U?-1:B>U?1:R<$?-1:R>$?1:0}function L(B,R){if(R.type===6&&B.type!==9&&B.type!==6){for(const N of R.expr)if(B.equals(N))return!0}const U=B.negate(),$=M(U).concat(M(R));$.sort(A);for(let N=0;N<$.length;N++){const z=$[N].negate();for(let O=N+1;O<$.length;O++){const x=$[O];if(z.equals(x))return!0}}return!1}e.implies=L;function M(B){return B.type===9?B.expr:[B]}}),define(De[189],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,u.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,u.refineServiceDecorator)(e.IEnvironmentService)}),define(De[84],Ie([1,0,163,3]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function C(h){switch(h){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=C;function P(h){switch(h){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=P;function y(h,p){switch(h){case 3:return p==="x64"?"win32-x64":p==="ia32"?"win32-ia32":p==="arm64"?"win32-arm64":"unknown";case 2:return p==="x64"?"linux-x64":p==="arm64"?"linux-arm64":p==="arm"?"linux-armhf":"unknown";case"alpine":return p==="x64"?"alpine-x64":p==="arm64"?"alpine-arm64":"unknown";case 1:return p==="x64"?"darwin-x64":p==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=y;function D(h,p){return p==="web"&&!h.includes("web")}e.isNotWebExtensionInWebTargetPlatform=D;function w(h,p,g){return D(p,g)?!1:h==="undefined"||h==="universal"?!0:h==="unknown"?!1:h===g?!0:I(g).includes(h)}e.isTargetPlatformCompatible=w;function I(h){switch(h){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=I;function A(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}e.isIExtensionIdentifier=A;var k;(function(h){h[h.NoneOrRelevance=0]="NoneOrRelevance",h[h.LastUpdatedDate=1]="LastUpdatedDate",h[h.Title=2]="Title",h[h.PublisherName=3]="PublisherName",h[h.InstallCount=4]="InstallCount",h[h.PublishedDate=10]="PublishedDate",h[h.AverageRating=6]="AverageRating",h[h.WeightedRating=12]="WeightedRating"})(k=e.SortBy||(e.SortBy={}));var _;(function(h){h[h.Default=0]="Default",h[h.Ascending=1]="Ascending",h[h.Descending=2]="Descending"})(_=e.SortOrder||(e.SortOrder={}));var T;(function(h){h.Install="install",h.Uninstall="uninstall"})(T=e.StatisticType||(e.StatisticType={}));var E;(function(h){h[h.None=1]="None",h[h.Install=2]="Install",h[h.Update=3]="Update",h[h.Migrate=4]="Migrate"})(E=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,t.createDecorator)("extensionGalleryService");var b;(function(h){h.Unsupported="Unsupported",h.Deprecated="Deprecated",h.Malicious="Malicious",h.Incompatible="Incompatible",h.IncompatiblePreRelease="IncompatiblePreRelease",h.IncompatibleTargetPlatform="IncompatibleTargetPlatform",h.ReleaseVersionNotFound="ReleaseVersionNotFound",h.Invalid="Invalid",h.Download="Download",h.Extract="Extract",h.Delete="Delete",h.Rename="Rename",h.CorruptZip="CorruptZip",h.IncompleteZip="IncompleteZip",h.Internal="Internal"})(b=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class v extends Error{constructor(p,g){super(p);this.code=g,this.name=g}}e.ExtensionManagementError=v,e.IExtensionManagementService=(0,t.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,t.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,t.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,t.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,u.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,u.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,t.createDecorator)("IExtensionManagementCLIService")}),define(De[190],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,u.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,u.createDecorator)("externalTerminal")}),define(De[191],Ie([1,0,44,12,9,11,101,29,109,165,190]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const k=I.localize(0,null);class _{async getDefaultTerminalForPlatforms(){return{windows:T.getDefaultTerminalWindows(),linux:await b.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class T extends _{openTerminal(a,m){return this.spawnTerminal(u,a,w.getWindowsShell(),m)}spawnTerminal(a,m,c,l){const r=m.windowsExec||T.getDefaultTerminalWindows();l&&l[1]===":"&&(l=l[0].toUpperCase()+l.substr(1));const i=C.basename(r).toLowerCase();if(i==="cmder"||i==="cmder.exe")return a.spawn(r,l?[l]:void 0),Promise.resolve(void 0);const s=["/c","start","/wait"];return r.indexOf(" ")>=0&&s.push('""'),s.push(r),(i==="wt"||i==="wt.exe")&&s.push("-d ."),new Promise((n,o)=>{const d=v(process),f=a.spawn(c,s,{cwd:l,env:d});f.on("error",o),f.on("exit",()=>n())})}runInTerminal(a,m,c,l,r){const i="windowsExec"in r&&r.windowsExec?r.windowsExec:T.getDefaultTerminalWindows();return new Promise((s,n)=>{const o=`"${m} - ${k}"`,d=`""${c.join('" "')}" & pause"`,f=["/c","start",o,"/wait",i,"/c",d],S=Object.assign({},v(process),l);Object.keys(S).filter(B=>S[B]===null).forEach(B=>delete S[B]);const L={cwd:m,env:S,windowsVerbatimArguments:!0};u.spawn(T.CMD,f,L).on("error",B=>{n(h(B))}),s(void 0)})}static getDefaultTerminalWindows(){if(!T._DEFAULT_TERMINAL_WINDOWS){const a=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");T._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${a?"Sysnative":"System32"}\\cmd.exe`}return T._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=T,T.CMD="cmd.exe";class E extends _{openTerminal(a,m){return this.spawnTerminal(u,a,m)}runInTerminal(a,m,c,l,r){const i=r.osxExec||A.DEFAULT_TERMINAL_OSX;return new Promise((s,n)=>{if(i===A.DEFAULT_TERMINAL_OSX||i==="iTerm.app"){const o=i===A.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",f=[t.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${o}.scpt`,Z).fsPath,"-t",a||k,"-w",m];for(const M of c)f.push("-a"),f.push(M);if(l){const M=Object.assign({},v(process),l);for(const B in M){const R=M[B];R===null?(f.push("-u"),f.push(B)):(f.push("-e"),f.push(`${B}=${R}`))}}let S="";const L=u.spawn(E.OSASCRIPT,f);L.on("error",M=>{n(h(M))}),L.stderr.on("data",M=>{S+=M.toString()}),L.on("exit",M=>{if(M===0)s(void 0);else if(S){const B=S.split(`
`,1);n(new Error(B[0]))}else n(new Error(I.localize(1,null,o,M)))})}else n(new Error(I.localize(2,null,i)))})}spawnTerminal(a,m,c){const l=m.osxExec||A.DEFAULT_TERMINAL_OSX;return new Promise((r,i)=>{const s=["-a",l];c&&s.push(c);const n=v(process),o=a.spawn("/usr/bin/open",s,{cwd:c,env:n});o.on("error",i),o.on("exit",()=>r())})}}e.MacExternalTerminalService=E,E.OSASCRIPT="/usr/bin/osascript";class b extends _{openTerminal(a,m){return this.spawnTerminal(u,a,m)}runInTerminal(a,m,c,l,r){const i=r.linuxExec?Promise.resolve(r.linuxExec):b.getDefaultTerminalLinuxReady();return new Promise((s,n)=>{const o=[];i.then(d=>{d.indexOf("gnome-terminal")>=0?o.push("-x"):o.push("-e"),o.push("bash"),o.push("-c");const f=`${p(c)}; echo; read -p "${b.WAIT_MESSAGE}" -n1;`;o.push(`''${f}''`);const S=Object.assign({},v(process),l);Object.keys(S).filter(R=>S[R]===null).forEach(R=>delete S[R]);const L={cwd:m,env:S};let M="";const B=u.spawn(d,o,L);B.on("error",R=>{n(h(R))}),B.stderr.on("data",R=>{M+=R.toString()}),B.on("exit",R=>{if(R===0)s(void 0);else if(M){const U=M.split(`
`,1);n(new Error(U[0]))}else n(new Error(I.localize(4,null,d,R)))})})})}static async getDefaultTerminalLinuxReady(){if(!b._DEFAULT_TERMINAL_LINUX_READY)if(!P.isLinux)b._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const a=await D.Promises.exists("/etc/debian_version");b._DEFAULT_TERMINAL_LINUX_READY=new Promise(m=>{a?m("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?m("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?m("konsole"):process.env.COLORTERM?m(process.env.COLORTERM):process.env.TERM?m(process.env.TERM):m("xterm")})}return b._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(a,m,c){const l=m.linuxExec?Promise.resolve(m.linuxExec):b.getDefaultTerminalLinuxReady();return new Promise((r,i)=>{l.then(s=>{const n=v(process),o=a.spawn(s,[],{cwd:c,env:n});o.on("error",i),o.on("exit",()=>r())})})}}e.LinuxExternalTerminalService=b,b.WAIT_MESSAGE=I.localize(3,null);function v(g){const a={...g.env};return(0,y.sanitizeProcessEnvironment)(a),a}function h(g){return"errno"in g&&g.errno==="ENOENT"&&"path"in g&&typeof g.path=="string"?new Error(I.localize(5,null,g.path)):g}function p(g){let a="";for(const m of g)m.indexOf(" ")>=0?a+='"'+m+'"':a+=m,a+=" ";return a}}),define(De[42],Ie([1,0,25,9,8,13,2,166,3]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,w.createDecorator)("fileService");function I(z){return z.create===!0}e.isFileOpenForWriteOptions=I;var A;(function(z){z[z.Unknown=0]="Unknown",z[z.File=1]="File",z[z.Directory=2]="Directory",z[z.SymbolicLink=64]="SymbolicLink"})(A=e.FileType||(e.FileType={}));var k;(function(z){z[z.Readonly=1]="Readonly"})(k=e.FilePermission||(e.FilePermission={}));var _;(function(z){z[z.FileReadWrite=2]="FileReadWrite",z[z.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",z[z.FileReadStream=16]="FileReadStream",z[z.FileFolderCopy=8]="FileFolderCopy",z[z.PathCaseSensitive=1024]="PathCaseSensitive",z[z.Readonly=2048]="Readonly",z[z.Trash=4096]="Trash",z[z.FileWriteUnlock=8192]="FileWriteUnlock",z[z.FileAtomicRead=16384]="FileAtomicRead",z[z.FileClone=32768]="FileClone"})(_=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function T(z){return!!(z.capabilities&2)}e.hasReadWriteCapability=T;function E(z){return!!(z.capabilities&8)}e.hasFileFolderCopyCapability=E;function b(z){return!!(z.capabilities&32768)}e.hasFileCloneCapability=b;function v(z){return!!(z.capabilities&4)}e.hasOpenReadWriteCloseCapability=v;function h(z){return!!(z.capabilities&16)}e.hasFileReadStreamCapability=h;function p(z){return T(z)?!!(z.capabilities&16384):!1}e.hasFileAtomicReadCapability=p;var g;(function(z){z.FileExists="EntryExists",z.FileNotFound="EntryNotFound",z.FileNotADirectory="EntryNotADirectory",z.FileIsADirectory="EntryIsADirectory",z.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",z.FileTooLarge="EntryTooLarge",z.FileWriteLocked="EntryWriteLocked",z.NoPermissions="NoPermissions",z.Unavailable="Unavailable",z.Unknown="Unknown"})(g=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class a extends Error{constructor(O,x){super(O);this.code=x}}e.FileSystemProviderError=a;function m(z,O){const x=new a(z.toString(),O);return l(x,O),x}e.createFileSystemProviderError=m;function c(z){return z||m((0,D.localize)(0,null),g.Unknown)}e.ensureFileSystemProviderError=c;function l(z,O){return z.name=O?`${O} (FileSystemError)`:"FileSystemError",z}e.markAsFileSystemProviderError=l;function r(z){if(!z)return g.Unknown;if(z instanceof a)return z.code;const O=/^(.+) \(FileSystemError\)$/.exec(z.name);if(!O)return g.Unknown;switch(O[1]){case g.FileExists:return g.FileExists;case g.FileIsADirectory:return g.FileIsADirectory;case g.FileNotADirectory:return g.FileNotADirectory;case g.FileNotFound:return g.FileNotFound;case g.FileExceedsMemoryLimit:return g.FileExceedsMemoryLimit;case g.FileTooLarge:return g.FileTooLarge;case g.FileWriteLocked:return g.FileWriteLocked;case g.NoPermissions:return g.NoPermissions;case g.Unavailable:return g.Unavailable}return g.Unknown}e.toFileSystemProviderErrorCode=r;function i(z){if(z instanceof S)return z.fileOperationResult;switch(r(z)){case g.FileNotFound:return 1;case g.FileIsADirectory:return 0;case g.FileNotADirectory:return 10;case g.FileWriteLocked:return 5;case g.NoPermissions:return 6;case g.FileExists:return 4;case g.FileExceedsMemoryLimit:return 9;case g.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=i;var s;(function(z){z[z.CREATE=0]="CREATE",z[z.DELETE=1]="DELETE",z[z.MOVE=2]="MOVE",z[z.COPY=3]="COPY",z[z.WRITE=4]="WRITE"})(s=e.FileOperation||(e.FileOperation={}));class n{constructor(O,x,V){this.resource=O,this.operation=x,this.target=V}isOperation(O){return this.operation===O}}e.FileOperationEvent=n;var o;(function(z){z[z.UPDATED=0]="UPDATED",z[z.ADDED=1]="ADDED",z[z.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class d{constructor(O,x){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=O;const V=new Map;for(const q of O){const J=V.get(q.type);switch(J?J.push([q.resource,q]):V.set(q.type,[[q.resource,q]]),q.type){case 1:this.rawAdded.push(q.resource);break;case 0:this.rawUpdated.push(q.resource);break;case 2:this.rawDeleted.push(q.resource);break}}for(const[q,J]of V)switch(q){case 1:this.added=u.TernarySearchTree.forUris(()=>x),this.added.fill(J);break;case 0:this.updated=u.TernarySearchTree.forUris(()=>x),this.updated.fill(J);break;case 2:this.deleted=u.TernarySearchTree.forUris(()=>x),this.deleted.fill(J);break}}contains(O,...x){return this.doContains(O,{includeChildren:!1},...x)}affects(O,...x){return this.doContains(O,{includeChildren:!0},...x)}doContains(O,x,...V){if(!O)return!1;const q=V.length>0;return!!((!q||V.includes(1))&&(this.added?.get(O)||x.includeChildren&&this.added?.findSuperstr(O))||(!q||V.includes(0))&&(this.updated?.get(O)||x.includeChildren&&this.updated?.findSuperstr(O))||(!q||V.includes(2))&&(this.deleted?.findSubstr(O)||x.includeChildren&&this.deleted?.findSuperstr(O)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=d;function f(z,O,x){return!z||!O||z===O||O.length>z.length?!1:(O.charAt(O.length-1)!==t.sep&&(O+=t.sep),x?(0,C.startsWithIgnoreCase)(z,O):z.indexOf(O)===0)}e.isParent=f;class S extends Error{constructor(O,x,V){super(O);this.fileOperationResult=x,this.options=V}}e.FileOperationError=S;class L extends S{constructor(O,x,V){super(O,2,V);this.stat=x}}e.NotModifiedSinceFileOperationError=L;var M;(function(z){z[z.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",z[z.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",z[z.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",z[z.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",z[z.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",z[z.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",z[z.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",z[z.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",z[z.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",z[z.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",z[z.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",z[z.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(M=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var B;(function(z){z[z.FILE=0]="FILE",z[z.FOLDER=1]="FOLDER",z[z.ROOT_FOLDER=2]="ROOT_FOLDER"})(B=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function R(z){if(!(typeof z.size!="number"||typeof z.mtime!="number"))return z.mtime.toString(29)+z.size.toString(31)}e.etag=R;async function U(z,O){if(!O.hasProvider(y.URI.from({scheme:z.scheme})))return new Promise(x=>{const V=O.onDidChangeFileSystemProviderRegistrations(q=>{q.scheme===z.scheme&&q.added&&(V.dispose(),x())})})}e.whenProviderRegistered=U,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class ${static formatSize(O){return(0,P.isNumber)(O)||(O=0),O<$.KB?(0,D.localize)(1,null,O.toFixed(0)):O<$.MB?(0,D.localize)(2,null,(O/$.KB).toFixed(2)):O<$.GB?(0,D.localize)(3,null,(O/$.MB).toFixed(2)):O<$.TB?(0,D.localize)(4,null,(O/$.GB).toFixed(2)):(0,D.localize)(5,null,(O/$.TB).toFixed(2))}}e.ByteSize=$,$.KB=1024,$.MB=$.KB*$.KB,$.GB=$.MB*$.KB,$.TB=$.GB*$.KB;var N;(function(z){z[z.IA32=0]="IA32",z[z.OTHER=1]="OTHER"})(N=e.Arch||(e.Arch={}));function X(z){return{maxFileSize:z===0?300*$.MB:16*$.GB,maxHeapSize:z===0?700*$.MB:2*700*$.MB}}e.getPlatformLimits=X}),define(De[85],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class u{constructor(...C){this._entries=new Map;for(const[P,y]of C)this.set(P,y)}set(C,P){const y=this._entries.get(C);return this._entries.set(C,P),y}has(C){return this._entries.has(C)}get(C){return this._entries.get(C)}}e.ServiceCollection=u}),define(De[192],Ie([1,0,18,10,115,188,3,85]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const w=!1;class I extends Error{constructor(E){super("cyclic dependency between services");this.message=E.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${E.toString()}`}}class A{constructor(E=new D.ServiceCollection,b=!1,v){this._activeInstantiations=new Set,this._services=E,this._strict=b,this._parent=v,this._services.set(y.IInstantiationService,this)}createChild(E){return new A(E,this._strict,this)}invokeFunction(E,...b){const v=_.traceInvocation(E);let h=!1;try{return E({get:g=>{if(h)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const a=this._getOrCreateServiceInstance(g,v);if(!a)throw new Error(`[invokeFunction] unknown service '${g}'`);return a}},...b)}finally{h=!0,v.stop()}}createInstance(E,...b){let v,h;return E instanceof C.SyncDescriptor?(v=_.traceCreation(E.ctor),h=this._createInstance(E.ctor,E.staticArguments.concat(b),v)):(v=_.traceCreation(E),h=this._createInstance(E,b,v)),v.stop(),h}_createInstance(E,b=[],v){const h=y._util.getServiceDependencies(E).sort((a,m)=>a.index-m.index),p=[];for(const a of h){const m=this._getOrCreateServiceInstance(a.id,v);m||this._throwIfStrict(`[createInstance] ${E.name} depends on UNKNOWN service ${a.id}.`,!1),p.push(m)}const g=h.length>0?h[0].index:b.length;if(b.length!==g){console.trace(`[createInstance] First service dependency of ${E.name} at position ${g+1} conflicts with ${b.length} static arguments`);const a=g-b.length;a>0?b=b.concat(new Array(a)):b=b.slice(0,g)}return new E(...[...b,...p])}_setServiceInstance(E,b){if(this._services.get(E)instanceof C.SyncDescriptor)this._services.set(E,b);else if(this._parent)this._parent._setServiceInstance(E,b);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(E){const b=this._services.get(E);return!b&&this._parent?this._parent._getServiceInstanceOrDescriptor(E):b}_getOrCreateServiceInstance(E,b){const v=this._getServiceInstanceOrDescriptor(E);return v instanceof C.SyncDescriptor?this._safeCreateAndCacheServiceInstance(E,v,b.branch(E,!0)):(b.branch(E,!1),v)}_safeCreateAndCacheServiceInstance(E,b,v){if(this._activeInstantiations.has(E))throw new Error(`illegal state - RECURSIVELY instantiating service '${E}'`);this._activeInstantiations.add(E);try{return this._createAndCacheServiceInstance(E,b,v)}finally{this._activeInstantiations.delete(E)}}_createAndCacheServiceInstance(E,b,v){const h=new P.Graph(a=>a.id.toString());let p=0;const g=[{id:E,desc:b,_trace:v}];for(;g.length;){const a=g.pop();if(h.lookupOrInsertNode(a),p++>1e3)throw new I(h);for(const m of y._util.getServiceDependencies(a.desc.ctor)){const c=this._getServiceInstanceOrDescriptor(m.id);if(c||this._throwIfStrict(`[createInstance] ${E} depends on ${m.id} which is NOT registered.`,!0),c instanceof C.SyncDescriptor){const l={id:m.id,desc:c,_trace:a._trace.branch(m.id,!0)};h.insertEdge(a,l),g.push(l)}}}for(;;){const a=h.roots();if(a.length===0){if(!h.isEmpty())throw new I(h);break}for(const{data:m}of a){if(this._getServiceInstanceOrDescriptor(m.id)instanceof C.SyncDescriptor){const l=this._createServiceInstanceWithOwner(m.id,m.desc.ctor,m.desc.staticArguments,m.desc.supportsDelayedInstantiation,m._trace);this._setServiceInstance(m.id,l)}h.removeNode(m)}}return this._getServiceInstanceOrDescriptor(E)}_createServiceInstanceWithOwner(E,b,v=[],h,p){if(this._services.get(E)instanceof C.SyncDescriptor)return this._createServiceInstance(b,v,h,p);if(this._parent)return this._parent._createServiceInstanceWithOwner(E,b,v,h,p);throw new Error(`illegalState - creating UNKNOWN service instance ${b.name}`)}_createServiceInstance(E,b=[],v,h){if(v){const p=new u.IdleValue(()=>this._createInstance(E,b,h));return new Proxy(Object.create(null),{get(g,a){if(a in g)return g[a];const m=p.value;let c=m[a];return typeof c!="function"||(c=c.bind(m),g[a]=c),c},set(g,a,m){return p.value[a]=m,!0}})}else return this._createInstance(E,b,h)}_throwIfStrict(E,b){if(b&&console.warn(E),this._strict)throw new Error(E)}}e.InstantiationService=A;var k;(function(T){T[T.Creation=0]="Creation",T[T.Invocation=1]="Invocation",T[T.Branch=2]="Branch"})(k||(k={}));class _{constructor(E,b){this.type=E,this.name=b,this._start=Date.now(),this._dep=[]}static traceInvocation(E){return w?new _(1,E.name||E.toString().substring(0,42).replace(/\n/g,"")):_._None}static traceCreation(E){return w?new _(0,E.name):_._None}branch(E,b){const v=new _(2,E.toString());return this._dep.push([E,b,v]),v}stop(){const E=Date.now()-this._start;_._totals+=E;let b=!1;function v(p,g){const a=[],m=new Array(p+1).join("	");for(const[c,l,r]of g._dep)if(l&&r){b=!0,a.push(`${m}CREATES -> ${c}`);const i=v(p+1,r);i&&a.push(i)}else a.push(`${m}uses -> ${c}`);return a.join(`
`)}const h=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${E.toFixed(2)}ms (grand total ${_._totals.toFixed(2)}ms)`];(E>2||b)&&console.log(h.join(`
`))}}e.Trace=_,_._None=new class extends _{constructor(){super(-1,null)}stop(){}branch(){return this}},_._totals=0}),define(De[14],Ie([1,0,50,4,6,11,3]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,y.createDecorator)("logService"),e.ILoggerService=(0,y.createDecorator)("loggerService");function D(){return new Date().toISOString()}var w;(function(l){l[l.Trace=0]="Trace",l[l.Debug=1]="Debug",l[l.Info=2]="Info",l[l.Warning=3]="Warning",l[l.Error=4]="Error",l[l.Critical=5]="Critical",l[l.Off=6]="Off"})(w=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=w.Info;function I(l,r,i){switch(r){case w.Trace:l.trace(i);break;case w.Debug:l.debug(i);break;case w.Info:l.info(i);break;case w.Warning:l.warn(i);break;case w.Error:l.error(i);break;case w.Critical:l.critical(i);break;default:throw new Error("Invalid log level")}}e.log=I;function A(l){let r="";for(let i=0;i<l.length;i++){let s=l[i];if(typeof s=="object")try{s=JSON.stringify(s)}catch{}r+=(i>0?" ":"")+s}return r}e.format=A;class k extends C.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(r){this.level!==r&&(this.level=r,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=k;class _ extends k{constructor(r){super();this.logAlways=r}checkLogLevel(r){return this.logAlways||this.getLevel()<=r}trace(r,...i){this.checkLogLevel(w.Trace)&&this.log(w.Trace,A([r,...i]))}debug(r,...i){this.checkLogLevel(w.Debug)&&this.log(w.Debug,A([r,...i]))}info(r,...i){this.checkLogLevel(w.Info)&&this.log(w.Info,A([r,...i]))}warn(r,...i){this.checkLogLevel(w.Warning)&&this.log(w.Warning,A([r,...i]))}error(r,...i){if(this.checkLogLevel(w.Error))if(r instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=r.stack,this.log(w.Error,A(s))}else this.log(w.Error,A([r,...i]))}critical(r,...i){this.checkLogLevel(w.Critical)&&this.log(w.Critical,A([r,...i]))}flush(){}}e.AbstractMessageLogger=_;class T extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r),this.useColors=!P.isWindows}trace(r,...i){this.getLevel()<=w.Trace&&(this.useColors?console.log(`[90m[main ${D()}][0m`,r,...i):console.log(`[main ${D()}]`,r,...i))}debug(r,...i){this.getLevel()<=w.Debug&&(this.useColors?console.log(`[90m[main ${D()}][0m`,r,...i):console.log(`[main ${D()}]`,r,...i))}info(r,...i){this.getLevel()<=w.Info&&(this.useColors?console.log(`[90m[main ${D()}][0m`,r,...i):console.log(`[main ${D()}]`,r,...i))}warn(r,...i){this.getLevel()<=w.Warning&&(this.useColors?console.warn(`[93m[main ${D()}][0m`,r,...i):console.warn(`[main ${D()}]`,r,...i))}error(r,...i){this.getLevel()<=w.Error&&(this.useColors?console.error(`[91m[main ${D()}][0m`,r,...i):console.error(`[main ${D()}]`,r,...i))}critical(r,...i){this.getLevel()<=w.Critical&&(this.useColors?console.error(`[90m[main ${D()}][0m`,r,...i):console.error(`[main ${D()}]`,r,...i))}dispose(){}flush(){}}e.ConsoleMainLogger=T;class E extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r)}trace(r,...i){this.getLevel()<=w.Trace&&console.log("%cTRACE","color: #888",r,...i)}debug(r,...i){this.getLevel()<=w.Debug&&console.log("%cDEBUG","background: #eee; color: #888",r,...i)}info(r,...i){this.getLevel()<=w.Info&&console.log("%c INFO","color: #33f",r,...i)}warn(r,...i){this.getLevel()<=w.Warning&&console.log("%c WARN","color: #993",r,...i)}error(r,...i){this.getLevel()<=w.Error&&console.log("%c  ERR","color: #f33",r,...i)}critical(r,...i){this.getLevel()<=w.Critical&&console.log("%cCRITI","background: #f33; color: white",r,...i)}dispose(){}flush(){}}e.ConsoleLogger=E;class b extends k{constructor(r,i=e.DEFAULT_LOG_LEVEL){super();this.adapter=r,this.setLevel(i)}trace(r,...i){this.getLevel()<=w.Trace&&this.adapter.log(w.Trace,[this.extractMessage(r),...i])}debug(r,...i){this.getLevel()<=w.Debug&&this.adapter.log(w.Debug,[this.extractMessage(r),...i])}info(r,...i){this.getLevel()<=w.Info&&this.adapter.log(w.Info,[this.extractMessage(r),...i])}warn(r,...i){this.getLevel()<=w.Warning&&this.adapter.log(w.Warning,[this.extractMessage(r),...i])}error(r,...i){this.getLevel()<=w.Error&&this.adapter.log(w.Error,[this.extractMessage(r),...i])}critical(r,...i){this.getLevel()<=w.Critical&&this.adapter.log(w.Critical,[this.extractMessage(r),...i])}extractMessage(r){return typeof r=="string"?r:(0,u.toErrorMessage)(r,this.getLevel()<=w.Trace)}dispose(){}flush(){}}e.AdapterLogger=b;class v extends k{constructor(r){super();this.logServices=r,r.length&&this.setLevel(r[0].getLevel())}setLevel(r){for(const i of this.logServices)i.setLevel(r);super.setLevel(r)}trace(r,...i){for(const s of this.logServices)s.trace(r,...i)}debug(r,...i){for(const s of this.logServices)s.debug(r,...i)}info(r,...i){for(const s of this.logServices)s.info(r,...i)}warn(r,...i){for(const s of this.logServices)s.warn(r,...i)}error(r,...i){for(const s of this.logServices)s.error(r,...i)}critical(r,...i){for(const s of this.logServices)s.critical(r,...i)}flush(){for(const r of this.logServices)r.flush()}dispose(){for(const r of this.logServices)r.dispose()}}e.MultiplexLogService=v;class h extends C.Disposable{constructor(r){super();this.logger=r,this._register(r)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(r){this.logger.setLevel(r)}getLevel(){return this.logger.getLevel()}trace(r,...i){this.logger.trace(r,...i)}debug(r,...i){this.logger.debug(r,...i)}info(r,...i){this.logger.info(r,...i)}warn(r,...i){this.logger.warn(r,...i)}error(r,...i){this.logger.error(r,...i)}critical(r,...i){this.logger.critical(r,...i)}flush(){this.logger.flush()}}e.LogService=h;class p extends C.Disposable{constructor(r,i){super();this.logLevel=r,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(n=>n.setLevel(s))}))}getLogger(r){return this.loggers.get(r.toString())}createLogger(r,i){let s=this.loggers.get(r.toString());return s||(s=this.doCreateLogger(r,i?.always?w.Trace:this.logLevel,i),this.loggers.set(r.toString(),s),i?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(r=>r.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=p;class g{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(r){}getLevel(){return w.Info}trace(r,...i){}debug(r,...i){}info(r,...i){}warn(r,...i){}error(r,...i){}critical(r,...i){}dispose(){}flush(){}}e.NullLogService=g;function a(l){if(l.verbose)return w.Trace;if(typeof l.logLevel=="string"){const r=m(l.logLevel.toLowerCase());if(r!==void 0)return r}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=a;function m(l){switch(l){case"trace":return w.Trace;case"debug":return w.Debug;case"info":return w.Info;case"warn":return w.Warning;case"error":return w.Error;case"critical":return w.Critical;case"off":return w.Off}}e.parseLogLevel=m;function c(l){switch(l){case w.Trace:return"trace";case w.Debug:return"debug";case w.Info:return"info";case w.Warning:return"warn";case w.Error:return"error";case w.Critical:return"critical";case w.Off:return"off"}}e.LogLevelToString=c}),define(De[193],Ie([1,0,42,14]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function C(D,w,I,A,k){try{const _=await new Promise((E,b)=>{Z(["spdlog"],E,b)});_.setFlushOn(t.LogLevel.Trace);const T=await _.createAsyncRotatingLogger(D,w,I,A);return k&&T.clearFormatters(),T}catch(_){console.error(_)}return null}function P(D,w,I){switch(w){case t.LogLevel.Trace:D.trace(I);break;case t.LogLevel.Debug:D.debug(I);break;case t.LogLevel.Info:D.info(I);break;case t.LogLevel.Warning:D.warn(I);break;case t.LogLevel.Error:D.error(I);break;case t.LogLevel.Critical:D.critical(I);break;default:throw new Error("Invalid log level")}}class y extends t.AbstractMessageLogger{constructor(w,I,A,k,_){super();this.buffer=[],this.setLevel(_),this._loggerCreationPromise=this._createSpdLogLogger(w,I,A,k),this._register(this.onDidChangeLogLevel(T=>{this._logger?.setLevel(T)}))}async _createSpdLogLogger(w,I,A,k){const _=A?6:1,T=30/_*u.ByteSize.MB,E=await C(w,I,T,_,k);if(E){this._logger=E,this._logger.setLevel(this.getLevel());for(const{level:b,message:v}of this.buffer)P(this._logger,b,v);this.buffer=[]}}log(w,I){this._logger?P(this._logger,w,I):this.getLevel()<=w&&this.buffer.push({level:w,message:I})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=y}),define(De[116],Ie([1,0,41,167,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var P;(function(w){w[w.Unnecessary=1]="Unnecessary",w[w.Deprecated=2]="Deprecated"})(P=e.MarkerTag||(e.MarkerTag={}));var y;(function(w){w[w.Hint=1]="Hint",w[w.Info=2]="Info",w[w.Warning=4]="Warning",w[w.Error=8]="Error"})(y=e.MarkerSeverity||(e.MarkerSeverity={})),function(w){function I(E,b){return b-E}w.compare=I;const A=Object.create(null);A[w.Error]=(0,t.localize)(0,null),A[w.Warning]=(0,t.localize)(1,null),A[w.Info]=(0,t.localize)(2,null);function k(E){return A[E]||""}w.toString=k;function _(E){switch(E){case u.default.Error:return w.Error;case u.default.Warning:return w.Warning;case u.default.Info:return w.Info;case u.default.Ignore:return w.Hint}}w.fromSeverity=_;function T(E){switch(E){case w.Error:return u.default.Error;case w.Warning:return u.default.Warning;case w.Info:return u.default.Info;case w.Hint:return u.default.Ignore}}w.toSeverity=T}(y=e.MarkerSeverity||(e.MarkerSeverity={}));var D;(function(w){const I="";function A(_){return k(_,!0)}w.makeKey=A;function k(_,T){const E=[I];return _.source?E.push(_.source.replace("\xA6","\\\xA6")):E.push(I),_.code?typeof _.code=="string"?E.push(_.code.replace("\xA6","\\\xA6")):E.push(_.code.value.replace("\xA6","\\\xA6")):E.push(I),_.severity!==void 0&&_.severity!==null?E.push(y.toString(_.severity)):E.push(I),_.message&&T?E.push(_.message.replace("\xA6","\\\xA6")):E.push(I),_.startLineNumber!==void 0&&_.startLineNumber!==null?E.push(_.startLineNumber.toString()):E.push(I),_.startColumn!==void 0&&_.startColumn!==null?E.push(_.startColumn.toString()):E.push(I),_.endLineNumber!==void 0&&_.endLineNumber!==null?E.push(_.endLineNumber.toString()):E.push(I),_.endColumn!==void 0&&_.endColumn!==null?E.push(_.endColumn.toString()):E.push(I),E.push(I),E.join("\xA6")}w.makeKeyOptionalMessage=k})(D=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,C.createDecorator)("markerService")}),define(De[194],Ie([1,0,4,41,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=t.default,e.INotificationService=(0,C.createDecorator)("notificationService");var P;(function(I){I[I.WORKSPACE=0]="WORKSPACE",I[I.PROFILE=1]="PROFILE",I[I.APPLICATION=2]="APPLICATION"})(P=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var y;(function(I){I[I.OFF=0]="OFF",I[I.SILENT=1]="SILENT",I[I.ERROR=2]="ERROR"})(y=e.NotificationsFilter||(e.NotificationsFilter={}));class D{constructor(){this.progress=new w,this.onDidClose=u.Event.None,this.onDidChangeVisibility=u.Event.None}updateSeverity(A){}updateMessage(A){}updateActions(A){}close(){}}e.NoOpNotification=D;class w{infinite(){}done(){}total(A){}worked(A){}}e.NoOpProgress=w}),define(De[117],Ie([1,0,6,8,2,3]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.extractSelection=e.withSelection=e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,P.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return u.Disposable.None},registerValidator(){return u.Disposable.None},registerExternalUriResolver(){return u.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return u.Disposable.None},async open(){return!1},async resolveExternalUri(A){return{resolved:A,dispose(){}}}});function y(A,k){return C.URI.isUri(A)?(0,t.equalsIgnoreCase)(A.scheme,k):(0,t.startsWithIgnoreCase)(A,k+":")}e.matchesScheme=y;function D(A,...k){return k.some(_=>y(A,_))}e.matchesSomeScheme=D;function w(A,k){return A.with({fragment:`${k.startLineNumber},${k.startColumn}${k.endLineNumber?`-${k.endLineNumber}${k.endColumn?`,${k.endColumn}`:""}`:""}`})}e.withSelection=w;function I(A){let k;const _=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(A.fragment);return _&&(k={startLineNumber:parseInt(_[1]),startColumn:_[2]?parseInt(_[2]):1,endLineNumber:_[4]?parseInt(_[4]):void 0,endColumn:_[4]?_[5]?parseInt(_[5]):1:void 0},A=A.with({fragment:""})),{selection:k,uri:A}}e.extractSelection=I}),define(De[195],Ie([1,0,12,11,40,22]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let y;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const D=t.globals.vscode.context.configuration();if(D)y=D.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof Z?.__$__nodeRequire=="function"){const D=(0,P.dirname)(u.FileAccess.asFileUri("",Z));y=Z.__$__nodeRequire((0,P.joinPath)(D,"product.json").fsPath);const w=Z.__$__nodeRequire((0,P.joinPath)(D,"package.json").fsPath);C.env.VSCODE_DEV&&Object.assign(y,{nameShort:`${y.nameShort} Dev`,nameLong:`${y.nameLong} Dev`,dataFolderName:`${y.dataFolderName}-dev`,serverDataFolderName:y.serverDataFolderName?`${y.serverDataFolderName}-dev`:void 0}),Object.assign(y,{version:w.version})}else y={},Object.keys(y).length===0&&Object.assign(y,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=y}),define(De[196],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,u.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"});var xe=this&&this.__param||function(Z,e){return function(u,t){e(u,t,Z)}};define(De[118],Ie([1,0,18,21,6,3]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,P.createDecorator)("progressService");var y;(function(A){A[A.Explorer=1]="Explorer",A[A.Scm=3]="Scm",A[A.Extensions=5]="Extensions",A[A.Window=10]="Window",A[A.Notification=15]="Notification",A[A.Dialog=20]="Dialog"})(y=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class D{constructor(k){this.callback=k}get value(){return this._value}report(k){this._value=k,this.callback(this._value)}}e.Progress=D,D.None=Object.freeze({report(){}});let w=class extends C.Disposable{constructor(k,_){super();this.deferred=new u.DeferredPromise,_.withProgress(k,T=>(this.reporter=T,this.lastStep&&T.report(this.lastStep),this.deferred.p)),this._register((0,C.toDisposable)(()=>this.deferred.complete()))}report(k){this.reporter?this.reporter.report(k):this.lastStep=k}};w=je([xe(1,e.IProgressService)],w),e.UnmanagedProgress=w;class I extends C.Disposable{constructor(k){super();this.progressIndicator=k,this.currentOperationId=0,this.currentOperationDisposables=this._register(new C.DisposableStore)}start(k){this.stop();const _=++this.currentOperationId,T=new t.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{_===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},k),this.currentOperationDisposables.add((0,C.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,C.toDisposable)(()=>T.cancel())),this.currentOperationDisposables.add((0,C.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:_,token:T.token,stop:()=>this.doStop(_),isCurrent:()=>this.currentOperationId===_}}stop(){this.doStop(this.currentOperationId)}doStop(k){this.currentOperationId===k&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=I,e.IEditorProgressService=(0,P.createDecorator)("editorProgressService")}),define(De[43],Ie([1,0,48,13]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class C{constructor(){this.data=new Map}add(y,D){u.ok(t.isString(y)),u.ok(t.isObject(D)),u.ok(!this.data.has(y),"There is already an extension with this id"),this.data.set(y,D)}knows(y){return this.data.has(y)}as(y){return this.data.get(y)||null}}e.Registry=new C}),define(De[119],Ie([1,0,4,43]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function C(D){return D.length>0&&D.charAt(D.length-1)==="#"?D.substring(0,D.length-1):D}class P{constructor(){this._onDidChangeSchema=new u.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(w,I){this.schemasById[C(w)]=I,this._onDidChangeSchema.fire(w)}notifySchemaChanged(w){this._onDidChangeSchema.fire(w)}getSchemaContributions(){return{schemas:this.schemasById}}}const y=new P;t.Registry.add(e.Extensions.JSONContribution,y)}),define(De[120],Ie([1,0,17,4,13,162,83,119,43]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var I;(function(m){m.Multiline="multilineText",m.Singleline="singlelineText"})(I=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var A;(function(m){m[m.APPLICATION=1]="APPLICATION",m[m.MACHINE=2]="MACHINE",m[m.WINDOW=3]="WINDOW",m[m.RESOURCE=4]="RESOURCE",m[m.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",m[m.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(A=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const k=w.Registry.as(D.Extensions.JSONContribution);class _{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:P.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(c,l=!0){this.registerConfigurations([c],l)}registerConfigurations(c,l=!0){const r=this.doRegisterConfigurations(c,l);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}deregisterConfigurations(c){const l=this.doDeregisterConfigurations(c);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:l})}updateConfigurations({add:c,remove:l}){const r=[];r.push(...this.doDeregisterConfigurations(l)),r.push(...this.doRegisterConfigurations(c,!1)),k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,u.distinct)(r)})}registerDefaultConfigurations(c){const l=[],r=[];for(const{overrides:i,source:s}of c)for(const n in i)if(l.push(n),e.OVERRIDE_PROPERTY_REGEX.test(n)){const o=this.configurationDefaultsOverrides.get(n),d=o?.valuesSources??new Map;if(s)for(const M of Object.keys(i[n]))d.set(M,s);const f={...o?.value||{},...i[n]};this.configurationDefaultsOverrides.set(n,{source:s,value:f,valuesSources:d});const S=(0,y.getLanguageTagSettingPlainKey)(n),L={type:"object",default:f,description:P.localize(1,null,S),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:f,source:C.isString(s)?void 0:s,defaultValueSource:s};r.push(...b(n)),this.configurationProperties[n]=L,this.defaultLanguageConfigurationOverridesNode.properties[n]=L}else{this.configurationDefaultsOverrides.set(n,{value:i[n],source:s});const o=this.configurationProperties[n];o&&(this.updatePropertyDefaultValue(n,o),this.updateSchema(n,o))}this.registerOverrideIdentifiers(r),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:l,defaultsOverrides:!0})}deregisterDefaultConfigurations(c){const l=[];for(const{overrides:r,source:i}of c)for(const s in r){const n=this.configurationDefaultsOverrides.get(s),o=C.isString(i)?i:i?.id,d=C.isString(n?.source)?n?.source:n?.source?.id;if(o===d)if(l.push(s),this.configurationDefaultsOverrides.delete(s),e.OVERRIDE_PROPERTY_REGEX.test(s))delete this.configurationProperties[s],delete this.defaultLanguageConfigurationOverridesNode.properties[s];else{const f=this.configurationProperties[s];f&&(this.updatePropertyDefaultValue(s,f),this.updateSchema(s,f))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:l,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...c){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(c){for(const l of c)this.overrideIdentifiers.add(l);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(c,l){const r=[];return c.forEach(i=>{r.push(...this.validateAndRegisterProperties(i,l,i.extensionInfo,i.restrictedProperties)),this.configurationContributors.push(i),this.registerJSONConfiguration(i)}),r}doDeregisterConfigurations(c){const l=[],r=i=>{if(i.properties)for(const s in i.properties){l.push(s);const n=this.configurationProperties[s];n?.policy?.name&&this.policyConfigurations.delete(n.policy.name),delete this.configurationProperties[s],this.removeFromSchema(s,i.properties[s])}i.allOf?.forEach(s=>r(s))};for(const i of c){r(i);const s=this.configurationContributors.indexOf(i);s!==-1&&this.configurationContributors.splice(s,1)}return l}validateAndRegisterProperties(c,l=!0,r,i,s=3){s=C.isUndefinedOrNull(c.scope)?s:c.scope;const n=[],o=c.properties;if(o)for(const f in o){const S=o[f];if(l&&g(f,S)){delete o[f];continue}if(S.source=r,S.defaultDefaultValue=o[f].default,this.updatePropertyDefaultValue(f,S),e.OVERRIDE_PROPERTY_REGEX.test(f)?S.scope=void 0:(S.scope=C.isUndefinedOrNull(S.scope)?s:S.scope,S.restricted=C.isUndefinedOrNull(S.restricted)?!!i?.includes(f):S.restricted),o[f].hasOwnProperty("included")&&!o[f].included){this.excludedConfigurationProperties[f]=o[f],delete o[f];continue}else this.configurationProperties[f]=o[f],o[f].policy?.name&&this.policyConfigurations.set(o[f].policy.name,f);!o[f].deprecationMessage&&o[f].markdownDeprecationMessage&&(o[f].deprecationMessage=o[f].markdownDeprecationMessage),n.push(f)}const d=c.allOf;if(d)for(const f of d)n.push(...this.validateAndRegisterProperties(f,l,r,i,s));return n}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(c){const l=r=>{const i=r.properties;if(i)for(const n in i)this.updateSchema(n,i[n]);r.allOf?.forEach(l)};l(c)}updateSchema(c,l){switch(e.allSettings.properties[c]=l,l.scope){case 1:e.applicationSettings.properties[c]=l;break;case 2:e.machineSettings.properties[c]=l;break;case 6:e.machineOverridableSettings.properties[c]=l;break;case 3:e.windowSettings.properties[c]=l;break;case 4:e.resourceSettings.properties[c]=l;break;case 5:e.resourceSettings.properties[c]=l,this.resourceLanguageSettingsSchema.properties[c]=l;break}}removeFromSchema(c,l){switch(delete e.allSettings.properties[c],l.scope){case 1:delete e.applicationSettings.properties[c];break;case 2:delete e.machineSettings.properties[c];break;case 6:delete e.machineOverridableSettings.properties[c];break;case 3:delete e.windowSettings.properties[c];break;case 4:case 5:delete e.resourceSettings.properties[c],delete this.resourceLanguageSettingsSchema.properties[c];break}}updateOverridePropertyPatternKey(){for(const c of this.overrideIdentifiers.values()){const l=`[${c}]`,r={type:"object",description:P.localize(2,null),errorMessage:P.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(l,r),e.allSettings.properties[l]=r,e.applicationSettings.properties[l]=r,e.machineSettings.properties[l]=r,e.machineOverridableSettings.properties[l]=r,e.windowSettings.properties[l]=r,e.resourceSettings.properties[l]=r}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const c={type:"object",description:P.localize(4,null),errorMessage:P.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(c,l){const r=this.configurationDefaultsOverrides.get(c);let i=r?.value,s=r?.source;C.isUndefined(i)&&(i=l.defaultDefaultValue,s=void 0),C.isUndefined(i)&&(i=h(l.type)),l.default=i,l.defaultValueSource=s}}const T="\\[([^\\]]+)\\]",E=new RegExp(T,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${T})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function b(m){const c=[];if(e.OVERRIDE_PROPERTY_REGEX.test(m)){let l=E.exec(m);for(;l?.length;){const r=l[1].trim();r&&c.push(r),l=E.exec(m)}}return(0,u.distinct)(c)}e.overrideIdentifiersFromKey=b;function v(m){return m.reduce((c,l)=>`${c}[${l}]`,"")}e.keyFromOverrideIdentifiers=v;function h(m){switch(Array.isArray(m)?m[0]:m){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=h;const p=new _;w.Registry.add(e.Extensions.Configuration,p);function g(m,c){return m.trim()?e.OVERRIDE_PROPERTY_REGEX.test(m)?P.localize(7,null,m):p.getConfigurationProperties()[m]!==void 0?P.localize(8,null,m):c.policy?.name&&p.getPolicyConfigurations().get(c.policy?.name)!==void 0?P.localize(9,null,m,c.policy?.name,p.getPolicyConfigurations().get(c.policy?.name)):null:P.localize(6,null)}e.validateProperty=g;function a(){const m=[],c=p.getConfigurationProperties();for(const l of Object.keys(c))m.push([l,c[l].scope]);return m.push(["launch",4]),m.push(["task",4]),m}e.getScopes=a}),define(De[197],Ie([1,0,17,4,143,6,25,24,13,2,83,120,43]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class T{constructor(l={},r=[],i=[]){this._contents=l,this._keys=r,this._overrides=i,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(l){return l?(0,A.getConfigurationValue)(this.contents,l):this.contents}getOverrideValue(l,r){const i=this.getContentsForOverrideIdentifer(r);return i?l?(0,A.getConfigurationValue)(i,l):i:void 0}getKeysForOverrideIdentifier(l){const r=[];for(const i of this.overrides)i.identifiers.includes(l)&&r.push(...i.keys);return u.distinct(r)}getAllOverrideIdentifiers(){const l=[];for(const r of this.overrides)l.push(...r.identifiers);return u.distinct(l)}override(l){let r=this.overrideConfigurations.get(l);return r||(r=this.createOverrideConfigurationModel(l),this.overrideConfigurations.set(l,r)),r}merge(...l){const r=D.deepClone(this.contents),i=D.deepClone(this.overrides),s=[...this.keys];for(const n of l)if(!n.isEmpty()){this.mergeContents(r,n.contents);for(const o of n.overrides){const[d]=i.filter(f=>u.equals(f.identifiers,o.identifiers));d?(this.mergeContents(d.contents,o.contents),d.keys.push(...o.keys),d.keys=u.distinct(d.keys)):i.push(D.deepClone(o))}for(const o of n.keys)s.indexOf(o)===-1&&s.push(o)}return new T(r,s,i)}freeze(){return this.frozen=!0,this}clone(){return new T(D.deepClone(this.contents),[...this.keys],D.deepClone(this.overrides))}createOverrideConfigurationModel(l){const r=this.getContentsForOverrideIdentifer(l);if(!r||typeof r!="object"||!Object.keys(r).length)return this;const i={};for(const s of u.distinct([...Object.keys(this.contents),...Object.keys(r)])){let n=this.contents[s];const o=r[s];o&&(typeof n=="object"&&typeof o=="object"?(n=D.deepClone(n),this.mergeContents(n,o)):n=o),i[s]=n}return new T(i,this.keys,this.overrides)}mergeContents(l,r){for(const i of Object.keys(r)){if(i in l&&w.isObject(l[i])&&w.isObject(r[i])){this.mergeContents(l[i],r[i]);continue}l[i]=D.deepClone(r[i])}}checkAndFreeze(l){return this.frozen&&!Object.isFrozen(l)?D.deepFreeze(l):l}getContentsForOverrideIdentifer(l){let r=null,i=null;const s=n=>{n&&(i?this.mergeContents(i,n):i=D.deepClone(n))};for(const n of this.overrides)u.equals(n.identifiers,[l])?r=n.contents:n.identifiers.includes(l)&&s(n.contents);return s(r),i}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(l,r){this.addKey(l),(0,A.addToValueTree)(this.contents,l,r,i=>{throw new Error(i)})}removeValue(l){this.removeKey(l)&&(0,A.removeFromValueTree)(this.contents,l)}addKey(l){let r=this.keys.length;for(let i=0;i<r;i++)l.indexOf(this.keys[i])===0&&(r=i);this.keys.splice(r,1,l)}removeKey(l){const r=this.keys.indexOf(l);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=T;class E{constructor(l){this._name=l,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new T}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(l,r){if(!w.isUndefinedOrNull(l)){const i=this.doParseContent(l);this.parseRaw(i,r)}}reparse(l){this._raw&&this.parseRaw(this._raw,l)}parseRaw(l,r){this._raw=l;const{contents:i,keys:s,overrides:n,restricted:o}=this.doParseRaw(l,r);this._configurationModel=new T(i,s,n),this._restrictedConfigurations=o||[]}doParseContent(l){let r={},i=null,s=[];const n=[],o=[];function d(S){Array.isArray(s)?s.push(S):i!==null&&(s[i]=S)}const f={onObjectBegin:()=>{const S={};d(S),n.push(s),s=S,i=null},onObjectProperty:S=>{i=S},onObjectEnd:()=>{s=n.pop()},onArrayBegin:()=>{const S=[];d(S),n.push(s),s=S,i=null},onArrayEnd:()=>{s=n.pop()},onLiteralValue:d,onError:(S,L,M)=>{o.push({error:S,offset:L,length:M})}};if(l)try{C.visit(l,f),r=s[0]||{}}catch(S){console.error(`Error while parsing settings file ${this._name}: ${S}`),this._parseErrors=[S]}return r}doParseRaw(l,r){const i=_.Registry.as(k.Extensions.Configuration).getConfigurationProperties(),s=this.filter(l,i,!0,r);l=s.raw;const n=(0,A.toValuesTree)(l,f=>console.error(`Conflict in settings file ${this._name}: ${f}`)),o=Object.keys(l),d=this.toOverrides(l,f=>console.error(`Conflict in settings file ${this._name}: ${f}`));return{contents:n,keys:o,overrides:d,restricted:s.restricted}}filter(l,r,i,s){if(!s?.scopes&&!s?.skipRestricted)return{raw:l,restricted:[]};const n={},o=[];for(const d in l)if(k.OVERRIDE_PROPERTY_REGEX.test(d)&&i){const f=this.filter(l[d],r,!1,s);n[d]=f.raw,o.push(...f.restricted)}else{const f=r[d],S=f?typeof f.scope!="undefined"?f.scope:3:void 0;f?.restricted&&o.push(d),(S===void 0||s.scopes===void 0||s.scopes.includes(S))&&(s.skipRestricted&&f?.restricted||(n[d]=l[d]))}return{raw:n,restricted:o}}toOverrides(l,r){const i=[];for(const s of Object.keys(l))if(k.OVERRIDE_PROPERTY_REGEX.test(s)){const n={};for(const o in l[s])n[o]=l[s][o];i.push({identifiers:(0,k.overrideIdentifiersFromKey)(s),keys:Object.keys(n),contents:(0,A.toValuesTree)(n,r)})}return i}}e.ConfigurationModelParser=E;class b extends P.Disposable{constructor(l,r,i,s){super();this.userSettingsResource=l,this.scopes=r,this.fileService=s,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new E(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(i.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,n=>n.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,n=>(n.isOperation(0)||n.isOperation(3)||n.isOperation(1)||n.isOperation(4))&&i.isEqual(n.resource,l)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const l=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(l.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new T}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=b;class v{constructor(l,r,i,s,n=new T,o=new T,d=new y.ResourceMap,f=new T,S=new y.ResourceMap,L=!0){this._defaultConfiguration=l,this._policyConfiguration=r,this._applicationConfiguration=i,this._localUserConfiguration=s,this._remoteUserConfiguration=n,this._workspaceConfiguration=o,this._folderConfigurations=d,this._memoryConfiguration=f,this._memoryConfigurationByResource=S,this._freeze=L,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(l,r,i){return this.getConsolidatedConfigurationModel(l,r,i).getValue(l)}updateValue(l,r,i={}){let s;i.resource?(s=this._memoryConfigurationByResource.get(i.resource),s||(s=new T,this._memoryConfigurationByResource.set(i.resource,s))):s=this._memoryConfiguration,r===void 0?s.removeValue(l):s.setValue(l,r),i.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(l,r,i){const s=this.getConsolidatedConfigurationModel(l,r,i),n=this.getFolderConfigurationModelForResource(r.resource,i),o=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,d=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(l):this._defaultConfiguration.freeze().getValue(l),f=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(l),S=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(l),L=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(l):this.userConfiguration.freeze().getValue(l),M=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(l):this.localUserConfiguration.freeze().getValue(l),B=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(l):this.remoteUserConfiguration.freeze().getValue(l),R=i?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(l):this._workspaceConfiguration.freeze().getValue(l):void 0,U=n?r.overrideIdentifier?n.freeze().override(r.overrideIdentifier).getValue(l):n.freeze().getValue(l):void 0,$=r.overrideIdentifier?o.override(r.overrideIdentifier).getValue(l):o.getValue(l),N=s.getValue(l),X=u.distinct(s.overrides.map(z=>z.identifiers).flat()).filter(z=>s.getOverrideValue(l,z)!==void 0);return{defaultValue:d,policyValue:f,applicationValue:S,userValue:L,userLocalValue:M,userRemoteValue:B,workspaceValue:R,workspaceFolderValue:U,memoryValue:$,value:N,default:d!==void 0?{value:this._defaultConfiguration.freeze().getValue(l),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,policy:f!==void 0?{value:f}:void 0,application:S!==void 0?{value:S,override:r.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,user:L!==void 0?{value:this.userConfiguration.freeze().getValue(l),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,userLocal:M!==void 0?{value:this.localUserConfiguration.freeze().getValue(l),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,userRemote:B!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(l),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,workspace:R!==void 0?{value:this._workspaceConfiguration.freeze().getValue(l),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,workspaceFolder:U!==void 0?{value:n?.freeze().getValue(l),override:r.overrideIdentifier?n?.freeze().getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,memory:$!==void 0?{value:o.getValue(l),override:r.overrideIdentifier?o.getOverrideValue(l,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:X.length?X:void 0}}keys(l){const r=this.getFolderConfigurationModelForResource(void 0,l);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(l){this._defaultConfiguration=l,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(l){this._policyConfiguration=l}updateApplicationConfiguration(l){this._applicationConfiguration=l,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(l){this._localUserConfiguration=l,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(l){this._remoteUserConfiguration=l,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(l){this._workspaceConfiguration=l,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(l,r){this._folderConfigurations.set(l,r),this._foldersConsolidatedConfigurations.delete(l)}deleteFolderConfiguration(l){this.folderConfigurations.delete(l),this._foldersConsolidatedConfigurations.delete(l)}compareAndUpdateDefaultConfiguration(l,r){const i=[];if(!r){const{added:s,updated:n,removed:o}=a(this._defaultConfiguration,l);r=[...s,...n,...o]}for(const s of r)for(const n of(0,k.overrideIdentifiersFromKey)(s)){const o=this._defaultConfiguration.getKeysForOverrideIdentifier(n),d=l.getKeysForOverrideIdentifier(n),f=[...d.filter(S=>o.indexOf(S)===-1),...o.filter(S=>d.indexOf(S)===-1),...o.filter(S=>!D.equals(this._defaultConfiguration.override(n).getValue(S),l.override(n).getValue(S)))];i.push([n,f])}return this.updateDefaultConfiguration(l),{keys:r,overrides:i}}compareAndUpdatePolicyConfiguration(l){const{added:r,updated:i,removed:s}=a(this._policyConfiguration,l),n=[...r,...i,...s];return n.length&&this.updatePolicyConfiguration(l),{keys:n,overrides:[]}}compareAndUpdateApplicationConfiguration(l){const{added:r,updated:i,removed:s,overrides:n}=a(this.applicationConfiguration,l),o=[...r,...i,...s];return o.length&&this.updateApplicationConfiguration(l),{keys:o,overrides:n}}compareAndUpdateLocalUserConfiguration(l){const{added:r,updated:i,removed:s,overrides:n}=a(this.localUserConfiguration,l),o=[...r,...i,...s];return o.length&&this.updateLocalUserConfiguration(l),{keys:o,overrides:n}}compareAndUpdateRemoteUserConfiguration(l){const{added:r,updated:i,removed:s,overrides:n}=a(this.remoteUserConfiguration,l),o=[...r,...i,...s];return o.length&&this.updateRemoteUserConfiguration(l),{keys:o,overrides:n}}compareAndUpdateWorkspaceConfiguration(l){const{added:r,updated:i,removed:s,overrides:n}=a(this.workspaceConfiguration,l),o=[...r,...i,...s];return o.length&&this.updateWorkspaceConfiguration(l),{keys:o,overrides:n}}compareAndUpdateFolderConfiguration(l,r){const i=this.folderConfigurations.get(l),{added:s,updated:n,removed:o,overrides:d}=a(i,r),f=[...s,...n,...o];return(f.length||!i)&&this.updateFolderConfiguration(l,r),{keys:f,overrides:d}}compareAndDeleteFolderConfiguration(l){const r=this.folderConfigurations.get(l);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(l);const{added:i,updated:s,removed:n,overrides:o}=a(r,void 0);return{keys:[...i,...s,...n],overrides:o}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(l,r,i){let s=this.getConsolidatedConfigurationModelForResource(r,i);return r.overrideIdentifier&&(s=s.override(r.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(l)!==void 0&&(s=s.merge(this._policyConfiguration)),s}getConsolidatedConfigurationModelForResource({resource:l},r){let i=this.getWorkspaceConsolidatedConfiguration();if(r&&l){const s=r.getFolder(l);s&&(i=this.getFolderConsolidatedConfiguration(s.uri)||i);const n=this._memoryConfigurationByResource.get(l);n&&(i=i.merge(n))}return i}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(l){let r=this._foldersConsolidatedConfigurations.get(l);if(!r){const i=this.getWorkspaceConsolidatedConfiguration(),s=this._folderConfigurations.get(l);s?(r=i.merge(s),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(l,r)):r=i}return r}getFolderConfigurationModelForResource(l,r){if(r&&l){const i=r.getFolder(l);if(i)return this._folderConfigurations.get(i.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((l,r)=>{const{contents:i,overrides:s,keys:n}=this._folderConfigurations.get(r);return l.push([r,{contents:i,overrides:s,keys:n}]),l},[])}}allKeys(){const l=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>l.add(r)),this.userConfiguration.freeze().keys.forEach(r=>l.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>l.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(i=>l.add(i))),[...l.values()]}allOverrideIdentifiers(){const l=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>l.add(r)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>l.add(r)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>l.add(r)),this._folderConfigurations.forEach(r=>r.freeze().getAllOverrideIdentifiers().forEach(i=>l.add(i))),[...l.values()]}getAllKeysForOverrideIdentifier(l){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(l).forEach(i=>r.add(i)),this.userConfiguration.getKeysForOverrideIdentifier(l).forEach(i=>r.add(i)),this._workspaceConfiguration.getKeysForOverrideIdentifier(l).forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.getKeysForOverrideIdentifier(l).forEach(s=>r.add(s))),[...r.values()]}static parse(l){const r=this.parseConfigurationModel(l.defaults),i=this.parseConfigurationModel(l.policy),s=this.parseConfigurationModel(l.application),n=this.parseConfigurationModel(l.user),o=this.parseConfigurationModel(l.workspace),d=l.folders.reduce((f,S)=>(f.set(I.URI.revive(S[0]),this.parseConfigurationModel(S[1])),f),new y.ResourceMap);return new v(r,i,s,n,new T,o,d,new T,new y.ResourceMap,!1)}static parseConfigurationModel(l){return new T(l.contents,l.keys,l.overrides).freeze()}}e.Configuration=v;function h(...c){if(c.length===0)return{keys:[],overrides:[]};if(c.length===1)return c[0];const l=new Set,r=new Map;for(const s of c)s.keys.forEach(n=>l.add(n)),s.overrides.forEach(([n,o])=>{const d=(0,y.getOrSet)(r,n,new Set);o.forEach(f=>d.add(f))});const i=[];return r.forEach((s,n)=>i.push([n,[...s.values()]])),{keys:[...l.values()],overrides:i}}e.mergeChanges=h;class p{constructor(l,r,i,s){this.change=l,this.previous=r,this.currentConfiguraiton=i,this.currentWorkspace=s,this._previousConfiguration=void 0;const n=new Set;l.keys.forEach(d=>n.add(d)),l.overrides.forEach(([,d])=>d.forEach(f=>n.add(f))),this.affectedKeys=[...n.values()];const o=new T;this.affectedKeys.forEach(d=>o.setValue(d,{})),this.affectedKeysTree=o.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(l,r){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,l)){if(r){const i=this.previousConfiguration?this.previousConfiguration.getValue(l,r,this.previous?.workspace):void 0,s=this.currentConfiguraiton.getValue(l,r,this.currentWorkspace);return!D.equals(i,s)}return!0}return!1}doesAffectedKeysTreeContains(l,r){let i=(0,A.toValuesTree)({[r]:!0},()=>{}),s;for(;typeof i=="object"&&(s=Object.keys(i)[0]);){if(l=l[s],!l)return!1;i=i[s]}return!0}}e.ConfigurationChangeEvent=p;class g extends p{constructor(l,r,i,s){super({keys:l.allKeys(),overrides:[]},void 0,l,r);this.source=i,this.sourceConfig=s}}e.AllKeysConfigurationChangeEvent=g;function a(c,l){const{added:r,removed:i,updated:s}=m(l,c),n=[],o=c?.getAllOverrideIdentifiers()||[],d=l?.getAllOverrideIdentifiers()||[];if(l){const f=d.filter(S=>!o.includes(S));for(const S of f)n.push([S,l.getKeysForOverrideIdentifier(S)])}if(c){const f=o.filter(S=>!d.includes(S));for(const S of f)n.push([S,c.getKeysForOverrideIdentifier(S)])}if(l&&c){for(const f of o)if(d.includes(f)){const S=m({contents:c.getOverrideValue(void 0,f)||{},keys:c.getKeysForOverrideIdentifier(f)},{contents:l.getOverrideValue(void 0,f)||{},keys:l.getKeysForOverrideIdentifier(f)});n.push([f,[...S.added,...S.removed,...S.updated]])}}return{added:r,removed:i,updated:s,overrides:n}}function m(c,l){const r=c?l?c.keys.filter(n=>l.keys.indexOf(n)===-1):[...c.keys]:[],i=l?c?l.keys.filter(n=>c.keys.indexOf(n)===-1):[...l.keys]:[],s=[];if(c&&l){for(const n of l.keys)if(c.keys.indexOf(n)!==-1){const o=(0,A.getConfigurationValue)(l.contents,n),d=(0,A.getConfigurationValue)(c.contents,n);D.equals(o,d)||s.push(n)}}return{added:r,removed:i,updated:s}}}),define(De[121],Ie([1,0,10,3]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,t.createDecorator)("remoteAuthorityResolverService");var C;(function(y){y.Unknown="Unknown",y.NotAvailable="NotAvailable",y.TemporarilyNotAvailable="TemporarilyNotAvailable",y.NoResolverFound="NoResolverFound"})(C=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class P extends u.ErrorNoTelemetry{constructor(D,w=C.Unknown,I){super(D);this._message=D,this._code=w,this._detail=I,this.isHandled=w===C.NotAvailable&&I===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,P.prototype)}static isTemporarilyNotAvailable(D){return D instanceof P&&D._code===C.TemporarilyNotAvailable}static isNoResolverFound(D){return D instanceof P&&D._code===C.NoResolverFound}static isHandled(D){return D instanceof P&&D.isHandled}}e.RemoteAuthorityResolverError=P}),define(De[122],Ie([1,0,12]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function t(I){return I.scheme===u.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=t;function C(I){if(!I)return;const A=I.indexOf("+");return A<0?I:I.substr(0,A)}e.getRemoteName=C;function P(I){return`/${I.quality??"oss"}-${I.commit??"dev"}`}e.getRemoteServerRootPath=P;function y(I){const{host:A,port:k}=w(I);if(typeof k=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:A,port:k}}e.parseAuthorityWithPort=y;function D(I,A){let{host:k,port:_}=w(I);return typeof _=="undefined"&&(_=A),{host:k,port:_}}e.parseAuthorityWithOptionalPort=D;function w(I){const A=I.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(A)return{host:A[1],port:parseInt(A[2],10)};const k=I.match(/^(\[[0-9a-z:]+\])$/);if(k)return{host:k[1],port:void 0};const _=I.match(/(.*):(\d+)$/);return _?{host:_[1],port:parseInt(_[2],10)}:{host:I,port:void 0}}}),define(De[28],Ie([1,0,8,3,122]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function P(E){if(typeof E=="object"&&E!==null&&E.supported!==!0)return E.description}e.getWorkspaceSupportTypeMessage=P;function y(E){return E&&typeof E=="object"&&typeof E.id=="string"&&(!E.uuid||typeof E.uuid=="string")}e.isIExtensionIdentifier=y,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var D;(function(E){E[E.System=0]="System",E[E.User=1]="User"})(D=e.ExtensionType||(e.ExtensionType={}));var w;(function(E){E.WIN32_X64="win32-x64",E.WIN32_IA32="win32-ia32",E.WIN32_ARM64="win32-arm64",E.LINUX_X64="linux-x64",E.LINUX_ARM64="linux-arm64",E.LINUX_ARMHF="linux-armhf",E.ALPINE_X64="alpine-x64",E.ALPINE_ARM64="alpine-arm64",E.DARWIN_X64="darwin-x64",E.DARWIN_ARM64="darwin-arm64",E.WEB="web",E.UNIVERSAL="universal",E.UNKNOWN="unknown",E.UNDEFINED="undefined"})(w=e.TargetPlatform||(e.TargetPlatform={}));class I{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,v){if(typeof b=="undefined"||b===null)return typeof v=="undefined"||v===null;if(typeof v=="undefined"||v===null)return!1;if(typeof b=="string"||typeof v=="string"){const h=typeof b=="string"?b:b.value,p=typeof v=="string"?v:v.value;return u.equalsIgnoreCase(h,p)}return b._lower===v._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.ExtensionIdentifier=I;function A(E){return k(E)}e.isApplicationScopedExtension=A;function k(E){return E.contributes&&E.contributes.localizations?E.contributes.localizations.length>0:!1}e.isLanguagePackExtension=k;function _(E){return E.contributes&&E.contributes.authentication?E.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=_;function T(E,b){if(b){const v=`onResolveRemoteAuthority:${(0,C.getRemoteName)(b)}`;return E.activationEvents?.indexOf(v)!==-1}return!1}e.isResolverExtension=T,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(De[198],Ie([1,0,8,84,28,11,2,10,40]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function I(l,r){return l.uuid&&r.uuid?l.uuid===r.uuid:l.id===r.id?!0:(0,u.compareIgnoreCase)(l.id,r.id)===0}e.areSameExtensions=I;const A=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class k{constructor(r,i,s="undefined"){this.version=i,this.targetPlatform=s,this.id=r.id}static create(r){const i=r.manifest?r.manifest.version:r.version,s=r.manifest?r.targetPlatform:r.properties.targetPlatform;return new k(r.identifier,i,s)}static parse(r){const i=A.exec(r);return i&&i[1]&&i[2]?new k({id:i[1]},i[2],i[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(r){return r instanceof k?I(this,r)&&this.version===r.version&&this.targetPlatform===r.targetPlatform:!1}}e.ExtensionKey=k;const _=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function T(l){const r=_.exec(l);return r&&r[1]?[b(r[1]),r[2]]:[b(l),void 0]}e.getIdAndVersion=T;function E(l,r){return`${l}.${r}`}e.getExtensionId=E;function b(l){return l.toLocaleLowerCase()}e.adoptToGalleryExtensionId=b;function v(l,r){return b(E(l,r))}e.getGalleryExtensionId=v;function h(l,r){const i=[],s=n=>{for(const o of i)if(o.some(d=>I(r(d),r(n))))return o;return null};for(const n of l){const o=s(n);o?o.push(n):i.push([n])}return i}e.groupByExtension=h;function p(l){return{id:l.identifier.id,name:l.manifest.name,galleryId:null,publisherId:l.publisherId,publisherName:l.manifest.publisher,publisherDisplayName:l.publisherDisplayName,dependencies:l.manifest.extensionDependencies&&l.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=p;function g(l){return{id:l.identifier.id,name:l.name,galleryId:l.identifier.uuid,publisherId:l.publisherId,publisherName:l.publisher,publisherDisplayName:l.publisherDisplayName,isPreReleaseVersion:l.properties.isPreReleaseVersion,dependencies:!!(l.properties.dependencies&&l.properties.dependencies.length>0),...l.telemetryData}}e.getGalleryExtensionTelemetryData=g,e.BetterMergeId=new C.ExtensionIdentifier("pprice.better-merge");function a(l,r){const i=[],s=r.manifest.extensionDependencies?.slice(0)??[];for(;s.length;){const n=s.shift();if(n&&i.every(o=>!I(o.identifier,{id:n}))){const o=l.filter(d=>I(d.identifier,{id:n}));o.length===1&&(i.push(o[0]),s.push(...o[0].manifest.extensionDependencies?.slice(0)??[]))}}return i}e.getExtensionDependencies=a;async function m(l,r){if(!P.isLinux)return!1;let i;try{i=(await l.readFile(y.URI.file("/etc/os-release"))).value.toString()}catch{try{i=(await l.readFile(y.URI.file("/usr/lib/os-release"))).value.toString()}catch(n){r.debug("Error while getting the os-release file.",(0,D.getErrorMessage)(n))}}return!!i&&(i.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=m;async function c(l,r){const i=await m(l,r),s=(0,t.getTargetPlatform)(i?"alpine":P.platform,w.arch);return r.debug("ComputeTargetPlatform:",s),s}e.computeTargetPlatform=c}),define(De[199],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class u{constructor(){this.validators=new Map}vsda(){return new Promise((C,P)=>Z(["vsda"],C,P))}async createNewMessage(C){try{const P=await this.vsda(),y=new P.validator;if(y){const D=String(u._nextId++);return this.validators.set(D,y),{id:D,data:y.createNewMessage(C)}}}catch{}return{id:"",data:C}}async validate(C,P){if(!C.id)return!0;const y=this.validators.get(C.id);if(!y)return!1;this.validators.delete(C.id);try{return y.validate(P)==="ok"}catch{return!1}}async sign(C){try{const P=await this.vsda(),y=new P.signer;if(y)return y.sign(C)}catch{}return C}}e.SignService=u,u._nextId=1}),define(De[200],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class u{constructor(C){this._callback=C,this._terminalBufferMap=new Map}dispose(){for(const C of this._terminalBufferMap.values())C.dispose()}startBuffering(C,P,y=5){const D=P(w=>{const I=typeof w=="string"?w:w.data;let A=this._terminalBufferMap.get(C);if(A){A.data.push(I);return}const k=setTimeout(()=>this.flushBuffer(C),y);A={data:[I],timeoutId:k,dispose:()=>{clearTimeout(k),this.flushBuffer(C),D.dispose()}},this._terminalBufferMap.set(C,A)});return D}stopBuffering(C){this._terminalBufferMap.get(C)?.dispose()}flushBuffer(C){const P=this._terminalBufferMap.get(C);P&&(this._terminalBufferMap.delete(C),this._callback(C,P.data.join("")))}}e.TerminalDataBufferer=u}),define(De[201],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var u;(function(P){P.DARK="dark",P.LIGHT="light",P.HIGH_CONTRAST_DARK="hcDark",P.HIGH_CONTRAST_LIGHT="hcLight"})(u=e.ColorScheme||(e.ColorScheme={}));function t(P){return P===u.HIGH_CONTRAST_DARK||P===u.HIGH_CONTRAST_LIGHT}e.isHighContrast=t;function C(P){return P===u.DARK||P===u.HIGH_CONTRAST_DARK}e.isDark=C}),define(De[86],Ie([1,0,76,4,6,3,43,201]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,P.createDecorator)("themeService");var w;(function(v){function h(p){return p&&typeof p=="object"&&typeof p.id=="string"}v.isThemeColor=h})(w=e.ThemeColor||(e.ThemeColor={}));function I(v){return{id:v}}e.themeColorFromId=I;var A;(function(v){function h(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color=="undefined"||w.isThemeColor(i.color))}v.isThemeIcon=h;const p=new RegExp(`^\\$\\((${u.CSSIcon.iconNameExpression}(?:${u.CSSIcon.iconModifierExpression})?)\\)$`);function g(i){const s=p.exec(i);if(!s)return;const[,n]=s;return{id:n}}v.fromString=g;function a(i){return{id:i}}v.fromId=a;function m(i,s){let n=i.id;const o=n.lastIndexOf("~");return o!==-1&&(n=n.substring(0,o)),s&&(n=`${n}~${s}`),{id:n}}v.modify=m;function c(i){const s=i.id.lastIndexOf("~");if(s!==-1)return i.id.substring(s+1)}v.getModifier=c;function l(i,s){return i.id===s.id&&i.color?.id===s.color?.id}v.isEqual=l;function r(i,s){return{id:i.id,color:s?I(s):void 0}}v.asThemeIcon=r,v.asClassNameArray=u.CSSIcon.asClassNameArray,v.asClassName=u.CSSIcon.asClassName,v.asCSSSelector=u.CSSIcon.asCSSSelector})(A=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=u.Codicon.file,e.FolderThemeIcon=u.Codicon.folder;function k(v){switch(v){case D.ColorScheme.DARK:return"vs-dark";case D.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case D.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class _{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(h){return this.themingParticipants.push(h),this.onThemingParticipantAddedEmitter.fire(h),(0,C.toDisposable)(()=>{const p=this.themingParticipants.indexOf(h);this.themingParticipants.splice(p,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const T=new _;y.Registry.add(e.Extensions.ThemingContribution,T);function E(v){return T.onColorThemeChange(v)}e.registerThemingParticipant=E;class b extends C.Disposable{constructor(h){super();this.themeService=h,this.theme=h.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(p=>this.onThemeChange(p)))}onThemeChange(h){this.theme=h,this.updateStyles()}updateStyles(){}getColor(h,p){let g=this.theme.getColor(h);return g&&p&&(g=p(g,this.theme)),g?g.toString():null}}e.Themable=b}),define(De[123],Ie([1,0,4,11,3,14]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,C.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,C.createDecorator)("sharedTunnelsService");var y;(function(b){b.Http="http",b.Https="https"})(y=e.TunnelProtocol||(e.TunnelProtocol={}));var D;(function(b){b.ConstantPrivate="constantPrivate",b.Private="private",b.Public="public"})(D=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var w;(function(b){b[b.Notify=1]="Notify",b[b.OpenBrowser=2]="OpenBrowser",b[b.OpenPreview=3]="OpenPreview",b[b.Silent=4]="Silent",b[b.Ignore=5]="Ignore",b[b.OpenBrowserOnce=6]="OpenBrowserOnce"})(w=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function I(b){if(b.scheme!=="http"&&b.scheme!=="https")return;const v=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(b.authority);if(!!v)return{address:v[1],port:+v[2]}}e.extractLocalHostUriMetaDataForPortMapping=I,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function A(b){return e.LOCALHOST_ADDRESSES.indexOf(b)>=0}e.isLocalhost=A,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function k(b){return e.ALL_INTERFACES_ADDRESSES.indexOf(b)>=0}e.isAllInterfaces=k;function _(b,v){return v?v!==1&&b<1024:!t.isWindows&&b<1024}e.isPortPrivileged=_;class T{constructor(v,h,p){this.remoteAddress=v,this.localAddress=h,this._dispose=p,this._onDispose=new u.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=T;let E=class{constructor(v){this.logService=v,this._onTunnelOpened=new u.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new u.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new u.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(v){return this._tunnelProvider=v,v?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(v){this._canElevate=v.elevation,this._privacyOptions=v.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const v=[],h=Array.from(this._tunnels.values());for(const p of h){const g=Array.from(p.values());for(const a of g){const m=await a.value;m&&v.push(m)}}return v}async dispose(){for(const v of this._tunnels.values()){for(const{value:h}of v.values())await h.then(p=>p?.dispose());v.clear()}this._tunnels.clear()}openTunnel(v,h,p,g,a=!1,m,c){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${h}:${p} on local port ${g}.`),!v)return;if(h||(h="localhost"),this._tunnelProvider&&this._factoryInProgress.has(p)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const l=this.retainOrCreateTunnel(v,h,p,g,a,m,c);return l?l.then(r=>{if(!r){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(h,p);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const i=this.makeTunnel(r);return(r.tunnelRemoteHost!==h||r.tunnelRemotePort!==p)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(i),i}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),l)}makeTunnel(v){return{tunnelRemotePort:v.tunnelRemotePort,tunnelRemoteHost:v.tunnelRemoteHost,tunnelLocalPort:v.tunnelLocalPort,localAddress:v.localAddress,privacy:v.privacy,protocol:v.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${v.tunnelRemoteHost}:${v.tunnelRemotePort} `);const h=this._tunnels.get(v.tunnelRemoteHost);if(h){const p=h.get(v.tunnelRemotePort);p&&(p.refcount--,await this.tryDisposeTunnel(v.tunnelRemoteHost,v.tunnelRemotePort,p))}}}}async tryDisposeTunnel(v,h,p){if(p.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${v}:${h}.`);const g=p.value.then(async a=>{a&&(await a.dispose(!0),this._onTunnelClosed.fire({host:a.tunnelRemoteHost,port:a.tunnelRemotePort}))});return this._tunnels.has(v)&&this._tunnels.get(v).delete(h),g}}async closeTunnel(v,h){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${v}:${h} `);const p=this._tunnels.get(v);if(p&&p.has(h)){const g=p.get(h);g.refcount=0,await this.tryDisposeTunnel(v,h,g)}}addTunnelToMap(v,h,p){this._tunnels.has(v)||this._tunnels.set(v,new Map),this._tunnels.get(v).set(h,{refcount:1,value:p})}async removeEmptyTunnelFromMap(v,h){const p=this._tunnels.get(v);p&&(await p.get(h)||p.delete(h),p.size===0&&this._tunnels.delete(v))}getTunnelFromMap(v,h){const p=[v];A(v)?(p.push(...e.LOCALHOST_ADDRESSES),p.push(...e.ALL_INTERFACES_ADDRESSES)):k(v)&&p.push(...e.ALL_INTERFACES_ADDRESSES);const g=p.map(a=>this._tunnels.get(a));for(const a of g){const m=a?.get(h);if(m)return m}}canTunnel(v){return!!I(v)}createWithProvider(v,h,p,g,a,m,c){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${h}:${p} on local port ${g}.`);const l=p;this._factoryInProgress.add(l);const i={elevationRequired:a?_(g===void 0?p:g):!1},s={remoteAddress:{host:h,port:p},localAddressPort:g,privacy:m,public:m?m!==D.Private:void 0,protocol:c},n=v.forwardPort(s,i);return n?(this.addTunnelToMap(h,p,n),n.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(l)})):this._factoryInProgress.delete(l),n}};E=je([xe(0,P.ILogService)],E),e.AbstractTunnelService=E}),define(De[202],Ie([1,0,12]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceAuthority=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=void 0;function t(w){return w.scheme!==u.Schemas.file&&w.scheme!==u.Schemas.vscodeRemote}e.isVirtualResource=t;function C(w){if(w.folders.length)return w.folders.every(I=>t(I.uri))?w.folders[0].uri:void 0;if(w.configuration&&t(w.configuration))return w.configuration}e.getVirtualWorkspaceLocation=C;function P(w){return C(w)?.scheme}e.getVirtualWorkspaceScheme=P;function y(w){return C(w)?.authority}e.getVirtualWorkspaceAuthority=y;function D(w){return C(w)!==void 0}e.isVirtualWorkspace=D}),define(De[45],Ie([1,0,168,9,25,22,2,3,12]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,D.createDecorator)("contextService");function I(r){const i=r;return typeof i?.id=="string"&&y.URI.isUri(i.uri)}e.isSingleFolderWorkspaceIdentifier=I;function A(r){if(r.configuration)return{id:r.id,configPath:r.configuration};if(r.folders.length===1)return{id:r.id,uri:r.folders[0].uri}}e.toWorkspaceIdentifier=A;function k(r){const i=r;return typeof i?.id=="string"&&y.URI.isUri(i.configPath)}e.isWorkspaceIdentifier=k;function _(r){const i=r;if(i?.uri)return{id:i.id,uri:y.URI.revive(i.uri)};const s=r;if(s?.configPath)return{id:s.id,configPath:y.URI.revive(s.configPath)};if(r?.id)return{id:r.id}}e.reviveIdentifier=_;var T;(function(r){r[r.EMPTY=1]="EMPTY",r[r.FOLDER=2]="FOLDER",r[r.WORKSPACE=3]="WORKSPACE"})(T=e.WorkbenchState||(e.WorkbenchState={}));function E(r){const i=r;return!!(i&&typeof i=="object"&&typeof i.id=="string"&&Array.isArray(i.folders))}e.isWorkspace=E;function b(r){const i=r;return!!(i&&typeof i=="object"&&y.URI.isUri(i.uri)&&typeof i.name=="string"&&typeof i.toResource=="function")}e.isWorkspaceFolder=b;class v{constructor(i,s,n,o,d){this._id=i,this._transient=n,this._configuration=o,this._ignorePathCasing=d,this._foldersMap=C.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=s}update(i){this._id=i.id,this._configuration=i.configuration,this._transient=i.transient,this._ignorePathCasing=i._ignorePathCasing,this.folders=i.folders}get folders(){return this._folders}set folders(i){this._folders=i,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(i){this._configuration=i}getFolder(i){return i&&this._foldersMap.findSubstr(i)||null}updateFoldersMap(){this._foldersMap=C.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const i of this.folders)this._foldersMap.set(i.uri,i)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=v;class h{constructor(i,s){this.raw=s,this.uri=i.uri,this.index=i.index,this.name=i.name}toResource(i){return(0,P.joinPath)(this.uri,i)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=h;function p(r){return new h({uri:r,index:0,name:(0,P.basenameOrAuthority)(r)},{uri:r.toString()})}e.toWorkspaceFolder=p,e.WORKSPACE_EXTENSION="code-workspace";const g=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,u.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function a(r,i){return P.extUriBiasedIgnorePathCase.isEqualOrParent(r,i.untitledWorkspacesHome)}e.isUntitledWorkspace=a;function m(r){let i;return y.URI.isUri(r)?i=r:i=r.configuration,i?.scheme===w.Schemas.tmp}e.isTemporaryWorkspace=m;function c(r,i){return!a(r,i)&&!m(r)}e.isSavedWorkspace=c;function l(r){return(typeof r=="string"?(0,t.extname)(r):(0,P.extname)(r))===g}e.hasWorkspaceFileExtension=l}),define(De[87],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class u{constructor(C){this.id=C,this._data=new Map,this._idPool=1}add(C){const P=this._idPool++;return this._data.set(P,C),this.logDebugInfo(),P}get(C,P){return this._data.has(C)?this._data.get(C)[P]:void 0}delete(C){this._data.delete(C),this.logDebugInfo()}logDebugInfo(){!u.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=u,u.enableDebugLogging=!1}),define(De[46],Ie([1,0,12,22,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class P{constructor(){this._systemSchemes=new Set(Object.keys(u.Schemas)),this._providerInfo=new Map,this.extUri=new t.ExtUri(D=>{const w=this._providerInfo.get(D.scheme);return!(w===void 0||w&1024)})}$acceptProviderInfos(D,w){w===null?this._providerInfo.delete(D.scheme):this._providerInfo.set(D.scheme,w)}isFreeScheme(D){return!this._providerInfo.has(D)&&!this._systemSchemes.has(D)}getCapabilities(D){return this._providerInfo.get(D)}}e.ExtHostFileSystemInfo=P,e.IExtHostFileSystemInfo=(0,C.createDecorator)("IExtHostFileSystemInfo")}),define(De[26],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,u.createDecorator)("IExtHostInitDataService")}),define(De[203],Ie([1,0,18]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class t{constructor(y,D,w){this._deferredPromises=new Map,this._id=y,this._shared=D,this._storage=w,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(I=>(this._value=I,this)),this._storageListener=this._storage.onDidChangeStorage(I=>{I.shared===this._shared&&I.key===this._id&&(this._value=I.value)}),this._scheduler=new u.RunOnceScheduler(()=>{const I=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const A of I.values())A.complete()}catch(A){for(const k of I.values())k.error(A)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,y])=>y!==void 0).map(([y])=>y)}get whenReady(){return this._init}get(y,D){let w=this._value[y];return typeof w=="undefined"&&(w=D),w}update(y,D){this._value[y]=D;const w=this._deferredPromises.get(y);if(w!==void 0)return w.p;const I=new u.DeferredPromise;return this._deferredPromises.set(y,I),this._scheduler.isScheduled()||this._scheduler.schedule(),I.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=t;class C extends t{constructor(y,D){super(y.identifier.value,!0,D);this._extension=y}setKeysForSync(y){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},y)}}e.ExtensionGlobalMemento=C}),define(De[204],Ie([1,0,4,2]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;class C{constructor(y){this._notebooksAndEditors=y,this._onDidSaveNotebookDocument=new u.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeNotebookDocument=new u.Emitter,this.onDidChangeNotebookDocument=this._onDidChangeNotebookDocument.event}$acceptModelChanged(y,D,w,I){const k=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y)).acceptModelChanged(D.value,w,I);this._onDidChangeNotebookDocument.fire(k)}$acceptDirtyStateChanged(y,D){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y)).acceptDirty(D)}$acceptModelSaved(y){const D=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y));this._onDidSaveNotebookDocument.fire(D.apiNotebook)}}e.ExtHostNotebookDocuments=C}),define(De[15],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,u.createDecorator)("IExtHostRpcService");class t{constructor(P){this.getProxy=P.getProxy.bind(P),this.set=P.set.bind(P),this.dispose=P.dispose.bind(P),this.assertRegistered=P.assertRegistered.bind(P),this.drain=P.drain.bind(P)}}e.ExtHostRpcService=t});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[205],Ie([1,0,28,4]),function(Z,e,u,t){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class P{constructor(D,w){C.set(this,void 0),this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._id=u.ExtensionIdentifier.toKey(D.identifier),et(this,C,w,"f"),Me(this,C,"f").onDidChangePassword(I=>{I.extensionId===this._id&&this._onDidChange.fire({key:I.key})})}get(D){return Me(this,C,"f").get(this._id,D)}store(D,w){return Me(this,C,"f").store(this._id,D,w)}delete(D){return Me(this,C,"f").delete(this._id,D)}}e.ExtensionSecrets=P,C=new WeakMap}),define(De[124],Ie([1,0,3,4]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class C{constructor(){this._onDidChangeTelemetryEnabled=new t.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._onDidChangeTelemetryConfiguration=new t.Emitter,this.onDidChangeTelemetryConfiguration=this._onDidChangeTelemetryConfiguration.event,this._productConfig={usage:!0,error:!0},this._level=0}getTelemetryConfiguration(){return this._level===3}getTelemetryDetails(){return{isCrashEnabled:this._level>=1,isErrorsEnabled:this._productConfig.error?this._level>=2:!1,isUsageEnabled:this._productConfig.usage?this._level>=3:!1}}$initializeTelemetryLevel(y,D){this._level=y,this._productConfig=D||{usage:!0,error:!0}}$onDidChangeTelemetryLevel(y){this._oldTelemetryEnablement=this.getTelemetryConfiguration(),this._level=y,this._oldTelemetryEnablement!==this.getTelemetryConfiguration()&&this._onDidChangeTelemetryEnabled.fire(this.getTelemetryConfiguration()),this._onDidChangeTelemetryConfiguration.fire(this.getTelemetryDetails())}}e.ExtHostTelemetry=C,e.IExtHostTelemetry=(0,u.createDecorator)("IExtHostTelemetry")}),define(De[53],Ie([1,0,3,123,4,15]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDtoConverter=void 0;var y;(function(w){function I(k){return{remoteAddress:k.remoteAddress,localAddress:k.localAddress,public:!!k.public,privacy:k.privacy??(k.public?t.TunnelPrivacyId.Public:t.TunnelPrivacyId.Private),protocol:k.protocol}}w.fromApiTunnel=I;function A(k){return{remoteAddress:{host:k.tunnelRemoteHost,port:k.tunnelRemotePort},localAddress:k.localAddress,public:k.privacy!==t.TunnelPrivacyId.ConstantPrivate&&k.privacy!==t.TunnelPrivacyId.ConstantPrivate,privacy:k.privacy,protocol:k.protocol}}w.fromServiceTunnel=A})(y=e.TunnelDtoConverter||(e.TunnelDtoConverter={})),e.IExtHostTunnelService=(0,u.createDecorator)("IExtHostTunnelService");let D=class{constructor(I){this.onDidChangeTunnels=new C.Emitter().event}async $applyCandidateFilter(I){return I}async openTunnel(I,A){}async getTunnels(){return[]}async setTunnelFactory(I){return{dispose:()=>{}}}registerPortsAttributesProvider(I,A){return{dispose:()=>{}}}async $providePortAttributes(I,A,k,_,T){return[]}async $forwardPort(I,A){}async $closeTunnel(I){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};D=je([xe(0,P.IExtHostRpcService)],D),e.ExtHostTunnelService=D});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[7],Ie([1,0,17,10,105,25,100,8,13,2,34,42,121]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";var T,E,b,v,h,p,g,a,m,c,l,r,i,s,n,o,d,f,S,L,M,B,R;Object.defineProperty(e,"__esModule",{value:!0}),e.InteractiveWindowInput=e.TerminalEditorTabInput=e.NotebookDiffEditorTabInput=e.NotebookEditorTabInput=e.WebviewEditorTabInput=e.CustomEditorTabInput=e.TextMergeTabInput=e.TextDiffTabInput=e.TextTabInput=e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKindNew=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.DocumentPasteEdit=e.DocumentDropEdit=e.DataTransfer=e.DataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestionsNew=e.InlineSuggestionNew=e.InlineSuggestionList=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.NotebookEdit=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function U(j){function W(){return Reflect.construct(j,arguments,this.constructor)}return Object.defineProperty(W,"name",Object.getOwnPropertyDescriptor(j,"name")),Object.setPrototypeOf(W,j),Object.setPrototypeOf(W.prototype,j.prototype),W}let $=p=class{constructor(W){T.set(this,void 0),et(this,T,W,"f")}static from(...W){let ce=W;return new p(function(){if(ce){for(const Pe of ce)Pe&&typeof Pe.dispose=="function"&&Pe.dispose();ce=void 0}})}dispose(){typeof Me(this,T,"f")=="function"&&(Me(this,T,"f").call(this),et(this,T,void 0,"f"))}};T=new WeakMap,$=p=je([U],$),e.Disposable=$;let N=g=class{constructor(W,ce){if(W<0)throw(0,t.illegalArgument)("line must be non-negative");if(ce<0)throw(0,t.illegalArgument)("character must be non-negative");this._line=W,this._character=ce}static Min(...W){if(W.length===0)throw new TypeError;let ce=W[0];for(let Pe=1;Pe<W.length;Pe++){const Xe=W[Pe];Xe.isBefore(ce)&&(ce=Xe)}return ce}static Max(...W){if(W.length===0)throw new TypeError;let ce=W[0];for(let Pe=1;Pe<W.length;Pe++){const Xe=W[Pe];Xe.isAfter(ce)&&(ce=Xe)}return ce}static isPosition(W){if(!W)return!1;if(W instanceof g)return!0;const{line:ce,character:Pe}=W;return typeof ce=="number"&&typeof Pe=="number"}static of(W){if(W instanceof g)return W;if(this.isPosition(W))return new g(W.line,W.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(W){return this._line<W._line?!0:W._line<this._line?!1:this._character<W._character}isBeforeOrEqual(W){return this._line<W._line?!0:W._line<this._line?!1:this._character<=W._character}isAfter(W){return!this.isBeforeOrEqual(W)}isAfterOrEqual(W){return!this.isBefore(W)}isEqual(W){return this._line===W._line&&this._character===W._character}compareTo(W){return this._line<W._line?-1:this._line>W.line?1:this._character<W._character?-1:this._character>W._character?1:0}translate(W,ce=0){if(W===null||ce===null)throw(0,t.illegalArgument)();let Pe;return typeof W=="undefined"?Pe=0:typeof W=="number"?Pe=W:(Pe=typeof W.lineDelta=="number"?W.lineDelta:0,ce=typeof W.characterDelta=="number"?W.characterDelta:0),Pe===0&&ce===0?this:new g(this.line+Pe,this.character+ce)}with(W,ce=this.character){if(W===null||ce===null)throw(0,t.illegalArgument)();let Pe;return typeof W=="undefined"?Pe=this.line:typeof W=="number"?Pe=W:(Pe=typeof W.line=="number"?W.line:this.line,ce=typeof W.character=="number"?W.character:this.character),Pe===this.line&&ce===this.character?this:new g(Pe,ce)}toJSON(){return{line:this.line,character:this.character}}};N=g=je([U],N),e.Position=N;let X=a=class{constructor(W,ce,Pe,Xe){let nt,ct;if(typeof W=="number"&&typeof ce=="number"&&typeof Pe=="number"&&typeof Xe=="number"?(nt=new N(W,ce),ct=new N(Pe,Xe)):N.isPosition(W)&&N.isPosition(ce)&&(nt=N.of(W),ct=N.of(ce)),!nt||!ct)throw new Error("Invalid arguments");nt.isBefore(ct)?(this._start=nt,this._end=ct):(this._start=ct,this._end=nt)}static isRange(W){return W instanceof a?!0:W?N.isPosition(W.start)&&N.isPosition(W.end):!1}static of(W){if(W instanceof a)return W;if(this.isRange(W))return new a(W.start,W.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(W){return a.isRange(W)?this.contains(W.start)&&this.contains(W.end):N.isPosition(W)?!(N.of(W).isBefore(this._start)||this._end.isBefore(W)):!1}isEqual(W){return this._start.isEqual(W._start)&&this._end.isEqual(W._end)}intersection(W){const ce=N.Max(W.start,this._start),Pe=N.Min(W.end,this._end);if(!ce.isAfter(Pe))return new a(ce,Pe)}union(W){if(this.contains(W))return this;if(W.contains(this))return W;const ce=N.Min(W.start,this._start),Pe=N.Max(W.end,this.end);return new a(ce,Pe)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(W,ce=this.end){if(W===null||ce===null)throw(0,t.illegalArgument)();let Pe;return W?N.isPosition(W)?Pe=W:(Pe=W.start||this.start,ce=W.end||this.end):Pe=this.start,Pe.isEqual(this._start)&&ce.isEqual(this.end)?this:new a(Pe,ce)}toJSON(){return[this.start,this.end]}};X=a=je([U],X),e.Range=X;let z=m=class extends X{constructor(W,ce,Pe,Xe){let nt,ct;if(typeof W=="number"&&typeof ce=="number"&&typeof Pe=="number"&&typeof Xe=="number"?(nt=new N(W,ce),ct=new N(Pe,Xe)):N.isPosition(W)&&N.isPosition(ce)&&(nt=N.of(W),ct=N.of(ce)),!nt||!ct)throw new Error("Invalid arguments");super(nt,ct);this._anchor=nt,this._active=ct}static isSelection(W){return W instanceof m?!0:W?X.isRange(W)&&N.isPosition(W.anchor)&&N.isPosition(W.active)&&typeof W.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};z=m=je([U],z),e.Selection=z;class O{constructor(W,ce,Pe){if(typeof W!="string"||W.length===0)throw(0,t.illegalArgument)("host");if(typeof ce!="number"||ce===0||Math.round(ce)!==ce)throw(0,t.illegalArgument)("port");if(typeof Pe!="undefined"&&(typeof Pe!="string"||Pe.length===0||!/^[0-9A-Za-z\-]+$/.test(Pe)))throw(0,t.illegalArgument)("connectionToken");this.host=W,this.port=Math.round(ce),this.connectionToken=Pe}}e.ResolvedAuthority=O;class x extends Error{constructor(W,ce=_.RemoteAuthorityResolverErrorCode.Unknown,Pe){super(W);this._message=W,this._code=ce,this._detail=Pe,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,x.prototype)}static NotAvailable(W,ce){return new x(W,_.RemoteAuthorityResolverErrorCode.NotAvailable,ce)}static TemporarilyNotAvailable(W){return new x(W,_.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=x;var V;(function(j){j[j.LF=1]="LF",j[j.CRLF=2]="CRLF"})(V=e.EndOfLine||(e.EndOfLine={}));var q;(function(j){j[j.Replace=1]="Replace",j[j.Append=2]="Append",j[j.Prepend=3]="Prepend"})(q=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let J=c=class{constructor(W,ce){this._range=W,this._newText=ce}static isTextEdit(W){return W instanceof c?!0:W?X.isRange(W)&&typeof W.newText=="string":!1}static replace(W,ce){return new c(W,ce)}static insert(W,ce){return c.replace(new X(W,W),ce)}static delete(W){return c.replace(W,"")}static setEndOfLine(W){const ce=new c(new X(new N(0,0),new N(0,0)),"");return ce.newEol=W,ce}get range(){return this._range}set range(W){if(W&&!X.isRange(W))throw(0,t.illegalArgument)("range");this._range=W}get newText(){return this._newText||""}set newText(W){if(W&&typeof W!="string")throw(0,t.illegalArgument)("newText");this._newText=W}get newEol(){return this._newEol}set newEol(W){if(W&&typeof W!="number")throw(0,t.illegalArgument)("newEol");this._newEol=W}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};J=c=je([U],J),e.TextEdit=J;let Y=l=class{constructor(W,ce){this.range=W,this.newCells=ce}static isNotebookCellEdit(W){return W instanceof l?!0:W?$t.isNotebookRange(W)&&Array.isArray(W.newCells):!1}static replaceCells(W,ce){return new l(W,ce)}static insertCells(W,ce){return new l(new $t(W,W),ce)}static deleteCells(W){return new l(W,[])}static updateCellMetadata(W,ce){const Pe=new l(new $t(W,W),[]);return Pe.newCellMetadata=ce,Pe}static updateNotebookMetadata(W){const ce=new l(new $t(0,0),[]);return ce.newNotebookMetadata=W,ce}};Y=l=je([U],Y),e.NotebookEdit=Y;var he;(function(j){j[j.File=1]="File",j[j.Text=2]="Text",j[j.Cell=3]="Cell",j[j.CellReplace=5]="CellReplace",j[j.Snippet=6]="Snippet"})(he=e.FileEditType||(e.FileEditType={}));let ve=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(W,ce,Pe,Xe){this._edits.push({_type:1,from:W,to:ce,options:Pe,metadata:Xe})}createFile(W,ce,Pe){this._edits.push({_type:1,from:void 0,to:W,options:ce,metadata:Pe})}deleteFile(W,ce,Pe){this._edits.push({_type:1,from:W,to:void 0,options:ce,metadata:Pe})}replaceNotebookMetadata(W,ce,Pe){this._edits.push({_type:3,metadata:Pe,uri:W,edit:{editType:5,metadata:ce},notebookMetadata:ce})}replaceNotebookCells(W,ce,Pe,Xe,nt){let ct,ut,yt=[],Rt;if($t.isNotebookRange(ce)&&Kt.isNotebookCellDataArray(Pe)&&!Kt.isNotebookCellDataArray(Xe)?(ct=ce.start,ut=ce.end,yt=Pe,Rt=Xe):typeof ce=="number"&&typeof Pe=="number"&&Kt.isNotebookCellDataArray(Xe)&&(ct=ce,ut=Pe,yt=Xe,Rt=nt),ct===void 0||ut===void 0)throw new Error("Invalid arguments");(ct!==ut||yt.length>0)&&this._edits.push({_type:5,uri:W,index:ct,count:ut-ct,cells:yt,metadata:Rt})}replaceNotebookCellMetadata(W,ce,Pe,Xe){this._edits.push({_type:3,metadata:Xe,uri:W,edit:{editType:8,index:ce,metadata:Pe}})}replace(W,ce,Pe,Xe){typeof Pe=="string"?this._edits.push({_type:2,uri:W,edit:new J(ce,Pe),metadata:Xe}):this._edits.push({_type:6,uri:W,range:ce,edit:Pe,metadata:Xe})}insert(W,ce,Pe,Xe){this.replace(W,new X(ce,ce),Pe,Xe)}delete(W,ce,Pe){this.replace(W,ce,"",Pe)}has(W){return this._edits.some(ce=>ce._type===2&&ce.uri.toString()===W.toString())}set(W,ce){if(ce)for(const Pe of ce)Pe&&(Y.isNotebookCellEdit(Pe)?Pe.newCellMetadata?this.replaceNotebookCellMetadata(W,Pe.range.start,Pe.newCellMetadata):Pe.newNotebookMetadata?this.replaceNotebookMetadata(W,Pe.newNotebookMetadata):this.replaceNotebookCells(W,Pe.range,Pe.newCells):this._edits.push({_type:2,uri:W,edit:Pe}));else{for(let Pe=0;Pe<this._edits.length;Pe++){const Xe=this._edits[Pe];Xe._type===2&&Xe.uri.toString()===W.toString()&&(this._edits[Pe]=void 0)}(0,u.coalesceInPlace)(this._edits)}}get(W){const ce=[];for(const Pe of this._edits)Pe._type===2&&Pe.uri.toString()===W.toString()&&ce.push(Pe.edit);return ce}entries(){const W=new P.ResourceMap;for(const ce of this._edits)if(ce._type===2){let Pe=W.get(ce.uri);Pe||(Pe=[ce.uri,[]],W.set(ce.uri,Pe)),Pe[1].push(ce.edit)}return[...W.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};ve=je([U],ve),e.WorkspaceEdit=ve;let re=r=class{constructor(W){this._tabstop=1,this.value=W||""}static isSnippetString(W){return W instanceof r?!0:W?typeof W.value=="string":!1}static _escape(W){return W.replace(/\$|}|\\/g,"\\$&")}appendText(W){return this.value+=r._escape(W),this}appendTabstop(W=this._tabstop++){return this.value+="$",this.value+=W,this}appendPlaceholder(W,ce=this._tabstop++){if(typeof W=="function"){const Pe=new r;Pe._tabstop=this._tabstop,W(Pe),this._tabstop=Pe._tabstop,W=Pe.value}else W=r._escape(W);return this.value+="${",this.value+=ce,this.value+=":",this.value+=W,this.value+="}",this}appendChoice(W,ce=this._tabstop++){const Pe=W.map(Xe=>Xe.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ce,this.value+="|",this.value+=Pe,this.value+="|}",this}appendVariable(W,ce){if(typeof ce=="function"){const Pe=new r;Pe._tabstop=this._tabstop,ce(Pe),this._tabstop=Pe._tabstop,ce=Pe.value}else typeof ce=="string"&&(ce=ce.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=W,ce&&(this.value+=":",this.value+=ce),this.value+="}",this}};re=r=je([U],re),e.SnippetString=re;var pe;(function(j){j[j.Unnecessary=1]="Unnecessary",j[j.Deprecated=2]="Deprecated"})(pe=e.DiagnosticTag||(e.DiagnosticTag={}));var be;(function(j){j[j.Hint=3]="Hint",j[j.Information=2]="Information",j[j.Warning=1]="Warning",j[j.Error=0]="Error"})(be=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let ke=i=class{constructor(W,ce){if(this.uri=W,ce)if(X.isRange(ce))this.range=X.of(ce);else if(N.isPosition(ce))this.range=new X(ce,ce);else throw new Error("Illegal argument")}static isLocation(W){return W instanceof i?!0:W?X.isRange(W.range)&&I.URI.isUri(W.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};ke=i=je([U],ke),e.Location=ke;let Re=class{constructor(W,ce){this.location=W,this.message=ce}static is(W){return W?typeof W.message=="string"&&W.location&&X.isRange(W.location.range)&&I.URI.isUri(W.location.uri):!1}static isEqual(W,ce){return W===ce?!0:!W||!ce?!1:W.message===ce.message&&W.location.range.isEqual(ce.location.range)&&W.location.uri.toString()===ce.location.uri.toString()}};Re=je([U],Re),e.DiagnosticRelatedInformation=Re;let Ue=class{constructor(W,ce,Pe=be.Error){if(!X.isRange(W))throw new TypeError("range must be set");if(!ce)throw new TypeError("message must be set");this.range=W,this.message=ce,this.severity=Pe}toJSON(){return{severity:be[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(W,ce){return W===ce?!0:!W||!ce?!1:W.message===ce.message&&W.severity===ce.severity&&W.code===ce.code&&W.severity===ce.severity&&W.source===ce.source&&W.range.isEqual(ce.range)&&(0,u.equals)(W.tags,ce.tags)&&(0,u.equals)(W.relatedInformation,ce.relatedInformation,Re.isEqual)}};Ue=je([U],Ue),e.Diagnostic=Ue;let ae=class{constructor(W,ce){if(!W)throw new Error("Illegal argument, contents must be defined");Array.isArray(W)?this.contents=W:this.contents=[W],this.range=ce}};ae=je([U],ae),e.Hover=ae;var de;(function(j){j[j.Text=0]="Text",j[j.Read=1]="Read",j[j.Write=2]="Write"})(de=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let ge=class{constructor(W,ce=de.Text){this.range=W,this.kind=ce}toJSON(){return{range:this.range,kind:de[this.kind]}}};ge=je([U],ge),e.DocumentHighlight=ge;var te;(function(j){j[j.File=0]="File",j[j.Module=1]="Module",j[j.Namespace=2]="Namespace",j[j.Package=3]="Package",j[j.Class=4]="Class",j[j.Method=5]="Method",j[j.Property=6]="Property",j[j.Field=7]="Field",j[j.Constructor=8]="Constructor",j[j.Enum=9]="Enum",j[j.Interface=10]="Interface",j[j.Function=11]="Function",j[j.Variable=12]="Variable",j[j.Constant=13]="Constant",j[j.String=14]="String",j[j.Number=15]="Number",j[j.Boolean=16]="Boolean",j[j.Array=17]="Array",j[j.Object=18]="Object",j[j.Key=19]="Key",j[j.Null=20]="Null",j[j.EnumMember=21]="EnumMember",j[j.Struct=22]="Struct",j[j.Event=23]="Event",j[j.Operator=24]="Operator",j[j.TypeParameter=25]="TypeParameter"})(te=e.SymbolKind||(e.SymbolKind={}));var le;(function(j){j[j.Deprecated=1]="Deprecated"})(le=e.SymbolTag||(e.SymbolTag={}));let ee=s=class{constructor(W,ce,Pe,Xe,nt){this.name=W,this.kind=ce,this.containerName=nt,typeof Pe=="string"&&(this.containerName=Pe),Xe instanceof ke?this.location=Xe:Pe instanceof X&&(this.location=new ke(Xe,Pe)),s.validate(this)}static validate(W){if(!W.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:te[this.kind],location:this.location,containerName:this.containerName}}};ee=s=je([U],ee),e.SymbolInformation=ee;let ie=n=class{constructor(W,ce,Pe,Xe,nt){this.name=W,this.detail=ce,this.kind=Pe,this.range=Xe,this.selectionRange=nt,this.children=[],n.validate(this)}static validate(W){if(!W.name)throw new Error("name must not be falsy");if(!W.range.contains(W.selectionRange))throw new Error("selectionRange must be contained in fullRange");W.children?.forEach(n.validate)}};ie=n=je([U],ie),e.DocumentSymbol=ie;var F;(function(j){j[j.Invoke=1]="Invoke",j[j.Automatic=2]="Automatic"})(F=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let H=class{constructor(W,ce){this.title=W,this.kind=ce}};H=je([U],H),e.CodeAction=H;let K=o=class{constructor(W){this.value=W}append(W){return new o(this.value?this.value+o.sep+W:W)}intersects(W){return this.contains(W)||W.contains(this)}contains(W){return this.value===W.value||W.value.startsWith(this.value+o.sep)}};K.sep=".",K=o=je([U],K),e.CodeActionKind=K,K.Empty=new K(""),K.QuickFix=K.Empty.append("quickfix"),K.Refactor=K.Empty.append("refactor"),K.RefactorExtract=K.Refactor.append("extract"),K.RefactorInline=K.Refactor.append("inline"),K.RefactorRewrite=K.Refactor.append("rewrite"),K.Source=K.Empty.append("source"),K.SourceOrganizeImports=K.Source.append("organizeImports"),K.SourceFixAll=K.Source.append("fixAll");let Q=class{constructor(W,ce){if(this.range=W,this.parent=ce,ce&&!ce.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};Q=je([U],Q),e.SelectionRange=Q;class fe{constructor(W,ce,Pe,Xe,nt,ct){this.kind=W,this.name=ce,this.detail=Pe,this.uri=Xe,this.range=nt,this.selectionRange=ct}}e.CallHierarchyItem=fe;class we{constructor(W,ce){this.fromRanges=ce,this.from=W}}e.CallHierarchyIncomingCall=we;class ue{constructor(W,ce){this.fromRanges=ce,this.to=W}}e.CallHierarchyOutgoingCall=ue;var Ce;(function(j){j[j.Information=0]="Information",j[j.Warning=1]="Warning",j[j.Error=2]="Error"})(Ce=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let Se=class{constructor(W,ce){this.range=W,this.command=ce}get isResolved(){return!!this.command}};Se=je([U],Se),e.CodeLens=Se;let Be=d=class{constructor(W,ce=!1){E.set(this,void 0),et(this,E,new C.MarkdownString(W,{supportThemeIcons:ce}),"f")}static isMarkdownString(W){return W instanceof d?!0:W&&W.appendCodeblock&&W.appendMarkdown&&W.appendText&&W.value!==void 0}get value(){return Me(this,E,"f").value}set value(W){Me(this,E,"f").value=W}get isTrusted(){return Me(this,E,"f").isTrusted}set isTrusted(W){Me(this,E,"f").isTrusted=W}get supportThemeIcons(){return Me(this,E,"f").supportThemeIcons}set supportThemeIcons(W){Me(this,E,"f").supportThemeIcons=W}get supportHtml(){return Me(this,E,"f").supportHtml}set supportHtml(W){Me(this,E,"f").supportHtml=W}get baseUri(){return Me(this,E,"f").baseUri}set baseUri(W){Me(this,E,"f").baseUri=W}appendText(W){return Me(this,E,"f").appendText(W),this}appendMarkdown(W){return Me(this,E,"f").appendMarkdown(W),this}appendCodeblock(W,ce){return Me(this,E,"f").appendCodeblock(ce??"",W),this}};E=new WeakMap,Be=d=je([U],Be),e.MarkdownString=Be;let qe=class{constructor(W,ce){this.label=W,this.documentation=ce}};qe=je([U],qe),e.ParameterInformation=qe;let Je=class{constructor(W,ce){this.label=W,this.documentation=ce,this.parameters=[]}};Je=je([U],Je),e.SignatureInformation=Je;let Qe=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Qe=je([U],Qe),e.SignatureHelp=Qe;var Le;(function(j){j[j.Invoke=1]="Invoke",j[j.TriggerCharacter=2]="TriggerCharacter",j[j.ContentChange=3]="ContentChange"})(Le=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var st;(function(j){j[j.Type=1]="Type",j[j.Parameter=2]="Parameter"})(st=e.InlayHintKind||(e.InlayHintKind={}));let se=class{constructor(W){this.value=W}};se=je([U],se),e.InlayHintLabelPart=se;let oe=class{constructor(W,ce,Pe){this.position=W,this.label=ce,this.kind=Pe}};oe=je([U],oe),e.InlayHint=oe;var G;(function(j){j[j.Invoke=0]="Invoke",j[j.TriggerCharacter=1]="TriggerCharacter",j[j.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(G=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ye;(function(j){j[j.Text=0]="Text",j[j.Method=1]="Method",j[j.Function=2]="Function",j[j.Constructor=3]="Constructor",j[j.Field=4]="Field",j[j.Variable=5]="Variable",j[j.Class=6]="Class",j[j.Interface=7]="Interface",j[j.Module=8]="Module",j[j.Property=9]="Property",j[j.Unit=10]="Unit",j[j.Value=11]="Value",j[j.Enum=12]="Enum",j[j.Keyword=13]="Keyword",j[j.Snippet=14]="Snippet",j[j.Color=15]="Color",j[j.File=16]="File",j[j.Reference=17]="Reference",j[j.Folder=18]="Folder",j[j.EnumMember=19]="EnumMember",j[j.Constant=20]="Constant",j[j.Struct=21]="Struct",j[j.Event=22]="Event",j[j.Operator=23]="Operator",j[j.TypeParameter=24]="TypeParameter",j[j.User=25]="User",j[j.Issue=26]="Issue"})(ye=e.CompletionItemKind||(e.CompletionItemKind={}));var Ae;(function(j){j[j.Deprecated=1]="Deprecated"})(Ae=e.CompletionItemTag||(e.CompletionItemTag={}));let We=class{constructor(W,ce){this.label=W,this.kind=ce}toJSON(){return{label:this.label,kind:this.kind&&ye[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};We=je([U],We),e.CompletionItem=We;let ze=class{constructor(W=[],ce=!1){this.items=W,this.isIncomplete=ce}};ze=je([U],ze),e.CompletionList=ze;let $e=class{constructor(W,ce,Pe){this.insertText=W,this.range=ce,this.command=Pe}};$e=je([U],$e),e.InlineSuggestion=$e;let Ze=class{constructor(W){this.commands=void 0,this.items=W}};Ze=je([U],Ze),e.InlineSuggestionList=Ze;let it=class{constructor(W,ce,Pe){this.insertText=W,this.range=ce,this.command=Pe}};it=je([U],it),e.InlineSuggestionNew=it;let lt=class{constructor(W,ce){this.items=W,this.commands=ce}};lt=je([U],lt),e.InlineSuggestionsNew=lt;var ht;(function(j){j[j.Active=-1]="Active",j[j.Beside=-2]="Beside",j[j.One=1]="One",j[j.Two=2]="Two",j[j.Three=3]="Three",j[j.Four=4]="Four",j[j.Five=5]="Five",j[j.Six=6]="Six",j[j.Seven=7]="Seven",j[j.Eight=8]="Eight",j[j.Nine=9]="Nine"})(ht=e.ViewColumn||(e.ViewColumn={}));var tt;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(tt=e.StatusBarAlignment||(e.StatusBarAlignment={}));var at;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative"})(at=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Ct;(function(j){j[j.Manual=1]="Manual",j[j.AfterDelay=2]="AfterDelay",j[j.FocusOut=3]="FocusOut"})(Ct=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Ot;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Ot=e.TextEditorRevealType||(e.TextEditorRevealType={}));var It;(function(j){j[j.Keyboard=1]="Keyboard",j[j.Mouse=2]="Mouse",j[j.Command=3]="Command"})(It=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var mt;(function(j){j[j.Undo=1]="Undo",j[j.Redo=2]="Redo"})(mt=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var kt;(function(j){j[j.OpenOpen=0]="OpenOpen",j[j.ClosedClosed=1]="ClosedClosed",j[j.OpenClosed=2]="OpenClosed",j[j.ClosedOpen=3]="ClosedOpen"})(kt=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(j){function W(ce){switch(ce){case"keyboard":return j.Keyboard;case"mouse":return j.Mouse;case"api":return j.Command}}j.fromValue=W}(It=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Ut=class{constructor(W,ce){if(ce&&!I.URI.isUri(ce))throw(0,t.illegalArgument)("target");if(!X.isRange(W)||W.isEmpty)throw(0,t.illegalArgument)("range");this.range=W,this.target=ce}};Ut=je([U],Ut),e.DocumentLink=Ut;let Ft=class{constructor(W,ce,Pe,Xe){this.red=W,this.green=ce,this.blue=Pe,this.alpha=Xe}};Ft=je([U],Ft),e.Color=Ft;let Ge=class{constructor(W,ce){if(ce&&!(ce instanceof Ft))throw(0,t.illegalArgument)("color");if(!X.isRange(W)||W.isEmpty)throw(0,t.illegalArgument)("range");this.range=W,this.color=ce}};Ge=je([U],Ge),e.ColorInformation=Ge;let Nt=class{constructor(W){if(!W||typeof W!="string")throw(0,t.illegalArgument)("label");this.label=W}};Nt=je([U],Nt),e.ColorPresentation=Nt;var Lt;(function(j){j[j.RGB=0]="RGB",j[j.HEX=1]="HEX",j[j.HSL=2]="HSL"})(Lt=e.ColorFormat||(e.ColorFormat={}));var Bt;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information"})(Bt=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var bt;(function(j){j[j.Unknown=0]="Unknown",j[j.Shutdown=1]="Shutdown",j[j.Process=2]="Process",j[j.User=3]="User",j[j.Extension=4]="Extension"})(bt=e.TerminalExitReason||(e.TerminalExitReason={}));class Te{constructor(W,ce,Pe){if(this.startIndex=W,this.length=ce,this.tooltip=Pe,typeof W!="number"||W<0)throw(0,t.illegalArgument)("startIndex");if(typeof ce!="number"||ce<1)throw(0,t.illegalArgument)("length");if(Pe!==void 0&&typeof Pe!="string")throw(0,t.illegalArgument)("tooltip")}}e.TerminalLink=Te;var Oe;(function(j){j[j.Panel=1]="Panel",j[j.Editor=2]="Editor"})(Oe=e.TerminalLocation||(e.TerminalLocation={}));class _e{constructor(W){if(this.options=W,typeof W!="object")throw(0,t.illegalArgument)("options")}}e.TerminalProfile=_e;var ne;(function(j){j[j.Always=1]="Always",j[j.Silent=2]="Silent",j[j.Never=3]="Never"})(ne=e.TaskRevealKind||(e.TaskRevealKind={}));var Fe;(function(j){j[j.Shared=1]="Shared",j[j.Dedicated=2]="Dedicated",j[j.New=3]="New"})(Fe=e.TaskPanelKind||(e.TaskPanelKind={}));let Ve=f=class{constructor(W,ce){if(this.label=ce,typeof W!="string"||typeof ce!="string")throw(0,t.illegalArgument)("name");this._id=W}static from(W){switch(W){case"clean":return f.Clean;case"build":return f.Build;case"rebuild":return f.Rebuild;case"test":return f.Test;default:return}}get id(){return this._id}};Ve.Clean=new f("clean","Clean"),Ve.Build=new f("build","Build"),Ve.Rebuild=new f("rebuild","Rebuild"),Ve.Test=new f("test","Test"),Ve=f=je([U],Ve),e.TaskGroup=Ve;function rt(j){let W="";for(let ce=0;ce<j.length;ce++)W+=j[ce].replace(/,/g,",,")+",";return W}let Ye=class{constructor(W,ce,Pe){if(typeof W!="string")throw(0,t.illegalArgument)("process");this._args=[],this._process=W,ce!==void 0&&(Array.isArray(ce)?(this._args=ce,this._options=Pe):this._options=ce)}get process(){return this._process}set process(W){if(typeof W!="string")throw(0,t.illegalArgument)("process");this._process=W}get args(){return this._args}set args(W){Array.isArray(W)||(W=[]),this._args=W}get options(){return this._options}set options(W){this._options=W}computeId(){const W=[];if(W.push("process"),this._process!==void 0&&W.push(this._process),this._args&&this._args.length>0)for(const ce of this._args)W.push(ce);return rt(W)}};Ye=je([U],Ye),e.ProcessExecution=Ye;let Ke=class{constructor(W,ce,Pe){if(this._args=[],Array.isArray(ce)){if(!W)throw(0,t.illegalArgument)("command can't be undefined or null");if(typeof W!="string"&&typeof W.value!="string")throw(0,t.illegalArgument)("command");this._command=W,this._args=ce,this._options=Pe}else{if(typeof W!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=W,this._options=ce}}get commandLine(){return this._commandLine}set commandLine(W){if(typeof W!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=W}get command(){return this._command?this._command:""}set command(W){if(typeof W!="string"&&typeof W.value!="string")throw(0,t.illegalArgument)("command");this._command=W}get args(){return this._args}set args(W){this._args=W||[]}get options(){return this._options}set options(W){this._options=W}computeId(){const W=[];if(W.push("shell"),this._commandLine!==void 0&&W.push(this._commandLine),this._command!==void 0&&W.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(const ce of this._args)W.push(typeof ce=="string"?ce:ce.value);return rt(W)}};Ke=je([U],Ke),e.ShellExecution=Ke;var ft;(function(j){j[j.Escape=1]="Escape",j[j.Strong=2]="Strong",j[j.Weak=3]="Weak"})(ft=e.ShellQuoting||(e.ShellQuoting={}));var pt;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace"})(pt=e.TaskScope||(e.TaskScope={}));class Dt{constructor(W){this._callback=W}computeId(){return"customExecution"+(0,A.generateUuid)()}set callback(W){this._callback=W}get callback(){return this._callback}}e.CustomExecution=Dt;let vt=S=class{constructor(W,ce,Pe,Xe,nt,ct){this.__deprecated=!1,this._definition=this.definition=W;let ut;typeof ce=="string"?(this._name=this.name=ce,this._source=this.source=Pe,this.execution=Xe,ut=nt,this.__deprecated=!0):ce===pt.Global||ce===pt.Workspace?(this.target=ce,this._name=this.name=Pe,this._source=this.source=Xe,this.execution=nt,ut=ct):(this.target=ce,this._name=this.name=Pe,this._source=this.source=Xe,this.execution=nt,ut=ct),typeof ut=="string"?(this._problemMatchers=[ut],this._hasDefinedMatchers=!0):Array.isArray(ut)?(this._problemMatchers=ut,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(W){this.__id=W}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof Ye?this._definition={type:S.ProcessType,id:this._execution.computeId()}:this._execution instanceof Ke?this._definition={type:S.ShellType,id:this._execution.computeId()}:this._execution instanceof Dt?this._definition={type:S.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:S.EmptyType,id:(0,A.generateUuid)()}}get definition(){return this._definition}set definition(W){if(W==null)throw(0,t.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=W}get scope(){return this._scope}set target(W){this.clear(),this._scope=W}get name(){return this._name}set name(W){if(typeof W!="string")throw(0,t.illegalArgument)("name");this.clear(),this._name=W}get execution(){return this._execution}set execution(W){W===null&&(W=void 0),this.clear(),this._execution=W;const ce=this._definition.type;(S.EmptyType===ce||S.ProcessType===ce||S.ShellType===ce||S.ExtensionCallbackType===ce)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(W){if(Array.isArray(W))this.clear(),this._problemMatchers=W,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(W){W!==!0&&W!==!1&&(W=!1),this.clear(),this._isBackground=W}get source(){return this._source}set source(W){if(typeof W!="string"||W.length===0)throw(0,t.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=W}get group(){return this._group}set group(W){W===null&&(W=void 0),this.clear(),this._group=W}get detail(){return this._detail}set detail(W){W===null&&(W=void 0),this._detail=W}get presentationOptions(){return this._presentationOptions}set presentationOptions(W){W==null&&(W=Object.create(null)),this.clear(),this._presentationOptions=W}get runOptions(){return this._runOptions}set runOptions(W){W==null&&(W=Object.create(null)),this.clear(),this._runOptions=W}};vt.ExtensionCallbackType="customExecution",vt.ProcessType="process",vt.ShellType="shell",vt.EmptyType="$empty",vt=S=je([U],vt),e.Task=vt;var St;(function(j){j[j.SourceControl=1]="SourceControl",j[j.Window=10]="Window",j[j.Notification=15]="Notification"})(St=e.ProgressLocation||(e.ProgressLocation={}));let At=L=class{constructor(W,ce=gt.None){this.collapsibleState=ce,I.URI.isUri(W)?this.resourceUri=W:this.label=W}static isTreeItem(W){if(W instanceof L)return!0;const ce=W;if(ce.label!==void 0&&!(0,w.isString)(ce.label)&&!ce.label?.label)return console.log("INVALID tree item, invalid label",ce.label),!1;if(ce.id!==void 0&&!(0,w.isString)(ce.id))return console.log("INVALID tree item, invalid id",ce.id),!1;if(ce.iconPath!==void 0&&!(0,w.isString)(ce.iconPath)&&!I.URI.isUri(ce.iconPath)&&(!ce.iconPath||!(0,w.isString)(ce.iconPath.id))){const Pe=ce.iconPath;if(!Pe||!(0,w.isString)(Pe.light)&&!I.URI.isUri(Pe.light)&&!(0,w.isString)(Pe.dark)&&!I.URI.isUri(Pe.dark))return console.log("INVALID tree item, invalid iconPath",ce.iconPath),!1}return ce.description!==void 0&&!(0,w.isString)(ce.description)&&typeof ce.description!="boolean"?(console.log("INVALID tree item, invalid description",ce.description),!1):ce.resourceUri!==void 0&&!I.URI.isUri(ce.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",ce.resourceUri),!1):ce.tooltip!==void 0&&!(0,w.isString)(ce.tooltip)&&!(ce.tooltip instanceof Be)?(console.log("INVALID tree item, invalid tooltip",ce.tooltip),!1):ce.command!==void 0&&!ce.command.command?(console.log("INVALID tree item, invalid command",ce.command),!1):ce.collapsibleState!==void 0&&ce.collapsibleState<gt.None&&ce.collapsibleState>gt.Expanded?(console.log("INVALID tree item, invalid collapsibleState",ce.collapsibleState),!1):ce.contextValue!==void 0&&!(0,w.isString)(ce.contextValue)?(console.log("INVALID tree item, invalid contextValue",ce.contextValue),!1):ce.accessibilityInformation!==void 0&&!ce.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",ce.accessibilityInformation),!1):!0}};At=L=je([U],At),e.TreeItem=At;var gt;(function(j){j[j.None=0]="None",j[j.Collapsed=1]="Collapsed",j[j.Expanded=2]="Expanded"})(gt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let Yt=class{constructor(W){this.value=W}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}};Yt=je([U],Yt),e.DataTransferItem=Yt;let Jt=class{constructor(W){b.set(this,new Map);for(const[ce,Pe]of W??[]){const Xe=Me(this,b,"f").get(ce);Xe?Xe.push(Pe):Me(this,b,"f").set(ce,[Pe])}}get(W){return Me(this,b,"f").get(W)?.[0]}set(W,ce){Me(this,b,"f").set(W,[ce])}forEach(W,ce){for(const[Pe,Xe]of Me(this,b,"f"))for(const nt of Xe)W.call(ce,nt,Pe,this)}*[(b=new WeakMap,Symbol.iterator)](){for(const[W,ce]of Me(this,b,"f"))for(const Pe of ce)yield[W,Pe]}};Jt=je([U],Jt),e.DataTransfer=Jt;let Et=class{constructor(W){this.insertText=W}};Et=je([U],Et),e.DocumentDropEdit=Et;let xt=class{constructor(W){this.insertText=W}};xt=je([U],xt),e.DocumentPasteEdit=xt;let zt=class{constructor(W,ce){this.id=W,this.color=ce}};zt=je([U],zt),e.ThemeIcon=zt,zt.File=new zt("file"),zt.Folder=new zt("folder");let an=class{constructor(W){this.id=W}};an=je([U],an),e.ThemeColor=an;var Pn;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace",j[j.WorkspaceFolder=3]="WorkspaceFolder"})(Pn=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Tt=class{constructor(W,ce){if(typeof W!="string"&&(!W||!I.URI.isUri(W)&&!I.URI.isUri(W.uri)))throw(0,t.illegalArgument)("base");if(typeof ce!="string")throw(0,t.illegalArgument)("pattern");typeof W=="string"?this.baseUri=I.URI.file(W):I.URI.isUri(W)?this.baseUri=W:this.baseUri=W.uri,this.pattern=ce}get base(){return this._base}set base(W){this._base=W,this._baseUri=I.URI.file(W)}get baseUri(){return this._baseUri}set baseUri(W){this._baseUri=W,this._base=W.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};Tt=je([U],Tt),e.RelativePattern=Tt;let qt=class{constructor(W,ce,Pe,Xe){this.enabled=typeof W=="boolean"?W:!0,typeof ce=="string"&&(this.condition=ce),typeof Pe=="string"&&(this.hitCondition=Pe),typeof Xe=="string"&&(this.logMessage=Xe)}get id(){return this._id||(this._id=(0,A.generateUuid)()),this._id}};qt=je([U],qt),e.Breakpoint=qt;let gn=class extends qt{constructor(W,ce,Pe,Xe,nt){super(ce,Pe,Xe,nt);if(W===null)throw(0,t.illegalArgument)("location");this.location=W}};gn=je([U],gn),e.SourceBreakpoint=gn;let Zt=class extends qt{constructor(W,ce,Pe,Xe,nt){super(ce,Pe,Xe,nt);this.functionName=W}};Zt=je([U],Zt),e.FunctionBreakpoint=Zt;let en=class extends qt{constructor(W,ce,Pe,Xe,nt,ct,ut){super(Xe,nt,ct,ut);if(!ce)throw(0,t.illegalArgument)("dataId");this.label=W,this.dataId=ce,this.canPersist=Pe}};en=je([U],en),e.DataBreakpoint=en;let dt=class{constructor(W,ce,Pe){this.command=W,this.args=ce||[],this.options=Pe}};dt=je([U],dt),e.DebugAdapterExecutable=dt;let pn=class{constructor(W,ce){this.port=W,this.host=ce}};pn=je([U],pn),e.DebugAdapterServer=pn;let Wt=class{constructor(W){this.path=W}};Wt=je([U],Wt),e.DebugAdapterNamedPipeServer=Wt;let Gt=class{constructor(W){this.implementation=W}};Gt=je([U],Gt),e.DebugAdapterInlineImplementation=Gt;let cn=class{constructor(W,ce){this.range=W,this.expression=ce}};cn=je([U],cn),e.EvaluatableExpression=cn;var An;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(An=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var Cn;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(Cn=e.InlineCompletionTriggerKindNew||(e.InlineCompletionTriggerKindNew={}));let vn=class{constructor(W,ce){this.range=W,this.text=ce}};vn=je([U],vn),e.InlineValueText=vn;let ln=class{constructor(W,ce,Pe=!0){this.range=W,this.variableName=ce,this.caseSensitiveLookup=Pe}};ln=je([U],ln),e.InlineValueVariableLookup=ln;let tn=class{constructor(W,ce){this.range=W,this.expression=ce}};tn=je([U],tn),e.InlineValueEvaluatableExpression=tn;let bn=class{constructor(W,ce){this.frameId=W,this.stoppedLocation=ce}};bn=je([U],bn),e.InlineValueContext=bn;var wn;(function(j){j[j.Changed=1]="Changed",j[j.Created=2]="Created",j[j.Deleted=3]="Deleted"})(wn=e.FileChangeType||(e.FileChangeType={}));let nn=M=class extends Error{constructor(W,ce=k.FileSystemProviderErrorCode.Unknown,Pe){super(I.URI.isUri(W)?W.toString(!0):W);this.code=Pe?.name??"Unknown",(0,k.markAsFileSystemProviderError)(this,ce),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,M.prototype),typeof Error.captureStackTrace=="function"&&typeof Pe=="function"&&Error.captureStackTrace(this,Pe)}static FileExists(W){return new M(W,k.FileSystemProviderErrorCode.FileExists,M.FileExists)}static FileNotFound(W){return new M(W,k.FileSystemProviderErrorCode.FileNotFound,M.FileNotFound)}static FileNotADirectory(W){return new M(W,k.FileSystemProviderErrorCode.FileNotADirectory,M.FileNotADirectory)}static FileIsADirectory(W){return new M(W,k.FileSystemProviderErrorCode.FileIsADirectory,M.FileIsADirectory)}static NoPermissions(W){return new M(W,k.FileSystemProviderErrorCode.NoPermissions,M.NoPermissions)}static Unavailable(W){return new M(W,k.FileSystemProviderErrorCode.Unavailable,M.Unavailable)}};nn=M=je([U],nn),e.FileSystemError=nn;let En=class{constructor(W,ce,Pe){this.start=W,this.end=ce,this.kind=Pe}};En=je([U],En),e.FoldingRange=En;var Rn;(function(j){j[j.Comment=1]="Comment",j[j.Imports=2]="Imports",j[j.Region=3]="Region"})(Rn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var rn;(function(j){j[j.Collapsed=0]="Collapsed",j[j.Expanded=1]="Expanded"})(rn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Ln;(function(j){j[j.Editing=0]="Editing",j[j.Preview=1]="Preview"})(Ln=e.CommentMode||(e.CommentMode={}));var On;(function(j){j[j.Unresolved=0]="Unresolved",j[j.Resolved=1]="Resolved"})(On=e.CommentThreadState||(e.CommentThreadState={}));class Fn{constructor(W,ce=[]){this.tokenTypes=W,this.tokenModifiers=ce}}e.SemanticTokensLegend=Fn;function Nn(j){return typeof j=="undefined"||(0,w.isStringArray)(j)}class sn{constructor(W){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,W){this._hasLegend=!0;for(let ce=0,Pe=W.tokenTypes.length;ce<Pe;ce++)this._tokenTypeStrToInt.set(W.tokenTypes[ce],ce);for(let ce=0,Pe=W.tokenModifiers.length;ce<Pe;ce++)this._tokenModifierStrToInt.set(W.tokenModifiers[ce],ce)}}push(W,ce,Pe,Xe,nt){if(typeof W=="number"&&typeof ce=="number"&&typeof Pe=="number"&&typeof Xe=="number"&&(typeof nt=="number"||typeof nt=="undefined"))return typeof nt=="undefined"&&(nt=0),this._pushEncoded(W,ce,Pe,Xe,nt);if(X.isRange(W)&&typeof ce=="string"&&Nn(Pe))return this._push(W,ce,Pe);throw(0,t.illegalArgument)()}_push(W,ce,Pe){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(W.start.line!==W.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ce))throw new Error("`tokenType` is not in the provided legend");const Xe=W.start.line,nt=W.start.character,ct=W.end.character-W.start.character,ut=this._tokenTypeStrToInt.get(ce);let yt=0;if(Pe)for(const Rt of Pe){if(!this._tokenModifierStrToInt.has(Rt))throw new Error("`tokenModifier` is not in the provided legend");const Ht=this._tokenModifierStrToInt.get(Rt);yt|=1<<Ht>>>0}this._pushEncoded(Xe,nt,ct,ut,yt)}_pushEncoded(W,ce,Pe,Xe,nt){if(this._dataIsSortedAndDeltaEncoded&&(W<this._prevLine||W===this._prevLine&&ce<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const yt=this._data.length/5|0;let Rt=0,Ht=0;for(let jt=0;jt<yt;jt++){let Xt=this._data[5*jt],Sn=this._data[5*jt+1];Xt===0?(Xt=Rt,Sn+=Ht):Xt+=Rt,this._data[5*jt]=Xt,this._data[5*jt+1]=Sn,Rt=Xt,Ht=Sn}}let ct=W,ut=ce;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(ct-=this._prevLine,ct===0&&(ut-=this._prevChar)),this._data[this._dataLen++]=ct,this._data[this._dataLen++]=ut,this._data[this._dataLen++]=Pe,this._data[this._dataLen++]=Xe,this._data[this._dataLen++]=nt,this._prevLine=W,this._prevChar=ce}static _sortAndDeltaEncode(W){const ce=[],Pe=W.length/5|0;for(let ut=0;ut<Pe;ut++)ce[ut]=ut;ce.sort((ut,yt)=>{const Rt=W[5*ut],Ht=W[5*yt];if(Rt===Ht){const jt=W[5*ut+1],Xt=W[5*yt+1];return jt-Xt}return Rt-Ht});const Xe=new Uint32Array(W.length);let nt=0,ct=0;for(let ut=0;ut<Pe;ut++){const yt=5*ce[ut],Rt=W[yt+0],Ht=W[yt+1],jt=W[yt+2],Xt=W[yt+3],Sn=W[yt+4],Yn=Rt-nt,wi=Yn===0?Ht-ct:Ht,yn=5*ut;Xe[yn+0]=Yn,Xe[yn+1]=wi,Xe[yn+2]=jt,Xe[yn+3]=Xt,Xe[yn+4]=Sn,nt=Rt,ct=Ht}return Xe}build(W){return this._dataIsSortedAndDeltaEncoded?new un(new Uint32Array(this._data),W):new un(sn._sortAndDeltaEncode(this._data),W)}}e.SemanticTokensBuilder=sn;class un{constructor(W,ce){this.resultId=ce,this.data=W}}e.SemanticTokens=un;class Dn{constructor(W,ce,Pe){this.start=W,this.deleteCount=ce,this.data=Pe}}e.SemanticTokensEdit=Dn;class He{constructor(W,ce){this.resultId=ce,this.edits=W}}e.SemanticTokensEdits=He;var Vt;(function(j){j[j.Separate=0]="Separate",j[j.MergeWithParent=1]="MergeWithParent"})(Vt=e.DebugConsoleMode||(e.DebugConsoleMode={}));let on=class{constructor(){}};on.Back={iconPath:new zt("arrow-left")},on=je([U],on),e.QuickInputButtons=on;var wt;(function(j){j[j.Separator=-1]="Separator",j[j.Default=0]="Default"})(wt=e.QuickPickItemKind||(e.QuickPickItemKind={}));var Mn;(function(j){j[j.Info=1]="Info",j[j.Warning=2]="Warning",j[j.Error=3]="Error"})(Mn=e.InputBoxValidationSeverity||(e.InputBoxValidationSeverity={}));var Un;(function(j){j[j.UI=1]="UI",j[j.Workspace=2]="Workspace"})(Un=e.ExtensionKind||(e.ExtensionKind={}));class In{constructor(W,ce,Pe){this.badge=W,this.tooltip=ce,this.color=Pe}static validate(W){if(W.badge){let ce=(0,D.nextCharLength)(W.badge,0);if(ce<W.badge.length&&(ce+=(0,D.nextCharLength)(W.badge,ce)),W.badge.length>ce)throw new Error("The 'badge'-property must be undefined or a short character")}if(!W.color&&!W.badge&&!W.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=In;let _n=class{constructor(W){this.kind=W}};_n=je([U],_n),e.ColorTheme=_n;var dn;(function(j){j[j.Light=1]="Light",j[j.Dark=2]="Dark",j[j.HighContrast=3]="HighContrast",j[j.HighContrastLight=4]="HighContrastLight"})(dn=e.ColorThemeKind||(e.ColorThemeKind={}));class $t{constructor(W,ce){if(W<0)throw(0,t.illegalArgument)("start must be positive");if(ce<0)throw(0,t.illegalArgument)("end must be positive");W<=ce?(this._start=W,this._end=ce):(this._start=ce,this._end=W)}static isNotebookRange(W){return W instanceof $t?!0:W?typeof W.start=="number"&&typeof W.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(W){let ce=this._start,Pe=this._end;return W.start!==void 0&&(ce=W.start),W.end!==void 0&&(Pe=W.end),ce===this._start&&Pe===this._end?this:new $t(ce,Pe)}}e.NotebookRange=$t;class Kt{constructor(W,ce,Pe,Xe,nt,ct,ut){this.kind=W,this.value=ce,this.languageId=Pe,this.mime=Xe,this.outputs=nt??[],this.metadata=ct,this.executionSummary=ut,Kt.validate(this)}static validate(W){if(typeof W.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof W.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof W.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(W){return Array.isArray(W)&&W.every(ce=>Kt.isNotebookCellData(ce))}static isNotebookCellData(W){return!0}}e.NotebookCellData=Kt;class Bn{constructor(W){this.cells=W}}e.NotebookData=Bn;class Mt{constructor(W,ce){this.data=W,this.mime=ce;const Pe=(0,y.normalizeMimeType)(ce,!0);if(!Pe)throw new Error(`INVALID mime type: ${ce}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Pe}static isNotebookCellOutputItem(W){return W instanceof Mt?!0:W?typeof W.mime=="string"&&W.data instanceof Uint8Array:!1}static error(W){const ce={name:W.name,message:W.message,stack:W.stack};return Mt.json(ce,"application/vnd.code.notebook.error")}static stdout(W){return Mt.text(W,"application/vnd.code.notebook.stdout")}static stderr(W){return Mt.text(W,"application/vnd.code.notebook.stderr")}static bytes(W,ce="application/octet-stream"){return new Mt(W,ce)}static text(W,ce=y.Mimes.text){const Pe=Me(Mt,v,"f",h).encode(String(W));return new Mt(Pe,ce)}static json(W,ce="text/x-json"){const Pe=JSON.stringify(W,void 0,"	");return Mt.text(Pe,ce)}}e.NotebookCellOutputItem=Mt,v=Mt,h={value:new TextEncoder};class hn{constructor(W,ce,Pe){this.items=hn.ensureUniqueMimeTypes(W,!0),typeof ce=="string"?(this.id=ce,this.metadata=Pe):(this.id=(0,A.generateUuid)(),this.metadata=ce??Pe)}static isNotebookCellOutput(W){return W instanceof hn?!0:!W||typeof W!="object"?!1:typeof W.id=="string"&&Array.isArray(W.items)}static ensureUniqueMimeTypes(W,ce=!1){const Pe=new Set,Xe=new Set;for(let nt=0;nt<W.length;nt++){const ct=W[nt],ut=(0,y.normalizeMimeType)(ct.mime);if(!Pe.has(ut)){Pe.add(ut);continue}Xe.add(nt),ce&&console.warn(`DUPLICATED mime type '${ct.mime}' will be dropped`)}return Xe.size===0?W:W.filter((nt,ct)=>!Xe.has(ct))}}e.NotebookCellOutput=hn;var zn;(function(j){j[j.Markup=1]="Markup",j[j.Code=2]="Code"})(zn=e.NotebookCellKind||(e.NotebookCellKind={}));var Wn;(function(j){j[j.Idle=1]="Idle",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(Wn=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var $n;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})($n=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var Hn;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Hn=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class me{constructor(W,ce){this.text=W,this.alignment=ce}}e.NotebookCellStatusBarItem=me;var Ee;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred"})(Ee=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class Ne{constructor(W,ce=[]){this.uri=W,this.provides=(0,u.asArray)(ce)}}e.NotebookRendererScript=Ne;let ot=class{constructor(W,ce){this.label=W,this.timestamp=ce}};ot=je([U],ot),e.TimelineItem=ot;var _t;(function(j){j[j.Production=1]="Production",j[j.Development=2]="Development",j[j.Test=3]="Test"})(_t=e.ExtensionMode||(e.ExtensionMode={}));var Pt;(function(j){j[j.Node=1]="Node",j[j.Webworker=2]="Webworker"})(Pt=e.ExtensionRuntime||(e.ExtensionRuntime={}));var ti;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=3]="RegEx"})(ti=e.StandardTokenType||(e.StandardTokenType={}));class ni{constructor(W,ce){this.ranges=W,this.wordPattern=ce}}e.LinkedEditingRanges=ni;class ii{constructor(W,ce){this._port=W,this._autoForwardAction=ce}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=ii;var ri;(function(j){j[j.Queued=1]="Queued",j[j.Running=2]="Running",j[j.Passed=3]="Passed",j[j.Failed=4]="Failed",j[j.Skipped=5]="Skipped",j[j.Errored=6]="Errored"})(ri=e.TestResultState||(e.TestResultState={}));var si;(function(j){j[j.Run=1]="Run",j[j.Debug=2]="Debug",j[j.Coverage=3]="Coverage"})(si=e.TestRunProfileKind||(e.TestRunProfileKind={}));let xn=class{constructor(W=void 0,ce=void 0,Pe=void 0){this.include=W,this.exclude=ce,this.profile=Pe}};xn=je([U],xn),e.TestRunRequest=xn;let Vn=B=class{constructor(W){this.message=W}static diff(W,ce,Pe){const Xe=new B(W);return Xe.expectedOutput=ce,Xe.actualOutput=Pe,Xe}};Vn=B=je([U],Vn),e.TestMessage=Vn;let jn=class{constructor(W){this.id=W}};jn=je([U],jn),e.TestTag=jn;let fn=class{constructor(W,ce){this.covered=W,this.total=ce}};fn=je([U],fn),e.CoveredCount=fn;let qn=R=class{constructor(W,ce,Pe,Xe){this.uri=W,this.statementCoverage=ce,this.branchCoverage=Pe,this.functionCoverage=Xe}static fromDetails(W,ce){const Pe=new fn(0,0),Xe=new fn(0,0),nt=new fn(0,0);for(const ut of ce)if("branches"in ut){Pe.total+=1,Pe.covered+=ut.executionCount>0?1:0;for(const yt of ut.branches)Xe.total+=1,Xe.covered+=yt.executionCount>0?1:0}else nt.total+=1,nt.covered+=ut.executionCount>0?1:0;const ct=new R(W,Pe,Xe.total>0?Xe:void 0,nt.total>0?nt:void 0);return ct.detailedCoverage=ce,ct}};qn=R=je([U],qn),e.FileCoverage=qn;let Gn=class{constructor(W,ce,Pe=[]){this.executionCount=W,this.location=ce,this.branches=Pe}};Gn=je([U],Gn),e.StatementCoverage=Gn;let Kn=class{constructor(W,ce){this.executionCount=W,this.location=ce}};Kn=je([U],Kn),e.BranchCoverage=Kn;let Xn=class{constructor(W,ce){this.executionCount=W,this.location=ce}};Xn=je([U],Xn),e.FunctionCoverage=Xn;var oi;(function(j){j[j.None=0]="None",j[j.Option=1]="Option",j[j.Default=2]="Default",j[j.Preferred=3]="Preferred"})(oi=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var ai;(function(j){j[j.Untrusted=0]="Untrusted",j[j.Trusted=1]="Trusted",j[j.Unspecified=2]="Unspecified"})(ai=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ci;(function(j){j[j.Notify=1]="Notify",j[j.OpenBrowser=2]="OpenBrowser",j[j.OpenPreview=3]="OpenPreview",j[j.Silent=4]="Silent",j[j.Ignore=5]="Ignore",j[j.OpenBrowserOnce=6]="OpenBrowserOnce"})(ci=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class li{constructor(W,ce,Pe,Xe,nt,ct){this.kind=W,this.name=ce,this.detail=Pe,this.uri=Xe,this.range=nt,this.selectionRange=ct}}e.TypeHierarchyItem=li;class ui{constructor(W){this.uri=W}}e.TextTabInput=ui;class di{constructor(W,ce){this.original=W,this.modified=ce}}e.TextDiffTabInput=di;class hi{constructor(W,ce,Pe,Xe){this.base=W,this.input1=ce,this.input2=Pe,this.result=Xe}}e.TextMergeTabInput=hi;class fi{constructor(W,ce){this.uri=W,this.viewType=ce}}e.CustomEditorTabInput=fi;class mi{constructor(W){this.viewType=W}}e.WebviewEditorTabInput=mi;class gi{constructor(W,ce){this.uri=W,this.notebookType=ce}}e.NotebookEditorTabInput=gi;class pi{constructor(W,ce,Pe){this.original=W,this.modified=ce,this.notebookType=Pe}}e.NotebookDiffEditorTabInput=pi;class vi{constructor(){}}e.TerminalEditorTabInput=vi;class bi{constructor(W,ce){this.uri=W,this.inputBoxUri=ce}}e.InteractiveWindowInput=bi}),define(De[125],Ie([1,0,48,12,8,158,98,7,17]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const I=new Map;function A(E,b){b?I.set(E,b):I.delete(E)}e.setWordDefinitionFor=A;function k(E){return I.get(E)}e.getWordDefinitionFor=k;class _ extends P.MirrorTextModel{constructor(b,v,h,p,g,a,m,c){super(v,h,p,g);this._proxy=b,this._languageId=a,this._isDirty=m,this.notebook=c,this._isDisposed=!1}dispose(){(0,u.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(b){return(0,w.equals)(this._lines,b)}get document(){if(!this._document){const b=this;this._document={get uri(){return b._uri},get fileName(){return b._uri.fsPath},get isUntitled(){return b._uri.scheme===t.Schemas.untitled},get languageId(){return b._languageId},get version(){return b._versionId},get isClosed(){return b._isDisposed},get isDirty(){return b._isDirty},save(){return b._save()},getText(v){return v?b._getTextInRange(v):b.getText()},get eol(){return b._eol===`
`?D.EndOfLine.LF:D.EndOfLine.CRLF},get lineCount(){return b._lines.length},lineAt(v){return b._lineAt(v)},offsetAt(v){return b._offsetAt(v)},positionAt(v){return b._positionAt(v)},validateRange(v){return b._validateRange(v)},validatePosition(v){return b._validatePosition(v)},getWordRangeAtPosition(v,h){return b._getWordRangeAtPosition(v,h)}}}return Object.freeze(this._document)}_acceptLanguageId(b){(0,u.ok)(!this._isDisposed),this._languageId=b}_acceptIsDirty(b){(0,u.ok)(!this._isDisposed),this._isDirty=b}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(b){const v=this._validateRange(b);if(v.isEmpty)return"";if(v.isSingleLine)return this._lines[v.start.line].substring(v.start.character,v.end.character);const h=this._eol,p=v.start.line,g=v.end.line,a=[];a.push(this._lines[p].substring(v.start.character));for(let m=p+1;m<g;m++)a.push(this._lines[m]);return a.push(this._lines[g].substring(0,v.end.character)),a.join(h)}_lineAt(b){let v;if(b instanceof D.Position?v=b.line:typeof b=="number"&&(v=b),typeof v!="number"||v<0||v>=this._lines.length||Math.floor(v)!==v)throw new Error("Illegal value for `line`");return new T(v,this._lines[v],v===this._lines.length-1)}_offsetAt(b){return b=this._validatePosition(b),this._ensureLineStarts(),this._lineStarts.getPrefixSum(b.line-1)+b.character}_positionAt(b){b=Math.floor(b),b=Math.max(0,b),this._ensureLineStarts();const v=this._lineStarts.getIndexOf(b),h=this._lines[v.index].length;return new D.Position(v.index,Math.min(v.remainder,h))}_validateRange(b){if(!(b instanceof D.Range))throw new Error("Invalid argument");const v=this._validatePosition(b.start),h=this._validatePosition(b.end);return v===b.start&&h===b.end?b:new D.Range(v.line,v.character,h.line,h.character)}_validatePosition(b){if(!(b instanceof D.Position))throw new Error("Invalid argument");if(this._lines.length===0)return b.with(0,0);let{line:v,character:h}=b,p=!1;if(v<0)v=0,h=0,p=!0;else if(v>=this._lines.length)v=this._lines.length-1,h=this._lines[v].length,p=!0;else{const g=this._lines[v].length;h<0?(h=0,p=!0):h>g&&(h=g,p=!0)}return p?new D.Position(v,h):b}_getWordRangeAtPosition(b,v){const h=this._validatePosition(b);if(!v)v=k(this._languageId);else if((0,C.regExpLeadsToEndlessLoop)(v))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${v.source}' because it matches the empty string.`);const p=(0,y.getWordAtText)(h.character+1,(0,y.ensureValidWordDefinition)(v),this._lines[h.line],0);if(p)return new D.Range(h.line,p.startColumn-1,h.line,p.endColumn-1)}}e.ExtHostDocumentData=_;class T{constructor(b,v,h){this._line=b,this._text=v,this._isLastLine=h}get lineNumber(){return this._line}get text(){return this._text}get range(){return new D.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new D.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=T}),define(De[206],Ie([1,0,7,15,4]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let P=class{constructor(D){this._actual=new u.ColorTheme(u.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new C.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(D){let w;switch(D){case"light":w=u.ColorThemeKind.Light;break;case"hcDark":w=u.ColorThemeKind.HighContrast;break;case"hcLight":w=u.ColorThemeKind.HighContrastLight;break;default:w=u.ColorThemeKind.Dark}this._actual=new u.ColorTheme(w),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};P=je([xe(0,t.IExtHostRpcService)],P),e.ExtHostTheming=P}),define(De[54],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,u.createDecorator)("IURITransformerService");class t{constructor(P){P?(this.transformIncoming=P.transformIncoming.bind(P),this.transformOutgoing=P.transformOutgoing.bind(P),this.transformOutgoingURI=P.transformOutgoingURI.bind(P),this.transformOutgoingScheme=P.transformOutgoingScheme.bind(P)):(this.transformIncoming=y=>y,this.transformOutgoing=y=>y,this.transformOutgoingURI=y=>y,this.transformOutgoingScheme=y=>y)}}e.URITransformerService=t}),define(De[207],Ie([1,0,23]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class t{constructor(){this.buffers=[]}add(w){let I=this.buffers.indexOf(w);return I<0&&(I=this.buffers.length,this.buffers.push(w)),I}}function C(D,w){if(w.serializeBuffersForPostMessage){const I=new t,A=(T,E)=>{if(E instanceof ArrayBuffer){const b=I.add(E);return{$$vscode_array_buffer_reference$$:!0,index:b}}else if(ArrayBuffer.isView(E)){const b=P(E);if(b){const v=I.add(E.buffer);return{$$vscode_array_buffer_reference$$:!0,index:v,view:{type:b,byteLength:E.byteLength,byteOffset:E.byteOffset}}}}return E},k=JSON.stringify(D,A),_=I.buffers.map(T=>{const E=new Uint8Array(T);return u.VSBuffer.wrap(E)});return{message:k,buffers:_}}else return{message:JSON.stringify(D),buffers:[]}}e.serializeWebviewMessage=C;function P(D){switch(D.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function y(D,w){const I=w.map(_=>{const T=new ArrayBuffer(_.byteLength);return new Uint8Array(T).set(_.buffer),T}),A=w.length?(_,T)=>{if(T&&typeof T=="object"&&T.$$vscode_array_buffer_reference$$){const E=T,{index:b}=E,v=I[b];if(E.view)switch(E.view.type){case 1:return new Int8Array(v,E.view.byteOffset,E.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(v,E.view.byteOffset,E.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(v,E.view.byteOffset,E.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(v,E.view.byteOffset,E.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(v,E.view.byteOffset,E.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(v,E.view.byteOffset,E.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(v,E.view.byteOffset,E.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(v,E.view.byteOffset,E.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(v,E.view.byteOffset,E.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(v,E.view.byteOffset,E.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(v,E.view.byteOffset,E.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return v}return T}:void 0;return{message:JSON.parse(D,A),arrayBuffers:I}}e.deserializeWebviewMessage=y}),define(De[208],Ie([1,0,107]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createURITransformer=void 0;function t(P){return{transformIncoming:y=>y.scheme==="vscode-remote"?{scheme:"file",path:y.path,query:y.query,fragment:y.fragment}:y.scheme==="file"?{scheme:"vscode-local",path:y.path,query:y.query,fragment:y.fragment}:y,transformOutgoing:y=>y.scheme==="file"?{scheme:"vscode-remote",authority:P,path:y.path,query:y.query,fragment:y.fragment}:y.scheme==="vscode-local"?{scheme:"file",path:y.path,query:y.query,fragment:y.fragment}:y,transformOutgoingScheme:y=>y==="file"?"vscode-remote":y==="vscode-local"?"file":y}}function C(P){return new u.URITransformer(t(P))}e.createURITransformer=C}),define(De[126],Ie([1,0,178,13,2,6,3,43,42,17,12]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isTextEditorViewState=e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveSourceRegistry=e.SaveReason=e.Verbosity=e.isResourceMergeEditorInput=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,u.localize)(0,null),providerDisplayName:(0,u.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var k;(function(O){O[O.PROGRAMMATIC=1]="PROGRAMMATIC",O[O.USER=2]="USER",O[O.EDIT=3]="EDIT",O[O.NAVIGATION=4]="NAVIGATION",O[O.JUMP=5]="JUMP"})(k=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var _;(function(O){O[O.IDENTICAL=1]="IDENTICAL",O[O.SIMILAR=2]="SIMILAR",O[O.DIFFERENT=3]="DIFFERENT"})(_=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function T(O){const x=O;return!!x&&typeof x.getSelection=="function"&&!!x.onDidChangeSelection}e.isEditorPaneWithSelection=T;function E(O,x,V){for(const q of V.visibleEditorPanes)if(q.group.id===x&&O.matches(q.input))return q.getViewState()}e.findViewStateForEditor=E;function b(O){if(i(O))return!1;const x=O;return C.URI.isUri(x?.resource)}e.isResourceEditorInput=b;function v(O){if(i(O))return!1;const x=O;return x?.original!==void 0&&x.modified!==void 0}e.isResourceDiffEditorInput=v;function h(O){if(i(O)||v(O))return!1;const x=O;return x?.primary!==void 0&&x.secondary!==void 0}e.isResourceSideBySideEditorInput=h;function p(O){if(i(O))return!1;const x=O;return x?x.resource===void 0||x.resource.scheme===A.Schemas.untitled||x.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=p;function g(O){if(i(O))return!1;const x=O;return C.URI.isUri(x?.base?.resource)&&C.URI.isUri(x?.input1?.resource)&&C.URI.isUri(x?.input2?.resource)&&C.URI.isUri(x?.result?.resource)}e.isResourceMergeEditorInput=g;var a;(function(O){O[O.SHORT=0]="SHORT",O[O.MEDIUM=1]="MEDIUM",O[O.LONG=2]="LONG"})(a=e.Verbosity||(e.Verbosity={}));var m;(function(O){O[O.EXPLICIT=1]="EXPLICIT",O[O.AUTO=2]="AUTO",O[O.FOCUS_CHANGE=3]="FOCUS_CHANGE",O[O.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(m=e.SaveReason||(e.SaveReason={}));class c{constructor(){this.mapIdToSaveSource=new Map}registerSource(x,V){let q=this.mapIdToSaveSource.get(x);return q||(q={source:x,label:V},this.mapIdToSaveSource.set(x,q)),q.source}getSourceLabel(x){return this.mapIdToSaveSource.get(x)?.label??x}}e.SaveSourceRegistry=new c;var l;(function(O){O[O.None=0]="None",O[O.Readonly=2]="Readonly",O[O.Untitled=4]="Untitled",O[O.Singleton=8]="Singleton",O[O.RequiresTrust=16]="RequiresTrust",O[O.CanSplitInGroup=32]="CanSplitInGroup",O[O.ForceDescription=64]="ForceDescription",O[O.CanDropIntoEditor=128]="CanDropIntoEditor",O[O.MultipleEditors=256]="MultipleEditors"})(l=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class r extends P.Disposable{}e.AbstractEditorInput=r;function i(O){return O instanceof r}e.isEditorInput=i;function s(O){const x=O;return C.URI.isUri(x?.preferredResource)}function n(O){const x=O;return i(x?.primary)&&i(x?.secondary)}e.isSideBySideEditorInput=n;function o(O){const x=O;return i(x?.modified)&&i(x?.original)}e.isDiffEditorInput=o;function d(O){return i(O?.editor)}e.isEditorInputWithOptions=d;function f(O){const x=O;return d(O)&&x?.group!==void 0}e.isEditorInputWithOptionsAndGroup=f;function S(O){const x=O;return typeof x?.groupId=="number"&&i(x.editor)}e.isEditorIdentifier=S;var L;(function(O){O[O.UNKNOWN=0]="UNKNOWN",O[O.REPLACE=1]="REPLACE",O[O.MOVE=2]="MOVE",O[O.UNPIN=3]="UNPIN"})(L=e.EditorCloseContext||(e.EditorCloseContext={}));var M;(function(O){O[O.GROUP_ACTIVE=0]="GROUP_ACTIVE",O[O.GROUP_INDEX=1]="GROUP_INDEX",O[O.GROUP_LOCKED=2]="GROUP_LOCKED",O[O.EDITOR_OPEN=3]="EDITOR_OPEN",O[O.EDITOR_CLOSE=4]="EDITOR_CLOSE",O[O.EDITOR_MOVE=5]="EDITOR_MOVE",O[O.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",O[O.EDITOR_LABEL=7]="EDITOR_LABEL",O[O.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",O[O.EDITOR_PIN=9]="EDITOR_PIN",O[O.EDITOR_STICKY=10]="EDITOR_STICKY",O[O.EDITOR_DIRTY=11]="EDITOR_DIRTY",O[O.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(M=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var B;(function(O){O[O.PRIMARY=1]="PRIMARY",O[O.SECONDARY=2]="SECONDARY",O[O.BOTH=3]="BOTH",O[O.ANY=4]="ANY"})(B=e.SideBySideEditor||(e.SideBySideEditor={}));class R{getOriginalUri(x,V){if(!x)return;if(g(x))return e.EditorResourceAccessor.getOriginalUri(x.result,V);if(V?.supportSideBySide){const{primary:J,secondary:Y}=this.getSideEditors(x);if(J&&Y){if(V?.supportSideBySide===B.BOTH)return{primary:this.getOriginalUri(J,{filterByScheme:V.filterByScheme}),secondary:this.getOriginalUri(Y,{filterByScheme:V.filterByScheme})};if(V?.supportSideBySide===B.ANY)return this.getOriginalUri(J,{filterByScheme:V.filterByScheme})??this.getOriginalUri(Y,{filterByScheme:V.filterByScheme});x=V.supportSideBySide===B.PRIMARY?J:Y}}if(v(x)||h(x)||g(x))return;const q=s(x)?x.preferredResource:x.resource;return!q||!V||!V.filterByScheme?q:this.filterUri(q,V.filterByScheme)}getSideEditors(x){return n(x)||h(x)?{primary:x.primary,secondary:x.secondary}:o(x)||v(x)?{primary:x.modified,secondary:x.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(x,V){if(!x)return;if(g(x))return e.EditorResourceAccessor.getCanonicalUri(x.result,V);if(V?.supportSideBySide){const{primary:J,secondary:Y}=this.getSideEditors(x);if(J&&Y){if(V?.supportSideBySide===B.BOTH)return{primary:this.getCanonicalUri(J,{filterByScheme:V.filterByScheme}),secondary:this.getCanonicalUri(Y,{filterByScheme:V.filterByScheme})};if(V?.supportSideBySide===B.ANY)return this.getCanonicalUri(J,{filterByScheme:V.filterByScheme})??this.getCanonicalUri(Y,{filterByScheme:V.filterByScheme});x=V.supportSideBySide===B.PRIMARY?J:Y}}if(v(x)||h(x)||g(x))return;const q=x.resource;return!q||!V||!V.filterByScheme?q:this.filterUri(q,V.filterByScheme)}filterUri(x,V){if(Array.isArray(V)){if(V.some(q=>x.scheme===q))return x}else if(V===x.scheme)return x}}e.EditorResourceAccessor=new R;var U;(function(O){O[O.LEFT=0]="LEFT",O[O.RIGHT=1]="RIGHT"})(U=e.CloseDirection||(e.CloseDirection={}));class ${constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(x){const V=this.instantiationService=x.get(y.IInstantiationService);for(const[q,J]of this.editorSerializerConstructors)this.createEditorSerializer(q,J,V);this.editorSerializerConstructors.clear()}createEditorSerializer(x,V,q){const J=q.createInstance(V);this.editorSerializerInstances.set(x,J)}registerFileEditorFactory(x){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=x}getFileEditorFactory(){return(0,t.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(x,V){if(this.editorSerializerConstructors.has(x)||this.editorSerializerInstances.has(x))throw new Error(`A editor serializer with type ID '${x}' was already registered.`);return this.instantiationService?this.createEditorSerializer(x,V,this.instantiationService):this.editorSerializerConstructors.set(x,V),(0,P.toDisposable)(()=>{this.editorSerializerConstructors.delete(x),this.editorSerializerInstances.delete(x)})}getEditorSerializer(x){return this.editorSerializerInstances.get(typeof x=="string"?x:x.typeId)}}D.Registry.add(e.EditorExtensions.EditorFactory,new $);async function N(O,x){if(!O||!O.length)return[];const V=await Promise.all(O.map(async q=>{const J=C.URI.revive(q.fileUri);if(!J||!await x.canHandleResource(J))return;let he=q.exists,ve=q.type;if(typeof he!="boolean"||typeof ve!="number")try{ve=(await x.stat(J)).isDirectory?w.FileType.Directory:w.FileType.Unknown,he=!0}catch{he=!1}if(!he&&q.openOnlyIfExists||ve===w.FileType.Directory)return;const re={...q.options,pinned:!0};let pe;return he?pe={resource:J,options:re}:pe={resource:J,options:re,forceUntitled:!0},pe}));return(0,I.coalesce)(V)}e.pathsToEditors=N;var X;(function(O){O[O.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",O[O.SEQUENTIAL=1]="SEQUENTIAL"})(X=e.EditorsOrder||(e.EditorsOrder={}));function z(O){const x=O;if(!x)return!1;const V=x;if(V.modified)return z(V.modified);const q=x;return!!(q.contributionsState&&q.viewState&&Array.isArray(q.cursorState))}e.isTextEditorViewState=z}),define(De[88],Ie([1,0,12,2]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-cdn.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`'self' https://*.${e.webviewResourceBaseHost}`;function C(D,w){return D.scheme===u.Schemas.http||D.scheme===u.Schemas.https?D:(w&&w.authority&&w.isRemote&&D.scheme===u.Schemas.file&&(D=t.URI.from({scheme:u.Schemas.vscodeRemote,authority:w.authority,path:D.path})),t.URI.from({scheme:u.Schemas.https,authority:`${D.scheme}+${P(D.authority)}.${e.webviewRootResourceAuthority}`,path:D.path,fragment:D.fragment,query:D.query}))}e.asWebviewUri=C;function P(D){return D.replace(/./g,w=>{const I=w.charCodeAt(0);return I>=97&&I<=122||I>=65&&I<=90||I>=48&&I<=57?w:"-"+I.toString(16).padStart(4,"0")})}function y(D){return D.replace(/-([0-9a-f]{4})/g,(w,I)=>String.fromCharCode(parseInt(I,16)))}e.decodeAuthority=y}),define(De[209],Ie([1,0,4,6,88]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class P{constructor(D,w,I){this._proxy=D,this._editors=w,this._remoteInfo=I,this._handlePool=0,this._disposables=new t.DisposableStore,this._insets=new Map,this._disposables.add(w.onDidChangeVisibleTextEditors(()=>{const A=w.getVisibleTextEditors();for(const k of this._insets.values())A.indexOf(k.editor)<0&&k.inset.dispose()}))}dispose(){this._insets.forEach(D=>D.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(D,w,I,A,k){let _;for(const g of this._editors.getVisibleTextEditors(!0))if(g.value===D){_=g;break}if(!_)throw new Error("not a visible editor");const T=this,E=this._handlePool++,b=new u.Emitter,v=new u.Emitter,h=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(g){return(0,C.asWebviewUri)(g,T._remoteInfo)}get cspSource(){return C.webviewGenericCspSource}set options(g){this._options=g,T._proxy.$setOptions(E,g)}get options(){return this._options}set html(g){this._html=g,T._proxy.$setHtml(E,g)}get html(){return this._html}get onDidReceiveMessage(){return b.event}postMessage(g){return T._proxy.$postMessage(E,g)}},p=new class{constructor(){this.editor=D,this.line=w,this.height=I,this.webview=h,this.onDidDispose=v.event}dispose(){T._insets.has(E)&&(T._insets.delete(E),T._proxy.$disposeEditorInset(E),v.fire(),v.dispose(),b.dispose())}};return this._proxy.$createEditorInset(E,_.id,_.value.document.uri,w+1,I,A||{},k.identifier,k.extensionLocation),this._insets.set(E,{editor:D,inset:p,onDidReceiveMessage:b}),p}$onDidDispose(D){const w=this._insets.get(D);w&&w.inset.dispose()}$onDidReceiveMessage(D,w){this._insets.get(D)?.onDidReceiveMessage.fire(w)}}e.ExtHostEditorInsets=P}),define(De[127],Ie([1,0,4,18,179]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class P{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new u.Emitter,this._onExit=new u.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(D){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=D}onEvent(D){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=D}onRequest(D){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=D}sendResponse(D){D.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${D.command}`)):this.internalSend("response",D)}sendRequest(D,w,I,A){const k={command:D};if(w&&Object.keys(w).length>0&&(k.arguments=w),this.internalSend("request",k),typeof A=="number"){const _=setTimeout(()=>{clearTimeout(_);const T=this.pendingRequests.get(k.seq);if(T){this.pendingRequests.delete(k.seq);const E={type:"response",seq:0,request_seq:k.seq,success:!1,command:D,message:(0,C.localize)(0,null,A,D)};T(E)}},A)}return I&&this.pendingRequests.set(k.seq,I),k.seq}acceptMessage(D){this.messageCallback?this.messageCallback(D):(this.queue.push(D),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(D,w){return D.type!=="event"||w.type!=="event"}async processQueue(){let D;for(;this.queue.length;){if((!D||this.needsTaskBoundaryBetween(this.queue[0],D))&&await(0,t.timeout)(0),D=this.queue.shift(),!D)return;switch(D.type){case"event":this.eventCallback?.(D);break;case"request":this.requestCallback?.(D);break;case"response":{const w=D,I=this.pendingRequests.get(w.request_seq);I&&(this.pendingRequests.delete(w.request_seq),I(w));break}}}}internalSend(D,w){w.type=D,w.seq=this.sequence++,this.sendMessage(w)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const D=new Map;this.pendingRequests.forEach((w,I)=>D.set(I,w)),await(0,t.timeout)(500),D.forEach((w,I)=>{w({type:"response",seq:0,request_seq:I,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(I)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=P}),define(De[210],Ie([1,0,180,52,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.IDebugService=e.DebuggerUiMessage=e.DebugConfigurationProviderTriggerKind=e.DEBUG_MEMORY_SCHEME=e.MemoryRangeType=e.getStateLabel=e.State=e.INTERNAL_CONSOLE_OPTIONS_SCHEMA=e.DEBUG_SCHEME=e.BREAKPOINT_EDITOR_CONTRIBUTION_ID=e.EDITOR_CONTRIBUTION_ID=e.debuggerDisabledMessage=e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=e.CONTEXT_MULTI_SESSION_DEBUG=e.CONTEXT_MULTI_SESSION_REPL=e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=e.CONTEXT_VARIABLE_IS_READONLY=e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=e.CONTEXT_SET_EXPRESSION_SUPPORTED=e.CONTEXT_SET_VARIABLE_SUPPORTED=e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=e.CONTEXT_DEBUGGERS_AVAILABLE=e.CONTEXT_BREAKPOINTS_EXIST=e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=e.CONTEXT_RESTART_FRAME_SUPPORTED=e.CONTEXT_STEP_BACK_SUPPORTED=e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=e.CONTEXT_BREAKPOINT_ACCESS_TYPE=e.CONTEXT_BREAKPOINT_ITEM_TYPE=e.CONTEXT_CAN_VIEW_MEMORY=e.CONTEXT_WATCH_ITEM_TYPE=e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=e.CONTEXT_CALLSTACK_ITEM_STOPPED=e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=e.CONTEXT_CALLSTACK_ITEM_TYPE=e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=e.CONTEXT_EXPRESSION_SELECTED=e.CONTEXT_VARIABLES_FOCUSED=e.CONTEXT_WATCH_EXPRESSIONS_EXIST=e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=e.CONTEXT_BREAKPOINTS_FOCUSED=e.CONTEXT_IN_BREAKPOINT_WIDGET=e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=e.CONTEXT_IN_DEBUG_REPL=e.CONTEXT_IN_DEBUG_MODE=e.CONTEXT_DEBUG_UX=e.CONTEXT_DEBUG_UX_KEY=e.CONTEXT_DEBUG_STATE=e.CONTEXT_DEBUG_CONFIGURATION_TYPE=e.CONTEXT_DEBUG_TYPE=e.DEBUG_SERVICE_ID=e.REPL_VIEW_ID=e.DEBUG_PANEL_ID=e.DISASSEMBLY_VIEW_ID=e.BREAKPOINTS_VIEW_ID=e.LOADED_SCRIPTS_VIEW_ID=e.CALLSTACK_VIEW_ID=e.WATCH_VIEW_ID=e.VARIABLES_VIEW_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.debug",e.VARIABLES_VIEW_ID="workbench.debug.variablesView",e.WATCH_VIEW_ID="workbench.debug.watchExpressionsView",e.CALLSTACK_VIEW_ID="workbench.debug.callStackView",e.LOADED_SCRIPTS_VIEW_ID="workbench.debug.loadedScriptsView",e.BREAKPOINTS_VIEW_ID="workbench.debug.breakPointsView",e.DISASSEMBLY_VIEW_ID="workbench.debug.disassemblyView",e.DEBUG_PANEL_ID="workbench.panel.repl",e.REPL_VIEW_ID="workbench.panel.repl.view",e.DEBUG_SERVICE_ID="debugService",e.CONTEXT_DEBUG_TYPE=new t.RawContextKey("debugType",void 0,{type:"string",description:u.localize(0,null)}),e.CONTEXT_DEBUG_CONFIGURATION_TYPE=new t.RawContextKey("debugConfigurationType",void 0,{type:"string",description:u.localize(1,null)}),e.CONTEXT_DEBUG_STATE=new t.RawContextKey("debugState","inactive",{type:"string",description:u.localize(2,null)}),e.CONTEXT_DEBUG_UX_KEY="debugUx",e.CONTEXT_DEBUG_UX=new t.RawContextKey(e.CONTEXT_DEBUG_UX_KEY,"default",{type:"string",description:u.localize(3,null)}),e.CONTEXT_IN_DEBUG_MODE=new t.RawContextKey("inDebugMode",!1,{type:"boolean",description:u.localize(4,null)}),e.CONTEXT_IN_DEBUG_REPL=new t.RawContextKey("inDebugRepl",!1,{type:"boolean",description:u.localize(5,null)}),e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=new t.RawContextKey("breakpointWidgetVisible",!1,{type:"boolean",description:u.localize(6,null)}),e.CONTEXT_IN_BREAKPOINT_WIDGET=new t.RawContextKey("inBreakpointWidget",!1,{type:"boolean",description:u.localize(7,null)}),e.CONTEXT_BREAKPOINTS_FOCUSED=new t.RawContextKey("breakpointsFocused",!0,{type:"boolean",description:u.localize(8,null)}),e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=new t.RawContextKey("watchExpressionsFocused",!0,{type:"boolean",description:u.localize(9,null)}),e.CONTEXT_WATCH_EXPRESSIONS_EXIST=new t.RawContextKey("watchExpressionsExist",!1,{type:"boolean",description:u.localize(10,null)}),e.CONTEXT_VARIABLES_FOCUSED=new t.RawContextKey("variablesFocused",!0,{type:"boolean",description:u.localize(11,null)}),e.CONTEXT_EXPRESSION_SELECTED=new t.RawContextKey("expressionSelected",!1,{type:"boolean",description:u.localize(12,null)}),e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=new t.RawContextKey("breakpointInputFocused",!1,{type:"boolean",description:u.localize(13,null)}),e.CONTEXT_CALLSTACK_ITEM_TYPE=new t.RawContextKey("callStackItemType",void 0,{type:"string",description:u.localize(14,null)}),e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=new t.RawContextKey("callStackSessionIsAttach",!1,{type:"boolean",description:u.localize(15,null)}),e.CONTEXT_CALLSTACK_ITEM_STOPPED=new t.RawContextKey("callStackItemStopped",!1,{type:"boolean",description:u.localize(16,null)}),e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=new t.RawContextKey("callStackSessionHasOneThread",!1,{type:"boolean",description:u.localize(17,null)}),e.CONTEXT_WATCH_ITEM_TYPE=new t.RawContextKey("watchItemType",void 0,{type:"string",description:u.localize(18,null)}),e.CONTEXT_CAN_VIEW_MEMORY=new t.RawContextKey("canViewMemory",void 0,{type:"boolean",description:u.localize(19,null)}),e.CONTEXT_BREAKPOINT_ITEM_TYPE=new t.RawContextKey("breakpointItemType",void 0,{type:"string",description:u.localize(20,null)}),e.CONTEXT_BREAKPOINT_ACCESS_TYPE=new t.RawContextKey("breakpointAccessType",void 0,{type:"string",description:u.localize(21,null)}),e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=new t.RawContextKey("breakpointSupportsCondition",!1,{type:"boolean",description:u.localize(22,null)}),e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=new t.RawContextKey("loadedScriptsSupported",!1,{type:"boolean",description:u.localize(23,null)}),e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=new t.RawContextKey("loadedScriptsItemType",void 0,{type:"string",description:u.localize(24,null)}),e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=new t.RawContextKey("focusedSessionIsAttach",!1,{type:"boolean",description:u.localize(25,null)}),e.CONTEXT_STEP_BACK_SUPPORTED=new t.RawContextKey("stepBackSupported",!1,{type:"boolean",description:u.localize(26,null)}),e.CONTEXT_RESTART_FRAME_SUPPORTED=new t.RawContextKey("restartFrameSupported",!1,{type:"boolean",description:u.localize(27,null)}),e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=new t.RawContextKey("stackFrameSupportsRestart",!1,{type:"boolean",description:u.localize(28,null)}),e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=new t.RawContextKey("jumpToCursorSupported",!1,{type:"boolean",description:u.localize(29,null)}),e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=new t.RawContextKey("stepIntoTargetsSupported",!1,{type:"boolean",description:u.localize(30,null)}),e.CONTEXT_BREAKPOINTS_EXIST=new t.RawContextKey("breakpointsExist",!1,{type:"boolean",description:u.localize(31,null)}),e.CONTEXT_DEBUGGERS_AVAILABLE=new t.RawContextKey("debuggersAvailable",!1,{type:"boolean",description:u.localize(32,null)}),e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=new t.RawContextKey("debugExtensionAvailable",!1,{type:"boolean",description:u.localize(33,null)}),e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=new t.RawContextKey("debugProtocolVariableMenuContext",void 0,{type:"string",description:u.localize(34,null)}),e.CONTEXT_SET_VARIABLE_SUPPORTED=new t.RawContextKey("debugSetVariableSupported",!1,{type:"boolean",description:u.localize(35,null)}),e.CONTEXT_SET_EXPRESSION_SUPPORTED=new t.RawContextKey("debugSetExpressionSupported",!1,{type:"boolean",description:u.localize(36,null)}),e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=new t.RawContextKey("breakWhenValueChangesSupported",!1,{type:"boolean",description:u.localize(37,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=new t.RawContextKey("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:u.localize(38,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=new t.RawContextKey("breakWhenValueIsReadSupported",!1,{type:"boolean",description:u.localize(39,null)}),e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=new t.RawContextKey("terminateDebuggeeSupported",!1,{type:"boolean",description:u.localize(40,null)}),e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=new t.RawContextKey("suspendDebuggeeSupported",!1,{type:"boolean",description:u.localize(41,null)}),e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=new t.RawContextKey("variableEvaluateNamePresent",!1,{type:"boolean",description:u.localize(42,null)}),e.CONTEXT_VARIABLE_IS_READONLY=new t.RawContextKey("variableIsReadonly",!1,{type:"boolean",description:u.localize(43,null)}),e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=new t.RawContextKey("exceptionWidgetVisible",!1,{type:"boolean",description:u.localize(44,null)}),e.CONTEXT_MULTI_SESSION_REPL=new t.RawContextKey("multiSessionRepl",!1,{type:"boolean",description:u.localize(45,null)}),e.CONTEXT_MULTI_SESSION_DEBUG=new t.RawContextKey("multiSessionDebug",!1,{type:"boolean",description:u.localize(46,null)}),e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=new t.RawContextKey("disassembleRequestSupported",!1,{type:"boolean",description:u.localize(47,null)}),e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=new t.RawContextKey("disassemblyViewFocus",!1,{type:"boolean",description:u.localize(48,null)}),e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=new t.RawContextKey("languageSupportsDisassembleRequest",!1,{type:"boolean",description:u.localize(49,null)}),e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=new t.RawContextKey("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:u.localize(50,null)});const P=_=>u.localize(51,null,_);e.debuggerDisabledMessage=P,e.EDITOR_CONTRIBUTION_ID="editor.contrib.debug",e.BREAKPOINT_EDITOR_CONTRIBUTION_ID="editor.contrib.breakpoint",e.DEBUG_SCHEME="debug",e.INTERNAL_CONSOLE_OPTIONS_SCHEMA={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:u.localize(52,null)};var y;(function(_){_[_.Inactive=0]="Inactive",_[_.Initializing=1]="Initializing",_[_.Stopped=2]="Stopped",_[_.Running=3]="Running"})(y=e.State||(e.State={}));function D(_){switch(_){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.getStateLabel=D;var w;(function(_){_[_.Valid=0]="Valid",_[_.Unreadable=1]="Unreadable",_[_.Error=2]="Error"})(w=e.MemoryRangeType||(e.MemoryRangeType={})),e.DEBUG_MEMORY_SCHEME="vscode-debug-memory";var I;(function(_){_[_.Initial=1]="Initial",_[_.Dynamic=2]="Dynamic"})(I=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));var A;(function(_){_.UnverifiedBreakpoints="unverifiedBreakpoints"})(A=e.DebuggerUiMessage||(e.DebuggerUiMessage={})),e.IDebugService=(0,C.createDecorator)(e.DEBUG_SERVICE_ID);var k;(function(_){_[_.CONDITION=0]="CONDITION",_[_.HIT_COUNT=1]="HIT_COUNT",_[_.LOG_MESSAGE=2]="LOG_MESSAGE"})(k=e.BreakpointWidgetContext||(e.BreakpointWidgetContext={}))}),define(De[211],Ie([1,0,8,2,9,24,12]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const D=/{([^}]+)}/g;function w(r,i,s){return r.replace(D,function(n,o){return i&&o.length>0&&o[0]!=="_"?n:s&&s.hasOwnProperty(o)?s[o]:n})}e.formatPII=w;function I(r){const i={};for(const s of Object.keys(r))s.startsWith("!")||(i[s]=r[s]);return i}e.filterExceptionsFromTelemetry=I;function A(r){return r.configuration.request==="attach"&&!k(r)&&(!r.parentSession||A(r.parentSession))}e.isSessionAttach=A;function k(r){let i=r.configuration.type;if(!!i)return i==="vslsShare"&&(i=r.configuration.adapterProxy.configuration.type),(0,u.equalsIgnoreCase)(i,"extensionhost")||(0,u.equalsIgnoreCase)(i,"pwa-extensionhost")?r:r.parentSession?k(r.parentSession):void 0}e.getExtensionHostDebugSession=k;function _(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=_;function T(r,i,s){let n,o=0;const d=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let f=null;for(;f=d.exec(r);){const S=f.index+1,L=S+f[0].length;if(S<=i&&L>=s){n=f[0],o=S;break}}if(n){const S=/\w+/g;let L=null;for(;(L=S.exec(n))&&!(L.index+1+o+L[0].length>=s););L&&(n=n.substring(0,S.lastIndex))}return n?{start:o,end:o+n.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=T;const E=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function b(r){return!!(r&&r.match(E))}e.isUri=b;function v(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(b(r.path))return t.URI.parse(r.path);if((0,C.isAbsolute)(r.path))return t.URI.file(r.path)}return r.path}function h(r){if(typeof r.path=="object"){const i=t.URI.revive(r.path);if(i)return i.scheme===y.Schemas.file?i.fsPath:i.toString()}return r.path}function p(r,i){const s=i?v:h,n=(0,P.deepClone)(r);return a(n,(o,d)=>{o&&d&&(d.path=s(d))}),n}e.convertToDAPaths=p;function g(r,i){const s=i?v:h,n=(0,P.deepClone)(r);return a(n,(o,d)=>{!o&&d&&(d.path=s(d))}),n}e.convertToVSCPaths=g;function a(r,i){switch(r.type){case"event":{const s=r;switch(s.event){case"output":i(!1,s.body.source);break;case"loadedSource":i(!1,s.body.source);break;case"breakpoint":i(!1,s.body.breakpoint.source);break;default:break}break}case"request":{const s=r;switch(s.command){case"setBreakpoints":i(!0,s.arguments.source);break;case"breakpointLocations":i(!0,s.arguments.source);break;case"source":i(!0,s.arguments.source);break;case"gotoTargets":i(!0,s.arguments.source);break;case"launchVSCode":s.arguments.args.forEach(n=>i(!1,n));break;default:break}break}case"response":{const s=r;if(s.success&&s.body)switch(s.command){case"stackTrace":s.body.stackFrames.forEach(n=>i(!1,n.source));break;case"loadedSources":s.body.sources.forEach(n=>i(!1,n));break;case"scopes":s.body.scopes.forEach(n=>i(!1,n.source));break;case"setFunctionBreakpoints":s.body.breakpoints.forEach(n=>i(!1,n.source));break;case"setBreakpoints":s.body.breakpoints.forEach(n=>i(!1,n.source));break;case"disassemble":s.body?.instructions.forEach(o=>i(!1,o.location));break;default:break}break}}}function m(r){return r.filter(i=>!i.presentation?.hidden).sort((i,s)=>i.presentation?s.presentation?i.presentation.group?s.presentation.group?i.presentation.group!==s.presentation.group?i.presentation.group.localeCompare(s.presentation.group):c(i.presentation.order,s.presentation.order):-1:s.presentation.group?1:c(i.presentation.order,s.presentation.order):-1:s.presentation?1:0)}e.getVisibleAndSorted=m;function c(r,i){return typeof r!="number"?typeof i!="number"?0:1:typeof i!="number"?-1:r-i}async function l(r,i){const s=r.getValue("debug.saveBeforeStart",{overrideIdentifier:i.activeTextEditorLanguageId});if(s!=="none"&&(await i.saveAll(),s==="allEditorsInActiveGroup")){const n=i.activeEditorPane;n&&n.input.resource?.scheme===y.Schemas.untitled&&await i.save({editor:n.input,groupId:n.group.id})}await r.reloadConfiguration()}e.saveAllBeforeDebugStart=l}),define(De[212],Ie([1,0,29,44,181,213,9,8,24,11,84,127]),function(Z,e,u,t,C,P,y,D,w,I,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class _ extends k.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(p,g){this.outputStream=g,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,p.on("data",a=>this.handleData(a))}sendMessage(p){if(this.outputStream){const g=JSON.stringify(p);this.outputStream.write(`Content-Length: ${Buffer.byteLength(g,"utf8")}${_.TWO_CRLF}${g}`,"utf8")}}handleData(p){for(this.rawData=Buffer.concat([this.rawData,p]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const g=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,g.length>0)try{this.acceptMessage(JSON.parse(g))}catch(a){this._onError.fire(new Error((a.message||a)+`
`+g))}continue}}else{const g=this.rawData.indexOf(_.TWO_CRLF);if(g!==-1){const m=this.rawData.toString("utf8",0,g).split(_.HEADER_LINESEPARATOR);for(const c of m){const l=c.split(_.HEADER_FIELDSEPARATOR);l[0]==="Content-Length"&&(this.contentLength=Number(l[1]))}this.rawData=this.rawData.slice(g+_.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=_,_.TWO_CRLF=`\r
\r
`,_.HEADER_LINESEPARATOR=/\r?\n/,_.HEADER_FIELDSEPARATOR=/: */;class T extends _{startSession(){return new Promise((p,g)=>{let a=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),p(),a=!0}),this.socket.on("close",()=>{a?this._onError.fire(new Error("connection closed")):g(new Error("connection closed"))}),this.socket.on("error",m=>{a?this._onError.fire(m):g(m)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=T;class E extends T{constructor(p){super();this.adapterServer=p}createConnection(p){return P.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",p)}}e.SocketDebugAdapter=E;class b extends T{constructor(p){super();this.adapterServer=p}createConnection(p){return P.createConnection(this.adapterServer.path,p)}}e.NamedPipeDebugAdapter=b;class v extends _{constructor(p,g,a){super();this.adapterExecutable=p,this.debugType=g,this.outputService=a}async startSession(){const p=this.adapterExecutable.command,g=this.adapterExecutable.args,a=this.adapterExecutable.options||{};try{if(p)if(y.isAbsolute(p)){if(!await u.Promises.exists(p))throw new Error(C.localize(0,null,p))}else p.indexOf("/")<0&&p.indexOf("\\")<0;else throw new Error(C.localize(1,null,this.debugType));let m=process.env;if(a.env&&Object.keys(a.env).length>0&&(m=w.mixin(w.deepClone(process.env),a.env)),p==="node")if(Array.isArray(g)&&g.length>0){const l=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,r={env:m,execArgv:l?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};a.cwd&&(r.cwd=a.cwd);const i=t.fork(g[0],g.slice(1),r);if(!i.pid)throw new Error(C.localize(2,null,g[0]));this.serverProcess=i}else throw new Error(C.localize(3,null));else{const l={env:m};a.cwd&&(l.cwd=a.cwd),this.serverProcess=t.spawn(p,g,l)}this.serverProcess.on("error",l=>{this._onError.fire(l)}),this.serverProcess.on("exit",(l,r)=>{this._onExit.fire(l)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",l=>{this._onError.fire(l)}),this.serverProcess.stdin.on("error",l=>{this._onError.fire(l)});const c=this.outputService;if(c){const l=r=>r.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",r=>{c.getChannel(A.ExtensionsChannelId)?.append(l(r))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(m){this._onError.fire(m)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),I.isWindows?new Promise((p,g)=>{const a=t.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(m,c,l){if(m)return g(m)});a.on("exit",p),a.on("error",g)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(p,g){if(!p)return;const a=Object.create(null);p.runtime&&(p.runtime.indexOf("./")===0?a.runtime=y.join(g,p.runtime):a.runtime=p.runtime),p.runtimeArgs&&(a.runtimeArgs=p.runtimeArgs),p.program&&(y.isAbsolute(p.program)?a.program=p.program:a.program=y.join(g,p.program)),p.args&&(a.args=p.args);const m=p;return m.win&&(a.win=v.extract(m.win,g)),m.winx86&&(a.winx86=v.extract(m.winx86,g)),m.windows&&(a.windows=v.extract(m.windows,g)),m.osx&&(a.osx=v.extract(m.osx,g)),m.linux&&(a.linux=v.extract(m.linux,g)),a}static platformAdapterExecutable(p,g){let a=Object.create(null);g=g.toLowerCase();for(const s of p)if(s.contributes){const n=s.contributes.debuggers;n&&n.length>0&&n.filter(o=>typeof o.type=="string"&&D.equalsIgnoreCase(o.type,g)).forEach(o=>{const d=v.extract(o,s.extensionLocation.fsPath);a=w.mixin(a,d,s.isBuiltin)})}let m;I.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?m=a.winx86||a.win||a.windows:I.isWindows?m=a.win||a.windows:I.isMacintosh?m=a.osx:I.isLinux&&(m=a.linux),m=m||a;const c=m.program||a.program,l=m.args||a.args,r=m.runtime||a.runtime,i=m.runtimeArgs||a.runtimeArgs;if(r)return{type:"executable",command:r,args:(i||[]).concat(typeof c=="string"?[c]:[]).concat(l||[])};if(c)return{type:"executable",command:c,args:l||[]}}}e.ExecutableDebugAdapter=v}),define(De[214],Ie([1,0,44,31,11]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=void 0;function P(I,A){return new Promise((k,_)=>{let T="";const E=u.spawn(I,A);E.pid&&E.stdout.on("data",b=>{T+=b.toString()}),E.on("error",b=>{_(b)}),E.on("close",b=>{k(T)})})}async function y(I){if(I)if(C.isWindows){const A=await new Promise((k,_)=>{Z(["windows-process-tree"],k,_)});return new Promise(k=>{A.getProcessTree(I,_=>{k(!!_&&_.children.length>0)})})}else return P("/usr/bin/pgrep",["-lP",String(I)]).then(A=>{const k=A.trim();return!(k.length===0||k.indexOf(" tmux")>=0)},A=>!0);return Promise.resolve(!0)}e.hasChildProcesses=y;var D;(function(I){I[I.cmd=0]="cmd",I[I.powershell=1]="powershell",I[I.bash=2]="bash"})(D||(D={}));function w(I,A,k,_,T){I=I.trim().toLowerCase();let E;I.indexOf("powershell")>=0||I.indexOf("pwsh")>=0?E=1:I.indexOf("cmd.exe")>=0?E=0:I.indexOf("bash")>=0?E=2:C.isWindows?E=0:E=2;let b,v=" ";switch(E){case 1:if(b=h=>(h=h.replace(/\'/g,"''"),h.length>0&&h.charAt(h.length-1)==="\\"?`'${h}\\'`:`'${h}'`),_){const h=(0,t.getDriveLetter)(_);h&&(v+=`${h}:; `),v+=`cd ${b(_)}; `}if(T)for(const h in T){const p=T[h];p===null?v+=`Remove-Item env:${h}; `:v+=`\${env:${h}}='${p}'; `}if(A.length>0){const h=A.shift(),p=k?h:b(h);v+=p[0]==="'"?`& ${p} `:`${p} `;for(const g of A)v+=g==="<"||g===">"||k?g:b(g),v+=" "}break;case 0:if(b=h=>(h=h.replace(/\"/g,'""'),h=h.replace(/([><!^&|])/g,"^$1"),' "'.split("").some(p=>h.includes(p))||h.length===0?`"${h}"`:h),_){const h=(0,t.getDriveLetter)(_);h&&(v+=`${h}: && `),v+=`cd ${b(_)} && `}if(T){v+='cmd /C "';for(const h in T){let p=T[h];p===null?v+=`set "${h}=" && `:(p=p.replace(/[&^|<>]/g,g=>`^${g}`),v+=`set "${h}=${p}" && `)}}for(const h of A)v+=h==="<"||h===">"||k?h:b(h),v+=" ";T&&(v+='"');break;case 2:{b=p=>(p=p.replace(/(["'\\\$!><#()\[\]*&^| ;{}`])/g,"\\$1"),p.length===0?'""':p);const h=p=>/[^\w@%\/+=,.:^-]/.test(p)?`'${p.replace(/'/g,"'\\''")}'`:p;if(_&&(v+=`cd ${b(_)} ; `),T){v+="/usr/bin/env";for(const p in T){const g=T[p];g===null?v+=` -u ${h(p)}`:v+=` ${h(`${p}=${g}`)}`}v+=" "}for(const p of A)v+=p==="<"||p===">"||k?p:b(p),v+=" ";break}}return v}e.prepareCommand=w}),define(De[128],Ie([1,0,23,36,60,100,12,9,11,52]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var A;(function(n){n[n.Markup=1]="Markup",n[n.Code=2]="Code"})(A=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",P.Mimes.latex,P.Mimes.markdown,"image/png","image/jpeg",P.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[P.Mimes.latex,P.Mimes.markdown,"application/json",P.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var k;(function(n){n[n.Running=1]="Running",n[n.Idle=2]="Idle"})(k=e.NotebookRunState||(e.NotebookRunState={}));var _;(function(n){n[n.Unconfirmed=1]="Unconfirmed",n[n.Pending=2]="Pending",n[n.Executing=3]="Executing"})(_=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var T;(function(n){n[n.WithHardKernelDependency=0]="WithHardKernelDependency",n[n.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",n[n.Pure=2]="Pure",n[n.Never=3]="Never"})(T=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var E;(function(n){n.Always="always",n.Never="never",n.Optional="optional"})(E=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var b;(function(n){n[n.ModelChange=1]="ModelChange",n[n.Move=2]="Move",n[n.ChangeCellLanguage=5]="ChangeCellLanguage",n[n.Initialize=6]="Initialize",n[n.ChangeCellMetadata=7]="ChangeCellMetadata",n[n.Output=8]="Output",n[n.OutputItem=9]="OutputItem",n[n.ChangeCellContent=10]="ChangeCellContent",n[n.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",n[n.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",n[n.ChangeCellMime=13]="ChangeCellMime",n[n.Unknown=100]="Unknown"})(b=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var v;(function(n){n[n.Handle=0]="Handle",n[n.Index=1]="Index"})(v=e.SelectionStateType||(e.SelectionStateType={}));var h;(function(n){n[n.Replace=1]="Replace",n[n.Output=2]="Output",n[n.Metadata=3]="Metadata",n[n.CellLanguage=4]="CellLanguage",n[n.DocumentMetadata=5]="DocumentMetadata",n[n.Move=6]="Move",n[n.OutputItems=7]="OutputItems",n[n.PartialMetadata=8]="PartialMetadata",n[n.PartialInternalMetadata=9]="PartialInternalMetadata"})(h=e.CellEditType||(e.CellEditType={}));var p;(function(n){n.scheme=y.Schemas.vscodeNotebookCell;const o=["W","X","Y","Z","a","b","c","d","e","f"],d=new RegExp(`^[${o.join("")}]+`),f=7;function S(N,X){const z=X.toString(f),x=`${z.length<o.length?o[z.length-1]:"z"}${z}s${(0,u.encodeBase64)(u.VSBuffer.fromString(N.scheme),!0,!0)}`;return N.with({scheme:n.scheme,fragment:x})}n.generate=S;function L(N){if(N.scheme!==n.scheme)return;const X=N.fragment.indexOf("s");if(X<0)return;const z=parseInt(N.fragment.substring(0,X).replace(d,""),f),O=(0,u.decodeBase64)(N.fragment.substring(X+1)).toString();if(!isNaN(z))return{handle:z,notebook:N.with({scheme:O,fragment:null})}}n.parse=L;const M=/^(\d{8,})(\w[\w\d+.-]*)$/;function B(N,X){return N.with({scheme:y.Schemas.vscodeNotebookCellOutput,fragment:`op${X??""},${N.scheme!==y.Schemas.file?N.scheme:""}`})}n.generateCellOutputUri=B;function R(N){if(N.scheme!==y.Schemas.vscodeNotebookCellOutput)return;const X=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(N.fragment);if(!X)return;const z=X[1]&&X[1]!==""?X[1]:void 0,O=X[2];return{outputId:z,notebook:N.with({scheme:O||y.Schemas.file,fragment:null})}}n.parseCellOutputUri=R;function U(N,X,z){return N.with({scheme:z,fragment:`ch${X.toString().padStart(7,"0")}${N.scheme!==y.Schemas.file?N.scheme:""}`})}n.generateCellUri=U;function $(N,X){if(N.scheme!==X)return;const z=M.exec(N.fragment);return z?{handle:Number(z[1]),notebook:N.with({scheme:N.fragment.substring(z[0].length)||y.Schemas.file,fragment:null})}:void 0}n.parseCellUri=$})(p=e.CellUri||(e.CellUri={}));const g=n=>w.isWindows?n.replace(/\//g,"\\"):n;class a{constructor(o=[],d=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=d,this.order=[...new Set(o)].map(f=>({pattern:f,matches:t.parse(g(f))}))}sort(o){const d=new Map(C.Iterable.map(o,S=>[S,g(S)]));let f=[];for(const{matches:S}of this.order)for(const[L,M]of d)if(S(M)){f.push(L),d.delete(L);break}return d.size&&(f=f.concat([...d.keys()].sort((S,L)=>this.defaultOrder.indexOf(S)-this.defaultOrder.indexOf(L)))),f}prioritize(o,d){const f=this.findIndex(o);if(f===-1){this.order.unshift({pattern:o,matches:t.parse(g(o))});return}const S=new Set(d.map(M=>this.findIndex(M,f)));S.delete(-1);const L=Array.from(S).sort();this.order.splice(f+1,0,...L.map(M=>this.order[M]));for(let M=L.length-1;M>=0;M--)this.order.splice(L[M],1)}toArray(){return this.order.map(o=>o.pattern)}findIndex(o,d=this.order.length){const f=g(o);for(let S=0;S<d;S++)if(this.order[S].matches(f))return S;return-1}}e.MimeTypeDisplayOrder=a;function m(n,o,d,f=(S,L)=>S===L){const S=[];function L(R,U,$){if(U===0&&$.length===0)return;const N=S[S.length-1];N&&N.start+N.deleteCount===R?(N.deleteCount+=U,N.toInsert.push(...$)):S.push({start:R,deleteCount:U,toInsert:$})}let M=0,B=0;for(;;){if(M===n.length){L(M,0,o.slice(B));break}if(B===o.length){L(M,n.length-M,[]);break}const R=n[M],U=o[B];if(f(R,U)){M+=1,B+=1;continue}d(U)?(L(M,1,[]),M+=1):(L(M,0,[U]),B+=1)}return S}e.diff=m,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new I.RawContextKey("notebookEditorCursorAtBoundary","none");var c;(function(n){n.default="default",n.option="option"})(c=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function l(n){const o=n;return!!((typeof o.include=="string"||t.isRelativePattern(o.include))&&(typeof o.exclude=="string"||t.isRelativePattern(o.exclude)))}e.isDocumentExcludePattern=l;function r(n,o,d){if(Array.isArray(n.viewType)&&n.viewType.indexOf(o)>=0||n.viewType===o)return!0;if(n.filenamePattern){const f=l(n.filenamePattern)?n.filenamePattern.include:n.filenamePattern,S=l(n.filenamePattern)?n.filenamePattern.exclude:void 0;if(t.match(f,(0,D.basename)(d.fsPath).toLowerCase()))return!(S&&t.match(S,(0,D.basename)(d.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=r,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputLineHeight:"notebook.outputLineHeight",outputFontSize:"notebook.outputFontSize",outputFontFamily:"notebook.outputFontFamily"};var i;(function(n){n[n.Left=1]="Left",n[n.Right=2]="Right"})(i=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class s{static create(o){return`${s._prefix}${o}`}static parse(o){if(o.startsWith(s._prefix))return o.substring(s._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=s,s._prefix="notebook/"}),define(De[215],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var t;(function(C){C[C.Output=1]="Output",C[C.OutputItems=2]="OutputItems",C[C.ExecutionState=3]="ExecutionState"})(t=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,u.createDecorator)("INotebookExecutionService")}),define(De[216],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollections=e.serializeEnvironmentVariableCollections=e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function u(y){return[...y.entries()]}e.serializeEnvironmentVariableCollection=u;function t(y){return new Map(y)}e.deserializeEnvironmentVariableCollection=t;function C(y){return Array.from(y.entries()).map(D=>[D[0],u(D[1].map)])}e.serializeEnvironmentVariableCollections=C;function P(y){return new Map(y.map(D=>[D[0],{map:t(D[1])}]))}e.deserializeEnvironmentVariableCollections=P}),define(De[65],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var u;(function(P){P.Delimiter="\0"})(u=e.TestIdPathParts||(e.TestIdPathParts={}));var t;(function(P){P[P.IsSame=0]="IsSame",P[P.Disconnected=1]="Disconnected",P[P.IsChild=2]="IsChild",P[P.IsParent=3]="IsParent"})(t=e.TestPosition||(e.TestPosition={}));class C{constructor(y,D=y.length){if(this.path=y,this.viewEnd=D,y.length===0||D<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(y,D,w=y.parent){if(y.id===D)return new C([D]);const I=[y.id];for(let A=w;A&&A.id!==D;A=A.parent)I.push(A.id);return I.push(D),new C(I.reverse())}static isRoot(y){return!y.includes("\0")}static root(y){const D=y.indexOf("\0");return D===-1?y:y.slice(0,D)}static fromString(y){return new C(y.split("\0"))}static join(y,D){return new C([...y.path,D])}static joinToString(y,D){return y.toString()+"\0"+D}static compare(y,D){return y===D?0:D.startsWith(y+"\0")?2:y.startsWith(D+"\0")?3:1}get parentId(){return this.viewEnd>1?new C(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let y=1;y<=this.viewEnd;y++)yield new C(this.path,y)}compare(y){if(typeof y=="string")return C.compare(this.toString(),y);for(let D=0;D<y.viewEnd&&D<this.viewEnd;D++)if(y.path[D]!==this.path[D])return 1;return y.viewEnd>this.viewEnd?2:y.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let y=1;y<this.viewEnd;y++)this.stringifed+="\0",this.stringifed+=this.path[y]}return this.stringifed}}e.TestId=C}),define(De[66],Ie([1,0,2,35]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var C;(function(s){s[s.Unset=0]="Unset",s[s.Queued=1]="Queued",s[s.Running=2]="Running",s[s.Passed=3]="Passed",s[s.Failed=4]="Failed",s[s.Skipped=5]="Skipped",s[s.Errored=6]="Errored"})(C=e.TestResultState||(e.TestResultState={}));var P;(function(s){s[s.Run=2]="Run",s[s.Debug=4]="Debug",s[s.Coverage=8]="Coverage",s[s.HasNonDefaultProfile=16]="HasNonDefaultProfile",s[s.HasConfigurable=32]="HasConfigurable"})(P=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var y;(function(s){s.serialize=n=>({range:n.range.toJSON(),uri:n.uri.toJSON()}),s.deserialize=n=>({range:t.Range.lift(n.range),uri:u.URI.revive(n.uri)})})(y=e.IRichLocation||(e.IRichLocation={}));var D;(function(s){s[s.Error=0]="Error",s[s.Output=1]="Output"})(D=e.TestMessageType||(e.TestMessageType={}));var w;(function(s){s.serialize=n=>({message:n.message,type:0,expected:n.expected,actual:n.actual,location:n.location&&y.serialize(n.location)}),s.deserialize=n=>({message:n.message,type:0,expected:n.expected,actual:n.actual,location:n.location&&y.deserialize(n.location)})})(w=e.ITestErrorMessage||(e.ITestErrorMessage={}));var I;(function(s){s.serialize=n=>({message:n.message,type:1,offset:n.offset,length:n.length,location:n.location&&y.serialize(n.location)}),s.deserialize=n=>({message:n.message,type:1,offset:n.offset,length:n.length,location:n.location&&y.deserialize(n.location)})})(I=e.ITestOutputMessage||(e.ITestOutputMessage={}));var A;(function(s){s.serialize=n=>n.type===0?w.serialize(n):I.serialize(n),s.deserialize=n=>n.type===0?w.deserialize(n):I.deserialize(n)})(A=e.ITestMessage||(e.ITestMessage={}));var k;(function(s){s.serializeWithoutMessages=n=>({state:n.state,duration:n.duration,messages:[]}),s.serialize=n=>({state:n.state,duration:n.duration,messages:n.messages.map(A.serialize)}),s.deserialize=n=>({state:n.state,duration:n.duration,messages:n.messages.map(A.deserialize)})})(k=e.ITestTaskState||(e.ITestTaskState={}));const _="\0",T=(s,n)=>s+_+n;e.namespaceTestTag=T;const E=s=>{const n=s.indexOf(_);return{ctrlId:s.slice(0,n),tagId:s.slice(n+1)}};e.denamespaceTestTag=E;var b;(function(s){s.serialize=n=>({extId:n.extId,label:n.label,tags:n.tags,busy:n.busy,children:void 0,uri:n.uri?.toJSON(),range:n.range?.toJSON()||null,description:n.description,error:n.error,sortText:n.sortText}),s.deserialize=n=>({extId:n.extId,label:n.label,tags:n.tags,busy:n.busy,children:void 0,uri:n.uri?u.URI.revive(n.uri):void 0,range:n.range?t.Range.lift(n.range):null,description:n.description,error:n.error,sortText:n.sortText})})(b=e.ITestItem||(e.ITestItem={}));var v;(function(s){s[s.NotExpandable=0]="NotExpandable",s[s.Expandable=1]="Expandable",s[s.BusyExpanding=2]="BusyExpanding",s[s.Expanded=3]="Expanded"})(v=e.TestItemExpandState||(e.TestItemExpandState={}));var h;(function(s){s.serialize=n=>({controllerId:n.controllerId,expand:n.expand,parent:n.parent,item:b.serialize(n.item)}),s.deserialize=n=>({controllerId:n.controllerId,expand:n.expand,parent:n.parent,item:b.deserialize(n.item)})})(h=e.InternalTestItem||(e.InternalTestItem={}));var p;(function(s){s.serialize=n=>{let o;return n.item&&(o={},n.item.label!==void 0&&(o.label=n.item.label),n.item.tags!==void 0&&(o.tags=n.item.tags),n.item.busy!==void 0&&(o.busy=n.item.busy),n.item.uri!==void 0&&(o.uri=n.item.uri?.toJSON()),n.item.range!==void 0&&(o.range=n.item.range?.toJSON()),n.item.description!==void 0&&(o.description=n.item.description),n.item.error!==void 0&&(o.error=n.item.error),n.item.sortText!==void 0&&(o.sortText=n.item.sortText)),{extId:n.extId,expand:n.expand,item:o}},s.deserialize=n=>{let o;return n.item&&(o={},n.item.label!==void 0&&(o.label=n.item.label),n.item.tags!==void 0&&(o.tags=n.item.tags),n.item.busy!==void 0&&(o.busy=n.item.busy),n.item.range!==void 0&&(o.range=n.item.range?t.Range.lift(n.item.range):null),n.item.description!==void 0&&(o.description=n.item.description),n.item.error!==void 0&&(o.error=n.item.error),n.item.sortText!==void 0&&(o.sortText=n.item.sortText)),{extId:n.extId,expand:n.expand,item:o}}})(p=e.ITestItemUpdate||(e.ITestItemUpdate={}));const g=(s,n)=>{n.expand!==void 0&&(s.expand=n.expand),n.item!==void 0&&(s.item=s.item?Object.assign(s.item,n.item):n.item)};e.applyTestItemUpdate=g;var a;(function(s){s.serializeWithoutMessages=n=>({...h.serialize(n),ownComputedState:n.ownComputedState,computedState:n.computedState,tasks:n.tasks.map(k.serializeWithoutMessages),retired:n.retired}),s.serialize=n=>({...h.serialize(n),ownComputedState:n.ownComputedState,computedState:n.computedState,tasks:n.tasks.map(k.serialize),retired:n.retired})})(a=e.TestResultItem||(e.TestResultItem={}));var m;(function(s){s[s.Function=0]="Function",s[s.Statement=1]="Statement"})(m=e.DetailType||(e.DetailType={}));var c;(function(s){s[s.Add=0]="Add",s[s.Update=1]="Update",s[s.Remove=2]="Remove",s[s.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",s[s.Retire=4]="Retire",s[s.AddTag=5]="AddTag",s[s.RemoveTag=6]="RemoveTag"})(c=e.TestDiffOpType||(e.TestDiffOpType={}));var l;(function(s){s.deserialize=n=>n.op===0?{op:n.op,item:h.deserialize(n.item)}:n.op===1?{op:n.op,item:p.deserialize(n.item)}:n,s.serialize=n=>n.op===0?{op:n.op,item:h.serialize(n.item)}:n.op===1?{op:n.op,item:p.serialize(n.item)}:n})(l=e.TestsDiffOp||(e.TestsDiffOp={}));class r{add(n){}update(n){}remove(n,o){}complete(){}}e.IncrementalChangeCollector=r;class i{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(n){const o=this.createChangeCollector();for(const d of n)switch(d.op){case 0:{const f=h.deserialize(d.item);if(f.parent){if(this.items.has(f.parent)){const S=this.items.get(f.parent);S.children.add(f.item.extId);const L=this.createItem(f,S);this.items.set(f.item.extId,L),o.add(L)}}else{const S=this.createItem(f);this.roots.add(S),this.items.set(f.item.extId,S),o.add(S)}f.expand===2&&this.busyControllerCount++;break}case 1:{const f=p.deserialize(d.item),S=this.items.get(f.extId);if(!S)break;f.expand!==void 0&&(S.expand===2&&this.busyControllerCount--,f.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(S,f),o.update(S);break}case 2:{const f=this.items.get(d.itemId);if(!f)break;f.parent?this.items.get(f.parent).children.delete(f.item.extId):this.roots.delete(f);const S=[[d.itemId]];for(;S.length;)for(const L of S.pop()){const M=this.items.get(L);M&&(S.push(M.children),this.items.delete(L),o.remove(M,M!==f),M.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(d.itemId);break;case 3:this.updatePendingRoots(d.amount);break;case 5:this._tags.set(d.tag.id,d.tag);break;case 6:this._tags.delete(d.id);break}o.complete()}retireTest(n){}updatePendingRoots(n){this.pendingRootCount+=n}createChangeCollector(){return new r}}e.AbstractIncrementalTestCollection=i}),define(De[89],Ie([1,0,18,4,6,48,66,65]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTestItemChildren=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.TestItemCollection=e.TestItemEventOp=void 0;var w;(function(h){h[h.Upsert=0]="Upsert",h[h.SetTags=1]="SetTags",h[h.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",h[h.RemoveChild=3]="RemoveChild",h[h.SetProp=4]="SetProp",h[h.Bulk=5]="Bulk"})(w=e.TestItemEventOp||(e.TestItemEventOp={}));const I=(h,p)=>h===p,A={range:(h,p)=>h===p?!0:!h||!p?!1:h.equalsRange(p),busy:I,label:I,description:I,error:I,tags:(h,p)=>!(h.length!==p.length||h.some(g=>!p.includes(g)))},k=(h,p)=>{let g;for(const[a,m]of Object.entries(A))m(h[a],p[a])||(g?g[a]=p[a]:g={[a]:p[a]});return g};class _ extends C.Disposable{constructor(p){super();this.options=p,this.debounceSendDiff=this._register(new u.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new t.Emitter),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}get root(){return this.options.root}set resolveHandler(p){this._resolveHandler=p;for(const g of this.tree.values())this.updateExpandability(g)}collectDiff(){const p=this.diff;return this.diff=[],p}pushDiff(p){const g=this.diff[this.diff.length-1];if(g&&p.op===1){if(g.op===1&&g.item.extId===p.item.extId){(0,y.applyTestItemUpdate)(g.item,p.item);return}if(g.op===0&&g.item.item.extId===p.item.extId){(0,y.applyTestItemUpdate)(g.item,p.item);return}}this.diff.push(p),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(p,g){const a=this.tree.get(p);if(!!a){if((a.expandLevels===void 0||g>a.expandLevels)&&(a.expandLevels=g),a.expand===1){const m=this.resolveChildren(a);return m.isOpen()?this.expandChildren(a,g-1):m.wait().then(()=>this.expandChildren(a,g-1))}else if(a.expand===3)return a.resolveBarrier?.isOpen()===!1?a.resolveBarrier.wait().then(()=>this.expandChildren(a,g-1)):this.expandChildren(a,g-1)}}dispose(){for(const p of this.tree.values())this.options.getApiFor(p.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(p,g){switch(g.op){case 3:this.removeItem(D.TestId.joinToString(p.fullId,g.id));break;case 0:this.upsertItem(g.item,p);break;case 5:for(const a of g.ops)this.onTestItemEvent(p,a);break;case 1:this.diffTagRefs(g.new,g.old,p.fullId.toString());break;case 2:this.updateExpandability(p);break;case 4:this.pushDiff({op:1,item:{extId:p.fullId.toString(),item:g.update}});break;default:(0,P.assertNever)(g)}}upsertItem(p,g){const a=D.TestId.fromExtHostTestItem(p,this.root.id,g?.actual),m=this.options.getApiFor(p);m.parent&&m.parent!==g?.actual&&this.options.getChildren(m.parent).delete(p.id);let c=this.tree.get(a.toString());if(!c){c={fullId:a,actual:p,parent:g?a.parentId:null,expandLevels:g?.expandLevels?g.expandLevels-1:void 0,expand:0},p.tags.forEach(this.incrementTagRefs,this),this.tree.set(c.fullId.toString(),c),this.setItemParent(p,g),this.pushDiff({op:0,item:{parent:c.parent&&c.parent.toString(),controllerId:this.options.controllerId,expand:c.expand,item:this.options.toITestItem(p)}}),this.connectItemAndChildren(p,c,g);return}if(c.actual===p){this.connectItem(p,c,g);return}const l=this.options.getChildren(c.actual),r=c.actual,i=k(this.options.toITestItem(r),this.options.toITestItem(p));this.options.getApiFor(r).listener=void 0,c.actual=p,c.expand=0,i&&(i.hasOwnProperty("tags")&&(this.diffTagRefs(p.tags,r.tags,a.toString()),delete i.tags),this.onTestItemEvent(c,{op:4,update:i})),this.connectItemAndChildren(p,c,g);for(const[s,n]of l)this.options.getChildren(p).get(n.id)||this.removeItem(D.TestId.joinToString(a,n.id))}diffTagRefs(p,g,a){const m=new Set(g.map(c=>c.id));for(const c of p)m.delete(c.id)||this.incrementTagRefs(c);this.pushDiff({op:1,item:{extId:a,item:{tags:p.map(c=>(0,y.namespaceTestTag)(this.options.controllerId,c.id))}}}),m.forEach(this.decrementTagRefs,this)}incrementTagRefs(p){const g=this.tags.get(p.id);g?g.refCount++:(this.tags.set(p.id,{refCount:1}),this.pushDiff({op:5,tag:{id:(0,y.namespaceTestTag)(this.options.controllerId,p.id)}}))}decrementTagRefs(p){const g=this.tags.get(p);g&&!--g.refCount&&(this.tags.delete(p),this.pushDiff({op:6,id:(0,y.namespaceTestTag)(this.options.controllerId,p)}))}setItemParent(p,g){this.options.getApiFor(p).parent=g&&g.actual!==this.root?g.actual:void 0}connectItem(p,g,a){this.setItemParent(p,a);const m=this.options.getApiFor(p);m.parent=a?.actual,m.listener=c=>this.onTestItemEvent(g,c),this.updateExpandability(g)}connectItemAndChildren(p,g,a){this.connectItem(p,g,a);for(const[m,c]of this.options.getChildren(p))this.upsertItem(c,g)}updateExpandability(p){let g;this._resolveHandler?p.resolveBarrier?g=p.resolveBarrier.isOpen()?3:2:g=p.actual.canResolveChildren?1:0:g=0,g!==p.expand&&(p.expand=g,this.pushDiff({op:1,item:{extId:p.fullId.toString(),expand:g}}),g===1&&p.expandLevels!==void 0&&this.resolveChildren(p))}expandChildren(p,g){if(g<0)return;const a=[];for(const[m,c]of this.options.getChildren(p.actual)){const l=this.expand(D.TestId.joinToString(p.fullId,c.id),g);(0,u.isThenable)(l)&&a.push(l)}if(a.length)return Promise.all(a).then(()=>{})}resolveChildren(p){if(p.resolveBarrier)return p.resolveBarrier;if(!this._resolveHandler){const c=new u.Barrier;return c.open(),c}p.expand=2,this.pushExpandStateUpdate(p);const g=p.resolveBarrier=new u.Barrier,a=c=>{console.error(`Unhandled error in resolveHandler of test controller "${this.options.controllerId}"`,c)};let m;try{m=this._resolveHandler(p.actual===this.root?void 0:p.actual)}catch(c){a(c)}return(0,u.isThenable)(m)?m.catch(a).then(()=>{g.open(),this.updateExpandability(p)}):(g.open(),this.updateExpandability(p)),p.resolveBarrier}pushExpandStateUpdate(p){this.pushDiff({op:1,item:{extId:p.fullId.toString(),expand:p.expand}})}removeItem(p){const g=this.tree.get(p);if(!g)throw new Error("attempting to remove non-existent child");this.pushDiff({op:2,itemId:p});const a=[g];for(;a.length;){const m=a.pop();if(!!m){this.options.getApiFor(m.actual).listener=void 0;for(const c of m.actual.tags)this.decrementTagRefs(c.id);this.tree.delete(m.fullId.toString());for(const[c,l]of this.options.getChildren(m.actual))a.push(this.tree.get(D.TestId.joinToString(m.fullId,l.id)))}}}flushDiff(){const p=this.collectDiff();p.length&&this.diffOpEmitter.fire(p)}}e.TestItemCollection=_;class T extends Error{constructor(p){super(`Attempted to insert a duplicate test item ID ${p}`)}}e.DuplicateTestItemError=T;class E extends Error{constructor(p){super(`TestItem with ID "${p}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=E;class b extends Error{constructor(p,g,a){super(`TestItem with ID "${p}" is from controller "${g}" and cannot be added as a child of an item from controller "${a}".`)}}e.MixedTestItemController=b;const v=(h,p,g)=>{let a=new Map;return{get size(){return a.size},forEach(m,c){for(const l of a.values())m.call(c,l,this)},[Symbol.iterator](){return a.entries()},replace(m){const c=new Map,l=new Set(a.keys()),r={op:5,ops:[]};for(const i of m){if(!(i instanceof g))throw new E(i.id);const s=p(i).controllerId;if(s!==h.controllerId)throw new b(i.id,s,h.controllerId);if(c.has(i.id))throw new T(i.id);c.set(i.id,i),l.delete(i.id),r.ops.push({op:0,item:i})}for(const i of l.keys())r.ops.push({op:3,id:i});h.listener?.(r),a=c},add(m){if(!(m instanceof g))throw new E(m.id);a.set(m.id,m),h.listener?.({op:0,item:m})},delete(m){a.delete(m)&&h.listener?.({op:3,id:m})},get(m){return a.get(m)},toJSON(){return Array.from(a.values())}}};e.createTestItemChildren=v}),define(De[129],Ie([1,0,89]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPrivateApiFor=e.createPrivateApiFor=void 0;const t=new WeakMap,C=(y,D)=>{const w={controllerId:D};return t.set(y,w),w};e.createPrivateApiFor=C;const P=y=>{const D=t.get(y);if(!D)throw new u.InvalidTestItemError(y?.id||"<unknown>");return D};e.getPrivateApiFor=P}),define(De[217],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.VariableError=e.VariableKind=e.IConfigurationResolverService=void 0,e.IConfigurationResolverService=(0,u.createDecorator)("configurationResolverService");var t;(function(P){P.Unknown="unknown",P.Env="env",P.Config="config",P.Command="command",P.Input="input",P.ExtensionInstallFolder="extensionInstallFolder",P.WorkspaceFolder="workspaceFolder",P.Cwd="cwd",P.WorkspaceFolderBasename="workspaceFolderBasename",P.UserHome="userHome",P.LineNumber="lineNumber",P.SelectedText="selectedText",P.File="file",P.FileWorkspaceFolder="fileWorkspaceFolder",P.RelativeFile="relativeFile",P.RelativeFileDirname="relativeFileDirname",P.FileDirname="fileDirname",P.FileExtname="fileExtname",P.FileBasename="fileBasename",P.FileBasenameNoExtension="fileBasenameNoExtension",P.FileDirnameBasename="fileDirnameBasename",P.ExecPath="execPath",P.ExecInstallFolder="execInstallFolder",P.PathSeparator="pathSeparator"})(t=e.VariableKind||(e.VariableKind={}));class C extends Error{constructor(y,D){super(D);this.variable=y}}e.VariableError=C}),define(De[218],Ie([1,0,9,40,13,24,11,106,184,217,8]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class k{constructor(T,E,b,v){this._contributedVariables=new Map,this._context=T,this._labelService=E,this._userHomePromise=b,v&&(this._envVariablesPromise=v.then(h=>this.prepareEnv(h)))}prepareEnv(T){if(y.isWindows){const E=Object.create(null);return Object.keys(T).forEach(b=>{E[b.toLowerCase()]=T[b]}),E}return T}resolveWithEnvironment(T,E,b){return this.recursiveResolve({env:this.prepareEnv(T),userHome:void 0},E?E.uri:void 0,b)}async resolveAsync(T,E){const b={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(b,T?T.uri:void 0,E)}async resolveAnyBase(T,E,b,v){const h=P.deepClone(E);y.isWindows&&h.windows?Object.keys(h.windows).forEach(g=>h[g]=h.windows[g]):y.isMacintosh&&h.osx?Object.keys(h.osx).forEach(g=>h[g]=h.osx[g]):y.isLinux&&h.linux&&Object.keys(h.linux).forEach(g=>h[g]=h.linux[g]),delete h.windows,delete h.osx,delete h.linux;const p={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(p,T?T.uri:void 0,h,b,v)}async resolveAnyAsync(T,E,b){return this.resolveAnyBase(T,E,b)}async resolveAnyMap(T,E,b){const v=new Map;return{newConfig:await this.resolveAnyBase(T,E,b,v),resolvedVariables:v}}resolveWithInteractionReplace(T,E,b,v){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(T,E,b,v){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(T,E){if(this._contributedVariables.has(T))throw new Error("Variable "+T+" is contributed twice.");this._contributedVariables.set(T,E)}async recursiveResolve(T,E,b,v,h){if(C.isString(b))return this.resolveString(T,E,b,v,h);if(Array.isArray(b))return Promise.all(b.map(p=>this.recursiveResolve(T,E,p,v,h)));if(C.isObject(b)){const p=Object.create(null),g=await Promise.all(Object.keys(b).map(async a=>[await this.resolveString(T,E,a,v,h),await this.recursiveResolve(T,E,b[a],v,h)]));for(const[a,m]of g)p[a]=m;return p}return b}resolveString(T,E,b,v,h){return(0,A.replaceAsync)(b,k.VARIABLE_REGEXP,async(p,g)=>{if(g.includes(k.VARIABLE_LHS))return p;let a=await this.evaluateSingleVariable(T,p,g,E,v);return h?.set(g,a),a!==p&&C.isString(a)&&a.match(k.VARIABLE_REGEXP)&&(a=await this.resolveString(T,E,a,v,h)),a})}fsPath(T){return this._labelService?this._labelService.getUriLabel(T,{noPrefix:!0}):T.fsPath}async evaluateSingleVariable(T,E,b,v,h){let p;const g=b.split(":");g.length>1&&(b=g[0],p=g[1]);const a=l=>{const r=this._context.getFilePath();if(r)return r;throw new I.VariableError(l,(0,w.localize)(0,null,E))},m=l=>{const r=a(l);if(this._context.getWorkspaceFolderPathForFile){const i=this._context.getWorkspaceFolderPathForFile();if(i)return i}throw new I.VariableError(l,(0,w.localize)(1,null,E,u.basename(r)))},c=l=>{if(p){const r=this._context.getFolderUri(p);if(r)return r;throw new I.VariableError(l,(0,w.localize)(2,null,E,p))}if(v)return v;throw this._context.getWorkspaceFolderCount()>1?new I.VariableError(l,(0,w.localize)(3,null,E)):new I.VariableError(l,(0,w.localize)(4,null,E))};switch(b){case"env":if(p){if(T.env){const l=T.env[y.isWindows?p.toLowerCase():p];if(C.isString(l))return l}return""}throw new I.VariableError(I.VariableKind.Env,(0,w.localize)(5,null,E));case"config":if(p){const l=this._context.getConfigurationValue(v,p);if(C.isUndefinedOrNull(l))throw new I.VariableError(I.VariableKind.Config,(0,w.localize)(6,null,E,p));if(C.isObject(l))throw new I.VariableError(I.VariableKind.Config,(0,w.localize)(7,null,E,p));return l}throw new I.VariableError(I.VariableKind.Config,(0,w.localize)(8,null,E));case"command":return this.resolveFromMap(I.VariableKind.Command,E,p,h,"command");case"input":return this.resolveFromMap(I.VariableKind.Input,E,p,h,"input");case"extensionInstallFolder":if(p){const l=await this._context.getExtension(p);if(!l)throw new I.VariableError(I.VariableKind.ExtensionInstallFolder,(0,w.localize)(9,null,E,p));return this.fsPath(l.extensionLocation)}throw new I.VariableError(I.VariableKind.ExtensionInstallFolder,(0,w.localize)(10,null,E));default:switch(b){case"workspaceRoot":case"workspaceFolder":return(0,D.normalizeDriveLetter)(this.fsPath(c(I.VariableKind.WorkspaceFolder)));case"cwd":return v||p?(0,D.normalizeDriveLetter)(this.fsPath(c(I.VariableKind.Cwd))):t.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return u.basename(this.fsPath(c(I.VariableKind.WorkspaceFolderBasename)));case"userHome":{if(T.userHome)return T.userHome;throw new I.VariableError(I.VariableKind.UserHome,(0,w.localize)(11,null,E))}case"lineNumber":{const l=this._context.getLineNumber();if(l)return l;throw new I.VariableError(I.VariableKind.LineNumber,(0,w.localize)(12,null,E))}case"selectedText":{const l=this._context.getSelectedText();if(l)return l;throw new I.VariableError(I.VariableKind.SelectedText,(0,w.localize)(13,null,E))}case"file":return a(I.VariableKind.File);case"fileWorkspaceFolder":return m(I.VariableKind.FileWorkspaceFolder);case"relativeFile":return v||p?u.relative(this.fsPath(c(I.VariableKind.RelativeFile)),a(I.VariableKind.RelativeFile)):a(I.VariableKind.RelativeFile);case"relativeFileDirname":{const l=u.dirname(a(I.VariableKind.RelativeFileDirname));if(v||p){const r=u.relative(this.fsPath(c(I.VariableKind.RelativeFileDirname)),l);return r.length===0?".":r}return l}case"fileDirname":return u.dirname(a(I.VariableKind.FileDirname));case"fileExtname":return u.extname(a(I.VariableKind.FileExtname));case"fileBasename":return u.basename(a(I.VariableKind.FileBasename));case"fileBasenameNoExtension":{const l=u.basename(a(I.VariableKind.FileBasenameNoExtension));return l.slice(0,l.length-u.extname(l).length)}case"fileDirnameBasename":return u.basename(u.dirname(a(I.VariableKind.FileDirnameBasename)));case"execPath":{const l=this._context.getExecPath();return l||E}case"execInstallFolder":{const l=this._context.getAppRoot();return l||E}case"pathSeparator":return u.sep;default:try{const l=p?`${b}:${p}`:b;return this.resolveFromMap(I.VariableKind.Unknown,E,l,h,void 0)}catch{return E}}}}resolveFromMap(T,E,b,v,h){if(b&&v){const p=h===void 0?v[b]:v[h+":"+b];if(typeof p=="string")return p;throw new I.VariableError(T,(0,w.localize)(14,null,E))}return E}}e.AbstractVariableResolverService=k,k.VARIABLE_LHS="${",k.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(De[130],Ie([1,0,3,126]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,u.createDecorator)("editorGroupsService");var C;(function(E){E[E.UP=0]="UP",E[E.DOWN=1]="DOWN",E[E.LEFT=2]="LEFT",E[E.RIGHT=3]="RIGHT"})(C=e.GroupDirection||(e.GroupDirection={}));var P;(function(E){E[E.HORIZONTAL=0]="HORIZONTAL",E[E.VERTICAL=1]="VERTICAL"})(P=e.GroupOrientation||(e.GroupOrientation={}));var y;(function(E){E[E.FIRST=0]="FIRST",E[E.LAST=1]="LAST",E[E.NEXT=2]="NEXT",E[E.PREVIOUS=3]="PREVIOUS"})(y=e.GroupLocation||(e.GroupLocation={}));var D;(function(E){E[E.MAXIMIZE=0]="MAXIMIZE",E[E.EVEN=1]="EVEN",E[E.TOGGLE=2]="TOGGLE"})(D=e.GroupsArrangement||(e.GroupsArrangement={}));var w;(function(E){E[E.COPY_EDITORS=0]="COPY_EDITORS",E[E.MOVE_EDITORS=1]="MOVE_EDITORS"})(w=e.MergeGroupMode||(e.MergeGroupMode={}));function I(E){const b=E;return(0,t.isEditorInput)(b?.editor)&&(0,t.isEditorInput)(b?.replacement)}e.isEditorReplacement=I;var A;(function(E){E[E.CREATION_TIME=0]="CREATION_TIME",E[E.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",E[E.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(A=e.GroupsOrder||(e.GroupsOrder={}));var k;(function(E){E[E.NEW_EDITOR=1]="NEW_EDITOR",E[E.MOVE_EDITOR=2]="MOVE_EDITOR",E[E.COPY_EDITOR=3]="COPY_EDITOR"})(k=e.OpenEditorContext||(e.OpenEditorContext={}));function _(E){const b=E;return!!b&&typeof b.id=="number"&&Array.isArray(b.editors)}e.isEditorGroup=_;function T(E){return E.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=T}),define(De[219],Ie([1,0,3,130]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,u.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function C(P){const y=P;return typeof P=="number"||(0,t.isEditorGroup)(y)}e.isPreferredGroup=C}),define(De[16],Ie([1,0,17,23,105,25,144,62,24,13,2,35,64,116,129,126,128,65,66,219,7,59]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var c;(function(Te){function Oe(ne){const{selectionStartLineNumber:Fe,selectionStartColumn:Ve,positionLineNumber:rt,positionColumn:Ye}=ne,Ke=new a.Position(Fe-1,Ve-1),ft=new a.Position(rt-1,Ye-1);return new a.Selection(Ke,ft)}Te.to=Oe;function _e(ne){const{anchor:Fe,active:Ve}=ne;return{selectionStartLineNumber:Fe.line+1,selectionStartColumn:Fe.character+1,positionLineNumber:Ve.line+1,positionColumn:Ve.character+1}}Te.from=_e})(c=e.Selection||(e.Selection={}));var l;(function(Te){function Oe(ne){if(!ne)return;const{start:Fe,end:Ve}=ne;return{startLineNumber:Fe.line+1,startColumn:Fe.character+1,endLineNumber:Ve.line+1,endColumn:Ve.character+1}}Te.from=Oe;function _e(ne){if(!ne)return;const{startLineNumber:Fe,startColumn:Ve,endLineNumber:rt,endColumn:Ye}=ne;return new a.Range(Fe-1,Ve-1,rt-1,Ye-1)}Te.to=_e})(l=e.Range||(e.Range={}));var r;(function(Te){function Oe(_e){switch(_e){case 1:return a.StandardTokenType.Comment;case 0:return a.StandardTokenType.Other;case 3:return a.StandardTokenType.RegEx;case 2:return a.StandardTokenType.String}}Te.to=Oe})(r=e.TokenType||(e.TokenType={}));var i;(function(Te){function Oe(ne){return new a.Position(ne.lineNumber-1,ne.column-1)}Te.to=Oe;function _e(ne){return{lineNumber:ne.line+1,column:ne.character+1}}Te.from=_e})(i=e.Position||(e.Position={}));var s;(function(Te){function Oe(Fe,Ve){return(0,u.coalesce)((0,u.asArray)(Fe).map(rt=>_e(rt,Ve)))}Te.from=Oe;function _e(Fe,Ve){if(typeof Fe=="string")return{$serialized:!0,language:Fe};if(Fe)return{$serialized:!0,language:Fe.language,scheme:ne(Fe.scheme,Ve),pattern:G.from(Fe.pattern)??void 0,exclusive:Fe.exclusive,notebookType:Fe.notebookType}}function ne(Fe,Ve){return Ve&&typeof Fe=="string"?Ve.transformOutgoingScheme(Fe):Fe}})(s=e.DocumentSelector||(e.DocumentSelector={}));var n;(function(Te){function Oe(ne){switch(ne){case a.DiagnosticTag.Unnecessary:return 1;case a.DiagnosticTag.Deprecated:return 2}}Te.from=Oe;function _e(ne){switch(ne){case 1:return a.DiagnosticTag.Unnecessary;case 2:return a.DiagnosticTag.Deprecated;default:return}}Te.to=_e})(n=e.DiagnosticTag||(e.DiagnosticTag={}));var o;(function(Te){function Oe(ne){let Fe;return ne.code&&((0,I.isString)(ne.code)||(0,I.isNumber)(ne.code)?Fe=String(ne.code):Fe={value:String(ne.code.value),target:ne.code.target}),{...l.from(ne.range),message:ne.message,source:ne.source,code:Fe,severity:f.from(ne.severity),relatedInformation:ne.relatedInformation&&ne.relatedInformation.map(d.from),tags:Array.isArray(ne.tags)?(0,u.coalesce)(ne.tags.map(n.from)):void 0}}Te.from=Oe;function _e(ne){const Fe=new a.Diagnostic(l.to(ne),ne.message,f.to(ne.severity));return Fe.source=ne.source,Fe.code=(0,I.isString)(ne.code)?ne.code:ne.code?.value,Fe.relatedInformation=ne.relatedInformation&&ne.relatedInformation.map(d.to),Fe.tags=ne.tags&&(0,u.coalesce)(ne.tags.map(n.to)),Fe}Te.to=_e})(o=e.Diagnostic||(e.Diagnostic={}));var d;(function(Te){function Oe(ne){return{...l.from(ne.location.range),message:ne.message,resource:ne.location.uri}}Te.from=Oe;function _e(ne){return new a.DiagnosticRelatedInformation(new a.Location(ne.resource,l.to(ne)),ne.message)}Te.to=_e})(d=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var f;(function(Te){function Oe(ne){switch(ne){case a.DiagnosticSeverity.Error:return T.MarkerSeverity.Error;case a.DiagnosticSeverity.Warning:return T.MarkerSeverity.Warning;case a.DiagnosticSeverity.Information:return T.MarkerSeverity.Info;case a.DiagnosticSeverity.Hint:return T.MarkerSeverity.Hint}return T.MarkerSeverity.Error}Te.from=Oe;function _e(ne){switch(ne){case T.MarkerSeverity.Info:return a.DiagnosticSeverity.Information;case T.MarkerSeverity.Warning:return a.DiagnosticSeverity.Warning;case T.MarkerSeverity.Error:return a.DiagnosticSeverity.Error;case T.MarkerSeverity.Hint:return a.DiagnosticSeverity.Hint;default:return a.DiagnosticSeverity.Error}}Te.to=_e})(f=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var S;(function(Te){function Oe(ne){return typeof ne=="number"&&ne>=a.ViewColumn.One?ne-1:ne===a.ViewColumn.Beside?g.SIDE_GROUP:g.ACTIVE_GROUP}Te.from=Oe;function _e(ne){if(typeof ne=="number"&&ne>=0)return ne+1;throw new Error("invalid 'EditorGroupColumn'")}Te.to=_e})(S=e.ViewColumn||(e.ViewColumn={}));function L(Te){return typeof Te.range!="undefined"}function M(Te){return Te.length===0?!0:!!L(Te[0])}e.isDecorationOptionsArr=M;var B;(function(Te){function Oe(Ye){return Ye.map(Te.from)}Te.fromMany=Oe;function _e(Ye){return Ye&&typeof Ye=="object"&&typeof Ye.language=="string"&&typeof Ye.value=="string"}function ne(Ye){let Ke;if(_e(Ye)){const{language:vt,value:St}=Ye;Ke={value:"```"+vt+`
`+St+"\n```\n"}}else a.MarkdownString.isMarkdownString(Ye)?Ke={value:Ye.value,isTrusted:Ye.isTrusted,supportThemeIcons:Ye.supportThemeIcons,supportHtml:Ye.supportHtml,baseUri:Ye.baseUri}:typeof Ye=="string"?Ke={value:Ye}:Ke={value:""};const ft=Object.create(null);Ke.uris=ft;const pt=vt=>{try{let St=A.URI.parse(vt,!0);St=St.with({query:Fe(St.query,ft)}),ft[vt]=St}catch{}return""},Dt=new y.marked.Renderer;return Dt.link=pt,Dt.image=vt=>typeof vt=="string"?pt(C.parseHrefAndDimensions(vt).href):"",(0,y.marked)(Ke.value,{renderer:Dt}),Ke}Te.from=ne;function Fe(Ye,Ke){if(!Ye)return Ye;let ft;try{ft=(0,D.parse)(Ye)}catch{}if(!ft)return Ye;let pt=!1;return ft=(0,w.cloneAndChange)(ft,Dt=>{if(A.URI.isUri(Dt)){const vt=`__uri_${Math.random().toString(16).slice(2,8)}`;return Ke[vt]=Dt,pt=!0,vt}else return}),pt?JSON.stringify(ft):Ye}function Ve(Ye){const Ke=new a.MarkdownString(Ye.value,Ye.supportThemeIcons);return Ke.isTrusted=Ye.isTrusted,Ke.supportHtml=Ye.supportHtml,Ke.baseUri=Ye.baseUri?A.URI.from(Ye.baseUri):void 0,Ke}Te.to=Ve;function rt(Ye){if(!!Ye)return typeof Ye=="string"?Ye:Te.from(Ye)}Te.fromStrict=rt})(B=e.MarkdownString||(e.MarkdownString={}));function R(Te){return M(Te)?Te.map(Oe=>({range:l.from(Oe.range),hoverMessage:Array.isArray(Oe.hoverMessage)?B.fromMany(Oe.hoverMessage):Oe.hoverMessage?B.from(Oe.hoverMessage):void 0,renderOptions:Oe.renderOptions})):Te.map(Oe=>({range:l.from(Oe)}))}e.fromRangeOrRangeWithMessage=R;function U(Te){return typeof Te=="undefined"?Te:typeof Te=="string"?A.URI.file(Te):Te}e.pathOrURIToURI=U;var $;(function(Te){function Oe(_e){return typeof _e=="undefined"?_e:{contentText:_e.contentText,contentIconPath:_e.contentIconPath?U(_e.contentIconPath):void 0,border:_e.border,borderColor:_e.borderColor,fontStyle:_e.fontStyle,fontWeight:_e.fontWeight,textDecoration:_e.textDecoration,color:_e.color,backgroundColor:_e.backgroundColor,margin:_e.margin,width:_e.width,height:_e.height}}Te.from=Oe})($=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var N;(function(Te){function Oe(_e){return typeof _e=="undefined"?_e:{backgroundColor:_e.backgroundColor,outline:_e.outline,outlineColor:_e.outlineColor,outlineStyle:_e.outlineStyle,outlineWidth:_e.outlineWidth,border:_e.border,borderColor:_e.borderColor,borderRadius:_e.borderRadius,borderSpacing:_e.borderSpacing,borderStyle:_e.borderStyle,borderWidth:_e.borderWidth,fontStyle:_e.fontStyle,fontWeight:_e.fontWeight,textDecoration:_e.textDecoration,cursor:_e.cursor,color:_e.color,opacity:_e.opacity,letterSpacing:_e.letterSpacing,gutterIconPath:_e.gutterIconPath?U(_e.gutterIconPath):void 0,gutterIconSize:_e.gutterIconSize,overviewRulerColor:_e.overviewRulerColor,before:_e.before?$.from(_e.before):void 0,after:_e.after?$.from(_e.after):void 0}}Te.from=Oe})(N=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var X;(function(Te){function Oe(_e){if(typeof _e=="undefined")return _e;switch(_e){case a.DecorationRangeBehavior.OpenOpen:return 0;case a.DecorationRangeBehavior.ClosedClosed:return 1;case a.DecorationRangeBehavior.OpenClosed:return 2;case a.DecorationRangeBehavior.ClosedOpen:return 3}}Te.from=Oe})(X=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var z;(function(Te){function Oe(_e){return{isWholeLine:_e.isWholeLine,rangeBehavior:_e.rangeBehavior?X.from(_e.rangeBehavior):void 0,overviewRulerLane:_e.overviewRulerLane,light:_e.light?N.from(_e.light):void 0,dark:_e.dark?N.from(_e.dark):void 0,backgroundColor:_e.backgroundColor,outline:_e.outline,outlineColor:_e.outlineColor,outlineStyle:_e.outlineStyle,outlineWidth:_e.outlineWidth,border:_e.border,borderColor:_e.borderColor,borderRadius:_e.borderRadius,borderSpacing:_e.borderSpacing,borderStyle:_e.borderStyle,borderWidth:_e.borderWidth,fontStyle:_e.fontStyle,fontWeight:_e.fontWeight,textDecoration:_e.textDecoration,cursor:_e.cursor,color:_e.color,opacity:_e.opacity,letterSpacing:_e.letterSpacing,gutterIconPath:_e.gutterIconPath?U(_e.gutterIconPath):void 0,gutterIconSize:_e.gutterIconSize,overviewRulerColor:_e.overviewRulerColor,before:_e.before?$.from(_e.before):void 0,after:_e.after?$.from(_e.after):void 0}}Te.from=Oe})(z=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var O;(function(Te){function Oe(ne){return{text:ne.newText,eol:ne.newEol&&Qe.from(ne.newEol),range:l.from(ne.range)}}Te.from=Oe;function _e(ne){const Fe=new a.TextEdit(l.to(ne.range),ne.text);return Fe.newEol=typeof ne.eol=="undefined"?void 0:Qe.to(ne.eol),Fe}Te.to=_e})(O=e.TextEdit||(e.TextEdit={}));var x;(function(Te){function Oe(ne,Fe,Ve){const rt={edits:[]};if(ne instanceof a.WorkspaceEdit){const Ye=new P.ResourceSet;for(const Ke of ne._allEntries())Ke._type===1&&A.URI.isUri(Ke.to)&&Ke.from===void 0&&Ye.add(Ke.to);for(const Ke of ne._allEntries())if(Ke._type===1)rt.edits.push({oldResource:Ke.from,newResource:Ke.to,options:Ke.options,metadata:Ke.metadata});else if(Ke._type===2)rt.edits.push({resource:Ke.uri,textEdit:O.from(Ke.edit),versionId:Ye.has(Ke.uri)?void 0:Fe?.getTextDocumentVersion(Ke.uri),metadata:Ke.metadata});else if(Ke._type===6){if(!Ve){console.warn("DROPPING snippet text edit because proposal IS NOT ENABLED",Ke);continue}rt.edits.push({resource:Ke.uri,textEdit:{range:l.from(Ke.range),text:Ke.edit.value,insertAsSnippet:!0},versionId:Ye.has(Ke.uri)?void 0:Fe?.getTextDocumentVersion(Ke.uri),metadata:Ke.metadata})}else Ke._type===3?rt.edits.push({metadata:Ke.metadata,resource:Ke.uri,cellEdit:Ke.edit,notebookMetadata:Ke.notebookMetadata,notebookVersionId:Fe?.getNotebookDocumentVersion(Ke.uri)}):Ke._type===5&&rt.edits.push({metadata:Ke.metadata,resource:Ke.uri,notebookVersionId:Fe?.getNotebookDocumentVersion(Ke.uri),cellEdit:{editType:1,index:Ke.index,count:Ke.count,cells:Ke.cells.map(it.from)}})}return rt}Te.from=Oe;function _e(ne){const Fe=new a.WorkspaceEdit;for(const Ve of ne.edits)Ve.textEdit?Fe.replace(A.URI.revive(Ve.resource),l.to(Ve.textEdit.range),Ve.textEdit.text):Fe.renameFile(A.URI.revive(Ve.oldResource),A.URI.revive(Ve.newResource),Ve.options);return Fe}Te.to=_e})(x=e.WorkspaceEdit||(e.WorkspaceEdit={}));var V;(function(Te){const Oe=Object.create(null);Oe[a.SymbolKind.File]=0,Oe[a.SymbolKind.Module]=1,Oe[a.SymbolKind.Namespace]=2,Oe[a.SymbolKind.Package]=3,Oe[a.SymbolKind.Class]=4,Oe[a.SymbolKind.Method]=5,Oe[a.SymbolKind.Property]=6,Oe[a.SymbolKind.Field]=7,Oe[a.SymbolKind.Constructor]=8,Oe[a.SymbolKind.Enum]=9,Oe[a.SymbolKind.Interface]=10,Oe[a.SymbolKind.Function]=11,Oe[a.SymbolKind.Variable]=12,Oe[a.SymbolKind.Constant]=13,Oe[a.SymbolKind.String]=14,Oe[a.SymbolKind.Number]=15,Oe[a.SymbolKind.Boolean]=16,Oe[a.SymbolKind.Array]=17,Oe[a.SymbolKind.Object]=18,Oe[a.SymbolKind.Key]=19,Oe[a.SymbolKind.Null]=20,Oe[a.SymbolKind.EnumMember]=21,Oe[a.SymbolKind.Struct]=22,Oe[a.SymbolKind.Event]=23,Oe[a.SymbolKind.Operator]=24,Oe[a.SymbolKind.TypeParameter]=25;function _e(Fe){return typeof Oe[Fe]=="number"?Oe[Fe]:6}Te.from=_e;function ne(Fe){for(const Ve in Oe)if(Oe[Ve]===Fe)return Number(Ve);return a.SymbolKind.Property}Te.to=ne})(V=e.SymbolKind||(e.SymbolKind={}));var q;(function(Te){function Oe(ne){switch(ne){case a.SymbolTag.Deprecated:return 1}}Te.from=Oe;function _e(ne){switch(ne){case 1:return a.SymbolTag.Deprecated}}Te.to=_e})(q=e.SymbolTag||(e.SymbolTag={}));var J;(function(Te){function Oe(ne){return{name:ne.name,kind:V.from(ne.kind),tags:ne.tags&&ne.tags.map(q.from),containerName:ne.containerName,location:pe.from(ne.location)}}Te.from=Oe;function _e(ne){const Fe=new a.SymbolInformation(ne.name,V.to(ne.kind),ne.containerName,pe.to(ne.location));return Fe.tags=ne.tags&&ne.tags.map(q.to),Fe}Te.to=_e})(J=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var Y;(function(Te){function Oe(ne){const Fe={name:ne.name||"!!MISSING: name!!",detail:ne.detail,range:l.from(ne.range),selectionRange:l.from(ne.selectionRange),kind:V.from(ne.kind),tags:ne.tags?.map(q.from)??[]};return ne.children&&(Fe.children=ne.children.map(Oe)),Fe}Te.from=Oe;function _e(ne){const Fe=new a.DocumentSymbol(ne.name,ne.detail,V.to(ne.kind),l.to(ne.range),l.to(ne.selectionRange));return(0,u.isNonEmptyArray)(ne.tags)&&(Fe.tags=ne.tags.map(q.to)),ne.children&&(Fe.children=ne.children.map(_e)),Fe}Te.to=_e})(Y=e.DocumentSymbol||(e.DocumentSymbol={}));var he;(function(Te){function Oe(ne){const Fe=new a.CallHierarchyItem(V.to(ne.kind),ne.name,ne.detail||"",A.URI.revive(ne.uri),l.to(ne.range),l.to(ne.selectionRange));return Fe._sessionId=ne._sessionId,Fe._itemId=ne._itemId,Fe}Te.to=Oe;function _e(ne,Fe,Ve){if(Fe=Fe??ne._sessionId,Ve=Ve??ne._itemId,Fe===void 0||Ve===void 0)throw new Error("invalid item");return{_sessionId:Fe,_itemId:Ve,name:ne.name,detail:ne.detail,kind:V.from(ne.kind),uri:ne.uri,range:l.from(ne.range),selectionRange:l.from(ne.selectionRange),tags:ne.tags?.map(q.from)}}Te.from=_e})(he=e.CallHierarchyItem||(e.CallHierarchyItem={}));var ve;(function(Te){function Oe(_e){return new a.CallHierarchyIncomingCall(he.to(_e.from),_e.fromRanges.map(ne=>l.to(ne)))}Te.to=Oe})(ve=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var re;(function(Te){function Oe(_e){return new a.CallHierarchyOutgoingCall(he.to(_e.to),_e.fromRanges.map(ne=>l.to(ne)))}Te.to=Oe})(re=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var pe;(function(Te){function Oe(ne){return{range:ne.range&&l.from(ne.range),uri:ne.uri}}Te.from=Oe;function _e(ne){return new a.Location(A.URI.revive(ne.uri),l.to(ne.range))}Te.to=_e})(pe=e.location||(e.location={}));var be;(function(Te){function Oe(ne){const Fe=ne,Ve=ne;return{originSelectionRange:Fe.originSelectionRange?l.from(Fe.originSelectionRange):void 0,uri:Fe.targetUri?Fe.targetUri:Ve.uri,range:l.from(Fe.targetRange?Fe.targetRange:Ve.range),targetSelectionRange:Fe.targetSelectionRange?l.from(Fe.targetSelectionRange):void 0}}Te.from=Oe;function _e(ne){return{targetUri:A.URI.revive(ne.uri),targetRange:l.to(ne.range),targetSelectionRange:ne.targetSelectionRange?l.to(ne.targetSelectionRange):void 0,originSelectionRange:ne.originSelectionRange?l.to(ne.originSelectionRange):void 0}}Te.to=_e})(be=e.DefinitionLink||(e.DefinitionLink={}));var ke;(function(Te){function Oe(ne){return{range:l.from(ne.range),contents:B.fromMany(ne.contents)}}Te.from=Oe;function _e(ne){return new a.Hover(ne.contents.map(B.to),l.to(ne.range))}Te.to=_e})(ke=e.Hover||(e.Hover={}));var Re;(function(Te){function Oe(ne){return{range:l.from(ne.range),expression:ne.expression}}Te.from=Oe;function _e(ne){return new a.EvaluatableExpression(l.to(ne.range),ne.expression)}Te.to=_e})(Re=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Ue;(function(Te){function Oe(ne){if(ne instanceof a.InlineValueText)return{type:"text",range:l.from(ne.range),text:ne.text};if(ne instanceof a.InlineValueVariableLookup)return{type:"variable",range:l.from(ne.range),variableName:ne.variableName,caseSensitiveLookup:ne.caseSensitiveLookup};if(ne instanceof a.InlineValueEvaluatableExpression)return{type:"expression",range:l.from(ne.range),expression:ne.expression};throw new Error("Unknown 'InlineValue' type")}Te.from=Oe;function _e(ne){switch(ne.type){case"text":return{range:l.to(ne.range),text:ne.text};case"variable":return{range:l.to(ne.range),variableName:ne.variableName,caseSensitiveLookup:ne.caseSensitiveLookup};case"expression":return{range:l.to(ne.range),expression:ne.expression}}}Te.to=_e})(Ue=e.InlineValue||(e.InlineValue={}));var ae;(function(Te){function Oe(ne){return{frameId:ne.frameId,stoppedLocation:l.from(ne.stoppedLocation)}}Te.from=Oe;function _e(ne){return new a.InlineValueContext(ne.frameId,l.to(ne.stoppedLocation))}Te.to=_e})(ae=e.InlineValueContext||(e.InlineValueContext={}));var de;(function(Te){function Oe(ne){return{range:l.from(ne.range),kind:ne.kind}}Te.from=Oe;function _e(ne){return new a.DocumentHighlight(l.to(ne.range),ne.kind)}Te.to=_e})(de=e.DocumentHighlight||(e.DocumentHighlight={}));var ge;(function(Te){function Oe(_e){switch(_e){case 1:return a.CompletionTriggerKind.TriggerCharacter;case 2:return a.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return a.CompletionTriggerKind.Invoke}}Te.to=Oe})(ge=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var te;(function(Te){function Oe(_e){return{triggerKind:ge.to(_e.triggerKind),triggerCharacter:_e.triggerCharacter}}Te.to=Oe})(te=e.CompletionContext||(e.CompletionContext={}));var le;(function(Te){function Oe(ne){switch(ne){case a.CompletionItemTag.Deprecated:return 1}}Te.from=Oe;function _e(ne){switch(ne){case 1:return a.CompletionItemTag.Deprecated}}Te.to=_e})(le=e.CompletionItemTag||(e.CompletionItemTag={}));var ee;(function(Te){const Oe=new Map([[a.CompletionItemKind.Method,0],[a.CompletionItemKind.Function,1],[a.CompletionItemKind.Constructor,2],[a.CompletionItemKind.Field,3],[a.CompletionItemKind.Variable,4],[a.CompletionItemKind.Class,5],[a.CompletionItemKind.Interface,7],[a.CompletionItemKind.Struct,6],[a.CompletionItemKind.Module,8],[a.CompletionItemKind.Property,9],[a.CompletionItemKind.Unit,12],[a.CompletionItemKind.Value,13],[a.CompletionItemKind.Constant,14],[a.CompletionItemKind.Enum,15],[a.CompletionItemKind.EnumMember,16],[a.CompletionItemKind.Keyword,17],[a.CompletionItemKind.Snippet,27],[a.CompletionItemKind.Text,18],[a.CompletionItemKind.Color,19],[a.CompletionItemKind.File,20],[a.CompletionItemKind.Reference,21],[a.CompletionItemKind.Folder,23],[a.CompletionItemKind.Event,10],[a.CompletionItemKind.Operator,11],[a.CompletionItemKind.TypeParameter,24],[a.CompletionItemKind.Issue,26],[a.CompletionItemKind.User,25]]);function _e(Ve){return Oe.get(Ve)??9}Te.from=_e;const ne=new Map([[0,a.CompletionItemKind.Method],[1,a.CompletionItemKind.Function],[2,a.CompletionItemKind.Constructor],[3,a.CompletionItemKind.Field],[4,a.CompletionItemKind.Variable],[5,a.CompletionItemKind.Class],[7,a.CompletionItemKind.Interface],[6,a.CompletionItemKind.Struct],[8,a.CompletionItemKind.Module],[9,a.CompletionItemKind.Property],[12,a.CompletionItemKind.Unit],[13,a.CompletionItemKind.Value],[14,a.CompletionItemKind.Constant],[15,a.CompletionItemKind.Enum],[16,a.CompletionItemKind.EnumMember],[17,a.CompletionItemKind.Keyword],[27,a.CompletionItemKind.Snippet],[18,a.CompletionItemKind.Text],[19,a.CompletionItemKind.Color],[20,a.CompletionItemKind.File],[21,a.CompletionItemKind.Reference],[23,a.CompletionItemKind.Folder],[10,a.CompletionItemKind.Event],[11,a.CompletionItemKind.Operator],[24,a.CompletionItemKind.TypeParameter],[25,a.CompletionItemKind.User],[26,a.CompletionItemKind.Issue]]);function Fe(Ve){return ne.get(Ve)??a.CompletionItemKind.Property}Te.to=Fe})(ee=e.CompletionItemKind||(e.CompletionItemKind={}));var ie;(function(Te){function Oe(_e,ne){const Fe=new a.CompletionItem(_e.label);return Fe.insertText=_e.insertText,Fe.kind=ee.to(_e.kind),Fe.tags=_e.tags?.map(le.to),Fe.detail=_e.detail,Fe.documentation=C.isMarkdownString(_e.documentation)?B.to(_e.documentation):_e.documentation,Fe.sortText=_e.sortText,Fe.filterText=_e.filterText,Fe.preselect=_e.preselect,Fe.commitCharacters=_e.commitCharacters,k.Range.isIRange(_e.range)?Fe.range=l.to(_e.range):typeof _e.range=="object"&&(Fe.range={inserting:l.to(_e.range.insert),replacing:l.to(_e.range.replace)}),Fe.keepWhitespace=typeof _e.insertTextRules=="undefined"?!1:Boolean(_e.insertTextRules&1),typeof _e.insertTextRules!="undefined"&&_e.insertTextRules&4?Fe.insertText=new a.SnippetString(_e.insertText):(Fe.insertText=_e.insertText,Fe.textEdit=Fe.range instanceof a.Range?new a.TextEdit(Fe.range,Fe.insertText):void 0),_e.additionalTextEdits&&_e.additionalTextEdits.length>0&&(Fe.additionalTextEdits=_e.additionalTextEdits.map(Ve=>O.to(Ve))),Fe.command=ne&&_e.command?ne.fromInternal(_e.command):void 0,Fe}Te.to=Oe})(ie=e.CompletionItem||(e.CompletionItem={}));var F;(function(Te){function Oe(ne){return{label:ne.label,documentation:B.fromStrict(ne.documentation)}}Te.from=Oe;function _e(ne){return{label:ne.label,documentation:C.isMarkdownString(ne.documentation)?B.to(ne.documentation):ne.documentation}}Te.to=_e})(F=e.ParameterInformation||(e.ParameterInformation={}));var H;(function(Te){function Oe(ne){return{label:ne.label,documentation:B.fromStrict(ne.documentation),parameters:Array.isArray(ne.parameters)?ne.parameters.map(F.from):[],activeParameter:ne.activeParameter}}Te.from=Oe;function _e(ne){return{label:ne.label,documentation:C.isMarkdownString(ne.documentation)?B.to(ne.documentation):ne.documentation,parameters:Array.isArray(ne.parameters)?ne.parameters.map(F.to):[],activeParameter:ne.activeParameter}}Te.to=_e})(H=e.SignatureInformation||(e.SignatureInformation={}));var K;(function(Te){function Oe(ne){return{activeSignature:ne.activeSignature,activeParameter:ne.activeParameter,signatures:Array.isArray(ne.signatures)?ne.signatures.map(H.from):[]}}Te.from=Oe;function _e(ne){return{activeSignature:ne.activeSignature,activeParameter:ne.activeParameter,signatures:Array.isArray(ne.signatures)?ne.signatures.map(H.to):[]}}Te.to=_e})(K=e.SignatureHelp||(e.SignatureHelp={}));var Q;(function(Te){function Oe(_e,ne){const Fe=new a.InlayHint(i.to(ne.position),typeof ne.label=="string"?ne.label:ne.label.map(fe.to.bind(void 0,_e)),ne.kind&&we.to(ne.kind));return Fe.textEdits=ne.textEdits&&ne.textEdits.map(O.to),Fe.tooltip=C.isMarkdownString(ne.tooltip)?B.to(ne.tooltip):ne.tooltip,Fe.paddingLeft=ne.paddingLeft,Fe.paddingRight=ne.paddingRight,Fe}Te.to=Oe})(Q=e.InlayHint||(e.InlayHint={}));var fe;(function(Te){function Oe(_e,ne){const Fe=new a.InlayHintLabelPart(ne.label);return Fe.tooltip=C.isMarkdownString(ne.tooltip)?B.to(ne.tooltip):ne.tooltip,_.Command.is(ne.command)&&(Fe.command=_e.fromInternal(ne.command)),ne.location&&(Fe.location=pe.to(ne.location)),Fe}Te.to=Oe})(fe=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var we;(function(Te){function Oe(ne){return ne}Te.from=Oe;function _e(ne){return ne}Te.to=_e})(we=e.InlayHintKind||(e.InlayHintKind={}));var ue;(function(Te){function Oe(ne){return{range:l.from(ne.range),url:ne.target,tooltip:ne.tooltip}}Te.from=Oe;function _e(ne){let Fe;if(ne.url)try{Fe=typeof ne.url=="string"?A.URI.parse(ne.url,!0):A.URI.revive(ne.url)}catch{}return new a.DocumentLink(l.to(ne.range),Fe)}Te.to=_e})(ue=e.DocumentLink||(e.DocumentLink={}));var Ce;(function(Te){function Oe(ne){const Fe=new a.ColorPresentation(ne.label);return ne.textEdit&&(Fe.textEdit=O.to(ne.textEdit)),ne.additionalTextEdits&&(Fe.additionalTextEdits=ne.additionalTextEdits.map(Ve=>O.to(Ve))),Fe}Te.to=Oe;function _e(ne){return{label:ne.label,textEdit:ne.textEdit?O.from(ne.textEdit):void 0,additionalTextEdits:ne.additionalTextEdits?ne.additionalTextEdits.map(Fe=>O.from(Fe)):void 0}}Te.from=_e})(Ce=e.ColorPresentation||(e.ColorPresentation={}));var Se;(function(Te){function Oe(ne){return new a.Color(ne[0],ne[1],ne[2],ne[3])}Te.to=Oe;function _e(ne){return[ne.red,ne.green,ne.blue,ne.alpha]}Te.from=_e})(Se=e.Color||(e.Color={}));var Be;(function(Te){function Oe(ne){return{range:l.from(ne.range)}}Te.from=Oe;function _e(ne){return new a.SelectionRange(l.to(ne.range))}Te.to=_e})(Be=e.SelectionRange||(e.SelectionRange={}));var qe;(function(Te){function Oe(_e){switch(_e){case 2:return a.TextDocumentSaveReason.AfterDelay;case 1:return a.TextDocumentSaveReason.Manual;case 3:case 4:return a.TextDocumentSaveReason.FocusOut}}Te.to=Oe})(qe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Je;(function(Te){function Oe(ne){switch(ne){case a.TextEditorLineNumbersStyle.Off:return 0;case a.TextEditorLineNumbersStyle.Relative:return 2;case a.TextEditorLineNumbersStyle.On:default:return 1}}Te.from=Oe;function _e(ne){switch(ne){case 0:return a.TextEditorLineNumbersStyle.Off;case 2:return a.TextEditorLineNumbersStyle.Relative;case 1:default:return a.TextEditorLineNumbersStyle.On}}Te.to=_e})(Je=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Qe;(function(Te){function Oe(ne){if(ne===a.EndOfLine.CRLF)return 1;if(ne===a.EndOfLine.LF)return 0}Te.from=Oe;function _e(ne){if(ne===1)return a.EndOfLine.CRLF;if(ne===0)return a.EndOfLine.LF}Te.to=_e})(Qe=e.EndOfLine||(e.EndOfLine={}));var Le;(function(Te){function Oe(_e){if(typeof _e=="object")return _e.viewId;switch(_e){case a.ProgressLocation.SourceControl:return 3;case a.ProgressLocation.Window:return 10;case a.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}Te.from=Oe})(Le=e.ProgressLocation||(e.ProgressLocation={}));var st;(function(Te){function Oe(_e){const ne={start:_e.start+1,end:_e.end+1};return _e.kind&&(ne.kind=se.from(_e.kind)),ne}Te.from=Oe})(st=e.FoldingRange||(e.FoldingRange={}));var se;(function(Te){function Oe(_e){if(_e)switch(_e){case a.FoldingRangeKind.Comment:return _.FoldingRangeKind.Comment;case a.FoldingRangeKind.Imports:return _.FoldingRangeKind.Imports;case a.FoldingRangeKind.Region:return _.FoldingRangeKind.Region}}Te.from=Oe})(se=e.FoldingRangeKind||(e.FoldingRangeKind={}));var oe;(function(Te){function Oe(_e){if(_e)return{pinned:typeof _e.preview=="boolean"?!_e.preview:void 0,inactive:_e.background,preserveFocus:_e.preserveFocus,selection:typeof _e.selection=="object"?l.from(_e.selection):void 0,override:typeof _e.override=="boolean"?b.DEFAULT_EDITOR_ASSOCIATION.id:void 0}}Te.from=Oe})(oe=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var G;(function(Te){function Oe(Ve){return Ve instanceof a.RelativePattern?Ve.toJSON():typeof Ve=="string"?Ve:_e(Ve)||ne(Ve)?new a.RelativePattern(Ve.baseUri??Ve.base,Ve.pattern).toJSON():Ve}Te.from=Oe;function _e(Ve){const rt=Ve;return rt?A.URI.isUri(rt.baseUri)&&typeof rt.pattern=="string":!1}function ne(Ve){const rt=Ve;return rt?typeof rt.base=="string"&&typeof rt.pattern=="string":!1}function Fe(Ve){return typeof Ve=="string"?Ve:new a.RelativePattern(A.URI.revive(Ve.baseUri),Ve.pattern)}Te.to=Fe})(G=e.GlobPattern||(e.GlobPattern={}));var ye;(function(Te){function Oe(_e){if(_e){if(Array.isArray(_e))return _e.map(Oe);if(typeof _e=="string")return _e;{const ne=_e;return{language:ne.language,scheme:ne.scheme,pattern:G.from(ne.pattern),exclusive:ne.exclusive,notebookType:ne.notebookType}}}else return}Te.from=Oe})(ye=e.LanguageSelector||(e.LanguageSelector={}));var Ae;(function(Te){function Oe(ne){return{start:ne.start,end:ne.end}}Te.from=Oe;function _e(ne){return new a.NotebookRange(ne.start,ne.end)}Te.to=_e})(Ae=e.NotebookRange||(e.NotebookRange={}));var We;(function(Te){function Oe(ne){return{timing:typeof ne.runStartTime=="number"&&typeof ne.runEndTime=="number"?{startTime:ne.runStartTime,endTime:ne.runEndTime}:void 0,executionOrder:ne.executionOrder,success:ne.lastRunSuccess}}Te.to=Oe;function _e(ne){return{lastRunSuccess:ne.success,runStartTime:ne.timing?.startTime,runEndTime:ne.timing?.endTime,executionOrder:ne.executionOrder}}Te.from=_e})(We=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var ze;(function(Te){function Oe(_e){if(_e===v.NotebookCellExecutionState.Unconfirmed)return a.NotebookCellExecutionState.Pending;if(_e===v.NotebookCellExecutionState.Pending)return;if(_e===v.NotebookCellExecutionState.Executing)return a.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${_e}`)}Te.to=Oe})(ze=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var $e;(function(Te){function Oe(ne){switch(ne){case a.NotebookCellKind.Markup:return v.CellKind.Markup;case a.NotebookCellKind.Code:default:return v.CellKind.Code}}Te.from=Oe;function _e(ne){switch(ne){case v.CellKind.Markup:return a.NotebookCellKind.Markup;case v.CellKind.Code:default:return a.NotebookCellKind.Code}}Te.to=_e})($e=e.NotebookCellKind||(e.NotebookCellKind={}));var Ze;(function(Te){function Oe(ne){const Fe={metadata:ne.metadata??Object.create(null),cells:[]};for(const Ve of ne.cells)a.NotebookCellData.validate(Ve),Fe.cells.push(it.from(Ve));return Fe}Te.from=Oe;function _e(ne){const Fe=new a.NotebookData(ne.cells.map(it.to));return(0,I.isEmptyObject)(ne.metadata)||(Fe.metadata=ne.metadata),Fe}Te.to=_e})(Ze=e.NotebookData||(e.NotebookData={}));var it;(function(Te){function Oe(ne){return{cellKind:$e.from(ne.kind),language:ne.languageId,mime:ne.mime,source:ne.value,metadata:ne.metadata,internalMetadata:We.from(ne.executionSummary??{}),outputs:ne.outputs?ne.outputs.map(ht.from):[]}}Te.from=Oe;function _e(ne){return new a.NotebookCellData($e.to(ne.cellKind),ne.source,ne.language,ne.mime,ne.outputs?ne.outputs.map(ht.to):void 0,ne.metadata,ne.internalMetadata?We.to(ne.internalMetadata):void 0)}Te.to=_e})(it=e.NotebookCellData||(e.NotebookCellData={}));var lt;(function(Te){function Oe(ne){return{mime:ne.mime,valueBytes:t.VSBuffer.wrap(ne.data)}}Te.from=Oe;function _e(ne){return new a.NotebookCellOutputItem(ne.valueBytes.buffer,ne.mime)}Te.to=_e})(lt=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var ht;(function(Te){function Oe(ne){return{outputId:ne.id,items:ne.items.map(lt.from),metadata:ne.metadata}}Te.from=Oe;function _e(ne){const Fe=ne.items.map(lt.to);return new a.NotebookCellOutput(Fe,ne.outputId,ne.metadata)}Te.to=_e})(ht=e.NotebookCellOutput||(e.NotebookCellOutput={}));var tt;(function(Te){function Oe(Fe){return ne(Fe)?{include:(0,I.withNullAsUndefined)(G.from(Fe.include)),exclude:(0,I.withNullAsUndefined)(G.from(Fe.exclude))}:(0,I.withNullAsUndefined)(G.from(Fe))}Te.from=Oe;function _e(Fe){return ne(Fe)?{include:G.to(Fe.include),exclude:G.to(Fe.exclude)}:G.to(Fe)}Te.to=_e;function ne(Fe){const Ve=Fe;return Ve?!(0,I.isUndefinedOrNull)(Ve.include)&&!(0,I.isUndefinedOrNull)(Ve.exclude):!1}})(tt=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var at;(function(Te){function Oe(_e,ne,Fe){const Ve=typeof _e.command=="string"?{title:"",command:_e.command}:_e.command;return{alignment:_e.alignment===a.NotebookCellStatusBarAlignment.Left?1:2,command:ne.toInternal(Ve,Fe),text:_e.text,tooltip:_e.tooltip,accessibilityInformation:_e.accessibilityInformation,priority:_e.priority}}Te.from=Oe})(at=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var Ct;(function(Te){function Oe(_e){return{transientOutputs:_e?.transientOutputs??!1,transientCellMetadata:_e?.transientCellMetadata??{},transientDocumentMetadata:_e?.transientDocumentMetadata??{}}}Te.from=Oe})(Ct=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var Ot;(function(Te){function Oe(ne){return{uri:ne.uri,provides:ne.provides}}Te.from=Oe;function _e(ne){return new a.NotebookRendererScript(A.URI.revive(ne.uri),ne.provides)}Te.to=_e})(Ot=e.NotebookRendererScript||(e.NotebookRendererScript={}));var It;(function(Te){function Oe(ne){return{message:B.fromStrict(ne.message)||"",type:0,expected:ne.expectedOutput,actual:ne.actualOutput,location:ne.location&&{range:l.from(ne.location.range),uri:ne.location.uri}}}Te.from=Oe;function _e(ne){const Fe=new a.TestMessage(typeof ne.message=="string"?ne.message:B.to(ne.message));return Fe.actualOutput=ne.actual,Fe.expectedOutput=ne.expected,Fe.location=ne.location?pe.to(ne.location):void 0,Fe}Te.to=_e})(It=e.TestMessage||(e.TestMessage={}));var mt;(function(Te){Te.namespace=p.namespaceTestTag,Te.denamespace=p.denamespaceTestTag})(mt=e.TestTag||(e.TestTag={}));var kt;(function(Te){function Oe(ne){const Fe=(0,E.getPrivateApiFor)(ne).controllerId;return{extId:h.TestId.fromExtHostTestItem(ne,Fe).toString(),label:ne.label,uri:A.URI.revive(ne.uri),busy:!1,tags:ne.tags.map(Ve=>mt.namespace(Fe,Ve.id)),range:k.Range.lift(l.from(ne.range)),description:ne.description||null,sortText:ne.sortText||null,error:ne.error&&B.fromStrict(ne.error)||null}}Te.from=Oe;function _e(ne){return{parent:void 0,error:void 0,id:h.TestId.fromString(ne.extId).localId,label:ne.label,uri:A.URI.revive(ne.uri),tags:(ne.tags||[]).map(Fe=>{const{tagId:Ve}=mt.denamespace(Fe);return new a.TestTag(Ve)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:l.to(ne.range||void 0),canResolveChildren:!1,busy:!1,description:ne.description||void 0,sortText:ne.sortText||void 0}}Te.toPlain=_e})(kt=e.TestItem||(e.TestItem={})),function(Te){function Oe(ne){return{id:ne.id}}Te.from=Oe;function _e(ne){return new a.TestTag(ne.id)}Te.to=_e}(mt=e.TestTag||(e.TestTag={}));var Ut;(function(Te){const Oe=(ne,Fe)=>{const Ve=[];for(const[Ye,Ke]of Fe)h.TestId.compare(Ke.item.extId,Ye)===2&&(Fe.delete(Ye),Ve.push(Ke));const rt={...kt.toPlain(ne.item),parent:void 0,taskStates:ne.tasks.map(Ye=>({state:Ye.state,duration:Ye.duration,messages:Ye.messages.filter(Ke=>Ke.type===0).map(It.to)})),children:Ve.map(Ye=>Oe(Ye,Fe))};for(const Ye of rt.children)Ye.parent=rt;return rt};function _e(ne){const Fe=[],Ve=new Map;for(const rt of ne.items)Ve.set(rt.item.extId,rt),ne.request.targets.some(Ye=>Ye.controllerId===rt.controllerId&&Ye.testIds.includes(rt.item.extId))&&Fe.push(rt);return{completedAt:ne.completedAt,results:Fe.map(rt=>Oe(rt,Ve))}}Te.to=_e})(Ut=e.TestResults||(e.TestResults={}));var Ft;(function(Te){function Oe(Ve){return{covered:Ve.covered,total:Ve.covered}}function _e(Ve){return"line"in Ve?i.from(Ve):l.from(Ve)}function ne(Ve){return"branches"in Ve?{count:Ve.executionCount,location:_e(Ve.location),type:1,branches:Ve.branches.length?Ve.branches.map(rt=>({count:rt.executionCount,location:rt.location&&_e(rt.location)})):void 0}:{type:0,count:Ve.executionCount,location:_e(Ve.location)}}Te.fromDetailed=ne;function Fe(Ve){return{uri:Ve.uri,statement:Oe(Ve.statementCoverage),branch:Ve.branchCoverage&&Oe(Ve.branchCoverage),function:Ve.functionCoverage&&Oe(Ve.functionCoverage),details:Ve.detailedCoverage?.map(ne)}}Te.fromFile=Fe})(Ft=e.TestCoverage||(e.TestCoverage={}));var Ge;(function(Te){function Oe(_e){switch(_e){case 1:return a.CodeActionTriggerKind.Invoke;case 2:return a.CodeActionTriggerKind.Automatic}}Te.to=Oe})(Ge=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Nt;(function(Te){function Oe(ne){const Fe=new a.TypeHierarchyItem(V.to(ne.kind),ne.name,ne.detail||"",A.URI.revive(ne.uri),l.to(ne.range),l.to(ne.selectionRange));return Fe._sessionId=ne._sessionId,Fe._itemId=ne._itemId,Fe}Te.to=Oe;function _e(ne,Fe,Ve){if(Fe=Fe??ne._sessionId,Ve=Ve??ne._itemId,Fe===void 0||Ve===void 0)throw new Error("invalid item");return{_sessionId:Fe,_itemId:Ve,kind:V.from(ne.kind),name:ne.name,detail:ne.detail??"",uri:ne.uri,range:l.from(ne.range),selectionRange:l.from(ne.selectionRange),tags:ne.tags?.map(q.from)}}Te.from=_e})(Nt=e.TypeHierarchyItem||(e.TypeHierarchyItem={}));var Lt;(function(Te){function Oe(_e){if(!!_e)return{value:_e.value,tooltip:_e.tooltip}}Te.from=Oe})(Lt=e.ViewBadge||(e.ViewBadge={}));var Bt;(function(Te){function Oe(_e,ne){const Fe=_e.fileData;return Fe?new class extends a.DataTransferItem{asFile(){return{name:Fe.name,uri:A.URI.revive(Fe.uri),data:(0,m.once)(()=>ne())}}}(""):new a.DataTransferItem(_e.asString)}Te.toDataTransferItem=Oe})(Bt=e.DataTransferItem||(e.DataTransferItem={}));var bt;(function(Te){function Oe(ne,Fe){const Ve=ne.items.map(([rt,Ye],Ke)=>[rt,Bt.toDataTransferItem(Ye,()=>Fe(Ke))]);return new a.DataTransfer(Ve)}Te.toDataTransfer=Oe;async function _e(ne){const Fe={items:[]},Ve=[];return ne.forEach((rt,Ye)=>{Ve.push((async()=>{const Ke=await rt.asString(),ft=rt.asFile();Fe.items.push([Ye,{asString:Ke,fileData:ft?{name:ft.name,uri:ft.uri}:void 0}])})())}),await Promise.all(Ve),Fe}Te.toDataTransferDTO=_e})(bt=e.DataTransfer||(e.DataTransfer={}))}),define(De[220],Ie([1,0,2,10,7,16,79]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class D{constructor(I,A,k,_={timeout:1500,errors:3}){this._logService=I,this._documents=A,this._mainThreadBulkEdits=k,this._thresholds=_,this._callbacks=new y.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(I){return(A,k,_)=>{const E={dispose:this._callbacks.push([A,k,I])};return Array.isArray(_)&&_.push(E),E}}async $participateInSave(I,A){const k=u.URI.revive(I);let _=!1;const T=setTimeout(()=>_=!0,this._thresholds.timeout),E=[];try{for(const b of[...this._callbacks]){if(_)break;const v=this._documents.getDocument(k),h=await this._deliverEventAsyncAndBlameBadListeners(b,{document:v,reason:P.TextDocumentSaveReason.to(A)});E.push(h)}}finally{clearTimeout(T)}return E}_deliverEventAsyncAndBlameBadListeners([I,A,k],_){const T=this._badListeners.get(I);return typeof T=="number"&&T>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,I,A,_).then(()=>!0,E=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(E),!(E instanceof Error)||E.message!=="concurrent_edits"){const b=this._badListeners.get(I);this._badListeners.set(I,b?b+1:1),typeof b=="number"&&b>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(I,A,k,_){const T=[],E=Date.now(),{document:b,reason:v}=_,{version:h}=b,p=Object.freeze({document:b,reason:v,waitUntil(g){if(Object.isFrozen(T))throw(0,t.illegalState)("waitUntil can not be called async");T.push(Promise.resolve(g))}});try{A.apply(k,[p])}catch(g){return Promise.reject(g)}return Object.freeze(T),new Promise((g,a)=>{const m=setTimeout(()=>a(new Error("timeout")),this._thresholds.timeout);return Promise.all(T).then(c=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' finished after ${Date.now()-E}ms`),clearTimeout(m),g(c)}).catch(c=>{clearTimeout(m),a(c)})}).then(g=>{const a={edits:[]};for(const m of g)if(Array.isArray(m)&&m.every(c=>c instanceof C.TextEdit))for(const{newText:c,newEol:l,range:r}of m)a.edits.push({resource:b.uri,versionId:void 0,textEdit:{range:r&&P.Range.from(r),text:c,eol:l&&P.EndOfLine.from(l)}});if(a.edits.length!==0)return h===b.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(a):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=D}),define(De[221],Ie([1,0,12,2,16,7,128]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class D{constructor(k,_,T,E){this.start=k,this.deletedCount=_,this.deletedItems=T,this.items=E}asApiEvent(){return{range:new P.NotebookRange(this.start,this.start+this.deletedCount),addedCells:this.items.map(k=>k.apiCell),removedCells:this.deletedItems}}}class w{constructor(k,_,T){this.notebook=k,this._extHostDocument=_,this._cellData=T,this.handle=T.handle,this.uri=t.URI.revive(T.uri),this.cellKind=T.cellKind,this._outputs=T.outputs.map(C.NotebookCellOutput.to),this._internalMetadata=T.internalMetadata??{},this._metadata=Object.freeze(T.metadata??{}),this._previousResult=Object.freeze(C.NotebookCellExecutionSummary.to(T.internalMetadata??{}))}static asModelAddData(k,_){return{EOL:_.eol,lines:_.source,languageId:_.language,uri:_.uri,isDirty:!1,versionId:1,notebook:k}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const k=this,_=this._extHostDocument.getDocument(this.uri);if(!_)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const T={get index(){return k.notebook.getCellIndex(k)},notebook:k.notebook.apiNotebook,kind:C.NotebookCellKind.to(this._cellData.cellKind),document:_.document,get mime(){return k._mime},set mime(E){k._mime=E},get outputs(){return k._outputs.slice(0)},get metadata(){return k._metadata},get executionSummary(){return k._previousResult}};this._apiCell=Object.freeze(T)}return this._apiCell}setOutputs(k){this._outputs=k.map(C.NotebookCellOutput.to)}setOutputItems(k,_,T){const E=T.map(C.NotebookCellOutputItem.to),b=this._outputs.find(v=>v.id===k);b&&(_||(b.items.length=0),b.items.push(...E))}setMetadata(k){this._metadata=Object.freeze(k)}setInternalMetadata(k){this._internalMetadata=k,this._previousResult=Object.freeze(C.NotebookCellExecutionSummary.to(k))}setMime(k){}}e.ExtHostCell=w;class I{constructor(k,_,T,E,b){this._proxy=k,this._textDocumentsAndEditors=_,this._textDocuments=T,this.uri=E,this.handle=I._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=b.viewType,this._metadata=Object.freeze(b.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,b.cells]],!0,void 0),this._versionId=b.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const k=this,_={get uri(){return k.uri},get version(){return k._versionId},get notebookType(){return k._notebookType},get isDirty(){return k._isDirty},get isUntitled(){return k.uri.scheme===u.Schemas.untitled},get isClosed(){return k._disposed},get metadata(){return k._metadata},get cellCount(){return k._cells.length},cellAt(T){return T=k._validateIndex(T),k._cells[T].apiCell},getCells(T){return(T?k._getCells(T):k._cells).map(b=>b.apiCell)},save(){return k._save()}};this._notebook=Object.freeze(_)}return this._notebook}updateBackup(k){this._backup?.delete(),this._backup=k}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(k){k.metadata&&(this._metadata=Object.freeze({...this._metadata,...k.metadata}))}acceptDirty(k){this._isDirty=k}acceptModelChanged(k,_,T){this._versionId=k.versionId,this._isDirty=_,this.acceptDocumentPropertiesChanged({metadata:T});const E={notebook:this.apiNotebook,metadata:T,cellChanges:[],contentChanges:[]},b=[];for(const h of k.rawEvents)h.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(h.changes,!1,E.contentChanges):h.kind===y.NotebookCellsChangeType.Move?this._moveCell(h.index,h.newIdx,E.contentChanges):h.kind===y.NotebookCellsChangeType.Output?(this._setCellOutputs(h.index,h.outputs),b.push({cell:this._cells[h.index].apiCell,outputs:this._cells[h.index].apiCell.outputs})):h.kind===y.NotebookCellsChangeType.OutputItem?(this._setCellOutputItems(h.index,h.outputId,h.append,h.outputItems),b.push({cell:this._cells[h.index].apiCell,outputs:this._cells[h.index].apiCell.outputs})):h.kind===y.NotebookCellsChangeType.ChangeCellLanguage?(this._changeCellLanguage(h.index,h.language),b.push({cell:this._cells[h.index].apiCell,document:this._cells[h.index].apiCell.document})):h.kind===y.NotebookCellsChangeType.ChangeCellContent?b.push({cell:this._cells[h.index].apiCell,document:this._cells[h.index].apiCell.document}):h.kind===y.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(h.index,h.mime):h.kind===y.NotebookCellsChangeType.ChangeCellMetadata?(this._changeCellMetadata(h.index,h.metadata),b.push({cell:this._cells[h.index].apiCell,metadata:this._cells[h.index].apiCell.metadata})):h.kind===y.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this._changeCellInternalMetadata(h.index,h.internalMetadata),b.push({cell:this._cells[h.index].apiCell,executionSummary:this._cells[h.index].apiCell.executionSummary}));const v=new Map;for(let h=0;h<b.length;h++){const p=b[h],g=v.get(p.cell);if(g===void 0){const a=E.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...p});v.set(p.cell,a-1)}else E.cellChanges[g]={...E.cellChanges[g],...p}}return Object.freeze(E),Object.freeze(E.cellChanges),Object.freeze(E.contentChanges),E}_validateIndex(k){return k=k|0,k<0?0:k>=this._cells.length?this._cells.length-1:k}_validateRange(k){let _=k.start|0,T=k.end|0;return _<0&&(_=0),T>this._cells.length&&(T=this._cells.length),k.with({start:_,end:T})}_getCells(k){k=this._validateRange(k);const _=[];for(let T=k.start;T<k.end;T++)_.push(this._cells[T]);return _}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(k,_,T){if(this._disposed)return;const E=[],b=[],v=[];if(k.reverse().forEach(h=>{const g=h[2].map(c=>{const l=new w(this,this._textDocumentsAndEditors,c);return _||b.push(w.asModelAddData(this.apiNotebook,c)),l}),a=new D(h[0],h[1],[],g),m=this._cells.splice(h[0],h[1],...g);for(const c of m)v.push(c.uri),a.deletedItems.push(c.apiCell);E.push(a)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:b,removedDocuments:v}),T)for(const h of E)T.push(h.asApiEvent())}_moveCell(k,_,T){const E=this._cells.splice(k,1);this._cells.splice(_,0,...E);const b=[new D(k,1,E.map(v=>v.apiCell),[]),new D(_,0,[],E)];for(const v of b)T.push(v.asApiEvent())}_setCellOutputs(k,_){this._cells[k].setOutputs(_)}_setCellOutputItems(k,_,T,E){this._cells[k].setOutputItems(_,T,E)}_changeCellLanguage(k,_){const T=this._cells[k];T.apiCell.document.languageId!==_&&this._textDocuments.$acceptModelLanguageChanged(T.uri,_)}_changeCellMime(k,_){const T=this._cells[k];T.apiCell.mime=_}_changeCellMetadata(k,_){this._cells[k].setMetadata(_)}_changeCellInternalMetadata(k,_){this._cells[k].setInternalMetadata(_)}getCellFromApiCell(k){return this._cells.find(_=>_.apiCell===k)}getCellFromIndex(k){return this._cells[k]}getCell(k){return this._cells.find(_=>_.handle===k)}getCellIndex(k){return this._cells.indexOf(k)}}e.ExtHostNotebookDocument=I,I._handlePool=0}),define(De[131],Ie([1,0,7,16,10]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class P{constructor(w){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=w}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(w){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:w})}replaceCellMetadata(w,I){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:w,metadata:I})}replaceCells(w,I,A){this._throwIfFinalized(),!(w===I&&A.length===0)&&this._collectedEdits.push({editType:1,index:w,count:I-w,cells:A.map(t.NotebookCellData.from)})}}class y{constructor(w,I,A,k,_,T){this.id=w,this._proxy=I,this.notebookData=A,this._selections=[],this._visibleRanges=[],this._visible=!1,this._selections=_,this._visibleRanges=k,this._viewColumn=T}get apiEditor(){if(!this._editor){const w=this;this._editor={get document(){return w.notebookData.apiNotebook},get notebook(){return w.notebookData.apiNotebook},get selection(){return w._selections[0]},set selection(I){this.selections=[I]},get selections(){return w._selections},set selections(I){if(!Array.isArray(I)||!I.every(u.NotebookRange.isNotebookRange))throw(0,C.illegalArgument)("selections");w._selections=I,w._trySetSelections(I)},get visibleRanges(){return w._visibleRanges},revealRange(I,A){w._proxy.$tryRevealRange(w.id,t.NotebookRange.from(I),A??u.NotebookEditorRevealType.Default)},get viewColumn(){return w._viewColumn},edit(I){const A=new P(this.document.version);return I(A),w._applyEdit(A.finalize())}},y.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(w){this._visible=w}_acceptVisibleRanges(w){this._visibleRanges=w}_acceptSelections(w){this._selections=w}_trySetSelections(w){this._proxy.$trySetSelections(this.id,w.map(t.NotebookRange.from))}_acceptViewColumn(w){this._viewColumn=w}_applyEdit(w){if(w.cellEdits.length===0)return Promise.resolve(!0);const I=[];let A=-1;for(let k=0;k<w.cellEdits.length;k++){if(A<0){I.push(w.cellEdits[k]),A++;continue}const T=I[A],E=w.cellEdits[k];if(T.editType===1&&E.editType===1&&T.index===E.index){T.cells.push(...w.cellEdits[k].cells),T.count+=w.cellEdits[k].count;continue}I.push(w.cellEdits[k]),A++}return this._proxy.$tryApplyEdits(this.id,w.documentVersionId,I)}}e.ExtHostNotebookEditor=y,y.apiEditorsToExtHost=new WeakMap}),define(De[222],Ie([1,0,4,14,16]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;let P=class{constructor(D,w){this._logService=D,this._notebooksAndEditors=w,this._onDidChangeNotebookEditorSelection=new u.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new u.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}$acceptEditorPropertiesChanged(D,w){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",D,w);const I=this._notebooksAndEditors.getEditorById(D);w.visibleRanges&&I._acceptVisibleRanges(w.visibleRanges.ranges.map(C.NotebookRange.to)),w.selections&&I._acceptSelections(w.selections.selections.map(C.NotebookRange.to)),w.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:I.apiEditor,visibleRanges:I.apiEditor.visibleRanges}),w.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:I.apiEditor,selections:I.apiEditor.selections}))}$acceptEditorViewColumns(D){for(const w in D)this._notebooksAndEditors.getEditorById(w)._acceptViewColumn(C.ViewColumn.to(D[w]))}};P=je([xe(0,t.ILogService)],P),e.ExtHostNotebookEditors=P}),define(De[223],Ie([1,0,16,118,171,21,58,10]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class w{constructor(_){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=_}async withProgress(_,T,E){const b=this._handles++,{title:v,location:h,cancellable:p}=T,g={label:(0,C.localize)(0,null,_.displayName||_.name),id:_.identifier.value};return this._proxy.$startProgress(b,{location:u.ProgressLocation.from(h),title:v,source:g,cancellable:p},_.isUnderDevelopment?void 0:_.identifier.value).catch(D.onUnexpectedExternalError),this._withProgress(b,E,!!p)}_withProgress(_,T,E){let b;E&&(b=new P.CancellationTokenSource,this._mapHandleToCancellationSource.set(_,b));const v=p=>{this._proxy.$progressEnd(p),this._mapHandleToCancellationSource.delete(p),b?.dispose()};let h;try{h=T(new A(this._proxy,_),E&&b?b.token:P.CancellationToken.None)}catch(p){throw v(_),p}return h.then(p=>v(_),p=>v(_)),h}$acceptProgressCanceled(_){const T=this._mapHandleToCancellationSource.get(_);T&&(T.cancel(),this._mapHandleToCancellationSource.delete(_))}}e.ExtHostProgress=w;function I(k,_){return k.message=_.message,typeof _.increment=="number"&&(typeof k.increment=="number"?k.increment+=_.increment:k.increment=_.increment),k}class A extends t.Progress{constructor(_,T){super(E=>this.throttledReport(E));this._proxy=_,this._handle=T}throttledReport(_){this._proxy.$progressReport(this._handle,_)}}je([(0,y.throttle)(100,(k,_)=>I(k,_),()=>Object.create(null))],A.prototype,"throttledReport",null)}),define(De[132],Ie([1,0,35,129,65,89,66,16,2]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTestItemCollection=e.TestItemRootImpl=e.TestItemImpl=e.toItemFromContext=void 0;const I=(g,a,m,c)=>{let l=a;return{enumerable:!0,configurable:!1,get(){return l},set(r){if(!m(l,r)){const i=l;l=r,g.listener?.(c(r,i))}}}},A=(g,a)=>g===a,k={range:(g,a)=>g===a?!0:!g||!a?!1:g.isEqual(a),label:A,description:A,sortText:A,busy:A,error:A,canResolveChildren:A,tags:(g,a)=>!(g.length!==a.length||g.some(m=>!a.find(c=>m.id===c.id)))},_=g=>a=>({op:4,update:g(a)}),T=(g,a)=>({range:I(g,void 0,k.range,_(m=>({range:u.Range.lift(D.Range.from(m))}))),label:I(g,a,k.label,_(m=>({label:m}))),description:I(g,void 0,k.description,_(m=>({description:m}))),sortText:I(g,void 0,k.sortText,_(m=>({sortText:m}))),canResolveChildren:I(g,!1,k.canResolveChildren,m=>({op:2,state:m})),busy:I(g,!1,k.busy,_(m=>({busy:m}))),error:I(g,void 0,k.error,_(m=>({error:D.MarkdownString.fromStrict(m)||null}))),tags:I(g,[],k.tags,(m,c)=>({op:1,new:m.map(D.TestTag.from),old:c.map(D.TestTag.from)}))}),E=g=>{const a=C.TestId.fromString(g.extId),m=new v(a.controllerId,a.localId,g.label,w.URI.revive(g.uri)||void 0);return m.range=D.Range.to(g.range||void 0),m.description=g.description||void 0,m.sortText=g.sortText||void 0,m.tags=g.tags.map(c=>D.TestTag.to({id:(0,y.denamespaceTestTag)(c).tagId})),m},b=g=>{let a;for(const m of g.tests){const c=E(m.item);(0,t.getPrivateApiFor)(c).parent=a,a=c}return a};e.toItemFromContext=b;class v{constructor(a,m,c,l){if(m.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(m)} symbol`);const r=(0,t.createPrivateApiFor)(this,a);Object.defineProperties(this,{id:{value:m,enumerable:!0,writable:!1},uri:{value:l,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return r.parent instanceof h?void 0:r.parent}},children:{value:(0,P.createTestItemChildren)(r,t.getPrivateApiFor,v),enumerable:!0,writable:!1},...T(r,c)})}}e.TestItemImpl=v;class h extends v{constructor(a,m){super(a,a,m,void 0)}}e.TestItemRootImpl=h;class p extends P.TestItemCollection{constructor(a,m){super({controllerId:a,getApiFor:t.getPrivateApiFor,getChildren:c=>c.children,root:new h(a,m),toITestItem:D.TestItem.from})}}e.ExtHostTestItemCollection=p}),define(De[133],Ie([1,0,48,10,93,16,7]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class D{constructor(_,T,E){const b=D._Keys.nextId();_.$registerTextEditorDecorationType(T.identifier,b,P.DecorationRenderOptions.from(E)),this.value=Object.freeze({key:b,dispose(){_.$removeTextEditorDecorationType(b)}})}}e.TextEditorDecorationType=D,D._Keys=new C.IdGenerator("TextEditorDecorationType");class w{constructor(_,T){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=_,this._documentVersionId=_.version,this._undoStopBefore=T.undoStopBefore,this._undoStopAfter=T.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(_,T){this._throwIfFinalized();let E=null;if(_ instanceof y.Position)E=new y.Range(_,_);else if(_ instanceof y.Range)E=_;else throw new Error("Unrecognized location");this._pushEdit(E,T,!1)}insert(_,T){this._throwIfFinalized(),this._pushEdit(new y.Range(_,_),T,!0)}delete(_){this._throwIfFinalized();let T=null;if(_ instanceof y.Range)T=_;else throw new Error("Unrecognized location");this._pushEdit(T,null,!0)}_pushEdit(_,T,E){const b=this._document.validateRange(_);this._collectedEdits.push({range:b,text:T,forceMoveMarkers:E})}setEndOfLine(_){if(this._throwIfFinalized(),_!==y.EndOfLine.LF&&_!==y.EndOfLine.CRLF)throw(0,t.illegalArgument)("endOfLine");this._setEndOfLine=_}}e.TextEditorEdit=w;class I{constructor(_,T,E,b){this._proxy=_,this._id=T,this._accept(E),this._logService=b;const v=this;this.value={get tabSize(){return v._tabSize},set tabSize(h){v._setTabSize(h)},get insertSpaces(){return v._insertSpaces},set insertSpaces(h){v._setInsertSpaces(h)},get cursorStyle(){return v._cursorStyle},set cursorStyle(h){v._setCursorStyle(h)},get lineNumbers(){return v._lineNumbers},set lineNumbers(h){v._setLineNumbers(h)}}}_accept(_){this._tabSize=_.tabSize,this._insertSpaces=_.insertSpaces,this._cursorStyle=_.cursorStyle,this._lineNumbers=P.TextEditorLineNumbersStyle.to(_.lineNumbers)}_validateTabSize(_){if(_==="auto")return"auto";if(typeof _=="number"){const T=Math.floor(_);return T>0?T:null}if(typeof _=="string"){const T=parseInt(_,10);return isNaN(T)?null:T>0?T:null}return null}_setTabSize(_){const T=this._validateTabSize(_);if(T!==null){if(typeof T=="number"){if(this._tabSize===T)return;this._tabSize=T}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:T}))}}_validateInsertSpaces(_){return _==="auto"?"auto":_==="false"?!1:Boolean(_)}_setInsertSpaces(_){const T=this._validateInsertSpaces(_);if(typeof T=="boolean"){if(this._insertSpaces===T)return;this._insertSpaces=T}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:T}))}_setCursorStyle(_){this._cursorStyle!==_&&(this._cursorStyle=_,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:_})))}_setLineNumbers(_){this._lineNumbers!==_&&(this._lineNumbers=_,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:P.TextEditorLineNumbersStyle.from(_)})))}assign(_){const T={};let E=!1;if(typeof _.tabSize!="undefined"){const b=this._validateTabSize(_.tabSize);b==="auto"?(E=!0,T.tabSize=b):typeof b=="number"&&this._tabSize!==b&&(this._tabSize=b,E=!0,T.tabSize=b)}if(typeof _.insertSpaces!="undefined"){const b=this._validateInsertSpaces(_.insertSpaces);b==="auto"?(E=!0,T.insertSpaces=b):this._insertSpaces!==b&&(this._insertSpaces=b,E=!0,T.insertSpaces=b)}typeof _.cursorStyle!="undefined"&&this._cursorStyle!==_.cursorStyle&&(this._cursorStyle=_.cursorStyle,E=!0,T.cursorStyle=_.cursorStyle),typeof _.lineNumbers!="undefined"&&this._lineNumbers!==_.lineNumbers&&(this._lineNumbers=_.lineNumbers,E=!0,T.lineNumbers=P.TextEditorLineNumbersStyle.from(_.lineNumbers)),E&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,T))}_warnOnError(_,T){T.catch(E=>{this._logService.warn(`ExtHostTextEditorOptions '${_}' failed:'`),this._logService.warn(E)})}}e.ExtHostTextEditorOptions=I;class A{constructor(_,T,E,b,v,h,p,g){this.id=_,this._proxy=T,this._logService=E,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=v,this._options=new I(this._proxy,this.id,h,E),this._visibleRanges=p,this._viewColumn=g;const a=this;this.value=Object.freeze({get document(){return b.getValue()},set document(m){throw(0,t.readonly)("document")},get selection(){return a._selections&&a._selections[0]},set selection(m){if(!(m instanceof y.Selection))throw(0,t.illegalArgument)("selection");a._selections=[m],a._trySetSelection()},get selections(){return a._selections},set selections(m){if(!Array.isArray(m)||m.some(c=>!(c instanceof y.Selection)))throw(0,t.illegalArgument)("selections");a._selections=m,a._trySetSelection()},get visibleRanges(){return a._visibleRanges},set visibleRanges(m){throw(0,t.readonly)("visibleRanges")},get options(){return a._options.value},set options(m){a._disposed||a._options.assign(m)},get viewColumn(){return a._viewColumn},set viewColumn(m){throw(0,t.readonly)("viewColumn")},edit(m,c={undoStopBefore:!0,undoStopAfter:!0}){if(a._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const l=new w(b.getValue(),c);return m(l),a._applyEdit(l)},insertSnippet(m,c,l={undoStopBefore:!0,undoStopAfter:!0}){if(a._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let r;if(!c||Array.isArray(c)&&c.length===0)r=a._selections.map(i=>P.Range.from(i));else if(c instanceof y.Position){const{lineNumber:i,column:s}=P.Position.from(c);r=[{startLineNumber:i,startColumn:s,endLineNumber:i,endColumn:s}]}else if(c instanceof y.Range)r=[P.Range.from(c)];else{r=[];for(const i of c)if(i instanceof y.Range)r.push(P.Range.from(i));else{const{lineNumber:s,column:n}=P.Position.from(i);r.push({startLineNumber:s,startColumn:n,endLineNumber:s,endColumn:n})}}return T.$tryInsertSnippet(_,b.getValue().version,m.value,r,l)},setDecorations(m,c){const l=c.length===0;l&&!a._hasDecorationsForKey.has(m.key)||(l?a._hasDecorationsForKey.delete(m.key):a._hasDecorationsForKey.add(m.key),a._runOnProxy(()=>{if(P.isDecorationOptionsArr(c))return T.$trySetDecorations(_,m.key,P.fromRangeOrRangeWithMessage(c));{const r=new Array(4*c.length);for(let i=0,s=c.length;i<s;i++){const n=c[i];r[4*i]=n.start.line+1,r[4*i+1]=n.start.character+1,r[4*i+2]=n.end.line+1,r[4*i+3]=n.end.character+1}return T.$trySetDecorationsFast(_,m.key,r)}}))},revealRange(m,c){a._runOnProxy(()=>T.$tryRevealRange(_,P.Range.from(m),c||y.TextEditorRevealType.Default))},show(m){T.$tryShowEditor(_,P.ViewColumn.from(m))},hide(){T.$tryHideEditor(_)}})}dispose(){(0,u.ok)(!this._disposed),this._disposed=!0}_acceptOptions(_){(0,u.ok)(!this._disposed),this._options._accept(_)}_acceptVisibleRanges(_){(0,u.ok)(!this._disposed),this._visibleRanges=_}_acceptViewColumn(_){(0,u.ok)(!this._disposed),this._viewColumn=_}_acceptSelections(_){(0,u.ok)(!this._disposed),this._selections=_}async _trySetSelection(){const _=this._selections.map(P.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,_)),this.value}_applyEdit(_){const T=_.finalize();if(T.edits.length===0&&!T.setEndOfLine)return Promise.resolve(!0);const E=T.edits.map(v=>v.range);E.sort((v,h)=>v.end.line===h.end.line?v.end.character===h.end.character?v.start.line===h.start.line?v.start.character-h.start.character:v.start.line-h.start.line:v.end.character-h.end.character:v.end.line-h.end.line);for(let v=0,h=E.length-1;v<h;v++){const p=E[v].end;if(E[v+1].start.isBefore(p))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const b=T.edits.map(v=>({range:P.Range.from(v.range),text:v.text,forceMoveMarkers:v.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,T.documentVersionId,b,{setEndOfLine:typeof T.setEndOfLine=="number"?P.EndOfLine.from(T.setEndOfLine):void 0,undoStopBefore:T.undoStopBefore,undoStopAfter:T.undoStopAfter})}_runOnProxy(_){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):_().then(()=>this,T=>(T instanceof Error&&T.name==="DISPOSED"||this._logService.warn(T),null))}}e.ExtHostTextEditor=A}),define(De[224],Ie([1,0,3,189]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,u.refineServiceDecorator)(t.IEnvironmentService)}),define(De[225],Ie([1,0,28,4,9]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class P{constructor(k){this.removedDueToLooping=k}}e.DeltaExtensionsResult=P;class y{constructor(k){this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=k,this._initialize()}_initialize(){this._extensionDescriptions.sort(w),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const k of this._extensionDescriptions){if(this._extensionsMap.has(u.ExtensionIdentifier.toKey(k.identifier))){console.error("Extension `"+k.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(u.ExtensionIdentifier.toKey(k.identifier),k),this._extensionsArr.push(k),Array.isArray(k.activationEvents))for(let _ of k.activationEvents)_==="onUri"&&(_=`onUri:${u.ExtensionIdentifier.toKey(k.identifier)}`),this._activationMap.has(_)||this._activationMap.set(_,[]),this._activationMap.get(_).push(k)}}set(k){this._extensionDescriptions=k,this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(k,_){this._extensionDescriptions=I(this._extensionDescriptions,_),this._extensionDescriptions=this._extensionDescriptions.concat(k);const T=y._findLoopingExtensions(this._extensionDescriptions);return this._extensionDescriptions=I(this._extensionDescriptions,T.map(E=>E.identifier)),this._initialize(),this._onDidChange.fire(void 0),new P(T)}static _findLoopingExtensions(k){const _=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(h){this._nodesSet.has(h)||(this._nodesSet.add(h),this._nodesArr.push(h))}addArc(h,p){this.addNode(h),this.addNode(p),this._arcs.has(h)?this._arcs.get(h).push(p):this._arcs.set(h,[p])}getArcs(h){return this._arcs.has(h)?this._arcs.get(h):[]}hasOnlyGoodArcs(h,p){const g=_.getArcs(h);for(let a=0;a<g.length;a++)if(!p.has(g[a]))return!1;return!0}getNodes(){return this._nodesArr}},T=new Map;for(const h of k){const p=u.ExtensionIdentifier.toKey(h.identifier);if(T.set(p,h),h.extensionDependencies)for(const g of h.extensionDependencies){const a=u.ExtensionIdentifier.toKey(g);_.addArc(p,a)}}const E=new Set;_.getNodes().filter(h=>_.getArcs(h).length===0).forEach(h=>E.add(h));const b=_.getNodes().filter(h=>!E.has(h));let v;do{v=!1;for(let h=0;h<b.length;h++){const p=b[h];_.hasOnlyGoodArcs(p,E)&&(b.splice(h,1),h--,E.add(p),v=!0)}}while(v);return b.map(h=>T.get(h))}containsActivationEvent(k){return this._activationMap.has(k)}containsExtension(k){return this._extensionsMap.has(u.ExtensionIdentifier.toKey(k))}getExtensionDescriptionsForActivationEvent(k){const _=this._activationMap.get(k);return _?_.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(k){const _=this._extensionsMap.get(u.ExtensionIdentifier.toKey(k));return _||void 0}getExtensionDescriptionByUUID(k){for(const _ of this._extensionsArr)if(_.uuid===k)return _}getExtensionDescriptionByIdOrUUID(k,_){return this.getExtensionDescription(k)??(_?this.getExtensionDescriptionByUUID(_):void 0)}}e.ExtensionDescriptionRegistry=y;var D;(function(A){A[A.Builtin=0]="Builtin",A[A.User=1]="User",A[A.Dev=2]="Dev"})(D||(D={}));function w(A,k){const _=A.isBuiltin?0:A.isUnderDevelopment?2:1,T=k.isBuiltin?0:k.isUnderDevelopment?2:1;if(_!==T)return _-T;const E=C.posix.basename(A.extensionLocation.path),b=C.posix.basename(k.extensionLocation.path);return E<b?-1:E>b?1:0}function I(A,k){const _=new Set;return k.forEach(T=>_.add(u.ExtensionIdentifier.toKey(T))),A.filter(T=>!_.has(u.ExtensionIdentifier.toKey(T.identifier)))}}),define(De[226],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readExtHostConnection=e.writeExtHostConnection=e.MessagePortExtHostConnection=e.SocketExtHostConnection=e.IPCExtHostConnection=e.ExtHostConnectionType=void 0;var u;(function(A){A[A.IPC=1]="IPC",A[A.Socket=2]="Socket",A[A.MessagePort=3]="MessagePort"})(u=e.ExtHostConnectionType||(e.ExtHostConnectionType={}));class t{constructor(k){this.pipeName=k,this.type=1}serialize(k){k[t.ENV_KEY]=this.pipeName}}e.IPCExtHostConnection=t,t.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK";class C{constructor(){this.type=2}serialize(k){k[C.ENV_KEY]="1"}}e.SocketExtHostConnection=C,C.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET";class P{constructor(){this.type=3}serialize(k){k[P.ENV_KEY]="1"}}e.MessagePortExtHostConnection=P,P.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT";function y(A){delete A[t.ENV_KEY],delete A[C.ENV_KEY],delete A[P.ENV_KEY]}function D(A,k){y(k),A.serialize(k)}e.writeExtHostConnection=D;function w(A){if(A[t.ENV_KEY])return I(A,new t(A[t.ENV_KEY]));if(A[C.ENV_KEY])return I(A,new C);if(A[P.ENV_KEY])return I(A,new P);throw new Error("No connection information defined in environment!")}e.readExtHostConnection=w;function I(A,k){return y(A),k}}),define(De[134],Ie([1,0,23]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var t;(function(I){I[I.Desktop=1]="Desktop",I[I.Web=2]="Web"})(t=e.UIKind||(e.UIKind={}));var C;(function(I){I[I.VersionMismatch=55]="VersionMismatch",I[I.UnexpectedError=81]="UnexpectedError"})(C=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var P;(function(I){I[I.Initialized=0]="Initialized",I[I.Ready=1]="Ready",I[I.Terminate=2]="Terminate"})(P=e.MessageType||(e.MessageType={}));function y(I){const A=u.VSBuffer.alloc(1);switch(I){case 0:A.writeUInt8(1,0);break;case 1:A.writeUInt8(2,0);break;case 2:A.writeUInt8(3,0);break}return A}e.createMessageOfType=y;function D(I,A){if(I.byteLength!==1)return!1;switch(I.readUInt8(0)){case 1:return A===0;case 2:return A===1;case 3:return A===2;default:return!1}}e.isMessageOfType=D;var w;(function(I){I.Start="START_NATIVE_LOG",I.End="END_NATIVE_LOG"})(w=e.NativeLogMarkers||(e.NativeLogMarkers={}))}),define(De[27],Ie([1,0,4,2,3,28,198]),function(Z,e,u,t,C,P,y){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionIdentifiersArrayToSet=e.ExtensionIdentifierSet=e.ExtensionHostExtensions=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.RemoteRunningLocation=e.LocalWebWorkerRunningLocation=e.LocalProcessRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new P.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:t.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,C.createDecorator)("extensionService");class w{constructor(n){this.affinity=n,this.kind=1}equals(n){return this.kind===n.kind&&this.affinity===n.affinity}asString(){return this.affinity===0?"LocalProcess":`LocalProcess${this.affinity}`}}e.LocalProcessRunningLocation=w;class I{constructor(){this.kind=2,this.affinity=0}equals(n){return this.kind===n.kind}asString(){return"LocalWebWorker"}}e.LocalWebWorkerRunningLocation=I;class A{constructor(){this.kind=3,this.affinity=0}equals(n){return this.kind===n.kind}asString(){return"Remote"}}e.RemoteRunningLocation=A;class k{constructor(n){this.dependency=n}}e.MissingExtensionDependency=k;var _;(function(s){s[s.LocalProcess=1]="LocalProcess",s[s.LocalWebWorker=2]="LocalWebWorker",s[s.Remote=3]="Remote"})(_=e.ExtensionHostKind||(e.ExtensionHostKind={}));function T(s){if(s===null)return"None";switch(s){case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionHostKindToString=T;class E{constructor(){this._allExtensions=[],this._myExtensions=[]}toDelta(){return{toRemove:[],toAdd:this._allExtensions,myToRemove:[],myToAdd:this._myExtensions}}set(n,o){const d=[],f=[],S=[],L=[],M=h(this._allExtensions),B=h(n),R=(X,z)=>X.extensionLocation.toString()===z.extensionLocation.toString()||X.isBuiltin===z.isBuiltin||X.isUserBuiltin===z.isUserBuiltin||X.isUnderDevelopment===z.isUnderDevelopment;for(const X of this._allExtensions){const z=B.get(P.ExtensionIdentifier.toKey(X.identifier));if(!z){d.push(X.identifier),M.delete(P.ExtensionIdentifier.toKey(X.identifier));continue}if(!R(X,z)){d.push(X.identifier),M.delete(P.ExtensionIdentifier.toKey(X.identifier));continue}}for(const X of n){const z=M.get(P.ExtensionIdentifier.toKey(X.identifier));if(!z){f.push(X);continue}if(!R(z,X)){d.push(z.identifier),M.delete(P.ExtensionIdentifier.toKey(z.identifier));continue}}const U=v(this._myExtensions),$=v(o);for(const X of this._myExtensions)$.has(P.ExtensionIdentifier.toKey(X))||S.push(X);for(const X of o)U.has(P.ExtensionIdentifier.toKey(X))||L.push(X);const N={toRemove:d,toAdd:f,myToRemove:S,myToAdd:L};return this.delta(N),N}delta(n){const{toRemove:o,toAdd:d,myToRemove:f,myToAdd:S}=n,L=v(o),M=v(f);for(let B=0;B<this._allExtensions.length;B++)L.has(P.ExtensionIdentifier.toKey(this._allExtensions[B].identifier))&&(this._allExtensions.splice(B,1),B--);for(let B=0;B<this._myExtensions.length;B++)M.has(P.ExtensionIdentifier.toKey(this._myExtensions[B]))&&(this._myExtensions.splice(B,1),B--);for(const B of d)this._allExtensions.push(B);for(const B of S)this._myExtensions.push(B)}containsExtension(n){for(const o of this._myExtensions)if(P.ExtensionIdentifier.equals(o,n))return!0;return!1}}e.ExtensionHostExtensions=E;class b{constructor(n){if(this[D]="ExtensionIdentifierSet",this._map=new Map,this._toKey=P.ExtensionIdentifier.toKey,n)for(const o of n)this.add(o)}get size(){return this._map.size}add(n){return this._map.set(this._toKey(n),n),this}clear(){this._map.clear()}delete(n){return this._map.delete(this._toKey(n))}has(n){return this._map.has(this._toKey(n))}forEach(n,o){this._map.forEach(d=>n.call(o,d,d,this))}*entries(){for(const[n,o]of this._map)yield[o,o]}keys(){return this._map.values()}values(){return this._map.values()}[(D=Symbol.toStringTag,Symbol.iterator)](){return this._map.values()}}e.ExtensionIdentifierSet=b;function v(s){const n=new Set;for(const o of s)n.add(P.ExtensionIdentifier.toKey(o));return n}e.extensionIdentifiersArrayToSet=v;function h(s){const n=new Map;for(const o of s)n.set(P.ExtensionIdentifier.toKey(o.identifier),o);return n}function p(s,n){return s.enabledApiProposals?s.enabledApiProposals.includes(n):!1}e.isProposedApiEnabled=p;function g(s,n){if(!p(s,n))throw new Error(`Extension '${s.identifier.value}' CANNOT use API proposal: ${n}.
Its package.json#enabledApiProposals-property declares: ${s.enabledApiProposals?.join(", ")??"[]"} but NOT ${n}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${s.identifier.value}`)}e.checkProposedApiEnabled=g;class a{constructor(n,o,d,f){this.codeLoadingTime=n,this.activateCallTime=o,this.activateResolvedTime=d,this.activationReason=f}}e.ActivationTimes=a;class m{constructor(n,o){this.description=n,this.value=o}}e.ExtensionPointContribution=m,e.ExtensionHostLogFileName="exthost";var c;(function(s){s[s.Normal=0]="Normal",s[s.Immediate=1]="Immediate"})(c=e.ActivationKind||(e.ActivationKind={}));function l(s){return{type:s.isBuiltin?0:1,isBuiltin:s.isBuiltin||s.isUserBuiltin,identifier:{id:(0,y.getGalleryExtensionId)(s.publisher,s.name),uuid:s.uuid},manifest:s,location:s.extensionLocation,targetPlatform:s.targetPlatform,validations:[],isValid:!0}}e.toExtension=l;function r(s,n){return{identifier:new P.ExtensionIdentifier((0,y.getExtensionId)(s.manifest.publisher,s.manifest.name)),isBuiltin:s.type===0,isUserBuiltin:s.type===1&&s.isBuiltin,isUnderDevelopment:!!n,extensionLocation:s.location,...s.manifest,uuid:s.identifier.uuid,targetPlatform:s.targetPlatform,browserNlsBundleUris:s.browserNlsBundleUris}}e.toExtensionDescription=r;class i{constructor(){this.onDidRegisterExtensions=u.Event.None,this.onDidChangeExtensionsStatus=u.Event.None,this.onDidChangeExtensions=u.Event.None,this.onWillActivateByEvent=u.Event.None,this.onDidChangeResponsiveChange=u.Event.None}activateByEvent(n){return Promise.resolve(void 0)}activationEventIsDone(n){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(n){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(n,o){return Promise.resolve(0)}getInspectPorts(n,o){return Promise.resolve([])}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(n){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(n,o){return Promise.resolve()}}e.NullExtensionService=i}),define(De[227],Ie([1,0,10,28,27,14,18]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;class D{constructor(v,h,p,g){this.startup=v,this.codeLoadingTime=h,this.activateCallTime=p,this.activateResolvedTime=g}}e.ExtensionActivationTimes=D,D.NONE=new D(!1,-1,-1,-1);class w{constructor(v){this._startup=v,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(v,h){return v===-1||h===-1?-1:h-v}build(){return new D(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=w;class I{constructor(v,h,p,g,a,m){this.activationFailed=v,this.activationFailedError=h,this.activationTimes=p,this.module=g,this.exports=a,this.subscriptions=m}}e.ActivatedExtension=I;class A extends I{constructor(v){super(!1,null,v,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=A;class k extends I{constructor(){super(!1,null,D.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class _ extends I{constructor(v){super(!0,v,D.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=_;let T=class{constructor(v,h,p,g,a){this._logService=a,this._registry=v,this._resolvedExtensionsSet=new Set,h.forEach(m=>this._resolvedExtensionsSet.add(t.ExtensionIdentifier.toKey(m))),this._externalExtensionsMap=new Map,p.forEach(m=>this._externalExtensionsMap.set(t.ExtensionIdentifier.toKey(m),m)),this._host=g,this._operations=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){for(const[v,h]of this._operations)h.dispose()}isActivated(v){const h=this._operations.get(t.ExtensionIdentifier.toKey(v));return Boolean(h&&h.value)}getActivatedExtension(v){const h=this._operations.get(t.ExtensionIdentifier.toKey(v));if(!h||!h.value)throw new Error(`Extension '${v.value}' is not known or not activated`);return h.value}async activateByEvent(v,h){if(this._alreadyActivatedEvents[v])return;const p=this._registry.getExtensionDescriptionsForActivationEvent(v);await this._activateExtensions(p.map(g=>({id:g.identifier,reason:{startup:h,extensionId:g.identifier,activationEvent:v}}))),this._alreadyActivatedEvents[v]=!0}activateById(v,h){const p=this._registry.getExtensionDescription(v);if(!p)throw new Error(`Extension '${v}' is not known`);return this._activateExtensions([{id:p.identifier,reason:h}])}async _activateExtensions(v){const h=v.filter(p=>!this.isActivated(p.id)).map(p=>this._handleActivationRequest(p));await Promise.all(h.map(p=>p.wait()))}_handleActivationRequest(v){if(this._operations.has(t.ExtensionIdentifier.toKey(v.id)))return this._operations.get(t.ExtensionIdentifier.toKey(v.id));if(this._externalExtensionsMap.has(t.ExtensionIdentifier.toKey(v.id)))return this._createAndSaveOperation(v,null,[],null);const h=this._registry.getExtensionDescription(v.id);if(!h){const a=new Error(`Cannot activate unknown extension '${v.id.value}'`),m=this._createAndSaveOperation(v,null,[],new _(a));return this._host.onExtensionActivationError(v.id,a,new C.MissingExtensionDependency(v.id.value)),m}const p=[],g=typeof h.extensionDependencies=="undefined"?[]:h.extensionDependencies;for(const a of g){if(this._resolvedExtensionsSet.has(t.ExtensionIdentifier.toKey(a)))continue;const m=this._operations.get(t.ExtensionIdentifier.toKey(a));if(m){p.push(m);continue}if(this._externalExtensionsMap.has(t.ExtensionIdentifier.toKey(a))){p.push(this._handleActivationRequest({id:this._externalExtensionsMap.get(t.ExtensionIdentifier.toKey(a)),reason:v.reason}));continue}const c=this._registry.getExtensionDescription(a);if(c){if(!c.main&&!c.browser)continue;p.push(this._handleActivationRequest({id:c.identifier,reason:v.reason}));continue}const l=h.displayName||h.identifier.value,r=new Error(`Cannot activate the '${l}' extension because it depends on unknown extension '${a}'`),i=this._createAndSaveOperation(v,h.displayName,[],new _(r));return this._host.onExtensionActivationError(h.identifier,r,new C.MissingExtensionDependency(a)),i}return this._createAndSaveOperation(v,h.displayName,p,null)}_createAndSaveOperation(v,h,p,g){const a=new E(v.id,h,v.reason,p,g,this._host,this._logService);return this._operations.set(t.ExtensionIdentifier.toKey(v.id),a),a}};T=je([xe(4,P.ILogService)],T),e.ExtensionsActivator=T;let E=class{constructor(v,h,p,g,a,m,c){this._id=v,this._displayName=h,this._reason=p,this._deps=g,this._value=a,this._host=m,this._logService=c,this._barrier=new y.Barrier,this._isDisposed=!1,this._initialize()}get value(){return this._value}get friendlyName(){return this._displayName||this._id.value}dispose(){this._isDisposed=!0}wait(){return this._barrier.wait()}async _initialize(){await this._waitForDepsThenActivate(),this._barrier.open()}async _waitForDepsThenActivate(){if(!this._value){for(;this._deps.length>0;){for(let v=0;v<this._deps.length;v++){const h=this._deps[v];if(h.value&&!h.value.activationFailed){this._deps.splice(v,1),v--;continue}if(h.value&&h.value.activationFailed){const p=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${h.friendlyName}' failed to activate`);p.detail=h.value.activationFailedError,this._value=new _(p),this._host.onExtensionActivationError(this._id,p,null);return}}this._deps.length>0&&await Promise.race(this._deps.map(v=>v.wait()))}await this._activate()}}async _activate(){try{this._value=await this._host.actualActivateExtension(this._id,this._reason)}catch(v){const h=new Error;if(v&&v.name&&(h.name=v.name),v&&v.message?h.message=`Activating extension '${this._id.value}' failed: ${v.message}.`:h.message=`Activating extension '${this._id.value}' failed: ${v}.`,v&&v.stack&&(h.stack=v.stack),this._value=new _(h),this._isDisposed&&u.isCancellationError(v))return;this._host.onExtensionActivationError(this._id,h,null),this._logService.error(`Activating extension ${this._id.value} failed due to an error:`),this._logService.error(v)}}};E=je([xe(6,P.ILogService)],E)}),define(De[228],Ie([1,0,14,26,27]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let P=class extends u.LogService{constructor(D,w){super(D.createLogger(w.logFile,{name:C.ExtensionHostLogFileName}))}};P=je([xe(0,u.ILoggerService),xe(1,t.IExtHostInitDataService)],P),e.ExtHostLogService=P}),define(De[229],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",badges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.badges.d.ts",commentsResolvedState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsResolvedState.d.ts",contribCommentPeekContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentPeekContext.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribEditorContentMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditorContentMenu.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribViewSize:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewSize.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",contribWebviewContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribWebviewContext.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",editSessionIdentityProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editSessionIdentityProvider.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",inlineCompletionsNew:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsNew.d.ts",interactiveWindow:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveWindow.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookContentProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookContentProvider.d.ts",notebookControllerKind:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerKind.d.ts",notebookDebugOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDebugOptions.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditor.d.ts",notebookEditorEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditorEdit.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",notebookWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookWorkspaceEdit.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",snippetWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.snippetWorkspaceEdit.d.ts",tabInputTextMerge:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputTextMerge.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",telemetryLog:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetryLog.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",testCoverage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testCoverage.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",tunnels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnels.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(De[230],Ie([1,0,185,10,41,84,119,43,28,229,196]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsRegistry=e.ExtensionsRegistryImpl=e.schema=e.ExtensionPoint=e.ExtensionPointUserDelta=e.ExtensionMessageCollector=void 0;const k=D.Registry.as(y.Extensions.JSONContribution);class _{constructor(a,m,c){this._messageHandler=a,this._extension=m,this._extensionPointId=c}_msg(a,m){this._messageHandler({type:a,message:m,extensionId:this._extension.identifier,extensionPointId:this._extensionPointId})}error(a){this._msg(C.default.Error,a)}warn(a){this._msg(C.default.Warning,a)}info(a){this._msg(C.default.Info,a)}}e.ExtensionMessageCollector=_;class T{constructor(a,m){this.added=a,this.removed=m}static _toSet(a){const m=new Set;for(let c=0,l=a.length;c<l;c++)m.add(w.ExtensionIdentifier.toKey(a[c].description.identifier));return m}static compute(a,m){if(!a||!a.length)return new T(m,[]);if(!m||!m.length)return new T([],a);const c=this._toSet(a),l=this._toSet(m),r=m.filter(s=>!c.has(w.ExtensionIdentifier.toKey(s.description.identifier))),i=a.filter(s=>!l.has(w.ExtensionIdentifier.toKey(s.description.identifier)));return new T(r,i)}}e.ExtensionPointUserDelta=T;class E{constructor(a,m){this.name=a,this.defaultExtensionKind=m,this._handler=null,this._users=null,this._delta=null}setHandler(a){if(this._handler!==null)throw new Error("Handler already set!");this._handler=a,this._handle()}acceptUsers(a){this._delta=T.compute(this._users,a),this._users=a,this._handle()}_handle(){if(!(this._handler===null||this._users===null||this._delta===null))try{this._handler(this._users,this._delta)}catch(a){(0,t.onUnexpectedError)(a)}}}e.ExtensionPoint=E;const b={type:"string",enum:["ui","workspace"],enumDescriptions:[u.localize(0,null),u.localize(1,null)]},v="vscode://schemas/vscode-extensions";e.schema={properties:{engines:{type:"object",description:u.localize(2,null),properties:{vscode:{type:"string",description:u.localize(3,null),default:"^1.22.0"}}},publisher:{description:u.localize(4,null),type:"string"},displayName:{description:u.localize(5,null),type:"string"},categories:{description:u.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:w.EXTENSION_CATEGORIES},{type:"string",const:"Languages",deprecationMessage:u.localize(7,null)}]}},galleryBanner:{type:"object",description:u.localize(8,null),properties:{color:{description:u.localize(9,null),type:"string"},theme:{description:u.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:u.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:u.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:u.localize(13,null)},enabledApiProposals:{markdownDescription:u.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(I.allApiProposals),markdownEnumDescriptions:Object.values(I.allApiProposals)}},activationEvents:{description:u.localize(15,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:u.localize(16,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:u.localize(17,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:u.localize(18,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:u.localize(19,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:u.localize(20,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:u.localize(21,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:u.localize(22,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:u.localize(23,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:u.localize(24,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:u.localize(25,null),body:"onStartupFinished"},{label:"onTaskType",description:u.localize(26,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:u.localize(27,null),body:"onFileSystem:${1:scheme}"},{label:"onEditSession",description:u.localize(28,null),body:"onEditSession:${1:scheme}"},{label:"onSearch",description:u.localize(29,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:u.localize(30,null)},{label:"onIdentity",body:"onIdentity:${8:identity}",description:u.localize(31,null)},{label:"onUri",body:"onUri",description:u.localize(32,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:u.localize(33,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:u.localize(34,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:u.localize(35,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:u.localize(36,null)},{label:"onRenderer",description:u.localize(37,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:u.localize(38,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:u.localize(39,null)},{label:"*",description:u.localize(40,null),body:"*"}]}},badges:{type:"array",description:u.localize(41,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:u.localize(42,null)},href:{type:"string",description:u.localize(43,null)},description:{type:"string",description:u.localize(44,null)}}}},markdown:{type:"string",description:u.localize(45,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:u.localize(46,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:u.localize(47,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:P.EXTENSION_IDENTIFIER_PATTERN}},extensionPack:{description:u.localize(48,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:P.EXTENSION_IDENTIFIER_PATTERN}},extensionKind:{description:u.localize(49,null),type:"array",items:b,default:["workspace"],defaultSnippets:[{body:["ui"],description:u.localize(50,null)},{body:["workspace"],description:u.localize(51,null)},{body:["ui","workspace"],description:u.localize(52,null)},{body:["workspace","ui"],description:u.localize(53,null)},{body:[],description:u.localize(54,null)}]},capabilities:{description:u.localize(55,null),type:"object",properties:{virtualWorkspaces:{description:u.localize(56,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:u.localize(57,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[u.localize(58,null),u.localize(59,null),u.localize(60,null)]},description:{type:"string",markdownDescription:u.localize(61,null)}}},untrustedWorkspaces:{description:u.localize(62,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:u.localize(63,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[u.localize(64,null),u.localize(65,null),u.localize(66,null)]},restrictedConfigurations:{description:u.localize(67,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:u.localize(68,null)}}}}},sponsor:{description:u.localize(69,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:u.localize(70,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:u.localize(71,null),type:"string"},"vscode:uninstall":{description:u.localize(72,null),type:"string"}}},icon:{type:"string",description:u.localize(73,null)}}};class h{constructor(){this._extensionPoints=new Map}registerExtensionPoint(a){if(this._extensionPoints.has(a.extensionPoint))throw new Error("Duplicate extension point: "+a.extensionPoint);const m=new E(a.extensionPoint,a.defaultExtensionKind);return this._extensionPoints.set(a.extensionPoint,m),e.schema.properties.contributes.properties[a.extensionPoint]=a.jsonSchema,k.registerSchema(v,e.schema),m}getExtensionPoints(){return Array.from(this._extensionPoints.values())}}e.ExtensionsRegistryImpl=h;const p={ExtensionsRegistry:"ExtensionsRegistry"};D.Registry.add(p.ExtensionsRegistry,new h),e.ExtensionsRegistry=D.Registry.as(p.ExtensionsRegistry),k.registerSchema(v,e.schema),k.registerSchema(A.productSchemaId,{properties:{extensionEnabledApiProposals:{description:u.localize(74,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(I.allApiProposals),markdownEnumDescriptions:Object.values(I.allApiProposals)}}]}}}})}),define(De[231],Ie([1,0,182,13,24,230,52,4]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinitionRegistry=e.TaskDefinitionRegistryImpl=void 0;const w={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:u.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:u.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:u.localize(2,null),default:""}}};var I;(function(_){function T(E,b,v){if(!E)return;const h=t.isString(E.type)?E.type:void 0;if(!h||h.length===0){v.error(u.localize(3,null));return}const p=[];if(Array.isArray(E.required))for(const g of E.required)t.isString(g)&&p.push(g);return{extensionId:b.value,taskType:h,required:p,properties:E.properties?C.deepClone(E.properties):{},when:E.when?y.ContextKeyExpr.deserialize(E.when):void 0}}_.from=T})(I||(I={}));const A=P.ExtensionsRegistry.registerExtensionPoint({extensionPoint:"taskDefinitions",jsonSchema:{description:u.localize(4,null),type:"array",items:w}});class k{constructor(){this._onDefinitionsChanged=new D.Emitter,this.onDefinitionsChanged=this._onDefinitionsChanged.event,this.taskTypes=Object.create(null),this.readyPromise=new Promise((T,E)=>{A.setHandler((b,v)=>{this._schema=void 0;try{for(const h of v.removed){const p=h.value;for(const g of p)this.taskTypes&&g.type&&this.taskTypes[g.type]&&delete this.taskTypes[g.type]}for(const h of v.added){const p=h.value;for(const g of p){const a=I.from(g,h.description.identifier,h.collector);a&&(this.taskTypes[a.taskType]=a)}}(v.removed.length>0||v.added.length>0)&&this._onDefinitionsChanged.fire()}catch{}T(void 0)})})}onReady(){return this.readyPromise}get(T){return this.taskTypes[T]}all(){return Object.keys(this.taskTypes).map(T=>this.taskTypes[T])}getJsonSchema(){if(this._schema===void 0){const T=[];for(const E of this.all()){const b={type:"object",additionalProperties:!1};E.required.length>0&&(b.required=E.required.slice(0)),E.properties!==void 0?b.properties=C.deepClone(E.properties):b.properties=Object.create(null),b.properties.type={type:"string",enum:[E.taskType]},T.push(b)}this._schema={oneOf:T}}return this._schema}}e.TaskDefinitionRegistryImpl=k,e.TaskDefinitionRegistry=new k}),define(De[232],Ie([1,0,183,13,22,24,52,231]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.TaskSorter=e.JsonSchemaVersion=e.ExecutionEngine=e.InMemoryTask=e.ContributedTask=e.ConfiguringTask=e.CustomTask=e.CommonTask=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.CUSTOMIZED_TASK_TYPE=e.ShellQuoting=e.TASKS_CATEGORY=e.TASK_RUNNING_STATE=e.USER_TASKS_GROUP_KEY=void 0,e.USER_TASKS_GROUP_KEY="settings",e.TASK_RUNNING_STATE=new y.RawContextKey("taskRunning",!1,u.localize(0,null)),e.TASKS_CATEGORY={value:u.localize(1,null),original:"Tasks"};var w;(function(N){N[N.Escape=1]="Escape",N[N.Strong=2]="Strong",N[N.Weak=3]="Weak"})(w=e.ShellQuoting||(e.ShellQuoting={})),e.CUSTOMIZED_TASK_TYPE="$customized",function(N){function X(z){if(!z)return N.Strong;switch(z.toLowerCase()){case"escape":return N.Escape;case"strong":return N.Strong;case"weak":return N.Weak;default:return N.Strong}}N.from=X}(w=e.ShellQuoting||(e.ShellQuoting={}));var I;(function(N){N.defaults={cwd:"${workspaceFolder}"}})(I=e.CommandOptions||(e.CommandOptions={}));var A;(function(N){N[N.Always=1]="Always",N[N.Silent=2]="Silent",N[N.Never=3]="Never"})(A=e.RevealKind||(e.RevealKind={})),function(N){function X(z){switch(z.toLowerCase()){case"always":return N.Always;case"silent":return N.Silent;case"never":return N.Never;default:return N.Always}}N.fromString=X}(A=e.RevealKind||(e.RevealKind={}));var k;(function(N){N[N.Never=1]="Never",N[N.OnProblem=2]="OnProblem",N[N.Always=3]="Always"})(k=e.RevealProblemKind||(e.RevealProblemKind={})),function(N){function X(z){switch(z.toLowerCase()){case"always":return N.Always;case"never":return N.Never;case"onproblem":return N.OnProblem;default:return N.OnProblem}}N.fromString=X}(k=e.RevealProblemKind||(e.RevealProblemKind={}));var _;(function(N){N[N.Shared=1]="Shared",N[N.Dedicated=2]="Dedicated",N[N.New=3]="New"})(_=e.PanelKind||(e.PanelKind={})),function(N){function X(z){switch(z.toLowerCase()){case"shared":return N.Shared;case"dedicated":return N.Dedicated;case"new":return N.New;default:return N.Shared}}N.fromString=X}(_=e.PanelKind||(e.PanelKind={}));var T;(function(N){N.defaults={echo:!0,reveal:A.Always,revealProblems:k.Never,focus:!1,panel:_.Shared,showReuseMessage:!0,clear:!1}})(T=e.PresentationOptions||(e.PresentationOptions={}));var E;(function(N){N[N.Shell=1]="Shell",N[N.Process=2]="Process",N[N.CustomExecution=3]="CustomExecution"})(E=e.RuntimeType||(e.RuntimeType={})),function(N){function X(O){switch(O.toLowerCase()){case"shell":return N.Shell;case"process":return N.Process;case"customExecution":return N.CustomExecution;default:return N.Process}}N.fromString=X;function z(O){switch(O){case N.Shell:return"shell";case N.Process:return"process";case N.CustomExecution:return"customExecution";default:return"process"}}N.toString=z}(E=e.RuntimeType||(e.RuntimeType={}));var b;(function(N){function X(z){return t.isString(z)?z:z.value}N.value=X})(b=e.CommandString||(e.CommandString={}));var v;(function(N){N.Clean={_id:"clean",isDefault:!1},N.Build={_id:"build",isDefault:!1},N.Rebuild={_id:"rebuild",isDefault:!1},N.Test={_id:"test",isDefault:!1};function X(O){return O===N.Clean._id||O===N.Build._id||O===N.Rebuild._id||O===N.Test._id}N.is=X;function z(O){if(O!==void 0)return t.isString(O)?X(O)?{_id:O,isDefault:!1}:void 0:O}N.from=z})(v=e.TaskGroup||(e.TaskGroup={}));var h;(function(N){N[N.Global=1]="Global",N[N.Workspace=2]="Workspace",N[N.Folder=3]="Folder"})(h=e.TaskScope||(e.TaskScope={}));var p;(function(N){N.Workspace="workspace",N.Extension="extension",N.InMemory="inMemory",N.WorkspaceFile="workspaceFile",N.User="user";function X(z){switch(z){case N.User:return 2;case N.WorkspaceFile:return 5;default:return 6}}N.toConfigurationTarget=X})(p=e.TaskSourceKind||(e.TaskSourceKind={}));var g;(function(N){N.parallel="parallel",N.sequence="sequence"})(g=e.DependsOrder||(e.DependsOrder={}));var a;(function(N){N[N.default=1]="default",N[N.folderOpen=2]="folderOpen"})(a=e.RunOnOptions||(e.RunOnOptions={}));var m;(function(N){N.defaults={reevaluateOnRerun:!0,runOn:a.default,instanceLimit:1}})(m=e.RunOptions||(e.RunOptions={}));class c{constructor(X,z,O,x,V,q){this._label="",this._id=X,z&&(this._label=z),O&&(this.type=O),this.runOptions=x,this.configurationProperties=V,this._source=q}getDefinition(X){}getMapKey(){return this._id}getRecentlyUsedKey(){}getCommonTaskId(){const X={folder:this.getFolderId(),id:this._id};return JSON.stringify(X)}clone(){return this.fromObject(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(X,z=!1){if(X===void 0)return!1;if(t.isString(X))return X===this._label||X===this.configurationProperties.identifier||z&&X===this._id;const O=this.getDefinition(!0);return O!==void 0&&O._key===X._key}getQualifiedLabel(){const X=this.getWorkspaceFolder();return X?`${this._label} (${X.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(X){this._taskLoadMessages===void 0&&(this._taskLoadMessages=[]),X&&(this._taskLoadMessages=this._taskLoadMessages.concat(X))}get taskLoadMessages(){return this._taskLoadMessages}}e.CommonTask=c;class l extends c{constructor(X,z,O,x,V,q,J,Y){super(X,O,void 0,J,Y,z);this.command={},this._source=z,this.hasDefinedMatchers=q,V&&(this.command=V)}clone(){return new l(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(X=!1){if(X&&this._source.customizes!==void 0)return this._source.customizes;{let z;switch(this.command?this.command.runtime:void 0){case E.Shell:z="shell";break;case E.Process:z="process";break;case E.CustomExecution:z="customExecution";break;case void 0:z="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:z,_key:this._id,id:this._id}}}static is(X){return X instanceof l}getMapKey(){const X=this._source.config.workspaceFolder;return X?`${X.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}getFolderId(){return this._source.kind===p.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getRecentlyUsedKey()??super.getCommonTaskId()}getRecentlyUsedKey(){const X=this.getFolderId();if(!X)return;let z=this.configurationProperties.identifier;this._source.kind!==p.Workspace&&(z+=this._source.kind);const O={type:e.CUSTOMIZED_TASK_TYPE,folder:X,id:z};return JSON.stringify(O)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?C.basename(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}fromObject(X){return new l(X._id,X._source,X._label,X.type,X.command,X.hasDefinedMatchers,X.runOptions,X.configurationProperties)}}e.CustomTask=l;class r extends c{constructor(X,z,O,x,V,q,J){super(X,O,x,q,J,z);this._source=z,this.configures=V}static is(X){return X instanceof r}fromObject(X){return X}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?C.basename(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}getFolderId(){return this._source.kind===p.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getRecentlyUsedKey(){const X=this.getFolderId();if(!X)return;let z=this.configurationProperties.identifier;this._source.kind!==p.Workspace&&(z+=this._source.kind);const O={type:e.CUSTOMIZED_TASK_TYPE,folder:X,id:z};return JSON.stringify(O)}}e.ConfiguringTask=r;class i extends c{constructor(X,z,O,x,V,q,J,Y,he){super(X,O,x,Y,he,z);this.defines=V,this.hasDefinedMatchers=J,this.command=q,this.icon=he.icon,this.hide=he.hide}clone(){return new i(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(X){return X instanceof i}getMapKey(){const X=this._source.workspaceFolder;return X?`${this._source.scope.toString()}|${X.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}getFolderId(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getRecentlyUsedKey(){const X={type:"contributed",scope:this._source.scope,id:this._id};return X.folder=this.getFolderId(),JSON.stringify(X)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}fromObject(X){return new i(X._id,X._source,X._label,X.type,X.defines,X.command,X.hasDefinedMatchers,X.runOptions,X.configurationProperties)}}e.ContributedTask=i;class s extends c{constructor(X,z,O,x,V,q){super(X,O,x,V,q,z);this._source=z}clone(){return new s(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(X){return X instanceof s}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}getFolderId(){}fromObject(X){return new s(X._id,X._source,X._label,X.type,X.runOptions,X.configurationProperties)}}e.InMemoryTask=s;var n;(function(N){N[N.Process=1]="Process",N[N.Terminal=2]="Terminal"})(n=e.ExecutionEngine||(e.ExecutionEngine={})),function(N){N._default=N.Terminal}(n=e.ExecutionEngine||(e.ExecutionEngine={}));var o;(function(N){N[N.V0_1_0=1]="V0_1_0",N[N.V2_0_0=2]="V2_0_0"})(o=e.JsonSchemaVersion||(e.JsonSchemaVersion={}));class d{constructor(X){this._order=new Map;for(let z=0;z<X.length;z++)this._order.set(X[z].uri.toString(),z)}compare(X,z){const O=X.getWorkspaceFolder(),x=z.getWorkspaceFolder();if(O&&x){let V=this._order.get(O.uri.toString());V=V===void 0?0:V+1;let q=this._order.get(x.uri.toString());return q=q===void 0?0:q+1,V===q?X._label.localeCompare(z._label):V-q}else return!O&&x?-1:O&&!x?1:0}}e.TaskSorter=d;var f;(function(N){N.DependsOnStarted="dependsOnStarted",N.AcquiredInput="acquiredInput",N.Start="start",N.ProcessStarted="processStarted",N.Active="active",N.Inactive="inactive",N.Changed="changed",N.Terminated="terminated",N.ProcessEnded="processEnded",N.End="end"})(f=e.TaskEventKind||(e.TaskEventKind={}));var S;(function(N){N.SingleRun="singleRun",N.Background="background"})(S=e.TaskRunType||(e.TaskRunType={}));var L;(function(N){N[N.System=0]="System",N[N.User=1]="User",N[N.FolderOpen=2]="FolderOpen",N[N.ConfigurationChange=3]="ConfigurationChange",N[N.Reconnect=4]="Reconnect"})(L=e.TaskRunSource||(e.TaskRunSource={}));var M;(function(N){function X(z,O,x,V,q){if(O){const J={kind:z,taskId:O._id,taskName:O.configurationProperties.name,runType:O.configurationProperties.isBackground?"background":"singleRun",group:O.configurationProperties.group,processId:void 0,exitCode:void 0,terminalId:void 0,__task:O};return z==="start"?(J.terminalId=x,J.resolvedVariables=V):z==="processStarted"?J.processId=x:z==="processEnded"&&(J.exitCode=x),Object.freeze(J)}else return Object.freeze({kind:"changed"})}N.create=X})(M=e.TaskEvent||(e.TaskEvent={}));var B;(function(N){function X(O){const x=Object.keys(O).sort();let V="";for(const q of x){let J=O[q];J instanceof Object?J=X(J):typeof J=="string"&&(J=J.replace(/,/g,",,")),V+=q+","+J+","}return V}function z(O){const V={_key:X(O),type:O.taskType};return Object.assign(V,O),V}N.create=z})(B=e.KeyedTaskIdentifier||(e.KeyedTaskIdentifier={}));var R;(function(N){N.AutoDetect="task.autoDetect",N.SaveBeforeRun="task.saveBeforeRun",N.ShowDecorations="task.showDecorations",N.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",N.SlowProviderWarning="task.slowProviderWarning",N.QuickOpenHistory="task.quickOpen.history",N.QuickOpenDetail="task.quickOpen.detail",N.QuickOpenSkip="task.quickOpen.skip",N.QuickOpenShowAll="task.quickOpen.showAll",N.AllowAutomaticTasks="task.allowAutomaticTasks",N.Reconnection="task.reconnection"})(R=e.TaskSettingId||(e.TaskSettingId={}));var U;(function(N){N.Tasks="tasks",N.SuppressTaskName="tasks.suppressTaskName",N.Windows="tasks.windows",N.Osx="tasks.osx",N.Linux="tasks.linux",N.ShowOutput="tasks.showOutput",N.IsShellCommand="tasks.isShellCommand",N.ServiceTestSetting="tasks.service.testSetting"})(U=e.TasksSchemaProperties||(e.TasksSchemaProperties={}));var $;(function(N){function X(z,O){const x=D.TaskDefinitionRegistry.get(z.type);if(x===void 0){const Y=P.deepClone(z);return delete Y._key,B.create(Y)}const V=Object.create(null);V.type=x.taskType;const q=new Set;x.required.forEach(Y=>q.add(Y));const J=x.properties;for(const Y of Object.keys(J)){const he=z[Y];if(he!=null)V[Y]=he;else if(q.has(Y)){const ve=J[Y];if(ve.default!==void 0)V[Y]=P.deepClone(ve.default);else switch(ve.type){case"boolean":V[Y]=!1;break;case"number":case"integer":V[Y]=0;break;case"string":V[Y]="";break;default:O.error(u.localize(2,null,JSON.stringify(z,void 0,0),Y));return}}}return B.create(V)}N.createTaskIdentifier=X})($=e.TaskDefinition||(e.TaskDefinition={}))}),define(De[233],Ie([1,0,10]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CanceledLazyPromise=e.LazyPromise=void 0;class t{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((y,D)=>{this._actualOk=y,this._actualErr=D,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(y){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=y,this._actual&&this._actualOk(y))}resolveErr(y){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=y,this._actual?this._actualErr(y):(0,u.onUnexpectedError)(y))}then(y,D){return this._ensureActual().then(y,D)}catch(y){return this._ensureActual().then(void 0,y)}finally(y){return this._ensureActual().finally(y)}}e.LazyPromise=t;class C extends t{constructor(){super();this._hasErr=!0,this._err=new u.CancellationError}}e.CanceledLazyPromise=C}),define(De[55],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class u{constructor(w){this._proxyIdentifierBrand=void 0,this.sid=w,this.nid=++u.count}}e.ProxyIdentifier=u,u.count=0;const t=[];function C(D){const w=new u(D);return t[w.nid]=w,w}e.createProxyIdentifier=C;function P(D){return t[D].sid}e.getStringIdentifierForProxy=P;class y{constructor(w){this.value=w}}e.SerializableObjectWithBuffers=y}),define(De[5],Ie([1,0,62,55]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var C;(function(h){h[h.Default=0]="Default",h[h.InCenter=1]="InCenter",h[h.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",h[h.AtTop=3]="AtTop"})(C=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(h){h[h.UnknownInput=0]="UnknownInput",h[h.TextInput=1]="TextInput",h[h.TextDiffInput=2]="TextDiffInput",h[h.TextMergeInput=3]="TextMergeInput",h[h.NotebookInput=4]="NotebookInput",h[h.NotebookDiffInput=5]="NotebookDiffInput",h[h.CustomEditorInput=6]="CustomEditorInput",h[h.WebviewEditorInput=7]="WebviewEditorInput",h[h.TerminalEditorInput=8]="TerminalEditorInput",h[h.InteractiveEditorInput=9]="InteractiveEditorInput"})(P=e.TabInputKind||(e.TabInputKind={}));var y;(function(h){h[h.TAB_OPEN=0]="TAB_OPEN",h[h.TAB_CLOSE=1]="TAB_CLOSE",h[h.TAB_UPDATE=2]="TAB_UPDATE",h[h.TAB_MOVE=3]="TAB_MOVE"})(y=e.TabModelOperationKind||(e.TabModelOperationKind={}));var D;(function(h){h[h.Editable=0]="Editable",h[h.SupportsHotExit=1]="SupportsHotExit"})(D=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var w;(function(h){h[h.Int8Array=1]="Int8Array",h[h.Uint8Array=2]="Uint8Array",h[h.Uint8ClampedArray=3]="Uint8ClampedArray",h[h.Int16Array=4]="Int16Array",h[h.Uint16Array=5]="Uint16Array",h[h.Int32Array=6]="Int32Array",h[h.Uint32Array=7]="Uint32Array",h[h.Float32Array=8]="Float32Array",h[h.Float64Array=9]="Float64Array",h[h.BigInt64Array=10]="BigInt64Array",h[h.BigUint64Array=11]="BigUint64Array"})(w=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var I;(function(h){h[h.Text=1]="Text",h[h.Error=2]="Error",h[h.Rich=3]="Rich"})(I=e.CellOutputKind||(e.CellOutputKind={}));var A;(function(h){h[h.Default=0]="Default",h[h.InCenter=1]="InCenter",h[h.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",h[h.AtTop=3]="AtTop"})(A=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(h){h[h.None=0]="None",h[h.Process=1]="Process",h[h.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));class _{static mixin(p){return p._id=_._n++,p}}e.IdObject=_,_._n=0;var T;(function(h){h.label="a",h.kind="b",h.detail="c",h.documentation="d",h.sortText="e",h.filterText="f",h.preselect="g",h.insertText="h",h.insertTextRules="i",h.range="j",h.commitCharacters="k",h.additionalTextEdits="l",h.command="m",h.kindModifier="n"})(T=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var E;(function(h){h.defaultRanges="a",h.completions="b",h.isIncomplete="c",h.duration="d"})(E=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));function b(h){return h&&h.edits&&(0,u.revive)(h),h}e.reviveWorkspaceEditDto=b;var v;(function(h){h[h.Workspace=0]="Workspace",h[h.TextDocument=1]="TextDocument"})(v=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,t.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,t.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,t.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,t.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,t.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,t.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,t.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,t.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,t.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,t.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,t.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,t.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,t.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,t.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,t.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,t.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,t.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,t.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,t.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,t.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,t.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,t.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,t.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,t.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,t.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,t.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,t.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,t.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,t.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,t.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,t.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,t.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,t.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,t.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,t.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,t.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,t.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,t.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,t.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,t.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,t.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,t.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,t.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,t.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,t.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,t.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,t.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,t.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,t.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,t.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,t.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,t.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,t.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,t.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,t.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,t.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,t.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,t.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,t.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,t.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,t.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,t.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,t.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,t.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,t.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,t.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,t.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,t.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,t.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,t.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,t.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,t.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,t.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,t.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,t.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,t.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,t.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,t.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,t.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,t.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,t.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,t.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,t.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,t.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,t.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,t.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,t.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,t.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,t.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,t.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,t.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,t.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,t.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,t.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,t.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,t.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,t.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,t.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,t.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,t.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,t.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,t.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,t.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,t.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,t.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,t.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,t.createProxyIdentifier)("ExtHostTelemetry")}}),define(De[67],Ie([1,0,3,14,5,15]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,u.createDecorator)("IExtHostApiDeprecationService");let y=class{constructor(w,I){this._extHostLogService=I,this._reportedUsages=new Set,this._telemetryShape=w.getProxy(C.MainContext.MainThreadTelemetry)}report(w,I,A){const k=this.getUsageKey(w,I);this._reportedUsages.has(k)||(this._reportedUsages.add(k),I.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${w}' is deprecated. ${A}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:I.identifier.value,apiId:w}))}getUsageKey(w,I){return`${w}-${I.identifier.value}`}};y=je([xe(0,P.IExtHostRpcService),xe(1,t.ILogService)],y),e.ExtHostApiDeprecationService=y,e.NullApiDeprecationService=Object.freeze(new class{report(D,w,I){}})}),define(De[234],Ie([1,0,4,5,7,28]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class y{constructor(w){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new u.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=w.getProxy(t.MainContext.MainThreadAuthentication)}$setProviders(w){return this._providers=w,Promise.resolve()}async getSession(w,I,A,k={}){const _=P.ExtensionIdentifier.toKey(w.identifier),T=this._inFlightRequests.get(_)||[],E=[...A].sort().join(" ");let b=T.find(v=>v.providerId===I&&v.scopes===E);if(b)return b.result;{const v=this._getSession(w,_,I,A,k);b={providerId:I,scopes:E,result:v},T.push(b),this._inFlightRequests.set(_,T);try{await v}finally{const h=T.findIndex(p=>p.providerId===I&&p.scopes===E);h>-1&&(T.splice(h),this._inFlightRequests.set(_,T))}return v}}async _getSession(w,I,A,k,_={}){await this._proxy.$ensureProvider(A);const T=w.displayName||w.name;return this._proxy.$getSession(A,k,I,T,_)}async removeSession(w,I){const A=this._authenticationProviders.get(w);return A?A.provider.removeSession(I):this._proxy.$removeSession(w,I)}registerAuthenticationProvider(w,I,A,k){if(this._authenticationProviders.get(w))throw new Error(`An authentication provider with id '${w}' is already registered.`);this._authenticationProviders.set(w,{label:I,provider:A,options:k??{supportsMultipleAccounts:!1}}),this._providers.find(T=>T.id===w)||this._providers.push({id:w,label:I});const _=A.onDidChangeSessions(T=>{this._proxy.$sendDidChangeSessions(w,{added:T.added??[],changed:T.changed??[],removed:T.removed??[]})});return this._proxy.$registerAuthenticationProvider(w,I,k?.supportsMultipleAccounts??!1),new C.Disposable(()=>{_.dispose(),this._authenticationProviders.delete(w);const T=this._providers.findIndex(E=>E.id===w);T>-1&&this._providers.splice(T),this._proxy.$unregisterAuthenticationProvider(w)})}$createSession(w,I){const A=this._authenticationProviders.get(w);if(A)return Promise.resolve(A.provider.createSession(I));throw new Error(`Unable to find authentication provider with handle: ${w}`)}$removeSession(w,I){const A=this._authenticationProviders.get(w);if(A)return Promise.resolve(A.provider.removeSession(I));throw new Error(`Unable to find authentication provider with handle: ${w}`)}$getSessions(w,I){const A=this._authenticationProviders.get(w);if(A)return Promise.resolve(A.provider.getSessions(I));throw new Error(`Unable to find authentication provider with handle: ${w}`)}$onDidChangeAuthenticationSessions(w,I){return this._onDidChangeSessions.fire({provider:{id:w,label:I}}),Promise.resolve()}}e.ExtHostAuthentication=y}),define(De[235],Ie([1,0,5,15,16,27]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let y=class{constructor(w,I){this._proxy=w.getProxy(u.MainContext.MainThreadBulkEdits),this._versionInformationProvider={getTextDocumentVersion:A=>I.getDocument(A)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(w,I){const A=(0,P.isProposedApiEnabled)(I,"snippetWorkspaceEdit"),k=C.WorkspaceEdit.from(w,this._versionInformationProvider,A);return this._proxy.$tryApplyWorkspaceEdit(k)}};y=je([xe(0,t.IExtHostRpcService)],y),e.ExtHostBulkEdits=y}),define(De[236],Ie([1,0,5]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class t{constructor(P){const y=P.getProxy(u.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return y.$readText()},writeText(D){return y.$writeText(D)}})}}e.ExtHostClipboard=t});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[37],Ie([1,0,13,7,16,24,5,17,14,62,35,49,2,6,3,15,132,23,55,50]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g){"use strict";var a,m;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let c=class{constructor(o,d){a.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,m.set(this,void 0),et(this,a,o.getProxy(y.MainContext.MainThreadCommands),"f"),this._logService=d,et(this,m,o.getProxy(y.MainContext.MainThreadTelemetry),"f"),this.converter=new l(this,f=>{const S=this._apiCommands.get(f);return S?.result===i.Void?S:void 0},d),this._argumentProcessors=[{processArgument(f){return(0,I.revive)(f)}},{processArgument(f){return(0,P.cloneAndChange)(f,function(S){if(A.Range.isIRange(S))return C.Range.to(S);if(k.Position.isIPosition(S))return C.Position.to(S);if(A.Range.isIRange(S.range)&&_.URI.isUri(S.uri))return C.location.to(S);if(S instanceof h.VSBuffer)return S.buffer.buffer;if(!Array.isArray(S))return S})}}]}registerArgumentProcessor(o){this._argumentProcessors.push(o)}registerApiCommand(o){const d=this.registerCommand(!1,o.id,async(...f)=>{const S=o.args.map((M,B)=>{if(!M.validate(f[B]))throw new Error(`Invalid argument '${M.name}' when running '${o.id}', received: ${f[B]}`);return M.convert(f[B])}),L=await this.executeCommand(o.internalId,...S);return o.result.convert(L,f,this.converter)},void 0,{description:o.description,args:o.args,returns:o.result.description});return this._apiCommands.set(o.id,o),new t.Disposable(()=>{d.dispose(),this._apiCommands.delete(o.id)})}registerCommand(o,d,f,S,L,M){if(this._logService.trace("ExtHostCommands#registerCommand",d),!d.trim().length)throw new Error("invalid id");if(this._commands.has(d))throw new Error(`command '${d}' already exists`);return this._commands.set(d,{callback:f,thisArg:S,description:L,extension:M}),o&&Me(this,a,"f").$registerCommand(d),new t.Disposable(()=>{this._commands.delete(d)&&o&&Me(this,a,"f").$unregisterCommand(d)})}executeCommand(o,...d){return this._logService.trace("ExtHostCommands#executeCommand",o),this._doExecuteCommand(o,d,!0)}async _doExecuteCommand(o,d,f){if(this._commands.has(o))return Me(this,a,"f").$fireCommandActivationEvent(o),this._executeContributedCommand(o,d,!1);{let S=!1;const L=(0,P.cloneAndChange)(d,function(M){if(M instanceof t.Position)return C.Position.from(M);if(M instanceof t.Range)return C.Range.from(M);if(M instanceof t.Location)return C.location.from(M);if(t.NotebookRange.isNotebookRange(M))return C.NotebookRange.from(M);if(M instanceof ArrayBuffer)return S=!0,h.VSBuffer.wrap(new Uint8Array(M));if(M instanceof Uint8Array)return S=!0,h.VSBuffer.wrap(M);if(M instanceof h.VSBuffer)return S=!0,M;if(!Array.isArray(M))return M});try{const M=await Me(this,a,"f").$executeCommand(o,S?new p.SerializableObjectWithBuffers(L):L,f);return(0,I.revive)(M)}catch(M){if(M instanceof Error&&M.message==="$executeCommand:retry")return this._doExecuteCommand(o,d,!1);throw M}}}async _executeContributedCommand(o,d,f){const S=this._commands.get(o);if(!S)throw new Error("Unknown command");this._reportTelemetry(S,o);const{callback:L,thisArg:M,description:B}=S;if(B)for(let R=0;R<B.args.length;R++)try{(0,u.validateConstraint)(d[R],B.args[R].constraint)}catch{throw new Error(`Running the contributed command: '${o}' failed. Illegal argument '${B.args[R].name}' - ${B.args[R].description}`)}try{return await L.apply(M,d)}catch(R){if(o===this.converter.delegatingCommandId){const U=this.converter.getActualCommand(...d);U&&(o=U.command)}throw this._logService.error(R,o,S.extension?.identifier),f?new class extends Error{constructor(){super((0,g.toErrorMessage)(R));this.id=o,this.source=S.extension?.displayName??S.extension?.name}}:R}}_reportTelemetry(o,d){!o.extension||o.extension.isBuiltin||Me(this,m,"f").$publicLog2("Extension:ActionExecuted",{extensionId:o.extension.identifier.value,id:d})}$executeContributedCommand(o,...d){return this._logService.trace("ExtHostCommands#$executeContributedCommand",o),this._commands.has(o)?(d=d.map(f=>this._argumentProcessors.reduce((S,L)=>L.processArgument(S),f)),this._executeContributedCommand(o,d,!0)):Promise.reject(new Error(`Contributed command '${o}' does not exist.`))}getCommands(o=!1){return this._logService.trace("ExtHostCommands#getCommands",o),Me(this,a,"f").$getCommands().then(d=>(o&&(d=d.filter(f=>f[0]!=="_")),d))}$getContributedCommandHandlerDescriptions(){const o=Object.create(null);for(const[d,f]of this._commands){const{description:S}=f;S&&(o[d]=S)}return Promise.resolve(o)}};a=new WeakMap,m=new WeakMap,c=je([xe(0,b.IExtHostRpcService),xe(1,w.ILogService)],c),e.ExtHostCommands=c,e.IExtHostCommands=(0,E.createDecorator)("IExtHostCommands");class l{constructor(o,d,f){this._commands=o,this._lookupApiCommand=d,this._logService=f,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(o,d){if(!o)return;const f={$ident:void 0,id:o.command,title:o.title,tooltip:o.tooltip};if(!o.command)return f;const S=this._lookupApiCommand(o.command);if(S)f.id=S.internalId,f.arguments=S.args.map((L,M)=>L.convert(o.arguments&&o.arguments[M]));else if((0,D.isNonEmptyArray)(o.arguments)){const L=++this._cachIdPool;this._cache.set(L,o),d.add((0,T.toDisposable)(()=>{this._cache.delete(L),this._logService.trace("CommandsConverter#DISPOSE",L)})),f.$ident=L,f.id=this.delegatingCommandId,f.arguments=[L],this._logService.trace("CommandsConverter#CREATE",o.command,L)}return f}fromInternal(o){return typeof o.$ident=="number"?this._cache.get(o.$ident):{command:o.id,title:o.title,arguments:o.arguments}}getActualCommand(...o){return this._cache.get(o[0])}_executeConvertedCommand(...o){const d=this.getActualCommand(...o);return this._logService.trace("CommandsConverter#EXECUTE",o[0],d?d.command:"MISSING"),d?this._commands.executeCommand(d.command,...d.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=l;class r{constructor(o,d,f,S){this.name=o,this.description=d,this.validate=f,this.convert=S}optional(){return new r(this.name,`(optional) ${this.description}`,o=>o==null||this.validate(o),o=>o===void 0?void 0:o===null?null:this.convert(o))}with(o,d){return new r(o??this.name,d??this.description,this.validate,this.convert)}}e.ApiCommandArgument=r,r.Uri=new r("uri","Uri of a text document",n=>_.URI.isUri(n),n=>n),r.Position=new r("position","A position in a text document",n=>t.Position.isPosition(n),C.Position.from),r.Range=new r("range","A range in a text document",n=>t.Range.isRange(n),C.Range.from),r.Selection=new r("selection","A selection in a text document",n=>t.Selection.isSelection(n),C.Selection.from),r.Number=new r("number","",n=>typeof n=="number",n=>n),r.String=new r("string","",n=>typeof n=="string",n=>n),r.CallHierarchyItem=new r("item","A call hierarchy item",n=>n instanceof t.CallHierarchyItem,C.CallHierarchyItem.from),r.TypeHierarchyItem=new r("item","A type hierarchy item",n=>n instanceof t.TypeHierarchyItem,C.TypeHierarchyItem.from),r.TestItem=new r("testItem","A VS Code TestItem",n=>n instanceof v.TestItemImpl,C.TestItem.from);class i{constructor(o,d){this.description=o,this.convert=d}}e.ApiCommandResult=i,i.Void=new i("no result",n=>n);class s{constructor(o,d,f,S,L){this.id=o,this.internalId=d,this.description=f,this.args=S,this.result=L}}e.ApiCommand=s}),define(De[237],Ie([1,0,2,16,7,64,37,17,113,117,12]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const k=[new y.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",T(t.DocumentHighlight.to))),new y.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(b,v)=>{if((0,D.isFalsyOrEmpty)(b))return;class h extends C.SymbolInformation{static to(g){const a=new h(g.name,t.SymbolKind.to(g.kind),g.containerName||"",new C.Location(v[0],t.Range.to(g.range)));return a.detail=g.detail,a.range=a.location.range,a.selectionRange=t.Range.to(g.selectionRange),a.children=g.children?g.children.map(h.to):[],a}}return b.map(h.to)})),new y.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",T(t.TextEdit.to))),new y.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range,new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",T(t.TextEdit.to))),new y.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,new y.ApiCommandArgument("ch","Trigger character",b=>typeof b=="string",b=>b),new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",T(t.TextEdit.to))),new y.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",E)),new y.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",E)),new y.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",E)),new y.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",E)),new y.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location-instances.",T(t.location.to))),new y.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Hover-instances.",T(t.Hover.to))),new y.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("position","A position in a text document",b=>Array.isArray(b)&&b.every(v=>C.Position.isPosition(v)),b=>b.map(t.Position.from))],new y.ApiCommandResult("A promise that resolves to an array of ranges.",b=>b.map(v=>{let h;for(const p of v.reverse())h=new C.SelectionRange(t.Range.to(p),h);return h}))),new y.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[y.ApiCommandArgument.String.with("query","Search string")],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",b=>b.map(t.WorkspaceSymbol.to))),new y.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyItem.to))),new y.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyIncomingCall.to))),new y.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyOutgoingCall.to))),new y.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to a range and placeholder text.",b=>{if(!!b)return{range:t.Range.to(b.range),placeholder:b.text}})),new y.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("newName","The new symbol name")],new y.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",b=>{if(!!b){if(b.rejectReason)throw new Error(b.rejectReason);return t.WorkspaceEdit.to(b)}})),new y.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new y.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",b=>b.map(t.DocumentLink.to))),new y.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",b=>{if(!!b)return new C.SemanticTokensLegend(b.tokenTypes,b.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",b=>{if(!b)return;const v=(0,w.decodeSemanticTokensDto)(b);if(v.type==="full")return new C.SemanticTokens(v.data,void 0)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range.optional()],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",b=>{if(!!b)return new C.SemanticTokensLegend(b.tokenTypes,b.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",b=>{if(!b)return;const v=(0,w.decodeSemanticTokensDto)(b);if(v.type==="full")return new C.SemanticTokens(v.data,void 0)})),new y.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new y.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(b,v,h)=>{if(!b)return new C.CompletionList([]);const p=b.suggestions.map(g=>t.CompletionItem.to(g,h));return new C.CompletionList(p,b.incomplete)})),new y.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new y.ApiCommandResult("A promise that resolves to SignatureHelp.",b=>{if(b)return t.SignatureHelp.to(b)})),new y.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new y.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(b,v,h)=>T(p=>new C.CodeLens(t.Range.to(p.range),p.command&&h.fromInternal(p.command)))(b))),new y.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",b=>C.Range.isRange(b),b=>C.Selection.isSelection(b)?t.Selection.from(b):t.Range.from(b)),y.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new y.ApiCommandResult("A promise that resolves to an array of Command-instances.",(b,v,h)=>T(p=>{if(p._isSynthetic){if(!p.command)throw new Error("Synthetic code actions must have a command");return h.fromInternal(p.command)}else{const g=new C.CodeAction(p.title,p.kind?new C.CodeActionKind(p.kind):void 0);return p.edit&&(g.edit=t.WorkspaceEdit.to(p.edit)),p.command&&(g.command=h.fromInternal(p.command)),g.isPreferred=p.isPreferred,g}})(b))),new y.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",b=>b?b.map(v=>new C.ColorInformation(t.Range.to(v.range),t.Color.to(v.color))):[])),new y.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new y.ApiCommandArgument("color","The color to show and insert",b=>b instanceof C.Color,t.Color.from),new y.ApiCommandArgument("context","Context object with uri and range",b=>!0,b=>({uri:b.uri,range:t.Range.from(b.range)}))],new y.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",b=>b?b.map(t.ColorPresentation.to):[])),new y.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of Inlay objects",(b,v,h)=>b.map(t.InlayHint.to.bind(void 0,h)))),new y.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new y.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",T(b=>({viewType:b.viewType,displayName:b.displayName,options:{transientOutputs:b.options.transientOutputs,transientCellMetadata:b.options.transientCellMetadata,transientDocumentMetadata:b.options.transientDocumentMetadata},filenamePattern:b.filenamePattern.map(v=>t.NotebookExclusiveDocumentPattern.to(v))})))),new y.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of InlineValue objects",b=>b.map(t.InlineValue.to))),new y.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new y.ApiCommandArgument("uriOrString","Uri-instance or string (only http/https)",b=>u.URI.isUri(b)||typeof b=="string"&&(0,I.matchesSomeScheme)(b,A.Schemas.http,A.Schemas.https),b=>b),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="number"||typeof b=="object",b=>b&&(typeof b=="number"?[t.ViewColumn.from(b),void 0]:[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)])).optional(),y.ApiCommandArgument.String.with("label","").optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[y.ApiCommandArgument.Uri.with("resource","Resource to open"),y.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="number"||typeof b=="object",b=>b&&(typeof b=="number"?[t.ViewColumn.from(b),void 0]:[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)])).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[y.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),y.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),y.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="object",b=>b&&[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)]).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[y.ApiCommandArgument.TestItem],y.ApiCommandResult.Void),new y.ApiCommand("vscode.experimental.editSession.continue","_workbench.experimental.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[y.ApiCommandArgument.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],y.ApiCommandResult.Void)];class _{static register(v){k.forEach(v.registerApiCommand,v)}}e.ExtHostApiCommands=_;function T(b){return v=>{if(Array.isArray(v))return v.map(b)}}function E(b){if(!Array.isArray(b))return;const v=[];for(const h of b)P.isLocationLink(h)?v.push(t.DefinitionLink.to(h)):v.push(t.location.to(h));return v}}),define(De[238],Ie([1,0,18,58,4,6,2,64,28,16,7,27,5]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function T(E,b,v){const h=E.getProxy(_.MainContext.MainThreadComments);class p{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,b.registerArgumentProcessor({processArgument:n=>{if(n&&n.$mid===6){const o=this._commentControllers.get(n.handle);return o?o.value:n}else if(n&&n.$mid===7){const o=this._commentControllers.get(n.commentControlHandle);if(!o)return n;const d=o.getCommentThread(n.commentThreadHandle);return d?d.value:n}else if(n&&n.$mid===8){const o=this._commentControllers.get(n.thread.commentControlHandle);if(!o)return n;const d=o.getCommentThread(n.thread.commentThreadHandle);return d?{thread:d.value,text:n.text}:n}else if(n&&n.$mid===9){const o=this._commentControllers.get(n.thread.commentControlHandle);if(!o)return n;const d=o.getCommentThread(n.thread.commentThreadHandle);if(!d)return n;const f=n.commentUniqueId,S=d.getCommentByUniqueId(f);return S||n}else if(n&&n.$mid===10){const o=this._commentControllers.get(n.thread.commentControlHandle);if(!o)return n;const d=o.getCommentThread(n.thread.commentThreadHandle);if(!d)return n;const f=n.text,S=n.commentUniqueId,L=d.getCommentByUniqueId(S);return L?(typeof L.body=="string"?L.body=f:L.body.value=f,L):n}return n}})}createCommentController(n,o,d){const f=p.handlePool++,S=new a(n,f,o,d);this._commentControllers.set(S.handle,S);const L=this._commentControllersByExtension.get(w.ExtensionIdentifier.toKey(n.identifier))||[];return L.push(S),this._commentControllersByExtension.set(w.ExtensionIdentifier.toKey(n.identifier),L),S.value}$createCommentThreadTemplate(n,o,d){const f=this._commentControllers.get(n);!f||f.$createCommentThreadTemplate(o,d)}async $updateCommentThreadTemplate(n,o,d){const f=this._commentControllers.get(n);!f||f.$updateCommentThreadTemplate(o,d)}$deleteCommentThread(n,o){this._commentControllers.get(n)?.$deleteCommentThread(o)}$provideCommentingRanges(n,o,d){const f=this._commentControllers.get(n);if(!f||!f.commentingRangeProvider)return Promise.resolve(void 0);const S=v.getDocument(y.URI.revive(o));return(0,u.asPromise)(()=>f.commentingRangeProvider.provideCommentingRanges(S,d)).then(L=>L?L.map(M=>I.Range.from(M)):void 0)}$toggleReaction(n,o,d,f,S){const L=this._commentControllers.get(n);return!L||!L.reactionHandler?Promise.resolve(void 0):(0,u.asPromise)(()=>{const M=L.getCommentThread(o);if(M){const B=M.getCommentByUniqueId(f.uniqueIdInThread);if(L!==void 0&&B&&L.reactionHandler)return L.reactionHandler(B,l(S))}return Promise.resolve(void 0)})}dispose(){}}p.handlePool=0;class g{constructor(n,o,d,f,S,L,M,B){this._commentControllerHandle=o,this._id=d,this._uri=f,this._range=S,this._comments=L,this.extensionDescription=M,this._isTemplate=B,this.handle=g._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new C.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputDisposables.value=new P.DisposableStore,this._id===void 0&&(this._id=`${n}.${this.handle}`),h.$createCommentThread(o,this.handle,this._id,this._uri,I.Range.from(this._range),M.identifier,this._isTemplate),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=L,this._localDisposables.push({dispose:()=>{h.$deleteCommentThread(o,this.handle)}});const R=this;this.value={get uri(){return R.uri},get range(){return R.range},set range(U){R.range=U},get comments(){return R.comments},set comments(U){R.comments=U},get collapsibleState(){return R.collapsibleState},set collapsibleState(U){R.collapsibleState=U},get canReply(){return R.canReply},set canReply(U){R.canReply=U},get contextValue(){return R.contextValue},set contextValue(U){R.contextValue=U},get label(){return R.label},set label(U){R.label=U},get state(){return R.state},set state(U){R.state=U},dispose:()=>{R.dispose()}}}set threadId(n){this._id=n}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(n){n.isEqual(this._range)||(this._range=n,this.modifications.range=n,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(n){this._canReply!==n&&(this._canReply=n,this.modifications.canReply=n,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(n){this._label=n,this.modifications.label=n,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(n){this._contextValue=n,this.modifications.contextValue=n,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(n){this._comments=n,this.modifications.comments=n,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(n){this._collapseState=n,this.modifications.collapsibleState=n,this._onDidUpdateCommentThread.fire()}get state(){return(0,k.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state}set state(n){(0,k.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state=n,this.modifications.state=n,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}updateIsTemplate(){this._isTemplate&&(this._isTemplate=!1,this.modifications.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this.updateIsTemplate(),this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new P.DisposableStore);const n=d=>Object.prototype.hasOwnProperty.call(this.modifications,d),o={};n("range")&&(o.range=I.Range.from(this._range)),n("label")&&(o.label=this.label),n("contextValue")&&(o.contextValue=this.contextValue??null),n("comments")&&(o.comments=this._comments.map(d=>m(this,d,this._commentsMap))),n("collapsibleState")&&(o.collapseState=r(this._collapseState)),n("canReply")&&(o.canReply=this.canReply),n("state")&&(o.state=i(this._state)),n("isTemplate")&&(o.isTemplate=this._isTemplate),this.modifications={},h.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,o)}getCommentByUniqueId(n){for(const o of this._commentsMap){const d=o[0],f=o[1];if(n===f)return d}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(n=>n.dispose())}}g._handlePool=0,je([(0,t.debounce)(100)],g.prototype,"eventuallyUpdateCommentThread",null);class a{constructor(n,o,d,f){this._extension=n,this._handle=o,this._id=d,this._label=f,this._threads=new Map,h.$registerCommentController(this.handle,d,f);const S=this;this.value=Object.freeze({id:S.id,label:S.label,get options(){return S.options},set options(L){S.options=L},get commentingRangeProvider(){return S.commentingRangeProvider},set commentingRangeProvider(L){S.commentingRangeProvider=L},get reactionHandler(){return S.reactionHandler},set reactionHandler(L){S.reactionHandler=L},createCommentThread(L,M,B){return S.createCommentThread(L,M,B).value},dispose:()=>{S.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{h.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(n){this._commentingRangeProvider=n,h.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(n){this._reactionHandler=n,h.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!n})}get options(){return this._options}set options(n){this._options=n,h.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(n,o,d,f){if(typeof n=="string"){const S=new g(this.id,this.handle,n,o,d,f,this._extension,!1);return this._threads.set(S.handle,S),S}else{const S=new g(this.id,this.handle,void 0,n,o,d,this._extension,!1);return this._threads.set(S.handle,S),S}}$createCommentThreadTemplate(n,o){const d=new g(this.id,this.handle,void 0,y.URI.revive(n),I.Range.to(o),[],this._extension,!0);return d.collapsibleState=D.CommentThreadCollapsibleState.Expanded,this._threads.set(d.handle,d),d}$updateCommentThreadTemplate(n,o){const d=this._threads.get(n);d&&(d.range=I.Range.to(o))}$deleteCommentThread(n){this._threads.get(n)?.dispose(),this._threads.delete(n)}getCommentThread(n){return this._threads.get(n)}dispose(){this._threads.forEach(n=>{n.dispose()}),this._localDisposables.forEach(n=>n.dispose())}}function m(s,n,o){let d=o.get(n);d||(d=++s.commentHandle,o.set(n,d));const f=n.author&&n.author.iconPath?n.author.iconPath.toString():void 0;return{mode:n.mode,contextValue:n.contextValue,uniqueIdInThread:d,body:typeof n.body=="string"?n.body:I.MarkdownString.from(n.body),userName:n.author.name,userIconPath:f,label:n.label,commentReactions:n.reactions?n.reactions.map(S=>c(S)):void 0,timestamp:n.timestamp?.toJSON()}}function c(s){return{label:s.label,iconPath:s.iconPath?I.pathOrURIToURI(s.iconPath):void 0,count:s.count,hasReacted:s.authorHasReacted}}function l(s){return{label:s.label||"",count:s.count||0,iconPath:s.iconPath?y.URI.revive(s.iconPath):"",authorHasReacted:s.hasReacted||!1}}function r(s){if(s!==void 0)switch(s){case A.CommentThreadCollapsibleState.Expanded:return D.CommentThreadCollapsibleState.Expanded;case A.CommentThreadCollapsibleState.Collapsed:return D.CommentThreadCollapsibleState.Collapsed}return D.CommentThreadCollapsibleState.Collapsed}function i(s){if(s!==void 0)switch(s){case A.CommentThreadState.Unresolved:return D.CommentThreadState.Unresolved;case A.CommentThreadState.Resolved:return D.CommentThreadState.Resolved}return D.CommentThreadState.Unresolved}return new p}e.createExtHostComments=T}),define(De[239],Ie([1,0,24,5,26,15]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtHostConsoleForwarder=void 0;let y=class{constructor(A,k){this._mainThreadConsole=A.getProxy(t.MainContext.MainThreadConsole),this._includeStack=k.consoleForward.includeStack,this._logNative=k.consoleForward.logNative,this._wrapConsoleMethod("info","log"),this._wrapConsoleMethod("log","log"),this._wrapConsoleMethod("warn","warn"),this._wrapConsoleMethod("error","error")}_wrapConsoleMethod(A,k){const _=this,T=console[A];Object.defineProperty(console,A,{set:()=>{},get:()=>function(){_._handleConsoleCall(A,k,T,arguments)}})}_handleConsoleCall(A,k,_,T){this._mainThreadConsole.$logExtensionHostMessage({type:"__$console",severity:k,arguments:w(T,this._includeStack)}),this._logNative&&this._nativeConsoleLogMessage(A,_,T)}};y=je([xe(0,P.IExtHostRpcService),xe(1,C.IExtHostInitDataService)],y),e.AbstractExtHostConsoleForwarder=y;const D=1e5;function w(I,A){const k=[];if(I.length)for(let _=0;_<I.length;_++){let T=I[_];if(typeof T=="undefined")T="undefined";else if(T instanceof Error){const E=T;E.stack?T=E.stack:T=E.toString()}k.push(T)}if(A){const _=new Error().stack;_&&k.push({__$stack:_.split(`
`).slice(3).join(`
`)})}try{const _=(0,u.safeStringify)(k);return _.length>D?"Output omitted for a large object that exceeds the limits":_}catch(_){return`Output omitted for an object that cannot be inspected ('${_.toString()}')`}}}),define(De[135],Ie([1,0,2,5,7,3,15,14,17,8,9]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class kn{constructor(T,E){this._logService=E,this._provider=new Map,this._proxy=T.getProxy(t.MainContext.MainThreadDecorations)}registerFileDecorationProvider(T,E){const b=kn._handlePool++;this._provider.set(b,{provider:T,extensionId:E}),this._proxy.$registerDecorationProvider(b,E.value);const v=T.onDidChangeFileDecorations&&T.onDidChangeFileDecorations(h=>{if(!h){this._proxy.$onDidChange(b,null);return}const p=(0,w.asArray)(h);if(p.length<=kn._maxEventSize){this._proxy.$onDidChange(b,p);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",E.value,p.length);const g=p.map(c=>({uri:c,rank:(0,I.count)(c.path,"/")})),a=(0,w.groupBy)(g,(c,l)=>c.rank-l.rank||(0,I.compare)(c.uri.path,l.uri.path)),m=[];e:for(const c of a){let l;for(const r of c){const i=(0,A.dirname)(r.uri.path);if(l!==i&&(l=i,m.push(r.uri)>=kn._maxEventSize))break e}}this._proxy.$onDidChange(b,m)});return new C.Disposable(()=>{v?.dispose(),this._proxy.$unregisterDecorationProvider(b),this._provider.delete(b)})}async $provideDecorations(T,E,b){if(!this._provider.has(T))return Object.create(null);const v=Object.create(null),{provider:h,extensionId:p}=this._provider.get(T);return await Promise.all(E.map(async g=>{try{const{uri:a,id:m}=g,c=await Promise.resolve(h.provideFileDecoration(u.URI.revive(a),b));if(!c)return;try{C.FileDecoration.validate(c),v[m]=[c.propagate,c.tooltip,c.badge,c.color]}catch(l){this._logService.warn(`INVALID decoration from extension '${p.value}': ${l}`)}}catch(a){this._logService.error(a)}})),v}};k._handlePool=0,k._maxEventSize=250,k=je([xe(0,y.IExtHostRpcService),xe(1,D.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=(0,P.createDecorator)("IExtHostDecorations")});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[240],Ie([1,0,169,116,2,5,7,16,4,14,25,46]),function(Z,e,u,t,C,P,y,D,w,I,A,k){"use strict";var _,T,E;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class b{constructor(p,g,a,m,c,l){this._name=p,this._owner=g,this._maxDiagnosticsPerFile=a,_.set(this,void 0),T.set(this,void 0),E.set(this,void 0),this._isDisposed=!1,et(this,E,new A.ResourceMap(r=>m.getComparisonKey(r)),"f"),et(this,_,c,"f"),et(this,T,l,"f")}dispose(){this._isDisposed||(Me(this,T,"f").fire([...Me(this,E,"f").keys()]),Me(this,_,"f")?.$clear(this._owner),Me(this,E,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(p,g){if(!p){this.clear();return}this._checkDisposed();let a=[];if(C.URI.isUri(p)){if(!g){this.delete(p);return}Me(this,E,"f").set(p,g.slice()),a=[p]}else if(Array.isArray(p)){a=[];let c;p=[...p].sort(b._compareIndexedTuplesByUri);for(const l of p){const[r,i]=l;if((!c||r.toString()!==c.toString())&&(c&&Me(this,E,"f").get(c).length===0&&Me(this,E,"f").delete(c),c=r,a.push(r),Me(this,E,"f").set(r,[])),i)Me(this,E,"f").get(r)?.push(...i);else{const s=Me(this,E,"f").get(r);s&&(s.length=0)}}}if(Me(this,T,"f").fire(a),!Me(this,_,"f"))return;const m=[];for(const c of a){let l=[];const r=Me(this,E,"f").get(c);if(r)if(r.length>this._maxDiagnosticsPerFile){l=[];const i=[y.DiagnosticSeverity.Error,y.DiagnosticSeverity.Warning,y.DiagnosticSeverity.Information,y.DiagnosticSeverity.Hint];e:for(let s=0;s<4;s++)for(const n of r)if(n.severity===i[s]&&l.push(D.Diagnostic.from(n))===this._maxDiagnosticsPerFile)break e;l.push({severity:t.MarkerSeverity.Info,message:(0,u.localize)(0,null,r.length-this._maxDiagnosticsPerFile),startLineNumber:l[l.length-1].startLineNumber,startColumn:l[l.length-1].startColumn,endLineNumber:l[l.length-1].endLineNumber,endColumn:l[l.length-1].endColumn})}else l=r.map(i=>D.Diagnostic.from(i));m.push([c,l])}Me(this,_,"f").$changeMany(this._owner,m)}delete(p){this._checkDisposed(),Me(this,T,"f").fire([p]),Me(this,E,"f").delete(p),Me(this,_,"f")?.$changeMany(this._owner,[[p,void 0]])}clear(){this._checkDisposed(),Me(this,T,"f").fire([...Me(this,E,"f").keys()]),Me(this,E,"f").clear(),Me(this,_,"f")?.$clear(this._owner)}forEach(p,g){this._checkDisposed();for(const[a,m]of this)p.call(g,a,m,this)}*[(_=new WeakMap,T=new WeakMap,E=new WeakMap,Symbol.iterator)](){this._checkDisposed();for(const p of Me(this,E,"f").keys())yield[p,this.get(p)]}get(p){this._checkDisposed();const g=Me(this,E,"f").get(p);return Array.isArray(g)?Object.freeze(g.slice(0)):[]}has(p){return this._checkDisposed(),Array.isArray(Me(this,E,"f").get(p))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(p,g){return p[0].toString()<g[0].toString()?-1:p[0].toString()>g[0].toString()?1:0}}e.DiagnosticCollection=b;let v=class mn{constructor(p,g,a){this._logService=g,this._fileSystemInfoService=a,this._collections=new Map,this._onDidChangeDiagnostics=new w.DebounceEmitter({merge:m=>m.flat(),delay:50}),this.onDidChangeDiagnostics=w.Event.map(this._onDidChangeDiagnostics.event,mn._mapper),this._proxy=p.getProxy(P.MainContext.MainThreadDiagnostics)}static _mapper(p){const g=new A.ResourceMap;for(const a of p)g.set(a,a);return{uris:Object.freeze(Array.from(g.values()))}}createDiagnosticCollection(p,g){const{_collections:a,_proxy:m,_onDidChangeDiagnostics:c,_logService:l,_fileSystemInfoService:r}=this,i=new class{$changeMany(o,d){m.$changeMany(o,d),l.trace("[DiagnosticCollection] change many (extension, owner, uris)",p.value,o,d.length===0?"CLEARING":d)}$clear(o){m.$clear(o),l.trace("[DiagnosticCollection] remove all (extension, owner)",p.value,o)}dispose(){m.dispose()}};let s;if(!g)g="_generated_diagnostic_collection_name_#"+mn._idPool++,s=g;else if(!a.has(g))s=g;else{this._logService.warn(`DiagnosticCollection with name '${g}' does already exist.`);do s=g+mn._idPool++;while(a.has(s))}return new class extends b{constructor(){super(g,s,mn._maxDiagnosticsPerFile,r.extUri,i,c);a.set(s,this)}dispose(){super.dispose(),a.delete(s)}}}getDiagnostics(p){if(p)return this._getDiagnostics(p);{const g=new Map,a=[];for(const m of this._collections.values())m.forEach((c,l)=>{let r=g.get(c.toString());typeof r=="undefined"&&(r=a.length,g.set(c.toString(),r),a.push([c,[]])),a[r][1]=a[r][1].concat(...l)});return a}}_getDiagnostics(p){let g=[];for(const a of this._collections.values())a.has(p)&&(g=g.concat(a.get(p)));return g}$acceptMarkersChange(p){if(!this._mirrorCollection){const g="_generated_mirror",a=new b(g,g,mn._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(g,a),this._mirrorCollection=a}for(const[g,a]of p)this._mirrorCollection.set(C.URI.revive(g),a.map(D.Diagnostic.to))}};v._idPool=0,v._maxDiagnosticsPerFile=1e3,v=je([xe(1,I.ILogService),xe(2,k.IExtHostFileSystemInfo)],v),e.ExtHostDiagnostics=v}),define(De[241],Ie([1,0,2,5]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class C{constructor(y){this._proxy=y.getProxy(t.MainContext.MainThreadDialogs)}showOpenDialog(y){return this._proxy.$showOpenDialog(y).then(D=>D?D.map(w=>u.URI.revive(w)):void 0)}showSaveDialog(y){return this._proxy.$showSaveDialog(y).then(D=>D?u.URI.revive(D):void 0)}}e.ExtHostDialogs=C}),define(De[242],Ie([1,0,10,2,7,5,12,21,8]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class I{constructor(k,_,T){this._documentsAndEditors=_,this._logService=T,this._documentContentProviders=new Map,this._proxy=k.getProxy(P.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,_){if(Object.keys(y.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const T=I._handlePool++;this._documentContentProviders.set(T,_),this._proxy.$registerTextContentProvider(T,k);let E;return typeof _.onDidChange=="function"&&(E=_.onDidChange(b=>{if(b.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${b.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(b)&&this.$provideTextDocumentContent(T,b).then(v=>{if(!v&&typeof v!="string")return;const h=this._documentsAndEditors.getDocument(b);if(!h)return;const p=(0,w.splitLines)(v);if(!h.equalLines(p))return this._proxy.$onVirtualDocumentChange(b,v)},u.onUnexpectedError)})),new C.Disposable(()=>{this._documentContentProviders.delete(T)&&this._proxy.$unregisterTextContentProvider(T),E&&(E.dispose(),E=void 0)})}$provideTextDocumentContent(k,_){const T=this._documentContentProviders.get(k);return T?Promise.resolve(T.provideTextDocumentContent(t.URI.revive(_),D.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${_.scheme}`))}}e.ExtHostDocumentContentProvider=I,I._handlePool=0}),define(De[243],Ie([1,0,4,6,2,5,125,16,13,24,7]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class k{constructor(T,E){this._onDidAddDocument=new u.Emitter,this._onDidRemoveDocument=new u.Emitter,this._onDidChangeDocument=new u.Emitter,this._onDidSaveDocument=new u.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new t.DisposableStore,this._documentLoader=new Map,this._proxy=T.getProxy(P.MainContext.MainThreadDocuments),this._documentsAndEditors=E,this._documentsAndEditors.onDidRemoveDocuments(b=>{for(const v of b)this._onDidRemoveDocument.fire(v.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(b=>{for(const v of b)this._onDidAddDocument.fire(v.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(T){if(!T)return;const E=this._documentsAndEditors.getDocument(T);if(E)return E}getDocument(T){const E=this.getDocumentData(T);if(!E?.document)throw new Error(`Unable to retrieve document from URI '${T}'`);return E.document}ensureDocumentData(T){const E=this._documentsAndEditors.getDocument(T);if(E)return Promise.resolve(E);let b=this._documentLoader.get(T.toString());return b||(b=this._proxy.$tryOpenDocument(T).then(v=>{this._documentLoader.delete(T.toString());const h=C.URI.revive(v);return(0,w.assertIsDefined)(this._documentsAndEditors.getDocument(h))},v=>(this._documentLoader.delete(T.toString()),Promise.reject(v))),this._documentLoader.set(T.toString(),b)),b}createDocumentData(T){return this._proxy.$tryCreateDocument(T).then(E=>C.URI.revive(E))}$acceptModelLanguageChanged(T,E){const b=C.URI.revive(T),v=this._documentsAndEditors.getDocument(b);if(!v)throw new Error("unknown document");this._onDidRemoveDocument.fire(v.document),v._acceptLanguageId(E),this._onDidAddDocument.fire(v.document)}$acceptModelSaved(T){const E=C.URI.revive(T),b=this._documentsAndEditors.getDocument(E);if(!b)throw new Error("unknown document");this.$acceptDirtyStateChanged(T,!1),this._onDidSaveDocument.fire(b.document)}$acceptDirtyStateChanged(T,E){const b=C.URI.revive(T),v=this._documentsAndEditors.getDocument(b);if(!v)throw new Error("unknown document");v._acceptIsDirty(E),this._onDidChangeDocument.fire({document:v.document,contentChanges:[],reason:void 0})}$acceptModelChanged(T,E,b){const v=C.URI.revive(T),h=this._documentsAndEditors.getDocument(v);if(!h)throw new Error("unknown document");h._acceptIsDirty(b),h.onEvents(E);let p;E.isUndoing?p=A.TextDocumentChangeReason.Undo:E.isRedoing&&(p=A.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,I.deepFreeze)({document:h.document,contentChanges:E.changes.map(g=>({range:D.Range.to(g.range),rangeOffset:g.rangeOffset,rangeLength:g.rangeLength,text:g.text})),reason:p}))}setWordDefinitionFor(T,E){(0,y.setWordDefinitionFor)(T,E)}}e.ExtHostDocuments=k}),define(De[56],Ie([1,0,48,4,6,2,3,5,125,15,133,16,14,25,12,60,78]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class h{constructor(a){this.value=a,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let p=class{constructor(a,m){this._extHostRpc=a,this._logService=m,this._activeEditorId=null,this._editors=new Map,this._documents=new T.ResourceMap,this._onDidAddDocuments=new t.Emitter,this._onDidRemoveDocuments=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(a){this.acceptDocumentsAndEditorsDelta(a)}acceptDocumentsAndEditorsDelta(a){const m=[],c=[],l=[];if(a.removedDocuments)for(const r of a.removedDocuments){const i=P.URI.revive(r),s=this._documents.get(i);s?.unref()&&(this._documents.delete(i),m.push(s.value))}if(a.addedDocuments)for(const r of a.addedDocuments){const i=P.URI.revive(r.uri);let s=this._documents.get(i);if(s&&i.scheme!==E.Schemas.vscodeNotebookCell&&i.scheme!==E.Schemas.vscodeInteractiveInput)throw new Error(`document '${i} already exists!'`);s||(s=new h(new w.ExtHostDocumentData(this._extHostRpc.getProxy(D.MainContext.MainThreadDocuments),i,r.lines,r.EOL,r.versionId,r.languageId,r.isDirty,r.notebook)),this._documents.set(i,s),c.push(s.value)),s.ref()}if(a.removedEditors)for(const r of a.removedEditors){const i=this._editors.get(r);this._editors.delete(r),i&&l.push(i)}if(a.addedEditors)for(const r of a.addedEditors){const i=P.URI.revive(r.documentUri);u.ok(this._documents.has(i),`document '${i}' does not exist`),u.ok(!this._editors.has(r.id),`editor '${r.id}' already exists!`);const s=this._documents.get(i).value,n=new A.ExtHostTextEditor(r.id,this._extHostRpc.getProxy(D.MainContext.MainThreadTextEditors),this._logService,new v.Lazy(()=>s.document),r.selections.map(k.Selection.to),r.options,r.visibleRanges.map(o=>k.Range.to(o)),typeof r.editorPosition=="number"?k.ViewColumn.to(r.editorPosition):void 0);this._editors.set(r.id,n)}a.newActiveEditor!==void 0&&(u.ok(a.newActiveEditor===null||this._editors.has(a.newActiveEditor),`active editor '${a.newActiveEditor}' does not exist`),this._activeEditorId=a.newActiveEditor),(0,C.dispose)(m),(0,C.dispose)(l),a.removedDocuments&&this._onDidRemoveDocuments.fire(m),a.addedDocuments&&this._onDidAddDocuments.fire(c),(a.removedEditors||a.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(r=>r.value)),a.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(a){return this._documents.get(a)?.value}allDocuments(){return b.Iterable.map(this._documents.values(),a=>a.value)}getEditor(a){return this._editors.get(a)}activeEditor(a){if(!this._activeEditorId)return;const m=this._editors.get(this._activeEditorId);return a?m:m?.value}allEditors(){return[...this._editors.values()]}};p=je([xe(0,I.IExtHostRpcService),xe(1,_.ILogService)],p),e.ExtHostDocumentsAndEditors=p,e.IExtHostDocumentsAndEditors=(0,y.createDecorator)("IExtHostDocumentsAndEditors")}),define(De[57],Ie([1,0,16,5,2,4,3,7,15,13,77]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,y.createDecorator)("IExtHostEditorTabs");class k{constructor(v,h,p){this._activeTabIdGetter=p,this._parentGroup=h,this.acceptDtoUpdate(v)}get apiObject(){if(!this._apiObject){const v=this,h={get isActive(){return v._dto.id===v._activeTabIdGetter()},get label(){return v._dto.label},get input(){return v._input},get isDirty(){return v._dto.isDirty},get isPinned(){return v._dto.isPinned},get isPreview(){return v._dto.isPreview},get group(){return v._parentGroup.apiObject}};this._apiObject=Object.freeze(h)}return this._apiObject}get tabId(){return this._dto.id}acceptDtoUpdate(v){this._dto=v,this._input=this._initInput()}_initInput(){switch(this._dto.input.kind){case 1:return new D.TextTabInput(C.URI.revive(this._dto.input.uri));case 2:return new D.TextDiffTabInput(C.URI.revive(this._dto.input.original),C.URI.revive(this._dto.input.modified));case 3:return new D.TextMergeTabInput(C.URI.revive(this._dto.input.base),C.URI.revive(this._dto.input.input1),C.URI.revive(this._dto.input.input2),C.URI.revive(this._dto.input.result));case 6:return new D.CustomEditorTabInput(C.URI.revive(this._dto.input.uri),this._dto.input.viewType);case 7:return new D.WebviewEditorTabInput(this._dto.input.viewType);case 4:return new D.NotebookEditorTabInput(C.URI.revive(this._dto.input.uri),this._dto.input.notebookType);case 5:return new D.NotebookDiffEditorTabInput(C.URI.revive(this._dto.input.original),C.URI.revive(this._dto.input.modified),this._dto.input.notebookType);case 8:return new D.TerminalEditorTabInput;case 9:return new D.InteractiveWindowInput(C.URI.revive(this._dto.input.uri),C.URI.revive(this._dto.input.inputBoxUri));default:return}}}class _{constructor(v,h){this._tabs=[],this._activeTabId="",this._dto=v,this._activeGroupIdGetter=h;for(const p of v.tabs)p.isActive&&(this._activeTabId=p.id),this._tabs.push(new k(p,this,()=>this.activeTabId()))}get apiObject(){if(!this._apiObject){const v=this,h={get isActive(){return v._dto.groupId===v._activeGroupIdGetter()},get viewColumn(){return u.ViewColumn.to(v._dto.viewColumn)},get activeTab(){return v._tabs.find(p=>p.tabId===v._activeTabId)?.apiObject},get tabs(){return Object.freeze(v._tabs.map(p=>p.apiObject))}};this._apiObject=Object.freeze(h)}return this._apiObject}get groupId(){return this._dto.groupId}get tabs(){return this._tabs}acceptGroupDtoUpdate(v){this._dto=v}acceptTabOperation(v){if(v.kind===0){const p=new k(v.tabDto,this,()=>this.activeTabId());return this._tabs.splice(v.index,0,p),v.tabDto.isActive&&(this._activeTabId=p.tabId),p}else if(v.kind===1){const p=this._tabs.splice(v.index,1)[0];if(!p)throw new Error(`Tab close updated received for index ${v.index} which does not exist`);return p.tabId===this._activeTabId&&(this._activeTabId=""),p}else if(v.kind===3){if(v.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const p=this._tabs.splice(v.oldIndex,1)[0];if(!p)throw new Error(`Tab move updated received for index ${v.oldIndex} which does not exist`);return this._tabs.splice(v.index,0,p),p}const h=this._tabs.find(p=>p.tabId===v.tabDto.id);if(!h)throw new Error("INVALID tab");return v.tabDto.isActive?this._activeTabId=v.tabDto.id:this._activeTabId===v.tabDto.id&&!v.tabDto.isActive&&(this._activeTabId=""),h.acceptDtoUpdate(v.tabDto),h}activeTabId(){return this._activeTabId}}let T=class{constructor(v){this._onDidChangeTabs=new P.Emitter,this._onDidChangeTabGroups=new P.Emitter,this._extHostTabGroups=[],this._proxy=v.getProxy(t.MainContext.MainThreadEditorTabs)}get tabGroups(){if(!this._apiObject){const v=this,h={onDidChangeTabGroups:v._onDidChangeTabGroups.event,onDidChangeTabs:v._onDidChangeTabs.event,get all(){return Object.freeze(v._extHostTabGroups.map(p=>p.apiObject))},get activeTabGroup(){const p=v._activeGroupId;return(0,I.assertIsDefined)(v._extHostTabGroups.find(a=>a.groupId===p)?.apiObject)},close:async(p,g)=>{const a=Array.isArray(p)?p:[p];return a.length?E(a[0])?this._closeGroups(a,g):this._closeTabs(a,g):!0}};this._apiObject=Object.freeze(h)}return this._apiObject}$acceptEditorTabModel(v){const h=new Set(this._extHostTabGroups.map(r=>r.groupId)),p=new Set(v.map(r=>r.groupId)),g=(0,A.diffSets)(h,p),a=this._extHostTabGroups.filter(r=>g.removed.includes(r.groupId)).map(r=>r.apiObject),m=[],c=[];this._extHostTabGroups=v.map(r=>{const i=new _(r,()=>this._activeGroupId);return g.added.includes(i.groupId)?m.push(i.apiObject):c.push(i.apiObject),i});const l=(0,I.assertIsDefined)(v.find(r=>r.isActive===!0)?.groupId);l!==void 0&&this._activeGroupId!==l&&(this._activeGroupId=l),this._onDidChangeTabGroups.fire(Object.freeze({opened:m,closed:a,changed:c}))}$acceptTabGroupUpdate(v){const h=this._extHostTabGroups.find(p=>p.groupId===v.groupId);if(!h)throw new Error("Update Group IPC call received before group creation.");h.acceptGroupDtoUpdate(v),v.isActive&&(this._activeGroupId=v.groupId),this._onDidChangeTabGroups.fire(Object.freeze({changed:[h.apiObject],opened:[],closed:[]}))}$acceptTabOperation(v){const h=this._extHostTabGroups.find(g=>g.groupId===v.groupId);if(!h)throw new Error("Update Tabs IPC call received before group creation.");const p=h.acceptTabOperation(v);switch(v.kind){case 0:this._onDidChangeTabs.fire(Object.freeze({opened:[p.apiObject],closed:[],changed:[]}));return;case 1:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[p.apiObject],changed:[]}));return;case 3:case 2:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[],changed:[p.apiObject]}));return}}_findExtHostTabFromApi(v){for(const h of this._extHostTabGroups)for(const p of h.tabs)if(p.apiObject===v)return p}_findExtHostTabGroupFromApi(v){return this._extHostTabGroups.find(h=>h.apiObject===v)}async _closeTabs(v,h){const p=[];for(const g of v){const a=this._findExtHostTabFromApi(g);if(!a)throw new Error("Tab close: Invalid tab not found!");p.push(a.tabId)}return this._proxy.$closeTab(p,h)}async _closeGroups(v,h){const p=[];for(const g of v){const a=this._findExtHostTabGroupFromApi(g);if(!a)throw new Error("Group close: Invalid group not found!");p.push(a.groupId)}return this._proxy.$closeGroup(p,h)}};T=je([xe(0,w.IExtHostRpcService)],T),e.ExtHostEditorTabs=T;function E(b){return b.tabs!==void 0}}),define(De[244],Ie([1,0,2,5,6,7,16,149,8,23,27]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class k{constructor(){this._schemes=[]}add(E){this._stateMachine=void 0,this._schemes.push(E)}delete(E){const b=this._schemes.indexOf(E);b>=0&&(this._schemes.splice(b,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const E=this._schemes.sort(),b=[];let v,h,p=14,g=14;for(const a of E){let m=v?(0,w.commonPrefixLength)(v,a):0;for(m===0?h=1:h=g;m<a.length;m++)m+1===a.length?(p=g,g=9):g+=1,b.push([h,a.toUpperCase().charCodeAt(m),g]),b.push([h,a.toLowerCase().charCodeAt(m),g]),h=g;v=a,g=p}b.push([9,58,10]),b.push([10,47,12]),this._stateMachine=new D.StateMachine(b)}}provideDocumentLinks(E){this._initStateMachine();const b=[],v=D.LinkComputer.computeLinks({getLineContent(h){return E.lineAt(h-1).text},getLineCount(){return E.lineCount}},this._stateMachine);for(const h of v){const p=y.DocumentLink.to(h);p.target&&b.push(p)}return b}}class _{constructor(E,b){this._extHostLanguageFeatures=b,this._linkProvider=new k,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=E.getProxy(t.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}registerFileSystemProvider(E,b,v,h={}){if(this._registeredSchemes.has(b))throw new Error(`a provider for the scheme '${b}' is already registered`);this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(E,"*",this._linkProvider));const p=this._handlePool++;this._linkProvider.add(b),this._registeredSchemes.add(b),this._fsProvider.set(p,v);let g=2;h.isCaseSensitive&&(g+=1024),h.isReadonly&&(g+=2048),typeof v.copy=="function"&&(g+=8),typeof v.open=="function"&&typeof v.close=="function"&&typeof v.read=="function"&&typeof v.write=="function"&&((0,A.checkProposedApiEnabled)(E,"fsChunks"),g+=4),this._proxy.$registerFileSystemProvider(p,b,g).catch(m=>{console.error(`FAILED to register filesystem provider of ${E.identifier.value}-extension for the scheme ${b}`),console.error(m)});const a=v.onDidChangeFile(m=>{const c=[];for(const l of m){const{uri:r,type:i}=l;if(r.scheme!==b)continue;let s;switch(i){case P.FileChangeType.Changed:s=0;break;case P.FileChangeType.Created:s=1;break;case P.FileChangeType.Deleted:s=2;break;default:throw new Error("Unknown FileChangeType")}c.push({resource:r,type:s})}this._proxy.$onFileSystemChange(p,c)});return(0,C.toDisposable)(()=>{a.dispose(),this._linkProvider.delete(b),this._registeredSchemes.delete(b),this._fsProvider.delete(p),this._proxy.$unregisterProvider(p)})}static _asIStat(E){const{type:b,ctime:v,mtime:h,size:p,permissions:g}=E;return{type:b,ctime:v,mtime:h,size:p,permissions:g}}$stat(E,b){return Promise.resolve(this._getFsProvider(E).stat(u.URI.revive(b))).then(v=>_._asIStat(v))}$readdir(E,b){return Promise.resolve(this._getFsProvider(E).readDirectory(u.URI.revive(b)))}$readFile(E,b){return Promise.resolve(this._getFsProvider(E).readFile(u.URI.revive(b))).then(v=>I.VSBuffer.wrap(v))}$writeFile(E,b,v,h){return Promise.resolve(this._getFsProvider(E).writeFile(u.URI.revive(b),v.buffer,h))}$delete(E,b,v){return Promise.resolve(this._getFsProvider(E).delete(u.URI.revive(b),v))}$rename(E,b,v,h){return Promise.resolve(this._getFsProvider(E).rename(u.URI.revive(b),u.URI.revive(v),h))}$copy(E,b,v,h){const p=this._getFsProvider(E);if(!p.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(p.copy(u.URI.revive(b),u.URI.revive(v),h))}$mkdir(E,b){return Promise.resolve(this._getFsProvider(E).createDirectory(u.URI.revive(b)))}$watch(E,b,v,h){const p=this._getFsProvider(E).watch(u.URI.revive(v),h);this._watches.set(b,p)}$unwatch(E,b){const v=this._watches.get(b);v&&(v.dispose(),this._watches.delete(b))}$open(E,b,v){const h=this._getFsProvider(E);if(!h.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(h.open(u.URI.revive(b),v))}$close(E,b){const v=this._getFsProvider(E);if(!v.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(v.close(b))}$read(E,b,v,h){const p=this._getFsProvider(E);if(!p.read)throw new Error('FileSystemProvider does not implement "read"');const g=I.VSBuffer.alloc(h);return Promise.resolve(p.read(b,v,g.buffer,0,h)).then(a=>g.slice(0,a))}$write(E,b,v,h){const p=this._getFsProvider(E);if(!p.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(p.write(b,v,h.buffer,0,h.byteLength))}_getFsProvider(E){const b=this._fsProvider.get(E);if(!b){const v=new Error;throw v.name="ENOPRO",v.message="no provider",v}return b}}e.ExtHostFileSystem=_}),define(De[68],Ie([1,0,5,42,7,23,3,15,46,6]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let A=class Qt{constructor(_,T){this._fileSystemProvider=new Map,this._proxy=_.getProxy(u.MainContext.MainThreadFileSystem);const E=this;this.value=Object.freeze({async stat(b){try{const v=E._fileSystemProvider.get(b.scheme);if(!v)return await E._proxy.$stat(b);await E._proxy.$ensureActivation(b.scheme);const h=await v.stat(b);return{type:h.type,ctime:h.ctime,mtime:h.mtime,size:h.size,permissions:h.permissions}}catch(v){Qt._handleError(v)}},async readDirectory(b){try{const v=E._fileSystemProvider.get(b.scheme);return v?(await E._proxy.$ensureActivation(b.scheme),(await v.readDirectory(b)).slice()):await E._proxy.$readdir(b)}catch(v){return Qt._handleError(v)}},async createDirectory(b){try{return await E._proxy.$mkdir(b)}catch(v){return Qt._handleError(v)}},async readFile(b){try{const v=E._fileSystemProvider.get(b.scheme);return v?(await E._proxy.$ensureActivation(b.scheme),(await v.readFile(b)).slice()):(await E._proxy.$readFile(b)).buffer}catch(v){return Qt._handleError(v)}},async writeFile(b,v){try{return await E._proxy.$writeFile(b,P.VSBuffer.wrap(v))}catch(h){return Qt._handleError(h)}},async delete(b,v){try{const h=E._fileSystemProvider.get(b.scheme);return h?(await E._proxy.$ensureActivation(b.scheme),await h.delete(b,{recursive:!1,...v})):await E._proxy.$delete(b,{recursive:!1,useTrash:!1,...v})}catch(h){return Qt._handleError(h)}},async rename(b,v,h){try{return await E._proxy.$rename(b,v,{overwrite:!1,...h})}catch(p){return Qt._handleError(p)}},async copy(b,v,h){try{return await E._proxy.$copy(b,v,{overwrite:!1,...h})}catch(p){return Qt._handleError(p)}},isWritableFileSystem(b){const v=T.getCapabilities(b);if(typeof v=="number")return!(v&2048)}})}static _handleError(_){if(_ instanceof C.FileSystemError)throw _;if(!(_ instanceof Error))throw new C.FileSystemError(String(_));if(_.name==="ENOPRO")throw C.FileSystemError.Unavailable(_.message);switch(_.name){case t.FileSystemProviderErrorCode.FileExists:throw C.FileSystemError.FileExists(_.message);case t.FileSystemProviderErrorCode.FileNotFound:throw C.FileSystemError.FileNotFound(_.message);case t.FileSystemProviderErrorCode.FileNotADirectory:throw C.FileSystemError.FileNotADirectory(_.message);case t.FileSystemProviderErrorCode.FileIsADirectory:throw C.FileSystemError.FileIsADirectory(_.message);case t.FileSystemProviderErrorCode.NoPermissions:throw C.FileSystemError.NoPermissions(_.message);case t.FileSystemProviderErrorCode.Unavailable:throw C.FileSystemError.Unavailable(_.message);default:throw new C.FileSystemError(_.message,_.name)}}addFileSystemProvider(_,T){return this._fileSystemProvider.set(_,T),(0,I.toDisposable)(()=>this._fileSystemProvider.delete(_))}};A=je([xe(0,D.IExtHostRpcService),xe(1,w.IExtHostFileSystemInfo)],A),e.ExtHostConsumerFileSystem=A,e.IExtHostConsumerFileSystem=(0,y.createDecorator)("IExtHostConsumerFileSystem")}),define(De[245],Ie([1,0,4,36,2,5,16,7,27]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class I{constructor(_,T,E,b,v,h,p,g){this._onDidCreate=new u.Emitter,this._onDidChange=new u.Emitter,this._onDidDelete=new u.Emitter;const a=this.ensureWatching(_,E,v);this._config=0,h&&(this._config+=1),p&&(this._config+=2),g&&(this._config+=4);const m=(0,t.parse)(v),c=typeof v=="string",l=b(r=>{if(!h)for(const i of r.created){const s=C.URI.revive(i);m(s.fsPath)&&(!c||T.getWorkspaceFolder(s))&&this._onDidCreate.fire(s)}if(!p)for(const i of r.changed){const s=C.URI.revive(i);m(s.fsPath)&&(!c||T.getWorkspaceFolder(s))&&this._onDidChange.fire(s)}if(!g)for(const i of r.deleted){const s=C.URI.revive(i);m(s.fsPath)&&(!c||T.getWorkspaceFolder(s))&&this._onDidDelete.fire(s)}});this._disposable=D.Disposable.from(a,this._onDidCreate,this._onDidChange,this._onDidDelete,l)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}ensureWatching(_,T,E){const b=D.Disposable.from();if(typeof E=="string")return b;const v=_.getProxy(P.MainContext.MainThreadFileSystem);let h=!1;(E.pattern.includes(t.GLOBSTAR)||E.pattern.includes(t.GLOB_SPLIT))&&(h=!0);const p=Math.random();return v.$watch(T.identifier.value,p,E.baseUri,{recursive:h,excludes:[]}),D.Disposable.from({dispose:()=>v.$unwatch(p)})}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class A{constructor(_,T,E){this._mainContext=_,this._logService=T,this._extHostDocumentsAndEditors=E,this._onFileSystemEvent=new u.Emitter,this._onDidRenameFile=new u.Emitter,this._onDidCreateFile=new u.Emitter,this._onDidDeleteFile=new u.Emitter,this._onWillRenameFile=new u.AsyncEmitter,this._onWillCreateFile=new u.AsyncEmitter,this._onWillDeleteFile=new u.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(_,T,E,b,v,h){return new I(this._mainContext,_,T,this._onFileSystemEvent.event,y.GlobPattern.from(E),b,v,h)}$onFileEvent(_){this._onFileSystemEvent.fire(_)}$onDidRunFileOperation(_,T){switch(_){case 2:this._onDidRenameFile.fire(Object.freeze({files:T.map(E=>({oldUri:C.URI.revive(E.source),newUri:C.URI.revive(E.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:T.map(E=>C.URI.revive(E.target))}));break;case 0:case 3:this._onDidCreateFile.fire(Object.freeze({files:T.map(E=>C.URI.revive(E.target))}));break;default:}}getOnWillRenameFileEvent(_){return this._createWillExecuteEvent(_,this._onWillRenameFile)}getOnWillCreateFileEvent(_){return this._createWillExecuteEvent(_,this._onWillCreateFile)}getOnWillDeleteFileEvent(_){return this._createWillExecuteEvent(_,this._onWillDeleteFile)}_createWillExecuteEvent(_,T){return(E,b,v)=>{const h=function(g){E.call(b,g)};return h.extension=_,T.event(h,void 0,v)}}async $onWillRunFileOperation(_,T,E,b){switch(_){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:T.map(v=>({oldUri:C.URI.revive(v.source),newUri:C.URI.revive(v.target)}))},E,b);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:T.map(v=>C.URI.revive(v.target))},E,b);case 0:case 3:return await this._fireWillEvent(this._onWillCreateFile,{files:T.map(v=>C.URI.revive(v.target))},E,b)}}async _fireWillEvent(_,T,E,b){const v=new Set,h=[];if(await _.fireAsync(T,b,async(g,a)=>{const m=Date.now(),c=await Promise.resolve(g);c instanceof D.WorkspaceEdit&&(h.push([a.extension,c]),v.add(a.extension.displayName??a.extension.identifier.value)),Date.now()-m>E&&this._logService.warn("SLOW file-participant",a.extension.identifier)}),b.isCancellationRequested||h.length===0)return;const p={edits:[]};for(const[g,a]of h){const{edits:m}=y.WorkspaceEdit.from(a,{getTextDocumentVersion:c=>this._extHostDocumentsAndEditors.getDocument(c)?.version,getNotebookDocumentVersion:()=>{}},(0,w.isProposedApiEnabled)(g,"snippetWorkspaceEdit"));p.edits=p.edits.concat(m)}return{edit:p,extensionNames:Array.from(v)}}}e.ExtHostFileSystemEventService=A}),define(De[246],Ie([1,0,2,37]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class C{constructor(y,D,w,I,A){this._extHostNotebooks=D,this._textDocumentsAndEditors=w,this._commands=I;const k=new t.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new t.ApiCommandArgument("showOptions","Show Options",_=>!0,_=>_),new t.ApiCommandArgument("resource","Interactive resource Uri",_=>!0,_=>_),new t.ApiCommandArgument("controllerId","Notebook controller Id",_=>!0,_=>_),new t.ApiCommandArgument("title","Interactive editor title",_=>!0,_=>_)],new t.ApiCommandResult("Notebook and input URI",_=>{if(A.debug("[ExtHostInteractive] open iw with notebook editor id",_.notebookEditorId),_.notebookEditorId!==void 0){const T=this._extHostNotebooks.getEditorById(_.notebookEditorId);return A.debug("[ExtHostInteractive] notebook editor found",T.id),{notebookUri:u.URI.revive(_.notebookUri),inputUri:u.URI.revive(_.inputUri),notebookEditor:T.apiEditor}}return A.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",_.notebookUri,_.inputUri),{notebookUri:u.URI.revive(_.notebookUri),inputUri:u.URI.revive(_.inputUri)}}));this._commands.registerApiCommand(k)}$willAddInteractiveDocument(y,D,w,I){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:D,lines:[""],languageId:w,uri:y,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(u.URI.revive(I))?.apiNotebook}]})}$willRemoveInteractiveDocument(y,D){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[y]})}}e.ExtHostInteractive=C}),define(De[247],Ie([1,0,6,5]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class C{constructor(y){this._handlePool=0,this._proxy=y.getProxy(t.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(y){const D=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(D,y),(0,u.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(D)})}}e.ExtHostLabelService=C}),define(De[248],Ie([1,0,2,24,16,7,64,5,8,35,17,13,145,21,6,113,93,87,51,10,18,27]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class c{constructor(F,H){this._documents=F,this._provider=H}async provideDocumentSymbols(F,H){const K=this._documents.getDocument(F),Q=await this._provider.provideDocumentSymbols(K,H);if(!(0,A.isFalsyOrEmpty)(Q))return Q[0]instanceof P.DocumentSymbol?Q.map(C.DocumentSymbol.from):c._asDocumentSymbolTree(Q)}static _asDocumentSymbolTree(F){F=F.slice(0).sort((Q,fe)=>{let we=Q.location.range.start.compareTo(fe.location.range.start);return we===0&&(we=fe.location.range.end.compareTo(Q.location.range.end)),we});const H=[],K=[];for(const Q of F){const fe={name:Q.name||"!!MISSING: name!!",kind:C.SymbolKind.from(Q.kind),tags:Q.tags?.map(C.SymbolTag.from)||[],detail:"",containerName:Q.containerName,range:C.Range.from(Q.location.range),selectionRange:C.Range.from(Q.location.range),children:[]};for(;;){if(K.length===0){K.push(fe),H.push(fe);break}const we=K[K.length-1];if(I.Range.containsRange(we.range,fe.range)&&!I.Range.equalsRange(we.range,fe.range)){we.children?.push(fe),K.push(fe);break}K.pop()}}return H}}class l{constructor(F,H,K){this._documents=F,this._commands=H,this._provider=K,this._cache=new h.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(F,H){const K=this._documents.getDocument(F),Q=await this._provider.provideCodeLenses(K,H);if(!Q||H.isCancellationRequested)return;const fe=this._cache.add(Q),we=new E.DisposableStore;this._disposables.set(fe,we);const ue={cacheId:fe,lenses:[]};for(let Ce=0;Ce<Q.length;Ce++)ue.lenses.push({cacheId:[fe,Ce],range:C.Range.from(Q[Ce].range),command:this._commands.toInternal(Q[Ce].command,we)});return ue}async resolveCodeLens(F,H){const K=F.cacheId&&this._cache.get(...F.cacheId);if(!K)return;let Q;if(typeof this._provider.resolveCodeLens!="function"||K.isResolved?Q=K:Q=await this._provider.resolveCodeLens(K,H),Q||(Q=K),H.isCancellationRequested)return;const fe=F.cacheId&&this._disposables.get(F.cacheId[0]);if(!!fe)return F.command=this._commands.toInternal(Q.command??l._badCmd,fe),F}releaseCodeLenses(F){this._disposables.get(F)?.dispose(),this._disposables.delete(F),this._cache.delete(F)}}l._badCmd={command:"missing",title:"!!MISSING: command!!"};function r(ie){return Array.isArray(ie)?ie.map(C.DefinitionLink.from):ie?[C.DefinitionLink.from(ie)]:[]}class i{constructor(F,H){this._documents=F,this._provider=H}async provideDefinition(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideDefinition(Q,fe,K);return r(we)}}class s{constructor(F,H){this._documents=F,this._provider=H}async provideDeclaration(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideDeclaration(Q,fe,K);return r(we)}}class n{constructor(F,H){this._documents=F,this._provider=H}async provideImplementation(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideImplementation(Q,fe,K);return r(we)}}class o{constructor(F,H){this._documents=F,this._provider=H}async provideTypeDefinition(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideTypeDefinition(Q,fe,K);return r(we)}}class d{constructor(F,H){this._documents=F,this._provider=H}async provideHover(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideHover(Q,fe,K);if(!(!we||(0,A.isFalsyOrEmpty)(we.contents)))return we.range||(we.range=Q.getWordRangeAtPosition(fe)),we.range||(we.range=new P.Range(fe,fe)),C.Hover.from(we)}}class f{constructor(F,H){this._documents=F,this._provider=H}async provideEvaluatableExpression(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideEvaluatableExpression(Q,fe,K);if(we)return C.EvaluatableExpression.from(we)}}class S{constructor(F,H){this._documents=F,this._provider=H}async provideInlineValues(F,H,K,Q){const fe=this._documents.getDocument(F),we=await this._provider.provideInlineValues(fe,C.Range.to(H),C.InlineValueContext.to(K),Q);if(Array.isArray(we))return we.map(ue=>C.InlineValue.from(ue))}}class L{constructor(F,H){this._documents=F,this._provider=H}async provideDocumentHighlights(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideDocumentHighlights(Q,fe,K);if(Array.isArray(we))return we.map(C.DocumentHighlight.from)}}class M{constructor(F,H){this._documents=F,this._provider=H}async provideLinkedEditingRanges(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.provideLinkedEditingRanges(Q,fe,K);if(we&&Array.isArray(we.ranges))return{ranges:(0,A.coalesce)(we.ranges.map(C.Range.from)),wordPattern:we.wordPattern}}}class B{constructor(F,H){this._documents=F,this._provider=H}async provideReferences(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H),ue=await this._provider.provideReferences(fe,we,K,Q);if(Array.isArray(ue))return ue.map(C.location.from)}}class R{constructor(F,H,K,Q,fe,we,ue){this._documents=F,this._commands=H,this._diagnostics=K,this._provider=Q,this._logService=fe,this._extension=we,this._apiDeprecation=ue,this._cache=new h.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions(F,H,K,Q){const fe=this._documents.getDocument(F),we=_.Selection.isISelection(H)?C.Selection.to(H):C.Range.to(H),ue=[];for(const Qe of this._diagnostics.getDiagnostics(F))if(we.intersection(Qe.range)&&ue.push(Qe)>R._maxCodeActionsPerFile)break;const Ce={diagnostics:ue,only:K.only?new P.CodeActionKind(K.only):void 0,triggerKind:C.CodeActionTriggerKind.to(K.trigger)},Se=await this._provider.provideCodeActions(fe,we,Ce,Q);if(!(0,A.isNonEmptyArray)(Se)||Q.isCancellationRequested)return;const Be=this._cache.add(Se),qe=new E.DisposableStore;this._disposables.set(Be,qe);const Je=[];for(let Qe=0;Qe<Se.length;Qe++){const Le=Se[Qe];!Le||(R._isCommand(Le)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Je.push({_isSynthetic:!0,title:Le.title,command:this._commands.toInternal(Le,qe)})):(Ce.only&&(Le.kind?Ce.only.contains(Le.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Ce.only.value} 'requested but returned code action is of kind '${Le.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Ce.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Je.push({cacheId:[Be,Qe],title:Le.title,command:Le.command&&this._commands.toInternal(Le.command,qe),diagnostics:Le.diagnostics&&Le.diagnostics.map(C.Diagnostic.from),edit:Le.edit&&C.WorkspaceEdit.from(Le.edit,void 0,(0,m.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")),kind:Le.kind&&Le.kind.value,isPreferred:Le.isPreferred,disabled:Le.disabled?.reason})))}return{cacheId:Be,actions:Je}}async resolveCodeAction(F,H){const[K,Q]=F,fe=this._cache.get(K,Q);if(!fe||R._isCommand(fe)||!this._provider.resolveCodeAction)return;const we=await this._provider.resolveCodeAction(fe,H)??fe;return we?.edit?C.WorkspaceEdit.from(we.edit,void 0,(0,m.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")):void 0}releaseCodeActions(F){this._disposables.get(F)?.dispose(),this._disposables.delete(F),this._cache.delete(F)}static _isCommand(F){return typeof F.command=="string"&&typeof F.title=="string"}}R._maxCodeActionsPerFile=1e3;class U{constructor(F,H,K,Q){this._proxy=F,this._documents=H,this._provider=K,this._handle=Q}async prepareDocumentPaste(F,H,K,Q){if(!this._provider.prepareDocumentPaste)return;const fe=this._documents.getDocument(F),we=H.map(Ce=>C.Range.to(Ce)),ue=C.DataTransfer.toDataTransfer(K,()=>{throw new g.NotImplementedError});return await this._provider.prepareDocumentPaste(fe,we,ue,Q),C.DataTransfer.toDataTransferDTO(ue)}async providePasteEdits(F,H,K,Q,fe){const we=this._documents.getDocument(H),ue=K.map(Be=>C.Range.to(Be)),Ce=C.DataTransfer.toDataTransfer(Q,async Be=>(await this._proxy.$resolvePasteFileData(this._handle,F,Be)).buffer),Se=await this._provider.provideDocumentPasteEdits(we,ue,Ce,fe);if(!!Se)return{insertText:typeof Se.insertText=="string"?Se.insertText:{snippet:Se.insertText.value},additionalEdit:Se.additionalEdit?C.WorkspaceEdit.from(Se.additionalEdit,void 0,!0):void 0}}}class ${constructor(F,H){this._documents=F,this._provider=H}async provideDocumentFormattingEdits(F,H,K){const Q=this._documents.getDocument(F),fe=await this._provider.provideDocumentFormattingEdits(Q,H,K);if(Array.isArray(fe))return fe.map(C.TextEdit.from)}}class N{constructor(F,H){this._documents=F,this._provider=H}async provideDocumentRangeFormattingEdits(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Range.to(H),ue=await this._provider.provideDocumentRangeFormattingEdits(fe,we,K,Q);if(Array.isArray(ue))return ue.map(C.TextEdit.from)}}class X{constructor(F,H){this._documents=F,this._provider=H,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(F,H,K,Q,fe){const we=this._documents.getDocument(F),ue=C.Position.to(H),Ce=await this._provider.provideOnTypeFormattingEdits(we,ue,K,Q,fe);if(Array.isArray(Ce))return Ce.map(C.TextEdit.from)}}class z{constructor(F,H){this._provider=F,this._logService=H,this._cache=new h.Cache("WorkspaceSymbols")}async provideWorkspaceSymbols(F,H){const K=await this._provider.provideWorkspaceSymbols(F,H);if(!(0,A.isNonEmptyArray)(K))return{symbols:[]};const Q=this._cache.add(K),fe={cacheId:Q,symbols:[]};for(let we=0;we<K.length;we++){const ue=K[we];if(!ue||!ue.name){this._logService.warn("INVALID SymbolInformation",ue);continue}fe.symbols.push({...C.WorkspaceSymbol.from(ue),cacheId:[Q,we]})}return fe}async resolveWorkspaceSymbol(F,H){if(typeof this._provider.resolveWorkspaceSymbol!="function"||!F.cacheId)return F;const K=this._cache.get(...F.cacheId);if(K){const Q=await this._provider.resolveWorkspaceSymbol(K,H);return Q&&(0,t.mixin)(F,C.WorkspaceSymbol.from(Q),!0)}}releaseWorkspaceSymbols(F){this._cache.delete(F)}}class O{constructor(F,H,K){this._documents=F,this._provider=H,this._logService=K}static supportsResolving(F){return typeof F.prepareRename=="function"}async provideRenameEdits(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H);try{const ue=await this._provider.provideRenameEdits(fe,we,K,Q);return ue?C.WorkspaceEdit.from(ue):void 0}catch(ue){const Ce=O._asMessage(ue);return Ce?{rejectReason:Ce,edits:void 0}:Promise.reject(ue)}}async resolveRenameLocation(F,H,K){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const Q=this._documents.getDocument(F),fe=C.Position.to(H);try{const we=await this._provider.prepareRename(Q,fe,K);let ue,Ce;if(P.Range.isRange(we)?(ue=we,Ce=Q.getText(we)):(0,k.isObject)(we)&&(ue=we.range,Ce=we.placeholder),!ue||!Ce)return;if(ue.start.line>fe.line||ue.end.line<fe.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:C.Range.from(ue),text:Ce}}catch(we){const ue=O._asMessage(we);return ue?{rejectReason:ue,range:void 0,text:void 0}:Promise.reject(we)}}static _asMessage(F){return typeof F=="string"?F:F instanceof Error&&typeof F.message=="string"?F.message:void 0}}class x{constructor(F,H){this.resultId=F,this.tokens=H}}class V{constructor(F,H){this._documents=F,this._provider=H,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens(F,H,K){const Q=this._documents.getDocument(F),fe=H!==0?this._previousResults.get(H):null;let we=typeof fe?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(Q,fe.resultId,K):await this._provider.provideDocumentSemanticTokens(Q,K);return fe&&this._previousResults.delete(H),we?(we=V._fixProvidedSemanticTokens(we),this._send(V._convertToEdits(fe,we),we)):null}async releaseDocumentSemanticColoring(F){this._previousResults.delete(F)}static _fixProvidedSemanticTokens(F){return V._isSemanticTokens(F)?V._isCorrectSemanticTokens(F)?F:new P.SemanticTokens(new Uint32Array(F.data),F.resultId):V._isSemanticTokensEdits(F)?V._isCorrectSemanticTokensEdits(F)?F:new P.SemanticTokensEdits(F.edits.map(H=>new P.SemanticTokensEdit(H.start,H.deleteCount,H.data?new Uint32Array(H.data):H.data)),F.resultId):F}static _isSemanticTokens(F){return F&&!!F.data}static _isCorrectSemanticTokens(F){return F.data instanceof Uint32Array}static _isSemanticTokensEdits(F){return F&&Array.isArray(F.edits)}static _isCorrectSemanticTokensEdits(F){for(const H of F.edits)if(!(H.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(F,H){if(!V._isSemanticTokens(H)||!F||!F.tokens)return H;const K=F.tokens,Q=K.length,fe=H.data,we=fe.length;let ue=0;const Ce=Math.min(Q,we);for(;ue<Ce&&K[ue]===fe[ue];)ue++;if(ue===Q&&ue===we)return new P.SemanticTokensEdits([],H.resultId);let Se=0;const Be=Ce-ue;for(;Se<Be&&K[Q-Se-1]===fe[we-Se-1];)Se++;return new P.SemanticTokensEdits([{start:ue,deleteCount:Q-ue-Se,data:fe.subarray(ue,we-Se)}],H.resultId)}_send(F,H){if(V._isSemanticTokens(F)){const K=this._nextResultId++;return this._previousResults.set(K,new x(F.resultId,F.data)),(0,b.encodeSemanticTokensDto)({id:K,type:"full",data:F.data})}if(V._isSemanticTokensEdits(F)){const K=this._nextResultId++;return V._isSemanticTokens(H)?this._previousResults.set(K,new x(H.resultId,H.data)):this._previousResults.set(K,new x(F.resultId)),(0,b.encodeSemanticTokensDto)({id:K,type:"delta",deltas:(F.edits||[]).map(Q=>({start:Q.start,deleteCount:Q.deleteCount,data:Q.data}))})}return null}}e.DocumentSemanticTokensAdapter=V;class q{constructor(F,H){this._documents=F,this._provider=H}async provideDocumentRangeSemanticTokens(F,H,K){const Q=this._documents.getDocument(F),fe=await this._provider.provideDocumentRangeSemanticTokens(Q,C.Range.to(H),K);return fe?this._send(fe):null}_send(F){return(0,b.encodeSemanticTokensDto)({id:0,type:"full",data:F.data})}}e.DocumentRangeSemanticTokensAdapter=q;class J{constructor(F,H,K,Q,fe){this._documents=F,this._commands=H,this._provider=K,this._apiDeprecation=Q,this._extension=fe,this._cache=new h.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(F){return typeof F.resolveCompletionItem=="function"}async provideCompletionItems(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H),ue=fe.getWordRangeAtPosition(we)||new P.Range(we,we),Ce=ue.with({end:we}),Se=new p.StopWatch(!0),Be=await this._provider.provideCompletionItems(fe,we,Q,C.CompletionContext.to(K));if(!Be||Q.isCancellationRequested)return;const qe=Array.isArray(Be)?new P.CompletionList(Be):Be,Je=J.supportsResolving(this._provider)?this._cache.add(qe.items):this._cache.add([]),Qe=new E.DisposableStore;this._disposables.set(Je,Qe);const Le=[],st={x:Je,b:Le,a:{replace:C.Range.from(ue),insert:C.Range.from(Ce)},c:qe.isIncomplete||void 0,d:Se.elapsed()};for(let se=0;se<qe.items.length;se++){const oe=qe.items[se],G=this._convertCompletionItem(oe,[Je,se],Ce,ue);Le.push(G)}return st}async resolveCompletionItem(F,H){if(typeof this._provider.resolveCompletionItem!="function")return;const K=this._cache.get(...F);if(!K)return;const Q=await this._provider.resolveCompletionItem(K,H);if(!!Q)return this._convertCompletionItem(Q,F)}releaseCompletionItems(F){this._disposables.get(F)?.dispose(),this._disposables.delete(F),this._cache.delete(F)}_convertCompletionItem(F,H,K,Q){const fe=this._disposables.get(H[0]);if(!fe)throw Error("DisposableStore is missing...");const we={x:H,a:F.label,b:F.kind!==void 0?C.CompletionItemKind.from(F.kind):void 0,n:F.tags&&F.tags.map(C.CompletionItemTag.from),c:F.detail,d:typeof F.documentation=="undefined"?void 0:C.MarkdownString.fromStrict(F.documentation),e:F.sortText!==F.label?F.sortText:void 0,f:F.filterText!==F.label?F.filterText:void 0,g:F.preselect||void 0,i:F.keepWhitespace?1:0,k:F.commitCharacters,l:F.additionalTextEdits&&F.additionalTextEdits.map(C.TextEdit.from),m:this._commands.toInternal(F.command,fe)};F.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),we.h=F.textEdit.newText):typeof F.insertText=="string"?we.h=F.insertText:F.insertText instanceof P.SnippetString&&(we.h=F.insertText.value,we.i|=4);let ue;return F.textEdit?ue=F.textEdit.range:F.range&&(ue=F.range),P.Range.isRange(ue)?we.j=C.Range.from(ue):ue&&(!K?.isEqual(ue.inserting)||!Q?.isEqual(ue.replacing))&&(we.j={insert:C.Range.from(ue.inserting),replace:C.Range.from(ue.replacing)}),we}}class Y{async provideInlineCompletions(F,H,K,Q){}disposeCompletions(F){}handleDidShowCompletionItem(F,H){}}class he extends Y{constructor(F,H,K,Q){super();this._extension=F,this._documents=H,this._provider=K,this._commands=Q,this._references=new re,this._isAdditionsProposedApiEnabled=(0,m.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:P.InlineCompletionTriggerKind.Automatic,[y.InlineCompletionTriggerKind.Explicit]:P.InlineCompletionTriggerKind.Invoke}}get supportsHandleDidShowCompletionItem(){return(0,m.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions")&&typeof this._provider.handleDidShowCompletionItem=="function"}async provideInlineCompletions(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H),ue=await this._provider.provideInlineCompletionItems(fe,we,{selectedCompletionInfo:K.selectedSuggestionInfo?{range:C.Range.to(K.selectedSuggestionInfo.range),text:K.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[K.triggerKind]},Q);if(!ue||Q.isCancellationRequested)return;const Ce=Array.isArray(ue)?ue:ue.items,Se=this._isAdditionsProposedApiEnabled?Array.isArray(ue)?[]:ue.commands||[]:[];let Be;return{pid:this._references.createReferenceId({dispose(){Be?.dispose()},items:Ce}),items:Ce.map((Je,Qe)=>{let Le;Je.command&&(Be||(Be=new E.DisposableStore),Le=this._commands.toInternal(Je.command,Be));const st=Je.insertText;return{insertText:typeof st=="string"?st:{snippet:st.value},filterText:Je.filterText,range:Je.range?C.Range.from(Je.range):void 0,command:Le,idx:Qe,completeBracketPairs:this._isAdditionsProposedApiEnabled?Je.completeBracketPairs:!1}}),commands:Se.map(Je=>(Be||(Be=new E.DisposableStore),this._commands.toInternal(Je,Be)))}}disposeCompletions(F){this._references.disposeReferenceId(F)?.dispose()}handleDidShowCompletionItem(F,H){const K=this._references.get(F)?.items[H];K&&this._provider.handleDidShowCompletionItem&&this._isAdditionsProposedApiEnabled&&this._provider.handleDidShowCompletionItem(K)}}class ve extends Y{constructor(F,H,K,Q){super();this.extension=F,this._documents=H,this._provider=K,this._commands=Q,this._references=new re,this.isAdditionProposedApiEnabled=(0,m.isProposedApiEnabled)(this.extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:P.InlineCompletionTriggerKindNew.Automatic,[y.InlineCompletionTriggerKind.Explicit]:P.InlineCompletionTriggerKindNew.Invoke}}async provideInlineCompletions(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H),ue=await this._provider.provideInlineCompletionItems(fe,we,{selectedCompletionInfo:K.selectedSuggestionInfo?{range:C.Range.to(K.selectedSuggestionInfo.range),text:K.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[K.triggerKind]},Q);if(!ue||Q.isCancellationRequested)return;const Ce=Array.isArray(ue)?ue:ue.items,Se=Array.isArray(ue)?[]:ue.commands||[];let Be;return{pid:this._references.createReferenceId({dispose(){Be?.dispose()},items:Ce}),items:Ce.map((Je,Qe)=>{let Le;Je.command&&(Be||(Be=new E.DisposableStore),Le=this._commands.toInternal(Je.command,Be));const st=Je.insertText;return{insertText:typeof st=="string"?st:{snippet:st.value},filterText:Je.filterText,range:Je.range?C.Range.from(Je.range):void 0,command:Le,idx:Qe,completeBracketPairs:this.isAdditionProposedApiEnabled?Je.completeBracketPairs:!1}}),commands:Se.map(Je=>(Be||(Be=new E.DisposableStore),this._commands.toInternal(Je,Be)))}}disposeCompletions(F){this._references.disposeReferenceId(F)?.dispose()}handleDidShowCompletionItem(F,H){const K=this._references.get(F)?.items[H];K&&this._provider.handleDidShowCompletionItem&&this.isAdditionProposedApiEnabled&&this._provider.handleDidShowCompletionItem(K)}}class re{constructor(){this._references=new Map,this._idPool=1}createReferenceId(F){const H=this._idPool++;return this._references.set(H,F),H}disposeReferenceId(F){const H=this._references.get(F);return this._references.delete(F),H}get(F){return this._references.get(F)}}class pe{constructor(F,H){this._documents=F,this._provider=H,this._cache=new h.Cache("SignatureHelp")}async provideSignatureHelp(F,H,K,Q){const fe=this._documents.getDocument(F),we=C.Position.to(H),ue=this.reviveContext(K),Ce=await this._provider.provideSignatureHelp(fe,we,Q,ue);if(Ce){const Se=this._cache.add([Ce]);return{...C.SignatureHelp.from(Ce),id:Se}}}reviveContext(F){let H;if(F.activeSignatureHelp){const K=C.SignatureHelp.to(F.activeSignatureHelp),Q=this._cache.get(F.activeSignatureHelp.id,0);Q?(H=Q,H.activeSignature=K.activeSignature,H.activeParameter=K.activeParameter):H=K}return{...F,activeSignatureHelp:H}}releaseSignatureHelp(F){this._cache.delete(F)}}class be{constructor(F,H,K,Q,fe){this._documents=F,this._commands=H,this._provider=K,this._logService=Q,this._extension=fe,this._cache=new h.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints(F,H,K){const Q=this._documents.getDocument(F),fe=C.Range.to(H),we=await this._provider.provideInlayHints(Q,fe,K);if(!Array.isArray(we)||we.length===0){this._logService.trace(`[InlayHints] NO inlay hints from '${this._extension.identifier.value}' for ${H}`);return}if(K.isCancellationRequested)return;const ue=this._cache.add(we);this._disposables.set(ue,new E.DisposableStore);const Ce={hints:[],cacheId:ue};for(let Se=0;Se<we.length;Se++)this._isValidInlayHint(we[Se],fe)&&Ce.hints.push(this._convertInlayHint(we[Se],[ue,Se]));return this._logService.trace(`[InlayHints] ${Ce.hints.length} inlay hints from '${this._extension.identifier.value}' for ${H}`),Ce}async resolveInlayHint(F,H){if(typeof this._provider.resolveInlayHint!="function")return;const K=this._cache.get(...F);if(!K)return;const Q=await this._provider.resolveInlayHint(K,H);if(!!Q&&!!this._isValidInlayHint(Q))return this._convertInlayHint(Q,F)}releaseHints(F){this._disposables.get(F)?.dispose(),this._disposables.delete(F),this._cache.delete(F)}_isValidInlayHint(F,H){return F.label.length===0||Array.isArray(F.label)&&F.label.every(K=>K.value.length===0)?(console.log("INVALID inlay hint, empty label",F),!1):!(H&&!H.contains(F.position))}_convertInlayHint(F,H){const K=this._disposables.get(H[0]);if(!K)throw Error("DisposableStore is missing...");const Q={label:"",cacheId:H,tooltip:C.MarkdownString.fromStrict(F.tooltip),position:C.Position.from(F.position),textEdits:F.textEdits&&F.textEdits.map(C.TextEdit.from),kind:F.kind&&C.InlayHintKind.from(F.kind),paddingLeft:F.paddingLeft,paddingRight:F.paddingRight};return typeof F.label=="string"?Q.label=F.label:Q.label=F.label.map(fe=>{const we={label:fe.value};return we.tooltip=C.MarkdownString.fromStrict(fe.tooltip),P.Location.isLocation(fe.location)&&(we.location=C.location.from(fe.location)),fe.command&&(we.command=this._commands.toInternal(fe.command,K)),we}),Q}}class ke{constructor(F,H){this._documents=F,this._provider=H,this._cache=new h.Cache("DocumentLink")}async provideLinks(F,H){const K=this._documents.getDocument(F),Q=await this._provider.provideDocumentLinks(K,H);if(!(!Array.isArray(Q)||Q.length===0)&&!H.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:Q.filter(ke._validateLink).map(C.DocumentLink.from)};{const fe=this._cache.add(Q),we={links:[],cacheId:fe};for(let ue=0;ue<Q.length;ue++){if(!ke._validateLink(Q[ue]))continue;const Ce=C.DocumentLink.from(Q[ue]);Ce.cacheId=[fe,ue],we.links.push(Ce)}return we}}}static _validateLink(F){return F.target&&F.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(F,H){if(typeof this._provider.resolveDocumentLink!="function")return;const K=this._cache.get(...F);if(!K)return;const Q=await this._provider.resolveDocumentLink(K,H);if(!(!Q||!ke._validateLink(Q)))return C.DocumentLink.from(Q)}releaseLinks(F){this._cache.delete(F)}}class Re{constructor(F,H){this._documents=F,this._provider=H}async provideColors(F,H){const K=this._documents.getDocument(F),Q=await this._provider.provideDocumentColors(K,H);return Array.isArray(Q)?Q.map(we=>({color:C.Color.from(we.color),range:C.Range.from(we.range)})):[]}async provideColorPresentations(F,H,K){const Q=this._documents.getDocument(F),fe=C.Range.to(H.range),we=C.Color.to(H.color),ue=await this._provider.provideColorPresentations(we,{document:Q,range:fe},K);if(!!Array.isArray(ue))return ue.map(C.ColorPresentation.from)}}class Ue{constructor(F,H){this._documents=F,this._provider=H}async provideFoldingRanges(F,H,K){const Q=this._documents.getDocument(F),fe=await this._provider.provideFoldingRanges(Q,H,K);if(!!Array.isArray(fe))return fe.map(C.FoldingRange.from)}}class ae{constructor(F,H,K){this._documents=F,this._provider=H,this._logService=K}async provideSelectionRanges(F,H,K){const Q=this._documents.getDocument(F),fe=H.map(C.Position.to),we=await this._provider.provideSelectionRanges(Q,fe,K);if(!(0,A.isNonEmptyArray)(we))return[];if(we.length!==fe.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const ue=[];for(let Ce=0;Ce<fe.length;Ce++){const Se=[];ue.push(Se);let Be=fe[Ce],qe=we[Ce];for(;;){if(!qe.range.contains(Be))throw new Error("INVALID selection range, must contain the previous range");if(Se.push(C.SelectionRange.from(qe)),!qe.parent)break;Be=qe.range,qe=qe.parent}}return ue}}class de{constructor(F,H){this._documents=F,this._provider=H,this._idPool=new v.IdGenerator(""),this._cache=new Map}async prepareSession(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.prepareCallHierarchy(Q,fe,K);if(!we)return;const ue=this._idPool.nextId();return this._cache.set(ue,new Map),Array.isArray(we)?we.map(Ce=>this._cacheAndConvertItem(ue,Ce)):[this._cacheAndConvertItem(ue,we)]}async provideCallsTo(F,H,K){const Q=this._itemFromCache(F,H);if(!Q)throw new Error("missing call hierarchy item");const fe=await this._provider.provideCallHierarchyIncomingCalls(Q,K);if(!!fe)return fe.map(we=>({from:this._cacheAndConvertItem(F,we.from),fromRanges:we.fromRanges.map(ue=>C.Range.from(ue))}))}async provideCallsFrom(F,H,K){const Q=this._itemFromCache(F,H);if(!Q)throw new Error("missing call hierarchy item");const fe=await this._provider.provideCallHierarchyOutgoingCalls(Q,K);if(!!fe)return fe.map(we=>({to:this._cacheAndConvertItem(F,we.to),fromRanges:we.fromRanges.map(ue=>C.Range.from(ue))}))}releaseSession(F){this._cache.delete(F)}_cacheAndConvertItem(F,H){const K=this._cache.get(F),Q=C.CallHierarchyItem.from(H,F,K.size.toString(36));return K.set(Q._itemId,H),Q}_itemFromCache(F,H){return this._cache.get(F)?.get(H)}}class ge{constructor(F,H){this._documents=F,this._provider=H,this._idPool=new v.IdGenerator(""),this._cache=new Map}async prepareSession(F,H,K){const Q=this._documents.getDocument(F),fe=C.Position.to(H),we=await this._provider.prepareTypeHierarchy(Q,fe,K);if(!we)return;const ue=this._idPool.nextId();return this._cache.set(ue,new Map),Array.isArray(we)?we.map(Ce=>this._cacheAndConvertItem(ue,Ce)):[this._cacheAndConvertItem(ue,we)]}async provideSupertypes(F,H,K){const Q=this._itemFromCache(F,H);if(!Q)throw new Error("missing type hierarchy item");const fe=await this._provider.provideTypeHierarchySupertypes(Q,K);if(!!fe)return fe.map(we=>this._cacheAndConvertItem(F,we))}async provideSubtypes(F,H,K){const Q=this._itemFromCache(F,H);if(!Q)throw new Error("missing type hierarchy item");const fe=await this._provider.provideTypeHierarchySubtypes(Q,K);if(!!fe)return fe.map(we=>this._cacheAndConvertItem(F,we))}releaseSession(F){this._cache.delete(F)}_cacheAndConvertItem(F,H){const K=this._cache.get(F),Q=C.TypeHierarchyItem.from(H,F,K.size.toString(36));return K.set(Q._itemId,H),Q}_itemFromCache(F,H){return this._cache.get(F)?.get(H)}}class te{constructor(F,H,K,Q){this._proxy=F,this._documents=H,this._provider=K,this._handle=Q}async provideDocumentOnDropEdits(F,H,K,Q,fe){const we=this._documents.getDocument(H),ue=C.Position.to(K),Ce=C.DataTransfer.toDataTransfer(Q,async Be=>(await this._proxy.$resolveDocumentOnDropFileData(this._handle,F,Be)).buffer),Se=await this._provider.provideDocumentDropEdits(we,ue,Ce,fe);if(!!Se)return{insertText:typeof Se.insertText=="string"?Se.insertText:{snippet:Se.insertText.value},additionalEdit:Se.additionalEdit?C.WorkspaceEdit.from(Se.additionalEdit,void 0,!0):void 0}}}class le{constructor(F,H){this.adapter=F,this.extension=H}}class ee{constructor(F,H,K,Q,fe,we,ue){this._adapter=new Map,this._uriTransformer=H,this._proxy=F.getProxy(D.MainContext.MainThreadLanguageFeatures),this._documents=K,this._commands=Q,this._diagnostics=fe,this._logService=we,this._apiDeprecation=ue}_transformDocumentSelector(F){return C.DocumentSelector.from(F,this._uriTransformer)}_createDisposable(F){return new P.Disposable(()=>{this._adapter.delete(F),this._proxy.$unregister(F)})}_nextHandle(){return ee._handlePool++}async _withAdapter(F,H,K,Q,fe,we=!1){const ue=this._adapter.get(F);if(!ue||!(ue.adapter instanceof H))return Q;const Ce=Date.now();we||this._logService.trace(`[${ue.extension.identifier.value}] INVOKE provider '${K.toString().replace(/[\r\n]/g,"")}'`);const Se=K(ue.adapter,ue.extension);return Promise.resolve(Se).catch(Be=>{(0,g.isCancellationError)(Be)||(this._logService.error(`[${ue.extension.identifier.value}] provider FAILED`),this._logService.error(Be))}).finally(()=>{we||this._logService.trace(`[${ue.extension.identifier.value}] provider DONE after ${Date.now()-Ce}ms`)}),T.CancellationToken.isCancellationToken(fe)?(0,a.raceCancellationError)(Se,fe):Se}_addNewAdapter(F,H){const K=this._nextHandle();return this._adapter.set(K,new le(F,H)),K}static _extLabel(F){return F.displayName||F.name}registerDocumentSymbolProvider(F,H,K,Q){const fe=this._addNewAdapter(new c(this._documents,K),F),we=Q&&Q.label||ee._extLabel(F);return this._proxy.$registerDocumentSymbolProvider(fe,this._transformDocumentSelector(H),we),this._createDisposable(fe)}$provideDocumentSymbols(F,H,K){return this._withAdapter(F,c,Q=>Q.provideDocumentSymbols(u.URI.revive(H),K),void 0,K)}registerCodeLensProvider(F,H,K){const Q=this._nextHandle(),fe=typeof K.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(Q,new le(new l(this._documents,this._commands.converter,K),F)),this._proxy.$registerCodeLensSupport(Q,this._transformDocumentSelector(H),fe);let we=this._createDisposable(Q);if(fe!==void 0){const ue=K.onDidChangeCodeLenses(Ce=>this._proxy.$emitCodeLensEvent(fe));we=P.Disposable.from(we,ue)}return we}$provideCodeLenses(F,H,K){return this._withAdapter(F,l,Q=>Q.provideCodeLenses(u.URI.revive(H),K),void 0,K)}$resolveCodeLens(F,H,K){return this._withAdapter(F,l,Q=>Q.resolveCodeLens(H,K),void 0,void 0)}$releaseCodeLenses(F,H){this._withAdapter(F,l,K=>Promise.resolve(K.releaseCodeLenses(H)),void 0,void 0)}registerDefinitionProvider(F,H,K){const Q=this._addNewAdapter(new i(this._documents,K),F);return this._proxy.$registerDefinitionSupport(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideDefinition(F,H,K,Q){return this._withAdapter(F,i,fe=>fe.provideDefinition(u.URI.revive(H),K,Q),[],Q)}registerDeclarationProvider(F,H,K){const Q=this._addNewAdapter(new s(this._documents,K),F);return this._proxy.$registerDeclarationSupport(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideDeclaration(F,H,K,Q){return this._withAdapter(F,s,fe=>fe.provideDeclaration(u.URI.revive(H),K,Q),[],Q)}registerImplementationProvider(F,H,K){const Q=this._addNewAdapter(new n(this._documents,K),F);return this._proxy.$registerImplementationSupport(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideImplementation(F,H,K,Q){return this._withAdapter(F,n,fe=>fe.provideImplementation(u.URI.revive(H),K,Q),[],Q)}registerTypeDefinitionProvider(F,H,K){const Q=this._addNewAdapter(new o(this._documents,K),F);return this._proxy.$registerTypeDefinitionSupport(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideTypeDefinition(F,H,K,Q){return this._withAdapter(F,o,fe=>fe.provideTypeDefinition(u.URI.revive(H),K,Q),[],Q)}registerHoverProvider(F,H,K,Q){const fe=this._addNewAdapter(new d(this._documents,K),F);return this._proxy.$registerHoverProvider(fe,this._transformDocumentSelector(H)),this._createDisposable(fe)}$provideHover(F,H,K,Q){return this._withAdapter(F,d,fe=>fe.provideHover(u.URI.revive(H),K,Q),void 0,Q)}registerEvaluatableExpressionProvider(F,H,K,Q){const fe=this._addNewAdapter(new f(this._documents,K),F);return this._proxy.$registerEvaluatableExpressionProvider(fe,this._transformDocumentSelector(H)),this._createDisposable(fe)}$provideEvaluatableExpression(F,H,K,Q){return this._withAdapter(F,f,fe=>fe.provideEvaluatableExpression(u.URI.revive(H),K,Q),void 0,Q)}registerInlineValuesProvider(F,H,K,Q){const fe=typeof K.onDidChangeInlineValues=="function"?this._nextHandle():void 0,we=this._addNewAdapter(new S(this._documents,K),F);this._proxy.$registerInlineValuesProvider(we,this._transformDocumentSelector(H),fe);let ue=this._createDisposable(we);if(fe!==void 0){const Ce=K.onDidChangeInlineValues(Se=>this._proxy.$emitInlineValuesEvent(fe));ue=P.Disposable.from(ue,Ce)}return ue}$provideInlineValues(F,H,K,Q,fe){return this._withAdapter(F,S,we=>we.provideInlineValues(u.URI.revive(H),K,Q,fe),void 0,fe)}registerDocumentHighlightProvider(F,H,K){const Q=this._addNewAdapter(new L(this._documents,K),F);return this._proxy.$registerDocumentHighlightProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideDocumentHighlights(F,H,K,Q){return this._withAdapter(F,L,fe=>fe.provideDocumentHighlights(u.URI.revive(H),K,Q),void 0,Q)}registerLinkedEditingRangeProvider(F,H,K){const Q=this._addNewAdapter(new M(this._documents,K),F);return this._proxy.$registerLinkedEditingRangeProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideLinkedEditingRanges(F,H,K,Q){return this._withAdapter(F,M,async fe=>{const we=await fe.provideLinkedEditingRanges(u.URI.revive(H),K,Q);if(we)return{ranges:we.ranges,wordPattern:we.wordPattern?ee._serializeRegExp(we.wordPattern):void 0}},void 0,Q)}registerReferenceProvider(F,H,K){const Q=this._addNewAdapter(new B(this._documents,K),F);return this._proxy.$registerReferenceSupport(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideReferences(F,H,K,Q,fe){return this._withAdapter(F,B,we=>we.provideReferences(u.URI.revive(H),K,Q,fe),void 0,fe)}registerCodeActionProvider(F,H,K,Q){const fe=new E.DisposableStore,we=this._addNewAdapter(new R(this._documents,this._commands.converter,this._diagnostics,K,this._logService,F,this._apiDeprecation),F);return this._proxy.$registerQuickFixSupport(we,this._transformDocumentSelector(H),{providedKinds:Q?.providedCodeActionKinds?.map(ue=>ue.value),documentation:Q?.documentation?.map(ue=>({kind:ue.kind.value,command:this._commands.converter.toInternal(ue.command,fe)}))},ee._extLabel(F),Boolean(K.resolveCodeAction)),fe.add(this._createDisposable(we)),fe}$provideCodeActions(F,H,K,Q,fe){return this._withAdapter(F,R,we=>we.provideCodeActions(u.URI.revive(H),K,Q,fe),void 0,fe)}$resolveCodeAction(F,H,K){return this._withAdapter(F,R,Q=>Q.resolveCodeAction(H,K),void 0,void 0)}$releaseCodeActions(F,H){this._withAdapter(F,R,K=>Promise.resolve(K.releaseCodeActions(H)),void 0,void 0)}registerDocumentFormattingEditProvider(F,H,K){const Q=this._addNewAdapter(new $(this._documents,K),F);return this._proxy.$registerDocumentFormattingSupport(Q,this._transformDocumentSelector(H),F.identifier,F.displayName||F.name),this._createDisposable(Q)}$provideDocumentFormattingEdits(F,H,K,Q){return this._withAdapter(F,$,fe=>fe.provideDocumentFormattingEdits(u.URI.revive(H),K,Q),void 0,Q)}registerDocumentRangeFormattingEditProvider(F,H,K){const Q=this._addNewAdapter(new N(this._documents,K),F);return this._proxy.$registerRangeFormattingSupport(Q,this._transformDocumentSelector(H),F.identifier,F.displayName||F.name),this._createDisposable(Q)}$provideDocumentRangeFormattingEdits(F,H,K,Q,fe){return this._withAdapter(F,N,we=>we.provideDocumentRangeFormattingEdits(u.URI.revive(H),K,Q,fe),void 0,fe)}registerOnTypeFormattingEditProvider(F,H,K,Q){const fe=this._addNewAdapter(new X(this._documents,K),F);return this._proxy.$registerOnTypeFormattingSupport(fe,this._transformDocumentSelector(H),Q,F.identifier),this._createDisposable(fe)}$provideOnTypeFormattingEdits(F,H,K,Q,fe,we){return this._withAdapter(F,X,ue=>ue.provideOnTypeFormattingEdits(u.URI.revive(H),K,Q,fe,we),void 0,we)}registerWorkspaceSymbolProvider(F,H){const K=this._addNewAdapter(new z(H,this._logService),F);return this._proxy.$registerNavigateTypeSupport(K,typeof H.resolveWorkspaceSymbol=="function"),this._createDisposable(K)}$provideWorkspaceSymbols(F,H,K){return this._withAdapter(F,z,Q=>Q.provideWorkspaceSymbols(H,K),{symbols:[]},K)}$resolveWorkspaceSymbol(F,H,K){return this._withAdapter(F,z,Q=>Q.resolveWorkspaceSymbol(H,K),void 0,void 0)}$releaseWorkspaceSymbols(F,H){this._withAdapter(F,z,K=>K.releaseWorkspaceSymbols(H),void 0,void 0)}registerRenameProvider(F,H,K){const Q=this._addNewAdapter(new O(this._documents,K,this._logService),F);return this._proxy.$registerRenameSupport(Q,this._transformDocumentSelector(H),O.supportsResolving(K)),this._createDisposable(Q)}$provideRenameEdits(F,H,K,Q,fe){return this._withAdapter(F,O,we=>we.provideRenameEdits(u.URI.revive(H),K,Q,fe),void 0,fe)}$resolveRenameLocation(F,H,K,Q){return this._withAdapter(F,O,fe=>fe.resolveRenameLocation(u.URI.revive(H),K,Q),void 0,Q)}registerDocumentSemanticTokensProvider(F,H,K,Q){const fe=this._addNewAdapter(new V(this._documents,K),F),we=typeof K.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._proxy.$registerDocumentSemanticTokensProvider(fe,this._transformDocumentSelector(H),Q,we);let ue=this._createDisposable(fe);if(we){const Ce=K.onDidChangeSemanticTokens(Se=>this._proxy.$emitDocumentSemanticTokensEvent(we));ue=P.Disposable.from(ue,Ce)}return ue}$provideDocumentSemanticTokens(F,H,K,Q){return this._withAdapter(F,V,fe=>fe.provideDocumentSemanticTokens(u.URI.revive(H),K,Q),null,Q)}$releaseDocumentSemanticTokens(F,H){this._withAdapter(F,V,K=>K.releaseDocumentSemanticColoring(H),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(F,H,K,Q){const fe=this._addNewAdapter(new q(this._documents,K),F);return this._proxy.$registerDocumentRangeSemanticTokensProvider(fe,this._transformDocumentSelector(H),Q),this._createDisposable(fe)}$provideDocumentRangeSemanticTokens(F,H,K,Q){return this._withAdapter(F,q,fe=>fe.provideDocumentRangeSemanticTokens(u.URI.revive(H),K,Q),null,Q)}registerCompletionItemProvider(F,H,K,Q){const fe=this._addNewAdapter(new J(this._documents,this._commands.converter,K,this._apiDeprecation,F),F);return this._proxy.$registerCompletionsProvider(fe,this._transformDocumentSelector(H),Q,J.supportsResolving(K),`${F.identifier.value}(${Q.join("")})`),this._createDisposable(fe)}$provideCompletionItems(F,H,K,Q,fe){return this._withAdapter(F,J,we=>we.provideCompletionItems(u.URI.revive(H),K,Q,fe),void 0,fe)}$resolveCompletionItem(F,H,K){return this._withAdapter(F,J,Q=>Q.resolveCompletionItem(H,K),void 0,K)}$releaseCompletionItems(F,H){this._withAdapter(F,J,K=>K.releaseCompletionItems(H),void 0,void 0)}registerInlineCompletionsProvider(F,H,K){const Q=new he(F,this._documents,K,this._commands.converter),fe=this._addNewAdapter(Q,F);return this._proxy.$registerInlineCompletionsSupport(fe,this._transformDocumentSelector(H),Q.supportsHandleDidShowCompletionItem),this._createDisposable(fe)}registerInlineCompletionsProviderNew(F,H,K){const Q=this._addNewAdapter(new ve(F,this._documents,K,this._commands.converter),F);return this._proxy.$registerInlineCompletionsSupport(Q,this._transformDocumentSelector(H),!0),this._createDisposable(Q)}$provideInlineCompletions(F,H,K,Q,fe){return this._withAdapter(F,Y,we=>we.provideInlineCompletions(u.URI.revive(H),K,Q,fe),void 0,fe)}$handleInlineCompletionDidShow(F,H,K){this._withAdapter(F,Y,async Q=>{Q.handleDidShowCompletionItem(H,K)},void 0,void 0)}$freeInlineCompletionsList(F,H){this._withAdapter(F,Y,async K=>{K.disposeCompletions(H)},void 0,void 0)}registerSignatureHelpProvider(F,H,K,Q){const fe=Array.isArray(Q)?{triggerCharacters:Q,retriggerCharacters:[]}:Q,we=this._addNewAdapter(new pe(this._documents,K),F);return this._proxy.$registerSignatureHelpProvider(we,this._transformDocumentSelector(H),fe),this._createDisposable(we)}$provideSignatureHelp(F,H,K,Q,fe){return this._withAdapter(F,pe,we=>we.provideSignatureHelp(u.URI.revive(H),K,Q,fe),void 0,fe)}$releaseSignatureHelp(F,H){this._withAdapter(F,pe,K=>K.releaseSignatureHelp(H),void 0,void 0)}registerInlayHintsProvider(F,H,K){const Q=typeof K.onDidChangeInlayHints=="function"?this._nextHandle():void 0,fe=this._addNewAdapter(new be(this._documents,this._commands.converter,K,this._logService,F),F);this._proxy.$registerInlayHintsProvider(fe,this._transformDocumentSelector(H),typeof K.resolveInlayHint=="function",Q,ee._extLabel(F));let we=this._createDisposable(fe);if(Q!==void 0){const ue=K.onDidChangeInlayHints(Ce=>this._proxy.$emitInlayHintsEvent(Q));we=P.Disposable.from(we,ue)}return we}$provideInlayHints(F,H,K,Q){return this._withAdapter(F,be,fe=>fe.provideInlayHints(u.URI.revive(H),K,Q),void 0,Q)}$resolveInlayHint(F,H,K){return this._withAdapter(F,be,Q=>Q.resolveInlayHint(H,K),void 0,K)}$releaseInlayHints(F,H){this._withAdapter(F,be,K=>K.releaseHints(H),void 0,void 0)}registerDocumentLinkProvider(F,H,K){const Q=this._addNewAdapter(new ke(this._documents,K),F);return this._proxy.$registerDocumentLinkProvider(Q,this._transformDocumentSelector(H),typeof K.resolveDocumentLink=="function"),this._createDisposable(Q)}$provideDocumentLinks(F,H,K){return this._withAdapter(F,ke,Q=>Q.provideLinks(u.URI.revive(H),K),void 0,K,H.scheme==="output")}$resolveDocumentLink(F,H,K){return this._withAdapter(F,ke,Q=>Q.resolveLink(H,K),void 0,void 0,!0)}$releaseDocumentLinks(F,H){this._withAdapter(F,ke,K=>K.releaseLinks(H),void 0,void 0,!0)}registerColorProvider(F,H,K){const Q=this._addNewAdapter(new Re(this._documents,K),F);return this._proxy.$registerDocumentColorProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideDocumentColors(F,H,K){return this._withAdapter(F,Re,Q=>Q.provideColors(u.URI.revive(H),K),[],K)}$provideColorPresentations(F,H,K,Q){return this._withAdapter(F,Re,fe=>fe.provideColorPresentations(u.URI.revive(H),K,Q),void 0,Q)}registerFoldingRangeProvider(F,H,K){const Q=this._nextHandle(),fe=typeof K.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(Q,new le(new Ue(this._documents,K),F)),this._proxy.$registerFoldingRangeProvider(Q,this._transformDocumentSelector(H),fe);let we=this._createDisposable(Q);if(fe!==void 0){const ue=K.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(fe));we=P.Disposable.from(we,ue)}return we}$provideFoldingRanges(F,H,K,Q){return this._withAdapter(F,Ue,fe=>fe.provideFoldingRanges(u.URI.revive(H),K,Q),void 0,Q)}registerSelectionRangeProvider(F,H,K){const Q=this._addNewAdapter(new ae(this._documents,K,this._logService),F);return this._proxy.$registerSelectionRangeProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideSelectionRanges(F,H,K,Q){return this._withAdapter(F,ae,fe=>fe.provideSelectionRanges(u.URI.revive(H),K,Q),[],Q)}registerCallHierarchyProvider(F,H,K){const Q=this._addNewAdapter(new de(this._documents,K),F);return this._proxy.$registerCallHierarchyProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$prepareCallHierarchy(F,H,K,Q){return this._withAdapter(F,de,fe=>Promise.resolve(fe.prepareSession(u.URI.revive(H),K,Q)),void 0,Q)}$provideCallHierarchyIncomingCalls(F,H,K,Q){return this._withAdapter(F,de,fe=>fe.provideCallsTo(H,K,Q),void 0,Q)}$provideCallHierarchyOutgoingCalls(F,H,K,Q){return this._withAdapter(F,de,fe=>fe.provideCallsFrom(H,K,Q),void 0,Q)}$releaseCallHierarchy(F,H){this._withAdapter(F,de,K=>Promise.resolve(K.releaseSession(H)),void 0,void 0)}registerTypeHierarchyProvider(F,H,K){const Q=this._addNewAdapter(new ge(this._documents,K),F);return this._proxy.$registerTypeHierarchyProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$prepareTypeHierarchy(F,H,K,Q){return this._withAdapter(F,ge,fe=>Promise.resolve(fe.prepareSession(u.URI.revive(H),K,Q)),void 0,Q)}$provideTypeHierarchySupertypes(F,H,K,Q){return this._withAdapter(F,ge,fe=>fe.provideSupertypes(H,K,Q),void 0,Q)}$provideTypeHierarchySubtypes(F,H,K,Q){return this._withAdapter(F,ge,fe=>fe.provideSubtypes(H,K,Q),void 0,Q)}$releaseTypeHierarchy(F,H){this._withAdapter(F,ge,K=>Promise.resolve(K.releaseSession(H)),void 0,void 0)}registerDocumentOnDropEditProvider(F,H,K){const Q=this._nextHandle();return this._adapter.set(Q,new le(new te(this._proxy,this._documents,K,Q),F)),this._proxy.$registerDocumentOnDropEditProvider(Q,this._transformDocumentSelector(H)),this._createDisposable(Q)}$provideDocumentOnDropEdits(F,H,K,Q,fe,we){return this._withAdapter(F,te,ue=>Promise.resolve(ue.provideDocumentOnDropEdits(H,u.URI.revive(K),Q,fe,we)),void 0,void 0)}registerDocumentPasteEditProvider(F,H,K,Q){const fe=this._nextHandle();return this._adapter.set(fe,new le(new U(this._proxy,this._documents,K,fe),F)),this._proxy.$registerPasteEditProvider(fe,this._transformDocumentSelector(H),!!K.prepareDocumentPaste,Q.pasteMimeTypes),this._createDisposable(fe)}$prepareDocumentPaste(F,H,K,Q,fe){return this._withAdapter(F,U,we=>we.prepareDocumentPaste(u.URI.revive(H),K,Q,fe),void 0,fe)}$providePasteEdits(F,H,K,Q,fe,we){return this._withAdapter(F,U,ue=>ue.providePasteEdits(H,u.URI.revive(K),Q,fe,we),void 0,we)}static _serializeRegExp(F){return{pattern:F.source,flags:(0,w.regExpFlags)(F)}}static _serializeIndentationRule(F){return{decreaseIndentPattern:ee._serializeRegExp(F.decreaseIndentPattern),increaseIndentPattern:ee._serializeRegExp(F.increaseIndentPattern),indentNextLinePattern:F.indentNextLinePattern?ee._serializeRegExp(F.indentNextLinePattern):void 0,unIndentedLinePattern:F.unIndentedLinePattern?ee._serializeRegExp(F.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(F){return{beforeText:ee._serializeRegExp(F.beforeText),afterText:F.afterText?ee._serializeRegExp(F.afterText):void 0,previousLineText:F.previousLineText?ee._serializeRegExp(F.previousLineText):void 0,action:F.action}}static _serializeOnEnterRules(F){return F.map(ee._serializeOnEnterRule)}setLanguageConfiguration(F,H,K){const{wordPattern:Q}=K;if(Q&&(0,w.regExpLeadsToEndlessLoop)(Q))throw new Error(`Invalid language configuration: wordPattern '${Q}' is not allowed to match the empty string.`);Q?this._documents.setWordDefinitionFor(H,Q):this._documents.setWordDefinitionFor(H,void 0),K.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",F,"Do not use."),K.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",F,"Do not use.");const fe=this._nextHandle(),we={comments:K.comments,brackets:K.brackets,wordPattern:K.wordPattern?ee._serializeRegExp(K.wordPattern):void 0,indentationRules:K.indentationRules?ee._serializeIndentationRule(K.indentationRules):void 0,onEnterRules:K.onEnterRules?ee._serializeOnEnterRules(K.onEnterRules):void 0,__electricCharacterSupport:K.__electricCharacterSupport,__characterPairSupport:K.__characterPairSupport};return this._proxy.$setLanguageConfiguration(fe,H,we),this._createDisposable(fe)}$setWordDefinitions(F){for(const H of F)this._documents.setWordDefinitionFor(H.languageId,new RegExp(H.regexSource,H.regexFlags))}}e.ExtHostLanguageFeatures=ee,ee._handlePool=0}),define(De[249],Ie([1,0,5,16,7,41,18,6]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class w{constructor(A,k,_,T){this._documents=k,this._commands=_,this._uriTransformer=T,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=A.getProxy(u.MainContext.MainThreadLanguages)}$acceptLanguageIds(A){this._languageIds=A}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(A,k){await this._proxy.$changeLanguage(A,k);const _=this._documents.getDocumentData(A);if(!_)throw new Error(`document '${A.toString()}' NOT found`);return _.document}async tokenAtPosition(A,k){const _=A.version,T=t.Position.from(k),E=await this._proxy.$tokensAtPosition(A.uri,T),b={type:C.StandardTokenType.Other,range:A.getWordRangeAtPosition(k)??new C.Range(k.line,k.character,k.line,k.character)};if(!E)return b;const v={range:t.Range.to(E.range),type:t.TokenType.to(E.type)};return!v.range.contains(k)||_!==A.version?b:v}createLanguageStatusItem(A,k,_){const T=this._handlePool++,E=this._proxy,b=this._ids,v=`${A.identifier.value}/${k}`;if(b.has(v))throw new Error(`LanguageStatusItem with id '${k}' ALREADY exists`);b.add(v);const h={selector:_,id:k,name:A.displayName??A.name,severity:C.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let p;const g=new D.DisposableStore,a=()=>{p?.dispose(),p=(0,y.disposableTimeout)(()=>{g.clear(),this._proxy.$setLanguageStatus(T,{id:v,name:h.name??A.displayName??A.name,source:A.displayName??A.name,selector:t.DocumentSelector.from(h.selector,this._uriTransformer),label:h.text,detail:h.detail??"",severity:h.severity===C.LanguageStatusSeverity.Error?P.default.Error:h.severity===C.LanguageStatusSeverity.Warning?P.default.Warning:P.default.Info,command:h.command&&this._commands.toInternal(h.command,g),accessibilityInfo:h.accessibilityInformation,busy:h.busy})},0)},m={dispose(){g.dispose(),p?.dispose(),E.$removeLanguageStatus(T),b.delete(v)},get id(){return h.id},get name(){return h.name},set name(c){h.name=c,a()},get selector(){return h.selector},set selector(c){h.selector=c,a()},get text(){return h.text},set text(c){h.text=c,a()},get detail(){return h.detail},set detail(c){h.detail=c,a()},get severity(){return h.severity},set severity(c){h.severity=c,a()},get accessibilityInformation(){return h.accessibilityInformation},set accessibilityInformation(c){h.accessibilityInformation=c,a()},get command(){return h.command},set command(c){h.command=c,a()},get busy(){return h.busy},set busy(c){h.busy=c,a()}};return a(),m}}e.ExtHostLanguages=w}),define(De[136],Ie([1,0,14,5,26,15,4]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let D=class extends u.AbstractLoggerService{constructor(A,k){const _=new y.Emitter;super(k.logLevel,_.event);this._proxy=A.getProxy(t.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(_)}$setLevel(A){this._onDidChangeLogLevel.fire(A)}doCreateLogger(A,k,_){return new w(this._proxy,A,k,_)}};D=je([xe(0,P.IExtHostRpcService),xe(1,C.IExtHostInitDataService)],D),e.ExtHostLoggerService=D;class w extends u.AbstractMessageLogger{constructor(A,k,_,T){super(T?.always);this.proxy=A,this.file=k,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(_),this.proxy.$createLogger(k,T).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(A,k){const _=[[A,k]];this.isLoggerCreated?this.doLog(_):this.buffer.push(..._)}doLog(A){this.proxy.$log(this.file,A)}}}),define(De[250],Ie([1,0,5,14,27]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function P(D){return D&&D.title}let y=class{constructor(w,I){this._logService=I,this._proxy=w.getProxy(u.MainContext.MainThreadMessageService)}showMessage(w,I,A,k,_){const T={source:{identifier:w.identifier,label:w.displayName||w.name}};let E;typeof k=="string"||P(k)?E=[k,..._]:(T.modal=k?.modal,T.useCustom=k?.useCustom,T.detail=k?.detail,E=_),T.useCustom&&(0,C.checkProposedApiEnabled)(w,"resolvers");const b=[];for(let v=0;v<E.length;v++){const h=E[v];if(typeof h=="string")b.push({title:h,handle:v,isCloseAffordance:!1});else if(typeof h=="object"){const{title:p,isCloseAffordance:g}=h;b.push({title:p,isCloseAffordance:!!g,handle:v})}else this._logService.warn("Invalid message item:",h)}return this._proxy.$showMessage(I,A,T,b).then(v=>{if(typeof v=="number")return E[v]})}};y=je([xe(1,t.ILogService)],y),e.ExtHostMessageService=y}),define(De[251],Ie([1,0,23,4,61,6,25,8,13,2,87,5,37,16,7,55,221,131]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class p{constructor(a,m,c,l,r){this._textDocumentsAndEditors=c,this._textDocuments=l,this._extensionStoragePaths=r,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new y.ResourceMap,this._editors=new Map,this._onDidChangeActiveNotebookEditor=new t.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new t.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new t.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new t.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new A.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=a.getProxy(k.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=a.getProxy(k.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=a.getProxy(k.MainContext.MainThreadNotebookEditors),this._commandsConverter=m.converter,m.registerArgumentProcessor({processArgument:i=>{if(i&&i.$mid===12){const s=i.notebookEditor?.notebookUri,n=i.cell.handle,d=this._documents.get(s)?.getCell(n);if(d)return d.apiCell}return i}}),p._registerApiCommands(m)}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(a=>a.apiEditor)}getEditorById(a){const m=this._editors.get(a);if(!m)throw new Error(`unknown text editor: ${a}. known editors: ${[...this._editors.keys()]} `);return m}getIdByEditor(a){for(const[m,c]of this._editors)if(c.apiEditor===a)return m}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(a,m){const c=this._documents.get(a);if(!c&&!m)throw new Error(`NO notebook document for '${a}'`);return c}_getProviderData(a){const m=this._notebookContentProviders.get(a);if(!m)throw new Error(`NO provider for '${a}'`);return m}registerNotebookContentProvider(a,m,c,l,r){if((0,D.isFalsyOrWhitespace)(m))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(m))throw new Error(`Notebook provider for '${m}' already registered`);this._notebookContentProviders.set(m,{extension:a,provider:c});let i;return c.onDidChangeNotebookContentOptions&&(i=c.onDidChangeNotebookContentOptions(()=>{const s=T.NotebookDocumentContentOptions.from(c.options);this._notebookProxy.$updateNotebookProviderOptions(m,s)})),this._notebookProxy.$registerNotebookProvider({id:a.identifier,location:a.extensionLocation},m,T.NotebookDocumentContentOptions.from(l),p._convertNotebookRegistrationData(a,r)),new E.Disposable(()=>{i?.dispose(),this._notebookContentProviders.delete(m),this._notebookProxy.$unregisterNotebookProvider(m)})}static _convertNotebookRegistrationData(a,m){if(!m)return;const c=m.filenamePattern.map(l=>T.NotebookExclusiveDocumentPattern.from(l)).filter(l=>l!==void 0);if(m.filenamePattern&&!c){console.warn(`Notebook content provider view options file name pattern is invalid ${m.filenamePattern}`);return}return{extension:a.identifier,providerDisplayName:a.displayName||a.name,displayName:m.displayName,filenamePattern:c,exclusive:m.exclusive||!1}}registerNotebookCellStatusBarItemProvider(a,m,c){const l=p._notebookStatusBarItemProviderHandlePool++,r=typeof c.onDidChangeCellStatusBarItems=="function"?p._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(l,c),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(l,r,m);let i;return r!==void 0&&(i=c.onDidChangeCellStatusBarItems(s=>this._notebookProxy.$emitCellStatusBarEvent(r))),new E.Disposable(()=>{this._notebookStatusBarItemProviders.delete(l),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(l,r),i?.dispose()})}async createNotebookDocument(a){const m=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:a.viewType,content:a.content&&T.NotebookData.from(a.content)});return I.URI.revive(m)}async openNotebookDocument(a){const m=this._documents.get(a);if(m)return m.apiNotebook;const c=await this._notebookDocumentsProxy.$tryOpenNotebook(a),l=this._documents.get(I.URI.revive(c));return(0,w.assertIsDefined)(l?.apiNotebook)}async showNotebookDocument(a,m){I.URI.isUri(a)&&(a=await this.openNotebookDocument(a));let c;typeof m=="object"?c={position:T.ViewColumn.from(m.viewColumn),preserveFocus:m.preserveFocus,selections:m.selections&&m.selections.map(T.NotebookRange.from),pinned:typeof m.preview=="boolean"?!m.preview:void 0}:c={preserveFocus:!1};const l=await this._notebookEditorsProxy.$tryShowNotebookDocument(a.uri,a.notebookType,c),r=l&&this._editors.get(l)?.apiEditor;if(r)return r;throw l?new Error(`Could NOT open editor for "${a.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${a.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(a,m,c,l){const r=this._notebookStatusBarItemProviders.get(a),i=I.URI.revive(m),s=this._documents.get(i);if(!s||!r)return;const n=s.getCellFromIndex(c);if(!n)return;const o=await r.provideCellStatusBarItems(n.apiCell,l);if(!o)return;const d=new P.DisposableStore,f=this._statusBarCache.add([d]),L=(Array.isArray(o)?o:[o]).map(M=>T.NotebookStatusBarItem.from(M,this._commandsConverter,d));return{cacheId:f,items:L}}$releaseNotebookCellStatusBarItems(a){this._statusBarCache.delete(a)}registerNotebookSerializer(a,m,c,l,r){if((0,D.isFalsyOrWhitespace)(m))throw new Error("viewType cannot be empty or just whitespace");const i=this._handlePool++;return this._notebookSerializer.set(i,c),this._notebookProxy.$registerNotebookSerializer(i,{id:a.identifier,location:a.extensionLocation},m,T.NotebookDocumentContentOptions.from(l),p._convertNotebookRegistrationData(a,r)),(0,P.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(i)})}async $dataToNotebook(a,m,c){const l=this._notebookSerializer.get(a);if(!l)throw new Error("NO serializer found");const r=await l.deserializeNotebook(m.buffer,c);return new b.SerializableObjectWithBuffers(T.NotebookData.from(r))}async $notebookToData(a,m,c){const l=this._notebookSerializer.get(a);if(!l)throw new Error("NO serializer found");const r=await l.serializeNotebook(T.NotebookData.to(m.value),c);return u.VSBuffer.wrap(r)}async $openNotebook(a,m,c,l,r){const{provider:i}=this._getProviderData(a),s=await i.openNotebook(I.URI.revive(m),{backupId:c,untitledDocumentData:l?.buffer},r);return new b.SerializableObjectWithBuffers({metadata:s.metadata??Object.create(null),cells:s.cells.map(T.NotebookCellData.from)})}async $saveNotebook(a,m,c){const l=this.getNotebookDocument(I.URI.revive(m)),{provider:r}=this._getProviderData(a);return await r.saveNotebook(l.apiNotebook,c),!0}async $saveNotebookAs(a,m,c,l){const r=this.getNotebookDocument(I.URI.revive(m)),{provider:i}=this._getProviderData(a);return await i.saveNotebookAs(I.URI.revive(c),r.apiNotebook,l),!0}async $backupNotebook(a,m,c){const l=this.getNotebookDocument(I.URI.revive(m)),r=this._getProviderData(a),i=this._extensionStoragePaths.workspaceValue(r.extension)??this._extensionStoragePaths.globalValue(r.extension),s=String((0,C.hash)([l.uri.toString(),this._backupIdPool++])),n=I.URI.joinPath(i,s),o=await r.provider.backupNotebook(l.apiNotebook,{destination:n},c);return l.updateBackup(o),o.id}_createExtHostEditor(a,m,c){if(this._editors.has(m))throw new Error(`editor with id ALREADY EXSIST: ${m}`);const l=new h.ExtHostNotebookEditor(m,this._notebookEditorsProxy,a,c.visibleRanges.map(T.NotebookRange.to),c.selections.map(T.NotebookRange.to),typeof c.viewColumn=="number"?T.ViewColumn.to(c.viewColumn):void 0);this._editors.set(m,l)}$acceptDocumentAndEditorsDelta(a){if(a.value.removedDocuments)for(const c of a.value.removedDocuments){const l=I.URI.revive(c),r=this._documents.get(l);r&&(r.dispose(),this._documents.delete(l),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:r.apiNotebook.getCells().map(i=>i.document.uri)}),this._onDidCloseNotebookDocument.fire(r.apiNotebook));for(const i of this._editors.values())i.notebookData.uri.toString()===l.toString()&&this._editors.delete(i.id)}if(a.value.addedDocuments){const c=[];for(const l of a.value.addedDocuments){const r=I.URI.revive(l.uri);if(this._documents.has(r))throw new Error(`adding EXISTING notebook ${r} `);const i=new v.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,r,l);c.push(...l.cells.map(s=>v.ExtHostCell.asModelAddData(i.apiNotebook,s))),this._documents.get(r)?.dispose(),this._documents.set(r,i),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:c}),this._onDidOpenNotebookDocument.fire(i.apiNotebook)}}if(a.value.addedEditors)for(const c of a.value.addedEditors){if(this._editors.has(c.id))return;const l=I.URI.revive(c.documentUri),r=this._documents.get(l);r&&this._createExtHostEditor(r,c.id,c)}const m=[];if(a.value.removedEditors)for(const c of a.value.removedEditors){const l=this._editors.get(c);l&&(this._editors.delete(c),this._activeNotebookEditor?.id===l.id&&(this._activeNotebookEditor=void 0),m.push(l))}if(a.value.visibleEditors){this._visibleNotebookEditors=a.value.visibleEditors.map(l=>this._editors.get(l)).filter(l=>!!l);const c=new Set;this._visibleNotebookEditors.forEach(l=>c.add(l.id));for(const l of this._editors.values()){const r=c.has(l.id);l._acceptVisibility(r)}this._visibleNotebookEditors=[...this._editors.values()].map(l=>l).filter(l=>l.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}a.value.newActiveEditor===null?this._activeNotebookEditor=void 0:a.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(a.value.newActiveEditor)),a.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}static _registerApiCommands(a){const m=_.ApiCommandArgument.String.with("notebookType","A notebook type"),c=new _.ApiCommand("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[m,new _.ApiCommandArgument("data","Bytes to convert to data",r=>r instanceof Uint8Array,r=>u.VSBuffer.wrap(r))],new _.ApiCommandResult("Notebook Data",r=>T.NotebookData.to(r.value))),l=new _.ApiCommand("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[m,new _.ApiCommandArgument("NotebookData","Notebook data to convert to bytes",r=>!0,r=>new b.SerializableObjectWithBuffers(T.NotebookData.from(r)))],new _.ApiCommandResult("Bytes",r=>r.buffer));a.registerApiCommand(c),a.registerApiCommand(l)}}e.ExtHostNotebookController=p,p._notebookStatusBarItemProviderHandlePool=0}),define(De[252],Ie([1,0,17,18,21,4,6,25,2,28,14,5,37,16,7,88,215,27,55]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createKernelId=e.ExtHostNotebookKernels=void 0;let g=class{constructor(i,s,n,o,d){this._initData=s,this._extHostNotebook=n,this._commands=o,this._logService=d,this._activeExecutions=new D.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new P.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=i.getProxy(k.MainContext.MainThreadNotebookKernels);const f=new _.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new _.ApiCommandArgument("options","Select kernel options",S=>!0,S=>{if(S&&"notebookEditor"in S&&"id"in S){const L=this._extHostNotebook.getIdByEditor(S.notebookEditor);return{id:S.id,extension:S.extension,notebookEditorId:L}}else if(S&&"notebookEditor"in S){const L=this._extHostNotebook.getIdByEditor(S.notebookEditor);if(L===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${S.notebookEditor.document.uri.toString()}`);return{notebookEditorId:L}}return S})],_.ApiCommandResult.Void);this._commands.registerApiCommand(f)}createNotebookController(i,s,n,o,d,f){for(const J of this._kernelData.values())if(J.controller.id===s&&I.ExtensionIdentifier.equals(i.identifier,J.extensionId))throw new Error(`notebook controller with id '${s}' ALREADY exist`);const S=this._handlePool++,L=this;this._logService.trace(`NotebookController[${S}], CREATED by ${i.identifier.value}, ${s}`);const M=()=>console.warn(`NO execute handler from notebook controller '${N.id}' of extension: '${i.identifier}'`);let B=!1;const R=new y.DisposableStore,U=new P.Emitter,$=new P.Emitter,N={id:l(i.identifier,s),notebookType:n,extensionId:i.identifier,extensionLocation:i.extensionLocation,label:o||i.identifier.value,preloads:f?f.map(T.NotebookRendererScript.from):[]};let X=d??M,z;this._proxy.$addKernel(S,N).catch(J=>{console.log(J),B=!0});let O=0;const x=()=>{if(B)return;const J=++O;Promise.resolve().then(()=>{J===O&&this._proxy.$updateKernel(S,N)})},V=new D.ResourceMap,q={get id(){return s},get notebookType(){return N.notebookType},onDidChangeSelectedNotebooks:U.event,get label(){return N.label},set label(J){N.label=J??i.displayName??i.name,x()},get detail(){return N.detail??""},set detail(J){N.detail=J,x()},get description(){return N.description??""},set description(J){N.description=J,x()},get kind(){return(0,h.checkProposedApiEnabled)(i,"notebookControllerKind"),N.kind??""},set kind(J){(0,h.checkProposedApiEnabled)(i,"notebookControllerKind"),N.kind=J,x()},get supportedLanguages(){return N.supportedLanguages},set supportedLanguages(J){N.supportedLanguages=J,x()},get supportsExecutionOrder(){return N.supportsExecutionOrder??!1},set supportsExecutionOrder(J){N.supportsExecutionOrder=J,x()},get rendererScripts(){return N.preloads?N.preloads.map(T.NotebookRendererScript.to):[]},get executeHandler(){return X},set executeHandler(J){X=J??M},get interruptHandler(){return z},set interruptHandler(J){z=J,N.supportsInterrupt=Boolean(J),x()},createNotebookCellExecution(J){if(B)throw new Error("notebook controller is DISPOSED");if(!V.has(J.notebook.uri))throw L._logService.trace(`NotebookController[${S}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(V.keys()).map(Y=>Y.toString())),new Error(`notebook controller is NOT associated to notebook: ${J.notebook.uri.toString()}`);return L._createNotebookCellExecution(J,l(i.identifier,this.id))},dispose:()=>{B||(this._logService.trace(`NotebookController[${S}], DISPOSED`),B=!0,this._kernelData.delete(S),R.dispose(),U.dispose(),$.dispose(),this._proxy.$removeKernel(S))},updateNotebookAffinity(J,Y){L._proxy.$updateNotebookPriority(S,J.uri,Y)},onDidReceiveMessage:$.event,postMessage(J,Y){return(0,h.checkProposedApiEnabled)(i,"notebookMessaging"),L._proxy.$postMessage(S,Y&&L._extHostNotebook.getIdByEditor(Y),J)},asWebviewUri(J){return(0,h.checkProposedApiEnabled)(i,"notebookMessaging"),(0,b.asWebviewUri)(J,L._initData.remote)}};return this._kernelData.set(S,{extensionId:i.identifier,controller:q,onDidReceiveMessage:$,onDidChangeSelection:U,associatedNotebooks:V}),q}getIdByController(i){for(const[s,n]of this._kernelData)if(n.controller===i)return l(n.extensionId,i.id);return null}$acceptNotebookAssociation(i,s,n){const o=this._kernelData.get(i);if(o){const d=this._extHostNotebook.getNotebookDocument(w.URI.revive(s));n?o.associatedNotebooks.set(d.uri,!0):o.associatedNotebooks.delete(d.uri),this._logService.trace(`NotebookController[${i}] ASSOCIATE notebook`,d.uri.toString(),n),o.onDidChangeSelection.fire({selected:n,notebook:d.apiNotebook})}}async $executeCells(i,s,n){const o=this._kernelData.get(i);if(!o)return;const d=this._extHostNotebook.getNotebookDocument(w.URI.revive(s)),f=[];for(const S of n){const L=d.getCell(S);L&&f.push(L.apiCell)}try{this._logService.trace(`NotebookController[${i}] EXECUTE cells`,d.uri.toString(),f.length),await o.controller.executeHandler.call(o.controller,f,d.apiNotebook,o.controller)}catch(S){this._logService.error(`NotebookController[${i}] execute cells FAILED`,S),console.error(S)}}async $cancelCells(i,s,n){const o=this._kernelData.get(i);if(!o)return;const d=this._extHostNotebook.getNotebookDocument(w.URI.revive(s));if(o.controller.interruptHandler)await o.controller.interruptHandler.call(o.controller,d.apiNotebook);else for(const f of n){const S=d.getCell(f);S&&this._activeExecutions.get(S.uri)?.cancel()}}$acceptKernelMessageFromRenderer(i,s,n){const o=this._kernelData.get(i);if(!o)return;const d=this._extHostNotebook.getEditorById(s);o.onDidReceiveMessage.fire(Object.freeze({editor:d.apiEditor,message:n}))}$cellExecutionChanged(i,s,n){const d=this._extHostNotebook.getNotebookDocument(w.URI.revive(i)).getCell(s);if(d){const f=n?T.NotebookCellExecutionState.to(n):E.NotebookCellExecutionState.Idle;f!==void 0&&this._onDidChangeCellExecutionState.fire({cell:d.apiCell,state:f})}}_createNotebookCellExecution(i,s){if(i.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const o=this._extHostNotebook.getNotebookDocument(i.notebook.uri).getCellFromApiCell(i);if(!o)throw new Error("invalid cell");if(this._activeExecutions.has(o.uri))throw new Error(`duplicate execution for ${o.uri}`);const d=new m(s,o,this._proxy);this._activeExecutions.set(o.uri,d);const f=d.onDidChangeState(()=>{d.state===a.Resolved&&(d.dispose(),f.dispose(),this._activeExecutions.delete(o.uri))});return d.asApiObject()}};g=je([xe(4,A.ILogService)],g),e.ExtHostNotebookKernels=g;var a;(function(r){r[r.Init=0]="Init",r[r.Started=1]="Started",r[r.Resolved=2]="Resolved"})(a||(a={}));class m extends y.Disposable{constructor(i,s,n){super();this._cell=s,this._proxy=n,this._handle=m.HANDLE++,this._onDidChangeState=new P.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=a.Init,this._tokenSource=this._register(new C.CancellationTokenSource),this._collector=new c(10,o=>this.update(o)),this._executionOrder=s.internalMetadata.executionOrder,this._proxy.$createExecution(this._handle,i,this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(i){await this._collector.addItem(i)}async update(i){const s=Array.isArray(i)?i:[i];return this._proxy.$updateExecution(this._handle,new p.SerializableObjectWithBuffers(s))}verifyStateForOutput(){if(this._state===a.Init)throw new Error("Must call start before modifying cell output");if(this._state===a.Resolved)throw new Error("Cannot modify cell output after calling resolve")}cellIndexToHandle(i){let s=this._cell;if(i&&(s=this._cell.notebook.getCellFromApiCell(i)),!s)throw new Error("INVALID cell");return s.handle}validateAndConvertOutputs(i){return i.map(s=>{const n=E.NotebookCellOutput.ensureUniqueMimeTypes(s.items,!0);return n===s.items?T.NotebookCellOutput.from(s):T.NotebookCellOutput.from({items:n,id:s.id,metadata:s.metadata})})}async updateOutputs(i,s,n){const o=this.cellIndexToHandle(s),d=this.validateAndConvertOutputs((0,u.asArray)(i));return this.updateSoon({editType:v.CellExecutionUpdateType.Output,cellHandle:o,append:n,outputs:d})}async updateOutputItems(i,s,n){return i=E.NotebookCellOutput.ensureUniqueMimeTypes((0,u.asArray)(i),!0),this.updateSoon({editType:v.CellExecutionUpdateType.OutputItems,items:i.map(T.NotebookCellOutputItem.from),outputId:s.id,append:n})}asApiObject(){const i=this;return Object.freeze({get token(){return i._tokenSource.token},get cell(){return i._cell.apiCell},get executionOrder(){return i._executionOrder},set executionOrder(n){i._executionOrder=n,i.update([{editType:v.CellExecutionUpdateType.ExecutionState,executionOrder:i._executionOrder}])},start(n){if(i._state===a.Resolved||i._state===a.Started)throw new Error("Cannot call start again");i._state=a.Started,i._onDidChangeState.fire(),i.update({editType:v.CellExecutionUpdateType.ExecutionState,runStartTime:n})},end(n,o){if(i._state===a.Resolved)throw new Error("Cannot call resolve twice");i._state=a.Resolved,i._onDidChangeState.fire(),i._collector.flush(),i._proxy.$completeExecution(i._handle,new p.SerializableObjectWithBuffers({runEndTime:o,lastRunSuccess:n}))},clearOutput(n){return i.verifyStateForOutput(),i.updateOutputs([],n,!1)},appendOutput(n,o){return i.verifyStateForOutput(),i.updateOutputs(n,o,!0)},replaceOutput(n,o){return i.verifyStateForOutput(),i.updateOutputs(n,o,!1)},appendOutputItems(n,o){return i.verifyStateForOutput(),i.updateOutputItems(n,o,!0)},replaceOutputItems(n,o){return i.verifyStateForOutput(),i.updateOutputItems(n,o,!1)}})}}m.HANDLE=0;class c{constructor(i,s){this.delay=i,this.callback=s,this.batch=[],this.startedTimer=Date.now()}addItem(i){return this.batch.push(i),this.currentDeferred||(this.currentDeferred=new t.DeferredPromise,this.startedTimer=Date.now(),(0,t.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const i=this.currentDeferred;this.currentDeferred=void 0;const s=this.batch;return this.batch=[],this.callback(s).finally(()=>i.complete())}}function l(r,i){return`${r.value}/${i}`}e.createKernelId=l}),define(De[253],Ie([1,0,4,5,131]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class P{constructor(D,w){this._extHostNotebook=w,this._rendererMessageEmitters=new Map,this.proxy=D.getProxy(t.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(D,w,I){const A=this._extHostNotebook.getEditorById(D);this._rendererMessageEmitters.get(w)?.fire({editor:A.apiEditor,message:I})}createRendererMessaging(D,w){if(!D.contributes?.notebookRenderer?.some(A=>A.id===w))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${w})`);return{onDidReceiveMessage:(A,k,_)=>this.getOrCreateEmitterFor(w).event(A,k,_),postMessage:(A,k)=>{C.ExtHostNotebookEditor.apiEditorsToExtHost.has(A)&&([A,k]=[k,A]);const _=k&&C.ExtHostNotebookEditor.apiEditorsToExtHost.get(k);return this.proxy.$postMessage(_?.id,w,A)}}}getOrCreateEmitterFor(D){let w=this._rendererMessageEmitters.get(D);return w||(w=new u.Emitter({onLastListenerRemove:()=>{w?.dispose(),this._rendererMessageEmitters.delete(D)}}),this._rendererMessageEmitters.set(D,w),w)}}e.ExtHostNotebookRenderers=P}),define(De[254],Ie([1,0,21,4,6,5,2,7,10,17,41,86]),function(Z,e,u,t,C,P,y,D,w,I,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function _(T,E,b){const v=T.getProxy(P.MainContext.MainThreadQuickOpen);class h{constructor(s,n){this._sessions=new Map,this._instances=0,this._workspace=s,this._commands=n}showQuickPick(s,n,o=u.CancellationToken.None){this._onDidSelectItem=void 0;const d=Promise.resolve(s),f=++this._instances,S=v.$show(f,{title:n?.title,placeHolder:n?.placeHolder,matchOnDescription:n?.matchOnDescription,matchOnDetail:n?.matchOnDetail,ignoreFocusLost:n?.ignoreFocusOut,canPickMany:n?.canPickMany},o),L={},M=S.then(()=>L);return Promise.race([M,d]).then(B=>{if(B!==L)return d.then(R=>{const U=[];for(let $=0;$<R.length;$++){const N=R[$];typeof N=="string"?U.push({label:N,handle:$}):N.kind===D.QuickPickItemKind.Separator?U.push({type:"separator",label:N.label}):U.push({label:N.label,description:N.description,detail:N.detail,picked:N.picked,alwaysShow:N.alwaysShow,handle:$})}return n&&typeof n.onDidSelectItem=="function"&&(this._onDidSelectItem=$=>{n.onDidSelectItem(R[$])}),v.$setItems(f,U),S.then($=>{if(typeof $=="number")return R[$];if(Array.isArray($))return $.map(N=>R[N])})})}).then(void 0,B=>{if(!(0,w.isCancellationError)(B))return v.$setError(f,B),Promise.reject(B)})}$onItemSelected(s){this._onDidSelectItem?.(s)}showInput(s,n=u.CancellationToken.None){return this._validateInput=s?.validateInput,v.$input(s,typeof this._validateInput=="function",n).then(void 0,o=>{if(!(0,w.isCancellationError)(o))return Promise.reject(o)})}async $validateInput(s){if(!this._validateInput)return;const n=await this._validateInput(s);if(!n||typeof n=="string")return n;let o;switch(n.severity){case D.InputBoxValidationSeverity.Info:o=A.default.Info;break;case D.InputBoxValidationSeverity.Warning:o=A.default.Warning;break;case D.InputBoxValidationSeverity.Error:o=A.default.Error;break;default:o=n.message?A.default.Error:A.default.Ignore;break}return{content:n.message,severity:o}}async showWorkspaceFolderPick(s,n=u.CancellationToken.None){const o=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[s]);if(!o)return;const d=await this._workspace.getWorkspaceFolders2();if(!!d)return d.find(f=>f.uri.toString()===o.uri.toString())}createQuickPick(s){const n=new l(s,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}createInputBox(s){const n=new r(s,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}$onDidChangeValue(s,n){this._sessions.get(s)?._fireDidChangeValue(n)}$onDidAccept(s){this._sessions.get(s)?._fireDidAccept()}$onDidChangeActive(s,n){const o=this._sessions.get(s);o instanceof l&&o._fireDidChangeActive(n)}$onDidChangeSelection(s,n){const o=this._sessions.get(s);o instanceof l&&o._fireDidChangeSelection(n)}$onDidTriggerButton(s,n){this._sessions.get(s)?._fireDidTriggerButton(n)}$onDidTriggerItemButton(s,n,o){const d=this._sessions.get(s);d instanceof l&&d._fireDidTriggerItemButton(n,o)}$onDidHide(s){this._sessions.get(s)?._fireDidHide()}}class p{constructor(s,n){this._extensionId=s,this._onDidDispose=n,this._id=l._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new t.Emitter,this._onDidChangeValueEmitter=new t.Emitter,this._onDidTriggerButtonEmitter=new t.Emitter,this._onDidHideEmitter=new t.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(s){this._title=s,this.update({title:s})}get step(){return this._steps}set step(s){this._steps=s,this.update({step:s})}get totalSteps(){return this._totalSteps}set totalSteps(s){this._totalSteps=s,this.update({totalSteps:s})}get enabled(){return this._enabled}set enabled(s){this._enabled=s,this.update({enabled:s})}get busy(){return this._busy}set busy(s){this._busy=s,this.update({busy:s})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(s){this._ignoreFocusOut=s,this.update({ignoreFocusOut:s})}get value(){return this._value}set value(s){this._value=s,this.update({value:s})}get placeholder(){return this._placeholder}set placeholder(s){this._placeholder=s,this.update({placeholder:s})}get buttons(){return this._buttons}set buttons(s){this._buttons=s.slice(),this._handlesToButtons.clear(),s.forEach((n,o)=>{const d=n===D.QuickInputButtons.Back?-1:o;this._handlesToButtons.set(d,n)}),this.update({buttons:s.map((n,o)=>({...c(n),tooltip:n.tooltip,handle:n===D.QuickInputButtons.Back?-1:o}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(s){this._value=s,this._onDidChangeValueEmitter.fire(s)}_fireDidTriggerButton(s){const n=this._handlesToButtons.get(s);n&&this._onDidTriggerButtonEmitter.fire(n)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,C.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),v.$dispose(this._id))}update(s){if(!this._disposed){for(const n of Object.keys(s)){const o=s[n];this._pendingUpdate[n]=o===void 0?null:o}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){v.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}p._nextId=1;function g(i){if(i instanceof D.ThemeIcon)return{id:i.id};const s=m(i),n=a(i);return{dark:typeof s=="string"?y.URI.file(s):s,light:typeof n=="string"?y.URI.file(n):n}}function a(i){return typeof i=="object"&&"light"in i?i.light:i}function m(i){return typeof i=="object"&&"dark"in i?i.dark:i}function c(i){const s=g(i.iconPath);let n,o;return"id"in s?o=k.ThemeIcon.asClassName(s):n=s,{iconPath:n,iconClass:o}}class l extends p{constructor(s,n){super(s.identifier,n);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new t.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new t.Emitter,this._onDidTriggerItemButtonEmitter=new t.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(s){this._items=s.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),s.forEach((o,d)=>{this._handlesToItems.set(d,o),this._itemsToHandles.set(o,d)});const n=[];for(let o=0;o<s.length;o++){const d=s[o];d.kind===D.QuickPickItemKind.Separator?n.push({type:"separator",label:d.label}):n.push({handle:o,label:d.label,description:d.description,detail:d.detail,picked:d.picked,alwaysShow:d.alwaysShow,buttons:d.buttons?.map((f,S)=>({...c(f),tooltip:f.tooltip,handle:S}))})}this.update({items:n})}get canSelectMany(){return this._canSelectMany}set canSelectMany(s){this._canSelectMany=s,this.update({canSelectMany:s})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(s){this._matchOnDescription=s,this.update({matchOnDescription:s})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(s){this._matchOnDetail=s,this.update({matchOnDetail:s})}get sortByLabel(){return this._sortByLabel}set sortByLabel(s){this._sortByLabel=s,this.update({sortByLabel:s})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(s){this._keepScrollPosition=s,this.update({keepScrollPosition:s})}get activeItems(){return this._activeItems}set activeItems(s){this._activeItems=s.filter(n=>this._itemsToHandles.has(n)),this.update({activeItems:this._activeItems.map(n=>this._itemsToHandles.get(n))})}get selectedItems(){return this._selectedItems}set selectedItems(s){this._selectedItems=s.filter(n=>this._itemsToHandles.has(n)),this.update({selectedItems:this._selectedItems.map(n=>this._itemsToHandles.get(n))})}_fireDidChangeActive(s){const n=(0,I.coalesce)(s.map(o=>this._handlesToItems.get(o)));this._activeItems=n,this._onDidChangeActiveEmitter.fire(n)}_fireDidChangeSelection(s){const n=(0,I.coalesce)(s.map(o=>this._handlesToItems.get(o)));this._selectedItems=n,this._onDidChangeSelectionEmitter.fire(n)}_fireDidTriggerItemButton(s,n){const o=this._handlesToItems.get(s);if(!o||!o.buttons||!o.buttons.length)return;const d=o.buttons[n];d&&this._onDidTriggerItemButtonEmitter.fire({button:d,item:o})}}class r extends p{constructor(s,n){super(s.identifier,n);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(s){this._password=s,this.update({password:s})}get prompt(){return this._prompt}set prompt(s){this._prompt=s,this.update({prompt:s})}get validationMessage(){return this._validationMessage}set validationMessage(s){this._validationMessage=s,s?typeof s=="string"?this.update({validationMessage:s,severity:A.default.Error}):this.update({validationMessage:s.message,severity:s.severity??A.default.Error}):this.update({validationMessage:void 0,severity:A.default.Ignore})}}return new h(E,b)}e.createExtHostQuickOpen=_});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[255],Ie([1,0,2,4,58,6,18,5,17,103,14,28,86,16,27]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E){"use strict";var b,v;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function h(d){if(d)return typeof d.iconPath=="string"?u.URI.file(d.iconPath):u.URI.isUri(d.iconPath)||_.ThemeIcon.isThemeIcon(d.iconPath)?d.iconPath:void 0}function p(d,f){if(!d.iconPath&&!f.iconPath)return 0;if(d.iconPath){if(!f.iconPath)return 1}else return-1;const S=typeof d.iconPath=="string"?d.iconPath:u.URI.isUri(d.iconPath)?d.iconPath.fsPath:d.iconPath.id,L=typeof f.iconPath=="string"?f.iconPath:u.URI.isUri(f.iconPath)?f.iconPath.fsPath:f.iconPath.id;return(0,I.comparePaths)(S,L)}function g(d,f){let S=0;if(d.strikeThrough!==f.strikeThrough)return d.strikeThrough?1:-1;if(d.faded!==f.faded)return d.faded?1:-1;if(d.tooltip!==f.tooltip)return(d.tooltip||"").localeCompare(f.tooltip||"");if(S=p(d,f),S!==0)return S;if(d.light&&f.light)S=p(d.light,f.light);else{if(d.light)return 1;if(f.light)return-1}if(S!==0)return S;if(d.dark&&f.dark)S=p(d.dark,f.dark);else{if(d.dark)return 1;if(f.dark)return-1}return S}function a(d,f){if(d.command!==f.command)return d.command<f.command?-1:1;if(d.title!==f.title)return d.title<f.title?-1:1;if(d.tooltip!==f.tooltip){if(d.tooltip!==void 0&&f.tooltip!==void 0)return d.tooltip<f.tooltip?-1:1;if(d.tooltip!==void 0)return 1;if(f.tooltip!==void 0)return-1}if(d.arguments===f.arguments)return 0;if(d.arguments)if(f.arguments){if(d.arguments.length!==f.arguments.length)return d.arguments.length-f.arguments.length}else return 1;else return-1;for(let S=0;S<d.arguments.length;S++){const L=d.arguments[S],M=f.arguments[S];if(L!==M)return L<M?-1:1}return 0}function m(d,f){let S=(0,I.comparePaths)(d.resourceUri.fsPath,f.resourceUri.fsPath,!0);if(S!==0)return S;if(d.command&&f.command)S=a(d.command,f.command);else{if(d.command)return 1;if(f.command)return-1}if(S!==0)return S;if(d.decorations&&f.decorations)S=g(d.decorations,f.decorations);else{if(d.decorations)return 1;if(f.decorations)return-1}return S}function c(d,f){for(let S=0;S<d.length;S++)if(d[S]!==f[S])return!1;return!0}function l(d,f){return d.command===f.command&&d.title===f.title&&d.tooltip===f.tooltip&&(d.arguments&&f.arguments?c(d.arguments,f.arguments):d.arguments===f.arguments)}function r(d,f){return(0,w.equals)(d,f,l)}class i{constructor(f,S,L){this._extension=f,this._sourceControlHandle=L,b.set(this,void 0),this._value="",this._onDidChange=new t.Emitter,this._placeholder="",this._enabled=!0,this._visible=!0,et(this,b,S,"f")}get value(){return this._value}set value(f){f=f??"",Me(this,b,"f").$setInputBoxValue(this._sourceControlHandle,f),this.updateValue(f)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(f){Me(this,b,"f").$setInputBoxPlaceholder(this._sourceControlHandle,f),this._placeholder=f}get validateInput(){return(0,E.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(f){if((0,E.checkProposedApiEnabled)(this._extension,"scmValidation"),f&&typeof f!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=f,Me(this,b,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!f)}get enabled(){return this._enabled}set enabled(f){f=!!f,this._enabled!==f&&(this._enabled=f,Me(this,b,"f").$setInputBoxEnablement(this._sourceControlHandle,f))}get visible(){return this._visible}set visible(f){f=!!f,this._visible!==f&&(this._visible=f,Me(this,b,"f").$setInputBoxVisibility(this._sourceControlHandle,f))}showValidationMessage(f,S){(0,E.checkProposedApiEnabled)(this._extension,"scmValidation"),Me(this,b,"f").$showValidationMessage(this._sourceControlHandle,f,S)}$onInputBoxValueChange(f){this.updateValue(f)}updateValue(f){this._value=f,this._onDidChange.fire(f)}}e.ExtHostSCMInputBox=i,b=new WeakMap;class s{constructor(f,S,L,M,B){this._proxy=f,this._commands=S,this._sourceControlHandle=L,this._id=M,this._label=B,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new t.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=s._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(f){this._label=f,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,f)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(f){this._hideWhenEmpty=f,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(f){this._resourceStates=[...f],this._onDidUpdateResourceStates.fire()}getResourceState(f){return this._resourceStatesMap.get(f)}$executeResourceCommand(f,S){const L=this._resourceStatesCommandsMap.get(f);return L?(0,y.asPromise)(()=>this._commands.executeCommand(L.command,...L.arguments||[],S)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const f=[...this._resourceStates].sort(m),L=(0,w.sortedDiff)(this._resourceSnapshot,f,m).map(R=>{const U=R.toInsert.map($=>{const N=this._resourceHandlePool++;this._resourceStatesMap.set(N,$);const X=$.resourceUri;let z;if($.command)if($.command.command==="vscode.open"||$.command.command==="vscode.diff"){const pe=new P.DisposableStore;z=this._commands.converter.toInternal($.command,pe),this._resourceStatesDisposablesMap.set(N,pe)}else this._resourceStatesCommandsMap.set(N,$.command);const O=h($.decorations),x=$.decorations&&h($.decorations.light)||O,V=$.decorations&&h($.decorations.dark)||O,q=[x,V],J=$.decorations&&$.decorations.tooltip||"",Y=$.decorations&&!!$.decorations.strikeThrough,he=$.decorations&&!!$.decorations.faded,ve=$.contextValue||"";return{rawResource:[N,X,q,J,Y,he,ve,z],handle:N}});return{start:R.start,deleteCount:R.deleteCount,toInsert:U}}),M=L.map(({start:R,deleteCount:U,toInsert:$})=>[R,U,$.map(N=>N.rawResource)]),B=L.reverse();for(const{start:R,deleteCount:U,toInsert:$}of B){const N=$.map(z=>z.handle),X=this._handlesSnapshot.splice(R,U,...N);for(const z of X)this._resourceStatesMap.delete(z),this._resourceStatesCommandsMap.delete(z),this._resourceStatesDisposablesMap.get(z)?.dispose(),this._resourceStatesDisposablesMap.delete(z)}return this._resourceSnapshot=f,M}dispose(){this._disposed=!0,this._onDidDispose.fire()}}s._handlePool=0;class n{constructor(f,S,L,M,B,R){this._extension=f,this._commands=L,this._id=M,this._label=B,this._rootUri=R,v.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new P.MutableDisposable,this._statusBarDisposables=new P.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new t.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=n._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,et(this,v,S,"f"),this._inputBox=new i(f,Me(this,v,"f"),this.handle),Me(this,v,"f").$registerSourceControl(this.handle,M,B,R)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(f){this._count!==f&&(this._count=f,Me(this,v,"f").$updateSourceControl(this.handle,{count:f}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(f){this._quickDiffProvider=f,Me(this,v,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!f})}get commitTemplate(){return this._commitTemplate}set commitTemplate(f){f!==this._commitTemplate&&(this._commitTemplate=f,Me(this,v,"f").$updateSourceControl(this.handle,{commitTemplate:f}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(f){this._acceptInputDisposables.value=new P.DisposableStore,this._acceptInputCommand=f;const S=this._commands.converter.toInternal(f,this._acceptInputDisposables.value);Me(this,v,"f").$updateSourceControl(this.handle,{acceptInputCommand:S})}get actionButton(){return(0,E.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(f){(0,E.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new P.DisposableStore,this._actionButton=f;const S=f!==void 0?{command:this._commands.converter.toInternal(f.command,this._actionButtonDisposables.value),secondaryCommands:f.secondaryCommands?.map(L=>L.map(M=>this._commands.converter.toInternal(M,this._actionButtonDisposables.value))),description:f.description,enabled:f.enabled}:void 0;Me(this,v,"f").$updateSourceControl(this.handle,{actionButton:S??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(f){if(this._statusBarCommands&&f&&r(this._statusBarCommands,f))return;this._statusBarDisposables.value=new P.DisposableStore,this._statusBarCommands=f;const S=(f||[]).map(L=>this._commands.converter.toInternal(L,this._statusBarDisposables.value));Me(this,v,"f").$updateSourceControl(this.handle,{statusBarCommands:S})}get selected(){return this._selected}createResourceGroup(f,S){const L=new s(Me(this,v,"f"),this._commands,this.handle,f,S),M=t.Event.once(L.onDidDispose)(()=>this.createdResourceGroups.delete(L));return this.createdResourceGroups.set(L,M),this.eventuallyAddResourceGroups(),L}eventuallyAddResourceGroups(){const f=[],S=[];for(const[L,M]of this.createdResourceGroups){M.dispose();const B=L.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(L),this.eventuallyUpdateResourceStates()});t.Event.once(L.onDidDispose)(()=>{this.updatedResourceGroups.delete(L),B.dispose(),this._groups.delete(L.handle),Me(this,v,"f").$unregisterGroup(this.handle,L.handle)}),f.push([L.handle,L.id,L.label,L.features]);const R=L._takeResourceStateSnapshot();R.length>0&&S.push([L.handle,R]),this._groups.set(L.handle,L)}Me(this,v,"f").$registerGroups(this.handle,f,S),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const f=[];this.updatedResourceGroups.forEach(S=>{const L=S._takeResourceStateSnapshot();L.length!==0&&f.push([S.handle,L])}),f.length>0&&Me(this,v,"f").$spliceResourceStates(this.handle,f),this.updatedResourceGroups.clear()}getResourceGroup(f){return this._groups.get(f)}setSelectionState(f){this._selected=f,this._onDidChangeSelection.fire(f)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(f=>f.dispose()),Me(this,v,"f").$unregisterSourceControl(this.handle)}}v=new WeakMap,n._handlePool=0,je([(0,C.debounce)(100)],n.prototype,"eventuallyAddResourceGroups",null),je([(0,C.debounce)(100)],n.prototype,"eventuallyUpdateResourceStates",null);let o=class Jn{constructor(f,S,L){this._commands=S,this.logService=L,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new t.Emitter,this._proxy=f.getProxy(D.MainContext.MainThreadSCM),this._telemetry=f.getProxy(D.MainContext.MainThreadTelemetry),S.registerArgumentProcessor({processArgument:M=>{if(M&&M.$mid===3){const B=this._sourceControls.get(M.sourceControlHandle);if(!B)return M;const R=B.getResourceGroup(M.groupHandle);return R?R.getResourceState(M.handle):M}else if(M&&M.$mid===4){const B=this._sourceControls.get(M.sourceControlHandle);return B?B.getResourceGroup(M.groupHandle):M}else if(M&&M.$mid===5){const B=this._sourceControls.get(M.handle);return B||M}return M}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(f,S,L,M){this.logService.trace("ExtHostSCM#createSourceControl",f.identifier.value,S,L,M),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:f.identifier.value});const B=Jn._handlePool++,R=new n(f,this._proxy,this._commands,S,L,M);this._sourceControls.set(B,R);const U=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(f.identifier))||[];return U.push(R),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(f.identifier),U),R}getLastInputBox(f){this.logService.trace("ExtHostSCM#getLastInputBox",f.identifier.value);const S=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(f.identifier)),L=S&&S[S.length-1];return L&&L.inputBox}$provideOriginalResource(f,S,L){const M=u.URI.revive(S);this.logService.trace("ExtHostSCM#$provideOriginalResource",f,M.toString());const B=this._sourceControls.get(f);return!B||!B.quickDiffProvider||!B.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,y.asPromise)(()=>B.quickDiffProvider.provideOriginalResource(M,L)).then(R=>R||null)}$onInputBoxValueChange(f,S){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",f);const L=this._sourceControls.get(f);return L&&L.inputBox.$onInputBoxValueChange(S),Promise.resolve(void 0)}$executeResourceCommand(f,S,L,M){this.logService.trace("ExtHostSCM#$executeResourceCommand",f,S,L);const B=this._sourceControls.get(f);if(!B)return Promise.resolve(void 0);const R=B.getResourceGroup(S);return R?R.$executeResourceCommand(L,M):Promise.resolve(void 0)}$validateInput(f,S,L){this.logService.trace("ExtHostSCM#$validateInput",f);const M=this._sourceControls.get(f);return!M||!M.inputBox.validateInput?Promise.resolve(void 0):(0,y.asPromise)(()=>M.inputBox.validateInput(S,L)).then(B=>{if(!B)return Promise.resolve(void 0);const R=T.MarkdownString.fromStrict(B.message);return R?Promise.resolve([R,B.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(f){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",f),f!==void 0&&this._sourceControls.get(f)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=f,Promise.resolve(void 0)}};o._handlePool=0,o=je([xe(2,A.ILogService)],o),e.ExtHostSCM=o}),define(De[90],Ie([1,0,5,4,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class P{constructor(D){this._onDidChangePassword=new t.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=D.getProxy(u.MainContext.MainThreadSecretState)}async $onDidChangePassword(D){this._onDidChangePassword.fire(D)}get(D,w){return this._proxy.$getPassword(D,w)}store(D,w,I){return this._proxy.$setPassword(D,w,I)}delete(D,w){return this._proxy.$deletePassword(D,w)}}e.ExtHostSecretState=P,e.IExtHostSecretState=(0,C.createDecorator)("IExtHostSecretState")});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[256],Ie([1,0,7,5,172,6,16,13]),function(Z,e,u,t,C,P,y,D){"use strict";var w,I;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class A{constructor(E,b,v,h,p=u.StatusBarAlignment.Left,g){w.set(this,void 0),I.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new P.DisposableStore,et(this,w,E,"f"),et(this,I,b,"f"),this._entryId=A.ID_GEN++,this._extension=v,this._id=h,this._alignment=p,this._priority=this.validatePriority(g)}validatePriority(E){if(!!(0,D.isNumber)(E))return E===Number.POSITIVE_INFINITY?Number.MAX_VALUE:E===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:E}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(E){this._text=E,this.update()}set name(E){this._name=E,this.update()}set tooltip(E){this._tooltip=E,this.update()}set color(E){this._color=E,this.update()}set backgroundColor(E){E&&!A.ALLOWED_BACKGROUND_COLORS.has(E.id)&&(E=void 0),this._backgroundColor=E,this.update()}set command(E){this._command?.fromApi!==E&&(this._internalCommandRegistration.clear(),typeof E=="string"?this._command={fromApi:E,internal:Me(this,I,"f").toInternal({title:"",command:E},this._internalCommandRegistration)}:E?this._command={fromApi:E,internal:Me(this,I,"f").toInternal(E,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(E){this._accessibilityInformation=E,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Me(this,w,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let E;this._extension?this._id?E=`${this._extension.identifier.value}.${this._id}`:E=this._extension.identifier.value:E=this._id;let b;this._name?b=this._name:b=(0,C.localize)(0,null,this._extension.displayName||this._extension.name);let v=this._color;this._backgroundColor&&(v=A.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const h=y.MarkdownString.fromStrict(this._tooltip);Me(this,w,"f").$setEntry(this._entryId,E,b,this._text,h,this._command?.internal,v,this._backgroundColor,this._alignment===u.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=A,w=new WeakMap,I=new WeakMap,A.ID_GEN=0,A.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new u.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new u.ThemeColor("statusBarItem.warningForeground")]]);class k{constructor(E){this._messages=[],this._item=E.createStatusBarEntry(void 0,"status.extensionMessage",u.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,C.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(E){const b={message:E};return this._messages.unshift(b),this._update(),new u.Disposable(()=>{const v=this._messages.indexOf(b);v>=0&&(this._messages.splice(v,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class _{constructor(E,b){this._proxy=E.getProxy(t.MainContext.MainThreadStatusBar),this._commands=b,this._statusMessage=new k(this)}createStatusBarEntry(E,b,v,h){return new A(this._proxy,this._commands,E,b,v,h)}setStatusBarMessage(E,b){const v=this._statusMessage.setMessage(E);let h;return typeof b=="number"?h=setTimeout(()=>v.dispose(),b):typeof b!="undefined"&&b.then(()=>v.dispose(),()=>v.dispose()),new u.Disposable(()=>{v.dispose(),clearTimeout(h)})}}e.ExtHostStatusBar=_}),define(De[91],Ie([1,0,5,4,3]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class P{constructor(D){this._onDidChangeStorage=new t.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=D.getProxy(u.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(D,w){this._proxy.$registerExtensionStorageKeysToSync(D,w)}initializeExtensionStorage(D,w,I){return this._proxy.$initializeExtensionStorage(D,w).then(A=>A||I)}setValue(D,w,I){return this._proxy.$setValue(D,w,I)}$acceptValue(D,w,I){this._onDidChangeStorage.fire({shared:D,key:w,value:I})}}e.ExtHostStorage=P,e.IExtHostStorage=(0,C.createDecorator)("IExtHostStorage")}),define(De[69],Ie([1,0,3,26,14,68,2]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,u.createDecorator)("IExtensionStoragePaths");let D=class{constructor(I,A,k){this._logService=A,this._extHostFileSystem=k,this._workspace=I.workspace??void 0,this._environment=I.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(_=>this._value=_)}async _getWorkspaceStorageURI(I){return y.URI.joinPath(this._environment.workspaceStorageHome,I)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const I=this._workspace.id,A=await this._getWorkspaceStorageURI(I);try{return await this._extHostFileSystem.value.stat(A),this._logService.trace("[ExtHostStorage] storage dir already exists",A),A}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",A),await this._extHostFileSystem.value.createDirectory(A),await this._extHostFileSystem.value.writeFile(y.URI.joinPath(A,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:y.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),A}catch(k){this._logService.error("[ExtHostStorage]",k);return}}workspaceValue(I){if(this._value)return y.URI.joinPath(this._value,I.identifier.value)}globalValue(I){return y.URI.joinPath(this._environment.globalStorageHome,I.identifier.value.toLowerCase())}onWillDeactivateAll(){}};D=je([xe(0,t.IExtHostInitDataService),xe(1,C.ILogService),xe(2,P.IExtHostConsumerFileSystem)],D),e.ExtensionStoragePaths=D}),define(De[137],Ie([1,0,3,5,15]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTelemetryLogService=e.IExtHostTelemetryLogService=void 0,e.IExtHostTelemetryLogService=(0,u.createDecorator)("IExtHostTelemetryLogService");let P=class{constructor(D){this._telemetryShape=D.getProxy(t.MainContext.MainThreadTelemetry)}logToTelemetryOutputChannel(D,w,I){this._telemetryShape.$logTelemetryToOutputChannel(`${D.identifier.value}/${w}`,I)}};P=je([xe(0,C.IExtHostRpcService)],P),e.ExtHostTelemetryLogService=P}),define(De[38],Ie([1,0,4,5,3,2,15,6,7,173,10,216,21,34,200,86,13,18]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,C.createDecorator)("IExtHostTerminalService");class p{constructor(n,o,d,f){this._proxy=n,this._id=o,this._creationOptions=d,this._name=f,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(L=>this._pidPromiseComplete=L);const S=this;this.value={get name(){return S._name||""},get processId(){return S._pidPromise},get creationOptions(){return S._creationOptions},get exitStatus(){return S._exitStatus},get state(){return S._state},sendText(L,M=!0){S._checkDisposed(),S._proxy.$sendText(S._id,L,M)},show(L){S._checkDisposed(),S._proxy.$show(S._id,L)},hide(){S._checkDisposed(),S._proxy.$hide(S._id)},dispose(){S._disposed||(S._disposed=!0,S._proxy.$dispose(S._id))},get dimensions(){if(!(S._cols===void 0||S._rows===void 0))return{columns:S._cols,rows:S._rows}}}}async create(n,o){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:n.name,shellPath:(0,v.withNullAsUndefined)(n.shellPath),shellArgs:(0,v.withNullAsUndefined)(n.shellArgs),cwd:(0,v.withNullAsUndefined)(n.cwd),env:(0,v.withNullAsUndefined)(n.env),icon:(0,v.withNullAsUndefined)(r(n.iconPath)),color:b.ThemeColor.isThemeColor(n.color)?n.color.id:void 0,initialText:(0,v.withNullAsUndefined)(n.message),strictEnv:(0,v.withNullAsUndefined)(n.strictEnv),hideFromUser:(0,v.withNullAsUndefined)(n.hideFromUser),isFeatureTerminal:(0,v.withNullAsUndefined)(o?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,v.withNullAsUndefined)(o?.useShellEnvironment),location:o?.location||this._serializeParentTerminal(n.location,o?.resolvedExtHostIdentifier),isTransient:(0,v.withNullAsUndefined)(n.isTransient)})}async createExtensionTerminal(n,o,d,f){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:d,color:b.ThemeColor.isThemeColor(f)?f.id:void 0,location:this._serializeParentTerminal(n,o),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(n,o){return typeof n=="object"?"parentTerminal"in n&&n.parentTerminal&&o?{parentTerminal:o}:"viewColumn"in n?{viewColumn:n.viewColumn,preserveFocus:n.preserveFocus}:void 0:n}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(n){this._name=n}setExitStatus(n,o){this._exitStatus=Object.freeze({code:n,reason:o})}setDimensions(n,o){return n===this._cols&&o===this._rows||n===0||o===0?!1:(this._cols=n,this._rows=o,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(n){this._pidPromiseComplete?(this._pidPromiseComplete(n),this._pidPromiseComplete=void 0):this._pidPromise.then(o=>{o!==n&&(this._pidPromise=Promise.resolve(n))})}}e.ExtHostTerminal=p;class g{constructor(n){this._pty=n,this.id=0,this.shouldPersist=!1,this._onProcessData=new u.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new u.Emitter,this._onDidChangeProperty=new u.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new u.Emitter,this.onProcessExit=this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}refreshProperty(n){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${n}`)}updateProperty(n,o){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${n}, value: ${o}`)}async start(){}shutdown(){this._pty.close()}input(n){this._pty.handleInput?.(n)}resize(n,o){this._pty.setDimensions?.({columns:n,rows:o})}async processBinary(n){}acknowledgeDataEvent(n){}async setUnicodeVersion(n){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(n){this._pty.onDidWrite(o=>this._onProcessData.fire(o)),this._pty.onDidClose?.((o=void 0)=>{this._onProcessExit.fire(o===void 0?void 0:o)}),this._pty.onDidOverrideDimensions?.(o=>{o&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:o.columns,rows:o.rows}})}),this._pty.onDidChangeName?.(o=>{this._onDidChangeProperty.fire({type:"title",value:o})}),this._pty.open(n||void 0),n&&this._pty.setDimensions?.(n),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=g;let a=1,m=class extends D.Disposable{constructor(n,o){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new u.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new u.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new u.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new u.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new u.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=o.getProxy(t.MainContext.MainThreadTerminalService),this._bufferer=new E.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new u.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(n),this._register({dispose:()=>{for(const[d,f]of this._terminalProcesses)f.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(n=>n.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(n){return(n?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(n){return(n?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(n,o){const d=new p(this._proxy,(0,T.generateUuid)(),n,n.name),f=new g(n.pty);return d.createExtensionTerminal(n.location,this._serializeParentTerminal(n,o).resolvedExtHostIdentifier,r(n.iconPath),i(n.color)).then(S=>{const L=this._setupExtHostProcessListeners(S,f);this._terminalProcessDisposables[S]=L}),this._terminals.push(d),d.value}_serializeParentTerminal(n,o){if(o=o||{},n.location&&typeof n.location=="object"&&"parentTerminal"in n.location){const d=n.location.parentTerminal;if(d){const f=this._terminals.find(S=>S.value===d);f&&(o.resolvedExtHostIdentifier=f._id)}}else n.location&&typeof n.location!="object"?o.location=n.location:o.location&&typeof o.location=="object"&&"splitActiveTerminal"in o.location&&(o.location={splitActiveTerminal:!0});return o}attachPtyToTerminal(n,o){if(!this._getTerminalById(n))throw new Error(`Cannot resolve terminal with id ${n} for virtual process`);const f=new g(o),S=this._setupExtHostProcessListeners(n,f);this._terminalProcessDisposables[n]=S}async $acceptActiveTerminalChanged(n){const o=this._activeTerminal;if(n===null){this._activeTerminal=void 0,o!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const d=this._getTerminalById(n);d&&(this._activeTerminal=d,o!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(n,o){const d=this._getTerminalById(n);d&&this._onDidWriteTerminalData.fire({terminal:d.value,data:o})}async $acceptTerminalDimensions(n,o,d){const f=this._getTerminalById(n);f&&f.setDimensions(o,d)&&this._onDidChangeTerminalDimensions.fire({terminal:f.value,dimensions:f.value.dimensions})}async $acceptTerminalMaximumDimensions(n,o,d){this._terminalProcesses.get(n)?.resize(o,d)}async $acceptTerminalTitleChange(n,o){const d=this._getTerminalById(n);d&&(d.name=o)}async $acceptTerminalClosed(n,o,d){const f=this._getTerminalObjectIndexById(this._terminals,n);if(f!==null){const S=this._terminals.splice(f,1)[0];S.setExitStatus(o,d),this._onDidCloseTerminal.fire(S.value)}}$acceptTerminalOpened(n,o,d,f){if(o){const M=this._getTerminalObjectIndexById(this._terminals,o);if(M!==null){this._terminals[M]._id=n,this._onDidOpenTerminal.fire(this.terminals[M]),this._terminals[M].isOpen=!0;return}}const S={name:f.name,shellPath:f.executable,shellArgs:f.args,cwd:typeof f.cwd=="string"?f.cwd:P.URI.revive(f.cwd),env:f.env,hideFromUser:f.hideFromUser},L=new p(this._proxy,n,S,d);this._terminals.push(L),this._onDidOpenTerminal.fire(L.value),L.isOpen=!0}async $acceptTerminalProcessId(n,o){this._getTerminalById(n)?._setProcessId(o)}async $startExtensionTerminal(n,o){const d=this._getTerminalById(n);if(!d)return{message:(0,I.localize)(0,null,n)};d.isOpen||await new Promise(S=>{const L=this.onDidOpenTerminal(async M=>{M===d.value&&(L.dispose(),S())})});const f=this._terminalProcesses.get(n);f?f.startSendingEvents(o):this._extensionTerminalAwaitingStart[n]={initialDimensions:o}}_setupExtHostProcessListeners(n,o){const d=new D.DisposableStore;d.add(o.onProcessReady(S=>this._proxy.$sendProcessReady(n,S.pid,S.cwd))),d.add(o.onDidChangeProperty(S=>this._proxy.$sendProcessProperty(n,S))),this._bufferer.startBuffering(n,o.onProcessData),d.add(o.onProcessExit(S=>this._onProcessExit(n,S))),this._terminalProcesses.set(n,o);const f=this._extensionTerminalAwaitingStart[n];return f&&o instanceof g&&(o.startSendingEvents(f.initialDimensions),delete this._extensionTerminalAwaitingStart[n]),d}$acceptProcessAckDataEvent(n,o){this._terminalProcesses.get(n)?.acknowledgeDataEvent(o)}$acceptProcessInput(n,o){this._terminalProcesses.get(n)?.input(o)}$acceptTerminalInteraction(n){const o=this._getTerminalById(n);o?.setInteractedWith()&&this._onDidChangeTerminalState.fire(o.value)}$acceptProcessResize(n,o,d){try{this._terminalProcesses.get(n)?.resize(o,d)}catch(f){if(f.code!=="EPIPE"&&f.code!=="ERR_IPC_CHANNEL_CLOSED")throw f}}$acceptProcessShutdown(n,o){this._terminalProcesses.get(n)?.shutdown(o)}$acceptProcessRequestInitialCwd(n){this._terminalProcesses.get(n)?.getInitialCwd().then(o=>this._proxy.$sendProcessProperty(n,{type:"initialCwd",value:o}))}$acceptProcessRequestCwd(n){this._terminalProcesses.get(n)?.getCwd().then(o=>this._proxy.$sendProcessProperty(n,{type:"cwd",value:o}))}$acceptProcessRequestLatency(n){return Promise.resolve(n)}registerLinkProvider(n){return this._linkProviders.add(n),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new w.Disposable(()=>{this._linkProviders.delete(n),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(n,o,d){if(this._profileProviders.has(o))throw new Error(`Terminal profile provider "${o}" already registered`);return this._profileProviders.set(o,d),this._proxy.$registerProfileProvider(o,n.identifier.value),new w.Disposable(()=>{this._profileProviders.delete(o),this._proxy.$unregisterProfileProvider(o)})}async $createContributedProfileTerminal(n,o){const d=new _.CancellationTokenSource().token;let f=await this._profileProviders.get(n)?.provideTerminalProfile(d);if(!d.isCancellationRequested){if(f&&!("options"in f)&&(f={options:f}),!f||!("options"in f))throw new Error(`No terminal profile options provided for id "${n}"`);if("pty"in f.options){this.createExtensionTerminal(f.options,o);return}this.createTerminalFromOptions(f.options,o)}}async $provideLinks(n,o){const d=this._getTerminalById(n);if(!d)return[];this._terminalLinkCache.delete(n),this._terminalLinkCancellationSource.get(n)?.dispose(!0);const S=new _.CancellationTokenSource;this._terminalLinkCancellationSource.set(n,S);const L=[],M={terminal:d.value,line:o},B=[];for(const $ of this._linkProviders)B.push(h.Promises.withAsyncBody(async N=>{S.token.onCancellationRequested(()=>N({provider:$,links:[]}));const X=await $.provideTerminalLinks(M,S.token)||[];S.token.isCancellationRequested||N({provider:$,links:X})}));const R=await Promise.all(B);if(S.token.isCancellationRequested)return[];const U=new Map;for(const $ of R)$&&$.links.length>0&&L.push(...$.links.map(N=>{const X={id:a++,startIndex:N.startIndex,length:N.length,label:N.tooltip};return U.set(X.id,{provider:$.provider,link:N}),X}));return this._terminalLinkCache.set(n,U),L}$activateLink(n,o){const d=this._terminalLinkCache.get(n)?.get(o);!d||d.provider.handleTerminalLink(d.link)}_onProcessExit(n,o){this._bufferer.stopBuffering(n),this._terminalProcesses.delete(n),delete this._extensionTerminalAwaitingStart[n];const d=this._terminalProcessDisposables[n];d&&(d.dispose(),delete this._terminalProcessDisposables[n]),this._proxy.$sendProcessExit(n,o)}_getTerminalById(n){return this._getTerminalObjectById(this._terminals,n)}_getTerminalObjectById(n,o){const d=this._getTerminalObjectIndexById(n,o);return d!==null?n[d]:null}_getTerminalObjectIndexById(n,o){let d=null;return n.some((f,S)=>f._id===o?(d=S,!0):!1),d}getEnvironmentVariableCollection(n){let o=this._environmentVariableCollections.get(n.identifier.value);return o||(o=new c,this._setEnvironmentVariableCollection(n.identifier.value,o)),o}_syncEnvironmentVariableCollection(n,o){const d=(0,k.serializeEnvironmentVariableCollection)(o.map);this._proxy.$setEnvironmentVariableCollection(n,o.persistent,d.length===0?void 0:d)}$initEnvironmentVariableCollections(n){n.forEach(o=>{const d=o[0],f=new c(o[1]);this._setEnvironmentVariableCollection(d,f)})}$acceptDefaultProfile(n,o){this._defaultProfile=n,this._defaultAutomationProfile=o}_setEnvironmentVariableCollection(n,o){this._environmentVariableCollections.set(n,o),o.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(n,o)})}};m=je([xe(1,y.IExtHostRpcService)],m),e.BaseExtHostTerminalService=m;class c{constructor(n){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new u.Emitter,this.map=new Map(n)}get persistent(){return this._persistent}set persistent(n){this._persistent=n,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(n,o){this._setIfDiffers(n,{value:o,type:w.EnvironmentVariableMutatorType.Replace})}append(n,o){this._setIfDiffers(n,{value:o,type:w.EnvironmentVariableMutatorType.Append})}prepend(n,o){this._setIfDiffers(n,{value:o,type:w.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(n,o){const d=this.map.get(n);(!d||d.value!==o.value||d.type!==o.type)&&(this.map.set(n,o),this._onDidChangeCollection.fire())}get(n){return this.map.get(n)}forEach(n,o){this.map.forEach((d,f)=>n.call(o,f,d,this))}[Symbol.iterator](){return this.map.entries()}delete(n){this.map.delete(n),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=c;let l=class extends m{constructor(n){super(!1,n)}createTerminal(n,o,d){throw new A.NotSupportedError}createTerminalFromOptions(n,o){throw new A.NotSupportedError}};l=je([xe(0,y.IExtHostRpcService)],l),e.WorkerExtHostTerminalService=l;function r(s){if(!(!s||typeof s=="string"))return"id"in s?{id:s.id,color:s.color}:s}function i(s){return b.ThemeColor.isThemeColor(s)?s:void 0}});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[257],Ie([1,0,17,23,21,4,59,61,6,24,13,34,5,15,132,16,7,65,89,66]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g){"use strict";var a,m;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let c=class{constructor(B,R){this.resultsChangedEmitter=new P.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=B.getProxy(_.MainContext.MainThreadTesting),this.observer=new f(this.proxy),this.runTracker=new r(this.proxy),R.registerArgumentProcessor({processArgument:U=>U?.$mid===13?(0,E.toItemFromContext)(U):U})}createTestController(B,R,U){if(this.controllers.has(B))throw new Error(`Attempt to insert a duplicate controller with ID "${B}"`);const $=new w.DisposableStore,N=$.add(new E.ExtHostTestItemCollection(B,R));N.root.label=R;const X=new Map,z=this.proxy,O={items:N.root.children,get label(){return R},set label(V){R=V,N.root.label=V,z.$updateController(B,{label:R})},get refreshHandler(){return U},set refreshHandler(V){U=V,z.$updateController(B,{canRefresh:!!V})},get id(){return B},createRunProfile:(V,q,J,Y,he)=>{let ve=(0,D.hash)(V);for(;X.has(ve);)ve++;return new S(this.proxy,X,B,ve,V,q,J,Y,he)},createTestItem(V,q,J){return new E.TestItemImpl(B,V,q,J)},createTestRun:(V,q,J=!0)=>this.runTracker.createTestRun(B,N,V,q,J),set resolveHandler(V){N.resolveHandler=V},get resolveHandler(){return N.resolveHandler},dispose:()=>{$.dispose()}};z.$registerTestController(B,R,!!U),$.add((0,w.toDisposable)(()=>z.$unregisterTestController(B)));const x={controller:O,collection:N,profiles:X};return this.controllers.set(B,x),$.add((0,w.toDisposable)(()=>this.controllers.delete(B))),$.add(N.onDidGenerateDiff(V=>z.$publishDiff(B,V.map(g.TestsDiffOp.serialize)))),O}createTestObserver(){return this.observer.checkout()}async runTests(B,R=C.CancellationToken.None){const U=i(B);if(!U)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const $=this.controllers.get(U.controllerId);if(!$)throw new Error("Controller not found");await this.proxy.$runTests({isUiTriggered:!1,targets:[{testIds:B.include?.map(N=>h.TestId.fromExtHostTestItem(N,$.collection.root.id).toString())??[$.collection.root.id],profileGroup:L[U.kind],profileId:U.profileId,controllerId:U.controllerId}],exclude:B.exclude?.map(N=>N.id)},R)}$provideFileCoverage(B,R,U){return(0,u.mapFind)(this.runTracker.trackers,N=>N.id===B?N.getCoverage(R):void 0)?.provideFileCoverage(U)??Promise.resolve([])}$resolveFileCoverage(B,R,U,$){return(0,u.mapFind)(this.runTracker.trackers,X=>X.id===B?X.getCoverage(R):void 0)?.resolveFileCoverage(U,$)??Promise.resolve([])}$configureRunProfile(B,R){this.controllers.get(B)?.profiles.get(R)?.configureHandler?.()}async $refreshTests(B,R){await this.controllers.get(B)?.controller.refreshHandler?.(R)}$publishTestResults(B){this.results=Object.freeze(B.map(R=>(0,I.deepFreeze)(b.TestResults.to(R))).concat(this.results).sort((R,U)=>U.completedAt-R.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(B,R){const U=this.controllers.get(h.TestId.fromString(B).controllerId)?.collection;U&&(await U.expand(B,R<0?1/0:R),U.flushDiff())}$acceptDiff(B){this.observer.applyDiff(B.map(g.TestsDiffOp.deserialize))}async $runControllerTests(B,R){return Promise.all(B.map(U=>this.runControllerTestRequest(U,R)))}async runControllerTestRequest(B,R){const U=this.controllers.get(B.controllerId);if(!U)return{};const{collection:$,profiles:N}=U,X=N.get(B.profileId);if(!X)return{};const z=B.testIds.map(q=>$.tree.get(q)).filter(A.isDefined),O=B.excludeExtIds.map(q=>U.collection.tree.get(q)).filter(A.isDefined).filter(q=>z.some(J=>J.fullId.compare(q.fullId)===2));if(!z.length)return{};const x=new v.TestRunRequest(z.some(q=>q.actual instanceof E.TestItemRootImpl)?void 0:z.map(q=>q.actual),O.map(q=>q.actual),X),V=this.runTracker.prepareForMainThreadTestRun(x,s.fromInternal(B,U.collection),R);try{return await X.runHandler(x,R),{}}catch(q){return{error:String(q)}}finally{V.isRunning&&!R.isCancellationRequested&&await P.Event.toPromise(V.onEnd),V.dispose()}}$cancelExtensionTestRun(B){B===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(B)}};c=je([xe(0,T.IExtHostRpcService)],c),e.ExtHostTesting=c;class l extends w.Disposable{constructor(B,R,U){super();this.dto=B,this.proxy=R,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new P.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new C.CancellationTokenSource(U)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:$}of this.tasks.values())$.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(B){return this.tasks.get(B)?.coverage}createRun(B){const R=this.dto.id,U=this.dto.controllerId,$=(0,k.generateUuid)(),N=new n(this.proxy,R,$),X=V=>(q,...J)=>{if(O){console.warn(`Setting the state of test "${q.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(q)||(this.ensureTestIsKnown(q),V(q,...J))},z=(V,q)=>{const J=q instanceof Array?q.map(b.TestMessage.from):[b.TestMessage.from(q)];if(V.uri&&V.range){const Y={range:b.Range.from(V.range),uri:V.uri};for(const he of J)he.location=he.location||Y}this.proxy.$appendTestMessagesInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),J)};let O=!1;const x={isPersisted:this.dto.isPersisted,token:this.cts.token,name:B,get coverageProvider(){return N.coverageProvider},set coverageProvider(V){N.coverageProvider=V},enqueued:X(V=>{this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),1)}),skipped:X(V=>{this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),5)}),started:X(V=>{this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),2)}),errored:X((V,q,J)=>{z(V,q),this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),6,J)}),failed:X((V,q,J)=>{z(V,q),this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,U).toString(),4,J)}),passed:X((V,q)=>{this.proxy.$updateTestStateInRun(R,$,h.TestId.fromExtHostTestItem(V,this.dto.controllerId).toString(),3,q)}),appendOutput:(V,q,J)=>{O||(J&&(this.dto.isIncluded(J)?this.ensureTestIsKnown(J):J=void 0),this.proxy.$appendOutputToRun(R,$,t.VSBuffer.fromString(V),q&&b.location.from(q),J&&h.TestId.fromExtHostTestItem(J,U).toString()))},end:()=>{O||(O=!0,this.proxy.$finishedTestRunTask(R,$),this.tasks.delete($),this.isRunning||this.dispose())}};return this.tasks.set($,{run:x,coverage:N}),this.proxy.$startedTestRunTask(R,{id:$,name:B,running:!0}),x}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(B){if(!(B instanceof E.TestItemImpl))throw new p.InvalidTestItemError(B.id);if(this.sharedTestIds.has(h.TestId.fromExtHostTestItem(B,this.dto.controllerId).toString()))return;const R=[],U=this.dto.colllection.root;for(;;){const $=b.TestItem.from(B);if(R.unshift($),this.sharedTestIds.has($.extId)||(this.sharedTestIds.add($.extId),B===U))break;B=B.parent||U}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,R)}}class r{constructor(B){this.proxy=B,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(B,R,U){return this.getTracker(B,R,U)}cancelRunById(B){for(const R of this.tracked.values())if(R.id===B){R.dispose();return}}cancelAllRuns(){for(const B of this.tracked.values())B.dispose()}createTestRun(B,R,U,$,N){const X=this.tracked.get(U);if(X)return X.createRun($);const z=s.fromPublic(B,R,U,N),O=i(U);this.proxy.$startedExtensionTestRun({controllerId:B,profile:O&&{group:L[O.kind],id:O.profileId},exclude:U.exclude?.map(V=>h.TestId.fromExtHostTestItem(V,R.root.id).toString())??[],id:z.id,include:U.include?.map(V=>h.TestId.fromExtHostTestItem(V,R.root.id).toString())??[R.root.id],persist:N});const x=this.getTracker(U,z);return x.onEnd(()=>this.proxy.$finishedExtensionTestRun(z.id)),x.createRun($)}getTracker(B,R,U){const $=new l(R,this.proxy,U);return this.tracked.set(B,$),$.onEnd(()=>this.tracked.delete(B)),$}}e.TestRunCoordinator=r;const i=M=>{if(!!M.profile){if(!(M.profile instanceof S))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return M.profile}};class s{constructor(B,R,U,$,N,X){this.controllerId=B,this.id=R,this.isPersisted=N,this.colllection=X,this.includePrefix=U.map(z=>z+"\0"),this.excludePrefix=$.map(z=>z+"\0")}static fromPublic(B,R,U,$){return new s(B,(0,k.generateUuid)(),U.include?.map(N=>h.TestId.fromExtHostTestItem(N,B).toString())??[B],U.exclude?.map(N=>h.TestId.fromExtHostTestItem(N,B).toString())??[],$,R)}static fromInternal(B,R){return new s(B.controllerId,B.runId,B.testIds,B.excludeExtIds,!0,R)}isIncluded(B){const R=h.TestId.fromExtHostTestItem(B,this.controllerId).toString()+"\0";for(const U of this.excludePrefix)if(R===U||R.startsWith(U))return!1;for(const U of this.includePrefix)if(R===U||R.startsWith(U))return!0;return!1}}e.TestRunDto=s;class n{constructor(B,R,U){this.proxy=B,this.runId=R,this.taskId=U}set coverageProvider(B){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!B||(this._coverageProvider=B,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(B){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(B))());try{return(await this.fileCoverage)?.map(b.TestCoverage.fromFile)??[]}catch(R){throw this.fileCoverage=void 0,R}}async resolveFileCoverage(B,R){const U=await this.fileCoverage;let $=U?.[B];return!this._coverageProvider||!U||!$?[]:($.detailedCoverage||($=U[B]=await this._coverageProvider.resolveFileCoverage?.($,R)??$),$.detailedCoverage?.map(b.TestCoverage.fromDetailed)??[])}}class o extends g.IncrementalChangeCollector{constructor(B){super();this.emitter=B,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(B){this.added.add(B)}update(B){Object.assign(B.revived,b.TestItem.toPlain(B.item)),this.added.has(B)||this.updated.add(B)}remove(B){if(this.added.has(B)){this.added.delete(B);return}if(this.updated.delete(B),B.parent&&this.alreadyRemoved.has(B.parent)){this.alreadyRemoved.add(B.item.extId);return}this.removed.add(B)}getChangeEvent(){const{added:B,updated:R,removed:U}=this;return{get added(){return[...B].map($=>$.revived)},get updated(){return[...R].map($=>$.revived)},get removed(){return[...U].map($=>$.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class d extends g.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new P.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(B){return this.items.get(B)}getMirroredTestDataByReference(B){return this.items.get(B.id)}createItem(B,R){return{...B,revived:b.TestItem.toPlain(B.item),depth:R?R.depth+1:0,children:new Set}}createChangeCollector(){return new o(this.changeEmitter)}}e.MirroredTestCollection=d;class f{constructor(B){this.proxy=B}checkout(){this.current||(this.current=this.createObserverData());const B=this.current;return B.observers++,{onDidChangeTest:B.tests.onDidChangeTests,get tests(){return[...B.tests.rootTests].map(R=>R.revived)},dispose:(0,y.once)(()=>{--B.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(B){return this.current?.tests.getMirroredTestDataByReference(B)}applyDiff(B){this.current?.tests.apply(B)}createObserverData(){const B=new d;return this.proxy.$subscribeToDiffs(),{observers:0,tests:B}}}class S{constructor(B,R,U,$,N,X,z,O=!1,x=void 0){this.controllerId=U,this.profileId=$,this._label=N,this.kind=X,this.runHandler=z,this._isDefault=O,this._tag=x,a.set(this,void 0),m.set(this,void 0),et(this,a,B,"f"),et(this,m,R,"f"),R.set($,this);const V=L[X];if(typeof V!="number")throw new Error(`Unknown TestRunProfile.group ${X}`);Me(this,a,"f").$publishTestRunProfile({profileId:$,controllerId:U,tag:x?b.TestTag.namespace(this.controllerId,x.id):null,label:N,group:V,isDefault:O,hasConfigurationHandler:!1})}get label(){return this._label}set label(B){B!==this._label&&(this._label=B,Me(this,a,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:B}))}get isDefault(){return this._isDefault}set isDefault(B){B!==this._isDefault&&(this._isDefault=B,Me(this,a,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:B}))}get tag(){return this._tag}set tag(B){B?.id!==this._tag?.id&&(this._tag=B,Me(this,a,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:B?b.TestTag.namespace(this.controllerId,B.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(B){B!==this._configureHandler&&(this._configureHandler=B,Me(this,a,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!B}))}dispose(){Me(this,m,"f")?.delete(this.profileId)&&(et(this,m,void 0,"f"),Me(this,a,"f").$removeTestProfile(this.controllerId,this.profileId))}}e.TestRunProfileImpl=S,a=new WeakMap,m=new WeakMap;const L={[v.TestRunProfileKind.Coverage]:8,[v.TestRunProfileKind.Debug]:4,[v.TestRunProfileKind.Run]:2}}),define(De[258],Ie([1,0,17,4,5,133,16,7]),function(Z,e,u,t,C,P,y,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class w{constructor(A,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new t.Emitter,this._onDidChangeTextEditorOptions=new t.Emitter,this._onDidChangeTextEditorVisibleRanges=new t.Emitter,this._onDidChangeTextEditorViewColumn=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=A.getProxy(C.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(_=>this._onDidChangeVisibleTextEditors.fire(_)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(_=>this._onDidChangeActiveTextEditor.fire(_))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(A){const k=this._extHostDocumentsAndEditors.allEditors();return A?k:k.map(_=>_.value)}async showTextDocument(A,k,_){let T;typeof k=="number"?T={position:y.ViewColumn.from(k),preserveFocus:_}:typeof k=="object"?T={position:y.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?y.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:T={preserveFocus:!1};const E=await this._proxy.$tryShowTextDocument(A.uri,T),b=E&&this._extHostDocumentsAndEditors.getEditor(E);if(b)return b.value;throw E?new Error(`Could NOT open editor for "${A.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${A.uri.toString()}".`)}createTextEditorDecorationType(A,k){return new P.TextEditorDecorationType(this._proxy,A,k).value}$acceptEditorPropertiesChanged(A,k){const _=this._extHostDocumentsAndEditors.getEditor(A);if(!_)throw new Error("unknown text editor");if(k.options&&_._acceptOptions(k.options),k.selections){const T=k.selections.selections.map(y.Selection.to);_._acceptSelections(T)}if(k.visibleRanges){const T=u.coalesce(k.visibleRanges.map(y.Range.to));_._acceptVisibleRanges(T)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:_.value,options:{...k.options,lineNumbers:y.TextEditorLineNumbersStyle.to(k.options.lineNumbers)}}),k.selections){const T=D.TextEditorSelectionChangeKind.fromValue(k.selections.source),E=k.selections.selections.map(y.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:_.value,selections:E,kind:T})}if(k.visibleRanges){const T=u.coalesce(k.visibleRanges.map(y.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:_.value,visibleRanges:T})}}$acceptEditorPositionData(A){for(const k in A){const _=this._extHostDocumentsAndEditors.getEditor(k);if(!_)throw new Error("Unknown text editor");const T=y.ViewColumn.to(A[k]);_.value.viewColumn!==T&&(_._acceptViewColumn(T),this._onDidChangeTextEditorViewColumn.fire({textEditor:_.value,viewColumn:T}))}}getDiffInformation(A){return Promise.resolve(this._proxy.$getDiffInformation(A))}}e.ExtHostEditors=w}),define(De[259],Ie([1,0,2,3,5,6,7,16,13]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,t.createDecorator)("IExtHostTimeline");class I{constructor(_,T){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=_.getProxy(C.MainContext.MainThreadTimeline),T.registerArgumentProcessor({processArgument:E=>{if(E&&E.$mid===11){const b=E.uri===void 0?void 0:u.URI.revive(E.uri);return this._itemsBySourceAndUriMap.get(E.source)?.get(A(b))?.get(E.handle)}return E}})}async $getTimeline(_,T,E,b){return this._providers.get(_)?.provideTimeline(u.URI.revive(T),E,b)}registerTimelineProvider(_,T,E,b){const v=new P.DisposableStore,h=this.convertTimelineItem(T.id,b,v).bind(this);let p;T.onDidChange&&(p=T.onDidChange(a=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...a,id:T.id}),this));const g=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...T,scheme:_,onDidChange:void 0,async provideTimeline(a,m,c){m?.resetCache&&(v.clear(),g.get(T.id)?.clear());const l=await T.provideTimeline(a,m,c);if(l==null)return;const r=h(a,m);return{...l,source:T.id,items:l.items.map(r)}},dispose(){for(const a of g.values())a.get(T.id)?.clear();p?.dispose(),v.dispose()}})}convertTimelineItem(_,T,E){return(b,v)=>{let h;if(v?.cacheResults){let p=this._itemsBySourceAndUriMap.get(_);p===void 0&&(p=new Map,this._itemsBySourceAndUriMap.set(_,p));const g=A(b);h=p.get(g),h===void 0&&(h=new Map,p.set(g,h))}return p=>{const{iconPath:g,...a}=p,m=`${_}|${p.id??p.timestamp}`;h?.set(m,p);let c,l,r;p.iconPath&&(g instanceof y.ThemeIcon?r={id:g.id,color:g.color}:u.URI.isUri(g)?(c=g,l=g):{light:c,dark:l}=g);let i;return y.MarkdownString.isMarkdownString(a.tooltip)?i=D.MarkdownString.from(a.tooltip):(0,w.isString)(a.tooltip)?i=a.tooltip:y.MarkdownString.isMarkdownString(a.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),i=D.MarkdownString.from(a.detail)):(0,w.isString)(a.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),i=a.detail),{...a,id:a.id??void 0,handle:m,source:_,command:p.command?T.toInternal(p.command,E):void 0,icon:c,iconDark:l,themeIcon:r,tooltip:i,accessibilityInformation:p.accessibilityInformation}}}}registerTimelineProviderCore(_){if(this._providers.get(_.id))throw new Error(`Timeline Provider ${_.id} already exists.`);return this._proxy.$registerTimelineProvider({id:_.id,label:_.label,scheme:_.scheme}),this._providers.set(_.id,_),(0,P.toDisposable)(()=>{for(const E of this._itemsBySourceAndUriMap.values())E.get(_.id)?.clear();this._providers.delete(_.id),this._proxy.$unregisterTimelineProvider(_.id),_.dispose()})}}e.ExtHostTimeline=I;function A(k){return k?.toString()}}),define(De[260],Ie([1,0,6,12,2,5]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class y{constructor(w){this._openers=new Map,this._proxy=w.getProxy(P.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(w,I,A,k){if(this._openers.has(I))throw new Error(`Opener with id '${I}' already registered`);const _=k.schemes.find(T=>!y.supportedSchemes.has(T));if(_)throw new Error(`Scheme '${_}' is not supported. Only http and https are currently supported.`);return this._openers.set(I,A),this._proxy.$registerUriOpener(I,k.schemes,w,k.label),(0,u.toDisposable)(()=>{this._openers.delete(I),this._proxy.$unregisterUriOpener(I)})}async $canOpenUri(w,I,A){const k=this._openers.get(w);if(!k)throw new Error(`Unknown opener with id: ${w}`);const _=C.URI.revive(I);return k.canOpenExternalUri(_,A)}async $openUri(w,I,A){const k=this._openers.get(w);if(!k)throw new Error(`Unknown opener id: '${w}'`);return k.openExternalUri(C.URI.revive(I.resolvedUri),{sourceUri:C.URI.revive(I.sourceUri)},A)}}e.ExtHostUriOpeners=y,y.supportedSchemes=new Set([t.Schemas.http,t.Schemas.https])}),define(De[261],Ie([1,0,5,2,6,10,28]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class D{constructor(I){this.handles=new Set,this.handlers=new Map,this._proxy=I.getProxy(u.MainContext.MainThreadUrls)}registerUriHandler(I,A){if(this.handles.has(y.ExtensionIdentifier.toKey(I)))throw new Error(`Protocol handler already registered for extension ${I}`);const k=D.HandlePool++;return this.handles.add(y.ExtensionIdentifier.toKey(I)),this.handlers.set(k,A),this._proxy.$registerUriHandler(k,I),(0,C.toDisposable)(()=>{this.handles.delete(y.ExtensionIdentifier.toKey(I)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(I,A){const k=this.handlers.get(I);if(!k)return Promise.resolve(void 0);try{k.handleUri(t.URI.revive(A))}catch(_){(0,P.onUnexpectedError)(_)}return Promise.resolve(void 0)}async createAppUri(I){return t.URI.revive(await this._proxy.$createAppUri(I))}}e.ExtHostUrls=D,D.HandlePool=0});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[70],Ie([1,0,4,12,2,187,207,88,5]),function(Z,e,u,t,C,P,y,D,w){"use strict";var I,A,k,_,T,E,b,v,h,p,g,a;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class m{constructor(d,f,S,L,M,B,R){I.set(this,void 0),A.set(this,void 0),k.set(this,void 0),_.set(this,void 0),T.set(this,void 0),E.set(this,void 0),b.set(this,""),v.set(this,void 0),h.set(this,!1),p.set(this,!1),g.set(this,!1),this._onMessageEmitter=new u.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,a.set(this,new u.Emitter),this._onDidDispose=Me(this,a,"f").event,et(this,I,d,"f"),et(this,A,f,"f"),et(this,v,S,"f"),et(this,_,L,"f"),et(this,T,M,"f"),et(this,E,B,"f"),et(this,g,c(B),"f"),et(this,k,R,"f")}dispose(){et(this,h,!0,"f"),Me(this,a,"f").fire(),Me(this,a,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(d){return et(this,p,!0,"f"),(0,D.asWebviewUri)(d,Me(this,_,"f"))}get cspSource(){const d=Me(this,E,"f").extensionLocation;if(d.scheme===t.Schemas.https||d.scheme===t.Schemas.http){let f=d.toString();return f.endsWith("/")||(f+="/"),f+" "+D.webviewGenericCspSource}return D.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Me(this,b,"f")}set html(d){this.assertNotDisposed(),Me(this,b,"f")!==d&&(et(this,b,d,"f"),!Me(this,p,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(d)&&(et(this,p,!0,"f"),Me(this,k,"f").report("Webview vscode-resource: uris",Me(this,E,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Me(this,A,"f").$setHtml(Me(this,I,"f"),d))}get options(){return this.assertNotDisposed(),Me(this,v,"f")}set options(d){this.assertNotDisposed(),Me(this,A,"f").$setOptions(Me(this,I,"f"),i(Me(this,E,"f"),Me(this,T,"f"),d)),et(this,v,d,"f")}async postMessage(d){if(Me(this,h,"f"))return!1;const f=(0,y.serializeWebviewMessage)(d,{serializeBuffersForPostMessage:Me(this,g,"f")});return Me(this,A,"f").$postMessage(Me(this,I,"f"),f.message,...f.buffers)}assertNotDisposed(){if(Me(this,h,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=m,I=new WeakMap,A=new WeakMap,k=new WeakMap,_=new WeakMap,T=new WeakMap,E=new WeakMap,b=new WeakMap,v=new WeakMap,h=new WeakMap,p=new WeakMap,g=new WeakMap,a=new WeakMap;function c(o){try{const d=(0,P.normalizeVersion)((0,P.parseVersion)(o.engines.vscode));return!!d&&d.majorBase>=1&&d.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=c;class l{constructor(d,f,S,L,M){this.remoteInfo=f,this.workspace=S,this._logService=L,this._deprecationService=M,this._webviews=new Map,this._webviewProxy=d.getProxy(w.MainContext.MainThreadWebviews)}$onMessage(d,f,S){const L=this.getWebview(d);if(L){const{message:M}=(0,y.deserializeWebviewMessage)(f,S.value);L._onMessageEmitter.fire(M)}}$onMissingCsp(d,f){this._logService.warn(`${f} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(d,f,S){const L=new m(d,this._webviewProxy,s(f),this.remoteInfo,this.workspace,S,this._deprecationService);return this._webviews.set(d,L),L._onDidDispose(()=>{this._webviews.delete(d)}),L}deleteWebview(d){this._webviews.delete(d)}getWebview(d){return this._webviews.get(d)}}e.ExtHostWebviews=l;function r(o){return{id:o.identifier,location:o.extensionLocation}}e.toExtensionData=r;function i(o,d,f){return{enableCommandUris:f.enableCommandUris,enableScripts:f.enableScripts,enableForms:f.enableForms,portMapping:f.portMapping,localResourceRoots:f.localResourceRoots||n(o,d)}}e.serializeWebviewOptions=i;function s(o){return{enableCommandUris:o.enableCommandUris,enableScripts:o.enableScripts,enableForms:o.enableForms,portMapping:o.portMapping,localResourceRoots:o.localResourceRoots?.map(d=>C.URI.from(d))}}e.reviveOptions=s;function n(o,d){return[...(d?.getWorkspaceFolders()||[]).map(f=>f.uri),o.extensionLocation]}}),define(De[262],Ie([1,0,21,61,6,12,22,2,16,70,87,5,7]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class T{constructor(c,l){this.document=c,this._storagePath=l,this._backupCounter=1,this._edits=new A.Cache("custom documents")}addEdit(c){return this._edits.add([c])}async undo(c,l){await this.getEdit(c).undo(),l||this.disposeBackup()}async redo(c,l){await this.getEdit(c).redo(),l||this.disposeBackup()}disposeEdits(c){for(const l of c)this._edits.delete(l)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const c=a(this.document.uri)+this._backupCounter++;return(0,y.joinPath)(this._storagePath,c)}updateBackup(c){this._backup?.delete(),this._backup=c}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(c){const l=this._edits.get(c,0);if(!l)throw new Error("No edit found");return l}}class E{constructor(){this._documents=new Map}get(c,l){return this._documents.get(this.key(c,l))}add(c,l,r){const i=this.key(c,l.uri);if(this._documents.has(i))throw new Error(`Document already exists for viewType:${c} resource:${l.uri}`);const s=new T(l,r);return this._documents.set(i,s),s}delete(c,l){const r=this.key(c,l.uri);this._documents.delete(r)}key(c,l){return`${c}@@@${l}`}}var b;(function(m){m[m.Text=0]="Text",m[m.Custom=1]="Custom"})(b||(b={}));class v{constructor(){this._providers=new Map}addTextProvider(c,l,r){return this.add(0,c,l,r)}addCustomProvider(c,l,r){return this.add(1,c,l,r)}get(c){return this._providers.get(c)}add(c,l,r,i){if(this._providers.has(l))throw new Error(`Provider for viewType:${l} already registered`);return this._providers.set(l,{type:c,extension:r,provider:i}),new _.Disposable(()=>this._providers.delete(l))}}class h{constructor(c,l,r,i,s){this._extHostDocuments=l,this._extensionStoragePaths=r,this._extHostWebview=i,this._extHostWebviewPanels=s,this._editorProviders=new v,this._documents=new E,this._proxy=c.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(c,l,r,i){const s=new C.DisposableStore;return p(r)?(s.add(this._editorProviders.addTextProvider(l,c,r)),this._proxy.$registerTextEditorProvider((0,I.toExtensionData)(c),l,i.webviewOptions||{},{supportsMove:!!r.moveCustomTextEditor},(0,I.shouldSerializeBuffersForPostMessage)(c))):(s.add(this._editorProviders.addCustomProvider(l,c,r)),this.supportEditing(r)&&s.add(r.onDidChangeCustomDocument(n=>{const o=this.getCustomDocumentEntry(l,n.document.uri);if(g(n)){const d=o.addEdit(n);this._proxy.$onDidEdit(n.document.uri,l,d,n.label)}else this._proxy.$onContentChange(n.document.uri,l)})),this._proxy.$registerCustomEditorProvider((0,I.toExtensionData)(c),l,i.webviewOptions||{},!!i.supportsMultipleEditorsPerDocument,(0,I.shouldSerializeBuffersForPostMessage)(c))),_.Disposable.from(s,new _.Disposable(()=>{this._proxy.$unregisterEditorProvider(l)}))}async $createCustomDocument(c,l,r,i,s){const n=this._editorProviders.get(l);if(!n)throw new Error(`No provider found for '${l}'`);if(n.type!==1)throw new Error(`Invalid provide type for '${l}'`);const o=D.URI.revive(c),d=await n.provider.openCustomDocument(o,{backupId:r,untitledDocumentData:i?.buffer},s);let f;return this.supportEditing(n.provider)&&this._extensionStoragePaths&&(f=this._extensionStoragePaths.workspaceValue(n.extension)??this._extensionStoragePaths.globalValue(n.extension)),this._documents.add(l,d,f),{editable:this.supportEditing(n.provider)}}async $disposeCustomDocument(c,l){const r=this._editorProviders.get(l);if(!r)throw new Error(`No provider found for '${l}'`);if(r.type!==1)throw new Error(`Invalid provider type for '${l}'`);const i=D.URI.revive(c),{document:s}=this.getCustomDocumentEntry(l,i);this._documents.delete(l,s),s.dispose()}async $resolveWebviewEditor(c,l,r,i,s,n){const o=this._editorProviders.get(r);if(!o)throw new Error(`No provider found for '${r}'`);const d=w.ViewColumn.to(s),f=this._extHostWebview.createNewWebview(l,i.webviewOptions,o.extension),S=this._extHostWebviewPanels.createNewWebviewPanel(l,r,i.title,d,i.panelOptions,f,!0),L=D.URI.revive(c);switch(o.type){case 1:{const{document:M}=this.getCustomDocumentEntry(r,L);return o.provider.resolveCustomEditor(M,S,n)}case 0:{const M=this._extHostDocuments.getDocument(L);return o.provider.resolveCustomTextEditor(M,S,n)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(c,l,r){this.getCustomDocumentEntry(l,c).disposeEdits(r)}async $onMoveCustomEditor(c,l,r){const i=this._editorProviders.get(r);if(!i)throw new Error(`No provider found for '${r}'`);if(!i.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${r}'`);const s=this._extHostWebviewPanels.getWebviewPanel(c);if(!s)throw new Error("No webview found");const n=D.URI.revive(l),o=this._extHostDocuments.getDocument(n);await i.provider.moveCustomTextEditor(o,s,u.CancellationToken.None)}async $undo(c,l,r,i){return this.getCustomDocumentEntry(l,c).undo(r,i)}async $redo(c,l,r,i){return this.getCustomDocumentEntry(l,c).redo(r,i)}async $revert(c,l,r){const i=this.getCustomDocumentEntry(l,c);await this.getCustomEditorProvider(l).revertCustomDocument(i.document,r),i.disposeBackup()}async $onSave(c,l,r){const i=this.getCustomDocumentEntry(l,c);await this.getCustomEditorProvider(l).saveCustomDocument(i.document,r),i.disposeBackup()}async $onSaveAs(c,l,r,i){const s=this.getCustomDocumentEntry(l,c);return this.getCustomEditorProvider(l).saveCustomDocumentAs(s.document,D.URI.revive(r),i)}async $backup(c,l,r){const i=this.getCustomDocumentEntry(l,c),n=await this.getCustomEditorProvider(l).backupCustomDocument(i.document,{destination:i.getNewBackupUri()},r);return i.updateBackup(n),n.id}getCustomDocumentEntry(c,l){const r=this._documents.get(c,D.URI.revive(l));if(!r)throw new Error("No custom document found");return r}getCustomEditorProvider(c){const r=this._editorProviders.get(c)?.provider;if(!r||!this.supportEditing(r))throw new Error("Custom document is not editable");return r}supportEditing(c){return!!c.onDidChangeCustomDocument}}e.ExtHostCustomEditors=h;function p(m){return typeof m.resolveCustomTextEditor=="function"}function g(m){return typeof m.undo=="function"&&typeof m.redo=="function"}function a(m){const c=m.scheme===P.Schemas.file||m.scheme===P.Schemas.untitled?m.fsPath:m.toString();return(0,t.hash)(c)+""}});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[263],Ie([1,0,4,6,2,34,16,70,5,7]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";var A,k,_,T,E,b,v,h,p,g,a,m,c;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class l extends t.Disposable{constructor(n,o,d,f){super();A.set(this,void 0),k.set(this,void 0),_.set(this,void 0),T.set(this,void 0),E.set(this,void 0),b.set(this,void 0),v.set(this,void 0),h.set(this,void 0),p.set(this,!0),g.set(this,void 0),a.set(this,!1),m.set(this,this._register(new u.Emitter)),this.onDidDispose=Me(this,m,"f").event,c.set(this,this._register(new u.Emitter)),this.onDidChangeViewState=Me(this,c,"f").event,et(this,A,n,"f"),et(this,k,o,"f"),et(this,T,d,"f"),et(this,_,f.viewType,"f"),et(this,E,f.panelOptions,"f"),et(this,h,f.viewColumn,"f"),et(this,b,f.title,"f"),et(this,g,f.active,"f")}dispose(){Me(this,a,"f")||(et(this,a,!0,"f"),Me(this,m,"f").fire(),Me(this,k,"f").$disposeWebview(Me(this,A,"f")),Me(this,T,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Me(this,T,"f")}get viewType(){return this.assertNotDisposed(),Me(this,_,"f")}get title(){return this.assertNotDisposed(),Me(this,b,"f")}set title(n){this.assertNotDisposed(),Me(this,b,"f")!==n&&(et(this,b,n,"f"),Me(this,k,"f").$setTitle(Me(this,A,"f"),n))}get iconPath(){return this.assertNotDisposed(),Me(this,v,"f")}set iconPath(n){this.assertNotDisposed(),Me(this,v,"f")!==n&&(et(this,v,n,"f"),Me(this,k,"f").$setIconPath(Me(this,A,"f"),C.URI.isUri(n)?{light:n,dark:n}:n))}get options(){return Me(this,E,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Me(this,h,"f")=="number"&&Me(this,h,"f")<0))return Me(this,h,"f")}get active(){return this.assertNotDisposed(),Me(this,g,"f")}get visible(){return this.assertNotDisposed(),Me(this,p,"f")}_updateViewState(n){Me(this,a,"f")||(this.active!==n.active||this.visible!==n.visible||this.viewColumn!==n.viewColumn)&&(et(this,g,n.active,"f"),et(this,p,n.visible,"f"),et(this,h,n.viewColumn,"f"),Me(this,c,"f").fire({webviewPanel:this}))}reveal(n,o){this.assertNotDisposed(),Me(this,k,"f").$reveal(Me(this,A,"f"),{viewColumn:typeof n=="undefined"?void 0:y.ViewColumn.from(n),preserveFocus:!!o})}assertNotDisposed(){if(Me(this,a,"f"))throw new Error("Webview is disposed")}}A=new WeakMap,k=new WeakMap,_=new WeakMap,T=new WeakMap,E=new WeakMap,b=new WeakMap,v=new WeakMap,h=new WeakMap,p=new WeakMap,g=new WeakMap,a=new WeakMap,m=new WeakMap,c=new WeakMap;class r{constructor(n,o,d){this.webviews=o,this.workspace=d,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=n.getProxy(w.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,P.generateUuid)()}createWebviewPanel(n,o,d,f,S={}){const L=typeof f=="object"?f.viewColumn:f,M={viewColumn:y.ViewColumn.from(L),preserveFocus:typeof f=="object"&&!!f.preserveFocus},B=(0,D.shouldSerializeBuffersForPostMessage)(n),R=r.newHandle();this._proxy.$createWebviewPanel((0,D.toExtensionData)(n),R,o,{title:d,panelOptions:i(S),webviewOptions:(0,D.serializeWebviewOptions)(n,this.workspace,S),serializeBuffersForPostMessage:B},M);const U=this.webviews.createNewWebview(R,S,n);return this.createNewWebviewPanel(R,o,d,L,S,U,!0)}$onDidChangeWebviewPanelViewStates(n){const o=Object.keys(n);o.sort((d,f)=>{const S=n[d],L=n[f];return S.active?1:L.active?-1:+S.visible-+L.visible});for(const d of o){const f=this.getWebviewPanel(d);if(!f)continue;const S=n[d];f._updateViewState({active:S.active,visible:S.visible,viewColumn:y.ViewColumn.to(S.position)})}}async $onDidDisposeWebviewPanel(n){this.getWebviewPanel(n)?.dispose(),this._webviewPanels.delete(n),this.webviews.deleteWebview(n)}registerWebviewPanelSerializer(n,o,d){if(this._serializers.has(o))throw new Error(`Serializer for '${o}' already registered`);return this._serializers.set(o,{serializer:d,extension:n}),this._proxy.$registerSerializer(o,{serializeBuffersForPostMessage:(0,D.shouldSerializeBuffersForPostMessage)(n)}),new I.Disposable(()=>{this._serializers.delete(o),this._proxy.$unregisterSerializer(o)})}async $deserializeWebviewPanel(n,o,d,f){const S=this._serializers.get(o);if(!S)throw new Error(`No serializer found for '${o}'`);const{serializer:L,extension:M}=S,B=this.webviews.createNewWebview(n,d.webviewOptions,M),R=this.createNewWebviewPanel(n,o,d.title,f,d.panelOptions,B,d.active);await L.deserializeWebviewPanel(R,d.state)}createNewWebviewPanel(n,o,d,f,S,L,M){const B=new l(n,this._proxy,L,{viewType:o,title:d,viewColumn:f,panelOptions:S,active:M});return this._webviewPanels.set(n,B),B}getWebviewPanel(n){return this._webviewPanels.get(n)}}e.ExtHostWebviewPanels=r;function i(s){return{enableFindWidget:s.enableFindWidget,retainContextWhenHidden:s.retainContextWhenHidden}}});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[264],Ie([1,0,4,6,70,27,16,5,7]),function(Z,e,u,t,C,P,y,D,w){"use strict";var I,A,k,_,T,E,b,v,h,p,g,a;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class m extends t.Disposable{constructor(r,i,s,n,o,d,f){super();I.set(this,void 0),A.set(this,void 0),k.set(this,void 0),_.set(this,void 0),T.set(this,void 0),E.set(this,!1),b.set(this,void 0),v.set(this,void 0),h.set(this,void 0),p.set(this,void 0),g.set(this,this._register(new u.Emitter)),this.onDidChangeVisibility=Me(this,g,"f").event,a.set(this,this._register(new u.Emitter)),this.onDidDispose=Me(this,a,"f").event,et(this,k,s,"f"),et(this,v,n,"f"),et(this,I,r,"f"),et(this,A,i,"f"),et(this,_,o,"f"),et(this,T,d,"f"),et(this,b,f,"f")}dispose(){Me(this,E,"f")||(et(this,E,!0,"f"),Me(this,a,"f").fire(),Me(this,_,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Me(this,v,"f")}set title(r){this.assertNotDisposed(),Me(this,v,"f")!==r&&(et(this,v,r,"f"),Me(this,A,"f").$setWebviewViewTitle(Me(this,I,"f"),r))}get description(){return this.assertNotDisposed(),Me(this,h,"f")}set description(r){this.assertNotDisposed(),Me(this,h,"f")!==r&&(et(this,h,r,"f"),Me(this,A,"f").$setWebviewViewDescription(Me(this,I,"f"),r))}get visible(){return Me(this,b,"f")}get webview(){return Me(this,_,"f")}get viewType(){return Me(this,k,"f")}_setVisible(r){r===Me(this,b,"f")||Me(this,E,"f")||(et(this,b,r,"f"),Me(this,g,"f").fire())}get badge(){return this.assertNotDisposed(),(0,P.checkProposedApiEnabled)(Me(this,T,"f"),"badges"),Me(this,p,"f")}set badge(r){this.assertNotDisposed(),(0,P.checkProposedApiEnabled)(Me(this,T,"f"),"badges"),!(r?.value===Me(this,p,"f")?.value&&r?.tooltip===Me(this,p,"f")?.tooltip)&&(et(this,p,y.ViewBadge.from(r),"f"),Me(this,A,"f").$setWebviewViewBadge(Me(this,I,"f"),r))}show(r){this.assertNotDisposed(),Me(this,A,"f").$show(Me(this,I,"f"),!!r)}assertNotDisposed(){if(Me(this,E,"f"))throw new Error("Webview is disposed")}}I=new WeakMap,A=new WeakMap,k=new WeakMap,_=new WeakMap,T=new WeakMap,E=new WeakMap,b=new WeakMap,v=new WeakMap,h=new WeakMap,p=new WeakMap,g=new WeakMap,a=new WeakMap;class c{constructor(r,i){this._extHostWebview=i,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=r.getProxy(D.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(r,i,s,n){if(this._viewProviders.has(i))throw new Error(`View provider for '${i}' already registered`);return this._viewProviders.set(i,{provider:s,extension:r}),this._proxy.$registerWebviewViewProvider((0,C.toExtensionData)(r),i,{retainContextWhenHidden:n?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,C.shouldSerializeBuffersForPostMessage)(r)}),new w.Disposable(()=>{this._viewProviders.delete(i),this._proxy.$unregisterWebviewViewProvider(i)})}async $resolveWebviewView(r,i,s,n,o){const d=this._viewProviders.get(i);if(!d)throw new Error(`No view provider found for '${i}'`);const{provider:f,extension:S}=d,L=this._extHostWebview.createNewWebview(r,{},S),M=new m(r,this._proxy,i,s,L,S,!0);this._webviewViews.set(r,M),await f.resolveWebviewView(M,{state:n},o)}async $onDidChangeWebviewViewVisibility(r,i){this.getWebviewView(r)._setVisible(i)}async $disposeWebviewView(r){const i=this.getWebviewView(r);this._webviewViews.delete(r),i.dispose(),this._extHostWebview.deleteWebview(r)}getWebviewView(r){const i=this._webviewViews.get(r);if(!i)throw new Error("No webview found");return i}}e.ExtHostWebviewViews=c}),define(De[138],Ie([1,0,4,5,2,12,8,3,15]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let I=class Zn{constructor(k){this._onDidChangeWindowState=new u.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Zn.InitialState,this._proxy=k.getProxy(t.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(_=>this.$onDidChangeWindowFocus(_))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state={...this._state,focused:k},this._onDidChangeWindowState.fire(this._state))}openUri(k,_){let T;if(typeof k=="string"){T=k;try{k=C.URI.parse(k)}catch{return Promise.reject(`Invalid uri - '${k}'`)}}return(0,y.isFalsyOrWhitespace)(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===P.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,T,_)}async asExternalUri(k,_){if((0,y.isFalsyOrWhitespace)(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");const T=await this._proxy.$asExternalUri(k,_);return C.URI.from(T)}};I.InitialState={focused:!0},I=je([xe(0,w.IExtHostRpcService)],I),e.ExtHostWindow=I,e.IExtHostWindow=(0,D.createDecorator)("IExtHostWindow")}),define(De[265],Ie([1,0,112,266,63,37,2,14,45]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class I{constructor(_,T,E){this._commands=_,this.logService=T,this._ipcHandlePath=E,this._server=t.createServer((b,v)=>this.onRequest(b,v)),this.setup().catch(b=>(T.error(b),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",_=>this.logService.error(_))}catch{this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(_,T){const E=(v,h)=>{T.writeHead(v,{"content-type":"application/json"}),T.end(JSON.stringify(h||null),p=>p&&this.logService.error(p))},b=[];_.setEncoding("utf8"),_.on("data",v=>b.push(v)),_.on("end",async()=>{try{const v=JSON.parse(b.join(""));let h;switch(v.type){case"open":h=await this.open(v);break;case"openExternal":h=await this.openExternal(v);break;case"status":h=await this.getStatus(v);break;case"extensionManagement":h=await this.manageExtensions(v);break;default:E(404,`Unknown message type: ${v.type}`);break}E(200,h)}catch(v){const h=v instanceof Error?v.message:JSON.stringify(v);E(500,h),this.logService.error("Error while processing pipe request",v)}})}async open(_){const{fileURIs:T,folderURIs:E,forceNewWindow:b,diffMode:v,mergeMode:h,addMode:p,forceReuseWindow:g,gotoLineMode:a,waitMarkerFilePath:m,remoteAuthority:c}=_,l=[];if(Array.isArray(E))for(const n of E)try{l.push({folderUri:y.URI.parse(n)})}catch{}if(Array.isArray(T))for(const n of T)try{(0,w.hasWorkspaceFileExtension)(n)?l.push({workspaceUri:y.URI.parse(n)}):l.push({fileUri:y.URI.parse(n)})}catch{}const r=m?y.URI.file(m):void 0,s={forceNewWindow:b,diffMode:v,mergeMode:h,addMode:p,gotoLineMode:a,forceReuseWindow:g,preferNewWindow:!g&&!r&&!p,waitMarkerFileURI:r,remoteAuthority:c};return this._commands.executeCommand("_remoteCLI.windowOpen",l,s),""}async openExternal(_){for(const T of _.uris){const E=y.URI.parse(T),b=E.scheme==="file"?E:T;await this._commands.executeCommand("_remoteCLI.openExternal",b)}}async manageExtensions(_){const T=b=>b?.map(v=>/\.vsix$/i.test(v)?y.URI.parse(v):v),E={list:_.list,install:T(_.install),uninstall:T(_.uninstall),force:_.force};return await this._commands.executeCommand("_remoteCLI.manageExtensions",E)}async getStatus(_){return await this._commands.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&C.existsSync(this._ipcHandlePath)&&C.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=I;let A=class extends I{constructor(_,T){super(_,T,(0,u.createRandomIPCHandle)())}};A=je([xe(0,P.IExtHostCommands),xe(1,D.ILogService)],A),e.CLIServer=A}),define(De[267],Ie([1,0,239,26,15]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostConsoleForwarder=void 0;const P=1024*1024;let y=class extends u.AbstractExtHostConsoleForwarder{constructor(w,I){super(w,I);this._isMakingConsoleCall=!1,this._wrapStream("stderr","error"),this._wrapStream("stdout","log")}_nativeConsoleLogMessage(w,I,A){const k=w==="error"||w==="warn"?process.stderr:process.stdout;this._isMakingConsoleCall=!0,k.write(`
START_NATIVE_LOG
`),I.apply(console,A),k.write(`
END_NATIVE_LOG
`),this._isMakingConsoleCall=!1}_wrapStream(w,I){const A=process[w],k=A.write;let _="";Object.defineProperty(A,"write",{set:()=>{},get:()=>(T,E,b)=>{if(!this._isMakingConsoleCall){_+=T.toString(E);const v=_.length>P?_.length:_.lastIndexOf(`
`);v!==-1&&(console[I](_.slice(0,v)),_=_.slice(v+1))}k.call(A,T,E,b)}})}};y=je([xe(0,C.IExtHostRpcService),xe(1,t.IExtHostInitDataService)],y),e.ExtHostConsoleForwarder=y}),define(De[268],Ie([1,0,9,81,34,37,6,5,2,15]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let A=class extends y.Disposable{constructor(_,T){super();const E=_.getProxy(D.MainContext.MainThreadDownloadService);T.registerCommand(!1,"_workbench.downloadResource",async b=>{const v=w.URI.file((0,u.join)((0,t.tmpdir)(),(0,C.generateUuid)()));return await E.$download(b,v),v})}};A=je([xe(0,I.IExtHostRpcService),xe(1,P.IExtHostCommands)],A),e.ExtHostDownloadService=A}),define(De[269],Ie([1,0,136,12,193,34]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;class y extends u.ExtHostLoggerService{doCreateLogger(w,I,A){return w.scheme===t.Schemas.file?new C.SpdLogLogger(A?.name||(0,P.generateUuid)(),w.fsPath,!A?.donotRotate,!!A?.donotUseFormatters,I):super.doCreateLogger(w,I,A)}}e.ExtHostLoggerService=y}),define(De[270],Ie([1,0,63,9,2,69,6,12,18,29]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=void 0;class A extends P.ExtensionStoragePaths{constructor(){super(...arguments);this._workspaceStorageLock=null}async _getWorkspaceStorageURI(c){const l=await super._getWorkspaceStorageURI(c);if(l.scheme!==D.Schemas.file)return l;if(this._environment.skipWorkspaceStorageLock)return this._logService.info(`Skipping acquiring lock for ${l.fsPath}.`),l;const r=l.fsPath;let i=0;do{let s;i===0?s=r:s=/[/\\]$/.test(r)?`${r.substr(0,r.length-1)}-${i}`:`${r}-${i}`,await k(s);const n=t.join(s,"vscode.lock"),o=await b(this._logService,n,!1);if(o)return this._workspaceStorageLock=o,process.on("exit",()=>{o.dispose()}),C.URI.file(s);i++}while(i<10);return l}onWillDeactivateAll(){this._workspaceStorageLock?.setWillRelease(6e3)}}e.ExtensionStoragePaths=A;async function k(m){try{await I.Promises.stat(m);return}catch{}try{await I.Promises.mkdir(m,{recursive:!0})}catch{}}const _=1e3,T=10*60*1e3;class E extends y.Disposable{constructor(c,l){super();this.logService=c,this.filename=l,this._timer=this._register(new w.IntervalTimer),this._timer.cancelAndSet(async()=>{const r=await v(c,l);(!r||r.pid!==process.pid)&&(c.info(`Lock '${l}': The lock was lost unexpectedly.`),this._timer.cancel());try{await I.Promises.utimes(l,new Date,new Date)}catch(i){c.error(i),c.info(`Lock '${l}': Could not update mtime.`)}},_)}dispose(){super.dispose();try{u.unlinkSync(this.filename)}catch{}}async setWillRelease(c){this.logService.info(`Lock '${this.filename}': Marking the lockfile as scheduled to be released in ${c} ms.`);try{const l={pid:process.pid,willReleaseAt:Date.now()+c};await I.Promises.writeFile(this.filename,JSON.stringify(l),{flag:"w"})}catch(l){this.logService.error(l)}}}async function b(m,c,l){try{const i={pid:process.pid,willReleaseAt:0};await I.Promises.writeFile(c,JSON.stringify(i),{flag:"wx"})}catch(i){m.error(i)}const r=await v(m,c);return!r||r.pid!==process.pid?l?(m.info(`Lock '${c}': Could not acquire lock, giving up.`),null):(m.info(`Lock '${c}': Could not acquire lock, checking if the file is stale.`),g(m,c)):(m.info(`Lock '${c}': Lock acquired.`),new E(m,c))}async function v(m,c){let l;try{l=await I.Promises.readFile(c)}catch(r){return m.error(r),null}try{return JSON.parse(String(l))}catch(r){return m.error(r),null}}async function h(m,c){let l;try{l=await I.Promises.stat(c)}catch(r){return m.error(r),0}return l.mtime.getTime()}function p(m){try{return process.kill(m,0),!0}catch{return!1}}async function g(m,c){const l=await v(m,c);if(!l)return m.info(`Lock '${c}': Could not read pid of lock holder.`),a(m,c);if(l.willReleaseAt){let o=l.willReleaseAt-Date.now();if(o<5e3){for(o>0?m.info(`Lock '${c}': The lockfile is scheduled to be released in ${o} ms.`):m.info(`Lock '${c}': The lockfile is scheduled to have been released.`);o>0;){if(await(0,w.timeout)(Math.min(100,o)),await h(m,c)===0)return a(m,c);o=l.willReleaseAt-Date.now()}return a(m,c)}}if(!p(l.pid))return m.info(`Lock '${c}': The pid ${l.pid} appears to be gone.`),a(m,c);const r=await h(m,c),i=Date.now()-r;if(i<=T)return m.info(`Lock '${c}': The lock does not look stale, elapsed: ${i} ms, giving up.`),null;m.info(`Lock '${c}': The lock looks stale, waiting for 2s.`),await(0,w.timeout)(2e3);const s=await h(m,c),n=Date.now()-s;return n<=T?(m.info(`Lock '${c}': The lock does not look stale, elapsed: ${n} ms, giving up.`),null):(m.info(`Lock '${c}': The lock looks stale even after waiting for 2s.`),a(m,c))}async function a(m,c){m.info(`Lock '${c}': Deleting a stale lock.`);try{await I.Promises.unlink(c)}catch{}return b(m,c,!0)}}),define(De[271],Ie([1,0,34,15,38]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let P=class extends C.BaseExtHostTerminalService{constructor(D){super(!0,D)}createTerminal(D,w,I){return this.createTerminalFromOptions({name:D,shellPath:w,shellArgs:I})}createTerminalFromOptions(D,w){const I=new C.ExtHostTerminal(this._proxy,(0,u.generateUuid)(),D,D.name);return this._terminals.push(I),I.create(D,this._serializeParentTerminal(D,w)),I.value}};P=je([xe(0,t.IExtHostRpcService)],P),e.ExtHostTerminalService=P}),define(De[272],Ie([1,0,5,15,177,6,26,2,44,22,29,7,11,53,4,123,94,14]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.tryFindRootPorts=e.findPorts=e.getRootProcesses=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class p extends b.DisposableTunnel{}function g(o){const d=o.trim().split(`
`),f=[];return d.forEach(L=>{const M=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(L);M&&M.length>=3&&f.push({pid:parseInt(M[1],10),socket:parseInt(M[2],10)})}),f.reduce((L,M)=>(L[M.socket]=M,L),{})}e.getSockets=g;function a(...o){const d=[].concat(...o.map(c));return[...new Map(d.filter(f=>f.st==="0A").map(f=>{const S=f.local_address.split(":");return{socket:parseInt(f.inode,10),ip:m(S[0]),port:parseInt(S[1],16)}}).map(f=>[f.ip+":"+f.port,f])).values()]}e.loadListeningPorts=a;function m(o){let d="";if(o.length===8)for(let f=o.length-2;f>=0;f-=2)d+=parseInt(o.substr(f,2),16),f!==0&&(d+=".");else for(let f=o.length-4;f>=0;f-=4)d+=parseInt(o.substr(f,4),16).toString(16),f!==0&&(d+=":");return d}e.parseIpAddress=m;function c(o){const d=o.trim().split(`
`),f=d.shift().trim().split(/\s+/).filter(L=>L!=="rx_queue"&&L!=="tm->when");return d.map(L=>L.trim().split(/\s+/).reduce((M,B,R)=>(M[f[R]||R]=B,M),{}))}e.loadConnectionTable=c;function l(o){return!!o.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||o.indexOf("out/server-main.js")!==-1||o.indexOf("_productName=VSCode")!==-1}function r(o){const d=o.trim().split(`
`),f=[];return d.forEach(S=>{const L=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(S);L&&L.length>=4&&f.push({pid:parseInt(L[1],10),ppid:parseInt(L[2]),cmd:L[3]})}),f}e.getRootProcesses=r;async function i(o,d,f){const S=f.reduce((M,B)=>(M[B.pid]=B,M),{}),L=[];return o.forEach(({socket:M,ip:B,port:R})=>{const U=d[M]?d[M].pid:void 0,$=U?S[U]?.cmd:void 0;U&&$&&!l($)&&L.push({host:B,port:R,detail:$,pid:U})}),L}e.findPorts=i;function s(o,d,f){const S=new Map,L=r(d);for(const M of o){const B=f.get(M.port);if(B){S.set(M.port,B);continue}const R=L.find(U=>U.cmd.includes(`${M.port}`));if(R){let U=R,$;do $=L.find(N=>N.ppid===U.pid),$&&(U=$);while($);S.set(M.port,{host:M.ip,port:M.port,pid:U.pid,detail:U.cmd,ppid:U.ppid})}else S.set(M.port,{host:M.ip,port:M.port,ppid:Number.MAX_VALUE})}return S}e.tryFindRootPorts=s;let n=class extends P.Disposable{constructor(d,f,S){super();this.logService=S,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new E.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._foundRootPorts=new Map,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=d.getProxy(u.MainContext.MainThreadTunnelService),_.isLinux&&f.remote.isRemote&&f.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(d,f){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${d.identifier.value} called openTunnel API for ${f.remoteAddress.host}:${f.remoteAddress.port}.`);const S=await this._proxy.$openTunnel(f,d.displayName);if(S){const L=new p(S.remoteAddress,S.localAddress,()=>this._proxy.$closeTunnel(S.remoteAddress));return this._register(L),L}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(d){return Math.max(d*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(d,f){const S=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(S,{selector:d,provider:f}),this._proxy.$registerPortsAttributesProvider(d,S),new k.Disposable(()=>{this._portAttributesProviders.delete(S),this._proxy.$unregisterPortsAttributesProvider(S)})}async $providePortAttributes(d,f,S,L,M){const B=[];for(const U of d){const $=this._portAttributesProviders.get(U);if(!$)return[];B.push(...await Promise.all(f.map(async N=>$.provider.providePortAttributes(N,S,L,M))))}const R=B.filter(U=>!!U);return R.length>0?R.map(U=>({autoForwardAction:U.autoForwardAction,port:U.port})):[]}async $registerCandidateFinder(d){if(d&&this._candidateFindingEnabled)return;this._candidateFindingEnabled=d;const f=new v.MovingAverage;let S;for(;this._candidateFindingEnabled;){const L=new Date().getTime(),M=(await this.findCandidatePorts()).filter(R=>(0,b.isLocalhost)(R.host)||(0,b.isAllInterfaces)(R.host));this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${M.map(R=>R.port).join(", ")}`);const B=new Date().getTime()-L;f.update(B),(!S||JSON.stringify(S)!==JSON.stringify(M))&&(S=M,await this._proxy.$onFoundNewCandidates(S)),await new Promise(R=>setTimeout(()=>R(),this.calculateDelay(f.value)))}}async setTunnelFactory(d){if(d){if(d.candidatePortSource!==void 0&&this._proxy.$setCandidatePortSource(d.candidatePortSource),d.showCandidatePort&&(this._showCandidatePort=d.showCandidatePort,this._proxy.$setCandidateFilter()),d.tunnelFactory){this._forwardPortProvider=d.tunnelFactory;let f=d.tunnelFeatures?.privacyOptions??[];d.tunnelFeatures?.public&&f.length===0&&(f=[{id:"private",label:C.localize(0,null),themeIcon:"lock"},{id:"public",label:C.localize(1,null),themeIcon:"eye"}]);const S=d.tunnelFeatures?{elevation:!!d.tunnelFeatures?.elevation,public:!!d.tunnelFeatures?.public,privacyOptions:f}:void 0;this._proxy.$setTunnelProvider(S)}}else this._forwardPortProvider=void 0;return(0,P.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(d,f){if(this._extensionTunnels.has(d.host)){const S=this._extensionTunnels.get(d.host);S.has(d.port)&&(f&&S.get(d.port).disposeListener.dispose(),await S.get(d.port).tunnel.dispose(),S.delete(d.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(d,f){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const S=this._forwardPortProvider(d,f);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),S!==void 0){const L=await S;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(d.remoteAddress.host)||this._extensionTunnels.set(d.remoteAddress.host,new Map);const M=this._register(L.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(L.remoteAddress))));return this._extensionTunnels.get(d.remoteAddress.host).set(d.remoteAddress.port,{tunnel:L,disposeListener:M}),T.TunnelDtoConverter.fromApiTunnel(L)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(d){const f=await Promise.all(d.map(L=>this._showCandidatePort(L.host,L.port,L.detail??""))),S=d.filter((L,M)=>f[M]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${d.map(L=>L.port).join(", ")} to ${S.map(L=>L.port).join(", ")}`),S}async findCandidatePorts(){let d="",f="";try{d=await A.Promises.readFile("/proc/net/tcp","utf8"),f=await A.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const S=a(d,f),L=await new Promise(z=>{(0,w.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(O,x,V)=>{z(x)})}),M=g(L),B=await A.Promises.readdir("/proc"),R=[];for(const z of B)try{const O=Number(z),x=I.joinPath(D.URI.file("/proc"),z);if((await A.Promises.stat(x.fsPath)).isDirectory()&&!isNaN(O)){const q=await A.Promises.readlink(I.joinPath(x,"cwd").fsPath),J=await A.Promises.readFile(I.joinPath(x,"cmdline").fsPath,"utf8");R.push({pid:O,cwd:q,cmd:J})}}catch{}const U=[],$=S.filter(z=>{const O=M[z.socket];return O||U.push(z),O}),N=i($,M,R);let X;if(this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${U.length}`),U.length>0){const z=await new Promise(O=>{(0,w.exec)("ps -F -A -l | grep root",(x,V,q)=>{O(V)})});this._foundRootPorts=s(U,z,this._foundRootPorts),X=Array.from(this._foundRootPorts.values()),this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${X.join(", ")}`)}return N.then(z=>X?z.concat(X):z)}};n=je([xe(0,t.IExtHostRpcService),xe(1,y.IExtHostInitDataService),xe(2,h.ILogService)],n),e.ExtHostTunnelService=n}),define(De[273],Ie([1,0,18,23,21,10,4,6,107,233,55]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function _(S,L){try{return JSON.stringify(S,L)}catch{return"null"}}const T="$$ref$$",E={[T]:-1};class b{constructor(L,M){this.jsonString=L,this.referencedBuffers=M}}function v(S,L=null,M=!1){const B=[];return{jsonString:(M?_:JSON.stringify)(S,(U,$)=>{if(typeof $=="undefined")return E;if(typeof $=="object"){if($ instanceof t.VSBuffer){const N=B.push($)-1;return{[T]:N}}if(L)return L(U,$)}return $}),referencedBuffers:B}}e.stringifyJsonWithBufferRefs=v;function h(S,L,M){return JSON.parse(S,(B,R)=>{if(R){const U=R[T];if(typeof U=="number")return L[U];if(M&&R.$mid===1)return M.transformIncoming(R)}return R})}e.parseJsonAndRestoreBufferRefs=h;function p(S,L){return JSON.stringify(S,L)}function g(S){return S?(L,M)=>M&&M.$mid===1?S.transformOutgoing(M):M:null}var a;(function(S){S[S.LocalSide=0]="LocalSide",S[S.OtherSide=1]="OtherSide"})(a=e.RequestInitiator||(e.RequestInitiator={}));var m;(function(S){S[S.Responsive=0]="Responsive",S[S.Unresponsive=1]="Unresponsive"})(m=e.ResponsiveState||(e.ResponsiveState={}));const c=()=>{},l=Symbol.for("rpcProtocol"),r=Symbol.for("rpcProxy");class i extends D.Disposable{constructor(L,M=null,B=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new y.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=L,this._logger=M,this._uriTransformer=B,this._uriReplacer=g(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let R=0,U=A.ProxyIdentifier.count;R<U;R++)this._locals[R]=null,this._proxies[R]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new u.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(R=>this._receiveOneMessage(R))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(L=>{this._pendingRPCReplies[L].resolveErr(P.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(L){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+i.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(L){this._unresponsiveTime=Date.now()+i.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(L){this._responsiveState!==L&&(this._responsiveState=L,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(L){return this._uriTransformer?(0,w.transformIncomingURIs)(L,this._uriTransformer):L}getProxy(L){const{nid:M,sid:B}=L;return this._proxies[M]||(this._proxies[M]=this._createProxy(M,B)),this._proxies[M]}_createProxy(L,M){const B={get:(R,U)=>(typeof U=="string"&&!R[U]&&U.charCodeAt(0)===36&&(R[U]=(...$)=>this._remoteCall(L,U,$)),U===r?M:R[U])};return new Proxy(Object.create(null),B)}set(L,M){return this._locals[L.nid]=M,M}assertRegistered(L){for(let M=0,B=L.length;M<B;M++){const R=L[M];if(!this._locals[R.nid])throw new Error(`Missing proxy instance ${R.sid}`)}}_receiveOneMessage(L){if(this._isDisposed)return;const M=L.byteLength,B=s.read(L,0),R=B.readUInt8(),U=B.readUInt32();switch(R){case 1:case 2:{let{rpcId:$,method:N,args:X}=o.deserializeRequestJSONArgs(B);this._uriTransformer&&(X=(0,w.transformIncomingURIs)(X,this._uriTransformer)),this._receiveRequest(M,U,$,N,X,R===2);break}case 3:case 4:{let{rpcId:$,method:N,args:X}=o.deserializeRequestMixedArgs(B);this._uriTransformer&&(X=(0,w.transformIncomingURIs)(X,this._uriTransformer)),this._receiveRequest(M,U,$,N,X,R===4);break}case 5:{this._logger?.logIncoming(M,U,0,"ack"),this._onDidReceiveAcknowledge(U);break}case 6:{this._receiveCancel(M,U);break}case 7:{this._receiveReply(M,U,void 0);break}case 9:{let $=o.deserializeReplyOKJSON(B);this._uriTransformer&&($=(0,w.transformIncomingURIs)($,this._uriTransformer)),this._receiveReply(M,U,$);break}case 10:{const $=o.deserializeReplyOKJSONWithBuffers(B,this._uriTransformer);this._receiveReply(M,U,$);break}case 8:{const $=o.deserializeReplyOKVSBuffer(B);this._receiveReply(M,U,$);break}case 11:{let $=o.deserializeReplyErrError(B);this._uriTransformer&&($=(0,w.transformIncomingURIs)($,this._uriTransformer)),this._receiveReplyErr(M,U,$);break}case 12:{this._receiveReplyErr(M,U,void 0);break}default:console.error("received unexpected message"),console.error(L)}}_receiveRequest(L,M,B,R,U,$){this._logger?.logIncoming(L,M,1,`receiveRequest ${(0,A.getStringIdentifierForProxy)(B)}.${R}(`,U);const N=String(M);let X,z;if($){const x=new C.CancellationTokenSource;U.push(x.token),X=this._invokeHandler(B,R,U),z=()=>x.cancel()}else X=this._invokeHandler(B,R,U),z=c;this._cancelInvokedHandlers[N]=z;const O=o.serializeAcknowledged(M);this._logger?.logOutgoing(O.byteLength,M,1,"ack"),this._protocol.send(O),X.then(x=>{delete this._cancelInvokedHandlers[N];const V=o.serializeReplyOK(M,x,this._uriReplacer);this._logger?.logOutgoing(V.byteLength,M,1,"reply:",x),this._protocol.send(V)},x=>{delete this._cancelInvokedHandlers[N];const V=o.serializeReplyErr(M,x);this._logger?.logOutgoing(V.byteLength,M,1,"replyErr:",x),this._protocol.send(V)})}_receiveCancel(L,M){this._logger?.logIncoming(L,M,1,"receiveCancel");const B=String(M);this._cancelInvokedHandlers[B]?.()}_receiveReply(L,M,B){this._logger?.logIncoming(L,M,0,"receiveReply:",B);const R=String(M);if(!this._pendingRPCReplies.hasOwnProperty(R))return;const U=this._pendingRPCReplies[R];delete this._pendingRPCReplies[R],U.resolveOk(B)}_receiveReplyErr(L,M,B){this._logger?.logIncoming(L,M,0,"receiveReplyErr:",B);const R=String(M);if(!this._pendingRPCReplies.hasOwnProperty(R))return;const U=this._pendingRPCReplies[R];delete this._pendingRPCReplies[R];let $;B&&(B.$isError?($=new Error,$.name=B.name,$.message=B.message,$.stack=B.stack):$=B),U.resolveErr($)}_invokeHandler(L,M,B){try{return Promise.resolve(this._doInvokeHandler(L,M,B))}catch(R){return Promise.reject(R)}}_doInvokeHandler(L,M,B){const R=this._locals[L];if(!R)throw new Error("Unknown actor "+(0,A.getStringIdentifierForProxy)(L));const U=R[M];if(typeof U!="function")throw new Error("Unknown method "+M+" on actor "+(0,A.getStringIdentifierForProxy)(L));return U.apply(R,B)}_remoteCall(L,M,B){if(this._isDisposed)return new I.CanceledLazyPromise;let R=null;if(B.length>0&&C.CancellationToken.isCancellationToken(B[B.length-1])&&(R=B.pop()),R&&R.isCancellationRequested)return Promise.reject(P.canceled());const U=o.serializeRequestArguments(B,this._uriReplacer),$=++this._lastMessageId,N=String($),X=new I.LazyPromise;R&&R.onCancellationRequested(()=>{const O=o.serializeCancel($);this._logger?.logOutgoing(O.byteLength,$,0,"cancel"),this._protocol.send(o.serializeCancel($))}),this._pendingRPCReplies[N]=X,this._onWillSendRequest($);const z=o.serializeRequest($,L,M,U,!!R);return this._logger?.logOutgoing(z.byteLength,$,0,`request: ${(0,A.getStringIdentifierForProxy)(L)}.${M}(`,B),this._protocol.send(z),X}}e.RPCProtocol=i,k=l,i.UNRESPONSIVE_TIME=3*1e3;class s{constructor(L,M){this._buff=L,this._offset=M}static alloc(L,M,B){const R=new s(t.VSBuffer.alloc(B+1+4),0);return R.writeUInt8(L),R.writeUInt32(M),R}static read(L,M){return new s(L,M)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(L){this._buff.writeUInt8(L,this._offset),this._offset+=1}readUInt8(){const L=this._buff.readUInt8(this._offset);return this._offset+=1,L}writeUInt32(L){this._buff.writeUInt32BE(L,this._offset),this._offset+=4}readUInt32(){const L=this._buff.readUInt32BE(this._offset);return this._offset+=4,L}static sizeShortString(L){return 1+L.byteLength}writeShortString(L){this._buff.writeUInt8(L.byteLength,this._offset),this._offset+=1,this._buff.set(L,this._offset),this._offset+=L.byteLength}readShortString(){const L=this._buff.readUInt8(this._offset);this._offset+=1;const B=this._buff.slice(this._offset,this._offset+L).toString();return this._offset+=L,B}static sizeLongString(L){return 4+L.byteLength}writeLongString(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}readLongString(){const L=this._buff.readUInt32BE(this._offset);this._offset+=4;const B=this._buff.slice(this._offset,this._offset+L).toString();return this._offset+=L,B}writeBuffer(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}static sizeVSBuffer(L){return 4+L.byteLength}writeVSBuffer(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}readVSBuffer(){const L=this._buff.readUInt32BE(this._offset);this._offset+=4;const M=this._buff.slice(this._offset,this._offset+L);return this._offset+=L,M}static sizeMixedArray(L){let M=0;M+=1;for(let B=0,R=L.length;B<R;B++){const U=L[B];switch(M+=1,U.type){case 1:M+=this.sizeLongString(U.value);break;case 2:M+=this.sizeVSBuffer(U.value);break;case 3:M+=this.sizeUInt32,M+=this.sizeLongString(U.value);for(let $=0;$<U.buffers.length;++$)M+=this.sizeVSBuffer(U.buffers[$]);break;case 4:break}}return M}writeMixedArray(L){this._buff.writeUInt8(L.length,this._offset),this._offset+=1;for(let M=0,B=L.length;M<B;M++){const R=L[M];switch(R.type){case 1:this.writeUInt8(1),this.writeLongString(R.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(R.value);break;case 3:this.writeUInt8(3),this.writeUInt32(R.buffers.length),this.writeLongString(R.value);for(let U=0;U<R.buffers.length;++U)this.writeBuffer(R.buffers[U]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const L=this._buff.readUInt8(this._offset);this._offset+=1;const M=new Array(L);for(let B=0;B<L;B++)switch(this.readUInt8()){case 1:M[B]=this.readLongString();break;case 2:M[B]=this.readVSBuffer();break;case 3:{const U=this.readUInt32(),$=this.readLongString(),N=[];for(let X=0;X<U;++X)N.push(this.readVSBuffer());M[B]=new A.SerializableObjectWithBuffers(h($,N,null));break}case 4:M[B]=void 0;break}return M}}s.sizeUInt32=4;var n;(function(S){S[S.Simple=0]="Simple",S[S.Mixed=1]="Mixed"})(n||(n={}));class o{static _useMixedArgSerialization(L){for(let M=0,B=L.length;M<B;M++)if(L[M]instanceof t.VSBuffer||L[M]instanceof A.SerializableObjectWithBuffers||typeof L[M]=="undefined")return!0;return!1}static serializeRequestArguments(L,M){if(this._useMixedArgSerialization(L)){const B=[];for(let R=0,U=L.length;R<U;R++){const $=L[R];if($ instanceof t.VSBuffer)B[R]={type:2,value:$};else if(typeof $=="undefined")B[R]={type:4};else if($ instanceof A.SerializableObjectWithBuffers){const{jsonString:N,referencedBuffers:X}=v($.value,M);B[R]={type:3,value:t.VSBuffer.fromString(N),buffers:X}}else B[R]={type:1,value:t.VSBuffer.fromString(p($,M))}}return{type:1,args:B}}return{type:0,args:p(L,M)}}static serializeRequest(L,M,B,R,U){switch(R.type){case 0:return this._requestJSONArgs(L,M,B,R.args,U);case 1:return this._requestMixedArgs(L,M,B,R.args,U)}}static _requestJSONArgs(L,M,B,R,U){const $=t.VSBuffer.fromString(B),N=t.VSBuffer.fromString(R);let X=0;X+=s.sizeUInt8(),X+=s.sizeShortString($),X+=s.sizeLongString(N);const z=s.alloc(U?2:1,L,X);return z.writeUInt8(M),z.writeShortString($),z.writeLongString(N),z.buffer}static deserializeRequestJSONArgs(L){const M=L.readUInt8(),B=L.readShortString(),R=L.readLongString();return{rpcId:M,method:B,args:JSON.parse(R)}}static _requestMixedArgs(L,M,B,R,U){const $=t.VSBuffer.fromString(B);let N=0;N+=s.sizeUInt8(),N+=s.sizeShortString($),N+=s.sizeMixedArray(R);const X=s.alloc(U?4:3,L,N);return X.writeUInt8(M),X.writeShortString($),X.writeMixedArray(R),X.buffer}static deserializeRequestMixedArgs(L){const M=L.readUInt8(),B=L.readShortString(),R=L.readMixedArray(),U=new Array(R.length);for(let $=0,N=R.length;$<N;$++){const X=R[$];typeof X=="string"?U[$]=JSON.parse(X):U[$]=X}return{rpcId:M,method:B,args:U}}static serializeAcknowledged(L){return s.alloc(5,L,0).buffer}static serializeCancel(L){return s.alloc(6,L,0).buffer}static serializeReplyOK(L,M,B){if(typeof M=="undefined")return this._serializeReplyOKEmpty(L);if(M instanceof t.VSBuffer)return this._serializeReplyOKVSBuffer(L,M);if(M instanceof A.SerializableObjectWithBuffers){const{jsonString:R,referencedBuffers:U}=v(M.value,B,!0);return this._serializeReplyOKJSONWithBuffers(L,R,U)}else return this._serializeReplyOKJSON(L,_(M,B))}static _serializeReplyOKEmpty(L){return s.alloc(7,L,0).buffer}static _serializeReplyOKVSBuffer(L,M){let B=0;B+=s.sizeVSBuffer(M);const R=s.alloc(8,L,B);return R.writeVSBuffer(M),R.buffer}static deserializeReplyOKVSBuffer(L){return L.readVSBuffer()}static _serializeReplyOKJSON(L,M){const B=t.VSBuffer.fromString(M);let R=0;R+=s.sizeLongString(B);const U=s.alloc(9,L,R);return U.writeLongString(B),U.buffer}static _serializeReplyOKJSONWithBuffers(L,M,B){const R=t.VSBuffer.fromString(M);let U=0;U+=s.sizeUInt32,U+=s.sizeLongString(R);for(const N of B)U+=s.sizeVSBuffer(N);const $=s.alloc(10,L,U);$.writeUInt32(B.length),$.writeLongString(R);for(const N of B)$.writeBuffer(N);return $.buffer}static deserializeReplyOKJSON(L){const M=L.readLongString();return JSON.parse(M)}static deserializeReplyOKJSONWithBuffers(L,M){const B=L.readUInt32(),R=L.readLongString(),U=[];for(let $=0;$<B;++$)U.push(L.readVSBuffer());return new A.SerializableObjectWithBuffers(h(R,U,M))}static serializeReplyErr(L,M){const B=M?_(P.transformErrorForSerialization(M),null):void 0;if(typeof B!="string")return this._serializeReplyErrEmpty(L);const R=t.VSBuffer.fromString(B);let U=0;U+=s.sizeLongString(R);const $=s.alloc(11,L,U);return $.writeLongString(R),$.buffer}static deserializeReplyErrError(L){const M=L.readLongString();return JSON.parse(M)}static _serializeReplyErrEmpty(L){return s.alloc(12,L,0).buffer}}var d;(function(S){S[S.RequestJSONArgs=1]="RequestJSONArgs",S[S.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",S[S.RequestMixedArgs=3]="RequestMixedArgs",S[S.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",S[S.Acknowledged=5]="Acknowledged",S[S.Cancel=6]="Cancel",S[S.ReplyOKEmpty=7]="ReplyOKEmpty",S[S.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",S[S.ReplyOKJSON=9]="ReplyOKJSON",S[S.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",S[S.ReplyErrError=11]="ReplyErrError",S[S.ReplyErrEmpty=12]="ReplyErrEmpty"})(d||(d={}));var f;(function(S){S[S.String=1]="String",S[S.VSBuffer=2]="VSBuffer",S[S.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",S[S.Undefined=4]="Undefined"})(f||(f={}))}),define(De[274],Ie([1,0,4,43,52,3,42,10,18]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerLogChannel=e.Extensions=e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new C.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new C.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new C.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,P.createDecorator)(e.OUTPUT_SERVICE_ID);var I;(function(T){T[T.Append=1]="Append",T[T.Replace=2]="Replace",T[T.Clear=3]="Clear"})(I=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={})),e.Extensions={OutputChannels:"workbench.contributions.outputChannels"};class A{constructor(){this.channels=new Map,this._onDidRegisterChannel=new u.Emitter,this.onDidRegisterChannel=this._onDidRegisterChannel.event,this._onDidRemoveChannel=new u.Emitter,this.onDidRemoveChannel=this._onDidRemoveChannel.event}registerChannel(E){this.channels.has(E.id)||(this.channels.set(E.id,E),this._onDidRegisterChannel.fire(E.id))}getChannels(){const E=[];return this.channels.forEach(b=>E.push(b)),E}getChannel(E){return this.channels.get(E)}removeChannel(E){this.channels.delete(E),this._onDidRemoveChannel.fire(E)}}t.Registry.add(e.Extensions.OutputChannels,new A);function k(T,E,b,v,h){return(0,w.createCancelablePromise)(async p=>{await(0,y.whenProviderRegistered)(b,v);const g=t.Registry.as(e.Extensions.OutputChannels);try{await _(b,1,v,h,p),g.registerChannel({id:T,label:E,file:b,log:!0})}catch(a){(0,D.isCancellationError)(a)||h.error("Error while registering log channel",b.toString(),(0,D.getErrorMessage)(a))}})}e.registerLogChannel=k;async function _(T,E,b,v,h){if(!await b.exists(T)){if(h.isCancellationRequested)throw new D.CancellationError;if(E>10)throw new Error("Timed out while waiting for file to be created");v.debug("[Registering Log Channel] File does not exist. Waiting for 1s to retry.",T.toString()),await(0,w.timeout)(1e3,h),await _(T,E+1,b,v,h)}}}),define(De[139],Ie([1,0,5,6,3,15,14,274,68,26,46,152,23,13]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class E extends t.Disposable{constructor(h,p,g,a){super();this.id=h,this.name=p,this.logger=g,this.proxy=a,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(h){this.append(h+`
`)}append(h){this.write(h),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,D.OutputChannelUpdateMode.Append))}clear(){const h=this.offset;this.logger.flush(),this.proxy.$update(this.id,D.OutputChannelUpdateMode.Clear,h)}replace(h){const p=this.offset;this.write(h),this.proxy.$update(this.id,D.OutputChannelUpdateMode.Replace,p),this.visible&&this.logger.flush()}show(h,p){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof h=="boolean"?h:p))}hide(){this.proxy.$close(this.id)}write(h){this.offset+=_.VSBuffer.fromString(h).byteLength,this.logger.info(h)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=E;let b=class{constructor(h,p,g,a,m){this.extHostFileSystem=g,this.extHostFileSystemInfo=a,this.loggerService=m,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=h.getProxy(u.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(p.logsLocation,`output_logging_${(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(h){this.visibleChannelId=h;for(const[p,g]of this.channels)g.visible=p===this.visibleChannelId}createOutputChannel(h,p,g){if(h=h.trim(),!h)throw new Error("illegal argument `name`. must not be falsy");if((0,T.isString)(p)&&!p.trim())throw new Error("illegal argument `languageId`. must not be empty");const a=this.doCreateOutputChannel(h,p,g);return a.then(m=>{this.channels.set(m.id,m),m.visible=m.id===this.visibleChannelId}),this.createExtHostOutputChannel(h,a)}async doCreateOutputChannel(h,p,g){const a=await this.createOutputDirectory(),m=this.extHostFileSystemInfo.extUri.joinPath(a,`${this.namePool++}-${h.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),c=this.loggerService.createLogger(m,{always:!0,donotRotate:!0,donotUseFormatters:!0}),l=await this.proxy.$register(h,!1,m,p,g.identifier.value);return new E(l,h,c,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(h,p){let g=!1;const a=()=>{if(g)throw new Error("Channel has been closed")};return{get name(){return h},append(m){a(),p.then(c=>c.append(m))},appendLine(m){a(),p.then(c=>c.appendLine(m))},clear(){a(),p.then(m=>m.clear())},replace(m){a(),p.then(c=>c.replace(m))},show(m,c){a(),p.then(l=>l.show(m,c))},hide(){a(),p.then(m=>m.hide())},dispose(){g=!0,p.then(m=>m.dispose())}}}};b=je([xe(0,P.IExtHostRpcService),xe(1,I.IExtHostInitDataService),xe(2,w.IExtHostConsumerFileSystem),xe(3,A.IExtHostFileSystemInfo),xe(4,y.ILoggerService)],b),e.ExtHostOutputService=b,e.IExtHostOutputService=(0,C.createDecorator)("IExtHostOutputService")}),define(De[275],Ie([1,0,3]),function(Z,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,u.createDecorator)("remoteAgentService")}),define(De[276],Ie([1,0,31,12,9,11,22,2,3,202,45,224,275]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,w.createDecorator)("pathService");let T=class ei{constructor(b,v,h,p){this.localUserHome=b,this.remoteAgentService=v,this.environmentService=h,this.contextService=p,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||P.OS)(),this.resolveUserHome=(async()=>{const g=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=g?.userHome??b})()}hasValidBasename(b,v,h){return typeof v=="string"||typeof v=="undefined"?this.resolveOS.then(p=>this.doHasValidBasename(b,p,v)):this.doHasValidBasename(b,v,h)}doHasValidBasename(b,v,h){return b.scheme===t.Schemas.file||b.scheme===t.Schemas.vscodeRemote?(0,u.isValidBasename)(h??(0,y.basename)(b),v===1):!0}get defaultUriScheme(){return ei.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(b,v){if(b.remoteAuthority)return t.Schemas.vscodeRemote;const h=(0,I.getVirtualWorkspaceScheme)(v.getWorkspace());if(h)return h;const p=v.getWorkspace().folders[0];if(p)return p.uri.scheme;const g=v.getWorkspace().configuration;return g?g.scheme:t.Schemas.file}userHome(b){return b?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(b=>b===1?C.win32:C.posix)}async fileURI(b){let v="";if(await this.resolveOS===1&&(b=b.replace(/\\/g,"/")),b[0]==="/"&&b[1]==="/"){const p=b.indexOf("/",2);p===-1?(v=b.substring(2),b="/"):(v=b.substring(2,p),b=b.substring(p)||"/")}return D.URI.from({scheme:t.Schemas.file,authority:v,path:b,query:"",fragment:""})}};T=je([xe(1,_.IRemoteAgentService),xe(2,k.IWorkbenchEnvironmentService),xe(3,A.IWorkspaceContextService)],T),e.AbstractPathService=T}),define(De[71],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class u{constructor(y,D){this.line=y,this.character=D}isBefore(y){return!1}isBeforeOrEqual(y){return!1}isAfter(y){return!1}isAfterOrEqual(y){return!1}isEqual(y){return!1}compareTo(y){return 0}translate(y,D){return new u(0,0)}with(y){return new u(0,0)}}e.Position=u;class t{constructor(y,D,w,I){this.isEmpty=!1,this.isSingleLine=!1,this.start=new u(y,D),this.end=new u(w,I)}contains(y){return!1}isEqual(y){return!1}intersection(y){}union(y){return new t(0,0,0,0)}with(y){return new t(0,0,0,0)}}e.Range=t;var C;(function(P){P[P.Information=1]="Information",P[P.Warning=2]="Warning"})(C=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(De[30],Ie([1,0,17,36,24,31,8,3,9,10,71,18]),function(Z,e,u,t,C,P,y,D,w,I,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasSiblingFn=e.hasSiblingPromiseFn=e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return A.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const _="\u27EA ",T=" characters skipped \u27EB",E=(_.length+T.length+5)*2;e.ISearchService=(0,D.createDecorator)("searchService");var b;(function(q){q[q.file=0]="file",q[q.text=1]="text"})(b=e.SearchProviderType||(e.SearchProviderType={}));var v;(function(q){q[q.File=1]="File",q[q.Text=2]="Text"})(v=e.QueryType||(e.QueryType={}));function h(q){return!!q.preview}e.resultIsMatch=h;function p(q){return!!q.resource}e.isFileMatch=p;function g(q){return!!q.message}e.isProgressMessage=g;var a;(function(q){q[q.Normal=0]="Normal",q[q.NewSearchStarted=1]="NewSearchStarted"})(a=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class m{constructor(J){this.resource=J,this.results=[]}}e.FileMatch=m;class c{constructor(J,Y,he){this.ranges=Y;const ve=Array.isArray(Y)?Y:[Y];if(he&&he.matchLines===1&&l(ve)){J=(0,y.getNLines)(J,he.matchLines);let re="",pe=0,be=0;const ke=Math.floor(he.charsPerLine/5),Re=[];for(const Ue of ve){const ae=Math.max(Ue.startColumn-ke,0),de=Ue.startColumn+he.charsPerLine;if(ae>be+ke+E){const ge=_+(ae-be)+T;re+=ge+J.slice(ae,de),pe+=ae-(be+ge.length)}else re+=J.slice(be,de);Re.push(new i(0,Ue.startColumn-pe,Ue.endColumn-pe)),be=de}this.preview={text:re,matches:Array.isArray(this.ranges)?Re:Re[0]}}else{const re=Array.isArray(Y)?Y[0].startLineNumber:Y.startLineNumber;this.preview={text:J,matches:(0,u.mapArrayOrNot)(Y,pe=>new r(pe.startLineNumber-re,pe.startColumn,pe.endLineNumber-re,pe.endColumn))}}}}e.TextSearchMatch=c;function l(q){const J=q[0].startLineNumber;for(const Y of q)if(Y.startLineNumber!==J||Y.endLineNumber!==J)return!1;return!0}class r{constructor(J,Y,he,ve){this.startLineNumber=J,this.startColumn=Y,this.endLineNumber=he,this.endColumn=ve}}e.SearchRange=r;class i extends r{constructor(J,Y,he){super(J,Y,J,he)}}e.OneLineRange=i;var s;(function(q){q.Default="default",q.FileNames="fileNames",q.Type="type",q.Modified="modified",q.CountDescending="countDescending",q.CountAscending="countAscending"})(s=e.SearchSortOrder||(e.SearchSortOrder={}));function n(q,J=!0){const Y=q&&q.files&&q.files.exclude,he=J&&q&&q.search&&q.search.exclude;if(!Y&&!he)return;if(!Y||!he)return Y||he;let ve=Object.create(null);return ve=C.mixin(ve,C.deepClone(Y)),ve=C.mixin(ve,C.deepClone(he),!0),ve}e.getExcludes=n;function o(q,J){return q.excludePattern&&t.match(q.excludePattern,J)?!1:q.includePattern||q.usingSearchPaths?q.includePattern&&t.match(q.includePattern,J)?!0:q.usingSearchPaths?!!q.folderQueries&&q.folderQueries.some(Y=>{const he=Y.folder.fsPath;if(P.isEqualOrParent(J,he)){const ve=w.relative(he,J);return!Y.includePattern||!!t.match(Y.includePattern,ve)}else return!1}):!1:!0}e.pathIncludedInQuery=o;var d;(function(q){q[q.unknownEncoding=1]="unknownEncoding",q[q.regexParseError=2]="regexParseError",q[q.globParseError=3]="globParseError",q[q.invalidLiteral=4]="invalidLiteral",q[q.rgProcessError=5]="rgProcessError",q[q.other=6]="other",q[q.canceled=7]="canceled"})(d=e.SearchErrorCode||(e.SearchErrorCode={}));class f extends Error{constructor(J,Y){super(J);this.code=Y}}e.SearchError=f;function S(q){const J=q.message;if((0,I.isCancellationError)(q))return new f(J,d.canceled);try{const Y=JSON.parse(J);return new f(Y.message,Y.code)}catch{return new f(J,d.other)}}e.deserializeSearchError=S;function L(q){const J={message:q.message,code:q.code};return new Error(JSON.stringify(J))}e.serializeSearchError=L;function M(q){return q.type==="error"?!0:q.type==="success"}e.isSerializedSearchComplete=M;function B(q){return q.type==="success"}e.isSerializedSearchSuccess=B;function R(q){return!!q.path}e.isSerializedFileMatch=R;function U(q,J){const Y=q.searchPath?q.searchPath:q.relativePath;return(0,y.fuzzyContains)(Y,J)}e.isFilePatternMatch=U;class ${constructor(J){this.path=J,this.results=[]}addMatch(J){this.results.push(J)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=$;function N(q,J){const Y={...q||{},...J||{}};return Object.keys(Y).filter(he=>{const ve=Y[he];return typeof ve=="boolean"&&ve})}e.resolvePatternsForProvider=N;class X{constructor(J,Y){this._parsedIncludeExpression=null,this._excludeExpression={...J.excludePattern||{},...Y.excludePattern||{}},this._parsedExcludeExpression=t.parse(this._excludeExpression);let he=J.includePattern;Y.includePattern&&(he?he={...he,...Y.includePattern}:he=Y.includePattern),he&&(this._parsedIncludeExpression=t.parse(he))}matchesExcludesSync(J,Y,he){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(J,Y,he))}includedInQuerySync(J,Y,he){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(J,Y,he)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(J,Y,he))}includedInQuery(J,Y,he){const ve=this._parsedExcludeExpression(J,Y,he),re=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(J,Y,he):!0;return(0,k.isThenable)(ve)?ve.then(pe=>pe?!1:re()):re()}hasSiblingExcludeClauses(){return z(this._excludeExpression)}}e.QueryGlobTester=X;function z(q){for(const J in q)if(typeof q[J]!="boolean")return!0;return!1}function O(q){if(!q)return;let J;return Y=>(J||(J=(q()||Promise.resolve([])).then(he=>he?V(he):{})),J.then(he=>!!he[Y]))}e.hasSiblingPromiseFn=O;function x(q){if(!q)return;let J;return Y=>{if(!J){const he=q();J=he?V(he):{}}return!!J[Y]}}e.hasSiblingFn=x;function V(q){const J={};for(const Y of q)J[Y]=!0;return J}}),define(De[32],Ie([1,0,17,18,21,4,6,25,12,94,22,8,13,2,175,3,14,194,45,46,26,15,16,7,54,30,5]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m,c,l,r,i,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function n(R,U,$){return new A.ExtUri(N=>S(N,$)).isEqual(R,U)}function o(R,U,$){return n(R.uri,U.uri,$)?0:(0,k.compare)(R.uri.toString(),U.uri.toString())}function d(R,U,$){return R.index!==U.index?R.index<U.index?-1:1:n(R.uri,U.uri,$)?(0,k.compare)(R.name,U.name):(0,k.compare)(R.uri.toString(),U.uri.toString())}function f(R,U,$,N){const X=R.slice(0).sort((O,x)=>$(O,x,N)),z=U.slice(0).sort((O,x)=>$(O,x,N));return(0,u.delta)(X,z,(O,x)=>$(O,x,N))}function S(R,U){const $=U.getCapabilities(R.scheme);return!($&&$&1024)}class L extends p.Workspace{constructor(U,$,N,X,z,O,x){super(U,N.map(V=>new p.WorkspaceFolder(V)),X,z,x);this._name=$,this._isUntitled=O,this._workspaceFolders=[],this._structure=D.TernarySearchTree.forUris(x),N.forEach(V=>{this._workspaceFolders.push(V),this._structure.set(V.uri,V)})}static toExtHostWorkspace(U,$,N,X){if(!U)return{workspace:null,added:[],removed:[]};const{id:z,name:O,folders:x,configuration:V,transient:q,isUntitled:J}=U,Y=[],he=$;$?x.forEach((be,ke)=>{const Re=T.URI.revive(be.uri),Ue=L._findFolder(N||$,Re,X);Ue?(Ue.name=be.name,Ue.index=be.index,Y.push(Ue)):Y.push({uri:Re,name:be.name,index:ke})}):Y.push(...x.map(({uri:be,name:ke,index:Re})=>({uri:T.URI.revive(be),name:ke,index:Re}))),Y.sort((be,ke)=>be.index<ke.index?-1:1);const ve=new L(z,O,Y,!!q,V?T.URI.revive(V):null,!!J,be=>S(be,X)),{added:re,removed:pe}=f(he?he.workspaceFolders:[],ve.workspaceFolders,o,X);return{workspace:ve,added:re,removed:pe}}static _findFolder(U,$,N){for(let X=0;X<U.folders.length;X++){const z=U.workspaceFolders[X];if(n(z.uri,$,N))return z}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(U,$){return $&&this._structure.get(U)&&(U=(0,A.dirname)(U)),this._structure.findSubstr(U)}resolveWorkspaceFolder(U){return this._structure.get(U)}}let M=class{constructor(U,$,N,X,z){this._onDidChangeWorkspace=new P.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new P.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._editSessionIdentityProviders=new Map,this._logService=X,this._extHostFileSystemInfo=N,this._uriTransformerService=z,this._requestIdProvider=new I.Counter,this._barrier=new t.Barrier,this._proxy=U.getProxy(s.MainContext.MainThreadWorkspace),this._messageService=U.getProxy(s.MainContext.MainThreadMessageService);const O=$.workspace;this._confirmedWorkspace=O?new L(O.id,O.name,[],!!O.transient,O.configuration?T.URI.revive(O.configuration):null,!!O.isUntitled,x=>S(x,N)):void 0}$initializeWorkspace(U,$){this._trusted=$,this.$acceptWorkspaceData(U),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?T.URI.from({scheme:w.Schemas.untitled,path:(0,A.basename)((0,A.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(U,$,N,...X){const z=[];if(Array.isArray(X)&&X.forEach(J=>{T.URI.isUri(J.uri)&&!z.some(Y=>n(Y.uri,J.uri,this._extHostFileSystemInfo))&&z.push({uri:J.uri,name:J.name||(0,A.basenameOrAuthority)(J.uri)})}),this._unconfirmedWorkspace||[$,N].some(J=>typeof J!="number"||J<0)||N===0&&z.length===0)return!1;const O=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if($+N>O.length)return!1;const x=O.slice(0);x.splice($,N,...z.map(J=>({uri:J.uri,name:J.name||(0,A.basenameOrAuthority)(J.uri),index:void 0})));for(let J=0;J<x.length;J++){const Y=x[J];if(x.some((he,ve)=>ve!==J&&n(Y.uri,he.uri,this._extHostFileSystemInfo)))return!1}x.forEach((J,Y)=>J.index=Y);const{added:V,removed:q}=f(O,x,d,this._extHostFileSystemInfo);if(V.length===0&&q.length===0)return!1;if(this._proxy){const J=U.displayName||U.name;this._proxy.$updateWorkspaceFolders(J,$,N,z).then(void 0,Y=>{this._unconfirmedWorkspace=void 0;const he={source:{identifier:U.identifier,label:U.displayName||U.name}};this._messageService.$showMessage(h.Severity.Error,(0,E.localize)(0,null,J,Y.toString()),he,[])})}return this.trySetWorkspaceFolders(x),!0}getWorkspaceFolder(U,$){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(U,$)}async getWorkspaceFolder2(U,$){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(U,$)}async resolveWorkspaceFolder(U){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(U)}getPath(){if(!this._actualWorkspace)return;const{folders:U}=this._actualWorkspace;if(U.length!==0)return U[0].uri.fsPath}getRelativePath(U,$){let N,X="";if(typeof U=="string"?(N=T.URI.file(U),X=U):typeof U!="undefined"&&(N=U,X=U.fsPath),!N)return X;const z=this.getWorkspaceFolder(N,!0);if(!z)return X;typeof $=="undefined"&&this._actualWorkspace&&($=this._actualWorkspace.folders.length>1);let O=(0,A.relativePath)(z.uri,N);return $&&z.name&&(O=`${z.name}/${O}`),O}trySetWorkspaceFolders(U){this._actualWorkspace&&(this._unconfirmedWorkspace=L.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:U,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(U){const{workspace:$,added:N,removed:X}=L.toExtHostWorkspace(U,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=$||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:N,removed:X}))}findFiles(U,$,N,X,z=C.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${X.value}, entryPoint: findFiles`);let O;if($===null?O=!1:$&&(typeof $=="string"?O=$:O=$.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:x,folder:V}=B(c.GlobPattern.from(U));return this._proxy.$startFileSearch((0,_.withUndefinedAsNull)(x),(0,_.withUndefinedAsNull)(V),(0,_.withUndefinedAsNull)(O),(0,_.withUndefinedAsNull)(N),z).then(q=>Array.isArray(q)?q.map(J=>T.URI.revive(J)):[])}async findTextInFiles(U,$,N,X,z=C.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${X.value}, entryPoint: findTextInFiles`);const O=this._requestIdProvider.getNext(),x=typeof $.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:$.previewOptions,{includePattern:V,folder:q}=B(c.GlobPattern.from($.include)),J=typeof $.exclude=="string"?$.exclude:$.exclude?$.exclude.pattern:void 0,Y={ignoreSymlinks:typeof $.followSymlinks=="boolean"?!$.followSymlinks:void 0,disregardIgnoreFiles:typeof $.useIgnoreFiles=="boolean"?!$.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof $.useGlobalIgnoreFiles=="boolean"?!$.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof $.useParentIgnoreFiles=="boolean"?!$.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof $.useDefaultExcludes=="boolean"?!$.useDefaultExcludes:!0,fileEncoding:$.encoding,maxResults:$.maxResults,previewOptions:x,afterContext:$.afterContext,beforeContext:$.beforeContext,includePattern:V,excludePattern:J},he=!1;if(this._activeSearchCallbacks[O]=ve=>{if(he)return;const re=T.URI.revive(ve.resource);ve.results.forEach(pe=>{(0,i.resultIsMatch)(pe)?N({uri:re,preview:{text:pe.preview.text,matches:(0,u.mapArrayOrNot)(pe.preview.matches,be=>new l.Range(be.startLineNumber,be.startColumn,be.endLineNumber,be.endColumn))},ranges:(0,u.mapArrayOrNot)(pe.ranges,be=>new l.Range(be.startLineNumber,be.startColumn,be.endLineNumber,be.endColumn))}):N({uri:re,text:pe.text,lineNumber:pe.lineNumber})})},z.isCancellationRequested)return{};try{const ve=await this._proxy.$startTextSearch(U,(0,_.withUndefinedAsNull)(q),Y,O,z);return delete this._activeSearchCallbacks[O],ve||{}}catch(ve){throw delete this._activeSearchCallbacks[O],ve}}$handleTextSearchResult(U,$){this._activeSearchCallbacks[$]?.(U)}saveAll(U){return this._proxy.$saveAll(U)}resolveProxy(U){return this._proxy.$resolveProxy(U)}get trusted(){return this._trusted}requestWorkspaceTrust(U){return this._proxy.$requestWorkspaceTrust(U)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}registerEditSessionIdentityProvider(U,$){if(this._editSessionIdentityProviders.has(U))throw new Error(`A provider has already been registered for scheme ${U}`);this._editSessionIdentityProviders.set(U,$);const N=this._uriTransformerService.transformOutgoingScheme(U);return this._proxy.$registerEditSessionIdentityProvider(N),(0,y.toDisposable)(()=>{this._editSessionIdentityProviders.delete(U),this._proxy.$unregisterEditSessionIdentityProvider(N)})}async $getEditSessionIdentifier(U,$){this._logService.info("Getting edit session identifier for workspaceFolder",U);const N=await this.resolveWorkspaceFolder(T.URI.revive(U));if(!N){this._logService.warn("Unable to resolve workspace folder");return}this._logService.info("Invoking #provideEditSessionIdentity for workspaceFolder",N);const X=this._editSessionIdentityProviders.get(N.uri.scheme);if(this._logService.info(`Provider for scheme ${N.uri.scheme} is defined: `,!!X),!X)return;const z=await X.provideEditSessionIdentity(N,$);if(this._logService.info("Provider returned edit session identifier: ",z),!!z)return z}};M=je([xe(0,m.IExtHostRpcService),xe(1,a.IExtHostInitDataService),xe(2,g.IExtHostFileSystemInfo),xe(3,v.ILogService),xe(4,r.IURITransformerService)],M),e.ExtHostWorkspace=M,e.IExtHostWorkspace=(0,b.createDecorator)("IExtHostWorkspace");function B(R){let U,$;return R&&(typeof R=="string"?U=R:(U=R.pattern,$=T.URI.revive(R.baseUri))),{includePattern:U,folder:$}}}),define(De[33],Ie([1,0,24,4,32,5,7,197,120,13,18,3,15,14,2]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function b(l,r){if(r){const i=r.split(".");let s=l;for(let n=0;s&&n<i.length;n++)s=s[i[n]];return s}}function v(l){return l instanceof E.URI}function h(l){return l&&l.uri instanceof E.URI&&l.languageId&&typeof l.languageId=="string"}function p(l){return l&&!l.uri&&l.languageId&&typeof l.languageId=="string"}function g(l){return l&&l.uri instanceof E.URI&&(!l.name||typeof l.name=="string")&&(!l.index||typeof l.index=="number")}function a(l){if(v(l))return{resource:l};if(h(l))return{resource:l.uri,overrideIdentifier:l.languageId};if(p(l))return{overrideIdentifier:l.languageId};if(g(l))return{resource:l.uri};if(l===null)return{resource:null}}let m=class{constructor(r,i,s){this._proxy=r.getProxy(P.MainContext.MainThreadConfiguration),this._extHostWorkspace=i,this._logService=s,this._barrier=new A.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(r=>this._actual)}$initializeConfiguration(r){this._actual=new c(this._proxy,this._extHostWorkspace,r,this._logService),this._barrier.open()}$acceptConfigurationChanged(r,i){this.getConfigProvider().then(s=>s.$acceptConfigurationChanged(r,i))}};m=je([xe(0,_.IExtHostRpcService),xe(1,C.IExtHostWorkspace),xe(2,T.ILogService)],m),e.ExtHostConfiguration=m;class c{constructor(r,i,s,n){this._onDidChangeConfiguration=new t.Emitter,this._proxy=r,this._logService=n,this._extHostWorkspace=i,this._configuration=D.Configuration.parse(s),this._configurationScopes=this._toMap(s.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(r,i){const s={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=D.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(i,s))}getConfiguration(r,i,s){const n=a(i)||{},o=this._toReadonlyValue(r?b(this._configuration.getValue(void 0,n,this._extHostWorkspace.workspace),r):this._configuration.getValue(void 0,n,this._extHostWorkspace.workspace));r&&this._validateConfigurationAccess(r,n,s?.identifier);function d(S){if(S==null)return null;if(typeof S=="boolean")return S?2:5;switch(S){case y.ConfigurationTarget.Global:return 2;case y.ConfigurationTarget.Workspace:return 5;case y.ConfigurationTarget.WorkspaceFolder:return 6}}const f={has(S){return typeof b(o,S)!="undefined"},get:(S,L)=>{this._validateConfigurationAccess(r?`${r}.${S}`:S,n,s?.identifier);let M=b(o,S);if(typeof M=="undefined")M=L;else{let B;const R=(U,$)=>{let N;const X=()=>{B=B||(0,u.deepClone)(o),N=N||b(B,$)};return(0,I.isObject)(U)?new Proxy(U,{get:(z,O)=>{if(typeof O=="string"&&O.toLowerCase()==="tojson")return X(),()=>N;if(B)return N=N||b(B,$),N[O];const x=z[O];return typeof O=="string"?R(x,`${$}.${O}`):x},set:(z,O,x)=>(X(),N&&(N[O]=x),!0),deleteProperty:(z,O)=>(X(),N&&delete N[O],!0),defineProperty:(z,O,x)=>(X(),N&&Object.defineProperty(N,O,x),!0)}):U};M=R(M,S)}return M},update:(S,L,M,B)=>{S=r?`${r}.${S}`:S;const R=d(M);return L!==void 0?this._proxy.$updateConfigurationOption(R,S,L,n,B):this._proxy.$removeConfigurationOption(R,S,n,B)},inspect:S=>{S=r?`${r}.${S}`:S;const L=(0,u.deepClone)(this._configuration.inspect(S,n,this._extHostWorkspace.workspace));if(L)return{key:S,defaultValue:L.policy?.value??L.default?.value,globalValue:L.user?.value??L.application?.value,workspaceValue:L.workspace?.value,workspaceFolderValue:L.workspaceFolder?.value,defaultLanguageValue:L.default?.override,globalLanguageValue:L.user?.override??L.application?.override,workspaceLanguageValue:L.workspace?.override,workspaceFolderLanguageValue:L.workspaceFolder?.override,languageIds:L.overrideIdentifiers}}};return typeof o=="object"&&(0,u.mixin)(f,o,!1),Object.freeze(f)}_toReadonlyValue(r){const i=s=>(0,I.isObject)(s)?new Proxy(s,{get:(n,o)=>i(n[o]),set:(n,o,d)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(o)}' of object`)},deleteProperty:(n,o)=>{throw new Error(`TypeError: Cannot delete read only property '${String(o)}' of object`)},defineProperty:(n,o)=>{throw new Error(`TypeError: Cannot define property '${String(o)}' for a readonly object`)},setPrototypeOf:n=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):s;return i(r)}_validateConfigurationAccess(r,i,s){const n=w.OVERRIDE_PROPERTY_REGEX.test(r)?4:this._configurationScopes.get(r),o=s?`[${s.value}] `:"";if(n===4){typeof i?.resource=="undefined"&&this._logService.warn(`${o}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${r}', provide the URI of a resource or 'null' for any resource.`);return}if(n===3){i?.resource&&this._logService.warn(`${o}Accessing a window scoped configuration for a resource is not expected. To associate '${r}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(r,i){const s=new D.ConfigurationChangeEvent(r,i,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(n,o)=>s.affectsConfiguration(n,a(o))})}_toMap(r){return r.reduce((i,s)=>(i.set(s[0],s[1]),i),new Map)}}e.ExtHostConfigProvider=c,e.IExtHostConfiguration=(0,k.createDecorator)("IExtHostConfiguration")});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[72],Ie([1,0,2,18,4,5,7,32,56,33,21,38,15,26,3,12,11,14,67,232,10]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a){"use strict";var m;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var c;(function($){function N(z){if(z!=null)return z}$.from=N;function X(z){if(z!=null)return z}$.to=X})(c=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var l;(function($){function N(z){if(z!=null)return z}$.from=N;function X(z){if(z!=null)return z}$.to=X})(l=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var r;(function($){function N(z){if(z!=null)return z}$.from=N;function X(z){if(z!=null)return z}$.to=X})(r=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var i;(function($){function N(O){if(O){const x=O;return x&&!!x.process}else return!1}$.is=N;function X(O){if(O==null)return;const x={process:O.process,args:O.args};return O.options&&(x.options=r.from(O.options)),x}$.from=X;function z(O){if(O!=null)return new y.ProcessExecution(O.process,O.args,O.options)}$.to=z})(i=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var s;(function($){function N(z){if(z!=null)return z}$.from=N;function X(z){if(z!=null)return z}$.to=X})(s=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var n;(function($){function N(O){if(O){const x=O;return x&&(!!x.commandLine||!!x.command)}else return!1}$.is=N;function X(O){if(O==null)return;const x={};return O.commandLine!==void 0?x.commandLine=O.commandLine:(x.command=O.command,x.args=O.args),O.options&&(x.options=s.from(O.options)),x}$.from=X;function z(O){if(!(O==null||O.command===void 0&&O.commandLine===void 0))return O.commandLine?new y.ShellExecution(O.commandLine,O.options):new y.ShellExecution(O.command,O.args?O.args:[],O.options)}$.to=z})(n=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var o;(function($){function N(O){if(O){const x=O;return x&&x.customExecution==="customExecution"}else return!1}$.is=N;function X(O){return{customExecution:"customExecution"}}$.from=X;function z(O,x){return x.get(O)}$.to=z})(o=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var d;(function($){function N(X,z){let O;return X.scope!==void 0&&typeof X.scope!="number"?O=X.scope.uri:X.scope!==void 0&&typeof X.scope=="number"&&(X.scope===y.TaskScope.Workspace&&z&&z.workspaceFile?O=z.workspaceFile:O=g.USER_TASKS_GROUP_KEY),{id:X._id,workspaceFolder:O}}$.from=N})(d=e.TaskHandleDTO||(e.TaskHandleDTO={}));var f;(function($){function N(X){if(X!=null)return{_id:X.id,isDefault:X.isDefault}}$.from=N})(f=e.TaskGroupDTO||(e.TaskGroupDTO={}));var S;(function($){function N(O,x){if(O==null)return[];const V=[];for(const q of O){const J=X(q,x);J&&V.push(J)}return V}$.fromMany=N;function X(O,x){if(O==null)return;let V;O.execution instanceof y.ProcessExecution?V=i.from(O.execution):O.execution instanceof y.ShellExecution?V=n.from(O.execution):O.execution&&O.execution instanceof y.CustomExecution&&(V=o.from(O.execution));const q=c.from(O.definition);let J;return O.scope?typeof O.scope=="number"?J=O.scope:J=O.scope.uri:J=y.TaskScope.Workspace,!q||!J?void 0:{_id:O._id,definition:q,name:O.name,source:{extensionId:x.identifier.value,label:O.source,scope:J},execution:V,isBackground:O.isBackground,group:f.from(O.group),presentationOptions:l.from(O.presentationOptions),problemMatchers:O.problemMatchers,hasDefinedMatchers:O.hasDefinedMatchers,runOptions:O.runOptions?O.runOptions:{reevaluateOnRerun:!0},detail:O.detail}}$.from=X;async function z(O,x,V){if(O==null)return;let q;i.is(O.execution)?q=i.to(O.execution):n.is(O.execution)?q=n.to(O.execution):o.is(O.execution)&&(q=o.to(O._id,V));const J=c.to(O.definition);let Y;if(O.source&&(O.source.scope!==void 0?typeof O.source.scope=="number"?Y=O.source.scope:Y=await x.resolveWorkspaceFolder(u.URI.revive(O.source.scope)):Y=y.TaskScope.Workspace),!J||!Y)return;const he=new y.Task(J,Y,O.name,O.source.label,q,O.problemMatchers);return O.isBackground!==void 0&&(he.isBackground=O.isBackground),O.group!==void 0&&(he.group=y.TaskGroup.from(O.group._id),he.group&&O.group.isDefault&&(he.group=new y.TaskGroup(he.group.id,he.group.label),O.group.isDefault===!0&&(he.group.isDefault=O.group.isDefault))),O.presentationOptions&&(he.presentationOptions=l.to(O.presentationOptions)),O._id&&(he._id=O._id),O.detail&&(he.detail=O.detail),he}$.to=z})(S=e.TaskDTO||(e.TaskDTO={}));var L;(function($){function N(z){return z}$.from=N;function X(z){if(!!z)return Object.assign(Object.create(null),z)}$.to=X})(L=e.TaskFilterDTO||(e.TaskFilterDTO={}));class M{constructor(N,X,z){this._id=X,this._task=z,m.set(this,void 0),et(this,m,N,"f")}get task(){return this._task}terminate(){Me(this,m,"f").terminateTask(this)}fireDidStartProcess(N){}fireDidEndProcess(N){}}m=new WeakMap;var B;(function($){function N(X){return{id:X._id,task:void 0}}$.from=N})(B=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let R=class{constructor(N,X,z,O,x,V,q,J){this._onDidExecuteTask=new C.Emitter,this._onDidTerminateTask=new C.Emitter,this._onDidTaskProcessStarted=new C.Emitter,this._onDidTaskProcessEnded=new C.Emitter,this._proxy=N.getProxy(P.MainContext.MainThreadTask),this._workspaceProvider=z,this._editorService=O,this._configurationService=x,this._terminalService=V,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=q,this._deprecationService=J,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(N,X,z){if(!z)return new y.Disposable(()=>{});const O=this.nextHandle();return this._handlers.set(O,{type:X,provider:z,extension:N}),this._proxy.$registerTaskProvider(O,X),new y.Disposable(()=>{this._handlers.delete(O),this._proxy.$unregisterTaskProvider(O)})}registerTaskSystem(N,X){this._proxy.$registerTaskSystem(N,X)}fetchTasks(N){return this._proxy.$fetchTasks(L.from(N)).then(async X=>{const z=[];for(const O of X){const x=await S.to(O,this._workspaceProvider,this._providedCustomExecutions2);x&&z.push(x)}return z})}get taskExecutions(){const N=[];return this._taskExecutions.forEach(X=>N.push(X)),N}terminateTask(N){if(!(N instanceof M))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(N._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(N,X,z){const O=this._providedCustomExecutions2.get(N.id);O&&(this._activeCustomExecutions2.set(N.id,O),this._terminalService.attachPtyToTerminal(X,await O.callback(z))),this._lastStartedTask=N.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(N)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(N){const X=await this.getTaskExecution(N);this._taskExecutionPromises.delete(N.id),this._taskExecutions.delete(N.id),this.customExecutionComplete(N),this._onDidTerminateTask.fire({execution:X})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(N){const X=await this.getTaskExecution(N.id);this._onDidTaskProcessStarted.fire({execution:X,processId:N.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(N){const X=await this.getTaskExecution(N.id);this._onDidTaskProcessEnded.fire({execution:X,exitCode:N.exitCode})}$provideTasks(N,X){const z=this._handlers.get(N);if(!z)return Promise.reject(new Error("no handler found"));const O=[],x=(0,t.asPromise)(()=>z.provider.provideTasks(A.CancellationToken.None)).then(V=>this.provideTasksInternal(X,O,z,V));return new Promise(V=>{x.then(q=>{Promise.all(O).then(()=>{V(q)})})})}async $resolveTask(N,X){const z=this._handlers.get(N);if(!z)return Promise.reject(new Error("no handler found"));if(X.definition.type!==z.type)throw new Error(`Unexpected: Task of type [${X.definition.type}] cannot be resolved by provider of type [${z.type}].`);const O=await S.to(X,this._workspaceProvider,this._providedCustomExecutions2);if(!O)throw new Error("Unexpected: Task cannot be resolved.");const x=await z.provider.resolveTask(O,A.CancellationToken.None);if(!x)return;this.checkDeprecation(x,z);const V=S.from(x,z.extension);if(!V)throw new Error("Unexpected: Task cannot be resolved.");if(x.definition!==O.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return o.is(V.execution)&&await this.addCustomExecution(V,x,!0),await this.resolveTaskInternal(V)}nextHandle(){return this._handleCounter++}async addCustomExecution(N,X,z){const O=await this._proxy.$createTaskId(N);!z&&!this._providedCustomExecutions2.has(O)&&(this._notProvidedCustomExecutions.add(O),this._activeCustomExecutions2.set(O,X.execution)),this._providedCustomExecutions2.set(O,X.execution)}async getTaskExecution(N,X){if(typeof N=="string"){const x=this._taskExecutionPromises.get(N);if(!x)throw new Error("Unexpected: The specified task is missing an execution");return x}const z=this._taskExecutionPromises.get(N.id);if(z)return z;const O=new Promise((x,V)=>{function q(J,Y,he){he?x(new M(J,Y.id,he)):V("Unexpected: Task does not exist.")}X?q(this,N,X):S.to(N.task,this._workspaceProvider,this._providedCustomExecutions2).then(J=>q(this,N,J))});return this._taskExecutionPromises.set(N.id,O),O.then(x=>(this._taskExecutions.set(N.id,x),x),x=>Promise.reject(x))}checkDeprecation(N,X){N._deprecated&&this._deprecationService.report("Task.constructor",X.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(N){this._activeCustomExecutions2.get(N.id)&&this._activeCustomExecutions2.delete(N.id),this._notProvidedCustomExecutions.has(N.id)&&this._lastStartedTask!==N.id&&(this._providedCustomExecutions2.delete(N.id),this._notProvidedCustomExecutions.delete(N.id));const z=this._notProvidedCustomExecutions.values();let O=z.next();for(;!O.done;)!this._activeCustomExecutions2.has(O.value)&&this._lastStartedTask!==O.value&&(this._providedCustomExecutions2.delete(O.value),this._notProvidedCustomExecutions.delete(O.value)),O=z.next()}};R=je([xe(0,_.IExtHostRpcService),xe(1,T.IExtHostInitDataService),xe(2,D.IExtHostWorkspace),xe(3,w.IExtHostDocumentsAndEditors),xe(4,I.IExtHostConfiguration),xe(5,k.IExtHostTerminalService),xe(6,h.ILogService),xe(7,p.IExtHostApiDeprecationService)],R),e.ExtHostTaskBase=R;let U=class extends R{constructor(N,X,z,O,x,V,q,J){super(N,X,z,O,x,V,q,J);this.registerTaskSystem(b.Schemas.vscodeRemote,{scheme:b.Schemas.vscodeRemote,authority:"",platform:v.PlatformToString(0)})}async executeTask(N,X){if(!X.execution)throw new Error("Tasks to execute must include an execution");const z=S.from(X,N);if(z===void 0)throw new Error("Task is not valid");if(o.is(z.execution))await this.addCustomExecution(z,X,!1);else throw new a.NotSupportedError;const O=await this.getTaskExecution(await this._proxy.$getTaskExecution(z),X);return this._proxy.$executeTask(z).catch(x=>{throw new Error(x)}),O}provideTasksInternal(N,X,z,O){const x=[];if(O)for(const V of O){this.checkDeprecation(V,z),(!V.definition||!N[V.definition.type])&&this._logService.warn(`The task [${V.source}, ${V.name}] uses an undefined task type. The task will be ignored in the future.`);const q=S.from(V,z.extension);q&&o.is(q.execution)?(x.push(q),X.push(this.addCustomExecution(q,V,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:x,extension:z.extension}}async resolveTaskInternal(N){if(o.is(N.execution))return N;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(N,X){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(N,X,z){}};U=je([xe(0,_.IExtHostRpcService),xe(1,T.IExtHostInitDataService),xe(2,D.IExtHostWorkspace),xe(3,w.IExtHostDocumentsAndEditors),xe(4,I.IExtHostConfiguration),xe(5,k.IExtHostTerminalService),xe(6,h.ILogService),xe(7,p.IExtHostApiDeprecationService)],U),e.WorkerExtHostTask=U,e.IExtHostTask=(0,E.createDecorator)("IExtHostTask")}),define(De[277],Ie([1,0,9,21,50,36,22,51,30]),function(Z,e,u,t,C,P,y,D,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class I{constructor(_,T,E){this.config=_,this.provider=T,this.sessionToken=E,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=_.filePattern,this.includePattern=_.includePattern&&P.parse(_.includePattern),this.maxResults=_.maxResults||void 0,this.exists=_.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=_.excludePattern&&P.parse(_.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(_=>_.cancel()),this.activeCancellationTokens=new Set}search(_){const T=this.config.folderQueries||[];return new Promise((E,b)=>{const v=h=>{this.resultCount++,_(h)};if(this.isCanceled)return E({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(h=>{const p=h.toString(),g=u.basename(p);this.globalExcludePattern&&this.globalExcludePattern(p,g)||this.matchFile(v,{base:h,basename:g})}),Promise.all(T.map(h=>this.searchInFolder(h,v))).then(h=>{E({limitHit:this.isLimitHit,stats:h[0]||void 0})},h=>{b(new Error((0,C.toErrorMessage)(h)))})})}async searchInFolder(_,T){const E=new t.CancellationTokenSource,b=this.getSearchOptionsForFolder(_),v=this.initDirectoryTree(),h=new w.QueryGlobTester(this.config,_),p=!h.hasSiblingExcludeClauses();let g;try{this.activeCancellationTokens.add(E),g=D.StopWatch.create();const a=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},b,E.token),m=g.elapsed(),c=D.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(a&&a.forEach(l=>{const r=u.posix.relative(_.folder.path,l.path);if(p){const i=u.basename(l.path);this.matchFile(T,{base:_.folder,relativePath:r,basename:i});return}this.addDirectoryEntries(v,_.folder,r,T)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(v,h,T),{providerTime:m,postProcessTime:c.elapsed()})}finally{E.dispose(),this.activeCancellationTokens.delete(E)}}getSearchOptionsForFolder(_){const T=(0,w.resolvePatternsForProvider)(this.config.includePattern,_.includePattern),E=(0,w.resolvePatternsForProvider)(this.config.excludePattern,_.excludePattern);return{folder:_.folder,excludes:E,includes:T,useIgnoreFiles:!_.disregardIgnoreFiles,useGlobalIgnoreFiles:!_.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!_.disregardParentIgnoreFiles,followSymlinks:!_.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const _={rootEntries:[],pathToEntries:Object.create(null)};return _.pathToEntries["."]=_.rootEntries,_}addDirectoryEntries({pathToEntries:_},T,E,b){if(E===this.filePattern){const h=u.basename(this.filePattern);this.matchFile(b,{base:T,relativePath:this.filePattern,basename:h})}function v(h){const p=u.basename(h),g=u.dirname(h);let a=_[g];a||(a=_[g]=[],v(g)),a.push({base:T,relativePath:h,basename:p})}v(E)}matchDirectoryTree({rootEntries:_,pathToEntries:T},E,b){const v=this,h=this.filePattern;function p(g){const a=(0,w.hasSiblingFn)(()=>g.map(m=>m.basename));for(let m=0,c=g.length;m<c;m++){const l=g[m],{relativePath:r,basename:i}=l;if(E.matchesExcludesSync(r,i,h!==i?a:void 0))continue;const s=T[r];if(s)p(s);else{if(r===h)continue;v.matchFile(b,l)}if(v.isLimitHit)break}}p(_)}matchFile(_,T){(!this.includePattern||T.relativePath&&this.includePattern(T.relativePath,T.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||_(T))}}class A{constructor(){this.sessions=new Map}fileSearch(_,T,E,b){const v=this.getSessionTokenSource(_.cacheKey),h=new I(_,T,v&&v.token);let p=0;const g=a=>{p+=a.length,E(a.map(m=>this.rawMatchToSearchItem(m)))};return this.doSearch(h,A.BATCH_SIZE,g,b).then(a=>({limitHit:a.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:p,detailStats:a.stats}}))}clearCache(_){this.getSessionTokenSource(_)?.cancel()}getSessionTokenSource(_){if(!!_)return this.sessions.has(_)||this.sessions.set(_,new t.CancellationTokenSource),this.sessions.get(_)}rawMatchToSearchItem(_){return _.relativePath?{resource:y.joinPath(_.base,_.relativePath)}:{resource:_.base}}doSearch(_,T,E,b){b.onCancellationRequested(()=>{_.cancel()});const v=p=>{p&&(h.push(p),T>0&&h.length>=T&&(E(h),h=[]))};let h=[];return _.search(v).then(p=>(h.length&&E(h),p),p=>(h.length&&E(h),Promise.reject(p)))}}e.FileSearchManager=A,A.BATCH_SIZE=512}),define(De[278],Ie([1,0,17,77,36,106,25,12,9,22,8,13,2,159,186,83,14,45,130,276,30]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let m=class{constructor(f,S,L,M,B){this.configurationService=f,this.workspaceContextService=S,this.editorGroupsService=L,this.logService=M,this.pathService=B}text(f,S,L={}){f=this.getContentPattern(f,L);const M=this.configurationService.getValue(),B=S&&S.some(U=>!this.configurationService.getValue({resource:U}).search.useRipgrep);return{...this.commonQuery(S?.map(h.toWorkspaceFolder),L),type:2,contentPattern:f,previewOptions:L.previewOptions,maxFileSize:L.maxFileSize,usePCRE2:M.search.usePCRE2||B||!1,beforeContext:L.beforeContext,afterContext:L.afterContext,userDisabledExcludesAndIgnoreFiles:L.disregardExcludeSettings&&L.disregardIgnoreFiles}}getContentPattern(f,S){const L=this.configurationService.getValue();f.isRegExp&&(f.pattern=f.pattern.replace(/\r?\n/g,"\\n"));const M={...f,wordSeparators:L.editor.wordSeparators};return this.isCaseSensitive(f,S)&&(M.isCaseSensitive=!0),this.isMultiline(f)&&(M.isMultiline=!0),M}file(f,S={}){return{...this.commonQuery(f,S),type:1,filePattern:S.filePattern?S.filePattern.trim():S.filePattern,exists:S.exists,sortByScore:S.sortByScore,cacheKey:S.cacheKey}}handleIncludeExclude(f,S){return f?(f=Array.isArray(f)?f.map(s):s(f),S?this.parseSearchPaths(f):{pattern:l(...Array.isArray(f)?f:[f])}):{}}commonQuery(f=[],S={}){const L=this.handleIncludeExclude(S.includePattern,S.expandPatterns),M=this.handleIncludeExclude(S.excludePattern,S.expandPatterns),B=f.length>1,R=(L.searchPaths&&L.searchPaths.length?L.searchPaths.map(N=>this.getFolderQueryForSearchPath(N,S,M)):f.map(N=>this.getFolderQueryForRoot(N,S,M,B))).filter(N=>!!N),U={_reason:S._reason,folderQueries:R,usingSearchPaths:!!(L.searchPaths&&L.searchPaths.length),extraFileResources:S.extraFileResources,excludePattern:M.pattern,includePattern:L.pattern,onlyOpenEditors:S.onlyOpenEditors,maxResults:S.maxResults};if(S.onlyOpenEditors){const N=u.coalesce(u.flatten(this.editorGroupsService.groups.map(O=>O.editors.map(x=>x.resource))));this.logService.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(N));const X=N.filter(O=>(0,a.pathIncludedInQuery)(U,O.fsPath)),z=this.commonQueryFromFileList(X);return this.logService.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(z)),{...U,...z}}const $=S.extraFileResources&&S.extraFileResources.filter(N=>(0,a.pathIncludedInQuery)(U,N.fsPath));return U.extraFileResources=$&&$.length?$:void 0,U}commonQueryFromFileList(f){const S=[],L=new y.ResourceMap,M={};let B=!1;return f.forEach(R=>{if(R.scheme===D.Schemas.walkThrough)return;if((0,I.isAbsolutePath)(R)){const $=this.workspaceContextService.getWorkspaceFolder(R)?.uri??R.with({path:w.dirname(R.fsPath)});let N=L.get($);N||(B=!0,N={folder:$,includePattern:{}},S.push(N),L.set($,N));const X=w.relative($.fsPath,R.fsPath);(0,k.assertIsDefined)(N.includePattern)[X.replace(/\\/g,"/")]=!0}else R.fsPath&&(B=!0,M[R.fsPath]=!0)}),{folderQueries:S,includePattern:M,usingSearchPaths:!0,excludePattern:B?void 0:{"**/*":!0}}}isCaseSensitive(f,S){if(S.isSmartCase){if(f.isRegExp){if(A.containsUppercaseCharacter(f.pattern,!0))return!0}else if(A.containsUppercaseCharacter(f.pattern))return!0}return!!f.isCaseSensitive}isMultiline(f){return f.isMultiline||f.isRegExp&&(0,T.isMultilineRegexSource)(f.pattern)||f.pattern.indexOf(`
`)>=0?!0:!!f.isMultiline}parseSearchPaths(f){const S=z=>w.isAbsolute(z)||/^\.\.?([\/\\]|$)/.test(z),M=(Array.isArray(f)?f:r(f)).map(z=>{const O=this.pathService.resolvedUserHome;return O?(0,P.untildify)(z,O.scheme===D.Schemas.file?O.fsPath:O.path):z}),B=t.groupBy(M,z=>S(z)?"searchPaths":"exprSegments"),R=(B.exprSegments||[]).map(z=>A.rtrim(z,"/")).map(z=>A.rtrim(z,"\\")).map(z=>(z[0]==="."&&(z="*"+z),i(z))),U={},$=this.expandSearchPathPatterns(B.searchPaths||[]);$&&$.length&&(U.searchPaths=$);const N=u.flatten(R),X=l(...N);return X&&(U.pattern=X),U}getExcludesForFolder(f,S){return S.disregardExcludeSettings?void 0:(0,a.getExcludes)(f,!S.disregardSearchExcludeSettings)}expandSearchPathPatterns(f){if(!f||!f.length)return[];const S=u.flatten(f.map(M=>{let{pathPortion:B,globPortion:R}=c(M);R&&(R=n(R));const U=this.expandOneSearchPath(B);return u.flatten(U.map($=>this.resolveOneSearchPathPattern($,R)))})),L=new Map;return S.forEach(M=>{const B=M.searchPath.toString(),R=L.get(B);R?M.pattern&&(R.pattern=R.pattern||{},R.pattern[M.pattern]=!0):L.set(B,{searchPath:M.searchPath,pattern:M.pattern?l(M.pattern):void 0})}),Array.from(L.values())}expandOneSearchPath(f){if(w.isAbsolute(f)){const S=this.workspaceContextService.getWorkspace().folders;return S[0]&&S[0].uri.scheme!==D.Schemas.file?[{searchPath:S[0].uri.with({path:f})}]:[{searchPath:_.URI.file(w.normalize(f))}]}if(this.workspaceContextService.getWorkbenchState()===2){const S=this.workspaceContextService.getWorkspace().folders[0].uri;if(f=s(f),f.startsWith("../")||f===".."){const M=w.posix.resolve(S.path,f);return[{searchPath:S.with({path:M})}]}const L=n(f);return[{searchPath:S,pattern:L}]}else{if(f==="./"||f===".\\")return[];{const S=f.replace(/^\.[\/\\]/,""),M=this.workspaceContextService.getWorkspace().folders.map(B=>{const R=S.match(new RegExp(`^${A.escapeRegExpCharacters(B.name)}(?:/(.*)|$)`));return R?{match:R,folder:B}:null}).filter(k.isDefined);if(M.length)return M.map(B=>{const R=B.match[1];return{searchPath:B.folder.uri,pattern:R&&n(R)}});{const B=f.match(/\.[\/\\](.+)[\/\\]?/),R=B?B[1]:f,U=E.localize(0,null,R);throw new Error(U)}}}}resolveOneSearchPathPattern(f,S){const L=f.pattern&&S?`${f.pattern}/${S}`:f.pattern||S,M=[{searchPath:f.searchPath,pattern:L}];return L&&!L.endsWith("**")&&M.push({searchPath:f.searchPath,pattern:L+"/**"}),M}getFolderQueryForSearchPath(f,S,L){const M=this.getFolderQueryForRoot((0,h.toWorkspaceFolder)(f.searchPath),S,L,!1);return M?{...M,includePattern:f.pattern}:null}getFolderQueryForRoot(f,S,L,M){let B;const R=_.URI.isUri(f)?f:f.uri;if(L.searchPaths){const z=L.searchPaths.filter(O=>(0,I.isEqual)(O.searchPath,R))[0];if(z&&!z.pattern)return null;z&&(B=z.pattern)}const U=this.configurationService.getValue({resource:R}),N={...this.getExcludesForFolder(U,S)||{},...B||{}},X=_.URI.isUri(f)?(0,I.basename)(f):f.name;return{folder:R,folderName:M?X:void 0,excludePattern:Object.keys(N).length>0?N:void 0,fileEncoding:U.files&&U.files.encoding,disregardIgnoreFiles:typeof S.disregardIgnoreFiles=="boolean"?S.disregardIgnoreFiles:!U.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof S.disregardGlobalIgnoreFiles=="boolean"?S.disregardGlobalIgnoreFiles:!U.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof S.disregardParentIgnoreFiles=="boolean"?S.disregardParentIgnoreFiles:!U.search.useParentIgnoreFiles,ignoreSymlinks:typeof S.ignoreSymlinks=="boolean"?S.ignoreSymlinks:!U.search.followSymlinks}}};m=je([xe(0,b.IConfigurationService),xe(1,h.IWorkspaceContextService),xe(2,p.IEditorGroupsService),xe(3,v.ILogService),xe(4,g.IPathService)],m),e.QueryBuilder=m;function c(d){const f=d.match(/[\*\{\}\(\)\[\]\?]/);if(f){const S=f.index,L=d.substr(0,S).match(/[/|\\][^/\\]*$/);if(L){let M=d.substr(0,L.index);return M.match(/[/\\]/)||(M+="/"),{pathPortion:M,globPortion:d.substr((L.index||0)+1)}}}return{pathPortion:d}}function l(...d){return d.length?d.reduce((f,S)=>(f[S]=!0,f),Object.create(null)):void 0}function r(d){return C.splitGlobAware(d,",").map(f=>f.trim()).filter(f=>!!f.length)}function i(d){return[`**/${d}/**`,`**/${d}`].map(S=>S.replace(/\*\*\/\*\*/g,"**"))}function s(d){return d.replace(/\\/g,"/")}function n(d){return s(d).replace(/^\.\//,"").replace(/\/+$/g,"")}function o(d,f){d=u.distinct(d,M=>M.toString());const S=[],L=f.getWorkspace();return d&&d.forEach(M=>{let B;if(f.getWorkbenchState()===2)B=(0,I.relativePath)(L.folders[0].uri,M),B&&B!=="."&&(B="./"+B);else{const R=f.getWorkspaceFolder(M);if(R){const U=R.name;if(L.folders.filter(N=>N.name===U).length===1){const N=(0,I.relativePath)(R.uri,M);N===""?B=`./${R.name}`:B=`./${R.name}/${N}`}else B=M.fsPath}}B&&S.push(B)}),S}e.resolveResourcesForSearchIncludes=o}),define(De[279],Ie([1,0,22,2,21,10,3,278,30,45]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const A=7e3;function k(b,v){const h=v.activationEvents;if(!h)return Promise.resolve(void 0);const p=[],g=[];for(const i of h)if(/^workspaceContains:/.test(i)){const s=i.substr("workspaceContains:".length);s.indexOf("*")>=0||s.indexOf("?")>=0||b.forceUsingSearch?g.push(s):p.push(s)}if(p.length===0&&g.length===0)return Promise.resolve(void 0);let a;const m=new Promise((i,s)=>{a=i}),c=i=>a({activationEvent:i}),l=Promise.all(p.map(i=>_(b,i,c))).then(()=>{}),r=T(b,v.identifier,g,c);return Promise.all([l,r]).then(()=>{a(void 0)}),m}e.checkActivateWorkspaceContainsExtension=k;async function _(b,v,h){for(const p of b.folders)if(await b.exists(u.joinPath(t.URI.revive(p),v))){h(`workspaceContains:${v}`);return}}async function T(b,v,h,p){if(h.length===0)return Promise.resolve(void 0);const g=new C.CancellationTokenSource,a=b.checkExists(b.folders,h,g.token),m=setTimeout(async()=>{g.cancel(),b.logService.info(`Not activating extension '${v.value}': Timed out while searching for 'workspaceContains' pattern ${h.join(",")}`)},A);let c=!1;try{c=await a}catch(l){P.isCancellationError(l)||P.onUnexpectedError(l)}g.dispose(),clearTimeout(m),c&&p(`workspaceContains:${h.join(",")}`)}function E(b,v,h,p){const g=b.get(y.IInstantiationService),a=b.get(w.ISearchService),c=g.createInstance(D.QueryBuilder).file(v.map(l=>(0,I.toWorkspaceFolder)(t.URI.revive(l))),{_reason:"checkExists",includePattern:h,exists:!0});return a.fileSearch(c,p).then(l=>!!l.limitHit,l=>P.isCancellationError(l)?!1:Promise.reject(l))}e.checkGlobFileExists=E});var et=this&&this.__classPrivateFieldSet||function(Z,e,u,t,C){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!C)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!C:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?C.call(Z,u):C?C.value=u:e.set(Z,u),u},Me=this&&this.__classPrivateFieldGet||function(Z,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Z):t?t.value:e.get(Z)};define(De[39],Ie([1,0,170,9,73,22,18,6,25,2,14,5,33,227,91,32,27,225,10,28,23,203,7,121,3,26,69,15,85,53,38,4,279,90,205,12]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m,c,l,r,i,s,n,o,d,f,S,L,M,B,R){"use strict";var U,$,N;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionPaths=e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,r.createDecorator)("IHostUtils");let X=class Tn extends D.Disposable{constructor(Y,he,ve,re,pe,be,ke,Re,Ue,ae){super();this._onDidChangeRemoteConnectionData=this._register(new S.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._isTerminating=!1,this._hostUtils=he,this._extHostContext=ve,this._initData=ke,this._extHostWorkspace=re,this._extHostConfiguration=pe,this._logService=be,this._extHostTunnelService=Ue,this._extHostTerminalService=ae,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new y.Barrier,this._readyToStartExtensionHost=new y.Barrier,this._readyToRunExtensions=new y.Barrier,this._eagerExtensionsActivated=new y.Barrier,this._globalRegistry=new h.ExtensionDescriptionRegistry(this._initData.allExtensions);const de=(0,v.extensionIdentifiersArrayToSet)(this._initData.myExtensions);this._myRegistry=new h.ExtensionDescriptionRegistry(x(this._globalRegistry,de)),this._storage=new E.ExtHostStorage(this._extHostContext),this._secretState=new M.ExtHostSecretState(this._extHostContext),this._storagePath=Re,this._instaService=Y.createChild(new o.ServiceCollection([E.IExtHostStorage,this._storage],[M.IExtHostSecretState,this._secretState]));let ge=[],te=[];this._initData.remote.isRemote&&(ge=this._initData.allExtensions.filter(ee=>!ee.main&&!ee.browser).map(ee=>ee.identifier),te=this._initData.allExtensions.filter(ee=>!de.has(g.ExtensionIdentifier.toKey(ee.identifier.value))).filter(ee=>(ee.main||ee.browser)&&ee.api==="none").map(ee=>ee.identifier));const le=(0,v.extensionIdentifiersArrayToSet)(te);this._activator=this._register(new T.ExtensionsActivator(this._myRegistry,ge,te,{onExtensionActivationError:(ee,ie,F)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(ee,p.transformErrorForSerialization(ie),F)},actualActivateExtension:async(ee,ie)=>{if(le.has(g.ExtensionIdentifier.toKey(ee)))return await this._mainThreadExtensionsProxy.$activateExtension(ee,ie),new T.HostExtension;const F=this._myRegistry.getExtensionDescription(ee);return this._activateExtension(F,ie)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),C.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(Y){p.onUnexpectedError(Y)}}async _deactivateAll(){this._storagePath.onWillDeactivateAll();let Y=[];try{Y=this._myRegistry.getAllExtensionDescriptions().map(pe=>pe.identifier).filter(pe=>this.isActivated(pe)).map(pe=>this._deactivate(pe))}catch{}await Promise.all(Y)}terminate(Y,he=0){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`Extension host terminating: ${Y}`),this._logService.flush(),this._extHostTerminalService.dispose(),this._activator.dispose(),p.setUnexpectedErrorHandler(re=>{this._logService.error(re)}),this._extHostContext.dispose();const ve=this._deactivateAll();Promise.race([(0,y.timeout)(5e3),ve]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${he}`):this._logService.info(`Extension host exiting with code ${he}`),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(he)})}isActivated(Y){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(Y):!1}async getExtension(Y){const he=await this._mainThreadExtensionsProxy.$getExtension(Y);let ve;if(he?.browserNlsBundleUris){ve={};for(const re of Object.keys(he.browserNlsBundleUris))ve[re]=I.URI.revive(he.browserNlsBundleUris[re])}return he&&{...he,identifier:new g.ExtensionIdentifier(he.identifier.value),extensionLocation:I.URI.revive(he.extensionLocation),browserNlsBundleUris:ve}}_activateByEvent(Y,he){return this._activator.activateByEvent(Y,he)}_activateById(Y,he){return this._activator.activateById(Y,he)}activateByIdWithErrors(Y,he){return this._activateById(Y,he).then(()=>{const ve=this._activator.getActivatedExtension(Y);if(ve.activationFailed)return Promise.reject(ve.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(Y=>this._myRegistry)}getExtensionExports(Y){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(Y).exports:null}async _realPathExtensionUri(Y){if(Y.scheme!==R.Schemas.file)return Y;const he=await this._hostUtils.realpath(Y.fsPath);return I.URI.file(he)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=this._createExtensionPathIndex(this._myRegistry.getAllExtensionDescriptions()).then(Y=>new q(Y))),this._extensionPathIndex}async _createExtensionPathIndex(Y){const he=w.TernarySearchTree.forUris(ve=>P.extUriBiasedIgnorePathCase.ignorePathCasing(ve));return await Promise.all(Y.map(async ve=>{if(this._getEntryPoint(ve)){const re=await this._realPathExtensionUri(ve.extensionLocation);he.set(re,ve)}})),he}_deactivate(Y){let he=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(Y))return he;const ve=this._activator.getActivatedExtension(Y);if(!ve)return he;try{typeof ve.module.deactivate=="function"&&(he=Promise.resolve(ve.module.deactivate()).then(void 0,re=>(this._logService.error(re),Promise.resolve(void 0))))}catch(re){this._logService.error(`An error occurred when deactivating the extension '${Y.value}':`),this._logService.error(re)}try{(0,D.dispose)(ve.subscriptions)}catch(re){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${Y.value}':`),this._logService.error(re)}return he}async _activateExtension(Y,he){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(Y.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(Y.identifier),this._doActivateExtension(Y,he).then(ve=>{const re=ve.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(Y.identifier,re.codeLoadingTime,re.activateCallTime,re.activateResolvedTime,he),this._logExtensionActivationTimes(Y,he,"success",re),ve},ve=>{throw this._logExtensionActivationTimes(Y,he,"failure"),ve})}_logExtensionActivationTimes(Y,he,ve,re){const pe=z(Y,he);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...pe,...re||{},outcome:ve})}_doActivateExtension(Y,he){const ve=z(Y,he);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",ve);const re=this._getEntryPoint(Y);if(!re)return Promise.resolve(new T.EmptyExtension(T.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${Y.identifier.value}, startup: ${he.startup}, activationEvent: '${he.activationEvent}'${Y.identifier.value!==he.extensionId.value?`, root cause: ${he.extensionId.value}`:""}`),this._logService.flush();const pe=new T.ExtensionActivationTimesBuilder(he.startup);return Promise.all([this._loadCommonJSModule(Y,(0,P.joinPath)(Y.extensionLocation,re),pe),this._loadExtensionContext(Y)]).then(be=>(C.mark(`code/extHost/willActivateExtension/${Y.identifier.value}`),Tn._callActivate(this._logService,Y.identifier,be[0],be[1],pe))).then(be=>(C.mark(`code/extHost/didActivateExtension/${Y.identifier.value}`),be))}_loadExtensionContext(Y){const he=new m.ExtensionGlobalMemento(Y,this._storage),ve=new m.ExtensionMemento(Y.identifier.value,!1,this._storage),re=new B.ExtensionSecrets(Y,this._secretState),pe=Y.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?c.ExtensionMode.Test:c.ExtensionMode.Development:c.ExtensionMode.Production,be=this._initData.remote.isRemote?c.ExtensionKind.Workspace:c.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${Y.identifier.value}`),Promise.all([he.whenReady,ve.whenReady,this._storagePath.whenReady]).then(()=>{const ke=this;let Re,Ue;const ae=(0,v.isProposedApiEnabled)(Y,"ipc")?this._initData.messagePorts?.get(g.ExtensionIdentifier.toKey(Y.identifier)):void 0;return Object.freeze({globalState:he,workspaceState:ve,secrets:re,subscriptions:[],get extensionUri(){return Y.extensionLocation},get extensionPath(){return Y.extensionLocation.fsPath},asAbsolutePath(de){return t.join(Y.extensionLocation.fsPath,de)},get storagePath(){return ke._storagePath.workspaceValue(Y)?.fsPath},get globalStoragePath(){return ke._storagePath.globalValue(Y).fsPath},get logPath(){return t.join(ke._initData.logsLocation.fsPath,Y.identifier.value)},get logUri(){return I.URI.joinPath(ke._initData.logsLocation,Y.identifier.value)},get storageUri(){return ke._storagePath.workspaceValue(Y)},get globalStorageUri(){return ke._storagePath.globalValue(Y)},get extensionMode(){return pe},get extension(){return Re===void 0&&(Re=new O(ke,Y.identifier,Y,be,!1)),Re},get extensionRuntime(){return(0,v.checkProposedApiEnabled)(Y,"extensionRuntime"),ke.extensionRuntime},get environmentVariableCollection(){return ke._extHostTerminalService.getEnvironmentVariableCollection(Y)},get messagePassingProtocol(){if(!Ue){if(!ae)return;const de=S.Event.buffer(S.Event.fromDOMEventEmitter(ae,"message",ge=>ge.data));ae.start(),Ue={onDidReceiveMessage:de,postMessage:ae.postMessage.bind(ae)}}return Ue}})})}static _callActivate(Y,he,ve,re,pe){return ve=ve||{activate:void 0,deactivate:void 0},this._callActivateOptional(Y,he,ve,re,pe).then(be=>new T.ActivatedExtension(!1,null,pe.build(),ve,be,re.subscriptions))}static _callActivateOptional(Y,he,ve,re,pe){if(typeof ve.activate=="function")try{pe.activateCallStart(),Y.trace(`ExtensionService#_callActivateOptional ${he.value}`);const be=typeof global=="object"?global:self,ke=ve.activate.apply(be,[re]);return pe.activateCallStop(),pe.activateResolveStart(),Promise.resolve(ke).then(Re=>(pe.activateResolveStop(),Re))}catch(be){return Promise.reject(be)}else return Promise.resolve(ve)}_activateOneStartupFinished(Y,he){this._activateById(Y.identifier,{startup:!1,extensionId:Y.identifier,activationEvent:he}).then(void 0,ve=>{this._logService.error(ve)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(C.getMarks());for(const Y of this._myRegistry.getAllExtensionDescriptions())if(Y.activationEvents)for(const he of Y.activationEvents)he==="onStartupFinished"&&this._activateOneStartupFinished(Y,he)}_handleEagerExtensions(){const Y=this._activateByEvent("*",!0).then(void 0,pe=>{this._logService.error(pe)});this._register(this._extHostWorkspace.onDidChangeWorkspace(pe=>this._handleWorkspaceContainsEagerExtensions(pe.added)));const he=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],ve=this._handleWorkspaceContainsEagerExtensions(he),re=Promise.all([Y,ve]).then(()=>{});return Promise.race([re,(0,y.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),re}_handleWorkspaceContainsEagerExtensions(Y){return Y.length===0?Promise.resolve(void 0):Promise.all(this._myRegistry.getAllExtensionDescriptions().map(he=>this._handleWorkspaceContainsEagerExtension(Y,he))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(Y,he){if(this.isActivated(he.identifier))return;const ve=!this._initData.remote.isRemote&&!!this._initData.remote.authority,re={logService:this._logService,folders:Y.map(be=>be.uri),forceUsingSearch:ve,exists:be=>this._hostUtils.exists(be.fsPath),checkExists:(be,ke,Re)=>this._mainThreadWorkspaceProxy.$checkExists(be,ke,Re)},pe=await(0,L.checkActivateWorkspaceContainsExtension)(re,he);if(!!pe)return this._activateById(he.identifier,{startup:!0,extensionId:he.identifier,activationEvent:pe.activationEvent}).then(void 0,be=>this._logService.error(be))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(Y){throw console.error(Y),Y}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:Y,extensionTestsLocationURI:he}=this._initData.environment;if(!Y||!he)throw new Error(u.localize(0,null));const ve=await this._loadCommonJSModule(null,he,new T.ExtensionActivationTimesBuilder(!1));if(!ve||typeof ve.run!="function")throw new Error(u.localize(1,null,he.toString()));return new Promise((re,pe)=>{const be=(Ue,ae)=>{Ue?pe(Ue):re(typeof ae=="number"&&ae>0?1:0)},ke=(0,P.originalFSPath)(he),Re=ve.run(ke,be);Re&&Re.then&&Re.then(()=>{re(0)}).catch(Ue=>{pe(Ue instanceof Error&&Ue.stack?Ue.stack:String(Ue))})})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(Y,he){return this._resolvers[Y]=he,(0,D.toDisposable)(()=>{delete this._resolvers[Y]})}async _activateAndGetResolver(Y){const he=Y.indexOf("+");if(he===-1)throw new Error("Not an authority that can be resolved!");const ve=Y.substr(0,he);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${ve}`,!1),{authorityPrefix:ve,resolver:this._resolvers[ve]}}async $resolveAuthority(Y,he){this._logService.info(`$resolveAuthority invoked for authority (${V(Y)})`);const{authorityPrefix:ve,resolver:re}=await this._activateAndGetResolver(Y);if(!re)return{type:"error",error:{code:l.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${ve}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelFactory(re)),C.mark(`code/extHost/willResolveAuthority/${ve}`);const pe=await re.resolve(Y,{resolveAttempt:he});C.mark(`code/extHost/didResolveAuthorityOK/${ve}`);const be={authority:Y,host:pe.host,port:pe.port,connectionToken:pe.connectionToken},ke={extensionHostEnv:pe.extensionHostEnv,isTrusted:pe.isTrusted,authenticationSession:pe.authenticationSessionForInitializingExtensions?{id:pe.authenticationSessionForInitializingExtensions.id,providerId:pe.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:be,options:ke,tunnelInformation:{environmentTunnels:pe.environmentTunnels,features:pe.tunnelFeatures}}}}catch(pe){if(C.mark(`code/extHost/didResolveAuthorityError/${ve}`),pe instanceof c.RemoteAuthorityResolverError)return{type:"error",error:{code:pe._code,message:pe._message,detail:pe._detail}};throw pe}}async $getCanonicalURI(Y,he){this._logService.info(`$getCanonicalURI invoked for authority (${V(Y)})`);const{resolver:ve}=await this._activateAndGetResolver(Y);if(!ve)return null;const re=I.URI.revive(he);if(typeof ve.getCanonicalURI=="undefined")return re;const pe=await(0,y.asPromise)(()=>ve.getCanonicalURI(re));return pe||re}static _applyExtensionsDelta(Y,he,ve){const re=new h.ExtensionDescriptionRegistry(Y.getAllExtensionDescriptions());re.deltaExtensions(ve.toAdd,ve.toRemove);const pe=(0,v.extensionIdentifiersArrayToSet)(he.getAllExtensionDescriptions().map(ke=>ke.identifier));for(const ke of ve.myToRemove)pe.delete(g.ExtensionIdentifier.toKey(ke));for(const ke of ve.myToAdd)pe.add(g.ExtensionIdentifier.toKey(ke));const be=x(re,pe);return{globalRegistry:re,myExtensions:be}}$startExtensionHost(Y){Y.toAdd.forEach(re=>re.extensionLocation=I.URI.revive(re.extensionLocation));const{globalRegistry:he,myExtensions:ve}=Tn._applyExtensionsDelta(this._globalRegistry,this._myRegistry,Y);return this._globalRegistry.set(he.getAllExtensionDescriptions()),this._myRegistry.set(ve),this._startExtensionHost()}$activateByEvent(Y,he){return he===1?this._activateByEvent(Y,!1):this._readyToRunExtensions.wait().then(ve=>this._activateByEvent(Y,!1))}async $activate(Y,he){return await this._readyToRunExtensions.wait(),this._myRegistry.getExtensionDescription(Y)?(await this._activateById(Y,he),!0):!1}async $deltaExtensions(Y){Y.toAdd.forEach(be=>be.extensionLocation=I.URI.revive(be.extensionLocation));const{globalRegistry:he,myExtensions:ve}=Tn._applyExtensionsDelta(this._globalRegistry,this._myRegistry,Y),re=await this._createExtensionPathIndex(ve);return(await this.getExtensionPathIndex()).setSearchTree(re),this._globalRegistry.set(he.getAllExtensionDescriptions()),this._myRegistry.set(ve),Promise.resolve(void 0)}async $test_latency(Y){return Y}async $test_up(Y){return Y.byteLength}async $test_down(Y){const he=a.VSBuffer.alloc(Y),ve=Math.random()%256;for(let re=0;re<Y;re++)he.writeUInt8(ve,re);return he}async $updateRemoteConnectionData(Y){this._remoteConnectionData=Y,this._onDidChangeRemoteConnectionData.fire()}};X=je([xe(0,r.IInstantiationService),xe(1,e.IHostUtils),xe(2,n.IExtHostRpcService),xe(3,b.IExtHostWorkspace),xe(4,_.IExtHostConfiguration),xe(5,A.ILogService),xe(6,i.IExtHostInitDataService),xe(7,s.IExtensionStoragePaths),xe(8,d.IExtHostTunnelService),xe(9,f.IExtHostTerminalService)],X),e.AbstractExtHostExtensionService=X;function z(J,Y){return{id:J.identifier.value,name:J.name,extensionVersion:J.version,publisherDisplayName:J.publisher,activationEvents:J.activationEvents?J.activationEvents.join(","):null,isBuiltin:J.isBuiltin,reason:Y.activationEvent,reasonId:Y.extensionId.value}}e.IExtHostExtensionService=(0,r.createDecorator)("IExtHostExtensionService");class O{constructor(Y,he,ve,re,pe){U.set(this,void 0),$.set(this,void 0),N.set(this,void 0),et(this,U,Y,"f"),et(this,$,he,"f"),et(this,N,ve.identifier,"f"),this.id=ve.identifier.value,this.extensionUri=ve.extensionLocation,this.extensionPath=t.normalize((0,P.originalFSPath)(ve.extensionLocation)),this.packageJSON=ve,this.extensionKind=re,this.isFromDifferentExtensionHost=pe}get isActive(){return Me(this,U,"f").isActivated(Me(this,N,"f"))}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return Me(this,U,"f").getExtensionExports(Me(this,N,"f"))}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await Me(this,U,"f").activateByIdWithErrors(Me(this,N,"f"),{startup:!1,extensionId:Me(this,$,"f"),activationEvent:"api"}),this.exports}}e.Extension=O,U=new WeakMap,$=new WeakMap,N=new WeakMap;function x(J,Y){return J.getAllExtensionDescriptions().filter(he=>Y.has(g.ExtensionIdentifier.toKey(he.identifier)))}function V(J){const Y=J.indexOf("+");return Y===-1?J:J.substring(0,Y)}class q{constructor(Y){this._searchTree=Y}setSearchTree(Y){this._searchTree=Y}findSubstr(Y){return this._searchTree.findSubstr(Y)}forEach(Y){return this._searchTree.forEach(Y)}}e.ExtensionPaths=q}),define(De[280],Ie([1,0,73,2,5,33,27,28,15,26,3,39,40,14,8]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let b=class{constructor(m,c,l,r,i,s,n){this._apiFactory=m,this._extensionRegistry=c,this._instaService=l,this._extHostConfiguration=r,this._extHostExtensionService=i,this._initData=s,this._logService=n,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),u.mark("code/extHost/willWaitForConfig");const m=await this._extHostConfiguration.getConfigProvider();u.mark("code/extHost/didWaitForConfig");const c=await this._extHostExtensionService.getExtensionPathIndex();this.register(new h(this._apiFactory,c,this._extensionRegistry,m,this._logService)),this.register(this._instaService.createInstance(p,c)),this.register(this._instaService.createInstance(v)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(g,c,this._initData.environment.appUriScheme))}register(m){if("nodeModuleName"in m)if(Array.isArray(m.nodeModuleName))for(const c of m.nodeModuleName)this._factories.set(c,m);else this._factories.set(m.nodeModuleName,m);typeof m.alternativeModuleName=="function"&&this._alternatives.push(c=>m.alternativeModuleName(c))}};b=je([xe(2,A.IInstantiationService),xe(3,P.IExtHostConfiguration),xe(4,k.IExtHostExtensionService),xe(5,I.IExtHostInitDataService),xe(6,T.ILogService)],b),e.RequireInterceptor=b;let v=class Qn{constructor(m){if(m.environment.appRoot&&Qn.aliased.size){const c=(0,E.escapeRegExpCharacters)(this.forceForwardSlashes(m.environment.appRoot.fsPath)),l="[a-z0-9_.-]",r=`@${l}+\\/${l}+|${l}+`,i="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.re=new RegExp(`^(${c}/${i}\\/)(${r})(.*)$`,"i")}}alternativeModuleName(m){if(!this.re)return;const c=this.re.exec(this.forceForwardSlashes(m));if(!c)return;const[,l,r,i]=c,s=Qn.aliased.get(r);if(s!==void 0)return console.warn(`${r} as been renamed to ${s}, please update your imports`),l+s+i}forceForwardSlashes(m){return m.replace(/\\/g,"/")}};v.aliased=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),v=je([xe(0,I.IExtHostInitDataService)],v);class h{constructor(m,c,l,r,i){this._apiFactory=m,this._extensionPaths=c,this._extensionRegistry=l,this._configProvider=r,this._logService=i,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(m,c){const l=this._extensionPaths.findSubstr(c);if(l){let r=this._extApiImpl.get(D.ExtensionIdentifier.toKey(l.identifier));return r||(r=this._apiFactory(l,this._extensionRegistry,this._configProvider),this._extApiImpl.set(D.ExtensionIdentifier.toKey(l.identifier),r)),r}if(!this._defaultApiImpl){let r="";this._extensionPaths.forEach((i,s)=>r+=`	${s} -> ${i.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${c}. These are the extension path mappings: 
${r}`),this._defaultApiImpl=this._apiFactory(y.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let p=class{constructor(m,c,l){this._extensionPaths=m,this.nodeModuleName="keytar",this._mainThreadTelemetry=c.getProxy(C.MainContext.MainThreadTelemetry);const{environment:r}=l,i=c.getProxy(C.MainContext.MainThreadKeytar);if(r.appRoot){let s=r.appRoot.fsPath;_.platform==="win32"&&(s=s.replace(/\\/g,"/")),s[s.length-1]==="/"&&(s=s.substr(0,s.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${s}/node_modules.asar/keytar`),this.alternativeNames.add(`${s}/node_modules/keytar`)}this._impl={getPassword:(s,n)=>i.$getPassword(s,n),setPassword:(s,n,o)=>i.$setPassword(s,n,o),deletePassword:(s,n)=>i.$deletePassword(s,n),findPassword:s=>i.$findPassword(s),findCredentials(s){return i.$findCredentials(s)}}}load(m,c){const l=this._extensionPaths.findSubstr(c);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:l?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(m){const c=m.length;if(c<=7||!this.alternativeNames)return;const l=c-7;if((m.charAt(l)==="/"||m.charAt(l)==="\\")&&m.endsWith("keytar")&&(m=m.replace(/\\/g,"/"),this.alternativeNames.has(m)))return"keytar"}};p=je([xe(1,w.IExtHostRpcService),xe(2,I.IExtHostInitDataService)],p);let g=class{constructor(m,c,l){this._extensionPaths=m,this._appUriScheme=c,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=l.getProxy(C.MainContext.MainThreadTelemetry);const r=l.getProxy(C.MainContext.MainThreadWindow);this._impl=(i,s)=>{const n=t.URI.parse(i);return s?this.callOriginal(i,s):n.scheme==="http"||n.scheme==="https"?r.$openUri(n,i,{allowTunneling:!0}):n.scheme==="mailto"||n.scheme===this._appUriScheme?r.$openUri(n,i,{}):this.callOriginal(i,s)}}load(m,c,l){const r=this._extensionPaths.findSubstr(c);return r&&(this._extensionId=r.identifier.value,this.sendShimmingTelemetry()),this._original=l(m),this._impl}callOriginal(m,c){return this.sendNoForwardTelemetry(),this._original(m,c)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};g=je([xe(2,w.IExtHostRpcService)],g)}),define(De[47],Ie([1,0,78,6,9,40,3,56,57,39,7,32,218,33]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostVariableResolverProviderService=e.IExtHostVariableResolverProvider=void 0,e.IExtHostVariableResolverProvider=(0,y.createDecorator)("IExtHostVariableResolverProvider");class E extends _.AbstractVariableResolverService{constructor(h,p,g,a,m,c,l){function r(){if(g){const i=g.activeEditor();if(i)return i.document.uri;const s=a.tabGroups.all.find(n=>n.isActive)?.activeTab;if(s!==void 0){if(s.input instanceof A.TextDiffTabInput||s.input instanceof A.NotebookDiffEditorTabInput)return s.input.modified;if(s.input instanceof A.TextTabInput||s.input instanceof A.NotebookEditorTabInput||s.input instanceof A.CustomEditorTabInput)return s.input.uri}}}super({getFolderUri:i=>{const s=c.folders.filter(n=>n.name===i);if(s&&s.length>0)return s[0].uri},getWorkspaceFolderCount:()=>c.folders.length,getConfigurationValue:(i,s)=>m.getConfiguration(void 0,i).get(s),getAppRoot:()=>P.cwd(),getExecPath:()=>P.env.VSCODE_EXEC_PATH,getFilePath:()=>{const i=r();if(i)return C.normalize(i.fsPath)},getWorkspaceFolderPathForFile:()=>{if(p){const i=r();if(i){const s=p.getWorkspaceFolder(i);if(s)return C.normalize(s.uri.fsPath)}}},getSelectedText:()=>{if(g){const i=g.activeEditor();if(i&&!i.selection.isEmpty)return i.document.getText(i.selection)}},getLineNumber:()=>{if(g){const i=g.activeEditor();if(i)return String(i.selection.end.line+1)}},getExtension:i=>h.getExtension(i)},void 0,l?Promise.resolve(l):void 0,Promise.resolve(P.env))}}let b=class extends t.Disposable{constructor(h,p,g,a,m){super();this.extensionService=h,this.workspaceService=p,this.editorService=g,this.configurationService=a,this.editorTabs=m,this._resolver=new u.Lazy(async()=>{const c=await this.configurationService.getConfigProvider(),r={folders:await this.workspaceService.getWorkspaceFolders2()||[]};return this._register(this.workspaceService.onDidChangeWorkspace(async i=>{r.folders=await this.workspaceService.getWorkspaceFolders2()||[]})),new E(this.extensionService,this.workspaceService,this.editorService,this.editorTabs,c,r,this.homeDir())})}getResolver(){return this._resolver.getValue()}homeDir(){}};b=je([xe(0,I.IExtHostExtensionService),xe(1,k.IExtHostWorkspace),xe(2,D.IExtHostDocumentsAndEditors),xe(3,T.IExtHostConfiguration),xe(4,w.IExtHostEditorTabs)],b),e.ExtHostVariableResolverProviderService=b}),define(De[74],Ie([1,0,18,4,13,2,3,5,57,39,15,7,32,127,211,33,47]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,y.createDecorator)("IExtHostDebugService");let h=class{constructor(r,i,s,n,o,d){this._workspaceService=i,this._extensionService=s,this._configurationService=n,this._editorTabs=o,this._variableResolver=d,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new t.Emitter,this._onDidTerminateDebugSession=new t.Emitter,this._onDidChangeActiveDebugSession=new t.Emitter,this._onDidReceiveDebugSessionCustomEvent=new t.Emitter,this._debugServiceProxy=r.getProxy(D.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new t.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new g(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(f=>{f.onDidChange(S=>{this.registerAllDebugTypes(f)}),this.registerAllDebugTypes(f)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(r,i){const s=r;if(typeof s.sourceReference=="number"&&s.sourceReference>0){let n=`debug:${encodeURIComponent(s.path||"")}`,o="?";return i&&(n+=`${o}session=${encodeURIComponent(i.id)}`,o="&"),n+=`${o}ref=${s.sourceReference}`,P.URI.parse(n)}else{if(s.path)return P.URI.file(s.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(r){const i=[];for(const s of r.getAllExtensionDescriptions())if(s.contributes){const n=s.contributes.debuggers;if(n&&n.length>0)for(const o of n)(0,E.isDebuggerMainContribution)(o)&&i.push(o.type)}this._debugServiceProxy.$registerDebugTypes(i)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const r=[];return this._breakpoints.forEach(i=>r.push(i)),r}addBreakpoints(r){this.startBreakpoints();const i=r.filter(o=>{const d=o.id;return this._breakpoints.has(d)?!1:(this._breakpoints.set(d,o),!0)});this.fireBreakpointChanges(i,[],[]);const s=[],n=new Map;for(const o of i)if(o instanceof k.SourceBreakpoint){let d=n.get(o.location.uri.toString());d||(d={type:"sourceMulti",uri:o.location.uri,lines:[]},n.set(o.location.uri.toString(),d),s.push(d)),d.lines.push({id:o.id,enabled:o.enabled,condition:o.condition,hitCondition:o.hitCondition,logMessage:o.logMessage,line:o.location.range.start.line,character:o.location.range.start.character})}else o instanceof k.FunctionBreakpoint&&s.push({type:"function",id:o.id,enabled:o.enabled,hitCondition:o.hitCondition,logMessage:o.logMessage,condition:o.condition,functionName:o.functionName});return this._debugServiceProxy.$registerBreakpoints(s)}removeBreakpoints(r){this.startBreakpoints();const i=r.filter(d=>this._breakpoints.delete(d.id));this.fireBreakpointChanges([],i,[]);const s=i.filter(d=>d instanceof k.SourceBreakpoint).map(d=>d.id),n=i.filter(d=>d instanceof k.FunctionBreakpoint).map(d=>d.id),o=i.filter(d=>d instanceof k.DataBreakpoint).map(d=>d.id);return this._debugServiceProxy.$unregisterBreakpoints(s,n,o)}startDebugging(r,i,s){return this._debugServiceProxy.$startDebugging(r?r.uri:void 0,i,{parentSessionID:s.parentSession?s.parentSession.id:void 0,lifecycleManagedByParent:s.lifecycleManagedByParent,repl:s.consoleMode===k.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:s.noDebug,compact:s.compact,debugUI:s.debugUI,suppressSaveBeforeStart:s.suppressSaveBeforeStart})}stopDebugging(r){return this._debugServiceProxy.$stopDebugging(r?r.id:void 0)}registerDebugConfigurationProvider(r,i,s){if(!i)return new k.Disposable(()=>{});const n=this._configProviderHandleCounter++;return this._configProviders.push({type:r,handle:n,provider:i}),this._debugServiceProxy.$registerDebugConfigurationProvider(r,s,!!i.provideDebugConfigurations,!!i.resolveDebugConfiguration,!!i.resolveDebugConfigurationWithSubstitutedVariables,n),new k.Disposable(()=>{this._configProviders=this._configProviders.filter(o=>o.provider!==i),this._debugServiceProxy.$unregisterDebugConfigurationProvider(n)})}registerDebugAdapterDescriptorFactory(r,i,s){if(!s)return new k.Disposable(()=>{});if(!this.definesDebugType(r,i))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${i}' debugger.`);if(this.getAdapterDescriptorFactoryByType(i))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const n=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:i,handle:n,factory:s}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(i,n),new k.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(o=>o.factory!==s),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(n)})}registerDebugAdapterTrackerFactory(r,i){if(!i)return new k.Disposable(()=>{});const s=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:r,handle:s,factory:i}),new k.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(n=>n.factory!==i)})}async $runInTerminal(r,i){return Promise.resolve(void 0)}async $substituteVariables(r,i){let s;const n=await this.getFolder(r);return n&&(s={uri:n.uri,name:n.name,index:n.index,toResource:()=>{throw new Error("Not implemented")}}),(await this._variableResolver.getResolver()).resolveAnyAsync(s,i)}createDebugAdapter(r,i){if(r.type==="implementation")return new m(r.implementation)}createSignService(){}async $startDASession(r,i){const s=this,n=await this.getSession(i);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(n.type),n).then(o=>{if(!o)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}' (extension might have failed to activate)`);const d=this.convertToDto(o),f=this.createDebugAdapter(d,n);if(!f)throw new Error(`Couldn't create a debug adapter for type '${n.type}'.`);const S=f;return this._debugAdapters.set(r,S),this.getDebugAdapterTrackers(n).then(L=>(L&&this._debugAdaptersTrackers.set(r,L),S.onMessage(async M=>{if(M.type==="request"&&M.command==="handshake"){const B=M,R={type:"response",seq:0,command:B.command,request_seq:B.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const U=await this._signService.sign(B.arguments.value);R.body={signature:U},S.sendResponse(R)}else throw new Error("no signer")}catch(U){R.success=!1,R.message=U.message,S.sendResponse(R)}}else L&&L.onDidSendMessage&&L.onDidSendMessage(M),M=(0,E.convertToVSCPaths)(M,!0),s._debugServiceProxy.$acceptDAMessage(r,M)}),S.onError(M=>{L&&L.onError&&L.onError(M),this._debugServiceProxy.$acceptDAError(r,M.name,M.message,M.stack)}),S.onExit(M=>{L&&L.onExit&&L.onExit((0,C.withNullAsUndefined)(M),void 0),this._debugServiceProxy.$acceptDAExit(r,(0,C.withNullAsUndefined)(M),void 0)}),L&&L.onWillStartSession&&L.onWillStartSession(),S.startSession()))})}$sendDAMessage(r,i){i=(0,E.convertToDAPaths)(i,!1);const s=this._debugAdaptersTrackers.get(r);s&&s.onWillReceiveMessage&&s.onWillReceiveMessage(i),this._debugAdapters.get(r)?.sendMessage(i)}$stopDASession(r){const i=this._debugAdaptersTrackers.get(r);this._debugAdaptersTrackers.delete(r),i&&i.onWillStopSession&&i.onWillStopSession();const s=this._debugAdapters.get(r);return this._debugAdapters.delete(r),s?s.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(r){const i=[],s=[],n=[];if(r.added)for(const o of r.added){const d=o.id;if(d&&!this._breakpoints.has(d)){let f;if(o.type==="function")f=new k.FunctionBreakpoint(o.functionName,o.enabled,o.condition,o.hitCondition,o.logMessage);else if(o.type==="data")f=new k.DataBreakpoint(o.label,o.dataId,o.canPersist,o.enabled,o.hitCondition,o.condition,o.logMessage);else{const S=P.URI.revive(o.uri);f=new k.SourceBreakpoint(new k.Location(S,new k.Position(o.line,o.character)),o.enabled,o.condition,o.hitCondition,o.logMessage)}f._id=d,this._breakpoints.set(d,f),i.push(f)}}if(r.removed)for(const o of r.removed){const d=this._breakpoints.get(o);d&&(this._breakpoints.delete(o),s.push(d))}if(r.changed){for(const o of r.changed)if(o.id){const d=this._breakpoints.get(o.id);if(d){if(d instanceof k.FunctionBreakpoint&&o.type==="function"){const f=d;f.enabled=o.enabled,f.condition=o.condition,f.hitCondition=o.hitCondition,f.logMessage=o.logMessage,f.functionName=o.functionName}else if(d instanceof k.SourceBreakpoint&&o.type==="source"){const f=d;f.enabled=o.enabled,f.condition=o.condition,f.hitCondition=o.hitCondition,f.logMessage=o.logMessage,f.location=new k.Location(P.URI.revive(o.uri),new k.Position(o.line,o.character))}n.push(d)}}}this.fireBreakpointChanges(i,s,n)}$provideDebugConfigurations(r,i,s){return(0,u.asPromise)(async()=>{const n=this.getConfigProviderByHandle(r);if(!n)throw new Error("no DebugConfigurationProvider found");if(!n.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const o=await this.getFolder(i);return n.provideDebugConfigurations(o,s)}).then(n=>{if(!n)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return n})}$resolveDebugConfiguration(r,i,s,n){return(0,u.asPromise)(async()=>{const o=this.getConfigProviderByHandle(r);if(!o)throw new Error("no DebugConfigurationProvider found");if(!o.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const d=await this.getFolder(i);return o.resolveDebugConfiguration(d,s,n)})}$resolveDebugConfigurationWithSubstitutedVariables(r,i,s,n){return(0,u.asPromise)(async()=>{const o=this.getConfigProviderByHandle(r);if(!o)throw new Error("no DebugConfigurationProvider found");if(!o.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const d=await this.getFolder(i);return o.resolveDebugConfigurationWithSubstitutedVariables(d,s,n)})}async $provideDebugAdapter(r,i){const s=this.getAdapterDescriptorFactoryByHandle(r);if(!s)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const n=await this.getSession(i);return this.getAdapterDescriptor(s,n).then(o=>{if(!o)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}'`);return this.convertToDto(o)})}async $acceptDebugSessionStarted(r){const i=await this.getSession(r);this._onDidStartDebugSession.fire(i)}async $acceptDebugSessionTerminated(r){const i=await this.getSession(r);i&&(this._onDidTerminateDebugSession.fire(i),this._debugSessions.delete(i.id))}async $acceptDebugSessionActiveChanged(r){this._activeDebugSession=r?await this.getSession(r):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(r,i){(await this.getSession(r))?._acceptNameChanged(i)}async $acceptDebugSessionCustomEvent(r,i){const n={session:await this.getSession(r),event:i.event,body:i.body};this._onDidReceiveDebugSessionCustomEvent.fire(n)}convertToDto(r){if(r instanceof k.DebugAdapterExecutable)return{type:"executable",command:r.command,args:r.args,options:r.options};if(r instanceof k.DebugAdapterServer)return{type:"server",port:r.port,host:r.host};if(r instanceof k.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:r.path};if(r instanceof k.DebugAdapterInlineImplementation)return{type:"implementation",implementation:r.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(r){const i=this._adapterFactories.filter(s=>s.type===r);if(i.length>0)return i[0].factory}getAdapterDescriptorFactoryByHandle(r){const i=this._adapterFactories.filter(s=>s.handle===r);if(i.length>0)return i[0].factory}getConfigProviderByHandle(r){const i=this._configProviders.filter(s=>s.handle===r);if(i.length>0)return i[0].provider}definesDebugType(r,i){if(r.contributes){const s=r.contributes.debuggers;if(s&&s.length>0){for(const n of s)if(n.label&&n.type&&n.type===i)return!0}}return!1}getDebugAdapterTrackers(r){const s=r.configuration.type,n=this._trackerFactories.filter(o=>o.type===s||o.type==="*").map(o=>(0,u.asPromise)(()=>o.factory.createDebugAdapterTracker(r)).then(d=>d,d=>null));return Promise.race([Promise.all(n).then(o=>{const d=o.filter(f=>!!f);if(d.length>0)return new a(d)}),new Promise((o,d)=>{const f=setTimeout(()=>{clearTimeout(f),d(new Error("timeout"))},1e3)})]).catch(o=>{})}async getAdapterDescriptor(r,i){const s=i.configuration.debugServer;if(typeof s=="number")return Promise.resolve(new k.DebugAdapterServer(s));if(r){const o=await this._extensionService.getExtensionRegistry();return(0,u.asPromise)(()=>r.createDebugAdapterDescriptor(i,this.daExecutableFromPackage(i,o))).then(d=>{if(d)return d})}const n=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(i,n))}daExecutableFromPackage(r,i){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(r,i,s){(r.length>0||i.length>0||s.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:r,removed:i,changed:s}))}async getSession(r){if(r)if(typeof r=="string"){const i=this._debugSessions.get(r);if(i)return i}else{let i=this._debugSessions.get(r.id);if(!i){const s=await this.getFolder(r.folderUri),n=r.parent?this._debugSessions.get(r.parent):void 0;i=new p(this._debugServiceProxy,r.id,r.type,r.name,s,r.configuration,n),this._debugSessions.set(i.id,i),this._debugServiceProxy.$sessionCached(i.id)}return i}throw new Error("cannot find session")}getFolder(r){if(r){const i=P.URI.revive(r);return this._workspaceService.resolveWorkspaceFolder(i)}return Promise.resolve(void 0)}};h=je([xe(0,A.IExtHostRpcService),xe(1,_.IExtHostWorkspace),xe(2,I.IExtHostExtensionService),xe(3,b.IExtHostConfiguration),xe(4,w.IExtHostEditorTabs),xe(5,v.IExtHostVariableResolverProvider)],h),e.ExtHostDebugServiceBase=h;class p{constructor(r,i,s,n,o,d,f){this._debugServiceProxy=r,this._id=i,this._type=s,this._name=n,this._workspaceFolder=o,this._configuration=d,this._parentSession=f}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(r){this._name=r,this._debugServiceProxy.$setDebugSessionName(this._id,r)}get parentSession(){return this._parentSession}_acceptNameChanged(r){this._name=r}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(r,i){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,r,i)}getDebugProtocolBreakpoint(r){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,r.id)}}e.ExtHostDebugSession=p;class g{constructor(r){this.value=Object.freeze({append(i){r.$appendDebugConsole(i)},appendLine(i){this.append(i+`
`)}})}}e.ExtHostDebugConsole=g;class a{constructor(r){this.trackers=r}onWillStartSession(){this.trackers.forEach(r=>r.onWillStartSession?r.onWillStartSession():void 0)}onWillReceiveMessage(r){this.trackers.forEach(i=>i.onWillReceiveMessage?i.onWillReceiveMessage(r):void 0)}onDidSendMessage(r){this.trackers.forEach(i=>i.onDidSendMessage?i.onDidSendMessage(r):void 0)}onWillStopSession(){this.trackers.forEach(r=>r.onWillStopSession?r.onWillStopSession():void 0)}onError(r){this.trackers.forEach(i=>i.onError?i.onError(r):void 0)}onExit(r,i){this.trackers.forEach(s=>s.onExit?s.onExit(r,i):void 0)}}class m extends T.AbstractDebugAdapter{constructor(r){super();this.implementation=r,r.onDidSendMessage(i=>{this.acceptMessage(i)})}startSession(){return Promise.resolve(void 0)}sendMessage(r){this.implementation.handleMessage(r)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let c=class extends h{constructor(r,i,s,n,o,d){super(r,i,s,n,o,d)}};c=je([xe(0,A.IExtHostRpcService),xe(1,_.IExtHostWorkspace),xe(2,I.IExtHostExtensionService),xe(3,b.IExtHostConfiguration),xe(4,w.IExtHostEditorTabs),xe(5,v.IExtHostVariableResolverProvider)],c),e.WorkerExtHostDebugService=c}),define(De[281],Ie([1,0,10,73,2,5,273,14,82,85,26,192,15,54,39]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class b{constructor(h,p,g,a,m){this._hostUtils=g,this._rpcProtocol=new y.RPCProtocol(h,null,a),p=b._transform(p,this._rpcProtocol);const c=new I.ServiceCollection(...(0,w.getSingletonServiceDescriptors)());c.set(A.IExtHostInitDataService,{_serviceBrand:void 0,...p,messagePorts:m}),c.set(_.IExtHostRpcService,new _.ExtHostRpcService(this._rpcProtocol)),c.set(T.IURITransformerService,new T.URITransformerService(a)),c.set(E.IHostUtils,g);const l=new k.InstantiationService(c,!0);this._logService=l.invokeFunction(n=>n.get(D.ILogService)),t.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",p),this._extensionService=l.invokeFunction(n=>n.get(E.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const r=new WeakMap;this._extensionService.getExtensionPathIndex().then(n=>{Error.prepareStackTrace=(o,d)=>{let f="",S,L;for(const M of d)f+=`
	at ${M.toString()}`,L=M.getFileName(),!S&&L&&(S=n.findSubstr(C.URI.file(L)));return r.set(o,S),`${o.name||"Error"}: ${o.message||""}${f}`}});const i=this._rpcProtocol.getProxy(P.MainContext.MainThreadExtensionService),s=this._rpcProtocol.getProxy(P.MainContext.MainThreadErrors);u.setUnexpectedErrorHandler(n=>{const o=u.transformErrorForSerialization(n),d=r.get(n);d?i.$onExtensionRuntimeError(d.identifier,o):s.$onUnexpectedError(o)})}async asBrowserUri(h){const p=this._rpcProtocol.getProxy(P.MainContext.MainThreadExtensionService);return C.URI.revive(await p.$asBrowserUri(h))}terminate(h){this._extensionService.terminate(h)}static _transform(h,p){h.allExtensions.forEach(a=>{a.extensionLocation=C.URI.revive(p.transformIncomingURIs(a.extensionLocation));const m={};a.browserNlsBundleUris&&(Object.keys(a.browserNlsBundleUris).forEach(c=>m[c]=C.URI.revive(p.transformIncomingURIs(a.browserNlsBundleUris[c]))),a.browserNlsBundleUris=m)}),h.environment.appRoot=C.URI.revive(p.transformIncomingURIs(h.environment.appRoot));const g=h.environment.extensionDevelopmentLocationURI;return g&&(h.environment.extensionDevelopmentLocationURI=g.map(a=>C.URI.revive(p.transformIncomingURIs(a)))),h.environment.extensionTestsLocationURI=C.URI.revive(p.transformIncomingURIs(h.environment.extensionTestsLocationURI)),h.environment.globalStorageHome=C.URI.revive(p.transformIncomingURIs(h.environment.globalStorageHome)),h.environment.workspaceStorageHome=C.URI.revive(p.transformIncomingURIs(h.environment.workspaceStorageHome)),h.logsLocation=C.URI.revive(p.transformIncomingURIs(h.logsLocation)),h.logFile=C.URI.revive(p.transformIncomingURIs(h.logFile)),h.workspace=p.transformIncomingURIs(h.workspace),h}}e.ExtensionHostMain=b}),define(De[282],Ie([1,0,18,11,176,191,199,74,57,39,15,38,7,47,32,212,214,33]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.runInExternalTerminal=e.ExtHostDebugService=void 0;let p=class extends D.ExtHostDebugServiceBase{constructor(l,r,i,s,n,o,d){super(l,r,i,s,o,d);this._terminalService=n,this._integratedTerminalInstances=new m}createDebugAdapter(l,r){switch(l.type){case"server":return new b.SocketDebugAdapter(l);case"pipeServer":return new b.NamedPipeDebugAdapter(l);case"executable":return new b.ExecutableDebugAdapter(l,r.type)}return super.createDebugAdapter(l,r)}daExecutableFromPackage(l,r){const i=b.ExecutableDebugAdapter.platformAdapterExecutable(r.getAllExtensionDescriptions(),l.type);if(i)return new _.DebugAdapterExecutable(i.command,i.args,i.options)}createSignService(){return new y.SignService}async $runInTerminal(l,r){if(l.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(U=>{this._integratedTerminalInstances.onTerminalClosed(U)}));const i=await this._configurationService.getConfigProvider(),s=this._terminalService.getDefaultShell(!0),n=this._terminalService.getDefaultShellArgs(!0),o=l.title||C.localize(0,null),d=JSON.stringify({shell:s,shellArgs:n});let f=await this._integratedTerminalInstances.checkout(d,o),S,L=!1;if(f)S=l.cwd;else{const U={shellPath:s,shellArgs:n,cwd:l.cwd,name:o,iconPath:new _.ThemeIcon("debug")};L=!0,f=this._terminalService.createTerminalFromOptions(U,{isFeatureTerminal:!0,useShellEnvironment:!0}),this._integratedTerminalInstances.insert(f,d)}f.show(!0);const M=await f.processId;L?await new Promise(U=>setTimeout(U,1e3)):i.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(s.indexOf("powershell")>=0||s.indexOf("pwsh")>=0||s.indexOf("cmd.exe")>=0?f.sendText("cls"):s.indexOf("bash")>=0?f.sendText("clear"):t.isWindows?f.sendText("cls"):f.sendText("clear"));const B=(0,v.prepareCommand)(s,l.args,!!l.argsCanBeInterpretedByShell,S,l.env);f.sendText(B);const R=this.onDidTerminateDebugSession(U=>{U.id===r&&(this._integratedTerminalInstances.free(f),R.dispose())});return M}else if(l.kind==="external")return a(l,await this._configurationService.getConfigProvider());return super.$runInTerminal(l,r)}};p=je([xe(0,A.IExtHostRpcService),xe(1,E.IExtHostWorkspace),xe(2,I.IExtHostExtensionService),xe(3,h.IExtHostConfiguration),xe(4,k.IExtHostTerminalService),xe(5,w.IExtHostEditorTabs),xe(6,T.IExtHostVariableResolverProvider)],p),e.ExtHostDebugService=p;let g;function a(c,l){if(!g)if(t.isWindows)g=new P.WindowsExternalTerminalService;else if(t.isMacintosh)g=new P.MacExternalTerminalService;else if(t.isLinux)g=new P.LinuxExternalTerminalService;else throw new Error("external terminals not supported on this platform");const r=l.getConfiguration("terminal");return g.runInTerminal(c.title,c.cwd,c.args,c.env||{},r.external||{})}e.runInExternalTerminal=a;class m{constructor(){this._terminalInstances=new Map}async checkout(l,r){const s=[...this._terminalInstances.entries()].map(([n,o])=>(0,u.createCancelablePromise)(async d=>{if(n.name!==r||o.lastUsedAt!==-1&&await(0,v.hasChildProcesses)(await n.processId))return null;const f=Date.now();return o.lastUsedAt+m.minUseDelay>f||d.isCancellationRequested||o.config!==l?null:(o.lastUsedAt=f,n)}));return await(0,u.firstParallel)(s,n=>!!n)}insert(l,r){this._terminalInstances.set(l,{lastUsedAt:Date.now(),config:r})}free(l){const r=this._terminalInstances.get(l);r&&(r.lastUsedAt=-1)}onTerminalClosed(l){this._terminalInstances.delete(l)}}m.minUseDelay=1e3}),define(De[283],Ie([1,0,9,2,109,32,56,33,45,38,15,26,72,12,14,67,22,81,47]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let g=class extends _.ExtHostTaskBase{constructor(m,c,l,r,i,s,n,o,d){super(m,c,l,r,i,s,n,o);this.workspaceService=l,this.variableResolver=d,c.remote.isRemote&&c.remote.authority?this.registerTaskSystem(T.Schemas.vscodeRemote,{scheme:T.Schemas.vscodeRemote,authority:c.remote.authority,platform:process.platform}):this.registerTaskSystem(T.Schemas.file,{scheme:T.Schemas.file,authority:"",platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(m,c){const l=c;if(!c.execution&&l._id===void 0)throw new Error("Tasks to execute must include an execution");if(l._id!==void 0){const r=_.TaskHandleDTO.from(l,this.workspaceService),i=await this._proxy.$getTaskExecution(r);if(i.task===void 0)throw new Error("Task from execution DTO is undefined");const s=await this.getTaskExecution(i,c);return this._proxy.$executeTask(r).catch(()=>{}),s}else{const r=_.TaskDTO.from(c,m);if(r===void 0)return Promise.reject(new Error("Task is not valid"));_.CustomExecutionDTO.is(r.execution)&&await this.addCustomExecution(r,c,!1);const i=await this.getTaskExecution(await this._proxy.$getTaskExecution(r),c);return this._proxy.$executeTask(r).catch(()=>{}),i}}provideTasksInternal(m,c,l,r){const i=[];if(r)for(const s of r){this.checkDeprecation(s,l),(!s.definition||!m[s.definition.type])&&this._logService.warn(`The task [${s.source}, ${s.name}] uses an undefined task type. The task will be ignored in the future.`);const n=_.TaskDTO.from(s,l.extension);n&&(i.push(n),_.CustomExecutionDTO.is(n.execution)&&c.push(this.addCustomExecution(n,s,!0)))}return{tasks:i,extension:l.extension}}async resolveTaskInternal(m){return m}async getAFolder(m){let c=m&&m.length>0?m[0]:void 0;if(!c){const l=t.URI.file((0,h.homedir)());c=new w.WorkspaceFolder({uri:l,name:v.basename(l),index:0})}return{uri:c.uri,name:c.name,index:c.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(m,c){const l=t.URI.revive(m),r={process:void 0,variables:Object.create(null)},i=await this._workspaceProvider.resolveWorkspaceFolder(l),s=await this._workspaceProvider.getWorkspaceFolders2()??[],n=await this.variableResolver.getResolver(),o=i?{uri:i.uri,name:i.name,index:i.index,toResource:()=>{throw new Error("Not implemented")}}:await this.getAFolder(s);for(const d of c.variables)r.variables[d]=await n.resolveAsync(o,d);if(c.process!==void 0){let d;if(c.process.path!==void 0){d=c.process.path.split(u.delimiter);for(let f=0;f<d.length;f++)d[f]=await n.resolveAsync(o,d[f])}r.process=await C.win32.findExecutable(await n.resolveAsync(o,c.process.name),c.process.cwd!==void 0?await n.resolveAsync(o,c.process.cwd):void 0,d)}return r}async $jsonTasksSupported(){return!0}async $findExecutable(m,c,l){return C.win32.findExecutable(m,c,l)}};g=je([xe(0,A.IExtHostRpcService),xe(1,k.IExtHostInitDataService),xe(2,P.IExtHostWorkspace),xe(3,y.IExtHostDocumentsAndEditors),xe(4,D.IExtHostConfiguration),xe(5,I.IExtHostTerminalService),xe(6,E.ILogService),xe(7,b.IExtHostApiDeprecationService),xe(8,p.IExtHostVariableResolverProvider)],g),e.ExtHostTask=g}),define(De[284],Ie([1,0,81,47]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeExtHostVariableResolverProviderService=void 0;class C extends t.ExtHostVariableResolverProviderService{homeDir(){return(0,u.homedir)()}}e.NodeExtHostVariableResolverProviderService=C}),define(De[140],Ie([1,0,17,18,21,50,12,9,22,2,30]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class k{constructor(p,g,a,m){this.query=p,this.provider=g,this.fileUtils=a,this.processType=m,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(p,g){const a=this.query.folderQueries||[],m=new C.CancellationTokenSource;return g.onCancellationRequested(()=>m.cancel()),new Promise((c,l)=>{this.collector=new T(p);let r=!1;const i=(s,n)=>{if(!r&&!this.isLimitHit){const o=this.resultSize(s);b(s)&&typeof this.query.maxResults=="number"&&this.resultCount+o>this.query.maxResults&&(this.isLimitHit=!0,r=!0,m.cancel(),s=this.trimResultToSize(s,this.query.maxResults-this.resultCount));const d=this.resultSize(s);this.resultCount+=d,(d>0||!b(s))&&this.collector.add(s,n)}};Promise.all(a.map((s,n)=>this.searchInFolder(s,o=>i(o,n),m.token))).then(s=>{m.dispose(),this.collector.flush();const n=s.some(o=>!!o&&!!o.limitHit);c({limitHit:this.isLimitHit||n,messages:(0,u.flatten)(s.map(o=>o?.message?Array.isArray(o.message)?o.message:[o.message]:[])),stats:{type:this.processType}})},s=>{m.dispose();const n=(0,P.toErrorMessage)(s);l(new Error(n))})})}resultSize(p){return b(p)?Array.isArray(p.ranges)?p.ranges.length:1:0}trimResultToSize(p,g){const a=Array.isArray(p.ranges)?p.ranges:[p.ranges],m=Array.isArray(p.preview.matches)?p.preview.matches:[p.preview.matches];return{ranges:a.slice(0,g),preview:{matches:m.slice(0,g),text:p.preview.text},uri:p.uri}}async searchInFolder(p,g,a){const m=new A.QueryGlobTester(this.query,p),c=[],l={report:s=>{if(!this.validateProviderResult(s))return;const n=p.folder.scheme===y.Schemas.file?(0,A.hasSiblingPromiseFn)(()=>this.fileUtils.readdir(w.dirname(s.uri))):void 0,o=w.relativePath(p.folder,s.uri);if(o){const d=m.includedInQuery(o,D.basename(o),n);(0,t.isThenable)(d)?c.push(d.then(f=>{f&&g(s)})):d&&g(s)}}},r=this.getSearchOptionsForFolder(p),i=await this.provider.provideTextSearchResults(_(this.query.contentPattern),r,l,a);return c.length&&await Promise.all(c),i}validateProviderResult(p){if(b(p)){if(Array.isArray(p.ranges)){if(!Array.isArray(p.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(p.preview.matches.length!==p.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(p.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(p){const g=(0,A.resolvePatternsForProvider)(this.query.includePattern,p.includePattern),a=(0,A.resolvePatternsForProvider)(this.query.excludePattern,p.excludePattern),m={folder:I.URI.from(p.folder),excludes:a,includes:g,useIgnoreFiles:!p.disregardIgnoreFiles,useGlobalIgnoreFiles:!p.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!p.disregardParentIgnoreFiles,followSymlinks:!p.ignoreSymlinks,encoding:p.fileEncoding&&this.fileUtils.toCanonicalName(p.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return m.usePCRE2=this.query.usePCRE2,m}}e.TextSearchManager=k;function _(h){return{isCaseSensitive:h.isCaseSensitive||!1,isRegExp:h.isRegExp||!1,isWordMatch:h.isWordMatch||!1,isMultiline:h.isMultiline||!1,pattern:h.pattern}}class T{constructor(p){this._onResult=p,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new v(512,g=>this.sendItems(g))}add(p,g){this._currentFileMatch&&(this._currentFolderIdx!==g||!w.isEqual(this._currentUri,p.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=g,this._currentFileMatch={resource:p.uri,results:[]}),this._currentFileMatch.results.push(E(p))}pushToCollector(){const p=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,p)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(p){this._onResult(p)}}e.TextSearchResultsCollector=T;function E(h){return b(h)?{preview:{matches:(0,u.mapArrayOrNot)(h.preview.matches,p=>({startLineNumber:p.start.line,startColumn:p.start.character,endLineNumber:p.end.line,endColumn:p.end.character})),text:h.preview.text},ranges:(0,u.mapArrayOrNot)(h.ranges,p=>({startLineNumber:p.start.line,startColumn:p.start.character,endLineNumber:p.end.line,endColumn:p.end.character}))}:{text:h.text,lineNumber:h.lineNumber}}function b(h){return!!h.preview}e.extensionResultIsMatch=b;class v{constructor(p,g){this.maxBatchSize=p,this.cb=g,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(p,g){!p||this.addItemToBatch(p,g)}addItems(p,g){!p||this.addItemsToBatch(p,g)}addItemToBatch(p,g){this.batch.push(p),this.batchSize+=g,this.onUpdate()}addItemsToBatch(p,g){this.batch=this.batch.concat(p),this.batchSize+=g,this.onUpdate()}onUpdate(){this.totalNumberCompleted<v.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},v.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=v,v.TIMEOUT=4e3,v.START_BATCH_AFTER_COUNT=50}),define(De[75],Ie([1,0,6,5,3,277,15,54,14,2,140]),function(Z,e,u,t,C,P,y,D,w,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,C.createDecorator)("IExtHostSearch");let k=class{constructor(b,v,h){this.extHostRpc=b,this._uriTransformer=v,this._logService=h,this._proxy=this.extHostRpc.getProxy(t.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new P.FileSearchManager}_transformScheme(b){return this._uriTransformer.transformOutgoingScheme(b)}registerTextSearchProvider(b,v){if(this._textSearchUsedSchemes.has(b))throw new Error(`a text search provider for the scheme '${b}' is already registered`);this._textSearchUsedSchemes.add(b);const h=this._handlePool++;return this._textSearchProvider.set(h,v),this._proxy.$registerTextSearchProvider(h,this._transformScheme(b)),(0,u.toDisposable)(()=>{this._textSearchUsedSchemes.delete(b),this._textSearchProvider.delete(h),this._proxy.$unregisterProvider(h)})}registerFileSearchProvider(b,v){if(this._fileSearchUsedSchemes.has(b))throw new Error(`a file search provider for the scheme '${b}' is already registered`);this._fileSearchUsedSchemes.add(b);const h=this._handlePool++;return this._fileSearchProvider.set(h,v),this._proxy.$registerFileSearchProvider(h,this._transformScheme(b)),(0,u.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(b),this._fileSearchProvider.delete(h),this._proxy.$unregisterProvider(h)})}$provideFileSearchResults(b,v,h,p){const g=_(h),a=this._fileSearchProvider.get(b);if(a)return this._fileSearchManager.fileSearch(g,a,m=>{this._proxy.$handleFileMatch(b,v,m.map(c=>c.resource))},p);throw new Error("unknown provider: "+b)}$clearCache(b){return this._fileSearchManager.clearCache(b),Promise.resolve(void 0)}$provideTextSearchResults(b,v,h,p){const g=this._textSearchProvider.get(b);if(!g||!g.provideTextSearchResults)throw new Error(`Unknown provider ${b}`);const a=_(h);return this.createTextSearchManager(a,g).search(c=>this._proxy.$handleTextMatch(b,v,c),p)}$enableExtensionHostSearch(){}createTextSearchManager(b,v){return new A.TextSearchManager(b,v,{readdir:h=>Promise.resolve([]),toCanonicalName:h=>h},"textSearchProvider")}};k=je([xe(0,y.IExtHostRpcService),xe(1,D.IURITransformerService),xe(2,w.ILogService)],k),e.ExtHostSearch=k;function _(E){return{...E,folderQueries:E.folderQueries&&E.folderQueries.map(T),extraFileResources:E.extraFileResources&&E.extraFileResources.map(b=>I.URI.revive(b))}}e.reviveQuery=_;function T(E){return{...E,folder:I.URI.revive(E.folder)}}}),define(De[285],Ie([1,0,82,139,32,135,33,37,56,38,72,74,75,91,53,67,138,68,46,90,124,57,136,14,228,47,137]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m,c,l,r,i,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,u.registerSingleton)(l.ILoggerService,c.ExtHostLoggerService),(0,u.registerSingleton)(l.ILogService,r.ExtHostLogService),(0,u.registerSingleton)(b.IExtHostApiDeprecationService,b.ExtHostApiDeprecationService),(0,u.registerSingleton)(D.IExtHostCommands,D.ExtHostCommands),(0,u.registerSingleton)(y.IExtHostConfiguration,y.ExtHostConfiguration),(0,u.registerSingleton)(h.IExtHostConsumerFileSystem,h.ExtHostConsumerFileSystem),(0,u.registerSingleton)(k.IExtHostDebugService,k.WorkerExtHostDebugService),(0,u.registerSingleton)(P.IExtHostDecorations,P.ExtHostDecorations),(0,u.registerSingleton)(w.IExtHostDocumentsAndEditors,w.ExtHostDocumentsAndEditors),(0,u.registerSingleton)(p.IExtHostFileSystemInfo,p.ExtHostFileSystemInfo),(0,u.registerSingleton)(t.IExtHostOutputService,t.ExtHostOutputService),(0,u.registerSingleton)(_.IExtHostSearch,_.ExtHostSearch),(0,u.registerSingleton)(T.IExtHostStorage,T.ExtHostStorage),(0,u.registerSingleton)(A.IExtHostTask,A.WorkerExtHostTask),(0,u.registerSingleton)(I.IExtHostTerminalService,I.WorkerExtHostTerminalService),(0,u.registerSingleton)(E.IExtHostTunnelService,E.ExtHostTunnelService),(0,u.registerSingleton)(v.IExtHostWindow,v.ExtHostWindow),(0,u.registerSingleton)(C.IExtHostWorkspace,C.ExtHostWorkspace),(0,u.registerSingleton)(g.IExtHostSecretState,g.ExtHostSecretState),(0,u.registerSingleton)(a.IExtHostTelemetry,a.ExtHostTelemetry),(0,u.registerSingleton)(s.IExtHostTelemetryLogService,s.ExtHostTelemetryLogService),(0,u.registerSingleton)(m.IExtHostEditorTabs,m.ExtHostEditorTabs),(0,u.registerSingleton)(i.IExtHostVariableResolverProvider,i.ExtHostVariableResolverProviderService)}),define(De[92],Ie([1,0,17,14,30,71]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function y(k){return k.startsWith("**")||k.startsWith("/")?k:`/${k}`}e.anchorGlob=y;function D(k,_,T,E){const b=(0,u.mapArrayOrNot)(T,w),v=new C.TextSearchMatch(_,b,E),h=v.preview.matches;return{ranges:(0,u.mapArrayOrNot)(b,I),uri:k,preview:{text:v.preview.text,matches:(0,u.mapArrayOrNot)(h,I)}}}e.createTextSearchResult=D;function w(k){return new C.SearchRange(k.start.line,k.start.character,k.end.line,k.end.character)}function I(k){return new P.Range(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn)}let A=class{constructor(_,T){this.prefix=_,this.logService=T}appendLine(_){this.logService.debug(`${this.prefix}#search`,_)}};A=je([xe(1,t.ILogService)],A),e.OutputChannel=A}),define(De[286],Ie([1,0,44,9,80,31,11,8,92,287]),function(Z,e,u,t,C,P,y,D,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const A=I.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function k(g,a,m,c){const l=_(g,a,m,c),r=a.folder.fsPath;return{cmd:u.spawn(A,l.args,{cwd:r}),rgDiskPath:A,siblingClauses:l.siblingClauses,rgArgs:l,cwd:r}}e.spawnRipgrepCmd=k;function _(g,a,m,c){const l=["--files","--hidden","--case-sensitive"];E([a],m,!1).forEach(i=>{const s=(0,w.anchorGlob)(i);if(l.push("-g",s),y.isMacintosh){const n=(0,C.normalizeNFD)(s);n!==s&&l.push("-g",n)}});const r=T([a],c,void 0,!1);return r.globArgs.forEach(i=>{const s=`!${(0,w.anchorGlob)(i)}`;if(l.push("-g",s),y.isMacintosh){const n=(0,C.normalizeNFD)(s);n!==s&&l.push("-g",n)}}),a.disregardIgnoreFiles!==!1?l.push("--no-ignore"):a.disregardParentIgnoreFiles!==!1&&l.push("--no-ignore-parent"),a.ignoreSymlinks||l.push("--follow"),g.exists&&l.push("--quiet"),l.push("--no-config"),a.disregardGlobalIgnoreFiles&&l.push("--no-ignore-global"),{args:l,siblingClauses:r.siblingClauses}}function T(g,a,m,c=!0){const l=[];let r={};return g.forEach(i=>{const s=Object.assign({},i.excludePattern||{},a||{}),n=b(s,c?i.folder.fsPath:void 0,m);l.push(...n.globArgs),n.siblingClauses&&(r=Object.assign(r,n.siblingClauses))}),{globArgs:l,siblingClauses:r}}e.foldersToRgExcludeGlobs=T;function E(g,a,m=!0){const c=[];return g.forEach(l=>{const r=Object.assign({},a||{},l.includePattern||{}),i=b(r,m?l.folder.fsPath:void 0);c.push(...i.globArgs)}),c}e.foldersToIncludeGlobs=E;function b(g,a,m){const c=[],l={};return Object.keys(g).forEach(r=>{if(m&&m.has(r)||!r)return;const i=g[r];r=h(a?v(a,r):r),r.startsWith("\\\\")?r="\\\\"+r.substr(2).replace(/\\/g,"/"):r=r.replace(/\\/g,"/"),typeof i=="boolean"&&i?(r.startsWith("\\\\")&&(r+="**"),c.push(p(r))):i&&i.when&&(l[r]=i)}),{globArgs:c,siblingClauses:l}}function v(g,a){return t.isAbsolute(a)?a:t.join(g,a)}e.getAbsoluteGlob=v;function h(g){return g=D.rtrim(g,"\\"),D.rtrim(g,"/")}function p(g){return P.getRoot(g).toLowerCase()==="c:/"?g.replace(/^c:[/\\]/i,"/"):g}e.fixDriveC=p}),define(De[288],Ie([1,0,44,63,9,289,17,50,36,80,31,11,51,8,13,29,30,286,104]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const g=new Set;process.on("exit",()=>{g.forEach(r=>r())});class a{constructor(i){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=i,this.filePattern=i.filePattern||"",this.includePattern=i.includePattern&&w.parse(i.includePattern),this.maxResults=i.maxResults||null,this.exists=!!i.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,p.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=i.excludePattern&&w.parse(i.excludePattern),this.folderExcludePatterns=new Map,i.folderQueries.forEach(s=>{const n=Object.assign({},s.excludePattern||{},this.config.excludePattern||{}),o=s.folder.fsPath;i.folderQueries.map(d=>d.folder.fsPath).filter(d=>d!==o).forEach(d=>{(0,A.isEqualOrParent)(d,o)&&(n[C.relative(o,d)]=!0)}),this.folderExcludePatterns.set(o,new c(n,o))})}cancel(){this.isCanceled=!0,g.forEach(i=>i())}walk(i,s,n,o,d){if(this.fileWalkSW=_.StopWatch.create(!1),this.isCanceled)return d(null,this.isLimitHit);s.forEach(f=>{const S=C.basename(f.fsPath);this.globalExcludePattern&&this.globalExcludePattern(f.fsPath,S)||this.matchFile(n,{relativePath:f.fsPath,searchPath:void 0})}),this.cmdSW=_.StopWatch.create(!1),this.parallel(i,(f,S)=>{this.call(this.cmdTraversal,this,f,n,o,L=>{if(L){const M=(0,D.toErrorMessage)(L);console.error(M),this.errors.push(M),S(L,void 0)}else S(null,void 0)})},(f,S)=>{this.fileWalkSW.stop();const L=f?y.coalesce(f)[0]:null;d(L,this.isLimitHit)})}parallel(i,s,n){const o=new Array(i.length),d=new Array(i.length);let f=!1,S=0;if(i.length===0)return n(null,[]);i.forEach((L,M)=>{s(L,(B,R)=>{if(B?(f=!0,o[M]=null,d[M]=B):(o[M]=R,d[M]=null),++S===i.length)return n(f?d:null,o)})})}call(i,s,...n){try{i.apply(s,n)}catch(o){n[n.length-1](o)}}cmdTraversal(i,s,n,o){const d=i.folder.fsPath,f=k.isMacintosh,S=()=>U&&U.kill();g.add(S);let L=z=>{g.delete(S),L=()=>{},o(z)},M="";const B=this.initDirectoryTree(),R=(0,h.spawnRipgrepCmd)(this.config,i,this.config.includePattern,this.folderExcludePatterns.get(i.folder.fsPath).expression),U=R.cmd,$=!Object.keys(R.siblingClauses).length,N=R.rgArgs.args.map(z=>z.match(/^-/)?z:`'${z}'`).join(" ");let X=`${R.rgDiskPath} ${N}
 - cwd: ${R.cwd}`;R.rgArgs.siblingClauses&&(X+=`
 - Sibling clauses: ${JSON.stringify(R.rgArgs.siblingClauses)}`),n({message:X}),this.cmdResultCount=0,this.collectStdout(U,"utf8",n,(z,O,x)=>{if(z){L(z);return}if(this.isLimitHit){L();return}const q=(M+(f?I.normalizeNFC(O||""):O)).split(`
`);if(x){const J=q.length;q[J-1]=q[J-1].trim(),q[J-1]||q.pop()}else M=q.pop()||"";if(q.length&&q[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=q.length,$){for(const J of q)if(this.matchFile(s,{base:d,relativePath:J,searchPath:this.getSearchPath(i,J)}),this.isLimitHit){S();break}(x||this.isLimitHit)&&L();return}this.addDirectoryEntries(i,B,d,q,s),x&&(this.matchDirectoryTree(B,d,s),L())})}spawnFindCmd(i){const s=this.folderExcludePatterns.get(i.folder.fsPath),n=s.getBasenameTerms(),o=s.getPathTerms(),d=["-L","."];if(n.length||o.length){d.push("-not","(","(");for(const f of n)d.push("-name",f),d.push("-o");for(const f of o)d.push("-path",f),d.push("-o");d.pop(),d.push(")","-prune",")")}return d.push("-type","f"),u.spawn("find",d,{cwd:i.folder.fsPath})}readStdout(i,s,n){let o="";this.collectStdout(i,s,()=>{},(d,f,S)=>{if(d){n(d);return}o+=f,S&&n(null,o)})}collectStdout(i,s,n,o){let d=(L,M,B)=>{(L||B)&&(d=()=>{},this.cmdSW?.stop()),o(L,M,B)},f=!1;i.stdout?(this.forwardData(i.stdout,s,d),i.stdout.once("data",()=>f=!0)):n({message:"stdout is null"});let S;i.stderr?S=this.collectData(i.stderr):n({message:"stderr is null"}),i.on("error",L=>{d(L)}),i.on("close",L=>{let M;!f&&(M=this.decodeData(S,s))&&l(M)?d(new Error(`command failed with error code ${L}: ${this.decodeData(S,s)}`)):(this.exists&&L===0&&(this.isLimitHit=!0),d(null,"",!0))})}forwardData(i,s,n){const o=new P.StringDecoder(s);return i.on("data",d=>{n(null,o.write(d))}),o}collectData(i){const s=[];return i.on("data",n=>{s.push(n)}),s}decodeData(i,s){const n=new P.StringDecoder(s);return i.map(o=>n.write(o)).join("")}initDirectoryTree(){const i={rootEntries:[],pathToEntries:Object.create(null)};return i.pathToEntries["."]=i.rootEntries,i}addDirectoryEntries(i,{pathToEntries:s},n,o,d){o.indexOf(this.filePattern)!==-1&&this.matchFile(d,{base:n,relativePath:this.filePattern,searchPath:this.getSearchPath(i,this.filePattern)});const f=S=>{const L=C.basename(S),M=C.dirname(S);let B=s[M];B||(B=s[M]=[],f(M)),B.push({base:n,relativePath:S,basename:L,searchPath:this.getSearchPath(i,S)})};o.forEach(f)}matchDirectoryTree({rootEntries:i,pathToEntries:s},n,o){const d=this,f=this.folderExcludePatterns.get(n),S=this.filePattern;function L(M){d.directoriesWalked++;const B=(0,v.hasSiblingFn)(()=>M.map(R=>R.basename));for(let R=0,U=M.length;R<U;R++){const $=M[R],{relativePath:N,basename:X}=$;if(f.test(N,X,S!==X?B:void 0))continue;const z=s[N];if(z)L(z);else{if(d.filesWalked++,N===S)continue;d.matchFile(o,$)}if(d.isLimitHit)break}}L(i)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(i,s,n,o,d){const f=i.folder,S=(0,v.hasSiblingFn)(()=>n);this.parallel(n,(L,M)=>{if(this.isCanceled||this.isLimitHit)return M(null);const B=s?[s,L].join(C.sep):L;if(this.folderExcludePatterns.get(i.folder.fsPath).test(B,L,this.config.filePattern!==L?S:void 0))return M(null);const R=[f.fsPath,B].join(C.sep);t.lstat(R,(U,$)=>{if(U||this.isCanceled||this.isLimitHit)return M(null);this.statLinkIfNeeded(R,$,(N,X)=>N||this.isCanceled||this.isLimitHit?M(null):X.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(R,$,(z,O)=>z||this.isCanceled||this.isLimitHit||(O=O||"",this.walkedPaths[O])?M(null):(this.walkedPaths[O]=!0,b.Promises.readdir(R).then(x=>{if(this.isCanceled||this.isLimitHit)return M(null);this.doWalk(i,B,x,o,V=>M(V||null))},x=>{M(null)})))):(this.filesWalked++,B===this.filePattern||this.maxFilesize&&E.isNumber(X.size)&&X.size>this.maxFilesize||this.matchFile(o,{base:f.fsPath,relativePath:B,searchPath:this.getSearchPath(i,B)}),M(null,void 0)))})},L=>{const M=L&&y.coalesce(L);return d(M&&M.length>0?M[0]:void 0)})}matchFile(i,s){this.isFileMatch(s)&&(!this.includePattern||this.includePattern(s.relativePath,C.basename(s.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||i(s))}isFileMatch(i){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,v.isFilePatternMatch)(i,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(i,s,n){return s.isSymbolicLink()?t.stat(i,n):n(null,s)}realPathIfNeeded(i,s,n){return s.isSymbolicLink()?t.realpath(i,(o,d)=>o?n(o):n(null,d)):n(null,i)}getSearchPath(i,s){return i.folderName?C.join(i.folderName,s):s}}e.FileWalker=a;class m{constructor(i){this.folderQueries=i.folderQueries,this.extraFiles=i.extraFileResources||[],this.walker=new a(i)}search(i,s,n){this.walker.walk(this.folderQueries,this.extraFiles,i,s,(o,d)=>{n(o,{limitHit:d,stats:this.walker.getStats(),messages:[]})})}cancel(){this.walker.cancel()}}e.Engine=m;class c{constructor(i,s){this.expression=i,this.root=s,this.init(i)}init(i){let s,n;Object.keys(i).filter(o=>i[o]).forEach(o=>{C.isAbsolute(o)?(s=s||w.getEmptyExpression(),s[o]=i[o]):(n=n||w.getEmptyExpression(),n[o]=i[o])}),this.absoluteParsedExpr=s&&w.parse(s,{trimForExclusions:!0}),this.relativeParsedExpr=n&&w.parse(n,{trimForExclusions:!0})}test(i,s,n){return this.relativeParsedExpr&&this.relativeParsedExpr(i,s,n)||this.absoluteParsedExpr&&this.absoluteParsedExpr(C.join(this.root,i),s,n)}getBasenameTerms(){const i=[];return this.absoluteParsedExpr&&i.push(...w.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&i.push(...w.getBasenameTerms(this.relativeParsedExpr)),i}getPathTerms(){const i=[];return this.absoluteParsedExpr&&i.push(...w.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&i.push(...w.getPathTerms(this.relativeParsedExpr)),i}}function l(r){const i=r.trim().split(`
`),s=i[0].trim();if(s.startsWith("Error parsing regex"))return s;if(s.startsWith("regex parse error"))return T.uppercaseFirstLetter(i[i.length-1].trim());if(s.startsWith("error parsing glob")||s.startsWith("unsupported encoding"))return s.charAt(0).toUpperCase()+s.substr(1);if(s==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(s.startsWith("Literal "))return s}e.rgErrorMsgForDisplay=l}),define(De[290],Ie([1,0,95,23]),function(Z,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.DecodeStreamError=e.DecodeStreamErrorKind=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function C(r){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(i=>i===r)}e.isUTFEncoding=C,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const P=512,y=512,D=512*8,w=512*128;var I;(function(r){r[r.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(I=e.DecodeStreamErrorKind||(e.DecodeStreamErrorKind={}));class A extends Error{constructor(i,s){super(i);this.decodeStreamErrorKind=s}}e.DecodeStreamError=A;class k{constructor(i){this.iconvLiteDecoder=i}static async create(i){let s;if(i!==e.UTF8)s=(await new Promise((o,d)=>{Z(["@vscode/iconv-lite-umd"],o,d)})).getDecoder(b(i));else{const n=new TextDecoder;s={write(o){return n.decode(o,{stream:!0})},end(){return n.decode()}}}return new k(s)}write(i){return this.iconvLiteDecoder.write(i)}end(){return this.iconvLiteDecoder.end()}}function _(r,i){const s=i.minBytesRequiredForDetection??i.guessEncoding?D:y;return new Promise((n,o)=>{const d=(0,u.newWriteableStream)(R=>R.join("")),f=[];let S=0,L,M;const B=async()=>{try{const R=await l({buffer:t.VSBuffer.concat(f),bytesRead:S},i.guessEncoding);if(R.seemsBinary&&i.acceptTextOnly)throw new A("Stream is binary but only text is accepted for decoding",1);R.encoding=await i.overwriteEncoding(R.encoding),L=await k.create(R.encoding);const U=L.write(t.VSBuffer.concat(f).buffer);d.write(U),f.length=0,S=0,n({stream:d,detected:R})}catch(R){M?.dispose(),d.destroy(),o(R)}};M=(0,u.listenStream)(r,{onData:async R=>{L?d.write(L.write(R.buffer)):(f.push(R),S+=R.byteLength,S>=s&&(r.pause(),await B(),setTimeout(()=>r.resume())))},onError:R=>d.error(R),onEnd:async()=>{L||await B(),d.end(L?.end())}})})}e.toDecodeStream=_;async function T(r,i,s){const o=(await new Promise((S,L)=>{Z(["@vscode/iconv-lite-umd"],S,L)})).getEncoder(b(i),s);let d=!1,f=!1;return{read(){if(f)return null;const S=r.read();if(typeof S!="string"){if(f=!0,!d&&s?.addBOM)switch(i){case e.UTF8:case e.UTF8_with_bom:return t.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const L=o.end();return L&&L.length>0?(d=!0,t.VSBuffer.wrap(L)):null}return d=!0,t.VSBuffer.wrap(o.write(S))}}}e.toEncodeReadable=T;async function E(r){return(await new Promise((s,n)=>{Z(["@vscode/iconv-lite-umd"],s,n)})).encodingExists(b(r))}e.encodingExists=E;function b(r){return r===e.UTF8_with_bom||r===null?e.UTF8:r}e.toNodeEncoding=b;function v(r,i){if(!r||i<e.UTF16be_BOM.length)return null;const s=r.readUInt8(0),n=r.readUInt8(1);if(s===e.UTF16be_BOM[0]&&n===e.UTF16be_BOM[1])return e.UTF16be;if(s===e.UTF16le_BOM[0]&&n===e.UTF16le_BOM[1])return e.UTF16le;if(i<e.UTF8_BOM.length)return null;const o=r.readUInt8(2);return s===e.UTF8_BOM[0]&&n===e.UTF8_BOM[1]&&o===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=v;const h=["ascii","utf-16","utf-32"];async function p(r){const i=await new Promise((f,S)=>{Z(["jschardet"],f,S)}),s=r.slice(0,w),n=m(s.buffer),o=i.detect(n);if(!o||!o.encoding)return null;const d=o.encoding.toLowerCase();return 0<=h.indexOf(d)?null:a(o.encoding)}const g={ibm866:"cp866",big5:"cp950"};function a(r){const i=r.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return g[i]||i}function m(r){let i="";for(let s=0;s<r.length;s++)i+=String.fromCharCode(r[s]);return i}function c(r){switch(r){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const i=r.match(/windows(\d+)/);return i?"windows-"+i[1]:r}}}e.toCanonicalName=c;function l({buffer:r,bytesRead:i},s){let n=v(r,i),o=!1;if(n!==e.UTF16be&&n!==e.UTF16le&&r){let d=!0,f=!0,S=!1;for(let L=0;L<i&&L<P;L++){const M=L%2==1,B=r.readUInt8(L)===0;if(B&&(S=!0),d&&(M&&!B||!M&&B)&&(d=!1),f&&(M&&B||!M&&!B)&&(f=!1),B&&!d&&!f)break}S&&(d?n=e.UTF16le:f?n=e.UTF16be:o=!0)}return s&&!o&&!n&&r?p(r.slice(0,i)).then(d=>({seemsBinary:!1,encoding:d})):{seemsBinary:o,encoding:n}}e.detectEncodingFromBuffer=l,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(De[141],Ie([1,0,290,29,140]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class P extends C.TextSearchManager{constructor(D,w,I=t,A="searchProcess"){super(D,w,{readdir:k=>I.Promises.readdir(k.fsPath),toCanonicalName:k=>(0,u.toCanonicalName)(k)},A)}}e.NativeTextSearchManager=P}),define(De[291],Ie([1,0]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeviewsService=void 0;class u{constructor(){this._dragOperations=new Map,this._renderedElements=new Map}removeDragOperationTransfer(C){if(C&&this._dragOperations.has(C)){const P=this._dragOperations.get(C);return this._dragOperations.delete(C),P}}addDragOperationTransfer(C,P){this._dragOperations.set(C,P)}getRenderedTreeElement(C){if(this._renderedElements.has(C))return this._renderedElements.get(C)}addRenderedTreeItemElement(C,P){this._renderedElements.set(C,P)}removeRenderedTreeItemElement(C){this._renderedElements.has(C)&&this._renderedElements.delete(C)}}e.TreeviewsService=u}),define(De[292],Ie([1,0,174,7,22,2,4,6,18,7,13,17,16,21,291,27]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function v(g,a){if((0,A.isString)(g))return{label:g};if(g&&typeof g=="object"&&typeof g.label=="string"){let m;return Array.isArray(g.highlights)&&(m=g.highlights.filter(c=>c.length===2&&typeof c[0]=="number"&&typeof c[1]=="number"),m=m.length?m:void 0),{label:g.label,highlights:m}}}class h{constructor(a,m,c){this._proxy=a,this.commands=m,this.logService=c,this.treeViews=new Map,this.treeDragAndDropService=new E.TreeviewsService;function l(r){return r&&r.$treeViewId&&r.$treeItemHandle}m.registerArgumentProcessor({processArgument:r=>l(r)?this.convertArgument(r):Array.isArray(r)&&r.length>0?r.map(i=>l(i)?this.convertArgument(i):i):r})}registerTreeDataProvider(a,m,c){const l=this.createTreeView(a,{treeDataProvider:m},c);return{dispose:()=>l.dispose()}}createTreeView(a,m,c){if(!m||!m.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const l=m.dragAndDropController?.dropMimeTypes??[],r=m.dragAndDropController?.dragMimeTypes??[],i=!!m.dragAndDropController?.handleDrag,s=!!m.dragAndDropController?.handleDrop,n=this._proxy.$registerTreeViewDataProvider(a,{showCollapseAll:!!m.showCollapseAll,canSelectMany:!!m.canSelectMany,dropMimeTypes:l,dragMimeTypes:r,hasHandleDrag:i,hasHandleDrop:s}),o=this.createExtHostTreeView(a,m,c);return{get onDidCollapseElement(){return o.onDidCollapseElement},get onDidExpandElement(){return o.onDidExpandElement},get selection(){return o.selectedElements},get onDidChangeSelection(){return o.onDidChangeSelection},get visible(){return o.visible},get onDidChangeVisibility(){return o.onDidChangeVisibility},get message(){return o.message},set message(d){o.message=d},get title(){return o.title},set title(d){o.title=d},get description(){return o.description},set description(d){o.description=d},get badge(){return(0,b.checkProposedApiEnabled)(c,"badges"),o.badge},set badge(d){(0,b.checkProposedApiEnabled)(c,"badges"),o.badge=d},reveal:(d,f)=>o.reveal(d,f),dispose:async()=>{await n,this.treeViews.delete(a),o.dispose()}}}$getChildren(a,m){const c=this.treeViews.get(a);return c?c.getChildren(m):Promise.reject(new Error((0,u.localize)(0,null,a)))}async $handleDrop(a,m,c,l,r,i,s,n){const o=this.treeViews.get(a);if(!o)return Promise.reject(new Error((0,u.localize)(1,null,a)));const d=_.DataTransfer.toDataTransfer(c,async f=>(await this._proxy.$resolveDropFileData(a,m,f)).buffer);return s===a&&n&&await this.addAdditionalTransferItems(d,o,n,r,i),o.onDrop(d,l,r)}async addAdditionalTransferItems(a,m,c,l,r){const i=this.treeDragAndDropService.removeDragOperationTransfer(r);if(i)(await i)?.forEach((s,n)=>{s&&a.set(n,s)});else if(r&&m.handleDrag){const s=m.handleDrag(c,a,l);this.treeDragAndDropService.addDragOperationTransfer(r,s),await s}return a}async $handleDrag(a,m,c,l){const r=this.treeViews.get(a);if(!r)return Promise.reject(new Error((0,u.localize)(2,null,a)));const i=await this.addAdditionalTransferItems(new t.DataTransfer,r,m,l,c);if(!!i)return _.DataTransfer.toDataTransferDTO(i)}async $hasResolve(a){const m=this.treeViews.get(a);if(!m)throw new Error((0,u.localize)(3,null,a));return m.hasResolve}$resolve(a,m,c){const l=this.treeViews.get(a);if(!l)throw new Error((0,u.localize)(4,null,a));return l.resolveTreeItem(m,c)}$setExpanded(a,m,c){const l=this.treeViews.get(a);if(!l)throw new Error((0,u.localize)(5,null,a));l.setExpanded(m,c)}$setSelection(a,m){const c=this.treeViews.get(a);if(!c)throw new Error((0,u.localize)(6,null,a));c.setSelection(m)}$setVisible(a,m){const c=this.treeViews.get(a);if(!c)throw new Error((0,u.localize)(7,null,a));c.setVisible(m)}createExtHostTreeView(a,m,c){const l=new p(a,m,this._proxy,this.commands.converter,this.logService,c);return this.treeViews.set(a,l),l}convertArgument(a){const m=this.treeViews.get(a.$treeViewId);return m?m.getExtensionElement(a.$treeItemHandle):null}}e.ExtHostTreeViews=h;class p extends D.Disposable{constructor(a,m,c,l,r,i){super();if(this.viewId=a,this.proxy=c,this.commands=l,this.logService=r,this.extension=i,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new y.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new y.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new y.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new y.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new y.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new T.CancellationTokenSource,i.contributes&&i.contributes.views)for(const o in i.contributes.views)for(const d of i.contributes.views[o])d.id===a&&(this._title=d.name);this.dataProvider=m.treeDataProvider,this.dndController=m.dragAndDropController,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(o=>this._onDidChangeData.fire({message:!1,element:o})));let s,n;this._register(y.Event.debounce(this._onDidChangeData.event,(o,d)=>(o||(o={message:!1,elements:[]}),d.element!==!1&&(s||(s=new Promise(f=>n=f),this.refreshPromise=this.refreshPromise.then(()=>s)),Array.isArray(d.element)?o.elements.push(...d.element):o.elements.push(d.element)),d.message&&(o.message=!0),o),200,!0)(({message:o,elements:d})=>{d.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const f=n;return s=null,this.refresh(d).then(()=>f())})),o&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(a=>this.getExtensionElement(a)).filter(a=>!(0,A.isUndefinedOrNull)(a))}async getChildren(a){const m=a?this.getExtensionElement(a):void 0;if(a&&!m)return this.logService.error(`No tree item with id '${a}' found.`),Promise.resolve([]);let c=this.getChildrenNodes(a);return c||(c=await this.fetchChildrenNodes(m)),c?c.map(l=>l.item):void 0}getExtensionElement(a){return this.elements.get(a)}reveal(a,m){m=m||{select:!0,focus:!1};const c=(0,A.isUndefinedOrNull)(m.select)?!0:m.select,l=(0,A.isUndefinedOrNull)(m.focus)?!1:m.focus,r=(0,A.isUndefinedOrNull)(m.expand)?!1:m.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):a?this.refreshPromise.then(()=>this.resolveUnknownParentChain(a)).then(i=>this.resolveTreeNode(a,i[i.length-1]).then(s=>this.proxy.$reveal(this.viewId,{item:s.item,parentChain:i.map(n=>n.item)},{select:c,focus:l,expand:r})),i=>this.logService.error(i)):this.proxy.$reveal(this.viewId,void 0,{select:c,focus:l,expand:r})}get message(){return this._message}set message(a){this._message=a,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(a){this._title=a,this.proxy.$setTitle(this.viewId,a,this._description)}get description(){return this._description}set description(a){this._description=a,this.proxy.$setTitle(this.viewId,this._title,a)}get badge(){return this._badge}set badge(a){this._badge?.value===a?.value&&this._badge?.tooltip===a?.tooltip||(this._badge=_.ViewBadge.from(a),this.proxy.$setBadge(this.viewId,a))}setExpanded(a,m){const c=this.getExtensionElement(a);c&&(m?this._onDidExpandElement.fire(Object.freeze({element:c})):this._onDidCollapseElement.fire(Object.freeze({element:c})))}setSelection(a){(0,k.equals)(this._selectedHandles,a)||(this._selectedHandles=a,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(a){a!==this._visible&&(this._visible=a,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async handleDrag(a,m,c){const l=[];for(const r of a){const i=this.getExtensionElement(r);i&&l.push(i)}if(!(!this.dndController?.handleDrag||l.length===0))return await this.dndController.handleDrag(l,m,c),m}get hasHandleDrag(){return!!this.dndController?.handleDrag}async onDrop(a,m,c){const l=m?this.getExtensionElement(m):void 0;if(!(!l&&m||!this.dndController?.handleDrop))return(0,w.asPromise)(()=>this.dndController?.handleDrop?this.dndController.handleDrop(l,a,c):void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(a,m){if(!this.dataProvider.resolveTreeItem)return;const c=this.elements.get(a);if(c){const l=this.nodes.get(c);if(l){const r=await this.dataProvider.resolveTreeItem(l.extensionItem,c,m)??l.extensionItem;return this.validateTreeItem(r),l.item.tooltip=this.getTooltip(r.tooltip),l.item.command=this.getCommand(l.disposableStore,r.command),l.item}}}resolveUnknownParentChain(a){return this.resolveParent(a).then(m=>m?this.resolveUnknownParentChain(m).then(c=>this.resolveTreeNode(m,c[c.length-1]).then(l=>(c.push(l),c))):Promise.resolve([]))}resolveParent(a){const m=this.nodes.get(a);return m?Promise.resolve(m.parent?this.elements.get(m.parent.item.handle):void 0):(0,w.asPromise)(()=>this.dataProvider.getParent(a))}resolveTreeNode(a,m){const c=this.nodes.get(a);return c?Promise.resolve(c):(0,w.asPromise)(()=>this.dataProvider.getTreeItem(a)).then(l=>this.createHandle(a,l,m,!0)).then(l=>this.getChildren(m?m.item.handle:void 0).then(()=>{const r=this.getExtensionElement(l);if(r){const i=this.nodes.get(r);if(i)return Promise.resolve(i)}throw new Error(`Cannot resolve tree item for element ${l}`)}))}getChildrenNodes(a){if(a){let m;if(typeof a=="string"){const c=this.getExtensionElement(a);m=c?this.nodes.get(c):void 0}else m=a;return m&&m.children||void 0}return this.roots}async fetchChildrenNodes(a){this.clearChildren(a);const m=new T.CancellationTokenSource(this._refreshCancellationSource.token);try{const c=a?this.nodes.get(a):void 0,l=await this.dataProvider.getChildren(a);if(m.token.isCancellationRequested)return;const r=await Promise.all((0,k.coalesce)(l||[]).map(async i=>{const s=await this.dataProvider.getTreeItem(i);return s&&!m.token.isCancellationRequested?this.createAndRegisterTreeNode(i,s,c):null}));return m.token.isCancellationRequested?void 0:(0,k.coalesce)(r)}finally{m.dispose()}}refresh(a){if(a.some(c=>!c))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new T.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const c=this.getHandlesToRefresh(a);if(c.length)return this.refreshHandles(c)}return Promise.resolve(void 0)}getHandlesToRefresh(a){const m=new Set,c=a.map(r=>this.nodes.get(r));for(const r of c)if(r&&!m.has(r.item.handle)){let i=r;for(;i&&i.parent&&c.findIndex(s=>i&&i.parent&&s&&s.item.handle===i.parent.item.handle)===-1;){const s=this.elements.get(i.parent.item.handle);i=s?this.nodes.get(s):void 0}i&&!i.parent&&m.add(r.item.handle)}const l=[];return m.forEach(r=>{const i=this.elements.get(r);if(i){const s=this.nodes.get(i);s&&(!s.parent||!m.has(s.parent.item.handle))&&l.push(r)}}),l}refreshHandles(a){const m={};return Promise.all(a.map(c=>this.refreshNode(c).then(l=>{l&&(m[c]=l.item)}))).then(()=>Object.keys(m).length?this.proxy.$refresh(this.viewId,m):void 0)}refreshNode(a){const m=this.getExtensionElement(a);if(m){const c=this.nodes.get(m);if(c)return this.clearChildren(m),(0,w.asPromise)(()=>this.dataProvider.getTreeItem(m)).then(l=>{if(l){const r=this.createTreeNode(m,l,c.parent);return this.updateNodeCache(m,r,c,c.parent),c.dispose(),r}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(a,m,c){const l=this.createTreeNode(a,m,c);if(m.id&&this.elements.has(l.item.handle))throw new Error((0,u.localize)(8,null,m.id));return this.addNodeToCache(a,l),this.addNodeToParentCache(l,c),l}getTooltip(a){return I.MarkdownString.isMarkdownString(a)?_.MarkdownString.from(a):a}getCommand(a,m){return m?{...this.commands.toInternal(m,a),originalId:m.command}:void 0}validateTreeItem(a){I.TreeItem.isTreeItem(a)||console.log(`Extension ${this.extension.identifier.value} has provided an invalid tree item.`)}createTreeNode(a,m,c){this.validateTreeItem(m);const l=new D.DisposableStore,r=this.createHandle(a,m,c),i=this.getLightIconPath(m);return{item:{handle:r,parentHandle:c?c.item.handle:void 0,label:v(m.label,this.extension),description:m.description,resourceUri:m.resourceUri,tooltip:this.getTooltip(m.tooltip),command:this.getCommand(l,m.command),contextValue:m.contextValue,icon:i,iconDark:this.getDarkIconPath(m)||i,themeIcon:this.getThemeIcon(m),collapsibleState:(0,A.isUndefinedOrNull)(m.collapsibleState)?I.TreeItemCollapsibleState.None:m.collapsibleState,accessibilityInformation:m.accessibilityInformation},extensionItem:m,parent:c,children:void 0,disposableStore:l,dispose(){l.dispose()}}}getThemeIcon(a){return a.iconPath instanceof I.ThemeIcon?a.iconPath:void 0}createHandle(a,{id:m,label:c,resourceUri:l},r,i){if(m)return`${p.ID_HANDLE_PREFIX}/${m}`;const s=v(c,this.extension),n=r?r.item.handle:p.LABEL_HANDLE_PREFIX;let o=s?s.label:l?(0,C.basename)(l):"";o=o.indexOf("/")!==-1?o.replace("/","//"):o;const d=this.nodes.has(a)?this.nodes.get(a).item.handle:void 0,f=this.getChildrenNodes(r)||[];let S,L=0;do{if(S=`${n}/${L}:${o}`,i||!this.elements.has(S)||d===S)break;L++}while(L<=f.length);return S}getLightIconPath(a){if(a.iconPath&&!(a.iconPath instanceof I.ThemeIcon))return typeof a.iconPath=="string"||P.URI.isUri(a.iconPath)?this.getIconPath(a.iconPath):this.getIconPath(a.iconPath.light)}getDarkIconPath(a){if(a.iconPath&&!(a.iconPath instanceof I.ThemeIcon)&&a.iconPath.dark)return this.getIconPath(a.iconPath.dark)}getIconPath(a){return P.URI.isUri(a)?a:P.URI.file(a)}addNodeToCache(a,m){this.elements.set(m.item.handle,a),this.nodes.set(a,m)}updateNodeCache(a,m,c,l){this.elements.delete(m.item.handle),this.nodes.delete(a),m.item.handle!==c.item.handle&&this.elements.delete(c.item.handle),this.addNodeToCache(a,m);const r=this.getChildrenNodes(l)||[],i=r.filter(s=>s.item.handle===c.item.handle)[0];i&&r.splice(r.indexOf(i),1,m)}addNodeToParentCache(a,m){m?(m.children||(m.children=[]),m.children.push(a)):(this.roots||(this.roots=[]),this.roots.push(a))}clearChildren(a){if(a){const m=this.nodes.get(a);if(m){if(m.children)for(const c of m.children){const l=this.elements.get(c.item.handle);l&&this.clear(l)}m.children=void 0}}else this.clearAll()}clear(a){const m=this.nodes.get(a);if(m){if(m.children)for(const c of m.children){const l=this.elements.get(c.item.handle);l&&this.clear(l)}this.nodes.delete(a),this.elements.delete(m.item.handle),m.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(a=>a.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}p.LABEL_HANDLE_PREFIX="0",p.ID_HANDLE_PREFIX="1"}),define(De[293],Ie([1,0,21,10,4,41,2,114,99,148,157,42,5,134,237,236,37,238,33,240,241,242,220,243,56,39,244,245,248,249,250,139,223,254,255,256,91,38,258,292,16,7,261,70,138,32,209,247,122,135,72,74,75,14,54,15,26,251,206,53,67,234,259,69,68,264,262,263,235,46,257,260,90,57,124,252,71,253,12,117,222,204,246,6,27,210,8,137]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a,m,c,l,r,i,s,n,o,d,f,S,L,M,B,R,U,$,N,X,z,O,x,V,q,J,Y,he,ve,re,pe,be,ke,Re,Ue,ae,de,ge,te,le,ee,ie,F,H,K,Q,fe,we,ue,Ce,Se,Be,qe,Je,Qe,Le,st,se,oe,G,ye,Ae,We,ze,$e,Ze,it,lt){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function ht(tt){const at=tt.get(de.IExtHostInitDataService),Ct=tt.get(Ce.IExtHostFileSystemInfo),Ot=tt.get(K.IExtHostConsumerFileSystem),It=tt.get(i.IExtHostExtensionService),mt=tt.get(J.IExtHostWorkspace),kt=tt.get(Qe.IExtHostTelemetry),Ut=tt.get(p.IExtHostConfiguration),Ft=tt.get(Ue.IURITransformerService),Ge=tt.get(ae.IExtHostRpcService),Nt=tt.get(U.IExtHostStorage),Lt=tt.get(H.IExtensionStoragePaths),Bt=tt.get(Re.ILoggerService),bt=tt.get(Re.ILogService),Te=tt.get(le.IExtHostTunnelService),Oe=tt.get(lt.IExtHostTelemetryLogService),_e=tt.get(ee.IExtHostApiDeprecationService),ne=tt.get(q.IExtHostWindow),Fe=tt.get(qe.IExtHostSecretState),Ve=tt.get(Je.IExtHostEditorTabs);Ge.set(_.ExtHostContext.ExtHostFileSystemInfo,Ct),Ge.set(_.ExtHostContext.ExtHostLogLevelServiceShape,Bt),Ge.set(_.ExtHostContext.ExtHostWorkspace,mt),Ge.set(_.ExtHostContext.ExtHostConfiguration,Ut),Ge.set(_.ExtHostContext.ExtHostExtensionService,It),Ge.set(_.ExtHostContext.ExtHostStorage,Nt),Ge.set(_.ExtHostContext.ExtHostTunnelService,Te),Ge.set(_.ExtHostContext.ExtHostWindow,ne),Ge.set(_.ExtHostContext.ExtHostSecretState,Fe),Ge.set(_.ExtHostContext.ExtHostTelemetry,kt),Ge.set(_.ExtHostContext.ExtHostEditorTabs,Ve);const rt=Ge.set(_.ExtHostContext.ExtHostDecorations,tt.get(re.IExtHostDecorations)),Ye=Ge.set(_.ExtHostContext.ExtHostDocumentsAndEditors,tt.get(r.IExtHostDocumentsAndEditors)),Ke=Ge.set(_.ExtHostContext.ExtHostCommands,tt.get(v.IExtHostCommands)),ft=Ge.set(_.ExtHostContext.ExtHostTerminalService,tt.get($.IExtHostTerminalService)),pt=Ge.set(_.ExtHostContext.ExtHostDebugService,tt.get(be.IExtHostDebugService)),Dt=Ge.set(_.ExtHostContext.ExtHostSearch,tt.get(ke.IExtHostSearch)),vt=Ge.set(_.ExtHostContext.ExtHostTask,tt.get(pe.IExtHostTask)),St=Ge.set(_.ExtHostContext.ExtHostOutputService,tt.get(S.IExtHostOutputService)),At=Ge.set(_.ExtHostContext.ExtHostUrls,new x.ExtHostUrls(Ge)),gt=Ge.set(_.ExtHostContext.ExtHostDocuments,new l.ExtHostDocuments(Ge,Ye)),Yt=Ge.set(_.ExtHostContext.ExtHostDocumentContentProviders,new m.ExtHostDocumentContentProvider(Ge,Ye,bt)),Jt=Ge.set(_.ExtHostContext.ExtHostDocumentSaveParticipant,new c.ExtHostDocumentSaveParticipant(bt,gt,Ge.getProxy(_.MainContext.MainThreadBulkEdits))),Et=Ge.set(_.ExtHostContext.ExtHostNotebook,new ge.ExtHostNotebookController(Ge,Ke,Ye,gt,Lt)),xt=Ge.set(_.ExtHostContext.ExtHostNotebookDocuments,new Ae.ExtHostNotebookDocuments(Et)),zt=Ge.set(_.ExtHostContext.ExtHostNotebookEditors,new ye.ExtHostNotebookEditors(bt,Et)),an=Ge.set(_.ExtHostContext.ExtHostNotebookKernels,new Le.ExtHostNotebookKernels(Ge,at,Et,Ke,bt)),Pn=Ge.set(_.ExtHostContext.ExtHostNotebookRenderers,new se.ExtHostNotebookRenderers(Ge,Et)),Tt=Ge.set(_.ExtHostContext.ExtHostEditors,new N.ExtHostEditors(Ge,Ye)),qt=Ge.set(_.ExtHostContext.ExtHostTreeViews,new X.ExtHostTreeViews(Ge.getProxy(_.MainContext.MainThreadTreeViews),Ke,bt)),gn=Ge.set(_.ExtHostContext.ExtHostEditorInsets,new Y.ExtHostEditorInsets(Ge.getProxy(_.MainContext.MainThreadEditorInsets),Tt,at.remote)),Zt=Ge.set(_.ExtHostContext.ExtHostDiagnostics,new g.ExtHostDiagnostics(Ge,bt,Ct)),en=Ge.set(_.ExtHostContext.ExtHostLanguages,new d.ExtHostLanguages(Ge,gt,Ke.converter,Ft)),dt=Ge.set(_.ExtHostContext.ExtHostLanguageFeatures,new o.ExtHostLanguageFeatures(Ge,Ft,gt,Ke,Zt,bt,_e)),pn=Ge.set(_.ExtHostContext.ExtHostFileSystem,new s.ExtHostFileSystem(Ge,dt)),Wt=Ge.set(_.ExtHostContext.ExtHostFileSystemEventService,new n.ExtHostFileSystemEventService(Ge,bt,Ye)),Gt=Ge.set(_.ExtHostContext.ExtHostQuickOpen,(0,M.createExtHostQuickOpen)(Ge,mt,Ke)),cn=Ge.set(_.ExtHostContext.ExtHostSCM,new B.ExtHostSCM(Ge,Ke,bt)),An=Ge.set(_.ExtHostContext.ExtHostComments,(0,h.createExtHostComments)(Ge,Ke,gt)),Cn=Ge.set(_.ExtHostContext.ExtHostProgress,new L.ExtHostProgress(Ge.getProxy(_.MainContext.MainThreadProgress))),vn=Ge.set(_.ExtHostContext.ExtHosLabelService,new he.ExtHostLabelService(Ge)),ln=Ge.set(_.ExtHostContext.ExtHostTheming,new te.ExtHostTheming(Ge)),tn=Ge.set(_.ExtHostContext.ExtHostAuthentication,new ie.ExtHostAuthentication(Ge)),bn=Ge.set(_.ExtHostContext.ExtHostTimeline,new F.ExtHostTimeline(Ge,Ke)),wn=Ge.set(_.ExtHostContext.ExtHostWebviews,new V.ExtHostWebviews(Ge,at.remote,mt,bt,_e)),nn=Ge.set(_.ExtHostContext.ExtHostWebviewPanels,new we.ExtHostWebviewPanels(Ge,wn,mt)),En=Ge.set(_.ExtHostContext.ExtHostCustomEditors,new fe.ExtHostCustomEditors(Ge,gt,Lt,wn,nn)),Rn=Ge.set(_.ExtHostContext.ExtHostWebviewViews,new Q.ExtHostWebviewViews(Ge,wn)),rn=Ge.set(_.ExtHostContext.ExtHostTesting,new Se.ExtHostTesting(Ge,Ke)),Ln=Ge.set(_.ExtHostContext.ExtHostUriOpeners,new Be.ExtHostUriOpeners(Ge));Ge.set(_.ExtHostContext.ExtHostInteractive,new We.ExtHostInteractive(Ge,Et,Ye,Ke,bt));const On=Object.values(_.ExtHostContext);Ge.assertRegistered(On);const Fn=new ue.ExtHostBulkEdits(Ge,Ye),Nn=new b.ExtHostClipboard(Ge),sn=new f.ExtHostMessageService(Ge,bt),un=new a.ExtHostDialogs(Ge),Dn=new R.ExtHostStatusBar(Ge,Ke.converter);return E.ExtHostApiCommands.register(Ke),function(He,Vt,on){const wt=function(){let me=!He.isUnderDevelopment;function Ee(){me||(bt.info(`Extension '${He.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),me=!0)}return function Ne(ot){if(Array.isArray(ot))ot.forEach(Ne);else if(typeof ot=="string")Ee();else{const _t=ot;typeof _t.scheme=="undefined"&&Ee(),typeof _t.exclusive=="boolean"&&(0,$e.checkProposedApiEnabled)(He,"documentFiltersExclusive")}return ot}}(),Mn={getSession(me,Ee,Ne){return tn.getSession(He,me,Ee,Ne)},async hasSession(me,Ee){return(0,$e.checkProposedApiEnabled)(He,"authSession"),!!await tn.getSession(He,me,Ee,{silent:!0})},get onDidChangeSessions(){return tn.onDidChangeSessions},registerAuthenticationProvider(me,Ee,Ne,ot){return tn.registerAuthenticationProvider(me,Ee,Ne,ot)}},Un={registerCommand(me,Ee,Ne){return Ke.registerCommand(!0,me,Ee,Ne,void 0,He)},registerTextEditorCommand(me,Ee,Ne){return Ke.registerCommand(!0,me,(...ot)=>{const _t=Tt.getActiveTextEditor();if(!_t){bt.warn("Cannot execute "+me+" because there is no active text editor.");return}return _t.edit(Pt=>{Ee.apply(Ne,[_t,Pt,...ot])}).then(Pt=>{Pt||bt.warn("Edits from command "+me+" were not applied.")},Pt=>{bt.warn("An error occurred while running command "+me,Pt)})},void 0,void 0,He)},registerDiffInformationCommand:(me,Ee,Ne)=>((0,$e.checkProposedApiEnabled)(He,"diffCommand"),Ke.registerCommand(!0,me,async(...ot)=>{const _t=Ye.activeEditor(!0);if(!_t){bt.warn("Cannot execute "+me+" because there is no active text editor.");return}const Pt=await Tt.getDiffInformation(_t.id);Ee.apply(Ne,[Pt,...ot])},void 0,void 0,He)),executeCommand(me,...Ee){return Ke.executeCommand(me,...Ee)},getCommands(me=!1){return Ke.getCommands(me)}},In={get machineId(){return at.telemetryInfo.machineId},get sessionId(){return at.telemetryInfo.sessionId},get language(){return at.environment.appLanguage},get appName(){return at.environment.appName},get appRoot(){return at.environment.appRoot?.fsPath??""},get appHost(){return at.environment.appHost},get uriScheme(){return at.environment.appUriScheme},get clipboard(){return Nn.value},get shell(){return ft.getDefaultShell(!1)},get isTelemetryEnabled(){return kt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return kt.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,$e.checkProposedApiEnabled)(He,"telemetry"),kt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,$e.checkProposedApiEnabled)(He,"telemetry"),kt.onDidChangeTelemetryConfiguration},get isNewAppInstall(){const me=Date.now()-new Date(at.telemetryInfo.firstSessionDate).getTime();return isNaN(me)?!1:me<1e3*60*60*24},openExternal(me,Ee){return ne.openUri(me,{allowTunneling:!!at.remote.authority,allowContributedOpeners:Ee?.allowContributedOpeners})},async asExternalUri(me){if(me.scheme===at.environment.appUriScheme)return At.createAppUri(me);try{return await ne.asExternalUri(me,{allowTunneling:!!at.remote.authority})}catch(Ee){if((0,G.matchesScheme)(me,oe.Schemas.http)||(0,G.matchesScheme)(me,oe.Schemas.https))return me;throw Ee}},get remoteName(){return(0,ve.getRemoteName)(at.remote.authority)},get remoteAuthority(){return(0,$e.checkProposedApiEnabled)(He,"resolvers"),at.remote.authority},get uiKind(){return at.uiKind}};at.environment.extensionTestsLocationURI||Object.freeze(In);const _n={createTestController(me,Ee,Ne){return rn.createTestController(me,Ee,Ne)},createTestObserver(){return(0,$e.checkProposedApiEnabled)(He,"testObserver"),rn.createTestObserver()},runTests(me){return(0,$e.checkProposedApiEnabled)(He,"testObserver"),rn.runTests(me)},get onDidChangeTestResults(){return(0,$e.checkProposedApiEnabled)(He,"testObserver"),rn.onResultsChanged},get testResults(){return(0,$e.checkProposedApiEnabled)(He,"testObserver"),rn.results}},dn=at.remote.isRemote?O.ExtensionKind.Workspace:O.ExtensionKind.UI,$t={getExtension(me,Ee){(0,it.equalsIgnoreCase)(me,"ms-vscode.references-view")&&(_e.report("The extension 'ms-vscode.references-view' has been renamed.",He,"Use 'vscode.references-view' instead."),me="vscode.references-view"),(0,$e.isProposedApiEnabled)(He,"extensionsAny")||(Ee=!1);const Ne=Vt.mine.getExtensionDescription(me);if(Ne)return new i.Extension(It,He.identifier,Ne,dn,!1);if(Ee){const ot=Vt.all.getExtensionDescription(me);if(ot)return new i.Extension(It,He.identifier,ot,dn,!0)}},get all(){const me=[];for(const Ee of Vt.mine.getAllExtensionDescriptions())me.push(new i.Extension(It,He.identifier,Ee,dn,!1));return me},get allAcrossExtensionHosts(){(0,$e.checkProposedApiEnabled)(He,"extensionsAny");const me=new $e.ExtensionIdentifierSet(Vt.mine.getAllExtensionDescriptions().map(Ne=>Ne.identifier)),Ee=[];for(const Ne of Vt.all.getAllExtensionDescriptions()){const ot=!me.has(Ne.identifier);Ee.push(new i.Extension(It,He.identifier,Ne,dn,ot))}return Ee},get onDidChange(){return(0,$e.isProposedApiEnabled)(He,"extensionsAny")?C.Event.any(Vt.mine.onDidChange,Vt.all.onDidChange):Vt.mine.onDidChange}},Kt={createDiagnosticCollection(me){return Zt.createDiagnosticCollection(He.identifier,me)},get onDidChangeDiagnostics(){return Zt.onDidChangeDiagnostics},getDiagnostics:me=>Zt.getDiagnostics(me),getLanguages(){return en.getLanguages()},setTextDocumentLanguage(me,Ee){return en.changeLanguage(me.uri,Ee)},match(me,Ee){const Ne=gt.getDocumentData(Ee.uri)?.notebook;return(0,A.score)(z.LanguageSelector.from(me),Ee.uri,Ee.languageId,!0,Ne?.uri,Ne?.notebookType)},registerCodeActionsProvider(me,Ee,Ne){return dt.registerCodeActionProvider(He,wt(me),Ee,Ne)},registerDocumentPasteEditProvider(me,Ee,Ne){return(0,$e.checkProposedApiEnabled)(He,"documentPaste"),dt.registerDocumentPasteEditProvider(He,wt(me),Ee,Ne)},registerCodeLensProvider(me,Ee){return dt.registerCodeLensProvider(He,wt(me),Ee)},registerDefinitionProvider(me,Ee){return dt.registerDefinitionProvider(He,wt(me),Ee)},registerDeclarationProvider(me,Ee){return dt.registerDeclarationProvider(He,wt(me),Ee)},registerImplementationProvider(me,Ee){return dt.registerImplementationProvider(He,wt(me),Ee)},registerTypeDefinitionProvider(me,Ee){return dt.registerTypeDefinitionProvider(He,wt(me),Ee)},registerHoverProvider(me,Ee){return dt.registerHoverProvider(He,wt(me),Ee,He.identifier)},registerEvaluatableExpressionProvider(me,Ee){return dt.registerEvaluatableExpressionProvider(He,wt(me),Ee,He.identifier)},registerInlineValuesProvider(me,Ee){return dt.registerInlineValuesProvider(He,wt(me),Ee,He.identifier)},registerDocumentHighlightProvider(me,Ee){return dt.registerDocumentHighlightProvider(He,wt(me),Ee)},registerLinkedEditingRangeProvider(me,Ee){return dt.registerLinkedEditingRangeProvider(He,wt(me),Ee)},registerReferenceProvider(me,Ee){return dt.registerReferenceProvider(He,wt(me),Ee)},registerRenameProvider(me,Ee){return dt.registerRenameProvider(He,wt(me),Ee)},registerDocumentSymbolProvider(me,Ee,Ne){return dt.registerDocumentSymbolProvider(He,wt(me),Ee,Ne)},registerWorkspaceSymbolProvider(me){return dt.registerWorkspaceSymbolProvider(He,me)},registerDocumentFormattingEditProvider(me,Ee){return dt.registerDocumentFormattingEditProvider(He,wt(me),Ee)},registerDocumentRangeFormattingEditProvider(me,Ee){return dt.registerDocumentRangeFormattingEditProvider(He,wt(me),Ee)},registerOnTypeFormattingEditProvider(me,Ee,Ne,...ot){return dt.registerOnTypeFormattingEditProvider(He,wt(me),Ee,[Ne].concat(ot))},registerDocumentSemanticTokensProvider(me,Ee,Ne){return dt.registerDocumentSemanticTokensProvider(He,wt(me),Ee,Ne)},registerDocumentRangeSemanticTokensProvider(me,Ee,Ne){return dt.registerDocumentRangeSemanticTokensProvider(He,wt(me),Ee,Ne)},registerSignatureHelpProvider(me,Ee,Ne,...ot){return typeof Ne=="object"?dt.registerSignatureHelpProvider(He,wt(me),Ee,Ne):dt.registerSignatureHelpProvider(He,wt(me),Ee,typeof Ne=="undefined"?[]:[Ne,...ot])},registerCompletionItemProvider(me,Ee,...Ne){return dt.registerCompletionItemProvider(He,wt(me),Ee,Ne)},registerInlineCompletionItemProvider(me,Ee){return Ee.handleDidShowCompletionItem&&(0,$e.checkProposedApiEnabled)(He,"inlineCompletionsAdditions"),dt.registerInlineCompletionsProvider(He,wt(me),Ee)},registerInlineCompletionItemProviderNew(me,Ee){if((0,$e.checkProposedApiEnabled)(He,"inlineCompletionsNew"),Ee.handleDidShowCompletionItem&&!(0,$e.isProposedApiEnabled)(He,"inlineCompletionsAdditions"))throw new Error(`When the method "handleDidShowCompletionItem" is implemented on a provider, the usage of the proposed api 'inlineCompletionsAdditions' must be declared!`);return dt.registerInlineCompletionsProviderNew(He,wt(me),Ee)},registerDocumentLinkProvider(me,Ee){return dt.registerDocumentLinkProvider(He,wt(me),Ee)},registerColorProvider(me,Ee){return dt.registerColorProvider(He,wt(me),Ee)},registerFoldingRangeProvider(me,Ee){return dt.registerFoldingRangeProvider(He,wt(me),Ee)},registerSelectionRangeProvider(me,Ee){return dt.registerSelectionRangeProvider(He,me,Ee)},registerCallHierarchyProvider(me,Ee){return dt.registerCallHierarchyProvider(He,me,Ee)},registerTypeHierarchyProvider(me,Ee){return dt.registerTypeHierarchyProvider(He,me,Ee)},setLanguageConfiguration:(me,Ee)=>dt.setLanguageConfiguration(He,me,Ee),getTokenInformationAtPosition(me,Ee){return(0,$e.checkProposedApiEnabled)(He,"tokenInformation"),en.tokenAtPosition(me,Ee)},registerInlayHintsProvider(me,Ee){return dt.registerInlayHintsProvider(He,me,Ee)},createLanguageStatusItem(me,Ee){return en.createLanguageStatusItem(He,me,Ee)},registerDocumentDropEditProvider(me,Ee){return dt.registerDocumentOnDropEditProvider(He,me,Ee)}},Bn={get activeTextEditor(){return Tt.getActiveTextEditor()},get visibleTextEditors(){return Tt.getVisibleTextEditors()},get activeTerminal(){return ft.activeTerminal},get terminals(){return ft.terminals},async showTextDocument(me,Ee,Ne){const ot=await(y.URI.isUri(me)?Promise.resolve(Mt.openTextDocument(me)):Promise.resolve(me));return Tt.showTextDocument(ot,Ee,Ne)},createTextEditorDecorationType(me){return Tt.createTextEditorDecorationType(He,me)},onDidChangeActiveTextEditor(me,Ee,Ne){return Tt.onDidChangeActiveTextEditor(me,Ee,Ne)},onDidChangeVisibleTextEditors(me,Ee,Ne){return Tt.onDidChangeVisibleTextEditors(me,Ee,Ne)},onDidChangeTextEditorSelection(me,Ee,Ne){return Tt.onDidChangeTextEditorSelection(me,Ee,Ne)},onDidChangeTextEditorOptions(me,Ee,Ne){return Tt.onDidChangeTextEditorOptions(me,Ee,Ne)},onDidChangeTextEditorVisibleRanges(me,Ee,Ne){return Tt.onDidChangeTextEditorVisibleRanges(me,Ee,Ne)},onDidChangeTextEditorViewColumn(me,Ee,Ne){return Tt.onDidChangeTextEditorViewColumn(me,Ee,Ne)},onDidCloseTerminal(me,Ee,Ne){return ft.onDidCloseTerminal(me,Ee,Ne)},onDidOpenTerminal(me,Ee,Ne){return ft.onDidOpenTerminal(me,Ee,Ne)},onDidChangeActiveTerminal(me,Ee,Ne){return ft.onDidChangeActiveTerminal(me,Ee,Ne)},onDidChangeTerminalDimensions(me,Ee,Ne){return(0,$e.checkProposedApiEnabled)(He,"terminalDimensions"),ft.onDidChangeTerminalDimensions(me,Ee,Ne)},onDidChangeTerminalState(me,Ee,Ne){return ft.onDidChangeTerminalState(me,Ee,Ne)},onDidWriteTerminalData(me,Ee,Ne){return(0,$e.checkProposedApiEnabled)(He,"terminalDataWriteEvent"),ft.onDidWriteTerminalData(me,Ee,Ne)},get state(){return ne.state},onDidChangeWindowState(me,Ee,Ne){return ne.onDidChangeWindowState(me,Ee,Ne)},showInformationMessage(me,...Ee){return sn.showMessage(He,P.default.Info,me,Ee[0],Ee.slice(1))},showWarningMessage(me,...Ee){return sn.showMessage(He,P.default.Warning,me,Ee[0],Ee.slice(1))},showErrorMessage(me,...Ee){return sn.showMessage(He,P.default.Error,me,Ee[0],Ee.slice(1))},showQuickPick(me,Ee,Ne){return Gt.showQuickPick(me,Ee,Ne)},showWorkspaceFolderPick(me){return Gt.showWorkspaceFolderPick(me)},showInputBox(me,Ee){return Gt.showInput(me,Ee)},showOpenDialog(me){return un.showOpenDialog(me)},showSaveDialog(me){return un.showSaveDialog(me)},createStatusBarItem(me,Ee,Ne){let ot,_t,Pt;return typeof me=="string"?(ot=me,_t=Ee,Pt=Ne):(_t=me,Pt=Ee),Dn.createStatusBarEntry(He,ot,_t,Pt)},setStatusBarMessage(me,Ee){return Dn.setStatusBarMessage(me,Ee)},withScmProgress(me){return _e.report("window.withScmProgress",He,"Use 'withProgress' instead."),Cn.withProgress(He,{location:O.ProgressLocation.SourceControl},(Ee,Ne)=>me({report(ot){}}))},withProgress(me,Ee){return Cn.withProgress(He,me,Ee)},createOutputChannel(me,Ee){return St.createOutputChannel(me,Ee,He)},createWebviewPanel(me,Ee,Ne,ot){return nn.createWebviewPanel(He,me,Ee,Ne,ot)},createWebviewTextEditorInset(me,Ee,Ne,ot){return(0,$e.checkProposedApiEnabled)(He,"editorInsets"),gn.createWebviewEditorInset(me,Ee,Ne,ot,He)},createTerminal(me,Ee,Ne){return typeof me=="object"?"pty"in me?ft.createExtensionTerminal(me):ft.createTerminalFromOptions(me):ft.createTerminal(me,Ee,Ne)},registerTerminalLinkProvider(me){return ft.registerLinkProvider(me)},registerTerminalProfileProvider(me,Ee){return ft.registerProfileProvider(He,me,Ee)},registerTreeDataProvider(me,Ee){return qt.registerTreeDataProvider(me,Ee,He)},createTreeView(me,Ee){return qt.createTreeView(me,Ee,He)},registerWebviewPanelSerializer:(me,Ee)=>nn.registerWebviewPanelSerializer(He,me,Ee),registerCustomEditorProvider:(me,Ee,Ne={})=>En.registerCustomEditorProvider(He,me,Ee,Ne),registerFileDecorationProvider(me){return rt.registerFileDecorationProvider(me,He.identifier)},registerUriHandler(me){return At.registerUriHandler(He.identifier,me)},createQuickPick(){return Gt.createQuickPick(He)},createInputBox(){return Gt.createInputBox(He)},get activeColorTheme(){return ln.activeColorTheme},onDidChangeActiveColorTheme(me,Ee,Ne){return ln.onDidChangeActiveColorTheme(me,Ee,Ne)},registerWebviewViewProvider(me,Ee,Ne){return Rn.registerWebviewViewProvider(He,me,Ee,Ne?.webviewOptions)},get activeNotebookEditor(){return Et.activeNotebookEditor},onDidChangeActiveNotebookEditor(me,Ee,Ne){return Et.onDidChangeActiveNotebookEditor(me,Ee,Ne)},get visibleNotebookEditors(){return Et.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return Et.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(me,Ee,Ne){return zt.onDidChangeNotebookEditorSelection(me,Ee,Ne)},onDidChangeNotebookEditorVisibleRanges(me,Ee,Ne){return zt.onDidChangeNotebookEditorVisibleRanges(me,Ee,Ne)},showNotebookDocument(me,Ee){return y.URI.isUri(me)&&_e.report("window.showNotebookDocument(uri)",He,"Please use 'workspace.openNotebookDocument' and 'window.showNotebookDocument'"),Et.showNotebookDocument(me,Ee)},registerExternalUriOpener(me,Ee,Ne){return(0,$e.checkProposedApiEnabled)(He,"externalUriOpener"),Ln.registerExternalUriOpener(He.identifier,me,Ee,Ne)},get tabGroups(){return Ve.tabGroups},logTelemetryToOutputChannel(me,Ee){(0,$e.checkProposedApiEnabled)(He,"telemetryLog"),Oe.logToTelemetryOutputChannel(He,me,Ee)}},Mt={get rootPath(){return _e.report("workspace.rootPath",He,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),mt.getPath()},set rootPath(me){throw t.readonly()},getWorkspaceFolder(me){return mt.getWorkspaceFolder(me)},get workspaceFolders(){return mt.getWorkspaceFolders()},get name(){return mt.name},set name(me){throw t.readonly()},get workspaceFile(){return mt.workspaceFile},set workspaceFile(me){throw t.readonly()},updateWorkspaceFolders:(me,Ee,...Ne)=>mt.updateWorkspaceFolders(He,me,Ee||0,...Ne),onDidChangeWorkspaceFolders:function(me,Ee,Ne){return mt.onDidChangeWorkspace(me,Ee,Ne)},asRelativePath:(me,Ee)=>mt.getRelativePath(me,Ee),findFiles:(me,Ee,Ne,ot)=>mt.findFiles(me,Ee,Ne,He.identifier,ot),findTextInFiles:(me,Ee,Ne,ot)=>{(0,$e.checkProposedApiEnabled)(He,"findTextInFiles");let _t,Pt;return typeof Ee=="object"?(_t=Ee,Pt=Ne):(_t={},Pt=Ee,ot=Ne),mt.findTextInFiles(me,_t||{},Pt,He.identifier,ot)},saveAll:me=>mt.saveAll(me),applyEdit(me){return Fn.applyWorkspaceEdit(me,He)},createFileSystemWatcher:(me,Ee,Ne,ot)=>Wt.createFileSystemWatcher(mt,He,me,Ee,Ne,ot),get textDocuments(){return gt.getAllDocumentData().map(me=>me.document)},set textDocuments(me){throw t.readonly()},openTextDocument(me){let Ee;const Ne=me;if(typeof me=="string")Ee=Promise.resolve(y.URI.file(me));else if(y.URI.isUri(me))Ee=Promise.resolve(me);else if(!Ne||typeof Ne=="object")Ee=gt.createDocumentData(Ne);else throw new Error("illegal argument - uriOrFileNameOrOptions");return Ee.then(ot=>gt.ensureDocumentData(ot).then(_t=>_t.document))},onDidOpenTextDocument:(me,Ee,Ne)=>gt.onDidAddDocument(me,Ee,Ne),onDidCloseTextDocument:(me,Ee,Ne)=>gt.onDidRemoveDocument(me,Ee,Ne),onDidChangeTextDocument:(me,Ee,Ne)=>gt.onDidChangeDocument(me,Ee,Ne),onDidSaveTextDocument:(me,Ee,Ne)=>gt.onDidSaveDocument(me,Ee,Ne),onWillSaveTextDocument:(me,Ee,Ne)=>Jt.getOnWillSaveTextDocumentEvent(He)(me,Ee,Ne),get notebookDocuments(){return Et.notebookDocuments.map(me=>me.apiNotebook)},async openNotebookDocument(me,Ee){let Ne;if(y.URI.isUri(me))Ne=me,await Et.openNotebookDocument(me);else if(typeof me=="string")Ne=y.URI.revive(await Et.createNotebookDocument({viewType:me,content:Ee}));else throw new Error("Invalid arguments");return Et.getNotebookDocument(Ne).apiNotebook},onDidSaveNotebookDocument(me,Ee,Ne){return xt.onDidSaveNotebookDocument(me,Ee,Ne)},onDidChangeNotebookDocument(me,Ee,Ne){return xt.onDidChangeNotebookDocument(me,Ee,Ne)},get onDidOpenNotebookDocument(){return Et.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return Et.onDidCloseNotebookDocument},registerNotebookSerializer(me,Ee,Ne,ot){return Et.registerNotebookSerializer(He,me,Ee,Ne,(0,$e.isProposedApiEnabled)(He,"notebookLiveShare")?ot:void 0)},registerNotebookContentProvider:(me,Ee,Ne,ot)=>((0,$e.checkProposedApiEnabled)(He,"notebookContentProvider"),_e.report("workspace.registerNotebookContentProvider",He,"The notebookContentProvider API is not on track for finalization and will be removed."),Et.registerNotebookContentProvider(He,me,Ee,Ne,(0,$e.isProposedApiEnabled)(He,"notebookLiveShare")?ot:void 0)),onDidChangeConfiguration:(me,Ee,Ne)=>on.onDidChangeConfiguration(me,Ee,Ne),getConfiguration(me,Ee){return Ee=arguments.length===1?void 0:Ee,on.getConfiguration(me,Ee,He)},registerTextDocumentContentProvider(me,Ee){return Yt.registerTextDocumentContentProvider(me,Ee)},registerTaskProvider:(me,Ee)=>(_e.report("window.registerTaskProvider",He,"Use the corresponding function on the 'tasks' namespace instead"),vt.registerTaskProvider(He,me,Ee)),registerFileSystemProvider(me,Ee,Ne){return(0,ze.combinedDisposable)(pn.registerFileSystemProvider(He,me,Ee,Ne),Ot.addFileSystemProvider(me,Ee))},get fs(){return Ot.value},registerFileSearchProvider:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"fileSearchProvider"),Dt.registerFileSearchProvider(me,Ee)),registerTextSearchProvider:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"textSearchProvider"),Dt.registerTextSearchProvider(me,Ee)),registerRemoteAuthorityResolver:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"resolvers"),It.registerRemoteAuthorityResolver(me,Ee)),registerResourceLabelFormatter:me=>((0,$e.checkProposedApiEnabled)(He,"resolvers"),vn.$registerResourceLabelFormatter(me)),onDidCreateFiles:(me,Ee,Ne)=>Wt.onDidCreateFile(me,Ee,Ne),onDidDeleteFiles:(me,Ee,Ne)=>Wt.onDidDeleteFile(me,Ee,Ne),onDidRenameFiles:(me,Ee,Ne)=>Wt.onDidRenameFile(me,Ee,Ne),onWillCreateFiles:(me,Ee,Ne)=>Wt.getOnWillCreateFileEvent(He)(me,Ee,Ne),onWillDeleteFiles:(me,Ee,Ne)=>Wt.getOnWillDeleteFileEvent(He)(me,Ee,Ne),onWillRenameFiles:(me,Ee,Ne)=>Wt.getOnWillRenameFileEvent(He)(me,Ee,Ne),openTunnel:me=>((0,$e.checkProposedApiEnabled)(He,"resolvers"),Te.openTunnel(He,me).then(Ee=>{if(!Ee)throw new Error("cannot open tunnel");return Ee})),get tunnels(){return(0,$e.checkProposedApiEnabled)(He,"resolvers"),Te.getTunnels()},onDidChangeTunnels:(me,Ee,Ne)=>((0,$e.checkProposedApiEnabled)(He,"resolvers"),Te.onDidChangeTunnels(me,Ee,Ne)),registerPortAttributesProvider:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"portsAttributes"),Te.registerPortsAttributesProvider(me,Ee)),registerTimelineProvider:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"timeline"),bn.registerTimelineProvider(me,Ee,He.identifier,Ke.converter)),get isTrusted(){return mt.trusted},requestWorkspaceTrust:me=>((0,$e.checkProposedApiEnabled)(He,"workspaceTrust"),mt.requestWorkspaceTrust(me)),onDidGrantWorkspaceTrust:(me,Ee,Ne)=>mt.onDidGrantWorkspaceTrust(me,Ee,Ne),registerEditSessionIdentityProvider:(me,Ee)=>((0,$e.checkProposedApiEnabled)(He,"editSessionIdentityProvider"),mt.registerEditSessionIdentityProvider(me,Ee))},hn={get inputBox(){return _e.report("scm.inputBox",He,"Use 'SourceControl.inputBox' instead"),cn.getLastInputBox(He)},createSourceControl(me,Ee,Ne){return cn.createSourceControl(He,me,Ee,Ne)}},zn={createCommentController(me,Ee){return An.createCommentController(He,me,Ee)}},Wn={get activeDebugSession(){return pt.activeDebugSession},get activeDebugConsole(){return pt.activeDebugConsole},get breakpoints(){return pt.breakpoints},onDidStartDebugSession(me,Ee,Ne){return pt.onDidStartDebugSession(me,Ee,Ne)},onDidTerminateDebugSession(me,Ee,Ne){return pt.onDidTerminateDebugSession(me,Ee,Ne)},onDidChangeActiveDebugSession(me,Ee,Ne){return pt.onDidChangeActiveDebugSession(me,Ee,Ne)},onDidReceiveDebugSessionCustomEvent(me,Ee,Ne){return pt.onDidReceiveDebugSessionCustomEvent(me,Ee,Ne)},onDidChangeBreakpoints(me,Ee,Ne){return pt.onDidChangeBreakpoints(me,Ee,Ne)},registerDebugConfigurationProvider(me,Ee,Ne){return pt.registerDebugConfigurationProvider(me,Ee,Ne||Ze.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(me,Ee){return pt.registerDebugAdapterDescriptorFactory(He,me,Ee)},registerDebugAdapterTrackerFactory(me,Ee){return pt.registerDebugAdapterTrackerFactory(me,Ee)},startDebugging(me,Ee,Ne){return!Ne||typeof Ne=="object"&&"configuration"in Ne?pt.startDebugging(me,Ee,{parentSession:Ne}):pt.startDebugging(me,Ee,Ne||{})},stopDebugging(me){return pt.stopDebugging(me)},addBreakpoints(me){return pt.addBreakpoints(me)},removeBreakpoints(me){return pt.removeBreakpoints(me)},asDebugSourceUri(me,Ee){return pt.asDebugSourceUri(me,Ee)}},$n={registerTaskProvider:(me,Ee)=>vt.registerTaskProvider(He,me,Ee),fetchTasks:me=>vt.fetchTasks(me),executeTask:me=>vt.executeTask(He,me),get taskExecutions(){return vt.taskExecutions},onDidStartTask:(me,Ee,Ne)=>vt.onDidStartTask(me,Ee,Ne),onDidEndTask:(me,Ee,Ne)=>vt.onDidEndTask(me,Ee,Ne),onDidStartTaskProcess:(me,Ee,Ne)=>vt.onDidStartTaskProcess(me,Ee,Ne),onDidEndTaskProcess:(me,Ee,Ne)=>vt.onDidEndTaskProcess(me,Ee,Ne)},Hn={createNotebookController(me,Ee,Ne,ot,_t){return an.createNotebookController(He,me,Ee,Ne,ot,(0,$e.isProposedApiEnabled)(He,"notebookMessaging")?_t:void 0)},registerNotebookCellStatusBarItemProvider:(me,Ee)=>Et.registerNotebookCellStatusBarItemProvider(He,me,Ee),createRendererMessaging(me){return Pn.createRendererMessaging(He,me)},onDidChangeNotebookCellExecutionState(me,Ee,Ne){return(0,$e.checkProposedApiEnabled)(He,"notebookCellExecutionState"),an.onDidChangeNotebookCellExecutionState(me,Ee,Ne)}};return{version:at.version,authentication:Mn,commands:Un,comments:zn,debug:Wn,env:In,extensions:$t,languages:Kt,notebooks:Hn,scm:hn,tasks:$n,tests:_n,window:Bn,workspace:Mt,Breakpoint:O.Breakpoint,CallHierarchyIncomingCall:O.CallHierarchyIncomingCall,CallHierarchyItem:O.CallHierarchyItem,CallHierarchyOutgoingCall:O.CallHierarchyOutgoingCall,CancellationError:t.CancellationError,CancellationTokenSource:u.CancellationTokenSource,CandidatePortSource:_.CandidatePortSource,CodeAction:O.CodeAction,CodeActionKind:O.CodeActionKind,CodeActionTriggerKind:O.CodeActionTriggerKind,CodeLens:O.CodeLens,Color:O.Color,ColorInformation:O.ColorInformation,ColorPresentation:O.ColorPresentation,ColorThemeKind:O.ColorThemeKind,CommentMode:O.CommentMode,CommentThreadCollapsibleState:O.CommentThreadCollapsibleState,CommentThreadState:O.CommentThreadState,CompletionItem:O.CompletionItem,CompletionItemKind:O.CompletionItemKind,CompletionItemTag:O.CompletionItemTag,CompletionList:O.CompletionList,CompletionTriggerKind:O.CompletionTriggerKind,ConfigurationTarget:O.ConfigurationTarget,CustomExecution:O.CustomExecution,DebugAdapterExecutable:O.DebugAdapterExecutable,DebugAdapterInlineImplementation:O.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:O.DebugAdapterNamedPipeServer,DebugAdapterServer:O.DebugAdapterServer,DebugConfigurationProviderTriggerKind:Ze.DebugConfigurationProviderTriggerKind,DebugConsoleMode:O.DebugConsoleMode,DecorationRangeBehavior:O.DecorationRangeBehavior,Diagnostic:O.Diagnostic,DiagnosticRelatedInformation:O.DiagnosticRelatedInformation,DiagnosticSeverity:O.DiagnosticSeverity,DiagnosticTag:O.DiagnosticTag,Disposable:O.Disposable,DocumentHighlight:O.DocumentHighlight,DocumentHighlightKind:O.DocumentHighlightKind,DocumentLink:O.DocumentLink,DocumentSymbol:O.DocumentSymbol,EndOfLine:O.EndOfLine,EnvironmentVariableMutatorType:O.EnvironmentVariableMutatorType,EvaluatableExpression:O.EvaluatableExpression,InlineValueText:O.InlineValueText,InlineValueVariableLookup:O.InlineValueVariableLookup,InlineValueEvaluatableExpression:O.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:O.InlineCompletionTriggerKind,InlineCompletionTriggerKindNew:O.InlineCompletionTriggerKindNew,EventEmitter:C.Emitter,ExtensionKind:O.ExtensionKind,ExtensionMode:O.ExtensionMode,ExternalUriOpenerPriority:O.ExternalUriOpenerPriority,FileChangeType:O.FileChangeType,FileDecoration:O.FileDecoration,FileSystemError:O.FileSystemError,FileType:k.FileType,FilePermission:k.FilePermission,FoldingRange:O.FoldingRange,FoldingRangeKind:O.FoldingRangeKind,FunctionBreakpoint:O.FunctionBreakpoint,InlineCompletionItem:O.InlineSuggestion,InlineCompletionItemNew:O.InlineSuggestionNew,InlineCompletionList:O.InlineSuggestionList,InlineCompletionListNew:O.InlineSuggestionsNew,Hover:O.Hover,IndentAction:I.IndentAction,Location:O.Location,MarkdownString:O.MarkdownString,OverviewRulerLane:w.OverviewRulerLane,ParameterInformation:O.ParameterInformation,PortAutoForwardAction:O.PortAutoForwardAction,Position:O.Position,ProcessExecution:O.ProcessExecution,ProgressLocation:O.ProgressLocation,QuickInputButtons:O.QuickInputButtons,Range:O.Range,RelativePattern:O.RelativePattern,Selection:O.Selection,SelectionRange:O.SelectionRange,SemanticTokens:O.SemanticTokens,SemanticTokensBuilder:O.SemanticTokensBuilder,SemanticTokensEdit:O.SemanticTokensEdit,SemanticTokensEdits:O.SemanticTokensEdits,SemanticTokensLegend:O.SemanticTokensLegend,ShellExecution:O.ShellExecution,ShellQuoting:O.ShellQuoting,SignatureHelp:O.SignatureHelp,SignatureHelpTriggerKind:O.SignatureHelpTriggerKind,SignatureInformation:O.SignatureInformation,SnippetString:O.SnippetString,SourceBreakpoint:O.SourceBreakpoint,StandardTokenType:O.StandardTokenType,StatusBarAlignment:O.StatusBarAlignment,SymbolInformation:O.SymbolInformation,SymbolKind:O.SymbolKind,SymbolTag:O.SymbolTag,Task:O.Task,TaskGroup:O.TaskGroup,TaskPanelKind:O.TaskPanelKind,TaskRevealKind:O.TaskRevealKind,TaskScope:O.TaskScope,TerminalLink:O.TerminalLink,TerminalLocation:O.TerminalLocation,TerminalProfile:O.TerminalProfile,TextDocumentSaveReason:O.TextDocumentSaveReason,TextEdit:O.TextEdit,TextEditorCursorStyle:D.TextEditorCursorStyle,TextEditorLineNumbersStyle:O.TextEditorLineNumbersStyle,TextEditorRevealType:O.TextEditorRevealType,TextEditorSelectionChangeKind:O.TextEditorSelectionChangeKind,TextDocumentChangeReason:O.TextDocumentChangeReason,ThemeColor:O.ThemeColor,ThemeIcon:O.ThemeIcon,TreeItem:O.TreeItem,TreeItemCollapsibleState:O.TreeItemCollapsibleState,TypeHierarchyItem:O.TypeHierarchyItem,UIKind:T.UIKind,Uri:y.URI,ViewColumn:O.ViewColumn,WorkspaceEdit:O.WorkspaceEdit,DocumentDropEdit:O.DocumentDropEdit,DocumentPasteEdit:O.DocumentPasteEdit,InlayHint:O.InlayHint,InlayHintLabelPart:O.InlayHintLabelPart,InlayHintKind:O.InlayHintKind,RemoteAuthorityResolverError:O.RemoteAuthorityResolverError,ResolvedAuthority:O.ResolvedAuthority,SourceControlInputBoxValidationType:O.SourceControlInputBoxValidationType,ExtensionRuntime:O.ExtensionRuntime,TimelineItem:O.TimelineItem,NotebookRange:O.NotebookRange,NotebookCellKind:O.NotebookCellKind,NotebookCellExecutionState:O.NotebookCellExecutionState,NotebookCellData:O.NotebookCellData,NotebookData:O.NotebookData,NotebookRendererScript:O.NotebookRendererScript,NotebookCellStatusBarAlignment:O.NotebookCellStatusBarAlignment,NotebookEditorRevealType:O.NotebookEditorRevealType,NotebookCellOutput:O.NotebookCellOutput,NotebookCellOutputItem:O.NotebookCellOutputItem,NotebookCellStatusBarItem:O.NotebookCellStatusBarItem,NotebookControllerAffinity:O.NotebookControllerAffinity,NotebookEdit:O.NotebookEdit,PortAttributes:O.PortAttributes,LinkedEditingRanges:O.LinkedEditingRanges,TestResultState:O.TestResultState,TestRunRequest:O.TestRunRequest,TestMessage:O.TestMessage,TestTag:O.TestTag,TestRunProfileKind:O.TestRunProfileKind,TextSearchCompleteMessageType:st.TextSearchCompleteMessageType,DataTransfer:O.DataTransfer,DataTransferItem:O.DataTransferItem,CoveredCount:O.CoveredCount,FileCoverage:O.FileCoverage,StatementCoverage:O.StatementCoverage,BranchCoverage:O.BranchCoverage,FunctionCoverage:O.FunctionCoverage,WorkspaceTrustState:O.WorkspaceTrustState,LanguageStatusSeverity:O.LanguageStatusSeverity,QuickPickItemKind:O.QuickPickItemKind,InputBoxValidationSeverity:O.InputBoxValidationSeverity,TabInputText:O.TextTabInput,TabInputTextDiff:O.TextDiffTabInput,TabInputTextMerge:O.TextMergeTabInput,TabInputCustom:O.CustomEditorTabInput,TabInputNotebook:O.NotebookEditorTabInput,TabInputNotebookDiff:O.NotebookDiffEditorTabInput,TabInputWebview:O.WebviewEditorTabInput,TabInputTerminal:O.TerminalEditorTabInput,TabInputInteractiveWindow:O.InteractiveWindowInput,TerminalExitReason:O.TerminalExitReason}}}e.createApiFactoryAndRegisterActors=ht}),define(De[294],Ie([1,0,266,303,304,2,305]),function(Z,e,u,t,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function D(k,_,T,E,b,v){const h=v.environment.useHostProxy,p=typeof h=="boolean"?h:!v.remote.isRemote,g=(0,y.createProxyResolver)({resolveProxy:m=>k.resolveProxy(m),getHttpProxySetting:()=>_.getConfiguration("http").get("proxy"),log:(m,c,...l)=>{switch(m){case y.LogLevel.Trace:E.trace(c,...l);break;case y.LogLevel.Debug:E.debug(c,...l);break;case y.LogLevel.Info:E.info(c,...l);break;case y.LogLevel.Warning:E.warn(c,...l);break;case y.LogLevel.Error:E.error(c,...l);break;case y.LogLevel.Critical:E.critical(c,...l);break;case y.LogLevel.Off:break;default:r(m,c,l);break}function r(i,s,...n){E.error("Unknown log level",i),E.error(s,...n)}},getLogLevel:()=>E.getLevel(),proxyResolveTelemetry:()=>{},useHostProxy:p,env:process.env}),a=w(_,g);return A(T,a)}e.connectProxyResolver=D;function w(k,_){const T={config:k.getConfiguration("http").get("proxySupport")||"off"};k.onDidChangeConfiguration(b=>{T.config=k.getConfiguration("http").get("proxySupport")||"off"});const E={config:!!k.getConfiguration("http").get("systemCertificates")};return k.onDidChangeConfiguration(b=>{E.config=!!k.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"off"},E,!0)),on:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"on"},E,!0)),override:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"override"},E,!0)),onRequest:Object.assign({},u,(0,y.createHttpPatch)(u,_,T,E,!0)),default:Object.assign(u,(0,y.createHttpPatch)(u,_,T,E,!1))},https:{off:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"off"},E,!0)),on:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"on"},E,!0)),override:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"override"},E,!0)),onRequest:Object.assign({},t,(0,y.createHttpPatch)(t,_,T,E,!0)),default:Object.assign(t,(0,y.createHttpPatch)(t,_,T,E,!1))},tls:Object.assign(C,(0,y.createTlsPatch)(C))}}const I=new Map;function A(k,_){return k.getExtensionPathIndex().then(T=>{const E=Z.__$__nodeRequire("module"),b=E._load;E._load=function(h,p,g){if(h==="tls")return _.tls;if(h!=="http"&&h!=="https")return b.apply(this,arguments);const a=_[h],m=T.findSubstr(P.URI.file(p.filename));let c=I.get(m);if(c||I.set(m,c={}),!c[h]){const l=a.default;c[h]={...l}}return c[h]}})}}),define(De[295],Ie([1,0,73,293,280,294,39,268,2,12,7,265,108,267]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class E extends C.RequireInterceptor{_installInterceptor(){const h=this,p=Z.__$__nodeRequire("module"),g=p._load;p._load=function(l,r,i){return l=m(l),h._factories.has(l)?h._factories.get(l).load(l,w.URI.file((0,_.realpathSync)(r.filename)),s=>g.apply(this,[s,r,i])):g.apply(this,arguments)};const a=p._resolveLookupPaths;p._resolveLookupPaths=(c,l)=>a.call(this,m(c),l);const m=c=>{for(const l of h._alternatives){const r=l(c);if(r){c=r;break}}return c}}}class b extends y.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=A.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){this._instaService.createInstance(T.ExtHostConsoleForwarder);const h=this._instaService.invokeFunction(t.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(D.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const a=this._instaService.createInstance(k.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=a.ipcHandlePath}await this._instaService.createInstance(E,h,{mine:this._myRegistry,all:this._globalRegistry}).install(),u.mark("code/extHost/didInitAPI");const g=await this._extHostConfiguration.getConfigProvider();await(0,P.connectProxyResolver)(this._extHostWorkspace,g,this,this._logService,this._mainThreadTelemetryProxy,this._initData),u.mark("code/extHost/didInitProxyResolver")}_getEntryPoint(h){return h.main}_loadCommonJSModule(h,p,g){if(p.scheme!==I.Schemas.file)throw new Error(`Cannot load URI: '${p}', must be of file-scheme`);let a=null;g.codeLoadingStart(),this._logService.trace(`ExtensionService#loadCommonJSModule ${p.toString(!0)}`),this._logService.flush();const m=h?.identifier.value;try{m&&u.mark(`code/extHost/willLoadExtensionCode/${m}`),a=Z.__$__nodeRequire(p.fsPath)}catch(c){return Promise.reject(c)}finally{m&&u.mark(`code/extHost/didLoadExtensionCode/${m}`),g.codeLoadingStop()}return Promise.resolve(a)}async $setRemoteEnvironment(h){if(!!this._initData.remote.isRemote)for(const p in h){const g=h[p];g===null?delete process.env[p]:process.env[p]=g}}}e.ExtHostExtensionService=b}),define(De[142],Ie([1,0,44,306,289,17,77,36,9,8,2,30,71,307,287,92]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const v=E.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class h{constructor(f){this.outputChannel=f}provideTextSearchResults(f,S,L,M){return this.outputChannel.appendLine(`provideTextSearchResults ${f.pattern}, ${JSON.stringify({...S,folder:S.folder.toString()})}`),new Promise((B,R)=>{M.onCancellationRequested(()=>V());const U=l(f,S),$=S.folder.fsPath,N=U.map(ve=>ve.match(/^-/)?ve:`'${ve}'`).join(" ");this.outputChannel.appendLine(`${v} ${N}
 - cwd: ${$}`);let X=u.spawn(v,U,{cwd:$});X.on("error",ve=>{console.error(ve),this.outputChannel.appendLine("Error: "+(ve&&ve.message)),R((0,k.serializeSearchError)(new k.SearchError(ve&&ve.message,k.SearchErrorCode.rgProcessError)))});let z=!1;const O=new a(S.maxResults,$,S.previewOptions);O.on("result",ve=>{z=!0,J="",L.report(ve)});let x=!1;const V=()=>{x=!0,X?.kill(),O?.cancel()};let q=!1;O.on("hitLimit",()=>{q=!0,V()});let J="";X.stdout.on("data",ve=>{O.handleData(ve),z||(J+=ve)});let Y=!1;X.stdout.once("data",()=>Y=!0);let he="";X.stderr.on("data",ve=>{const re=ve.toString();this.outputChannel.appendLine(re),he.length+re.length<1e6&&(he+=re)}),X.on("close",()=>{if(this.outputChannel.appendLine(Y?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(z?"Got result from parser":"No result from parser"),J&&this.outputChannel.appendLine(`Got data without result: ${J}`),this.outputChannel.appendLine(""),x)B({limitHit:q});else{O.flush(),X=null;let ve;he&&!Y&&(ve=p(he))?R((0,k.serializeSearchError)(new k.SearchError(ve.message,ve.code))):B({limitHit:q})}})})}}e.RipgrepTextSearchEngine=h;function p(d){const f=d.split(`
`),S=f[0].trim();if(f.some(M=>M.startsWith("regex parse error")))return new k.SearchError(g(f),k.SearchErrorCode.regexParseError);const L=S.match(/grep config error: unknown encoding: (.*)/);if(L)return new k.SearchError(`Unknown encoding: ${L[1]}`,k.SearchErrorCode.unknownEncoding);if(S.startsWith("error parsing glob"))return new k.SearchError(S.charAt(0).toUpperCase()+S.substr(1),k.SearchErrorCode.globParseError);if(S.startsWith("the literal"))return new k.SearchError(S.charAt(0).toUpperCase()+S.substr(1),k.SearchErrorCode.invalidLiteral);if(S.startsWith("PCRE2: error compiling pattern"))return new k.SearchError(S,k.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=p;function g(d){const f=["Regex parse error"],S=d.filter(L=>L.startsWith("PCRE2:"));if(S.length>=1){const L=S[0].replace("PCRE2:","");if(L.indexOf(":")!==-1&&L.split(":").length>=2){const M=L.split(":")[1];f.push(":"+M)}}return f.join("")}e.buildRegexParseError=g;class a extends t.EventEmitter{constructor(f,S,L){super();this.maxResults=f,this.rootFolder=S,this.previewOptions=L,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new C.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(f,S){return super.on(f,S),this}handleData(f){if(this.isDone)return;const S=typeof f=="string"?f:this.stringDecoder.write(f);this.handleDecodedData(S)}handleDecodedData(f){let S=f.indexOf(`
`);const L=this.remainder+f;if(S>=0)S+=this.remainder.length;else{this.remainder=L;return}let M=0;for(;S>=0;)this.handleLine(L.substring(M,S).trim()),M=S+1,S=L.indexOf(`
`,M);this.remainder=L.substring(M)}handleLine(f){if(this.isDone||!f)return;let S;try{S=JSON.parse(f)}catch{throw new Error(`malformed line from rg: ${f}`)}if(S.type==="match"){const L=m(S.data.path),M=A.URI.file(w.join(this.rootFolder,L)),B=this.createTextSearchMatch(S.data,M);this.onResult(B),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(S.type==="context"){const L=m(S.data.path),M=A.URI.file(w.join(this.rootFolder,L));this.createTextSearchContext(S.data,M).forEach(R=>this.onResult(R))}}createTextSearchMatch(f,S){const L=f.line_number-1,M=m(f.lines),B=Buffer.from(M);let R=0,U=0,$=L;f.submatches.length===0&&f.submatches.push(M.length?{start:0,end:1,match:{text:M[0]}}:{start:0,end:0,match:{text:""}});const N=(0,P.coalesce)(f.submatches.map((X,z)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);const O=m(X.match),x=B.slice(R,X.start).toString().length,V=U+x,q=c(O),J=$,Y=q.numLines+J,he=q.numLines>0?q.lastLineLength:q.lastLineLength+V;return R=X.end,U=he,$=Y,new _.Range(J,V,Y,he)}));return(0,b.createTextSearchResult)(S,M,N,this.previewOptions)}createTextSearchContext(f,S){const L=m(f.lines),M=f.line_number;return L.replace(/\r?\n$/,"").split(`
`).map((B,R)=>({text:B,uri:S,lineNumber:M+R}))}onResult(f){this.emit("result",f)}}e.RipgrepParser=a;function m(d){return d.bytes?Buffer.from(d.bytes,"base64").toString():d.text}function c(d){const f=/\n/g;let S=0,L=-1,M;for(;M=f.exec(d);)S++,L=M.index;const B=L>=0?d.length-L-1:d.length;return{numLines:S,lastLineLength:B}}function l(d,f){const S=["--hidden"];S.push(d.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:L,otherIncludes:M}=(0,y.groupBy)(f.includes,R=>R.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(M&&M.length){const R=new Set;M.forEach(U=>{R.add(U)}),S.push("-g","!*"),R.forEach(U=>{r(U).map(b.anchorGlob).forEach($=>{S.push("-g",$)})})}L&&L.length&&L.forEach(R=>{S.push("-g",R)}),f.excludes.map(b.anchorGlob).forEach(R=>S.push("-g",`!${R}`)),f.maxFileSize&&S.push("--max-filesize",f.maxFileSize+""),f.useIgnoreFiles?f.useParentIgnoreFiles||S.push("--no-ignore-parent"):S.push("--no-ignore"),f.followSymlinks&&S.push("--follow"),f.encoding&&f.encoding!=="utf8"&&S.push("--encoding",f.encoding),d.pattern==="--"&&(d.isRegExp=!0,d.pattern="\\-\\-"),d.isMultiline&&!d.isRegExp&&(d.pattern=(0,I.escapeRegExpCharacters)(d.pattern),d.isRegExp=!0),f.usePCRE2&&S.push("--pcre2"),S.push("--crlf"),d.isRegExp&&(d.pattern=i(d.pattern),S.push("--engine","auto"));let B;if(d.isWordMatch){const U=(0,I.createRegExp)(d.pattern,!!d.isRegExp,{wholeWord:d.isWordMatch}).source.replace(/\\\//g,"/");S.push("--regexp",U)}else if(d.isRegExp){let R=n(d.pattern);R=o(R),S.push("--regexp",R)}else B=d.pattern,S.push("--fixed-strings");return S.push("--no-config"),f.useGlobalIgnoreFiles||S.push("--no-ignore-global"),S.push("--json"),d.isMultiline&&S.push("--multiline"),f.beforeContext&&S.push("--before-context",f.beforeContext+""),f.afterContext&&S.push("--after-context",f.afterContext+""),S.push("--"),B&&S.push(B),S.push("."),S}function r(d){const f=(0,D.splitGlobAware)(d,"/");return f.map((S,L)=>f.slice(0,L+1).join("/"))}e.spreadGlobComponents=r;function i(d){const f=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;d.match(f);)d=d.replace(f,"$1\\x{$2}");const S=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;d.match(S);)d=d.replace(S,"$1\\x{$2}");return d}e.unicodeEscapesToPCRE2=i;const s=d=>d.type==="Assertion"&&d.kind==="lookbehind";function n(d){let f;try{f=new T.RegExpParser().parsePattern(d)}catch{return d}let S="",L=0;const M=(U,$,N)=>{S+=d.slice(L,U)+N,L=$},B=[];return new T.RegExpVisitor({onCharacterEnter(U){if(U.raw!=="\\n")return;const $=B[0];if(!$)M(U.start,U.end,"\\r?\\n");else if(!B.some(s))if($.type==="CharacterClass")if($.negate){const N=d.slice($.start+2,U.start)+d.slice(U.end,$.end-1);$.parent?.type==="Quantifier"?M($.start,$.end,N?`[^${N}]`:"."):M($.start,$.end,"(?!\\r?\\n"+(N?`|[${N}]`:"")+")")}else{const N=d.slice($.start+1,U.start)+d.slice(U.end,$.end-1);M($.start,$.end,N===""?"\\r?\\n":`(?:[${N}]|\\r?\\n)`)}else $.type==="Quantifier"&&M(U.start,U.end,"(?:\\r?\\n)")},onQuantifierEnter(U){B.unshift(U)},onQuantifierLeave(){B.shift()},onCharacterClassRangeEnter(U){B.unshift(U)},onCharacterClassRangeLeave(){B.shift()},onCharacterClassEnter(U){B.unshift(U)},onCharacterClassLeave(){B.shift()},onAssertionEnter(U){s(U)&&B.push(U)},onAssertionLeave(U){B[0]===U&&B.shift()}}).visit(f),S+=d.slice(L),S}e.fixRegexNewline=n;function o(d){return d.replace(/\n/g,"\\r?\\n")}e.fixNewline=o}),define(De[296],Ie([1,0,21,142,118,12]),function(Z,e,u,t,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class y{constructor(I){this.outputChannel=I,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(I,A,k,_){const T=new t.RipgrepTextSearchEngine(this.outputChannel);if(A.folder.scheme===P.Schemas.vscodeUserData){const E={...A,folder:A.folder.with({scheme:P.Schemas.file})},b=new C.Progress(v=>k.report({...v,uri:v.uri.with({scheme:A.folder.scheme})}));return this.withToken(_,v=>T.provideTextSearchResults(I,E,b,v))}else return this.withToken(_,E=>T.provideTextSearchResults(I,A,k,E))}async withToken(I,A){const k=D(I);this.inProgress.add(k);const _=await A(k.token);return this.inProgress.delete(k),_}dispose(){this.inProgress.forEach(I=>I.cancel())}}e.RipgrepSearchProvider=y;function D(w){const I=new u.CancellationTokenSource;return w.onCancellationRequested(()=>I.cancel()),I}}),define(De[297],Ie([1,0,29,142,141]),function(Z,e,u,t,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class P{constructor(w){this.query=w}search(w,I,A){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const k={appendLine(T){A({message:T})}},_=new C.NativeTextSearchManager(this.query,new t.RipgrepTextSearchEngine(k),u);return new Promise((T,E)=>_.search(b=>{I(b.map(y))},w).then(b=>T({limitHit:b.limitHit,type:"success",stats:b.stats}),E))}}e.TextSearchEngineAdapter=P;function y(D){return{path:D.resource&&D.resource.fsPath,results:D.results,numMatches:(D.results||[]).reduce((w,I)=>{if(I.ranges){const A=I;return w+(Array.isArray(A.ranges)?A.ranges.length:1)}else return w+1},0)}}}),define(De[298],Ie([1,0,17,18,10,4,104,9,51,2,42,30,288,297]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0;class E{constructor(a="searchProcess"){this.processType=a,this.caches=Object.create(null)}fileSearch(a){let m;const c=h(a),l=new P.Emitter({onFirstListenerDidAdd:()=>{m=(0,t.createCancelablePromise)(r=>this.doFileSearchWithEngine(_.Engine,c,i=>l.fire(i),r)),m.then(r=>l.fire(r),r=>l.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return l.event}textSearch(a){let m;const c=h(a),l=new P.Emitter({onFirstListenerDidAdd:()=>{m=(0,t.createCancelablePromise)(r=>this.ripgrepTextSearch(c,i=>l.fire(i),r)),m.then(r=>l.fire(r),r=>l.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return l.event}ripgrepTextSearch(a,m,c){return a.maxFileSize=(0,A.getPlatformLimits)(process.arch==="ia32"?0:1).maxFileSize,new T.TextSearchEngineAdapter(a).search(c,m,m)}doFileSearch(a,m,c){return this.doFileSearchWithEngine(_.Engine,a,m,c)}doFileSearchWithEngine(a,m,c,l,r=E.BATCH_SIZE){let i=0;const s=o=>{Array.isArray(o)?(i+=o.length,c(o.map(d=>this.rawMatchToSearchItem(d)))):o.relativePath?(i++,c(this.rawMatchToSearchItem(o))):c(o)};if(m.sortByScore){let o=this.trySortedSearchFromCache(m,s,l);if(!o){const d=m.maxResults?Object.assign({},m,{maxResults:null}):m,f=new a(d);o=this.doSortedSearch(f,m,c,s,l)}return new Promise((d,f)=>{o.then(([S,L])=>{const M=L.map(B=>this.rawMatchToSearchItem(B));this.sendProgress(M,c,r),d(S)},f)})}const n=new a(m);return this.doSearch(n,s,r,l).then(o=>({limitHit:o.limitHit,type:"success",stats:{detailStats:o.stats,type:this.processType,fromCache:!1,resultCount:i,sortingTime:void 0}}))}rawMatchToSearchItem(a){return{path:a.base?(0,D.join)(a.base,a.relativePath):a.relativePath}}doSortedSearch(a,m,c,l,r){const i=new P.Emitter;let s=(0,t.createCancelablePromise)(o=>{let d=[];const f=S=>{Array.isArray(S)?d=S:(l(S),i.fire(S))};return this.doSearch(a,f,-1,o).then(S=>[S,d])}),n;if(m.cacheKey){n=this.getOrCreateCache(m.cacheKey);const o={promise:s,event:i.event,resolved:!1};n.resultsToSearchCache[m.filePattern||""]=o,s.then(()=>{o.resolved=!0},d=>{delete n.resultsToSearchCache[m.filePattern||""]}),s=this.preventCancellation(s)}return s.then(([o,d])=>{const f=n?n.scorerCache:Object.create(null),S=(typeof m.maxResults!="number"||m.maxResults>0)&&w.StopWatch.create(!1);return this.sortResults(m,d,f,r).then(L=>{const M=S?S.elapsed():-1;return[{type:"success",stats:{detailStats:o.stats,sortingTime:M,fromCache:!1,type:this.processType,workspaceFolderCount:m.folderQueries.length,resultCount:L.length},messages:o.messages,limitHit:o.limitHit||typeof m.maxResults=="number"&&d.length>m.maxResults},L]})})}getOrCreateCache(a){const m=this.caches[a];return m||(this.caches[a]=new b)}trySortedSearchFromCache(a,m,c){const l=a.cacheKey&&this.caches[a.cacheKey];if(!l)return;const r=this.getResultsFromCache(l,a.filePattern||"",m,c);if(r)return r.then(([i,s,n])=>{const o=w.StopWatch.create(!1);return this.sortResults(a,s,l.scorerCache,c).then(d=>{const f=o.elapsed(),S={fromCache:!0,detailStats:n,type:this.processType,resultCount:s.length,sortingTime:f};return[{type:"success",limitHit:i.limitHit||typeof a.maxResults=="number"&&s.length>a.maxResults,stats:S},d]})})}sortResults(a,m,c,l){const r=(0,y.prepareQuery)(a.filePattern||""),i=(n,o)=>(0,y.compareItemsByFuzzyScore)(n,o,r,!0,v,c),s=typeof a.maxResults=="number"?a.maxResults:Number.MAX_VALUE;return u.topAsync(m,i,s,1e4,l)}sendProgress(a,m,c){if(c&&c>0)for(let l=0;l<a.length;l+=c)m(a.slice(l,l+c));else m(a)}getResultsFromCache(a,m,c,l){const r=w.StopWatch.create(!1),i=m.indexOf(D.sep)>=0;let s;for(const f in a.resultsToSearchCache)if(m.startsWith(f)){if(i&&f.indexOf(D.sep)<0&&f!=="")continue;const S=a.resultsToSearchCache[f];s={promise:this.preventCancellation(S.promise),event:S.event,resolved:S.resolved};break}if(!s)return null;const n=r.elapsed(),o=w.StopWatch.create(!1),d=s.event(c);return l&&l.onCancellationRequested(()=>{d.dispose()}),s.promise.then(([f,S])=>{if(l&&l.isCancellationRequested)throw(0,C.canceled)();const L=[],M=(0,y.prepareQuery)(m).normalizedLowercase;for(const B of S)!(0,k.isFilePatternMatch)(B,M)||L.push(B);return[f,L,{cacheWasResolved:s.resolved,cacheLookupTime:n,cacheFilterTime:o.elapsed(),cacheEntryCount:S.length}]})}doSearch(a,m,c,l){return new Promise((r,i)=>{let s=[];l?.onCancellationRequested(()=>a.cancel()),a.search(n=>{n&&(c?(s.push(n),c>0&&s.length>=c&&(m(s),s=[])):m(n))},n=>{m(n)},(n,o)=>{s.length&&m(s),n?i(n):r(o)})})}clearCache(a){return delete this.caches[a],Promise.resolve(void 0)}preventCancellation(a){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(m,c){return a.then(m,c)}catch(m){return this.then(void 0,m)}finally(m){return a.finally(m)}}}}e.SearchService=E,E.BATCH_SIZE=512;class b{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const v=new class{getItemLabel(g){return(0,D.basename)(g.relativePath)}getItemDescription(g){return(0,D.dirname)(g.relativePath)}getItemPath(g){return g.relativePath}};function h(g){return{...g,folderQueries:g.folderQueries&&g.folderQueries.map(p),extraFileResources:g.extraFileResources&&g.extraFileResources.map(a=>I.URI.revive(a))}}function p(g){return{...g,folder:I.URI.revive(g.folder)}}}),define(De[299],Ie([1,0,6,12,2,29,14,26,15,75,54,30,298,296,92,141]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let v=class extends I.ExtHostSearch{constructor(p,g,a,m){super(p,a,m);this._pfs=P,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,this._registeredEHSearchProvider=!1;const c=new E.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(t.Schemas.vscodeUserData,new T.RipgrepSearchProvider(c)),g.remote.isRemote&&g.remote.authority&&this._registerEHSearchProviders()}$enableExtensionHostSearch(){this._registerEHSearchProviders()}_registerEHSearchProviders(){if(this._registeredEHSearchProvider)return;this._registeredEHSearchProvider=!0;const p=new E.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(t.Schemas.file,new T.RipgrepSearchProvider(p)),this.registerInternalFileSearchProvider(t.Schemas.file,new _.SearchService("fileSearchProvider"))}registerInternalFileSearchProvider(p,g){const a=this._handlePool++;return this._internalFileSearchProvider=g,this._internalFileSearchHandle=a,this._proxy.$registerFileSearchProvider(a,this._transformScheme(p)),(0,u.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(a)})}$provideFileSearchResults(p,g,a,m){const c=(0,I.reviveQuery)(a);return p===this._internalFileSearchHandle?this.doInternalFileSearch(p,g,c,m):super.$provideFileSearchResults(p,g,a,m)}doInternalFileSearch(p,g,a,m){const c=l=>{if((0,k.isSerializedFileMatch)(l)&&(l=[l]),Array.isArray(l)){this._proxy.$handleFileMatch(p,g,l.map(r=>C.URI.file(r.path)));return}l.message&&this._logService.debug("ExtHostSearch",l.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(a,c,m)}$clearCache(p){return this._internalFileSearchProvider?.clearCache(p),super.$clearCache(p)}createTextSearchManager(p,g){return new b.NativeTextSearchManager(p,g,void 0,"textSearchProvider")}};v=je([xe(0,w.IExtHostRpcService),xe(1,D.IExtHostInitDataService),xe(2,A.IURITransformerService),xe(3,y.ILogService)],v),e.NativeExtHostSearch=v}),define(De[300],Ie([1,0,82,271,283,282,299,295,272,74,39,75,72,38,53,69,270,269,14,284,47]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h,p,g,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,u.registerSingleton)(A.IExtHostExtensionService,D.ExtHostExtensionService),(0,u.registerSingleton)(p.ILoggerService,h.ExtHostLoggerService),(0,u.registerSingleton)(b.IExtensionStoragePaths,v.ExtensionStoragePaths),(0,u.registerSingleton)(I.IExtHostDebugService,P.ExtHostDebugService),(0,u.registerSingleton)(k.IExtHostSearch,y.NativeExtHostSearch),(0,u.registerSingleton)(_.IExtHostTask,C.ExtHostTask),(0,u.registerSingleton)(T.IExtHostTerminalService,t.ExtHostTerminalService),(0,u.registerSingleton)(E.IExtHostTunnelService,w.ExtHostTunnelService),(0,u.registerSingleton)(a.IExtHostVariableResolverProvider,g.NodeExtHostVariableResolverProviderService)}),define(De[308],Ie([1,0,213,309,73,10,111,112,195,134,281,23,29,108,18,114,208,226,285,300]),function(Z,e,u,t,C,P,y,D,w,I,A,k,_,T,E,b,v,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let n=0;n<process.execArgv.length;n++)process.execArgv[n]==="--inspect-port=0"&&(process.execArgv.splice(n,1),n--)}();const p=t(process.argv.slice(2),{boolean:["transformURIs","skipWorkspaceStorageLock"],string:["useHostProxy"]});(function(){const s=Z.__$__nodeRequire("module"),n=s._load;s._load=function(o){if(o==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return n.apply(this,arguments)}})();const g=process.exit.bind(process);function a(s){process.exit=function(n){if(s)g(n);else{const o=new Error("An extension called process.exit() and this was prevented.");console.warn(o.stack)}},process.crash=function(){const n=new Error("An extension called process.crash() and this was prevented.");console.warn(n.stack)},process.env.ELECTRON_RUN_AS_NODE="1"}let m=function(s){g()};function c(){const s=(0,h.readExtHostConnection)(process.env);if(s.type===3)return new Promise((n,o)=>{const d=f=>{const S=f[0],L=new y.BufferedEmitter;S.on("message",M=>L.fire(k.VSBuffer.wrap(M.data))),S.on("close",()=>{m("renderer closed the MessagePort")}),S.start(),n({onMessage:L.event,send:M=>S.postMessage(M.buffer)})};if(global.vscodePorts){const f=global.vscodePorts;delete global.vscodePorts,d(f)}else global.vscodePortsCallback=d});if(s.type===2)return new Promise((n,o)=>{let d=null;const f=setTimeout(()=>{m("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4),S=108e5,L=3e5,M=new E.ProcessTimeRunOnceScheduler(()=>m("renderer disconnected for too long (1)"),S),B=new E.ProcessTimeRunOnceScheduler(()=>m("renderer disconnected for too long (2)"),L);process.on("message",(U,$)=>{if(U&&U.type==="VSCODE_EXTHOST_IPC_SOCKET"){$.setNoDelay(!0);const N=k.VSBuffer.wrap(Buffer.from(U.initialDataChunk,"base64"));let X;if(U.skipWebSocketFrames)X=new D.NodeSocket($,"extHost-socket");else{const z=k.VSBuffer.wrap(Buffer.from(U.inflateBytes,"base64"));X=new D.WebSocketNodeSocket(new D.NodeSocket($,"extHost-socket"),U.permessageDeflate,z,!1)}d?(M.cancel(),B.cancel(),d.beginAcceptReconnection(X,N),d.endAcceptReconnection(),d.sendResume()):(clearTimeout(f),d=new y.PersistentProtocol(X,N),d.sendResume(),d.onDidDispose(()=>m("renderer disconnected")),n(d),d.onSocketClose(()=>{M.schedule()}))}if(U&&U.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(B.isScheduled())return;M.isScheduled()&&B.schedule()}});const R={type:"VSCODE_EXTHOST_IPC_READY"};process.send?.(R)});{const n=s.pipeName;return new Promise((o,d)=>{const f=u.createConnection(n,()=>{f.removeListener("error",d);const S=new y.PersistentProtocol(new D.NodeSocket(f,"extHost-renderer"));S.sendResume(),o(S)});f.once("error",d),f.on("close",()=>{m("renderer closed the socket")})})}}async function l(){const s=await c();return new class{constructor(){this._onMessage=new y.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,s.onMessage(n=>{(0,I.isMessageOfType)(n,2)?(this._terminating=!0,m("received terminate message from renderer")):this._onMessage.fire(n)})}send(n){this._terminating||s.send(n)}async drain(){if(s.drain)return s.drain()}}}function r(s){return new Promise(n=>{const o=s.onMessage(d=>{o.dispose();const f=JSON.parse(d.toString()),S=f.commit,L=w.default.commit;if(S&&L&&S!==L&&g(55),f.parentPid){let M=0;setInterval(function(){try{process.kill(f.parentPid,0),M=0}catch(R){R&&R.code==="EPERM"?(M++,M>=3&&m(`parent process ${f.parentPid} does not exist anymore (3 x EPERM): ${R.message} (code: ${R.code}) (errno: ${R.errno})`)):m(`parent process ${f.parentPid} does not exist anymore: ${R.message} (code: ${R.code}) (errno: ${R.errno})`)}},1e3);let B;try{B=Z.__$__nodeRequire("native-watchdog"),B.start(f.parentPid)}catch(R){(0,P.onUnexpectedError)(R)}}s.send((0,I.createMessageOfType)(0)),n({protocol:s,initData:f})});s.send((0,I.createMessageOfType)(1))})}async function i(){const s=[];process.on("unhandledRejection",(M,B)=>{s.push(B),setTimeout(()=>{const R=s.indexOf(B);R>=0&&B.catch(U=>{s.splice(R,1),(0,P.isCancellationError)(U)||(console.warn(`rejected promise not handled within 1 second: ${U}`),U&&U.stack&&console.warn(`stack trace: ${U.stack}`),M&&(0,P.onUnexpectedError)(M))})},1e3)}),process.on("rejectionHandled",M=>{const B=s.indexOf(M);B>=0&&s.splice(B,1)}),process.on("uncaughtException",function(M){(0,P.onUnexpectedError)(M)}),C.mark("code/extHost/willConnectToRenderer");const n=await l();C.mark("code/extHost/didConnectToRenderer");const o=await r(n);C.mark("code/extHost/didWaitForInitData");const{initData:d}=o;a(!!d.environment.extensionTestsLocationURI),d.environment.useHostProxy=p.useHostProxy!==void 0?p.useHostProxy!=="false":void 0,d.environment.skipWorkspaceStorageLock=(0,b.boolean)(p.skipWorkspaceStorageLock,!1);const f=new class{constructor(){this.pid=process.pid}exit(B){g(B)}exists(B){return _.Promises.exists(B)}realpath(B){return(0,T.realpath)(B)}};let S=null;d.remote.authority&&p.transformURIs&&(S=(0,v.createURITransformer)(d.remote.authority));const L=new A.ExtensionHostMain(o.protocol,d,f,S);m=M=>L.terminate(M)}e.startExtensionHostProcess=i,i().catch(s=>console.log(s))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/undefined/core/vs/workbench/api/node/extensionHostProcess.js.map
