/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ye=["exports","require","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/event","vs/workbench/api/common/extHostTypes","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypeConverters","vs/base/common/strings","vs/base/common/types","vs/base/common/errors","vs/base/common/network","vs/workbench/api/common/extHostRpcService","vs/base/common/async","vs/platform/log/common/log","vs/base/common/arrays","vs/nls","vs/nls!vs/workbench/api/worker/extensionHostWorker","vs/base/common/path","vs/base/common/cancellation","vs/base/common/platform","vs/base/common/resources","vs/base/common/buffer","vs/workbench/services/extensions/common/extensions","vs/base/common/map","vs/base/common/objects","vs/platform/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/base/common/severity","vs/platform/registry/common/platform","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/glob","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostCommands","vs/base/common/extpath","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/services/search/common/search","vs/base/common/uuid","vs/base/common/errorMessage","vs/base/common/assert","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/contrib/testing/common/testId","vs/workbench/contrib/testing/common/testTypes","vs/editor/common/core/range","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostWebview","vs/base/common/decorators","vs/base/common/marshalling","vs/platform/instantiation/common/extensions","vs/platform/configuration/common/configuration","vs/platform/instantiation/common/serviceCollection","vs/base/common/process","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTunnelService","vs/workbench/common/webview","vs/workbench/contrib/testing/common/testItemCollection","vs/editor/common/languages","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/collections","vs/base/common/idGenerator","vs/base/common/mime","vs/base/common/htmlContent","vs/base/common/labels","vs/editor/common/services/semanticTokensDto","vs/platform/instantiation/common/descriptors","vs/platform/extensionManagement/common/extensionManagement","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/common/editor","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostDecorations","vs/base/common/hash","vs/workbench/api/common/extHostTelemetryLogService","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostOutput","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostVariableResolverService","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/numbers","vs/base/common/stream","vs/editor/common/core/textModelDefaults","vs/editor/common/languages/languageConfiguration","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/codicons","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/languageSelector","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/editor/common/core/wordHelper","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/product/common/productService","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/tunnel/common/tunnel","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/base/common/iterator","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/base/common/functional","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostProgress","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/base/common/lazy","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/base/common/stopwatch","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/worker/extHostConsoleForwarder","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/output/common/output","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.common.services","vs/workbench/services/views/common/treeViewsService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/semver/semver","vs/editor/common/model/mirrorTextModel","vs/base/common/linkedList","vs/editor/common/core/position","vs/editor/common/languages/linkComputer","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/model","vs/workbench/api/worker/extensionHostWorker"],De=function(ie){for(var e=[],a=0,v=ie.length;a<v;a++)e[a]=ye[ie[a]];return e};define(ye[72],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.groupBy=void 0;function a(y,P){const E=Object.create(null);for(const T of y){const R=P(T);let S=E[R];S||(S=E[R]=[]),S.push(T)}return E}e.groupBy=a;function v(y,P){const E=[],T=[];for(const R of y)P.has(R)||E.push(R);for(const R of P)y.has(R)||T.push(R);return{removed:E,added:T}}e.diffSets=v;function b(y,P){const E=[],T=[];for(const[R,S]of y)P.has(R)||E.push(S);for(const[R,S]of P)y.has(R)||T.push(S);return{removed:E,added:T}}e.diffMaps=b;class M{constructor(){this.map=new Map}add(P,E){let T=this.map.get(P);T||(T=new Set,this.map.set(P,T)),T.add(E)}delete(P,E){const T=this.map.get(P);!T||(T.delete(E),T.size===0&&this.map.delete(P))}forEach(P,E){const T=this.map.get(P);!T||T.forEach(E)}}e.SetMap=M}),define(ye[55],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function a(y){return(P,E,T)=>{let R=null,S=null;if(typeof T.value=="function"?(R="value",S=T.value):typeof T.get=="function"&&(R="get",S=T.get),!S)throw new Error("not supported");T[R]=y(S,E)}}e.createDecorator=a;function v(y,P,E){let T=null,R=null;if(typeof E.value=="function"?(T="value",R=E.value,R.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof E.get=="function"&&(T="get",R=E.get),!R)throw new Error("not supported");const S=`$memoize$${P}`;E[T]=function(...m){return this.hasOwnProperty(S)||Object.defineProperty(this,S,{configurable:!1,enumerable:!1,writable:!1,value:R.apply(this,m)}),this[S]}}e.memoize=v;function b(y,P,E){return a((T,R)=>{const S=`$debounce$${R}`,m=`$debounce$result$${R}`;return function(...I){this[m]||(this[m]=E?E():void 0),clearTimeout(this[S]),P&&(this[m]=P(this[m],...I),I=[this[m]]),this[S]=setTimeout(()=>{T.apply(this,I),this[m]=E?E():void 0},y)}})}e.debounce=b;function M(y,P,E){return a((T,R)=>{const S=`$throttle$timer$${R}`,m=`$throttle$result$${R}`,I=`$throttle$lastRun$${R}`,f=`$throttle$pending$${R}`;return function(...h){if(this[m]||(this[m]=E?E():void 0),(this[I]===null||this[I]===void 0)&&(this[I]=-Number.MAX_VALUE),P&&(this[m]=P(this[m],...h)),this[f])return;const d=this[I]+y;d<=Date.now()?(this[I]=Date.now(),T.apply(this,[this[m]]),this[m]=E?E():void 0):(this[f]=!0,this[S]=setTimeout(()=>{this[f]=!1,this[I]=Date.now(),T.apply(this,[this[m]]),this[m]=E?E():void 0},d-Date.now()))}})}e.throttle=M}),define(ye[73],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class a{constructor(b){this._prefix=b,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=a,e.defaultGenerator=new a("id#")}),define(ye[106],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var a;(function(s){s[s.None=0]="None",s[s.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",s[s.UnexpectedEndOfString=2]="UnexpectedEndOfString",s[s.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",s[s.InvalidUnicode=4]="InvalidUnicode",s[s.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",s[s.InvalidCharacter=6]="InvalidCharacter"})(a=e.ScanError||(e.ScanError={}));var v;(function(s){s[s.OpenBraceToken=1]="OpenBraceToken",s[s.CloseBraceToken=2]="CloseBraceToken",s[s.OpenBracketToken=3]="OpenBracketToken",s[s.CloseBracketToken=4]="CloseBracketToken",s[s.CommaToken=5]="CommaToken",s[s.ColonToken=6]="ColonToken",s[s.NullKeyword=7]="NullKeyword",s[s.TrueKeyword=8]="TrueKeyword",s[s.FalseKeyword=9]="FalseKeyword",s[s.StringLiteral=10]="StringLiteral",s[s.NumericLiteral=11]="NumericLiteral",s[s.LineCommentTrivia=12]="LineCommentTrivia",s[s.BlockCommentTrivia=13]="BlockCommentTrivia",s[s.LineBreakTrivia=14]="LineBreakTrivia",s[s.Trivia=15]="Trivia",s[s.Unknown=16]="Unknown",s[s.EOF=17]="EOF"})(v=e.SyntaxKind||(e.SyntaxKind={}));var b;(function(s){s[s.InvalidSymbol=1]="InvalidSymbol",s[s.InvalidNumberFormat=2]="InvalidNumberFormat",s[s.PropertyNameExpected=3]="PropertyNameExpected",s[s.ValueExpected=4]="ValueExpected",s[s.ColonExpected=5]="ColonExpected",s[s.CommaExpected=6]="CommaExpected",s[s.CloseBraceExpected=7]="CloseBraceExpected",s[s.CloseBracketExpected=8]="CloseBracketExpected",s[s.EndOfFileExpected=9]="EndOfFileExpected",s[s.InvalidCommentToken=10]="InvalidCommentToken",s[s.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",s[s.UnexpectedEndOfString=12]="UnexpectedEndOfString",s[s.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",s[s.InvalidUnicode=14]="InvalidUnicode",s[s.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",s[s.InvalidCharacter=16]="InvalidCharacter"})(b=e.ParseErrorCode||(e.ParseErrorCode={}));var M;(function(s){s.DEFAULT={allowTrailingComma:!0}})(M=e.ParseOptions||(e.ParseOptions={}));function y(s,u=!1){let i=0;const n=s.length;let r="",t=0,l=16,w=0;function p(B){let F=0,K=0;for(;F<B;){const H=s.charCodeAt(i);if(H>=48&&H<=57)K=K*16+H-48;else if(H>=65&&H<=70)K=K*16+H-65+10;else if(H>=97&&H<=102)K=K*16+H-97+10;else break;i++,F++}return F<B&&(K=-1),K}function D(B){i=B,r="",t=0,l=16,w=0}function U(){const B=i;if(s.charCodeAt(i)===48)i++;else for(i++;i<s.length&&T(s.charCodeAt(i));)i++;if(i<s.length&&s.charCodeAt(i)===46)if(i++,i<s.length&&T(s.charCodeAt(i)))for(i++;i<s.length&&T(s.charCodeAt(i));)i++;else return w=3,s.substring(B,i);let F=i;if(i<s.length&&(s.charCodeAt(i)===69||s.charCodeAt(i)===101))if(i++,(i<s.length&&s.charCodeAt(i)===43||s.charCodeAt(i)===45)&&i++,i<s.length&&T(s.charCodeAt(i))){for(i++;i<s.length&&T(s.charCodeAt(i));)i++;F=i}else w=3;return s.substring(B,F)}function V(){let B="",F=i;for(;;){if(i>=n){B+=s.substring(F,i),w=2;break}const K=s.charCodeAt(i);if(K===34){B+=s.substring(F,i),i++;break}if(K===92){if(B+=s.substring(F,i),i++,i>=n){w=2;break}switch(s.charCodeAt(i++)){case 34:B+='"';break;case 92:B+="\\";break;case 47:B+="/";break;case 98:B+="\b";break;case 102:B+="\f";break;case 110:B+=`
`;break;case 114:B+="\r";break;case 116:B+="	";break;case 117:{const O=p(4);O>=0?B+=String.fromCharCode(O):w=4;break}default:w=5}F=i;continue}if(K>=0&&K<=31)if(E(K)){B+=s.substring(F,i),w=2;break}else w=6;i++}return B}function x(){if(r="",w=0,t=i,i>=n)return t=n,l=17;let B=s.charCodeAt(i);if(P(B)){do i++,r+=String.fromCharCode(B),B=s.charCodeAt(i);while(P(B));return l=15}if(E(B))return i++,r+=String.fromCharCode(B),B===13&&s.charCodeAt(i)===10&&(i++,r+=`
`),l=14;switch(B){case 123:return i++,l=1;case 125:return i++,l=2;case 91:return i++,l=3;case 93:return i++,l=4;case 58:return i++,l=6;case 44:return i++,l=5;case 34:return i++,r=V(),l=10;case 47:{const F=i-1;if(s.charCodeAt(i+1)===47){for(i+=2;i<n&&!E(s.charCodeAt(i));)i++;return r=s.substring(F,i),l=12}if(s.charCodeAt(i+1)===42){i+=2;const K=n-1;let H=!1;for(;i<K;){if(s.charCodeAt(i)===42&&s.charCodeAt(i+1)===47){i+=2,H=!0;break}i++}return H||(i++,w=1),r=s.substring(F,i),l=13}return r+=String.fromCharCode(B),i++,l=16}case 45:if(r+=String.fromCharCode(B),i++,i===n||!T(s.charCodeAt(i)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=U(),l=11;default:for(;i<n&&C(B);)i++,B=s.charCodeAt(i);if(t!==i){switch(r=s.substring(t,i),r){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return r+=String.fromCharCode(B),i++,l=16}}function C(B){if(P(B)||E(B))return!1;switch(B){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function L(){let B;do B=x();while(B>=12&&B<=15);return B}return{setPosition:D,getPosition:()=>i,scan:u?L:x,getToken:()=>l,getTokenValue:()=>r,getTokenOffset:()=>t,getTokenLength:()=>i-t,getTokenError:()=>w}}e.createScanner=y;function P(s){return s===32||s===9||s===11||s===12||s===160||s===5760||s>=8192&&s<=8203||s===8239||s===8287||s===12288||s===65279}function E(s){return s===10||s===13||s===8232||s===8233}function T(s){return s>=48&&s<=57}var R;(function(s){s[s.nullCharacter=0]="nullCharacter",s[s.maxAsciiCharacter=127]="maxAsciiCharacter",s[s.lineFeed=10]="lineFeed",s[s.carriageReturn=13]="carriageReturn",s[s.lineSeparator=8232]="lineSeparator",s[s.paragraphSeparator=8233]="paragraphSeparator",s[s.nextLine=133]="nextLine",s[s.space=32]="space",s[s.nonBreakingSpace=160]="nonBreakingSpace",s[s.enQuad=8192]="enQuad",s[s.emQuad=8193]="emQuad",s[s.enSpace=8194]="enSpace",s[s.emSpace=8195]="emSpace",s[s.threePerEmSpace=8196]="threePerEmSpace",s[s.fourPerEmSpace=8197]="fourPerEmSpace",s[s.sixPerEmSpace=8198]="sixPerEmSpace",s[s.figureSpace=8199]="figureSpace",s[s.punctuationSpace=8200]="punctuationSpace",s[s.thinSpace=8201]="thinSpace",s[s.hairSpace=8202]="hairSpace",s[s.zeroWidthSpace=8203]="zeroWidthSpace",s[s.narrowNoBreakSpace=8239]="narrowNoBreakSpace",s[s.ideographicSpace=12288]="ideographicSpace",s[s.mathematicalSpace=8287]="mathematicalSpace",s[s.ogham=5760]="ogham",s[s._=95]="_",s[s.$=36]="$",s[s._0=48]="_0",s[s._1=49]="_1",s[s._2=50]="_2",s[s._3=51]="_3",s[s._4=52]="_4",s[s._5=53]="_5",s[s._6=54]="_6",s[s._7=55]="_7",s[s._8=56]="_8",s[s._9=57]="_9",s[s.a=97]="a",s[s.b=98]="b",s[s.c=99]="c",s[s.d=100]="d",s[s.e=101]="e",s[s.f=102]="f",s[s.g=103]="g",s[s.h=104]="h",s[s.i=105]="i",s[s.j=106]="j",s[s.k=107]="k",s[s.l=108]="l",s[s.m=109]="m",s[s.n=110]="n",s[s.o=111]="o",s[s.p=112]="p",s[s.q=113]="q",s[s.r=114]="r",s[s.s=115]="s",s[s.t=116]="t",s[s.u=117]="u",s[s.v=118]="v",s[s.w=119]="w",s[s.x=120]="x",s[s.y=121]="y",s[s.z=122]="z",s[s.A=65]="A",s[s.B=66]="B",s[s.C=67]="C",s[s.D=68]="D",s[s.E=69]="E",s[s.F=70]="F",s[s.G=71]="G",s[s.H=72]="H",s[s.I=73]="I",s[s.J=74]="J",s[s.K=75]="K",s[s.L=76]="L",s[s.M=77]="M",s[s.N=78]="N",s[s.O=79]="O",s[s.P=80]="P",s[s.Q=81]="Q",s[s.R=82]="R",s[s.S=83]="S",s[s.T=84]="T",s[s.U=85]="U",s[s.V=86]="V",s[s.W=87]="W",s[s.X=88]="X",s[s.Y=89]="Y",s[s.Z=90]="Z",s[s.ampersand=38]="ampersand",s[s.asterisk=42]="asterisk",s[s.at=64]="at",s[s.backslash=92]="backslash",s[s.bar=124]="bar",s[s.caret=94]="caret",s[s.closeBrace=125]="closeBrace",s[s.closeBracket=93]="closeBracket",s[s.closeParen=41]="closeParen",s[s.colon=58]="colon",s[s.comma=44]="comma",s[s.dot=46]="dot",s[s.doubleQuote=34]="doubleQuote",s[s.equals=61]="equals",s[s.exclamation=33]="exclamation",s[s.greaterThan=62]="greaterThan",s[s.lessThan=60]="lessThan",s[s.minus=45]="minus",s[s.openBrace=123]="openBrace",s[s.openBracket=91]="openBracket",s[s.openParen=40]="openParen",s[s.percent=37]="percent",s[s.plus=43]="plus",s[s.question=63]="question",s[s.semicolon=59]="semicolon",s[s.singleQuote=39]="singleQuote",s[s.slash=47]="slash",s[s.tilde=126]="tilde",s[s.backspace=8]="backspace",s[s.formFeed=12]="formFeed",s[s.byteOrderMark=65279]="byteOrderMark",s[s.tab=9]="tab",s[s.verticalTab=11]="verticalTab"})(R||(R={}));function S(s,u){const i=[],n=new Object;let r;const t={value:{},offset:0,length:0,type:"object",parent:void 0};let l=!1;function w(p,D,U,V){t.value=p,t.offset=D,t.length=U,t.type=V,t.colonOffset=void 0,r=t}try{A(s,{onObjectBegin:(p,D)=>{if(u<=p)throw n;r=void 0,l=u>p,i.push("")},onObjectProperty:(p,D,U)=>{if(u<D||(w(p,D,U,"property"),i[i.length-1]=p,u<=D+U))throw n},onObjectEnd:(p,D)=>{if(u<=p)throw n;r=void 0,i.pop()},onArrayBegin:(p,D)=>{if(u<=p)throw n;r=void 0,i.push(0)},onArrayEnd:(p,D)=>{if(u<=p)throw n;r=void 0,i.pop()},onLiteralValue:(p,D,U)=>{if(u<D||(w(p,D,U,_(p)),u<=D+U))throw n},onSeparator:(p,D,U)=>{if(u<=D)throw n;if(p===":"&&r&&r.type==="property")r.colonOffset=D,l=!1,r=void 0;else if(p===","){const V=i[i.length-1];typeof V=="number"?i[i.length-1]=V+1:(l=!0,i[i.length-1]=""),r=void 0}}})}catch(p){if(p!==n)throw p}return{path:i,previousNode:r,isAtPropertyKey:l,matches:p=>{let D=0;for(let U=0;D<p.length&&U<i.length;U++)if(p[D]===i[U]||p[D]==="*")D++;else if(p[D]!=="**")return!1;return D===p.length}}}e.getLocation=S;function m(s,u=[],i=M.DEFAULT){let n=null,r=[];const t=[];function l(p){Array.isArray(r)?r.push(p):n!==null&&(r[n]=p)}return A(s,{onObjectBegin:()=>{const p={};l(p),t.push(r),r=p,n=null},onObjectProperty:p=>{n=p},onObjectEnd:()=>{r=t.pop()},onArrayBegin:()=>{const p=[];l(p),t.push(r),r=p,n=null},onArrayEnd:()=>{r=t.pop()},onLiteralValue:l,onError:(p,D,U)=>{u.push({error:p,offset:D,length:U})}},i),r[0]}e.parse=m;function I(s,u=[],i=M.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(p){n.type==="property"&&(n.length=p-n.offset,n=n.parent)}function t(p){return n.children.push(p),p}A(s,{onObjectBegin:p=>{n=t({type:"object",offset:p,length:-1,parent:n,children:[]})},onObjectProperty:(p,D,U)=>{n=t({type:"property",offset:D,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:p,offset:D,length:U,parent:n})},onObjectEnd:(p,D)=>{n.length=p+D-n.offset,n=n.parent,r(p+D)},onArrayBegin:(p,D)=>{n=t({type:"array",offset:p,length:-1,parent:n,children:[]})},onArrayEnd:(p,D)=>{n.length=p+D-n.offset,n=n.parent,r(p+D)},onLiteralValue:(p,D,U)=>{t({type:_(p),offset:D,length:U,parent:n,value:p}),r(D+U)},onSeparator:(p,D,U)=>{n.type==="property"&&(p===":"?n.colonOffset=D:p===","&&r(D))},onError:(p,D,U)=>{u.push({error:p,offset:D,length:U})}},i);const w=n.children[0];return w&&delete w.parent,w}e.parseTree=I;function f(s,u){if(!s)return;let i=s;for(const n of u)if(typeof n=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let r=!1;for(const t of i.children)if(Array.isArray(t.children)&&t.children[0].value===n){i=t.children[1],r=!0;break}if(!r)return}else{const r=n;if(i.type!=="array"||r<0||!Array.isArray(i.children)||r>=i.children.length)return;i=i.children[r]}return i}e.findNodeAtLocation=f;function h(s){if(!s.parent||!s.parent.children)return[];const u=h(s.parent);if(s.parent.type==="property"){const i=s.parent.children[0].value;u.push(i)}else if(s.parent.type==="array"){const i=s.parent.children.indexOf(s);i!==-1&&u.push(i)}return u}e.getNodePath=h;function d(s){switch(s.type){case"array":return s.children.map(d);case"object":{const u=Object.create(null);for(const i of s.children){const n=i.children[1];n&&(u[i.children[0].value]=d(n))}return u}case"null":case"string":case"number":case"boolean":return s.value;default:return}}e.getNodeValue=d;function o(s,u,i=!1){return u>=s.offset&&u<s.offset+s.length||i&&u===s.offset+s.length}e.contains=o;function g(s,u,i=!1){if(o(s,u,i)){const n=s.children;if(Array.isArray(n))for(let r=0;r<n.length&&n[r].offset<=u;r++){const t=g(n[r],u,i);if(t)return t}return s}}e.findNodeAtOffset=g;function A(s,u,i=M.DEFAULT){const n=y(s,!1);function r(Ee){return Ee?()=>Ee(n.getTokenOffset(),n.getTokenLength()):()=>!0}function t(Ee){return Ee?be=>Ee(be,n.getTokenOffset(),n.getTokenLength()):()=>!0}const l=r(u.onObjectBegin),w=t(u.onObjectProperty),p=r(u.onObjectEnd),D=r(u.onArrayBegin),U=r(u.onArrayEnd),V=t(u.onLiteralValue),x=t(u.onSeparator),C=r(u.onComment),L=t(u.onError),B=i&&i.disallowComments,F=i&&i.allowTrailingComma;function K(){for(;;){const Ee=n.scan();switch(n.getTokenError()){case 4:H(14);break;case 5:H(15);break;case 3:H(13);break;case 1:B||H(11);break;case 2:H(12);break;case 6:H(16);break}switch(Ee){case 12:case 13:B?H(10):C();break;case 16:H(1);break;case 15:case 14:break;default:return Ee}}}function H(Ee,be=[],ne=[]){if(L(Ee),be.length+ne.length>0){let ve=n.getToken();for(;ve!==17;){if(be.indexOf(ve)!==-1){K();break}else if(ne.indexOf(ve)!==-1)break;ve=K()}}}function O(Ee){const be=n.getTokenValue();return Ee?V(be):w(be),K(),!0}function ee(){switch(n.getToken()){case 11:{let Ee=0;try{Ee=JSON.parse(n.getTokenValue()),typeof Ee!="number"&&(H(2),Ee=0)}catch{H(2)}V(Ee);break}case 7:V(null);break;case 8:V(!0);break;case 9:V(!1);break;default:return!1}return K(),!0}function ce(){return n.getToken()!==10?(H(3,[],[2,5]),!1):(O(!1),n.getToken()===6?(x(":"),K(),te()||H(4,[],[2,5])):H(5,[],[2,5]),!0)}function oe(){l(),K();let Ee=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(Ee||H(4,[],[]),x(","),K(),n.getToken()===2&&F)break}else Ee&&H(6,[],[]);ce()||H(4,[],[2,5]),Ee=!0}return p(),n.getToken()!==2?H(7,[2],[]):K(),!0}function le(){D(),K();let Ee=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(Ee||H(4,[],[]),x(","),K(),n.getToken()===4&&F)break}else Ee&&H(6,[],[]);te()||H(4,[],[4,5]),Ee=!0}return U(),n.getToken()!==4?H(8,[4],[]):K(),!0}function te(){switch(n.getToken()){case 3:return le();case 1:return oe();case 10:return O(!0);default:return ee()}}return K(),n.getToken()===17?i.allowEmptyContent?!0:(H(4,[],[]),!1):te()?(n.getToken()!==17&&H(9,[],[]),!0):(H(4,[],[]),!1)}e.visit=A;function c(s,u){const i=y(s),n=[];let r,t=0,l;do switch(l=i.getPosition(),r=i.scan(),r){case 12:case 13:case 17:t!==l&&n.push(s.substring(t,l)),u!==void 0&&n.push(i.getTokenValue().replace(/[^\r\n]/g,u)),t=i.getPosition();break}while(r!==17);return n.join("")}e.stripComments=c;function _(s){switch(typeof s){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(s){if(Array.isArray(s))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=_}),function(ie,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(ye[107],De([0]),e):(ie=typeof globalThis!="undefined"?globalThis:ie||self,e(ie.marked={}))}(this,function(ie){"use strict";function e(Ie,Se){for(var Te=0;Te<Se.length;Te++){var ae=Se[Te];ae.enumerable=ae.enumerable||!1,ae.configurable=!0,"value"in ae&&(ae.writable=!0),Object.defineProperty(Ie,ae.key,ae)}}function a(Ie,Se,Te){return Se&&e(Ie.prototype,Se),Te&&e(Ie,Te),Object.defineProperty(Ie,"prototype",{writable:!1}),Ie}function v(Ie,Se){if(!!Ie){if(typeof Ie=="string")return b(Ie,Se);var Te=Object.prototype.toString.call(Ie).slice(8,-1);if(Te==="Object"&&Ie.constructor&&(Te=Ie.constructor.name),Te==="Map"||Te==="Set")return Array.from(Ie);if(Te==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(Te))return b(Ie,Se)}}function b(Ie,Se){(Se==null||Se>Ie.length)&&(Se=Ie.length);for(var Te=0,ae=new Array(Se);Te<Se;Te++)ae[Te]=Ie[Te];return ae}function M(Ie,Se){var Te=typeof Symbol!="undefined"&&Ie[Symbol.iterator]||Ie["@@iterator"];if(Te)return(Te=Te.call(Ie)).next.bind(Te);if(Array.isArray(Ie)||(Te=v(Ie))||Se&&Ie&&typeof Ie.length=="number"){Te&&(Ie=Te);var ae=0;return function(){return ae>=Ie.length?{done:!0}:{done:!1,value:Ie[ae++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function y(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}ie.defaults=y();function P(Ie){ie.defaults=Ie}var E=/[&<>"']/,T=/[&<>"']/g,R=/[<>"']|&(?!#?\w+;)/,S=/[<>"']|&(?!#?\w+;)/g,m={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},I=function(Se){return m[Se]};function f(Ie,Se){if(Se){if(E.test(Ie))return Ie.replace(T,I)}else if(R.test(Ie))return Ie.replace(S,I);return Ie}var h=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function d(Ie){return Ie.replace(h,function(Se,Te){return Te=Te.toLowerCase(),Te==="colon"?":":Te.charAt(0)==="#"?Te.charAt(1)==="x"?String.fromCharCode(parseInt(Te.substring(2),16)):String.fromCharCode(+Te.substring(1)):""})}var o=/(^|[^\[])\^/g;function g(Ie,Se){Ie=typeof Ie=="string"?Ie:Ie.source,Se=Se||"";var Te={replace:function(ue,X){return X=X.source||X,X=X.replace(o,"$1"),Ie=Ie.replace(ue,X),Te},getRegex:function(){return new RegExp(Ie,Se)}};return Te}var A=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function _(Ie,Se,Te){if(Ie){var ae;try{ae=decodeURIComponent(d(Te)).replace(A,"").toLowerCase()}catch{return null}if(ae.indexOf("javascript:")===0||ae.indexOf("vbscript:")===0||ae.indexOf("data:")===0)return null}Se&&!c.test(Te)&&(Te=r(Se,Te));try{Te=encodeURI(Te).replace(/%25/g,"%")}catch{return null}return Te}var s={},u=/^[^:]+:\/*[^/]*$/,i=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function r(Ie,Se){s[" "+Ie]||(u.test(Ie)?s[" "+Ie]=Ie+"/":s[" "+Ie]=p(Ie,"/",!0)),Ie=s[" "+Ie];var Te=Ie.indexOf(":")===-1;return Se.substring(0,2)==="//"?Te?Se:Ie.replace(i,"$1")+Se:Se.charAt(0)==="/"?Te?Se:Ie.replace(n,"$1")+Se:Ie+Se}var t={exec:function(){}};function l(Ie){for(var Se=1,Te,ae;Se<arguments.length;Se++){Te=arguments[Se];for(ae in Te)Object.prototype.hasOwnProperty.call(Te,ae)&&(Ie[ae]=Te[ae])}return Ie}function w(Ie,Se){var Te=Ie.replace(/\|/g,function(X,J,k){for(var z=!1,W=J;--W>=0&&k[W]==="\\";)z=!z;return z?"|":" |"}),ae=Te.split(/ \|/),ue=0;if(ae[0].trim()||ae.shift(),ae.length>0&&!ae[ae.length-1].trim()&&ae.pop(),ae.length>Se)ae.splice(Se);else for(;ae.length<Se;)ae.push("");for(;ue<ae.length;ue++)ae[ue]=ae[ue].trim().replace(/\\\|/g,"|");return ae}function p(Ie,Se,Te){var ae=Ie.length;if(ae===0)return"";for(var ue=0;ue<ae;){var X=Ie.charAt(ae-ue-1);if(X===Se&&!Te)ue++;else if(X!==Se&&Te)ue++;else break}return Ie.slice(0,ae-ue)}function D(Ie,Se){if(Ie.indexOf(Se[1])===-1)return-1;for(var Te=Ie.length,ae=0,ue=0;ue<Te;ue++)if(Ie[ue]==="\\")ue++;else if(Ie[ue]===Se[0])ae++;else if(Ie[ue]===Se[1]&&(ae--,ae<0))return ue;return-1}function U(Ie){Ie&&Ie.sanitize&&!Ie.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function V(Ie,Se){if(Se<1)return"";for(var Te="";Se>1;)Se&1&&(Te+=Ie),Se>>=1,Ie+=Ie;return Te+Ie}function x(Ie,Se,Te,ae){var ue=Se.href,X=Se.title?f(Se.title):null,J=Ie[1].replace(/\\([\[\]])/g,"$1");if(Ie[0].charAt(0)!=="!"){ae.state.inLink=!0;var k={type:"link",raw:Te,href:ue,title:X,text:J,tokens:ae.inlineTokens(J,[])};return ae.state.inLink=!1,k}return{type:"image",raw:Te,href:ue,title:X,text:f(J)}}function C(Ie,Se){var Te=Ie.match(/^(\s+)(?:```)/);if(Te===null)return Se;var ae=Te[1];return Se.split(`
`).map(function(ue){var X=ue.match(/^\s+/);if(X===null)return ue;var J=X[0];return J.length>=ae.length?ue.slice(ae.length):ue}).join(`
`)}var L=function(){function Ie(Te){this.options=Te||ie.defaults}var Se=Ie.prototype;return Se.space=function(ae){var ue=this.rules.block.newline.exec(ae);if(ue&&ue[0].length>0)return{type:"space",raw:ue[0]}},Se.code=function(ae){var ue=this.rules.block.code.exec(ae);if(ue){var X=ue[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:ue[0],codeBlockStyle:"indented",text:this.options.pedantic?X:p(X,`
`)}}},Se.fences=function(ae){var ue=this.rules.block.fences.exec(ae);if(ue){var X=ue[0],J=C(X,ue[3]||"");return{type:"code",raw:X,lang:ue[2]?ue[2].trim():ue[2],text:J}}},Se.heading=function(ae){var ue=this.rules.block.heading.exec(ae);if(ue){var X=ue[2].trim();if(/#$/.test(X)){var J=p(X,"#");(this.options.pedantic||!J||/ $/.test(J))&&(X=J.trim())}var k={type:"heading",raw:ue[0],depth:ue[1].length,text:X,tokens:[]};return this.lexer.inline(k.text,k.tokens),k}},Se.hr=function(ae){var ue=this.rules.block.hr.exec(ae);if(ue)return{type:"hr",raw:ue[0]}},Se.blockquote=function(ae){var ue=this.rules.block.blockquote.exec(ae);if(ue){var X=ue[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:ue[0],tokens:this.lexer.blockTokens(X,[]),text:X}}},Se.list=function(ae){var ue=this.rules.block.list.exec(ae);if(ue){var X,J,k,z,W,j,se,de,Z,pe,ge,Ne,Be=ue[1].trim(),Je=Be.length>1,Ge={type:"list",raw:"",ordered:Je,start:Je?+Be.slice(0,-1):"",loose:!1,items:[]};Be=Je?"\\d{1,9}\\"+Be.slice(-1):"\\"+Be,this.options.pedantic&&(Be=Je?Be:"[*+-]");for(var ke=new RegExp("^( {0,3}"+Be+")((?:[	 ][^\\n]*)?(?:\\n|$))");ae&&(Ne=!1,!(!(ue=ke.exec(ae))||this.rules.block.hr.test(ae)));){if(X=ue[0],ae=ae.substring(X.length),de=ue[2].split(`
`,1)[0],Z=ae.split(`
`,1)[0],this.options.pedantic?(z=2,ge=de.trimLeft()):(z=ue[2].search(/[^ ]/),z=z>4?1:z,ge=de.slice(z),z+=ue[1].length),j=!1,!de&&/^ *$/.test(Z)&&(X+=Z+`
`,ae=ae.substring(Z.length+1),Ne=!0),!Ne)for(var rt=new RegExp("^ {0,"+Math.min(3,z-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),G=new RegExp("^ {0,"+Math.min(3,z-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)");ae&&(pe=ae.split(`
`,1)[0],de=pe,this.options.pedantic&&(de=de.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(rt.test(de)||G.test(ae)));){if(de.search(/[^ ]/)>=z||!de.trim())ge+=`
`+de.slice(z);else if(!j)ge+=`
`+de;else break;!j&&!de.trim()&&(j=!0),X+=pe+`
`,ae=ae.substring(pe.length+1)}Ge.loose||(se?Ge.loose=!0:/\n *\n *$/.test(X)&&(se=!0)),this.options.gfm&&(J=/^\[[ xX]\] /.exec(ge),J&&(k=J[0]!=="[ ] ",ge=ge.replace(/^\[[ xX]\] +/,""))),Ge.items.push({type:"list_item",raw:X,task:!!J,checked:k,loose:!1,text:ge}),Ge.raw+=X}Ge.items[Ge.items.length-1].raw=X.trimRight(),Ge.items[Ge.items.length-1].text=ge.trimRight(),Ge.raw=Ge.raw.trimRight();var Q=Ge.items.length;for(W=0;W<Q;W++){this.lexer.state.top=!1,Ge.items[W].tokens=this.lexer.blockTokens(Ge.items[W].text,[]);var fe=Ge.items[W].tokens.filter(function(He){return He.type==="space"}),Ue=fe.every(function(He){for(var Ze=He.raw.split(""),qe=0,We=M(Ze),nt;!(nt=We()).done;){var ot=nt.value;if(ot===`
`&&(qe+=1),qe>1)return!0}return!1});!Ge.loose&&fe.length&&Ue&&(Ge.loose=!0,Ge.items[W].loose=!0)}return Ge}},Se.html=function(ae){var ue=this.rules.block.html.exec(ae);if(ue){var X={type:"html",raw:ue[0],pre:!this.options.sanitizer&&(ue[1]==="pre"||ue[1]==="script"||ue[1]==="style"),text:ue[0]};return this.options.sanitize&&(X.type="paragraph",X.text=this.options.sanitizer?this.options.sanitizer(ue[0]):f(ue[0]),X.tokens=[],this.lexer.inline(X.text,X.tokens)),X}},Se.def=function(ae){var ue=this.rules.block.def.exec(ae);if(ue){ue[3]&&(ue[3]=ue[3].substring(1,ue[3].length-1));var X=ue[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:X,raw:ue[0],href:ue[2],title:ue[3]}}},Se.table=function(ae){var ue=this.rules.block.table.exec(ae);if(ue){var X={type:"table",header:w(ue[1]).map(function(se){return{text:se}}),align:ue[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:ue[3]&&ue[3].trim()?ue[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(X.header.length===X.align.length){X.raw=ue[0];var J=X.align.length,k,z,W,j;for(k=0;k<J;k++)/^ *-+: *$/.test(X.align[k])?X.align[k]="right":/^ *:-+: *$/.test(X.align[k])?X.align[k]="center":/^ *:-+ *$/.test(X.align[k])?X.align[k]="left":X.align[k]=null;for(J=X.rows.length,k=0;k<J;k++)X.rows[k]=w(X.rows[k],X.header.length).map(function(se){return{text:se}});for(J=X.header.length,z=0;z<J;z++)X.header[z].tokens=[],this.lexer.inline(X.header[z].text,X.header[z].tokens);for(J=X.rows.length,z=0;z<J;z++)for(j=X.rows[z],W=0;W<j.length;W++)j[W].tokens=[],this.lexer.inline(j[W].text,j[W].tokens);return X}}},Se.lheading=function(ae){var ue=this.rules.block.lheading.exec(ae);if(ue){var X={type:"heading",raw:ue[0],depth:ue[2].charAt(0)==="="?1:2,text:ue[1],tokens:[]};return this.lexer.inline(X.text,X.tokens),X}},Se.paragraph=function(ae){var ue=this.rules.block.paragraph.exec(ae);if(ue){var X={type:"paragraph",raw:ue[0],text:ue[1].charAt(ue[1].length-1)===`
`?ue[1].slice(0,-1):ue[1],tokens:[]};return this.lexer.inline(X.text,X.tokens),X}},Se.text=function(ae){var ue=this.rules.block.text.exec(ae);if(ue){var X={type:"text",raw:ue[0],text:ue[0],tokens:[]};return this.lexer.inline(X.text,X.tokens),X}},Se.escape=function(ae){var ue=this.rules.inline.escape.exec(ae);if(ue)return{type:"escape",raw:ue[0],text:f(ue[1])}},Se.tag=function(ae){var ue=this.rules.inline.tag.exec(ae);if(ue)return!this.lexer.state.inLink&&/^<a /i.test(ue[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(ue[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(ue[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(ue[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:ue[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ue[0]):f(ue[0]):ue[0]}},Se.link=function(ae){var ue=this.rules.inline.link.exec(ae);if(ue){var X=ue[2].trim();if(!this.options.pedantic&&/^</.test(X)){if(!/>$/.test(X))return;var J=p(X.slice(0,-1),"\\");if((X.length-J.length)%2==0)return}else{var k=D(ue[2],"()");if(k>-1){var z=ue[0].indexOf("!")===0?5:4,W=z+ue[1].length+k;ue[2]=ue[2].substring(0,k),ue[0]=ue[0].substring(0,W).trim(),ue[3]=""}}var j=ue[2],se="";if(this.options.pedantic){var de=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(j);de&&(j=de[1],se=de[3])}else se=ue[3]?ue[3].slice(1,-1):"";return j=j.trim(),/^</.test(j)&&(this.options.pedantic&&!/>$/.test(X)?j=j.slice(1):j=j.slice(1,-1)),x(ue,{href:j&&j.replace(this.rules.inline._escapes,"$1"),title:se&&se.replace(this.rules.inline._escapes,"$1")},ue[0],this.lexer)}},Se.reflink=function(ae,ue){var X;if((X=this.rules.inline.reflink.exec(ae))||(X=this.rules.inline.nolink.exec(ae))){var J=(X[2]||X[1]).replace(/\s+/g," ");if(J=ue[J.toLowerCase()],!J||!J.href){var k=X[0].charAt(0);return{type:"text",raw:k,text:k}}return x(X,J,X[0],this.lexer)}},Se.emStrong=function(ae,ue,X){X===void 0&&(X="");var J=this.rules.inline.emStrong.lDelim.exec(ae);if(!!J&&!(J[3]&&X.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var k=J[1]||J[2]||"";if(!k||k&&(X===""||this.rules.inline.punctuation.exec(X))){var z=J[0].length-1,W,j,se=z,de=0,Z=J[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(Z.lastIndex=0,ue=ue.slice(-1*ae.length+z);(J=Z.exec(ue))!=null;)if(W=J[1]||J[2]||J[3]||J[4]||J[5]||J[6],!!W){if(j=W.length,J[3]||J[4]){se+=j;continue}else if((J[5]||J[6])&&z%3&&!((z+j)%3)){de+=j;continue}if(se-=j,!(se>0)){if(j=Math.min(j,j+se+de),Math.min(z,j)%2){var pe=ae.slice(1,z+J.index+j);return{type:"em",raw:ae.slice(0,z+J.index+j+1),text:pe,tokens:this.lexer.inlineTokens(pe,[])}}var ge=ae.slice(2,z+J.index+j-1);return{type:"strong",raw:ae.slice(0,z+J.index+j+1),text:ge,tokens:this.lexer.inlineTokens(ge,[])}}}}}},Se.codespan=function(ae){var ue=this.rules.inline.code.exec(ae);if(ue){var X=ue[2].replace(/\n/g," "),J=/[^ ]/.test(X),k=/^ /.test(X)&&/ $/.test(X);return J&&k&&(X=X.substring(1,X.length-1)),X=f(X,!0),{type:"codespan",raw:ue[0],text:X}}},Se.br=function(ae){var ue=this.rules.inline.br.exec(ae);if(ue)return{type:"br",raw:ue[0]}},Se.del=function(ae){var ue=this.rules.inline.del.exec(ae);if(ue)return{type:"del",raw:ue[0],text:ue[2],tokens:this.lexer.inlineTokens(ue[2],[])}},Se.autolink=function(ae,ue){var X=this.rules.inline.autolink.exec(ae);if(X){var J,k;return X[2]==="@"?(J=f(this.options.mangle?ue(X[1]):X[1]),k="mailto:"+J):(J=f(X[1]),k=J),{type:"link",raw:X[0],text:J,href:k,tokens:[{type:"text",raw:J,text:J}]}}},Se.url=function(ae,ue){var X;if(X=this.rules.inline.url.exec(ae)){var J,k;if(X[2]==="@")J=f(this.options.mangle?ue(X[0]):X[0]),k="mailto:"+J;else{var z;do z=X[0],X[0]=this.rules.inline._backpedal.exec(X[0])[0];while(z!==X[0]);J=f(X[0]),X[1]==="www."?k="http://"+J:k=J}return{type:"link",raw:X[0],text:J,href:k,tokens:[{type:"text",raw:J,text:J}]}}},Se.inlineText=function(ae,ue){var X=this.rules.inline.text.exec(ae);if(X){var J;return this.lexer.state.inRawBlock?J=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(X[0]):f(X[0]):X[0]:J=f(this.options.smartypants?ue(X[0]):X[0]),{type:"text",raw:X[0],text:J}}},Ie}(),B={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:t,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};B._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,B._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,B.def=g(B.def).replace("label",B._label).replace("title",B._title).getRegex(),B.bullet=/(?:[*+-]|\d{1,9}[.)])/,B.listItemStart=g(/^( *)(bull) */).replace("bull",B.bullet).getRegex(),B.list=g(B.list).replace(/bull/g,B.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+B.def.source+")").getRegex(),B._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",B._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,B.html=g(B.html,"i").replace("comment",B._comment).replace("tag",B._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),B.paragraph=g(B._paragraph).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.blockquote=g(B.blockquote).replace("paragraph",B.paragraph).getRegex(),B.normal=l({},B),B.gfm=l({},B.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),B.gfm.table=g(B.gfm.table).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.gfm.paragraph=g(B._paragraph).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",B.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.pedantic=l({},B.normal,{html:g(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",B._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:t,paragraph:g(B.normal._paragraph).replace("hr",B.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",B.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var F={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:t,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:t,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};F._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",F.punctuation=g(F.punctuation).replace(/punctuation/g,F._punctuation).getRegex(),F.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,F.escapedEmSt=/\\\*|\\_/g,F._comment=g(B._comment).replace("(?:-->|$)","-->").getRegex(),F.emStrong.lDelim=g(F.emStrong.lDelim).replace(/punct/g,F._punctuation).getRegex(),F.emStrong.rDelimAst=g(F.emStrong.rDelimAst,"g").replace(/punct/g,F._punctuation).getRegex(),F.emStrong.rDelimUnd=g(F.emStrong.rDelimUnd,"g").replace(/punct/g,F._punctuation).getRegex(),F._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,F._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,F._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,F.autolink=g(F.autolink).replace("scheme",F._scheme).replace("email",F._email).getRegex(),F._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,F.tag=g(F.tag).replace("comment",F._comment).replace("attribute",F._attribute).getRegex(),F._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,F._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,F._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,F.link=g(F.link).replace("label",F._label).replace("href",F._href).replace("title",F._title).getRegex(),F.reflink=g(F.reflink).replace("label",F._label).replace("ref",B._label).getRegex(),F.nolink=g(F.nolink).replace("ref",B._label).getRegex(),F.reflinkSearch=g(F.reflinkSearch,"g").replace("reflink",F.reflink).replace("nolink",F.nolink).getRegex(),F.normal=l({},F),F.pedantic=l({},F.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:g(/^!?\[(label)\]\((.*?)\)/).replace("label",F._label).getRegex(),reflink:g(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",F._label).getRegex()}),F.gfm=l({},F.normal,{escape:g(F.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),F.gfm.url=g(F.gfm.url,"i").replace("email",F.gfm._extended_email).getRegex(),F.breaks=l({},F.gfm,{br:g(F.br).replace("{2,}","*").getRegex(),text:g(F.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function K(Ie){return Ie.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function H(Ie){var Se="",Te,ae,ue=Ie.length;for(Te=0;Te<ue;Te++)ae=Ie.charCodeAt(Te),Math.random()>.5&&(ae="x"+ae.toString(16)),Se+="&#"+ae+";";return Se}var O=function(){function Ie(Te){this.tokens=[],this.tokens.links=Object.create(null),this.options=Te||ie.defaults,this.options.tokenizer=this.options.tokenizer||new L,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var ae={block:B.normal,inline:F.normal};this.options.pedantic?(ae.block=B.pedantic,ae.inline=F.pedantic):this.options.gfm&&(ae.block=B.gfm,this.options.breaks?ae.inline=F.breaks:ae.inline=F.gfm),this.tokenizer.rules=ae}Ie.lex=function(ae,ue){var X=new Ie(ue);return X.lex(ae)},Ie.lexInline=function(ae,ue){var X=new Ie(ue);return X.inlineTokens(ae)};var Se=Ie.prototype;return Se.lex=function(ae){ae=ae.replace(/\r\n|\r/g,`
`),this.blockTokens(ae,this.tokens);for(var ue;ue=this.inlineQueue.shift();)this.inlineTokens(ue.src,ue.tokens);return this.tokens},Se.blockTokens=function(ae,ue){var X=this;ue===void 0&&(ue=[]),this.options.pedantic?ae=ae.replace(/\t/g,"    ").replace(/^ +$/gm,""):ae=ae.replace(/^( *)(\t+)/gm,function(se,de,Z){return de+"    ".repeat(Z.length)});for(var J,k,z,W;ae;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(se){return(J=se.call({lexer:X},ae,ue))?(ae=ae.substring(J.raw.length),ue.push(J),!0):!1}))){if(J=this.tokenizer.space(ae)){ae=ae.substring(J.raw.length),J.raw.length===1&&ue.length>0?ue[ue.length-1].raw+=`
`:ue.push(J);continue}if(J=this.tokenizer.code(ae)){ae=ae.substring(J.raw.length),k=ue[ue.length-1],k&&(k.type==="paragraph"||k.type==="text")?(k.raw+=`
`+J.raw,k.text+=`
`+J.text,this.inlineQueue[this.inlineQueue.length-1].src=k.text):ue.push(J);continue}if(J=this.tokenizer.fences(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.heading(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.hr(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.blockquote(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.list(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.html(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.def(ae)){ae=ae.substring(J.raw.length),k=ue[ue.length-1],k&&(k.type==="paragraph"||k.type==="text")?(k.raw+=`
`+J.raw,k.text+=`
`+J.raw,this.inlineQueue[this.inlineQueue.length-1].src=k.text):this.tokens.links[J.tag]||(this.tokens.links[J.tag]={href:J.href,title:J.title});continue}if(J=this.tokenizer.table(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.lheading(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(z=ae,this.options.extensions&&this.options.extensions.startBlock&&function(){var se=1/0,de=ae.slice(1),Z=void 0;X.options.extensions.startBlock.forEach(function(pe){Z=pe.call({lexer:this},de),typeof Z=="number"&&Z>=0&&(se=Math.min(se,Z))}),se<1/0&&se>=0&&(z=ae.substring(0,se+1))}(),this.state.top&&(J=this.tokenizer.paragraph(z))){k=ue[ue.length-1],W&&k.type==="paragraph"?(k.raw+=`
`+J.raw,k.text+=`
`+J.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=k.text):ue.push(J),W=z.length!==ae.length,ae=ae.substring(J.raw.length);continue}if(J=this.tokenizer.text(ae)){ae=ae.substring(J.raw.length),k=ue[ue.length-1],k&&k.type==="text"?(k.raw+=`
`+J.raw,k.text+=`
`+J.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=k.text):ue.push(J);continue}if(ae){var j="Infinite loop on byte: "+ae.charCodeAt(0);if(this.options.silent){console.error(j);break}else throw new Error(j)}}return this.state.top=!0,ue},Se.inline=function(ae,ue){this.inlineQueue.push({src:ae,tokens:ue})},Se.inlineTokens=function(ae,ue){var X=this;ue===void 0&&(ue=[]);var J,k,z,W=ae,j,se,de;if(this.tokens.links){var Z=Object.keys(this.tokens.links);if(Z.length>0)for(;(j=this.tokenizer.rules.inline.reflinkSearch.exec(W))!=null;)Z.includes(j[0].slice(j[0].lastIndexOf("[")+1,-1))&&(W=W.slice(0,j.index)+"["+V("a",j[0].length-2)+"]"+W.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(j=this.tokenizer.rules.inline.blockSkip.exec(W))!=null;)W=W.slice(0,j.index)+"["+V("a",j[0].length-2)+"]"+W.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(j=this.tokenizer.rules.inline.escapedEmSt.exec(W))!=null;)W=W.slice(0,j.index)+"++"+W.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;ae;)if(se||(de=""),se=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(ge){return(J=ge.call({lexer:X},ae,ue))?(ae=ae.substring(J.raw.length),ue.push(J),!0):!1}))){if(J=this.tokenizer.escape(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.tag(ae)){ae=ae.substring(J.raw.length),k=ue[ue.length-1],k&&J.type==="text"&&k.type==="text"?(k.raw+=J.raw,k.text+=J.text):ue.push(J);continue}if(J=this.tokenizer.link(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.reflink(ae,this.tokens.links)){ae=ae.substring(J.raw.length),k=ue[ue.length-1],k&&J.type==="text"&&k.type==="text"?(k.raw+=J.raw,k.text+=J.text):ue.push(J);continue}if(J=this.tokenizer.emStrong(ae,W,de)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.codespan(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.br(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.del(ae)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(J=this.tokenizer.autolink(ae,H)){ae=ae.substring(J.raw.length),ue.push(J);continue}if(!this.state.inLink&&(J=this.tokenizer.url(ae,H))){ae=ae.substring(J.raw.length),ue.push(J);continue}if(z=ae,this.options.extensions&&this.options.extensions.startInline&&function(){var ge=1/0,Ne=ae.slice(1),Be=void 0;X.options.extensions.startInline.forEach(function(Je){Be=Je.call({lexer:this},Ne),typeof Be=="number"&&Be>=0&&(ge=Math.min(ge,Be))}),ge<1/0&&ge>=0&&(z=ae.substring(0,ge+1))}(),J=this.tokenizer.inlineText(z,K)){ae=ae.substring(J.raw.length),J.raw.slice(-1)!=="_"&&(de=J.raw.slice(-1)),se=!0,k=ue[ue.length-1],k&&k.type==="text"?(k.raw+=J.raw,k.text+=J.text):ue.push(J);continue}if(ae){var pe="Infinite loop on byte: "+ae.charCodeAt(0);if(this.options.silent){console.error(pe);break}else throw new Error(pe)}}return ue},a(Ie,null,[{key:"rules",get:function(){return{block:B,inline:F}}}]),Ie}(),ee=function(){function Ie(Te){this.options=Te||ie.defaults}var Se=Ie.prototype;return Se.code=function(ae,ue,X){var J=(ue||"").match(/\S*/)[0];if(this.options.highlight){var k=this.options.highlight(ae,J);k!=null&&k!==ae&&(X=!0,ae=k)}return ae=ae.replace(/\n$/,"")+`
`,J?'<pre><code class="'+this.options.langPrefix+f(J,!0)+'">'+(X?ae:f(ae,!0))+`</code></pre>
`:"<pre><code>"+(X?ae:f(ae,!0))+`</code></pre>
`},Se.blockquote=function(ae){return`<blockquote>
`+ae+`</blockquote>
`},Se.html=function(ae){return ae},Se.heading=function(ae,ue,X,J){if(this.options.headerIds){var k=this.options.headerPrefix+J.slug(X);return"<h"+ue+' id="'+k+'">'+ae+"</h"+ue+`>
`}return"<h"+ue+">"+ae+"</h"+ue+`>
`},Se.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Se.list=function(ae,ue,X){var J=ue?"ol":"ul",k=ue&&X!==1?' start="'+X+'"':"";return"<"+J+k+`>
`+ae+"</"+J+`>
`},Se.listitem=function(ae){return"<li>"+ae+`</li>
`},Se.checkbox=function(ae){return"<input "+(ae?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Se.paragraph=function(ae){return"<p>"+ae+`</p>
`},Se.table=function(ae,ue){return ue&&(ue="<tbody>"+ue+"</tbody>"),`<table>
<thead>
`+ae+`</thead>
`+ue+`</table>
`},Se.tablerow=function(ae){return`<tr>
`+ae+`</tr>
`},Se.tablecell=function(ae,ue){var X=ue.header?"th":"td",J=ue.align?"<"+X+' align="'+ue.align+'">':"<"+X+">";return J+ae+("</"+X+`>
`)},Se.strong=function(ae){return"<strong>"+ae+"</strong>"},Se.em=function(ae){return"<em>"+ae+"</em>"},Se.codespan=function(ae){return"<code>"+ae+"</code>"},Se.br=function(){return this.options.xhtml?"<br/>":"<br>"},Se.del=function(ae){return"<del>"+ae+"</del>"},Se.link=function(ae,ue,X){if(ae=_(this.options.sanitize,this.options.baseUrl,ae),ae===null)return X;var J='<a href="'+f(ae)+'"';return ue&&(J+=' title="'+ue+'"'),J+=">"+X+"</a>",J},Se.image=function(ae,ue,X){if(ae=_(this.options.sanitize,this.options.baseUrl,ae),ae===null)return X;var J='<img src="'+ae+'" alt="'+X+'"';return ue&&(J+=' title="'+ue+'"'),J+=this.options.xhtml?"/>":">",J},Se.text=function(ae){return ae},Ie}(),ce=function(){function Ie(){}var Se=Ie.prototype;return Se.strong=function(ae){return ae},Se.em=function(ae){return ae},Se.codespan=function(ae){return ae},Se.del=function(ae){return ae},Se.html=function(ae){return ae},Se.text=function(ae){return ae},Se.link=function(ae,ue,X){return""+X},Se.image=function(ae,ue,X){return""+X},Se.br=function(){return""},Ie}(),oe=function(){function Ie(){this.seen={}}var Se=Ie.prototype;return Se.serialize=function(ae){return ae.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Se.getNextSafeSlug=function(ae,ue){var X=ae,J=0;if(this.seen.hasOwnProperty(X)){J=this.seen[ae];do J++,X=ae+"-"+J;while(this.seen.hasOwnProperty(X))}return ue||(this.seen[ae]=J,this.seen[X]=0),X},Se.slug=function(ae,ue){ue===void 0&&(ue={});var X=this.serialize(ae);return this.getNextSafeSlug(X,ue.dryrun)},Ie}(),le=function(){function Ie(Te){this.options=Te||ie.defaults,this.options.renderer=this.options.renderer||new ee,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ce,this.slugger=new oe}Ie.parse=function(ae,ue){var X=new Ie(ue);return X.parse(ae)},Ie.parseInline=function(ae,ue){var X=new Ie(ue);return X.parseInline(ae)};var Se=Ie.prototype;return Se.parse=function(ae,ue){ue===void 0&&(ue=!0);var X="",J,k,z,W,j,se,de,Z,pe,ge,Ne,Be,Je,Ge,ke,rt,G,Q,fe,Ue=ae.length;for(J=0;J<Ue;J++){if(ge=ae[J],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ge.type]&&(fe=this.options.extensions.renderers[ge.type].call({parser:this},ge),fe!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(ge.type))){X+=fe||"";continue}switch(ge.type){case"space":continue;case"hr":{X+=this.renderer.hr();continue}case"heading":{X+=this.renderer.heading(this.parseInline(ge.tokens),ge.depth,d(this.parseInline(ge.tokens,this.textRenderer)),this.slugger);continue}case"code":{X+=this.renderer.code(ge.text,ge.lang,ge.escaped);continue}case"table":{for(Z="",de="",W=ge.header.length,k=0;k<W;k++)de+=this.renderer.tablecell(this.parseInline(ge.header[k].tokens),{header:!0,align:ge.align[k]});for(Z+=this.renderer.tablerow(de),pe="",W=ge.rows.length,k=0;k<W;k++){for(se=ge.rows[k],de="",j=se.length,z=0;z<j;z++)de+=this.renderer.tablecell(this.parseInline(se[z].tokens),{header:!1,align:ge.align[z]});pe+=this.renderer.tablerow(de)}X+=this.renderer.table(Z,pe);continue}case"blockquote":{pe=this.parse(ge.tokens),X+=this.renderer.blockquote(pe);continue}case"list":{for(Ne=ge.ordered,Be=ge.start,Je=ge.loose,W=ge.items.length,pe="",k=0;k<W;k++)ke=ge.items[k],rt=ke.checked,G=ke.task,Ge="",ke.task&&(Q=this.renderer.checkbox(rt),Je?ke.tokens.length>0&&ke.tokens[0].type==="paragraph"?(ke.tokens[0].text=Q+" "+ke.tokens[0].text,ke.tokens[0].tokens&&ke.tokens[0].tokens.length>0&&ke.tokens[0].tokens[0].type==="text"&&(ke.tokens[0].tokens[0].text=Q+" "+ke.tokens[0].tokens[0].text)):ke.tokens.unshift({type:"text",text:Q}):Ge+=Q),Ge+=this.parse(ke.tokens,Je),pe+=this.renderer.listitem(Ge,G,rt);X+=this.renderer.list(pe,Ne,Be);continue}case"html":{X+=this.renderer.html(ge.text);continue}case"paragraph":{X+=this.renderer.paragraph(this.parseInline(ge.tokens));continue}case"text":{for(pe=ge.tokens?this.parseInline(ge.tokens):ge.text;J+1<Ue&&ae[J+1].type==="text";)ge=ae[++J],pe+=`
`+(ge.tokens?this.parseInline(ge.tokens):ge.text);X+=ue?this.renderer.paragraph(pe):pe;continue}default:{var He='Token with "'+ge.type+'" type was not found.';if(this.options.silent){console.error(He);return}else throw new Error(He)}}}return X},Se.parseInline=function(ae,ue){ue=ue||this.renderer;var X="",J,k,z,W=ae.length;for(J=0;J<W;J++){if(k=ae[J],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[k.type]&&(z=this.options.extensions.renderers[k.type].call({parser:this},k),z!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(k.type))){X+=z||"";continue}switch(k.type){case"escape":{X+=ue.text(k.text);break}case"html":{X+=ue.html(k.text);break}case"link":{X+=ue.link(k.href,k.title,this.parseInline(k.tokens,ue));break}case"image":{X+=ue.image(k.href,k.title,k.text);break}case"strong":{X+=ue.strong(this.parseInline(k.tokens,ue));break}case"em":{X+=ue.em(this.parseInline(k.tokens,ue));break}case"codespan":{X+=ue.codespan(k.text);break}case"br":{X+=ue.br();break}case"del":{X+=ue.del(this.parseInline(k.tokens,ue));break}case"text":{X+=ue.text(k.text);break}default:{var j='Token with "'+k.type+'" type was not found.';if(this.options.silent){console.error(j);return}else throw new Error(j)}}}return X},Ie}();function te(Ie,Se,Te){if(typeof Ie=="undefined"||Ie===null)throw new Error("marked(): input parameter is undefined or null");if(typeof Ie!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(Ie)+", string expected");if(typeof Se=="function"&&(Te=Se,Se=null),Se=l({},te.defaults,Se||{}),U(Se),Te){var ae=Se.highlight,ue;try{ue=O.lex(Ie,Se)}catch(z){return Te(z)}var X=function(W){var j;if(!W)try{Se.walkTokens&&te.walkTokens(ue,Se.walkTokens),j=le.parse(ue,Se)}catch(se){W=se}return Se.highlight=ae,W?Te(W):Te(null,j)};if(!ae||ae.length<3||(delete Se.highlight,!ue.length))return X();var J=0;te.walkTokens(ue,function(z){z.type==="code"&&(J++,setTimeout(function(){ae(z.text,z.lang,function(W,j){if(W)return X(W);j!=null&&j!==z.text&&(z.text=j,z.escaped=!0),J--,J===0&&X()})},0))}),J===0&&X();return}try{var k=O.lex(Ie,Se);return Se.walkTokens&&te.walkTokens(k,Se.walkTokens),le.parse(k,Se)}catch(z){if(z.message+=`
Please report this to https://github.com/markedjs/marked.`,Se.silent)return"<p>An error occurred:</p><pre>"+f(z.message+"",!0)+"</pre>";throw z}}te.options=te.setOptions=function(Ie){return l(te.defaults,Ie),P(te.defaults),te},te.getDefaults=y,te.defaults=ie.defaults,te.use=function(){for(var Ie=arguments.length,Se=new Array(Ie),Te=0;Te<Ie;Te++)Se[Te]=arguments[Te];var ae=l.apply(void 0,[{}].concat(Se)),ue=te.defaults.extensions||{renderers:{},childTokens:{}},X;Se.forEach(function(J){if(J.extensions&&(X=!0,J.extensions.forEach(function(z){if(!z.name)throw new Error("extension name required");if(z.renderer){var W=ue.renderers?ue.renderers[z.name]:null;W?ue.renderers[z.name]=function(){for(var j=arguments.length,se=new Array(j),de=0;de<j;de++)se[de]=arguments[de];var Z=z.renderer.apply(this,se);return Z===!1&&(Z=W.apply(this,se)),Z}:ue.renderers[z.name]=z.renderer}if(z.tokenizer){if(!z.level||z.level!=="block"&&z.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");ue[z.level]?ue[z.level].unshift(z.tokenizer):ue[z.level]=[z.tokenizer],z.start&&(z.level==="block"?ue.startBlock?ue.startBlock.push(z.start):ue.startBlock=[z.start]:z.level==="inline"&&(ue.startInline?ue.startInline.push(z.start):ue.startInline=[z.start]))}z.childTokens&&(ue.childTokens[z.name]=z.childTokens)})),J.renderer&&function(){var z=te.defaults.renderer||new ee,W=function(de){var Z=z[de];z[de]=function(){for(var pe=arguments.length,ge=new Array(pe),Ne=0;Ne<pe;Ne++)ge[Ne]=arguments[Ne];var Be=J.renderer[de].apply(z,ge);return Be===!1&&(Be=Z.apply(z,ge)),Be}};for(var j in J.renderer)W(j);ae.renderer=z}(),J.tokenizer&&function(){var z=te.defaults.tokenizer||new L,W=function(de){var Z=z[de];z[de]=function(){for(var pe=arguments.length,ge=new Array(pe),Ne=0;Ne<pe;Ne++)ge[Ne]=arguments[Ne];var Be=J.tokenizer[de].apply(z,ge);return Be===!1&&(Be=Z.apply(z,ge)),Be}};for(var j in J.tokenizer)W(j);ae.tokenizer=z}(),J.walkTokens){var k=te.defaults.walkTokens;ae.walkTokens=function(z){J.walkTokens.call(this,z),k&&k.call(this,z)}}X&&(ae.extensions=ue),te.setOptions(ae)})},te.walkTokens=function(Ie,Se){for(var Te=function(){var J=ue.value;switch(Se.call(te,J),J.type){case"table":{for(var k=M(J.header),z;!(z=k()).done;){var W=z.value;te.walkTokens(W.tokens,Se)}for(var j=M(J.rows),se;!(se=j()).done;)for(var de=se.value,Z=M(de),pe;!(pe=Z()).done;){var ge=pe.value;te.walkTokens(ge.tokens,Se)}break}case"list":{te.walkTokens(J.items,Se);break}default:te.defaults.extensions&&te.defaults.extensions.childTokens&&te.defaults.extensions.childTokens[J.type]?te.defaults.extensions.childTokens[J.type].forEach(function(Ne){te.walkTokens(J[Ne],Se)}):J.tokens&&te.walkTokens(J.tokens,Se)}},ae=M(Ie),ue;!(ue=ae()).done;)Te()},te.parseInline=function(Ie,Se){if(typeof Ie=="undefined"||Ie===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof Ie!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(Ie)+", string expected");Se=l({},te.defaults,Se||{}),U(Se);try{var Te=O.lexInline(Ie,Se);return Se.walkTokens&&te.walkTokens(Te,Se.walkTokens),le.parseInline(Te,Se)}catch(ae){if(ae.message+=`
Please report this to https://github.com/markedjs/marked.`,Se.silent)return"<p>An error occurred:</p><pre>"+f(ae.message+"",!0)+"</pre>";throw ae}},te.Parser=le,te.parser=le.parse,te.Renderer=ee,te.TextRenderer=ce,te.Lexer=O,te.lexer=O.lex,te.Tokenizer=L,te.Slugger=oe,te.parse=te;var Ee=te.options,be=te.setOptions,ne=te.use,ve=te.walkTokens,Pe=te.parseInline,Fe=te,xe=le.parse,Qe=O.lex;ie.Lexer=O,ie.Parser=le,ie.Renderer=ee,ie.Slugger=oe,ie.TextRenderer=ce,ie.Tokenizer=L,ie.getDefaults=y,ie.lexer=Qe,ie.marked=te,ie.options=Ee,ie.parse=Fe,ie.parseInline=Pe,ie.parser=xe,ie.setOptions=be,ie.use=ne,ie.walkTokens=ve,Object.defineProperty(ie,"__esModule",{value:!0})}),define(ye[108],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function a(P,E,T){return Math.min(Math.max(P,E),T)}e.clamp=a;function v(P,E){return(E+P%E)%E}e.rot=v;class b{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=b;class M{constructor(){this._n=1,this._val=0}update(E){return this._val=this._val+(E-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}e.MovingAverage=M;class y{constructor(E){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(E),this._values.fill(0,0,E)}update(E){const T=this._values[this._index];return this._values[this._index]=E,this._index=(this._index+1)%this._values.length,this._sum-=T,this._sum+=E,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}e.SlidingWindowAverage=y}),function(){function ie(b){const M=[];typeof b=="number"&&M.push("code/timeOrigin",b);function y(E){M.push(E,Date.now())}function P(){const E=[];for(let T=0;T<M.length;T+=2)E.push({name:M[T],startTime:M[T+1]});return E}return{mark:y,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?ie():{mark(b){performance.mark(b)},getMarks(){let b=performance.timeOrigin;typeof b!="number"&&(b=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const M=[{name:"code/timeOrigin",startTime:Math.round(b)}];for(const y of performance.getEntriesByType("mark"))M.push({name:y.name,startTime:Math.round(b+y.startTime)});return M}};if(typeof process=="object"){const b=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return ie(b)}else return console.trace("perf-util loaded in UNKNOWN environment"),ie()}function a(b){return b.MonacoPerformanceMarks||(b.MonacoPerformanceMarks=e()),b.MonacoPerformanceMarks}var v;typeof global=="object"?v=global:typeof self=="object"?v=self:v={},typeof define=="function"?define("vs/base/common/performance",[],function(){return a(v)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=a(v):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),v.perf=a(v))}(),function(ie,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var a=e();for(var v in a)(typeof exports=="object"?exports:ie)[v]=a[v]}}(typeof self!="undefined"?self:this,function(){return function(ie){var e={};function a(v){if(e[v])return e[v].exports;var b=e[v]={i:v,l:!1,exports:{}};return ie[v].call(b.exports,b,b.exports,a),b.l=!0,b.exports}return a.m=ie,a.c=e,a.d=function(v,b,M){a.o(v,b)||Object.defineProperty(v,b,{enumerable:!0,get:M})},a.r=function(v){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(v,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(v,"__esModule",{value:!0})},a.t=function(v,b){if(1&b&&(v=a(v)),8&b||4&b&&typeof v=="object"&&v&&v.__esModule)return v;var M=Object.create(null);if(a.r(M),Object.defineProperty(M,"default",{enumerable:!0,value:v}),2&b&&typeof v!="string")for(var y in v)a.d(M,y,function(P){return v[P]}.bind(null,y));return M},a.n=function(v){var b=v&&v.__esModule?function(){return v.default}:function(){return v};return a.d(b,"a",b),b},a.o=function(v,b){return Object.prototype.hasOwnProperty.call(v,b)},a.p="",a(a.s=0)}([function(ie,e,a){(function(v){var b;e=ie.exports=ne,b=typeof v=="object"&&v.env&&v.env.NODE_DEBUG&&/\bsemver\b/i.test(v.env.NODE_DEBUG)?function(){var Z=Array.prototype.slice.call(arguments,0);Z.unshift("SEMVER"),console.log.apply(console,Z)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var M=256,y=Number.MAX_SAFE_INTEGER||9007199254740991,P=e.re=[],E=e.src=[],T=0,R=T++;E[R]="0|[1-9]\\d*";var S=T++;E[S]="[0-9]+";var m=T++;E[m]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var I=T++;E[I]="("+E[R]+")\\.("+E[R]+")\\.("+E[R]+")";var f=T++;E[f]="("+E[S]+")\\.("+E[S]+")\\.("+E[S]+")";var h=T++;E[h]="(?:"+E[R]+"|"+E[m]+")";var d=T++;E[d]="(?:"+E[S]+"|"+E[m]+")";var o=T++;E[o]="(?:-("+E[h]+"(?:\\."+E[h]+")*))";var g=T++;E[g]="(?:-?("+E[d]+"(?:\\."+E[d]+")*))";var A=T++;E[A]="[0-9A-Za-z-]+";var c=T++;E[c]="(?:\\+("+E[A]+"(?:\\."+E[A]+")*))";var _=T++,s="v?"+E[I]+E[o]+"?"+E[c]+"?";E[_]="^"+s+"$";var u="[v=\\s]*"+E[f]+E[g]+"?"+E[c]+"?",i=T++;E[i]="^"+u+"$";var n=T++;E[n]="((?:<|>)?=?)";var r=T++;E[r]=E[S]+"|x|X|\\*";var t=T++;E[t]=E[R]+"|x|X|\\*";var l=T++;E[l]="[v=\\s]*("+E[t]+")(?:\\.("+E[t]+")(?:\\.("+E[t]+")(?:"+E[o]+")?"+E[c]+"?)?)?";var w=T++;E[w]="[v=\\s]*("+E[r]+")(?:\\.("+E[r]+")(?:\\.("+E[r]+")(?:"+E[g]+")?"+E[c]+"?)?)?";var p=T++;E[p]="^"+E[n]+"\\s*"+E[l]+"$";var D=T++;E[D]="^"+E[n]+"\\s*"+E[w]+"$";var U=T++;E[U]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var V=T++;E[V]="(?:~>?)";var x=T++;E[x]="(\\s*)"+E[V]+"\\s+",P[x]=new RegExp(E[x],"g");var C=T++;E[C]="^"+E[V]+E[l]+"$";var L=T++;E[L]="^"+E[V]+E[w]+"$";var B=T++;E[B]="(?:\\^)";var F=T++;E[F]="(\\s*)"+E[B]+"\\s+",P[F]=new RegExp(E[F],"g");var K=T++;E[K]="^"+E[B]+E[l]+"$";var H=T++;E[H]="^"+E[B]+E[w]+"$";var O=T++;E[O]="^"+E[n]+"\\s*("+u+")$|^$";var ee=T++;E[ee]="^"+E[n]+"\\s*("+s+")$|^$";var ce=T++;E[ce]="(\\s*)"+E[n]+"\\s*("+u+"|"+E[l]+")",P[ce]=new RegExp(E[ce],"g");var oe=T++;E[oe]="^\\s*("+E[l]+")\\s+-\\s+("+E[l]+")\\s*$";var le=T++;E[le]="^\\s*("+E[w]+")\\s+-\\s+("+E[w]+")\\s*$";var te=T++;E[te]="(<|>)?=?\\s*\\*";for(var Ee=0;Ee<35;Ee++)b(Ee,E[Ee]),P[Ee]||(P[Ee]=new RegExp(E[Ee]));function be(Z,pe){if(Z instanceof ne)return Z;if(typeof Z!="string"||Z.length>M||!(pe?P[i]:P[_]).test(Z))return null;try{return new ne(Z,pe)}catch{return null}}function ne(Z,pe){if(Z instanceof ne){if(Z.loose===pe)return Z;Z=Z.version}else if(typeof Z!="string")throw new TypeError("Invalid Version: "+Z);if(Z.length>M)throw new TypeError("version is longer than "+M+" characters");if(!(this instanceof ne))return new ne(Z,pe);b("SemVer",Z,pe),this.loose=pe;var ge=Z.trim().match(pe?P[i]:P[_]);if(!ge)throw new TypeError("Invalid Version: "+Z);if(this.raw=Z,this.major=+ge[1],this.minor=+ge[2],this.patch=+ge[3],this.major>y||this.major<0)throw new TypeError("Invalid major version");if(this.minor>y||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>y||this.patch<0)throw new TypeError("Invalid patch version");ge[4]?this.prerelease=ge[4].split(".").map(function(Ne){if(/^[0-9]+$/.test(Ne)){var Be=+Ne;if(Be>=0&&Be<y)return Be}return Ne}):this.prerelease=[],this.build=ge[5]?ge[5].split("."):[],this.format()}e.parse=be,e.valid=function(Z,pe){var ge=be(Z,pe);return ge?ge.version:null},e.clean=function(Z,pe){var ge=be(Z.trim().replace(/^[=v]+/,""),pe);return ge?ge.version:null},e.SemVer=ne,ne.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},ne.prototype.toString=function(){return this.version},ne.prototype.compare=function(Z){return b("SemVer.compare",this.version,this.loose,Z),Z instanceof ne||(Z=new ne(Z,this.loose)),this.compareMain(Z)||this.comparePre(Z)},ne.prototype.compareMain=function(Z){return Z instanceof ne||(Z=new ne(Z,this.loose)),Pe(this.major,Z.major)||Pe(this.minor,Z.minor)||Pe(this.patch,Z.patch)},ne.prototype.comparePre=function(Z){if(Z instanceof ne||(Z=new ne(Z,this.loose)),this.prerelease.length&&!Z.prerelease.length)return-1;if(!this.prerelease.length&&Z.prerelease.length)return 1;if(!this.prerelease.length&&!Z.prerelease.length)return 0;var pe=0;do{var ge=this.prerelease[pe],Ne=Z.prerelease[pe];if(b("prerelease compare",pe,ge,Ne),ge===void 0&&Ne===void 0)return 0;if(Ne===void 0)return 1;if(ge===void 0)return-1;if(ge!==Ne)return Pe(ge,Ne)}while(++pe)},ne.prototype.inc=function(Z,pe){switch(Z){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",pe);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",pe);break;case"prepatch":this.prerelease.length=0,this.inc("patch",pe),this.inc("pre",pe);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",pe),this.inc("pre",pe);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var ge=this.prerelease.length;--ge>=0;)typeof this.prerelease[ge]=="number"&&(this.prerelease[ge]++,ge=-2);ge===-1&&this.prerelease.push(0)}pe&&(this.prerelease[0]===pe?isNaN(this.prerelease[1])&&(this.prerelease=[pe,0]):this.prerelease=[pe,0]);break;default:throw new Error("invalid increment argument: "+Z)}return this.format(),this.raw=this.version,this},e.inc=function(Z,pe,ge,Ne){typeof ge=="string"&&(Ne=ge,ge=void 0);try{return new ne(Z,ge).inc(pe,Ne).version}catch{return null}},e.diff=function(Z,pe){if(Ie(Z,pe))return null;var ge=be(Z),Ne=be(pe);if(ge.prerelease.length||Ne.prerelease.length){for(var Be in ge)if((Be==="major"||Be==="minor"||Be==="patch")&&ge[Be]!==Ne[Be])return"pre"+Be;return"prerelease"}for(var Be in ge)if((Be==="major"||Be==="minor"||Be==="patch")&&ge[Be]!==Ne[Be])return Be},e.compareIdentifiers=Pe;var ve=/^[0-9]+$/;function Pe(Z,pe){var ge=ve.test(Z),Ne=ve.test(pe);return ge&&Ne&&(Z=+Z,pe=+pe),ge&&!Ne?-1:Ne&&!ge?1:Z<pe?-1:Z>pe?1:0}function Fe(Z,pe,ge){return new ne(Z,ge).compare(new ne(pe,ge))}function xe(Z,pe,ge){return Fe(Z,pe,ge)>0}function Qe(Z,pe,ge){return Fe(Z,pe,ge)<0}function Ie(Z,pe,ge){return Fe(Z,pe,ge)===0}function Se(Z,pe,ge){return Fe(Z,pe,ge)!==0}function Te(Z,pe,ge){return Fe(Z,pe,ge)>=0}function ae(Z,pe,ge){return Fe(Z,pe,ge)<=0}function ue(Z,pe,ge,Ne){var Be;switch(pe){case"===":typeof Z=="object"&&(Z=Z.version),typeof ge=="object"&&(ge=ge.version),Be=Z===ge;break;case"!==":typeof Z=="object"&&(Z=Z.version),typeof ge=="object"&&(ge=ge.version),Be=Z!==ge;break;case"":case"=":case"==":Be=Ie(Z,ge,Ne);break;case"!=":Be=Se(Z,ge,Ne);break;case">":Be=xe(Z,ge,Ne);break;case">=":Be=Te(Z,ge,Ne);break;case"<":Be=Qe(Z,ge,Ne);break;case"<=":Be=ae(Z,ge,Ne);break;default:throw new TypeError("Invalid operator: "+pe)}return Be}function X(Z,pe){if(Z instanceof X){if(Z.loose===pe)return Z;Z=Z.value}if(!(this instanceof X))return new X(Z,pe);b("comparator",Z,pe),this.loose=pe,this.parse(Z),this.semver===J?this.value="":this.value=this.operator+this.semver.version,b("comp",this)}e.rcompareIdentifiers=function(Z,pe){return Pe(pe,Z)},e.major=function(Z,pe){return new ne(Z,pe).major},e.minor=function(Z,pe){return new ne(Z,pe).minor},e.patch=function(Z,pe){return new ne(Z,pe).patch},e.compare=Fe,e.compareLoose=function(Z,pe){return Fe(Z,pe,!0)},e.rcompare=function(Z,pe,ge){return Fe(pe,Z,ge)},e.sort=function(Z,pe){return Z.sort(function(ge,Ne){return e.compare(ge,Ne,pe)})},e.rsort=function(Z,pe){return Z.sort(function(ge,Ne){return e.rcompare(ge,Ne,pe)})},e.gt=xe,e.lt=Qe,e.eq=Ie,e.neq=Se,e.gte=Te,e.lte=ae,e.cmp=ue,e.Comparator=X;var J={};function k(Z,pe){if(Z instanceof k)return Z.loose===pe?Z:new k(Z.raw,pe);if(Z instanceof X)return new k(Z.value,pe);if(!(this instanceof k))return new k(Z,pe);if(this.loose=pe,this.raw=Z,this.set=Z.split(/\s*\|\|\s*/).map(function(ge){return this.parseRange(ge.trim())},this).filter(function(ge){return ge.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+Z);this.format()}function z(Z){return!Z||Z.toLowerCase()==="x"||Z==="*"}function W(Z,pe,ge,Ne,Be,Je,Ge,ke,rt,G,Q,fe,Ue){return((pe=z(ge)?"":z(Ne)?">="+ge+".0.0":z(Be)?">="+ge+"."+Ne+".0":">="+pe)+" "+(ke=z(rt)?"":z(G)?"<"+(+rt+1)+".0.0":z(Q)?"<"+rt+"."+(+G+1)+".0":fe?"<="+rt+"."+G+"."+Q+"-"+fe:"<="+ke)).trim()}function j(Z,pe){for(var ge=0;ge<Z.length;ge++)if(!Z[ge].test(pe))return!1;if(pe.prerelease.length){for(ge=0;ge<Z.length;ge++)if(b(Z[ge].semver),Z[ge].semver!==J&&Z[ge].semver.prerelease.length>0){var Ne=Z[ge].semver;if(Ne.major===pe.major&&Ne.minor===pe.minor&&Ne.patch===pe.patch)return!0}return!1}return!0}function se(Z,pe,ge){try{pe=new k(pe,ge)}catch{return!1}return pe.test(Z)}function de(Z,pe,ge,Ne){var Be,Je,Ge,ke,rt;switch(Z=new ne(Z,Ne),pe=new k(pe,Ne),ge){case">":Be=xe,Je=ae,Ge=Qe,ke=">",rt=">=";break;case"<":Be=Qe,Je=Te,Ge=xe,ke="<",rt="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(se(Z,pe,Ne))return!1;for(var G=0;G<pe.set.length;++G){var Q=pe.set[G],fe=null,Ue=null;if(Q.forEach(function(He){He.semver===J&&(He=new X(">=0.0.0")),fe=fe||He,Ue=Ue||He,Be(He.semver,fe.semver,Ne)?fe=He:Ge(He.semver,Ue.semver,Ne)&&(Ue=He)}),fe.operator===ke||fe.operator===rt||(!Ue.operator||Ue.operator===ke)&&Je(Z,Ue.semver)||Ue.operator===rt&&Ge(Z,Ue.semver))return!1}return!0}X.prototype.parse=function(Z){var pe=this.loose?P[O]:P[ee],ge=Z.match(pe);if(!ge)throw new TypeError("Invalid comparator: "+Z);this.operator=ge[1],this.operator==="="&&(this.operator=""),ge[2]?this.semver=new ne(ge[2],this.loose):this.semver=J},X.prototype.toString=function(){return this.value},X.prototype.test=function(Z){return b("Comparator.test",Z,this.loose),this.semver===J||(typeof Z=="string"&&(Z=new ne(Z,this.loose)),ue(Z,this.operator,this.semver,this.loose))},X.prototype.intersects=function(Z,pe){if(!(Z instanceof X))throw new TypeError("a Comparator is required");var ge;if(this.operator==="")return ge=new k(Z.value,pe),se(this.value,ge,pe);if(Z.operator==="")return ge=new k(this.value,pe),se(Z.semver,ge,pe);var Ne=!(this.operator!==">="&&this.operator!==">"||Z.operator!==">="&&Z.operator!==">"),Be=!(this.operator!=="<="&&this.operator!=="<"||Z.operator!=="<="&&Z.operator!=="<"),Je=this.semver.version===Z.semver.version,Ge=!(this.operator!==">="&&this.operator!=="<="||Z.operator!==">="&&Z.operator!=="<="),ke=ue(this.semver,"<",Z.semver,pe)&&(this.operator===">="||this.operator===">")&&(Z.operator==="<="||Z.operator==="<"),rt=ue(this.semver,">",Z.semver,pe)&&(this.operator==="<="||this.operator==="<")&&(Z.operator===">="||Z.operator===">");return Ne||Be||Je&&Ge||ke||rt},e.Range=k,k.prototype.format=function(){return this.range=this.set.map(function(Z){return Z.join(" ").trim()}).join("||").trim(),this.range},k.prototype.toString=function(){return this.range},k.prototype.parseRange=function(Z){var pe=this.loose;Z=Z.trim(),b("range",Z,pe);var ge=pe?P[le]:P[oe];Z=Z.replace(ge,W),b("hyphen replace",Z),Z=Z.replace(P[ce],"$1$2$3"),b("comparator trim",Z,P[ce]),Z=(Z=(Z=Z.replace(P[x],"$1~")).replace(P[F],"$1^")).split(/\s+/).join(" ");var Ne=pe?P[O]:P[ee],Be=Z.split(" ").map(function(Je){return function(Ge,ke){return b("comp",Ge),Ge=function(rt,G){return rt.trim().split(/\s+/).map(function(Q){return function(fe,Ue){b("caret",fe,Ue);var He=Ue?P[H]:P[K];return fe.replace(He,function(Ze,qe,We,nt,ot){var ht;return b("caret",fe,Ze,qe,We,nt,ot),z(qe)?ht="":z(We)?ht=">="+qe+".0.0 <"+(+qe+1)+".0.0":z(nt)?ht=qe==="0"?">="+qe+"."+We+".0 <"+qe+"."+(+We+1)+".0":">="+qe+"."+We+".0 <"+(+qe+1)+".0.0":ot?(b("replaceCaret pr",ot),ot.charAt(0)!=="-"&&(ot="-"+ot),ht=qe==="0"?We==="0"?">="+qe+"."+We+"."+nt+ot+" <"+qe+"."+We+"."+(+nt+1):">="+qe+"."+We+"."+nt+ot+" <"+qe+"."+(+We+1)+".0":">="+qe+"."+We+"."+nt+ot+" <"+(+qe+1)+".0.0"):(b("no pr"),ht=qe==="0"?We==="0"?">="+qe+"."+We+"."+nt+" <"+qe+"."+We+"."+(+nt+1):">="+qe+"."+We+"."+nt+" <"+qe+"."+(+We+1)+".0":">="+qe+"."+We+"."+nt+" <"+(+qe+1)+".0.0"),b("caret return",ht),ht})}(Q,G)}).join(" ")}(Ge,ke),b("caret",Ge),Ge=function(rt,G){return rt.trim().split(/\s+/).map(function(Q){return function(fe,Ue){var He=Ue?P[L]:P[C];return fe.replace(He,function(Ze,qe,We,nt,ot){var ht;return b("tilde",fe,Ze,qe,We,nt,ot),z(qe)?ht="":z(We)?ht=">="+qe+".0.0 <"+(+qe+1)+".0.0":z(nt)?ht=">="+qe+"."+We+".0 <"+qe+"."+(+We+1)+".0":ot?(b("replaceTilde pr",ot),ot.charAt(0)!=="-"&&(ot="-"+ot),ht=">="+qe+"."+We+"."+nt+ot+" <"+qe+"."+(+We+1)+".0"):ht=">="+qe+"."+We+"."+nt+" <"+qe+"."+(+We+1)+".0",b("tilde return",ht),ht})}(Q,G)}).join(" ")}(Ge,ke),b("tildes",Ge),Ge=function(rt,G){return b("replaceXRanges",rt,G),rt.split(/\s+/).map(function(Q){return function(fe,Ue){fe=fe.trim();var He=Ue?P[D]:P[p];return fe.replace(He,function(Ze,qe,We,nt,ot,ht){b("xRange",fe,Ze,qe,We,nt,ot,ht);var Tt=z(We),it=Tt||z(nt),dt=it||z(ot);return qe==="="&&dt&&(qe=""),Tt?Ze=qe===">"||qe==="<"?"<0.0.0":"*":qe&&dt?(it&&(nt=0),dt&&(ot=0),qe===">"?(qe=">=",it?(We=+We+1,nt=0,ot=0):dt&&(nt=+nt+1,ot=0)):qe==="<="&&(qe="<",it?We=+We+1:nt=+nt+1),Ze=qe+We+"."+nt+"."+ot):it?Ze=">="+We+".0.0 <"+(+We+1)+".0.0":dt&&(Ze=">="+We+"."+nt+".0 <"+We+"."+(+nt+1)+".0"),b("xRange return",Ze),Ze})}(Q,G)}).join(" ")}(Ge,ke),b("xrange",Ge),Ge=function(rt,G){return b("replaceStars",rt,G),rt.trim().replace(P[te],"")}(Ge,ke),b("stars",Ge),Ge}(Je,pe)}).join(" ").split(/\s+/);return this.loose&&(Be=Be.filter(function(Je){return!!Je.match(Ne)})),Be=Be.map(function(Je){return new X(Je,pe)})},k.prototype.intersects=function(Z,pe){if(!(Z instanceof k))throw new TypeError("a Range is required");return this.set.some(function(ge){return ge.every(function(Ne){return Z.set.some(function(Be){return Be.every(function(Je){return Ne.intersects(Je,pe)})})})})},e.toComparators=function(Z,pe){return new k(Z,pe).set.map(function(ge){return ge.map(function(Ne){return Ne.value}).join(" ").trim().split(" ")})},k.prototype.test=function(Z){if(!Z)return!1;typeof Z=="string"&&(Z=new ne(Z,this.loose));for(var pe=0;pe<this.set.length;pe++)if(j(this.set[pe],Z))return!0;return!1},e.satisfies=se,e.maxSatisfying=function(Z,pe,ge){var Ne=null,Be=null;try{var Je=new k(pe,ge)}catch{return null}return Z.forEach(function(Ge){Je.test(Ge)&&(Ne&&Be.compare(Ge)!==-1||(Be=new ne(Ne=Ge,ge)))}),Ne},e.minSatisfying=function(Z,pe,ge){var Ne=null,Be=null;try{var Je=new k(pe,ge)}catch{return null}return Z.forEach(function(Ge){Je.test(Ge)&&(Ne&&Be.compare(Ge)!==1||(Be=new ne(Ne=Ge,ge)))}),Ne},e.validRange=function(Z,pe){try{return new k(Z,pe).range||"*"}catch{return null}},e.ltr=function(Z,pe,ge){return de(Z,pe,"<",ge)},e.gtr=function(Z,pe,ge){return de(Z,pe,">",ge)},e.outside=de,e.prerelease=function(Z,pe){var ge=be(Z,pe);return ge&&ge.prerelease.length?ge.prerelease:null},e.intersects=function(Z,pe,ge){return Z=new k(Z,ge),pe=new k(pe,ge),Z.intersects(pe)},e.coerce=function(Z){if(Z instanceof ne)return Z;if(typeof Z!="string")return null;var pe=Z.match(P[U]);return pe==null?null:be((pe[1]||"0")+"."+(pe[2]||"0")+"."+(pe[3]||"0"))}}).call(this,a(1))},function(ie,e){var a,v,b=ie.exports={};function M(){throw new Error("setTimeout has not been defined")}function y(){throw new Error("clearTimeout has not been defined")}function P(d){if(a===setTimeout)return setTimeout(d,0);if((a===M||!a)&&setTimeout)return a=setTimeout,setTimeout(d,0);try{return a(d,0)}catch{try{return a.call(null,d,0)}catch{return a.call(this,d,0)}}}(function(){try{a=typeof setTimeout=="function"?setTimeout:M}catch{a=M}try{v=typeof clearTimeout=="function"?clearTimeout:y}catch{v=y}})();var E,T=[],R=!1,S=-1;function m(){R&&E&&(R=!1,E.length?T=E.concat(T):S=-1,T.length&&I())}function I(){if(!R){var d=P(m);R=!0;for(var o=T.length;o;){for(E=T,T=[];++S<o;)E&&E[S].run();S=-1,o=T.length}E=null,R=!1,function(g){if(v===clearTimeout)return clearTimeout(g);if((v===y||!v)&&clearTimeout)return v=clearTimeout,clearTimeout(g);try{v(g)}catch{try{return v.call(null,g)}catch{return v.call(this,g)}}}(d)}}function f(d,o){this.fun=d,this.array=o}function h(){}b.nextTick=function(d){var o=new Array(arguments.length-1);if(arguments.length>1)for(var g=1;g<arguments.length;g++)o[g-1]=arguments[g];T.push(new f(d,o)),T.length!==1||R||P(I)},f.prototype.run=function(){this.fun.apply(null,this.array)},b.title="browser",b.browser=!0,b.env={},b.argv=[],b.version="",b.versions={},b.on=h,b.addListener=h,b.once=h,b.off=h,b.removeListener=h,b.removeAllListeners=h,b.emit=h,b.prependListener=h,b.prependOnceListener=h,b.listeners=function(d){return[]},b.binding=function(d){throw new Error("process.binding is not supported")},b.cwd=function(){return"/"},b.chdir=function(d){throw new Error("process.chdir is not supported")},b.umask=function(){return 0}}])}),define(ye[109],De([1,0,11,7]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function b(c){const _=c;return _?typeof _.read=="function":!1}e.isReadable=b;function M(c){const _=c;return _?[_.on,_.pause,_.resume,_.destroy].every(s=>typeof s=="function"):!1}e.isReadableStream=M;function y(c){const _=c;return _?M(_.stream)&&Array.isArray(_.buffer)&&typeof _.ended=="boolean":!1}e.isReadableBufferedStream=y;function P(c,_){return new E(c,_)}e.newWriteableStream=P;class E{constructor(_,s){this.reducer=_,this.options=s,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(_){if(!this.state.destroyed){if(this.state.flowing)this.emitData(_);else if(this.buffer.data.push(_),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(s=>this.pendingWritePromises.push(s))}}error(_){this.state.destroyed||(this.state.flowing?this.emitError(_):this.buffer.error.push(_))}end(_){this.state.destroyed||(typeof _!="undefined"&&this.write(_),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(_){this.listeners.data.slice(0).forEach(s=>s(_))}emitError(_){this.listeners.error.length===0?(0,a.onUnexpectedError)(_):this.listeners.error.slice(0).forEach(s=>s(_))}emitEnd(){this.listeners.end.slice(0).forEach(_=>_())}on(_,s){if(!this.state.destroyed)switch(_){case"data":this.listeners.data.push(s),this.resume();break;case"end":this.listeners.end.push(s),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(s),this.state.flowing&&this.flowErrors();break}}removeListener(_,s){if(this.state.destroyed)return;let u;switch(_){case"data":u=this.listeners.data;break;case"end":u=this.listeners.end;break;case"error":u=this.listeners.error;break}if(u){const i=u.indexOf(s);i>=0&&u.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const _=this.reducer(this.buffer.data);this.emitData(_),this.buffer.data.length=0;const s=[...this.pendingWritePromises];this.pendingWritePromises.length=0,s.forEach(u=>u())}}flowErrors(){if(this.listeners.error.length>0){for(const _ of this.buffer.error)this.emitError(_);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function T(c,_){const s=[];let u;for(;(u=c.read())!==null;)s.push(u);return _(s)}e.consumeReadable=T;function R(c,_,s){const u=[];let i;for(;(i=c.read())!==null&&u.length<s;)u.push(i);return i===null&&u.length>0?_(u):{read:()=>{if(u.length>0)return u.shift();if(typeof i!="undefined"){const n=i;return i=void 0,n}return c.read()}}}e.peekReadable=R;function S(c,_){return new Promise((s,u)=>{const i=[];m(c,{onData:n=>{_&&i.push(n)},onError:n=>{_?u(n):s(void 0)},onEnd:()=>{s(_?_(i):void 0)}})})}e.consumeStream=S;function m(c,_){let s=!1;return c.on("error",u=>{s||_.onError(u)}),c.on("end",()=>{s||_.onEnd()}),c.on("data",u=>{s||_.onData(u)}),(0,v.toDisposable)(()=>s=!0)}e.listenStream=m;function I(c,_){return new Promise((s,u)=>{const i=new v.DisposableStore,n=[],r=w=>{if(n.push(w),n.length>_)return i.dispose(),c.pause(),s({stream:c,buffer:n,ended:!1})},t=w=>u(w),l=()=>s({stream:c,buffer:n,ended:!0});i.add((0,v.toDisposable)(()=>c.removeListener("error",t))),c.on("error",t),i.add((0,v.toDisposable)(()=>c.removeListener("end",l))),c.on("end",l),i.add((0,v.toDisposable)(()=>c.removeListener("data",r))),c.on("data",r)})}e.peekStream=I;function f(c,_){const s=P(_);return s.end(c),s}e.toStream=f;function h(){const c=P(()=>{throw new Error("not supported")});return c.end(),c}e.emptyStream=h;function d(c){let _=!1;return{read:()=>_?null:(_=!0,c)}}e.toReadable=d;function o(c,_,s){const u=P(s);return m(c,{onData:i=>u.write(_.data(i)),onError:i=>u.error(_.error?_.error(i):i),onEnd:()=>u.end()}),u}e.transform=o;function g(c,_,s){let u=!1;return{read:()=>{const i=_.read();return u?i:(u=!0,i!==null?s([c,i]):c)}}}e.prefixedReadable=g;function A(c,_,s){let u=!1;const i=P(s);return m(_,{onData:n=>u?i.write(n):(u=!0,i.write(s([c,n]))),onError:n=>i.error(n),onEnd:()=>{u||(u=!0,i.write(c)),i.end()}}),i}e.prefixedStream=A}),define(ye[23],De([1,0,109]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const v=typeof Buffer!="undefined";let b,M;class y{constructor(w){this.buffer=w,this.byteLength=this.buffer.byteLength}static alloc(w){return v?new y(Buffer.allocUnsafe(w)):new y(new Uint8Array(w))}static wrap(w){return v&&!Buffer.isBuffer(w)&&(w=Buffer.from(w.buffer,w.byteOffset,w.byteLength)),new y(w)}static fromString(w,p){return!(p?.dontUseNodeBuffer||!1)&&v?new y(Buffer.from(w)):(b||(b=new TextEncoder),new y(b.encode(w)))}static fromByteArray(w){const p=y.alloc(w.length);for(let D=0,U=w.length;D<U;D++)p.buffer[D]=w[D];return p}static concat(w,p){if(typeof p=="undefined"){p=0;for(let V=0,x=w.length;V<x;V++)p+=w[V].byteLength}const D=y.alloc(p);let U=0;for(let V=0,x=w.length;V<x;V++){const C=w[V];D.set(C,U),U+=C.byteLength}return D}clone(){const w=y.alloc(this.byteLength);return w.set(this),w}toString(){return v?this.buffer.toString():(M||(M=new TextDecoder),M.decode(this.buffer))}slice(w,p){return new y(this.buffer.subarray(w,p))}set(w,p){if(w instanceof y)this.buffer.set(w.buffer,p);else if(w instanceof Uint8Array)this.buffer.set(w,p);else if(w instanceof ArrayBuffer)this.buffer.set(new Uint8Array(w),p);else if(ArrayBuffer.isView(w))this.buffer.set(new Uint8Array(w.buffer,w.byteOffset,w.byteLength),p);else throw new Error("Unknown argument 'array'")}readUInt32BE(w){return T(this.buffer,w)}writeUInt32BE(w,p){R(this.buffer,w,p)}readUInt32LE(w){return S(this.buffer,w)}writeUInt32LE(w,p){m(this.buffer,w,p)}readUInt8(w){return I(this.buffer,w)}writeUInt8(w,p){f(this.buffer,w,p)}}e.VSBuffer=y;function P(l,w){return l[w+0]<<0>>>0|l[w+1]<<8>>>0}e.readUInt16LE=P;function E(l,w,p){l[p+0]=w&255,w=w>>>8,l[p+1]=w&255}e.writeUInt16LE=E;function T(l,w){return l[w]*2**24+l[w+1]*2**16+l[w+2]*2**8+l[w+3]}e.readUInt32BE=T;function R(l,w,p){l[p+3]=w,w=w>>>8,l[p+2]=w,w=w>>>8,l[p+1]=w,w=w>>>8,l[p]=w}e.writeUInt32BE=R;function S(l,w){return l[w+0]<<0>>>0|l[w+1]<<8>>>0|l[w+2]<<16>>>0|l[w+3]<<24>>>0}e.readUInt32LE=S;function m(l,w,p){l[p+0]=w&255,w=w>>>8,l[p+1]=w&255,w=w>>>8,l[p+2]=w&255,w=w>>>8,l[p+3]=w&255}e.writeUInt32LE=m;function I(l,w){return l[w]}e.readUInt8=I;function f(l,w,p){l[p]=w}e.writeUInt8=f;function h(l){return a.consumeReadable(l,w=>y.concat(w))}e.readableToBuffer=h;function d(l){return a.toReadable(l)}e.bufferToReadable=d;function o(l){return a.consumeStream(l,w=>y.concat(w))}e.streamToBuffer=o;async function g(l){return l.ended?y.concat(l.buffer):y.concat([...l.buffer,await o(l.stream)])}e.bufferedStreamToBuffer=g;function A(l){return a.toStream(l,w=>y.concat(w))}e.bufferToStream=A;function c(l){return a.transform(l,{data:w=>typeof w=="string"?y.fromString(w):y.wrap(w)},w=>y.concat(w))}e.streamToBufferReadableStream=c;function _(l){return a.newWriteableStream(w=>y.concat(w),l)}e.newWriteableBufferStream=_;function s(l,w){return a.prefixedReadable(l,w,p=>y.concat(p))}e.prefixedBufferReadable=s;function u(l,w){return a.prefixedStream(l,w,p=>y.concat(p))}e.prefixedBufferStream=u;function i(l){let w=0,p=0,D=0;const U=new Uint8Array(Math.floor(l.length/4*3)),V=C=>{switch(p){case 3:U[D++]=w|C,p=0;break;case 2:U[D++]=w|C>>>2,w=C<<6,p=3;break;case 1:U[D++]=w|C>>>4,w=C<<4,p=2;break;default:w=C<<2,p=1}};for(let C=0;C<l.length;C++){const L=l.charCodeAt(C);if(L>=65&&L<=90)V(L-65);else if(L>=97&&L<=122)V(L-97+26);else if(L>=48&&L<=57)V(L-48+52);else if(L===43||L===45)V(62);else if(L===47||L===95)V(63);else{if(L===61)break;throw new SyntaxError(`Unexpected base64 character ${l[C]}`)}}const x=D;for(;p>0;)V(0);return y.wrap(U).slice(0,x)}e.decodeBase64=i;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function t({buffer:l},w=!0,p=!1){const D=p?r:n;let U="";const V=l.byteLength%3;let x=0;for(;x<l.byteLength-V;x+=3){const C=l[x+0],L=l[x+1],B=l[x+2];U+=D[C>>>2],U+=D[(C<<4|L>>>4)&63],U+=D[(L<<2|B>>>6)&63],U+=D[B&63]}if(V===1){const C=l[x+0];U+=D[C>>>2],U+=D[C<<4&63],w&&(U+="==")}else if(V===2){const C=l[x+0],L=l[x+1];U+=D[C>>>2],U+=D[(C<<4|L>>>4)&63],U+=D[L<<2&63],w&&(U+="=")}return U}e.encodeBase64=t}),define(ye[42],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const a=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function v(b){return a.test(b)}e.isUUID=v,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let b;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?b=crypto.getRandomValues.bind(crypto):b=function(P){for(let E=0;E<P.length;E++)P[E]=Math.floor(Math.random()*256);return P};const M=new Uint8Array(16),y=[];for(let P=0;P<256;P++)y.push(P.toString(16).padStart(2,"0"));return function(){b(M),M[6]=M[6]&15|64,M[8]=M[8]&63|128;let E=0,T="";return T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T+="-",T+=y[M[E++]],T+=y[M[E++]],T+="-",T+=y[M[E++]],T+=y[M[E++]],T+="-",T+=y[M[E++]],T+=y[M[E++]],T+="-",T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T+=y[M[E++]],T}}()}),define(ye[110],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EDITOR_MODEL_DEFAULTS=void 0,e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(ye[111],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var a;(function(y){y[y.None=0]="None",y[y.Indent=1]="Indent",y[y.IndentOutdent=2]="IndentOutdent",y[y.Outdent=3]="Outdent"})(a=e.IndentAction||(e.IndentAction={}));class v{constructor(P){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=P.open,this.close=P.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(P.notIn))for(let E=0,T=P.notIn.length;E<T;E++)switch(P.notIn[E]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(P){switch(P){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(P,E){if(P.getTokenCount()===0)return!0;const T=P.findTokenIndexAtOffset(E-2),R=P.getStandardTokenType(T);return this.isOK(R)}_findNeutralCharacterInRange(P,E){for(let T=P;T<=E;T++){const R=String.fromCharCode(T);if(!this.open.includes(R)&&!this.close.includes(R))return R}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=v;class b{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const E of P)M(this.autoClosingPairsOpenByStart,E.open.charAt(0),E),M(this.autoClosingPairsOpenByEnd,E.open.charAt(E.open.length-1),E),M(this.autoClosingPairsCloseByStart,E.close.charAt(0),E),M(this.autoClosingPairsCloseByEnd,E.close.charAt(E.close.length-1),E),E.close.length===1&&E.open.length===1&&M(this.autoClosingPairsCloseSingleChar,E.close,E)}}e.AutoClosingPairs=b;function M(y,P,E){y.has(P)?y.get(P).push(E):y.set(P,[E])}}),define(ye[112],De([17,18]),function(ie,e){return ie.create("vs/base/common/date",e)}),define(ye[113],De([1,0,112]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const v=60,b=v*60,M=b*24,y=M*7,P=M*30,E=M*365;function T(S,m,I){typeof S!="number"&&(S=S.getTime());const f=Math.round((new Date().getTime()-S)/1e3);if(f<-30)return(0,a.localize)(0,null,T(new Date().getTime()+f*1e3,!1));if(f<30)return(0,a.localize)(1,null);let h;return f<v?(h=f,m?h===1?I?(0,a.localize)(2,null,h):(0,a.localize)(3,null,h):I?(0,a.localize)(4,null,h):(0,a.localize)(5,null,h):h===1?I?(0,a.localize)(6,null,h):(0,a.localize)(7,null,h):I?(0,a.localize)(8,null,h):(0,a.localize)(9,null,h)):f<b?(h=Math.floor(f/v),m?h===1?I?(0,a.localize)(10,null,h):(0,a.localize)(11,null,h):I?(0,a.localize)(12,null,h):(0,a.localize)(13,null,h):h===1?I?(0,a.localize)(14,null,h):(0,a.localize)(15,null,h):I?(0,a.localize)(16,null,h):(0,a.localize)(17,null,h)):f<M?(h=Math.floor(f/b),m?h===1?I?(0,a.localize)(18,null,h):(0,a.localize)(19,null,h):I?(0,a.localize)(20,null,h):(0,a.localize)(21,null,h):h===1?I?(0,a.localize)(22,null,h):(0,a.localize)(23,null,h):I?(0,a.localize)(24,null,h):(0,a.localize)(25,null,h)):f<y?(h=Math.floor(f/M),m?h===1?(0,a.localize)(26,null,h):(0,a.localize)(27,null,h):h===1?(0,a.localize)(28,null,h):(0,a.localize)(29,null,h)):f<P?(h=Math.floor(f/y),m?h===1?I?(0,a.localize)(30,null,h):(0,a.localize)(31,null,h):I?(0,a.localize)(32,null,h):(0,a.localize)(33,null,h):h===1?I?(0,a.localize)(34,null,h):(0,a.localize)(35,null,h):I?(0,a.localize)(36,null,h):(0,a.localize)(37,null,h)):f<E?(h=Math.floor(f/P),m?h===1?I?(0,a.localize)(38,null,h):(0,a.localize)(39,null,h):I?(0,a.localize)(40,null,h):(0,a.localize)(41,null,h):h===1?I?(0,a.localize)(42,null,h):(0,a.localize)(43,null,h):I?(0,a.localize)(44,null,h):(0,a.localize)(45,null,h)):(h=Math.floor(f/E),m?h===1?I?(0,a.localize)(46,null,h):(0,a.localize)(47,null,h):I?(0,a.localize)(48,null,h):(0,a.localize)(49,null,h):h===1?I?(0,a.localize)(50,null,h):(0,a.localize)(51,null,h):I?(0,a.localize)(52,null,h):(0,a.localize)(53,null,h))}e.fromNow=T;function R(S){return S.getFullYear()+"-"+String(S.getMonth()+1).padStart(2,"0")+"-"+String(S.getDate()).padStart(2,"0")+"T"+String(S.getHours()).padStart(2,"0")+":"+String(S.getMinutes()).padStart(2,"0")+":"+String(S.getSeconds()).padStart(2,"0")+"."+(S.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=R}),define(ye[114],De([17,18]),function(ie,e){return ie.create("vs/base/common/errorMessage",e)}),define(ye[43],De([1,0,16,10,114]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function M(S,m){return m&&(S.stack||S.stacktrace)?b.localize(0,null,P(S),y(S.stack)||y(S.stacktrace)):P(S)}function y(S){return Array.isArray(S)?S.join(`
`):S}function P(S){return typeof S.code=="string"&&typeof S.errno=="number"&&typeof S.syscall=="string"?b.localize(1,null,S.message):S.message||b.localize(2,null)}function E(S=null,m=!1){if(!S)return b.localize(3,null);if(Array.isArray(S)){const I=a.coalesce(S),f=E(I[0],m);return I.length>1?b.localize(4,null,f,I.length):f}if(v.isString(S))return S;if(S.detail){const I=S.detail;if(I.error)return M(I.error,m);if(I.exception)return M(I.exception,m)}return S.stack?M(S,m):S.message?S.message:b.localize(5,null)}e.toErrorMessage=E;function T(S){const m=S;return m instanceof Error&&Array.isArray(m.actions)}e.isErrorWithActions=T;function R(S,m){let I;return typeof S=="string"?I=new Error(S):I=S,I.actions=m,I}e.createErrorWithActions=R}),define(ye[74],De([1,0,19]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0,e.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const v={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},b={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function M(R){const S=(0,a.extname)(R),m=v[S.toLowerCase()];return m!==void 0?m:y(R)}e.getMediaOrTextMime=M;function y(R){const S=(0,a.extname)(R);return b[S.toLowerCase()]}e.getMediaMime=y;function P(R){for(const S in b)if(b[S]===R)return S}e.getExtensionForMimeType=P;const E=/^(.+)\/(.+?)(;.+)?$/;function T(R,S){const m=E.exec(R);return m?`${m[1].toLowerCase()}/${m[2].toLowerCase()}${m[3]??""}`:S?void 0:R}e.normalizeMimeType=T}),define(ye[37],De([1,0,19,21,9,10]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function y(r){return r===47||r===92}e.isPathSeparator=y;function P(r){return r.replace(/[\\/]/g,a.posix.sep)}e.toSlashes=P;function E(r){return r.indexOf("/")===-1&&(r=P(r)),/^[a-zA-Z]:(\/|$)/.test(r)&&(r="/"+r),r}e.toPosixPath=E;function T(r,t=a.posix.sep){if(!r)return"";const l=r.length,w=r.charCodeAt(0);if(y(w)){if(y(r.charCodeAt(1))&&!y(r.charCodeAt(2))){let D=3;const U=D;for(;D<l&&!y(r.charCodeAt(D));D++);if(U!==D&&!y(r.charCodeAt(D+1))){for(D+=1;D<l;D++)if(y(r.charCodeAt(D)))return r.slice(0,D+1).replace(/[\\/]/g,t)}}return t}else if(o(w)&&r.charCodeAt(1)===58)return y(r.charCodeAt(2))?r.slice(0,2)+t:r.slice(0,2);let p=r.indexOf("://");if(p!==-1){for(p+=3;p<l;p++)if(y(r.charCodeAt(p)))return r.slice(0,p+1)}return""}e.getRoot=T;function R(r){if(!v.isWindows||!r||r.length<5)return!1;let t=r.charCodeAt(0);if(t!==92||(t=r.charCodeAt(1),t!==92))return!1;let l=2;const w=l;for(;l<r.length&&(t=r.charCodeAt(l),t!==92);l++);return!(w===l||(t=r.charCodeAt(l+1),isNaN(t)||t===92))}e.isUNC=R;const S=/[\\/:\*\?"<>\|]/g,m=/[\\/]/g,I=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function f(r,t=v.isWindows){const l=t?S:m;return!(!r||r.length===0||/^\s+$/.test(r)||(l.lastIndex=0,l.test(r))||t&&I.test(r)||r==="."||r===".."||t&&r[r.length-1]==="."||t&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=f;function h(r,t,l){const w=r===t;return!l||w?w:!r||!t?!1:(0,b.equalsIgnoreCase)(r,t)}e.isEqual=h;function d(r,t,l,w=a.sep){if(r===t)return!0;if(!r||!t||t.length>r.length)return!1;if(l){if(!(0,b.startsWithIgnoreCase)(r,t))return!1;if(t.length===r.length)return!0;let D=t.length;return t.charAt(t.length-1)===w&&D--,r.charAt(D)===w}return t.charAt(t.length-1)!==w&&(t+=w),r.indexOf(t)===0}e.isEqualOrParent=d;function o(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=o;function g(r,t){return v.isWindows&&r.endsWith(":")&&(r+=a.sep),(0,a.isAbsolute)(r)||(r=(0,a.join)(t,r)),r=(0,a.normalize)(r),v.isWindows?(r=(0,b.rtrim)(r,a.sep),r.endsWith(":")&&(r+=a.sep)):(r=(0,b.rtrim)(r,a.sep),r||(r=a.sep)),r}e.sanitizeFilePath=g;function A(r){const t=(0,a.normalize)(r);return v.isWindows?r.length>3?!1:c(t)&&(r.length===2||t.charCodeAt(2)===92):t===a.posix.sep}e.isRootOrDriveLetter=A;function c(r,t=v.isWindows){return t?o(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function _(r){return c(r)?r[0]:void 0}e.getDriveLetter=_;function s(r,t,l){return t.length>r.length?-1:r===t?0:(l&&(r=r.toLowerCase(),t=t.toLowerCase()),r.indexOf(t))}e.indexOfPath=s;function u(r){const t=r.split(":");let l,w,p;for(const D of t){const U=Number(D);(0,M.isNumber)(U)?w===void 0?w=U:p===void 0&&(p=U):l=l?[l,D].join(":"):D}if(!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:w!==void 0?w:void 0,column:p!==void 0?p:w!==void 0?1:void 0}}e.parseLineAndColumnAware=u;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function n(r,t,l=8){let w="";for(let D=0;D<l;D++)w+=i.charAt(Math.floor(Math.random()*i.length));let p;return t?p=`${t}-${w}`:p=w,r?(0,a.join)(r,p):p}e.randomPath=n}),define(ye[25],De([1,0,16,9]),function(ie,e,a,v){"use strict";var b,M,y;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(i,n,r){let t=i.get(n);return t===void 0&&(t=r,i.set(n,t)),t}e.getOrSet=P;function E(i){const n=[];return i.forEach((r,t)=>{n.push(`${t} => ${r}`)}),`Map(${i.size}) {${n.join(", ")}}`}e.mapToString=E;function T(i){const n=[];return i.forEach(r=>{n.push(r)}),`Set(${i.size}) {${n.join(", ")}}`}e.setToString=T;class R{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const r=n.charCodeAt(0),t=this._value.charCodeAt(this._pos);return r-t}value(){return this._value[this._pos]}}e.StringIterator=R;class S{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,v.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,v.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=S;class m{constructor(n=!0,r=!0){this._splitOnBackslash=n,this._caseSensitive=r}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let r=n.length-1;r>=0;r--,this._valueLen--){const t=this._value.charCodeAt(r);if(!(t===47||this._splitOnBackslash&&t===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const r=this._value.charCodeAt(this._to);if(r===47||this._splitOnBackslash&&r===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,v.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,v.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=m;var I;(function(i){i[i.Scheme=1]="Scheme",i[i.Authority=2]="Authority",i[i.Path=3]="Path",i[i.Query=4]="Query",i[i.Fragment=5]="Fragment"})(I||(I={}));class f{constructor(n,r){this._ignorePathCasing=n,this._ignoreQueryAndFragment=r,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new m(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(n)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,v.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,v.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,v.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,v.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=f;class h{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var d;(function(i){i[i.Left=-1]="Left",i[i.Mid=0]="Mid",i[i.Right=1]="Right"})(d||(d={}));class o{constructor(n){this._iter=n}static forUris(n=()=>!1,r=()=>!1){return new o(new f(n,r))}static forPaths(n=!1){return new o(new m(void 0,!n))}static forStrings(){return new o(new R)}static forConfigKeys(){return new o(new S)}clear(){this._root=void 0}fill(n,r){if(r){const t=r.slice(0);(0,a.shuffle)(t);for(const l of t)this.set(l,n)}else{const t=n.slice(0);(0,a.shuffle)(t);for(const l of t)this.set(l[0],l[1])}}set(n,r){const t=this._iter.reset(n);let l;this._root||(this._root=new h,this._root.segment=t.value());const w=[];for(l=this._root;;){const D=t.cmp(l.segment);if(D>0)l.left||(l.left=new h,l.left.segment=t.value()),w.push([-1,l]),l=l.left;else if(D<0)l.right||(l.right=new h,l.right.segment=t.value()),w.push([1,l]),l=l.right;else if(t.hasNext())t.next(),l.mid||(l.mid=new h,l.mid.segment=t.value()),w.push([0,l]),l=l.mid;else break}const p=l.value;l.value=r,l.key=n;for(let D=w.length-1;D>=0;D--){const U=w[D][1];U.updateHeight();const V=U.balanceFactor();if(V<-1||V>1){const x=w[D][0],C=w[D+1][0];if(x===1&&C===1)w[D][1]=U.rotateLeft();else if(x===-1&&C===-1)w[D][1]=U.rotateRight();else if(x===1&&C===-1)U.right=w[D+1][1]=w[D+1][1].rotateRight(),w[D][1]=U.rotateLeft();else if(x===-1&&C===1)U.left=w[D+1][1]=w[D+1][1].rotateLeft(),w[D][1]=U.rotateRight();else throw new Error;if(D>0)switch(w[D-1][0]){case-1:w[D-1][1].left=w[D][1];break;case 1:w[D-1][1].right=w[D][1];break;case 0:w[D-1][1].mid=w[D][1];break}else this._root=w[0][1]}}return p}get(n){return this._getNode(n)?.value}_getNode(n){const r=this._iter.reset(n);let t=this._root;for(;t;){const l=r.cmp(t.segment);if(l>0)t=t.left;else if(l<0)t=t.right;else if(r.hasNext())r.next(),t=t.mid;else break}return t}has(n){const r=this._getNode(n);return!(r?.value===void 0&&r?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,r){const t=this._iter.reset(n),l=[];let w=this._root;for(;w;){const p=t.cmp(w.segment);if(p>0)l.push([-1,w]),w=w.left;else if(p<0)l.push([1,w]),w=w.right;else if(t.hasNext())t.next(),l.push([0,w]),w=w.mid;else break}if(!!w){if(r?(w.left=void 0,w.mid=void 0,w.right=void 0,w.height=1):(w.key=void 0,w.value=void 0),!w.mid&&!w.value)if(w.left&&w.right){const p=this._min(w.right),{key:D,value:U,segment:V}=p;this._delete(p.key,!1),w.key=D,w.value=U,w.segment=V}else{const p=w.left??w.right;if(l.length>0){const[D,U]=l[l.length-1];switch(D){case-1:U.left=p;break;case 0:U.mid=p;break;case 1:U.right=p;break}}else this._root=p}for(let p=l.length-1;p>=0;p--){const D=l[p][1];D.updateHeight();const U=D.balanceFactor();if(U>1?(D.right.balanceFactor()>=0||(D.right=D.right.rotateRight()),l[p][1]=D.rotateLeft()):U<-1&&(D.left.balanceFactor()<=0||(D.left=D.left.rotateLeft()),l[p][1]=D.rotateRight()),p>0)switch(l[p-1][0]){case-1:l[p-1][1].left=l[p][1];break;case 1:l[p-1][1].right=l[p][1];break;case 0:l[p-1][1].mid=l[p][1];break}else this._root=l[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const r=this._iter.reset(n);let t=this._root,l;for(;t;){const w=r.cmp(t.segment);if(w>0)t=t.left;else if(w<0)t=t.right;else if(r.hasNext())r.next(),l=t.value||l,t=t.mid;else break}return t&&t.value||l}findSuperstr(n){const r=this._iter.reset(n);let t=this._root;for(;t;){const l=r.cmp(t.segment);if(l>0)t=t.left;else if(l<0)t=t.right;else if(r.hasNext())r.next(),t=t.mid;else return t.mid?this._entries(t.mid):void 0}}forEach(n){for(const[r,t]of this)n(t,r)}*[Symbol.iterator](){yield*this._entries(this._root)}_entries(n){const r=[];return this._dfsEntries(n,r),r[Symbol.iterator]()}_dfsEntries(n,r){!n||(n.left&&this._dfsEntries(n.left,r),n.value&&r.push([n.key,n.value]),n.mid&&this._dfsEntries(n.mid,r),n.right&&this._dfsEntries(n.right,r))}_isBalanced(){const n=r=>{if(!r)return!0;const t=r.balanceFactor();return t<-1||t>1?!1:n(r.left)&&n(r.right)};return n(this._root)}}e.TernarySearchTree=o;class g{constructor(n,r){this.uri=n,this.value=r}}class A{constructor(n,r){this[b]="ResourceMap",n instanceof A?(this.map=new Map(n.map),this.toKey=r??A.defaultToKey):(this.map=new Map,this.toKey=n??A.defaultToKey)}set(n,r){return this.map.set(this.toKey(n),new g(n,r)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,r){typeof r!="undefined"&&(n=n.bind(r));for(const[t,l]of this.map)n(l.value,l.uri,this)}*values(){for(const n of this.map.values())yield n.value}*keys(){for(const n of this.map.values())yield n.uri}*entries(){for(const n of this.map.values())yield[n.uri,n.value]}*[(b=Symbol.toStringTag,Symbol.iterator)](){for(const[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=A,A.defaultToKey=i=>i.toString();class c{constructor(n,r){this[M]="ResourceSet",!n||typeof n=="function"?this._map=new A(n):(this._map=new A(r),n.forEach(this.add,this))}get size(){return this._map.size}add(n){return this._map.set(n,n),this}clear(){this._map.clear()}delete(n){return this._map.delete(n)}forEach(n,r){this._map.forEach((t,l)=>n.call(r,l,l,this))}has(n){return this._map.has(n)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=c;var _;(function(i){i[i.None=0]="None",i[i.AsOld=1]="AsOld",i[i.AsNew=2]="AsNew"})(_=e.Touch||(e.Touch={}));class s{constructor(){this[y]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,r=0){const t=this._map.get(n);if(!!t)return r!==0&&this.touch(t,r),t.value}set(n,r,t=0){let l=this._map.get(n);if(l)l.value=r,t!==0&&this.touch(l,t);else{switch(l={key:n,value:r,next:void 0,previous:void 0},t){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(n,l),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const r=this._map.get(n);if(!!r)return this._map.delete(n),this.removeItem(r),this._size--,r.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,r){const t=this._state;let l=this._head;for(;l;){if(r?n.bind(r)(l.value,l.key,this):n(l.value,l.key,this),this._state!==t)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const n=this,r=this._state;let t=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(t){const w={value:t.key,done:!1};return t=t.next,w}else return{value:void 0,done:!0}}};return l}values(){const n=this,r=this._state;let t=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(t){const w={value:t.value,done:!1};return t=t.next,w}else return{value:void 0,done:!0}}};return l}entries(){const n=this,r=this._state;let t=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(t){const w={value:[t.key,t.value],done:!1};return t=t.next,w}else return{value:void 0,done:!0}}};return l}[(y=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let r=this._head,t=this.size;for(;r&&t>n;)this._map.delete(r.key),r=r.next,t--;this._head=r,this._size=t,r&&(r.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const r=n.next,t=n.previous;if(!r||!t)throw new Error("Invalid list");r.previous=t,t.next=r}n.next=void 0,n.previous=void 0,this._state++}touch(n,r){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(r!==1&&r!==2)){if(r===1){if(n===this._head)return;const t=n.next,l=n.previous;n===this._tail?(l.next=void 0,this._tail=l):(t.previous=l,l.next=t),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(r===2){if(n===this._tail)return;const t=n.next,l=n.previous;n===this._head?(t.previous=void 0,this._head=t):(t.previous=l,l.next=t),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((r,t)=>{n.push([t,r])}),n}fromJSON(n){this.clear();for(const[r,t]of n)this.set(r,t)}}e.LinkedMap=s;class u extends s{constructor(n,r=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,r),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,r=2){return super.get(n,r)}peek(n){return super.get(n,0)}set(n,r){return super.set(n,r,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=u}),define(ye[115],De([1,0,25,9]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScoreOptions=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function b(...X){return function(J,k){for(let z=0,W=X.length;z<W;z++){const j=X[z](J,k);if(j)return j}return null}}e.or=b,e.matchesStrictPrefix=M.bind(void 0,!1),e.matchesPrefix=M.bind(void 0,!0);function M(X,J,k){if(!k||k.length<J.length)return null;let z;return X?z=v.startsWithIgnoreCase(k,J):z=k.indexOf(J)===0,z?J.length>0?[{start:0,end:J.length}]:[]:null}function y(X,J){const k=J.toLowerCase().indexOf(X.toLowerCase());return k===-1?null:[{start:k,end:k+X.length}]}e.matchesContiguousSubString=y;function P(X,J){return E(X.toLowerCase(),J.toLowerCase(),0,0)}e.matchesSubString=P;function E(X,J,k,z){if(k===X.length)return[];if(z===J.length)return null;if(X[k]===J[z]){let W=null;return(W=E(X,J,k+1,z+1))?o({start:z,end:z+1},W):null}return E(X,J,k,z+1)}function T(X){return 97<=X&&X<=122}function R(X){return 65<=X&&X<=90}e.isUpper=R;function S(X){return 48<=X&&X<=57}function m(X){return X===32||X===9||X===10||X===13}const I=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(X=>I.add(X.charCodeAt(0)));function f(X){return m(X)||I.has(X)}function h(X,J){return X===J||f(X)&&f(J)}function d(X){return T(X)||R(X)||S(X)}function o(X,J){return J.length===0?J=[X]:X.end===J[0].start?J[0].start=X.start:J.unshift(X),J}function g(X,J){for(let k=J;k<X.length;k++){const z=X.charCodeAt(k);if(R(z)||S(z)||k>0&&!d(X.charCodeAt(k-1)))return k}return X.length}function A(X,J,k,z){if(k===X.length)return[];if(z===J.length)return null;if(X[k]!==J[z].toLowerCase())return null;{let W=null,j=z+1;for(W=A(X,J,k+1,z+1);!W&&(j=g(J,j))<J.length;)W=A(X,J,k+1,j),j++;return W===null?null:o({start:z,end:z+1},W)}}function c(X){let J=0,k=0,z=0,W=0,j=0;for(let ge=0;ge<X.length;ge++)j=X.charCodeAt(ge),R(j)&&J++,T(j)&&k++,d(j)&&z++,S(j)&&W++;const se=J/X.length,de=k/X.length,Z=z/X.length,pe=W/X.length;return{upperPercent:se,lowerPercent:de,alphaPercent:Z,numericPercent:pe}}function _(X){const{upperPercent:J,lowerPercent:k}=X;return k===0&&J>.6}function s(X){const{upperPercent:J,lowerPercent:k,alphaPercent:z,numericPercent:W}=X;return k>.2&&J<.8&&z>.6&&W<.2}function u(X){let J=0,k=0,z=0,W=0;for(let j=0;j<X.length;j++)z=X.charCodeAt(j),R(z)&&J++,T(z)&&k++,m(z)&&W++;return(J===0||k===0)&&W===0?X.length<=30:J<=5}function i(X,J){if(!J||(J=J.trim(),J.length===0)||!u(X)||J.length>60)return null;const k=c(J);if(!s(k)){if(!_(k))return null;J=J.toLowerCase()}let z=null,W=0;for(X=X.toLowerCase();W<J.length&&(z=A(X,J,0,W))===null;)W=g(J,W+1);return z}e.matchesCamelCase=i;function n(X,J,k=!1){if(!J||J.length===0)return null;let z=null,W=0;for(X=X.toLowerCase(),J=J.toLowerCase();W<J.length&&(z=r(X,J,0,W,k))===null;)W=t(J,W+1);return z}e.matchesWords=n;function r(X,J,k,z,W){if(k===X.length)return[];if(z===J.length)return null;if(h(X.charCodeAt(k),J.charCodeAt(z))){let j=null,se=z+1;if(j=r(X,J,k+1,z+1,W),!W)for(;!j&&(se=t(J,se))<J.length;)j=r(X,J,k+1,se,W),se++;return j?X.charCodeAt(k)!==J.charCodeAt(z)?j:o({start:z,end:z+1},j):null}else return null}function t(X,J){for(let k=J;k<X.length;k++)if(f(X.charCodeAt(k))||k>0&&f(X.charCodeAt(k-1)))return k;return X.length}const l=b(e.matchesPrefix,i,y),w=b(e.matchesPrefix,i,P),p=new a.LRUCache(1e4);function D(X,J,k=!1){if(typeof X!="string"||typeof J!="string")return null;let z=p.get(X);z||(z=new RegExp(v.convertSimple2RegExpPattern(X),"i"),p.set(X,z));const W=z.exec(J);return W?[{start:W.index,end:W.index+W[0].length}]:k?w(X,J):l(X,J)}e.matchesFuzzy=D;function U(X,J){const k=xe(X,X.toLowerCase(),0,J,J.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return k?x(k):null}e.matchesFuzzy2=U;function V(X,J,k,z,W,j){const se=Math.min(13,X.length);for(;k<se;k++){const de=xe(X,J,k,z,W,j,{firstMatchCanBeWeak:!1,boostFullMatch:!0});if(de)return de}return[0,j]}e.anyScore=V;function x(X){if(typeof X=="undefined")return[];const J=[],k=X[1];for(let z=X.length-1;z>1;z--){const W=X[z]+k,j=J[J.length-1];j&&j.end===W?j.end=W+1:J.push({start:W,end:W+1})}return J}e.createMatches=x;const C=128;function L(){const X=[],J=[];for(let k=0;k<=C;k++)J[k]=0;for(let k=0;k<=C;k++)X.push(J.slice(0));return X}function B(X){const J=[];for(let k=0;k<=X;k++)J[k]=0;return J}const F=B(2*C),K=B(2*C),H=L(),O=L(),ee=L(),ce=!1;function oe(X,J,k,z,W){function j(de,Z,pe=" "){for(;de.length<Z;)de=pe+de;return de}let se=` |   |${z.split("").map(de=>j(de,3)).join("|")}
`;for(let de=0;de<=k;de++)de===0?se+=" |":se+=`${J[de-1]}|`,se+=X[de].slice(0,W+1).map(Z=>j(Z.toString(),3)).join("|")+`
`;return se}function le(X,J,k,z){X=X.substr(J),k=k.substr(z),console.log(oe(O,X,X.length,k,k.length)),console.log(oe(ee,X,X.length,k,k.length)),console.log(oe(H,X,X.length,k,k.length))}function te(X,J){if(J<0||J>=X.length)return!1;const k=X.codePointAt(J);switch(k){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!v.isEmojiImprecise(k)}}function Ee(X,J){if(J<0||J>=X.length)return!1;switch(X.charCodeAt(J)){case 32:case 9:return!0;default:return!1}}function be(X,J,k){return J[X]!==k[X]}function ne(X,J,k,z,W,j,se=!1){for(;J<k&&W<j;)X[J]===z[W]&&(se&&(F[J]=W),J+=1),W+=1;return J===k}e.isPatternInWord=ne;var ve;(function(X){X[X.Diag=1]="Diag",X[X.Left=2]="Left",X[X.LeftLeft=3]="LeftLeft"})(ve||(ve={}));var Pe;(function(X){X.Default=[-100,0];function J(k){return!k||k.length===2&&k[0]===-100&&k[1]===0}X.isDefault=J})(Pe=e.FuzzyScore||(e.FuzzyScore={}));class Fe{constructor(J,k){this.firstMatchCanBeWeak=J,this.boostFullMatch=k}}e.FuzzyScoreOptions=Fe,Fe.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function xe(X,J,k,z,W,j,se=Fe.default){const de=X.length>C?C:X.length,Z=z.length>C?C:z.length;if(k>=de||j>=Z||de-k>Z-j||!ne(J,k,de,W,j,Z,!0))return;Qe(de,Z,k,j,J,W);let pe=1,ge=1,Ne=k,Be=j;const Je=[!1];for(pe=1,Ne=k;Ne<de;pe++,Ne++){const Q=F[Ne],fe=K[Ne],Ue=Ne+1<de?K[Ne+1]:Z;for(ge=Q-j+1,Be=Q;Be<Ue;ge++,Be++){let He=Number.MIN_SAFE_INTEGER,Ze=!1;Be<=fe&&(He=Ie(X,J,Ne,k,z,W,Be,Z,j,H[pe-1][ge-1]===0,Je));let qe=0;He!==Number.MAX_SAFE_INTEGER&&(Ze=!0,qe=He+O[pe-1][ge-1]);const We=Be>Q,nt=We?O[pe][ge-1]+(H[pe][ge-1]>0?-5:0):0,ot=Be>Q+1&&H[pe][ge-1]>0,ht=ot?O[pe][ge-2]+(H[pe][ge-2]>0?-5:0):0;if(ot&&(!We||ht>=nt)&&(!Ze||ht>=qe))O[pe][ge]=ht,ee[pe][ge]=3,H[pe][ge]=0;else if(We&&(!Ze||nt>=qe))O[pe][ge]=nt,ee[pe][ge]=2,H[pe][ge]=0;else if(Ze)O[pe][ge]=qe,ee[pe][ge]=1,H[pe][ge]=H[pe-1][ge-1]+1;else throw new Error("not possible")}}if(ce&&le(X,k,z,j),!Je[0]&&!se.firstMatchCanBeWeak)return;pe--,ge--;const Ge=[O[pe][ge],j];let ke=0,rt=0;for(;pe>=1;){let Q=ge;do{const fe=ee[pe][Q];if(fe===3)Q=Q-2;else if(fe===2)Q=Q-1;else break}while(Q>=1);ke>1&&J[k+pe-1]===W[j+ge-1]&&!be(Q+j-1,z,W)&&ke+1>H[pe][Q]&&(Q=ge),Q===ge?ke++:ke=1,rt||(rt=Q),pe--,ge=Q-1,Ge.push(ge)}Z===de&&se.boostFullMatch&&(Ge[0]+=2);const G=rt-de;return Ge[0]-=G,Ge}e.fuzzyScore=xe;function Qe(X,J,k,z,W,j){let se=X-1,de=J-1;for(;se>=k&&de>=z;)W[se]===j[de]&&(K[se]=de,se--),de--}function Ie(X,J,k,z,W,j,se,de,Z,pe,ge){if(J[k]!==j[se])return Number.MIN_SAFE_INTEGER;let Ne=1,Be=!1;return se===k-z?Ne=X[k]===W[se]?7:5:be(se,W,j)&&(se===0||!be(se-1,W,j))?(Ne=X[k]===W[se]?7:5,Be=!0):te(j,se)&&(se===0||!te(j,se-1))?Ne=5:(te(j,se-1)||Ee(j,se-1))&&(Ne=5,Be=!0),Ne>1&&k===z&&(ge[0]=!0),Be||(Be=be(se,W,j)||te(j,se-1)||Ee(j,se-1)),k===z?se>Z&&(Ne-=Be?3:5):pe?Ne+=Be?2:0:Ne+=Be?0:1,se+1===de&&(Ne-=Be?3:5),Ne}function Se(X,J,k,z,W,j,se){return ae(X,J,k,z,W,j,!0,se)}e.fuzzyScoreGracefulAggressive=Se;function Te(X,J,k,z,W,j,se){return ae(X,J,k,z,W,j,!1,se)}e.fuzzyScoreGraceful=Te;function ae(X,J,k,z,W,j,se,de){let Z=xe(X,J,k,z,W,j,de);if(Z&&!se)return Z;if(X.length>=3){const pe=Math.min(7,X.length-1);for(let ge=k+1;ge<pe;ge++){const Ne=ue(X,ge);if(Ne){const Be=xe(Ne,Ne.toLowerCase(),k,z,W,j,de);Be&&(Be[0]-=3,(!Z||Be[0]>Z[0])&&(Z=Be))}}}return Z}function ue(X,J){if(J+1>=X.length)return;const k=X[J],z=X[J+1];if(k!==z)return X.slice(0,J)+z+k+X.slice(J+2)}}),define(ye[116],De([1,0,117,115,9]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const M=new RegExp(`\\$\\(${a.CSSIcon.iconNameExpression}(?:${a.CSSIcon.iconModifierExpression})?\\)`,"g"),y=new RegExp(a.CSSIcon.iconNameCharacter),P=new RegExp(`(\\\\)?${M.source}`,"g");function E(d){return d.replace(P,(o,g)=>g?o:`\\${o}`)}e.escapeIcons=E;const T=new RegExp(`\\\\${M.source}`,"g");function R(d){return d.replace(T,o=>`\\${o}`)}e.markdownEscapeEscapedIcons=R;const S=new RegExp(`(\\s)?(\\\\)?${M.source}(\\s)?`,"g");function m(d){return d.indexOf(e.iconStartMarker)===-1?d:d.replace(S,(o,g,A,c)=>A?o:g||c||"")}e.stripIcons=m;function I(d){const o=d.indexOf(e.iconStartMarker);return o===-1?{text:d}:f(d,o)}e.parseLabelWithIcons=I;function f(d,o){const g=[];let A="";function c(l){if(l){A+=l;for(const w of l)g.push(u)}}let _=-1,s="",u=0,i,n,r=o;const t=d.length;for(c(d.substr(0,o));r<t;)i=d[r],n=d[r+1],i===e.iconStartMarker[0]&&n===e.iconStartMarker[1]?(_=r,c(s),s=e.iconStartMarker,r++):i===")"&&_!==-1?(u+=r-_+1,_=-1,s=""):_!==-1?y.test(i)?s+=i:(c(s),_=-1,s=""):c(i),r++;return c(s),{text:A,iconOffsets:g}}function h(d,o,g=!1){const{text:A,iconOffsets:c}=o;if(!c||c.length===0)return(0,v.matchesFuzzy)(d,A,g);const _=(0,b.ltrim)(A," "),s=A.length-_.length,u=(0,v.matchesFuzzy)(d,_,g);if(u)for(const i of u){const n=c[i.start+s]+s;i.start+=n,i.end+=n}return u}e.matchesFuzzyIconAware=h}),define(ye[29],De([1,0,9]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var v;(function(b){b[b.Ignore=0]="Ignore",b[b.Info=1]="Info",b[b.Warning=2]="Warning",b[b.Error=3]="Error"})(v||(v={})),function(b){const M="error",y="warning",P="warn",E="info",T="ignore";function R(m){return m?a.equalsIgnoreCase(M,m)?b.Error:a.equalsIgnoreCase(y,m)||a.equalsIgnoreCase(P,m)?b.Warning:a.equalsIgnoreCase(E,m)?b.Info:b.Ignore:b.Ignore}b.fromValue=R;function S(m){switch(m){case b.Error:return M;case b.Warning:return y;case b.Info:return E;default:return T}}b.toString=S}(v||(v={})),e.default=v}),define(ye[56],De([1,0,23,9,2]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function M(T){return JSON.stringify(T,P)}e.stringify=M;function y(T){let R=JSON.parse(T);return R=E(R),R}e.parse=y;function P(T,R){return R instanceof RegExp?{$mid:2,source:R.source,flags:(0,v.regExpFlags)(R)}:R}function E(T,R=0){if(!T||R>200)return T;if(typeof T=="object"){switch(T.$mid){case 1:return b.URI.revive(T);case 2:return new RegExp(T.source,T.flags);case 14:return new Date(T.source)}if(T instanceof a.VSBuffer||T instanceof Uint8Array)return T;if(Array.isArray(T))for(let S=0;S<T.length;++S)T[S]=E(T[S],R+1);else for(const S in T)Object.hasOwnProperty.call(T,S)&&(T[S]=E(T[S],R+1))}return T}e.revive=E}),define(ye[12],De([1,0,21,2]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var b;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.vscodeUserData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeNotebookCellOutput="vscode-notebook-cell-output",P.vscodeInteractive="vscode-interactive",P.vscodeInteractiveInput="vscode-interactive-input",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.vscodeTerminal="vscode-terminal",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.extension="extension",P.vscodeFileResource="vscode-file",P.tmp="tmp",P.vsls="vsls",P.vscodeSourceControl="vscode-scm"})(b=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class M{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${b.vscodeRemoteResource}`}setPreferredWebSchema(E){this._preferredWebSchema=E}setDelegate(E){this._delegate=E}setServerRootPath(E){this._remoteResourcesPath=`${E}/${b.vscodeRemoteResource}`}set(E,T,R){this._hosts[E]=T,this._ports[E]=R}setConnectionToken(E,T){this._connectionTokens[E]=T}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(E){if(this._delegate)return this._delegate(E);const T=E.authority;let R=this._hosts[T];R&&R.indexOf(":")!==-1&&(R=`[${R}]`);const S=this._ports[T],m=this._connectionTokens[T];let I=`path=${encodeURIComponent(E.path)}`;return typeof m=="string"&&(I+=`&${e.connectionTokenQueryName}=${encodeURIComponent(m)}`),v.URI.from({scheme:a.isWeb?this._preferredWebSchema:b.vscodeRemoteResource,authority:`${R}:${S}`,path:this._remoteResourcesPath,query:I})}}e.RemoteAuthorities=new M;class y{asBrowserUri(E,T){const R=this.toUri(E,T);return R.scheme===b.vscodeRemote?e.RemoteAuthorities.rewrite(R):R.scheme===b.file&&(a.isNative||a.isWebWorker&&a.globals.origin===`${b.vscodeFileResource}://${y.FALLBACK_AUTHORITY}`)?R.with({scheme:b.vscodeFileResource,authority:R.authority||y.FALLBACK_AUTHORITY,query:null,fragment:null}):R}asFileUri(E,T){const R=this.toUri(E,T);return R.scheme===b.vscodeFileResource?R.with({scheme:b.file,authority:R.authority!==y.FALLBACK_AUTHORITY?R.authority:null,query:null,fragment:null}):R}toUri(E,T){return v.URI.isUri(E)?E:v.URI.parse(T.toUrl(E))}}y.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new y}),define(ye[22],De([1,0,37,12,19,21,9,2]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function E(I){return(0,P.uriToFsPath)(I,!0)}e.originalFSPath=E;class T{constructor(f){this._ignorePathCasing=f}compare(f,h,d=!1){return f===h?0:(0,y.compare)(this.getComparisonKey(f,d),this.getComparisonKey(h,d))}isEqual(f,h,d=!1){return f===h?!0:!f||!h?!1:this.getComparisonKey(f,d)===this.getComparisonKey(h,d)}getComparisonKey(f,h=!1){return f.with({path:this._ignorePathCasing(f)?f.path.toLowerCase():void 0,fragment:h?null:void 0}).toString()}ignorePathCasing(f){return this._ignorePathCasing(f)}isEqualOrParent(f,h,d=!1){if(f.scheme===h.scheme){if(f.scheme===v.Schemas.file)return a.isEqualOrParent(E(f),E(h),this._ignorePathCasing(f))&&f.query===h.query&&(d||f.fragment===h.fragment);if((0,e.isEqualAuthority)(f.authority,h.authority))return a.isEqualOrParent(f.path,h.path,this._ignorePathCasing(f),"/")&&f.query===h.query&&(d||f.fragment===h.fragment)}return!1}joinPath(f,...h){return P.URI.joinPath(f,...h)}basenameOrAuthority(f){return(0,e.basename)(f)||f.authority}basename(f){return b.posix.basename(f.path)}extname(f){return b.posix.extname(f.path)}dirname(f){if(f.path.length===0)return f;let h;return f.scheme===v.Schemas.file?h=P.URI.file(b.dirname(E(f))).path:(h=b.posix.dirname(f.path),f.authority&&h.length&&h.charCodeAt(0)!==47&&(console.error(`dirname("${f.toString})) resulted in a relative path`),h="/")),f.with({path:h})}normalizePath(f){if(!f.path.length)return f;let h;return f.scheme===v.Schemas.file?h=P.URI.file(b.normalize(E(f))).path:h=b.posix.normalize(f.path),f.with({path:h})}relativePath(f,h){if(f.scheme!==h.scheme||!(0,e.isEqualAuthority)(f.authority,h.authority))return;if(f.scheme===v.Schemas.file){const g=b.relative(E(f),E(h));return M.isWindows?a.toSlashes(g):g}let d=f.path||"/";const o=h.path||"/";if(this._ignorePathCasing(f)){let g=0;for(const A=Math.min(d.length,o.length);g<A&&!(d.charCodeAt(g)!==o.charCodeAt(g)&&d.charAt(g).toLowerCase()!==o.charAt(g).toLowerCase());g++);d=o.substr(0,g)+d.substr(g)}return b.posix.relative(d,o)}resolvePath(f,h){if(f.scheme===v.Schemas.file){const d=P.URI.file(b.resolve(E(f),h));return f.with({authority:d.authority,path:d.path})}return h=a.toPosixPath(h),f.with({path:b.posix.resolve(f.path,h)})}isAbsolutePath(f){return!!f.path&&f.path[0]==="/"}isEqualAuthority(f,h){return f===h||f!==void 0&&h!==void 0&&(0,y.equalsIgnoreCase)(f,h)}hasTrailingPathSeparator(f,h=b.sep){if(f.scheme===v.Schemas.file){const d=E(f);return d.length>a.getRoot(d).length&&d[d.length-1]===h}else{const d=f.path;return d.length>1&&d.charCodeAt(d.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(f.fsPath)}}removeTrailingPathSeparator(f,h=b.sep){return(0,e.hasTrailingPathSeparator)(f,h)?f.with({path:f.path.substr(0,f.path.length-1)}):f}addTrailingPathSeparator(f,h=b.sep){let d=!1;if(f.scheme===v.Schemas.file){const o=E(f);d=o!==void 0&&o.length===a.getRoot(o).length&&o[o.length-1]===h}else{h="/";const o=f.path;d=o.length===1&&o.charCodeAt(o.length-1)===47}return!d&&!(0,e.hasTrailingPathSeparator)(f,h)?f.with({path:f.path+"/"}):f}}e.ExtUri=T,e.extUri=new T(()=>!1),e.extUriBiasedIgnorePathCase=new T(I=>I.scheme===v.Schemas.file?!M.isLinux:!0),e.extUriIgnorePathCase=new T(I=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function R(I,f){const h=[];for(let d=0;d<I.length;d++){const o=f(I[d]);I.some((g,A)=>A===d?!1:(0,e.isEqualOrParent)(o,f(g)))||h.push(I[d])}return h}e.distinctParents=R;var S;(function(I){I.META_DATA_LABEL="label",I.META_DATA_DESCRIPTION="description",I.META_DATA_SIZE="size",I.META_DATA_MIME="mime";function f(h){const d=new Map;h.path.substring(h.path.indexOf(";")+1,h.path.lastIndexOf(";")).split(";").forEach(A=>{const[c,_]=A.split(":");c&&_&&d.set(c,_)});const g=h.path.substring(0,h.path.indexOf(";"));return g&&d.set(I.META_DATA_MIME,g),d}I.parseMetaData=f})(S=e.DataUri||(e.DataUri={}));function m(I,f,h){if(f){let d=I.path;return d&&d[0]!==b.posix.sep&&(d=b.posix.sep+d),I.with({scheme:h,authority:f,path:d})}return I.with({scheme:h})}e.toLocalResource=m}),define(ye[14],De([1,0,20,11,5,7,22,21]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function E(be){return!!be&&typeof be.then=="function"}e.isThenable=E;function T(be){const ne=new a.CancellationTokenSource,ve=be(ne.token),Pe=new Promise((Fe,xe)=>{const Qe=ne.token.onCancellationRequested(()=>{Qe.dispose(),ne.dispose(),xe(new v.CancellationError)});Promise.resolve(ve).then(Ie=>{Qe.dispose(),ne.dispose(),Fe(Ie)},Ie=>{Qe.dispose(),ne.dispose(),xe(Ie)})});return new class{cancel(){ne.cancel()}then(Fe,xe){return Pe.then(Fe,xe)}catch(Fe){return this.then(void 0,Fe)}finally(Fe){return Pe.finally(Fe)}}}e.createCancelablePromise=T;function R(be,ne,ve){return new Promise((Pe,Fe)=>{const xe=ne.onCancellationRequested(()=>{xe.dispose(),Pe(ve)});be.then(Pe,Fe).finally(()=>xe.dispose())})}e.raceCancellation=R;function S(be,ne){return new Promise((ve,Pe)=>{const Fe=ne.onCancellationRequested(()=>{Fe.dispose(),Pe(new v.CancellationError)});be.then(ve,Pe).finally(()=>Fe.dispose())})}e.raceCancellationError=S;async function m(be){let ne=-1;const ve=be.map((Fe,xe)=>Fe.then(Qe=>(ne=xe,Qe))),Pe=await Promise.race(ve);return be.forEach((Fe,xe)=>{xe!==ne&&Fe.cancel()}),Pe}e.raceCancellablePromises=m;function I(be,ne,ve){let Pe;const Fe=setTimeout(()=>{Pe?.(void 0),ve?.()},ne);return Promise.race([be.finally(()=>clearTimeout(Fe)),new Promise(xe=>Pe=xe)])}e.raceTimeout=I;function f(be){return new Promise((ne,ve)=>{const Pe=be();E(Pe)?Pe.then(ne,ve):ne(Pe)})}e.asPromise=f;class h{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(ne){if(this.activePromise){if(this.queuedPromiseFactory=ne,!this.queuedPromise){const ve=()=>{this.queuedPromise=null;const Pe=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,Pe};this.queuedPromise=new Promise(Pe=>{this.activePromise.then(ve,ve).then(Pe)})}return new Promise((ve,Pe)=>{this.queuedPromise.then(ve,Pe)})}return this.activePromise=ne(),new Promise((ve,Pe)=>{this.activePromise.then(Fe=>{this.activePromise=null,ve(Fe)},Fe=>{this.activePromise=null,Pe(Fe)})})}}e.Throttler=h;class d{constructor(){this.current=Promise.resolve(null)}queue(ne){return this.current=this.current.then(()=>ne(),()=>ne())}}e.Sequencer=d;class o{constructor(){this.promiseMap=new Map}queue(ne,ve){const Fe=(this.promiseMap.get(ne)??Promise.resolve()).catch(()=>{}).then(ve).finally(()=>{this.promiseMap.get(ne)===Fe&&this.promiseMap.delete(ne)});return this.promiseMap.set(ne,Fe),Fe}}e.SequencerByKey=o;const g=(be,ne)=>{let ve=!0;const Pe=setTimeout(()=>{ve=!1,ne()},be);return{isTriggered:()=>ve,dispose:()=>{clearTimeout(Pe),ve=!1}}},A=be=>{let ne=!0;return queueMicrotask(()=>{ne&&(ne=!1,be())}),{isTriggered:()=>ne,dispose:()=>{ne=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class c{constructor(ne){this.defaultDelay=ne,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(ne,ve=this.defaultDelay){this.task=ne,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Fe,xe)=>{this.doResolve=Fe,this.doReject=xe}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Fe=this.task;return this.task=null,Fe()}}));const Pe=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=ve===e.MicrotaskDelay?A(Pe):g(ve,Pe),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new v.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=c;class _{constructor(ne){this.delayer=new c(ne),this.throttler=new h}trigger(ne,ve){return this.delayer.trigger(()=>this.throttler.queue(ne),ve)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=_;class s{constructor(){this._isOpen=!1,this._promise=new Promise((ne,ve)=>{this._completePromise=ne})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=s;class u extends s{constructor(ne){super();this._timeout=setTimeout(()=>this.open(),ne)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=u;function i(be,ne){return ne?new Promise((ve,Pe)=>{const Fe=setTimeout(()=>{xe.dispose(),ve()},be),xe=ne.onCancellationRequested(()=>{clearTimeout(Fe),xe.dispose(),Pe(new v.CancellationError)})}):T(ve=>i(be,ve))}e.timeout=i;function n(be,ne=0){const ve=setTimeout(be,ne);return(0,M.toDisposable)(()=>clearTimeout(ve))}e.disposableTimeout=n;function r(be){const ne=[];let ve=0;const Pe=be.length;function Fe(){return ve<Pe?be[ve++]():null}function xe(Qe){Qe!=null&&ne.push(Qe);const Ie=Fe();return Ie?Ie.then(xe):Promise.resolve(ne)}return Promise.resolve(null).then(xe)}e.sequence=r;function t(be,ne=Pe=>!!Pe,ve=null){let Pe=0;const Fe=be.length,xe=()=>{if(Pe>=Fe)return Promise.resolve(ve);const Qe=be[Pe++];return Promise.resolve(Qe()).then(Se=>ne(Se)?Promise.resolve(Se):xe())};return xe()}e.first=t;function l(be,ne=Pe=>!!Pe,ve=null){if(be.length===0)return Promise.resolve(ve);let Pe=be.length;const Fe=()=>{Pe=-1;for(const xe of be)xe.cancel?.()};return new Promise((xe,Qe)=>{for(const Ie of be)Ie.then(Se=>{--Pe>=0&&ne(Se)?(Fe(),xe(Se)):Pe===0&&xe(ve)}).catch(Se=>{--Pe>=0&&(Fe(),Qe(Se))})})}e.firstParallel=l;class w{constructor(ne){this._size=0,this.maxDegreeOfParalellism=ne,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new b.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(ne){return this._size++,new Promise((ve,Pe)=>{this.outstandingPromises.push({factory:ne,c:ve,e:Pe}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const ne=this.outstandingPromises.shift();this.runningPromises++;const ve=ne.factory();ve.then(ne.c,ne.e),ve.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=w;class p extends w{constructor(){super(1)}}e.Queue=p;class D{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const ne=new ee;return this.drainers.add(ne),ne.p}isDrained(){for(const[,ne]of this.queues)if(ne.size>0)return!1;return!0}queueFor(ne,ve=y.extUri){const Pe=ve.getComparisonKey(ne);let Fe=this.queues.get(Pe);return Fe||(Fe=new p,b.Event.once(Fe.onDrained)(()=>{Fe?.dispose(),this.queues.delete(Pe),this.onDidQueueDrain()}),this.queues.set(Pe,Fe)),Fe}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const ne of this.drainers)ne.complete();this.drainers.clear()}dispose(){for(const[,ne]of this.queues)ne.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=D;class U{constructor(ne,ve){this._token=-1,typeof ne=="function"&&typeof ve=="number"&&this.setIfNotSet(ne,ve)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(ne,ve){this.cancel(),this._token=setTimeout(()=>{this._token=-1,ne()},ve)}setIfNotSet(ne,ve){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,ne()},ve))}}e.TimeoutTimer=U;class V{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(ne,ve){this.cancel(),this._token=setInterval(()=>{ne()},ve)}}e.IntervalTimer=V;class x{constructor(ne,ve){this.timeoutToken=-1,this.runner=ne,this.timeout=ve,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(ne=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,ne)}get delay(){return this.timeout}set delay(ne){this.timeout=ne}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=x;class C{constructor(ne,ve){ve%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ve}ms is not a multiple of 1000ms.`),this.runner=ne,this.timeout=ve,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(ne=this.timeout){ne%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ne}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(ne/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=C;class L extends x{constructor(ne,ve){super(ne,ve);this.units=[]}work(ne){this.units.push(ne),this.isScheduled()||this.schedule()}doRun(){const ne=this.units;this.units=[],this.runner?.(ne)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=L;class B extends M.Disposable{constructor(ne,ve){super();this.options=ne,this.handler=ve,this.pendingWork=[],this.throttler=this._register(new M.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(ne){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+ne.length>this.options.maxBufferedWork)return!1}else if(this.pending+ne.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...ne),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new x(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=B,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=be=>{(0,P.setTimeout0)(()=>{if(ne)return;const ve=Date.now()+15;be(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ve-Date.now())}}))});let ne=!1;return{dispose(){ne||(ne=!0)}}}:e.runWhenIdle=(be,ne)=>{const ve=requestIdleCallback(be,typeof ne=="number"?{timeout:ne}:void 0);let Pe=!1;return{dispose(){Pe||(Pe=!0,cancelIdleCallback(ve))}}}}();class F{constructor(ne){this._didRun=!1,this._executor=()=>{try{this._value=ne()}catch(ve){this._error=ve}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=F;async function K(be,ne,ve){let Pe;for(let Fe=0;Fe<ve;Fe++)try{return await be()}catch(xe){Pe=xe,await i(ne)}throw Pe}e.retry=K;class H{hasPending(ne){return this._pending?typeof ne=="number"?this._pending.taskId===ne:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(ne,ve,Pe){return this._pending={taskId:ne,cancel:()=>Pe?.(),promise:ve},ve.then(()=>this.donePending(ne),()=>this.donePending(ne)),ve}donePending(ne){this._pending&&ne===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const ne=this._next;this._next=void 0,ne.run().then(ne.promiseResolve,ne.promiseReject)}}setNext(ne){if(this._next)this._next.run=ne;else{let ve,Pe;const Fe=new Promise((xe,Qe)=>{ve=xe,Pe=Qe});this._next={run:ne,promise:Fe,promiseResolve:ve,promiseReject:Pe}}return this._next.promise}}e.TaskSequentializer=H;class O{constructor(ne,ve=()=>Date.now()){this.interval=ne,this.nowFn=ve,this.lastIncrementTime=0,this.value=0}increment(){const ne=this.nowFn();return ne-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=ne,this.value=0),this.value++,this.value}}e.IntervalCounter=O;class ee{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((ne,ve)=>{this.completeCallback=ne,this.errorCallback=ve})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(ne){return new Promise(ve=>{this.completeCallback(ne),this.resolved=!0,ve()})}error(ne){return new Promise(ve=>{this.errorCallback(ne),this.rejected=!0,ve()})}cancel(){new Promise(ne=>{this.errorCallback(new v.CancellationError),this.rejected=!0,ne()})}}e.DeferredPromise=ee;var ce;(function(be){async function ne(Pe){let Fe;const xe=await Promise.all(Pe.map(Qe=>Qe.then(Ie=>Ie,Ie=>{Fe||(Fe=Ie)})));if(typeof Fe!="undefined")throw Fe;return xe}be.settled=ne;function ve(Pe){return new Promise(async(Fe,xe)=>{try{await Pe(Fe,xe)}catch(Qe){xe(Qe)}})}be.withAsyncBody=ve})(ce=e.Promises||(e.Promises={}));var oe;(function(be){be[be.Initial=0]="Initial",be[be.DoneOK=1]="DoneOK",be[be.DoneError=2]="DoneError"})(oe||(oe={}));class le{constructor(ne){this._state=0,this._results=[],this._error=null,this._onStateChanged=new b.Emitter,queueMicrotask(async()=>{const ve={emitOne:Pe=>this.emitOne(Pe),emitMany:Pe=>this.emitMany(Pe),reject:Pe=>this.reject(Pe)};try{await Promise.resolve(ne(ve)),this.resolve()}catch(Pe){this.reject(Pe)}finally{ve.emitOne=void 0,ve.emitMany=void 0,ve.reject=void 0}})}static fromArray(ne){return new le(ve=>{ve.emitMany(ne)})}static fromPromise(ne){return new le(async ve=>{ve.emitMany(await ne)})}static fromPromises(ne){return new le(async ve=>{await Promise.all(ne.map(async Pe=>ve.emitOne(await Pe)))})}static merge(ne){return new le(async ve=>{await Promise.all(ne.map(async Pe=>{for await(const Fe of Pe)ve.emitOne(Fe)}))})}[Symbol.asyncIterator](){let ne=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(ne<this._results.length)return{done:!1,value:this._results[ne++]};if(this._state===1)return{done:!0,value:void 0};await b.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(ne,ve){return new le(async Pe=>{for await(const Fe of ne)Pe.emitOne(ve(Fe))})}map(ne){return le.map(this,ne)}static filter(ne,ve){return new le(async Pe=>{for await(const Fe of ne)ve(Fe)&&Pe.emitOne(Fe)})}filter(ne){return le.filter(this,ne)}static coalesce(ne){return le.filter(ne,ve=>!!ve)}coalesce(){return le.coalesce(this)}static async toPromise(ne){const ve=[];for await(const Pe of ne)ve.push(Pe);return ve}toPromise(){return le.toPromise(this)}emitOne(ne){this._state===0&&(this._results.push(ne),this._onStateChanged.fire())}emitMany(ne){this._state===0&&(this._results=this._results.concat(ne),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(ne){this._state===0&&(this._state=2,this._error=ne,this._onStateChanged.fire())}}e.AsyncIterableObject=le,le.EMPTY=le.fromArray([]);class te extends le{constructor(ne,ve){super(ve);this._source=ne}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=te;function Ee(be){const ne=new a.CancellationTokenSource,ve=be(ne.token);return new te(ne,async Pe=>{const Fe=ne.token.onCancellationRequested(()=>{Fe.dispose(),ne.dispose(),Pe.reject(new v.CancellationError)});try{for await(const xe of ve){if(ne.token.isCancellationRequested)return;Pe.emitOne(xe)}Fe.dispose(),ne.dispose()}catch(xe){Fe.dispose(),ne.dispose(),Pe.reject(xe)}})}e.createCancelableAsyncIterable=Ee}),define(ye[118],De([1,0,14,19]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const b=new a.IdleValue(()=>{const p=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:p,collatorIsNumeric:p.resolvedOptions().numeric}}),M=new a.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),y=new a.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(p,D,U=!1){const V=p||"",x=D||"",C=b.value.collator.compare(V,x);return b.value.collatorIsNumeric&&C===0&&V!==x?V<x?-1:1:C}e.compareFileNames=P;function E(p,D){const U=M.value.collator;return p=p||"",D=D||"",_(U,p,D)}e.compareFileNamesDefault=E;function T(p,D){const U=M.value.collator;return p=p||"",D=D||"",n(p,D)||_(U,p,D)}e.compareFileNamesUpper=T;function R(p,D){const U=M.value.collator;return p=p||"",D=D||"",i(p,D)||_(U,p,D)}e.compareFileNamesLower=R;function S(p,D){return p=p||"",D=D||"",p===D?0:p<D?-1:1}e.compareFileNamesUnicode=S;function m(p,D,U=!1){U||(p=p&&p.toLowerCase(),D=D&&D.toLowerCase());const[V,x]=A(p),[C,L]=A(D);return V!==C?V<C?-1:1:x===L?0:x<L?-1:1}e.noIntlCompareFileNames=m;function I(p,D){const[U,V]=A(p),[x,C]=A(D);let L=b.value.collator.compare(V,C);if(L===0){if(b.value.collatorIsNumeric&&V!==C)return V<C?-1:1;if(L=b.value.collator.compare(U,x),b.value.collatorIsNumeric&&L===0&&U!==x)return U<x?-1:1}return L}e.compareFileExtensions=I;function f(p,D){p=p||"",D=D||"";const U=c(p),V=c(D),x=M.value.collator,C=y.value.collator;return _(C,U,V)||_(x,p,D)}e.compareFileExtensionsDefault=f;function h(p,D){p=p||"",D=D||"";const U=c(p),V=c(D),x=M.value.collator,C=y.value.collator;return _(C,U,V)||n(p,D)||_(x,p,D)}e.compareFileExtensionsUpper=h;function d(p,D){p=p||"",D=D||"";const U=c(p),V=c(D),x=M.value.collator,C=y.value.collator;return _(C,U,V)||i(p,D)||_(x,p,D)}e.compareFileExtensionsLower=d;function o(p,D){p=p||"",D=D||"";const U=c(p).toLowerCase(),V=c(D).toLowerCase();return U!==V?U<V?-1:1:p!==D?p<D?-1:1:0}e.compareFileExtensionsUnicode=o;const g=/^(.*?)(\.([^.]*))?$/;function A(p,D=!1){const U=p?g.exec(p):[];let V=[U&&U[1]||"",U&&U[3]||""];return D&&(!V[0]&&V[1]||V[0]&&V[0].charAt(0)===".")&&(V=[V[0]+"."+V[1],""]),V}function c(p){const D=p?g.exec(p):[];return D&&D[1]&&D[1].charAt(0)!=="."&&D[3]||""}function _(p,D,U){const V=p.compare(D,U);return V!==0?V:D.length!==U.length?D.length<U.length?-1:1:0}function s(p){const D=p.charAt(0);return D.toLocaleUpperCase()!==D}function u(p){const D=p.charAt(0);return D.toLocaleLowerCase()!==D}function i(p,D){return s(p)&&u(D)?-1:u(p)&&s(D)?1:0}function n(p,D){return u(p)&&s(D)?-1:s(p)&&u(D)?1:0}function r(p,D,U=!1){return U||(p=p&&p.toLowerCase(),D=D&&D.toLowerCase()),p===D?0:p<D?-1:1}function t(p,D,U=!1){const V=p.split(v.sep),x=D.split(v.sep),C=V.length-1,L=x.length-1;let B,F;for(let K=0;;K++){if(B=C===K,F=L===K,B&&F)return P(V[K],x[K],U);if(B)return-1;if(F)return 1;const H=r(V[K],x[K],U);if(H!==0)return H}}e.comparePaths=t;function l(p,D,U){const V=p.toLowerCase(),x=D.toLowerCase(),C=w(p,D,U);if(C)return C;const L=V.endsWith(U),B=x.endsWith(U);if(L!==B)return L?-1:1;const F=P(V,x);return F!==0?F:V.localeCompare(x)}e.compareAnything=l;function w(p,D,U){const V=p.toLowerCase(),x=D.toLowerCase(),C=V.startsWith(U),L=x.startsWith(U);if(C!==L)return C?-1:1;if(C&&L){if(V.length<x.length)return-1;if(V.length>x.length)return 1}return 0}e.compareByPrefix=w}),define(ye[34],De([1,0,16,14,37,25,19,21,9]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function T(){return Object.create(null)}e.getEmptyExpression=T,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const R="[/\\\\]",S="[^/\\\\]",m=/\//g;function I(ee,ce){switch(ee){case 0:return"";case 1:return`${S}*?`;default:return`(?:${R}|${S}+${R}${ce?`|${R}${S}+`:""})*?`}}function f(ee,ce){if(!ee)return[];const oe=[];let le=!1,te=!1,Ee="";for(const be of ee){switch(be){case ce:if(!le&&!te){oe.push(Ee),Ee="";continue}break;case"{":le=!0;break;case"}":le=!1;break;case"[":te=!0;break;case"]":te=!1;break}Ee+=be}return Ee&&oe.push(Ee),oe}e.splitGlobAware=f;function h(ee){if(!ee)return"";let ce="";const oe=f(ee,e.GLOB_SPLIT);if(oe.every(le=>le===e.GLOBSTAR))ce=".*";else{let le=!1;oe.forEach((te,Ee)=>{if(te===e.GLOBSTAR){if(le)return;ce+=I(2,Ee===oe.length-1)}else{let be=!1,ne="",ve=!1,Pe="";for(const Fe of te){if(Fe!=="}"&&be){ne+=Fe;continue}if(ve&&(Fe!=="]"||!Pe)){let xe;Fe==="-"?xe=Fe:(Fe==="^"||Fe==="!")&&!Pe?xe="^":Fe===e.GLOB_SPLIT?xe="":xe=(0,E.escapeRegExpCharacters)(Fe),Pe+=xe;continue}switch(Fe){case"{":be=!0;continue;case"[":ve=!0;continue;case"}":{ce+=`(?:${f(ne,",").map(Ie=>h(Ie)).join("|")})`,be=!1,ne="";break}case"]":{ce+="["+Pe+"]",ve=!1,Pe="";break}case"?":ce+=S;continue;case"*":ce+=I(1);continue;default:ce+=(0,E.escapeRegExpCharacters)(Fe)}}Ee<oe.length-1&&(oe[Ee+1]!==e.GLOBSTAR||Ee+2<oe.length)&&(ce+=R)}le=te===e.GLOBSTAR})}return ce}const d=/^\*\*\/\*\.[\w\.-]+$/,o=/^\*\*\/([\w\.-]+)\/?$/,g=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,A=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,c=/^\*\*((\/[\w\.-]+)+)\/?$/,_=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,s=new M.LRUCache(1e4),u=function(){return!1},i=function(){return null};function n(ee,ce){if(!ee)return i;let oe;typeof ee!="string"?oe=ee.pattern:oe=ee,oe=oe.trim();const le=`${oe}_${!!ce.trimForExclusions}`;let te=s.get(le);if(te)return r(te,ee);let Ee;return d.test(oe)?te=l(oe.substr(4),oe):(Ee=o.exec(t(oe,ce)))?te=w(Ee[1],oe):(ce.trimForExclusions?A:g).test(oe)?te=p(oe,ce):(Ee=c.exec(t(oe,ce)))?te=D(Ee[1].substr(1),oe,!0):(Ee=_.exec(t(oe,ce)))?te=D(Ee[1],oe,!1):te=U(oe),s.set(le,te),r(te,ee)}function r(ee,ce){if(typeof ce=="string")return ee;const oe=function(le,te){return(0,b.isEqualOrParent)(le,ce.base,!P.isLinux)?ee(le.substr(ce.base.length+1),te):null};return oe.allBasenames=ee.allBasenames,oe.allPaths=ee.allPaths,oe.basenames=ee.basenames,oe.patterns=ee.patterns,oe}function t(ee,ce){return ce.trimForExclusions&&ee.endsWith("/**")?ee.substr(0,ee.length-2):ee}function l(ee,ce){return function(oe,le){return typeof oe=="string"&&oe.endsWith(ee)?ce:null}}function w(ee,ce){const oe=`/${ee}`,le=`\\${ee}`,te=function(be,ne){return typeof be!="string"?null:ne?ne===ee?ce:null:be===ee||be.endsWith(oe)||be.endsWith(le)?ce:null},Ee=[ee];return te.basenames=Ee,te.patterns=[ce],te.allBasenames=Ee,te}function p(ee,ce){const oe=H(ee.slice(1,-1).split(",").map(ne=>n(ne,ce)).filter(ne=>ne!==i),ee),le=oe.length;if(!le)return i;if(le===1)return oe[0];const te=function(ne,ve){for(let Pe=0,Fe=oe.length;Pe<Fe;Pe++)if(oe[Pe](ne,ve))return ee;return null},Ee=oe.find(ne=>!!ne.allBasenames);Ee&&(te.allBasenames=Ee.allBasenames);const be=oe.reduce((ne,ve)=>ve.allPaths?ne.concat(ve.allPaths):ne,[]);return be.length&&(te.allPaths=be),te}function D(ee,ce,oe){const le=y.sep===y.posix.sep,te=le?ee:ee.replace(m,y.sep),Ee=y.sep+te,be=y.posix.sep+ee;let ne;return oe?ne=function(ve,Pe){return typeof ve=="string"&&(ve===te||ve.endsWith(Ee)||!le&&(ve===ee||ve.endsWith(be)))?ce:null}:ne=function(ve,Pe){return typeof ve=="string"&&(ve===te||!le&&ve===ee)?ce:null},ne.allPaths=[(oe?"*/":"./")+ee],ne}function U(ee){try{const ce=new RegExp(`^${h(ee)}$`);return function(oe){return ce.lastIndex=0,typeof oe=="string"&&ce.test(oe)?ee:null}}catch{return i}}function V(ee,ce,oe){return!ee||typeof ce!="string"?!1:x(ee)(ce,void 0,oe)}e.match=V;function x(ee,ce={}){if(!ee)return u;if(typeof ee=="string"||C(ee)){const oe=n(ee,ce);if(oe===i)return u;const le=function(te,Ee){return!!oe(te,Ee)};return oe.allBasenames&&(le.allBasenames=oe.allBasenames),oe.allPaths&&(le.allPaths=oe.allPaths),le}return F(ee,ce)}e.parse=x;function C(ee){const ce=ee;return ce?typeof ce.base=="string"&&typeof ce.pattern=="string":!1}e.isRelativePattern=C;function L(ee){return ee.allBasenames||[]}e.getBasenameTerms=L;function B(ee){return ee.allPaths||[]}e.getPathTerms=B;function F(ee,ce){const oe=H(Object.getOwnPropertyNames(ee).map(ne=>K(ne,ee[ne],ce)).filter(ne=>ne!==i)),le=oe.length;if(!le)return i;if(!oe.some(ne=>!!ne.requiresSiblings)){if(le===1)return oe[0];const ne=function(Fe,xe){let Qe;for(let Ie=0,Se=oe.length;Ie<Se;Ie++){const Te=oe[Ie](Fe,xe);if(typeof Te=="string")return Te;(0,v.isThenable)(Te)&&(Qe||(Qe=[]),Qe.push(Te))}return Qe?(async()=>{for(const Ie of Qe){const Se=await Ie;if(typeof Se=="string")return Se}return null})():null},ve=oe.find(Fe=>!!Fe.allBasenames);ve&&(ne.allBasenames=ve.allBasenames);const Pe=oe.reduce((Fe,xe)=>xe.allPaths?Fe.concat(xe.allPaths):Fe,[]);return Pe.length&&(ne.allPaths=Pe),ne}const te=function(ne,ve,Pe){let Fe,xe;for(let Qe=0,Ie=oe.length;Qe<Ie;Qe++){const Se=oe[Qe];Se.requiresSiblings&&Pe&&(ve||(ve=(0,y.basename)(ne)),Fe||(Fe=ve.substr(0,ve.length-(0,y.extname)(ne).length)));const Te=Se(ne,ve,Fe,Pe);if(typeof Te=="string")return Te;(0,v.isThenable)(Te)&&(xe||(xe=[]),xe.push(Te))}return xe?(async()=>{for(const Qe of xe){const Ie=await Qe;if(typeof Ie=="string")return Ie}return null})():null},Ee=oe.find(ne=>!!ne.allBasenames);Ee&&(te.allBasenames=Ee.allBasenames);const be=oe.reduce((ne,ve)=>ve.allPaths?ne.concat(ve.allPaths):ne,[]);return be.length&&(te.allPaths=be),te}function K(ee,ce,oe){if(ce===!1)return i;const le=n(ee,oe);if(le===i)return i;if(typeof ce=="boolean")return le;if(ce){const te=ce.when;if(typeof te=="string"){const Ee=(be,ne,ve,Pe)=>{if(!Pe||!le(be,ne))return null;const Fe=te.replace("$(basename)",ve),xe=Pe(Fe);return(0,v.isThenable)(xe)?xe.then(Qe=>Qe?ee:null):xe?ee:null};return Ee.requiresSiblings=!0,Ee}}return le}function H(ee,ce){const oe=ee.filter(ne=>!!ne.basenames);if(oe.length<2)return ee;const le=oe.reduce((ne,ve)=>{const Pe=ve.basenames;return Pe?ne.concat(Pe):ne},[]);let te;if(ce){te=[];for(let ne=0,ve=le.length;ne<ve;ne++)te.push(ce)}else te=oe.reduce((ne,ve)=>{const Pe=ve.patterns;return Pe?ne.concat(Pe):ne},[]);const Ee=function(ne,ve){if(typeof ne!="string")return null;if(!ve){let Fe;for(Fe=ne.length;Fe>0;Fe--){const xe=ne.charCodeAt(Fe-1);if(xe===47||xe===92)break}ve=ne.substr(Fe)}const Pe=le.indexOf(ve);return Pe!==-1?te[Pe]:null};Ee.basenames=le,Ee.patterns=te,Ee.allBasenames=le;const be=ee.filter(ne=>!ne.basenames);return be.push(Ee),be}function O(ee,ce){return(0,a.equals)(ee,ce,(oe,le)=>typeof oe=="string"&&typeof le=="string"?oe===le:typeof oe!="string"&&typeof le!="string"?oe.base===le.base&&oe.pattern===le.pattern:!1)}e.patternsEquals=O}),define(ye[75],De([1,0,11,116,22,9,2]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeDoubleQuotes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var P;(function(d){d[d.Paragraph=0]="Paragraph",d[d.Break=1]="Break"})(P=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class E{constructor(o="",g=!1){if(this.value=o,typeof this.value!="string")throw(0,a.illegalArgument)("value");typeof g=="boolean"?(this.isTrusted=g,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=g.isTrusted??void 0,this.supportThemeIcons=g.supportThemeIcons??!1,this.supportHtml=g.supportHtml??!1)}appendText(o,g=0){return this.value+=m(this.supportThemeIcons?(0,v.escapeIcons)(o):o).replace(/([ \t]+)/g,(A,c)=>"&nbsp;".repeat(c.length)).replace(/\>/gm,"\\>").replace(/\n/g,g===1?`\\
`:`

`),this}appendMarkdown(o){return this.value+=o,this}appendCodeblock(o,g){return this.value+="\n```",this.value+=o,this.value+=`
`,this.value+=g,this.value+="\n```\n",this}appendLink(o,g,A){return this.value+="[",this.value+=this._escape(g,"]"),this.value+="](",this.value+=this._escape(String(o),")"),A&&(this.value+=` "${this._escape(this._escape(A,'"'),")")}"`),this.value+=")",this}_escape(o,g){const A=new RegExp((0,M.escapeRegExpCharacters)(g),"g");return o.replace(A,(c,_)=>o.charAt(_-1)!=="\\"?`\\${c}`:c)}}e.MarkdownString=E;function T(d){return R(d)?!d.value:Array.isArray(d)?d.every(T):!0}e.isEmptyMarkdownString=T;function R(d){return d instanceof E?!0:d&&typeof d=="object"?typeof d.value=="string"&&(typeof d.isTrusted=="boolean"||d.isTrusted===void 0)&&(typeof d.supportThemeIcons=="boolean"||d.supportThemeIcons===void 0):!1}e.isMarkdownString=R;function S(d,o){return d===o?!0:!d||!o?!1:d.value===o.value&&d.isTrusted===o.isTrusted&&d.supportThemeIcons===o.supportThemeIcons&&d.supportHtml===o.supportHtml&&(d.baseUri===o.baseUri||!!d.baseUri&&!!o.baseUri&&(0,b.isEqual)(y.URI.from(d.baseUri),y.URI.from(o.baseUri)))}e.markdownStringEqual=S;function m(d){return d.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=m;function I(d){return d.replace(/"/g,"&quot;")}e.escapeDoubleQuotes=I;function f(d){return d&&d.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=f;function h(d){const o=[],g=d.split("|").map(c=>c.trim());d=g[0];const A=g[1];if(A){const c=/height=(\d+)/.exec(A),_=/width=(\d+)/.exec(A),s=c?c[1]:"",u=_?_[1]:"",i=isFinite(parseInt(u)),n=isFinite(parseInt(s));i&&o.push(`width="${u}"`),n&&o.push(`height="${s}"`)}return{href:d,dimensions:o}}e.parseHrefAndDimensions=h}),define(ye[76],De([1,0,16,37,19,21,22,9]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function E(i,n){const{os:r,tildify:t,relative:l}=n;if(l){const D=T(i,l,r);if(typeof D=="string")return D}let w=i.fsPath;if(r===1&&!M.isWindows?w=w.replace(/\//g,"\\"):r!==1&&M.isWindows&&(w=w.replace(/\\/g,"/")),r!==1&&t?.userHome){const D=t.userHome.fsPath;let U;i.scheme!==t.userHome.scheme&&i.path.startsWith(b.posix.sep)?U=t.userHome.with({path:i.path}).fsPath:U=i.fsPath,w=m(U,D,r)}return(r===1?b.win32:b.posix).normalize(R(w,r===1))}e.getPathLabel=E;function T(i,n,r){const t=r===1?b.win32:b.posix,l=r===3?y.extUri:y.extUriIgnorePathCase,w=n.getWorkspace(),p=(0,a.firstOrDefault)(w.folders);if(!p)return;i.scheme!==p.uri.scheme&&i.path.startsWith(b.posix.sep)&&(i=p.uri.with({path:i.path}));const D=n.getWorkspaceFolder(i);if(!D)return;let U;if(l.isEqual(D.uri,i)?U="":U=l.relativePath(D.uri,i)??"",U&&(U=t.normalize(U)),w.folders.length>1&&!n.noPrefix){const V=D.name?D.name:l.basenameOrAuthority(D.uri);U=U?`${V} \u2022 ${U}`:V}return U}function R(i,n=M.isWindows){return(0,v.hasDriveLetter)(i,n)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=R;let S=Object.create(null);function m(i,n,r=M.OS){if(r===1||!i||!n)return i;let t=S.original===n?S.normalized:void 0;t||(t=n,M.isWindows&&(t=(0,v.toSlashes)(t)),t=`${(0,P.rtrim)(t,b.posix.sep)}${b.posix.sep}`,S={original:n,normalized:t});let l=i;return M.isWindows&&(l=(0,v.toSlashes)(l)),(r===3?l.startsWith(t):(0,P.startsWithIgnoreCase)(l,t))?`~/${l.substr(t.length)}`:i}e.tildify=m;function I(i,n){return i.replace(/^~($|\/|\\)/,`${n}$1`)}e.untildify=I;const f="\u2026",h="\\\\",d="~";function o(i,n=b.sep){const r=new Array(i.length);let t=!1;for(let l=0;l<i.length;l++){const w=i[l];if(w===""){r[l]=`.${n}`;continue}if(!w){r[l]=w;continue}t=!0;let p="",D=w;D.indexOf(h)===0?(p=D.substr(0,D.indexOf(h)+h.length),D=D.substr(D.indexOf(h)+h.length)):D.indexOf(n)===0?(p=D.substr(0,D.indexOf(n)+n.length),D=D.substr(D.indexOf(n)+n.length)):D.indexOf(d)===0&&(p=D.substr(0,D.indexOf(d)+d.length),D=D.substr(D.indexOf(d)+d.length));const U=D.split(n);for(let V=1;t&&V<=U.length;V++)for(let x=U.length-V;t&&x>=0;x--){t=!1;let C=U.slice(x,x+V).join(n);for(let L=0;!t&&L<i.length;L++)if(L!==l&&i[L]&&i[L].indexOf(C)>-1){const B=x+V===U.length,F=x>0&&i[L].indexOf(n)>-1?n+C:C,K=i[L].endsWith(F);t=!B||K}if(!t){let L="";(U[0].endsWith(":")||p!=="")&&(x===1&&(x=0,V++,C=U[0]+n+C),x>0&&(L=U[0]+n),L=p+L),x>0&&(L=L+f+n),L=L+C,x+V<U.length&&(L=L+n+f),r[l]=L}}t&&(r[l]=w)}return r}e.shorten=o;var g;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(g||(g={}));function A(i,n=Object.create(null)){const r=[];let t=!1,l="";for(const w of i)if(w==="$"||t&&w==="{")l&&r.push({value:l,type:g.TEXT}),l="",t=!0;else if(w==="}"&&t){const p=n[l];if(typeof p=="string")p.length&&r.push({value:p,type:g.VARIABLE});else if(p){const D=r[r.length-1];(!D||D.type!==g.SEPARATOR)&&r.push({value:p.label,type:g.SEPARATOR})}l="",t=!1}else l+=w;return l&&!t&&r.push({value:l,type:g.TEXT}),r.filter((w,p)=>{if(w.type===g.SEPARATOR){const D=r[p-1],U=r[p+1];return[D,U].every(V=>V&&(V.type===g.VARIABLE||V.type===g.TEXT)&&V.value.length>0)}return!0}).map(w=>w.value).join("")}e.template=A;function c(i,n){return M.isMacintosh||n?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,M.isMacintosh?"&":"&&"):i.replace(/&&|&/g,r=>r==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function _(i,n){return M.isMacintosh||n?i.replace(/\(&&\w\)|&&/g,""):M.isWindows?i.replace(/&&|&/g,r=>r==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=_;function s(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=s;function u(i){const n=i.indexOf("/")!==-1?b.posix:b.win32,r=n.basename(i),t=n.dirname(i);return r.length?{name:r,parentPath:t}:{name:t,parentPath:""}}e.splitName=u}),define(ye[119],De([1,0,2]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function v(R){return R.toJSON()}class b{constructor(S){this._uriTransformer=S}transformIncoming(S){const m=this._uriTransformer.transformIncoming(S);return m===S?S:v(a.URI.from(m))}transformOutgoing(S){const m=this._uriTransformer.transformOutgoing(S);return m===S?S:v(a.URI.from(m))}transformOutgoingURI(S){const m=this._uriTransformer.transformOutgoing(S);return m===S?S:a.URI.from(m)}transformOutgoingScheme(S){return this._uriTransformer.transformOutgoingScheme(S)}}e.URITransformer=b,e.DefaultURITransformer=new class{transformIncoming(R){return R}transformOutgoing(R){return R}transformOutgoingURI(R){return R}transformOutgoingScheme(R){return R}};function M(R,S,m){if(!R||m>200)return null;if(typeof R=="object"){if(R instanceof a.URI)return S.transformOutgoing(R);for(const I in R)if(Object.hasOwnProperty.call(R,I)){const f=M(R[I],S,m+1);f!==null&&(R[I]=f)}}return null}function y(R,S){const m=M(R,S,0);return m===null?R:m}e.transformOutgoingURIs=y;function P(R,S,m,I){if(!R||I>200)return null;if(typeof R=="object"){if(R.$mid===1)return m?a.URI.revive(S.transformIncoming(R)):S.transformIncoming(R);for(const f in R)if(Object.hasOwnProperty.call(R,f)){const h=P(R[f],S,m,I+1);h!==null&&(R[f]=h)}}return null}function E(R,S){const m=P(R,S,!1,0);return m===null?R:m}e.transformIncomingURIs=E;function T(R,S){const m=P(R,S,!0,0);return m===null?R:m}e.transformAndReviveIncomingURIs=T}),define(ye[120],De([1,0,34,19]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function b(M,y,P,E,T,R){if(Array.isArray(M)){let S=0;for(const m of M){const I=b(m,y,P,E,T,R);if(I===10)return I;I>S&&(S=I)}return S}else{if(typeof M=="string")return E?M==="*"?5:M===P?10:0:0;if(M){const{language:S,pattern:m,scheme:I,hasAccessToAllModels:f,notebookType:h}=M;if(!E&&!f)return 0;h&&T&&(y=T);let d=0;if(I)if(I===y.scheme)d=10;else if(I==="*")d=5;else return 0;if(S)if(S===P)d=10;else if(S==="*")d=Math.max(d,5);else return 0;if(h)if(h===R)d=10;else if(h==="*"&&R!==void 0)d=Math.max(d,5);else return 0;if(m){let o;if(typeof m=="string"?o=m:o={...m,base:(0,v.normalize)(m.base)},o===y.fsPath||(0,a.match)(o,y.fsPath))d=10;else return 0}return d}else return 0}}e.score=b}),define(ye[77],De([1,0,23,21]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var b;(function(S){S[S.Full=1]="Full",S[S.Delta=2]="Delta"})(b||(b={}));function M(S){for(let m=0,I=S.length;m<I;m+=4){const f=S[m+0],h=S[m+1],d=S[m+2],o=S[m+3];S[m+0]=o,S[m+1]=d,S[m+2]=h,S[m+3]=f}}function y(S){const m=new Uint8Array(S.buffer,S.byteOffset,S.length*4);return v.isLittleEndian()||M(m),a.VSBuffer.wrap(m)}function P(S){const m=S.buffer;if(v.isLittleEndian()||M(m),m.byteOffset%4==0)return new Uint32Array(m.buffer,m.byteOffset,m.length/4);{const I=new Uint8Array(m.byteLength);return I.set(m),new Uint32Array(I.buffer,I.byteOffset,I.length/4)}}function E(S){const m=new Uint32Array(T(S));let I=0;if(m[I++]=S.id,S.type==="full")m[I++]=1,m[I++]=S.data.length,m.set(S.data,I),I+=S.data.length;else{m[I++]=2,m[I++]=S.deltas.length;for(const f of S.deltas)m[I++]=f.start,m[I++]=f.deleteCount,f.data?(m[I++]=f.data.length,m.set(f.data,I),I+=f.data.length):m[I++]=0}return y(m)}e.encodeSemanticTokensDto=E;function T(S){let m=0;if(m+=1+1,S.type==="full")m+=1+S.data.length;else{m+=1,m+=(1+1+1)*S.deltas.length;for(const I of S.deltas)I.data&&(m+=I.data.length)}return m}function R(S){const m=P(S);let I=0;const f=m[I++];if(m[I++]===1){const g=m[I++],A=m.subarray(I,I+g);return I+=g,{id:f,type:"full",data:A}}const d=m[I++],o=[];for(let g=0;g<d;g++){const A=m[I++],c=m[I++],_=m[I++];let s;_>0&&(s=m.subarray(I,I+_),I+=_),o[g]={start:A,deleteCount:c,data:s}}return{id:f,type:"delta",deltas:o}}e.decodeSemanticTokensDto=R}),define(ye[121],De([17,18]),function(ie,e){return ie.create("vs/editor/common/config/editorOptions",e)}),define(ye[122],De([1,0,121,21,123,16,26,110]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var E;(function(G){G[G.None=0]="None",G[G.Keep=1]="Keep",G[G.Brackets=2]="Brackets",G[G.Advanced=3]="Advanced",G[G.Full=4]="Full"})(E=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class T{constructor(Q){this._values=Q}hasChanged(Q){return this._values[Q]}}e.ConfigurationChangedEvent=T;class R{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=R;class S{constructor(Q,fe,Ue,He){this.id=Q,this.name=fe,this.defaultValue=Ue,this.schema=He}applyUpdate(Q,fe){return I(Q,fe)}compute(Q,fe,Ue){return Ue}}class m{constructor(Q,fe){this.newValue=Q,this.didChange=fe}}e.ApplyUpdateResult=m;function I(G,Q){if(typeof G!="object"||typeof Q!="object"||!G||!Q)return new m(Q,G!==Q);if(Array.isArray(G)||Array.isArray(Q)){const Ue=Array.isArray(G)&&Array.isArray(Q)&&M.equals(G,Q);return new m(Q,!Ue)}let fe=!1;for(const Ue in Q)if(Q.hasOwnProperty(Ue)){const He=I(G[Ue],Q[Ue]);He.didChange&&(G[Ue]=He.newValue,fe=!0)}return new m(G,fe)}class f{constructor(Q){this.schema=void 0,this.id=Q,this.name="_never_",this.defaultValue=void 0}applyUpdate(Q,fe){return I(Q,fe)}validate(Q){return this.defaultValue}}class h{constructor(Q,fe,Ue,He){this.id=Q,this.name=fe,this.defaultValue=Ue,this.schema=He}applyUpdate(Q,fe){return I(Q,fe)}validate(Q){return typeof Q=="undefined"?this.defaultValue:Q}compute(Q,fe,Ue){return Ue}}function d(G,Q){return typeof G=="undefined"?Q:G==="false"?!1:Boolean(G)}e.boolean=d;class o extends h{constructor(Q,fe,Ue,He=void 0){typeof He!="undefined"&&(He.type="boolean",He.default=Ue);super(Q,fe,Ue,He)}validate(Q){return d(Q,this.defaultValue)}}function g(G,Q,fe,Ue){if(typeof G=="undefined")return Q;let He=parseInt(G,10);return isNaN(He)?Q:(He=Math.max(fe,He),He=Math.min(Ue,He),He|0)}e.clampedInt=g;class A extends h{constructor(Q,fe,Ue,He,Ze,qe=void 0){typeof qe!="undefined"&&(qe.type="integer",qe.default=Ue,qe.minimum=He,qe.maximum=Ze);super(Q,fe,Ue,qe);this.minimum=He,this.maximum=Ze}static clampedInt(Q,fe,Ue,He){return g(Q,fe,Ue,He)}validate(Q){return A.clampedInt(Q,this.defaultValue,this.minimum,this.maximum)}}class c extends h{constructor(Q,fe,Ue,He,Ze){typeof Ze!="undefined"&&(Ze.type="number",Ze.default=Ue);super(Q,fe,Ue,Ze);this.validationFn=He}static clamp(Q,fe,Ue){return Q<fe?fe:Q>Ue?Ue:Q}static float(Q,fe){if(typeof Q=="number")return Q;if(typeof Q=="undefined")return fe;const Ue=parseFloat(Q);return isNaN(Ue)?fe:Ue}validate(Q){return this.validationFn(c.float(Q,this.defaultValue))}}class _ extends h{static string(Q,fe){return typeof Q!="string"?fe:Q}constructor(Q,fe,Ue,He=void 0){typeof He!="undefined"&&(He.type="string",He.default=Ue);super(Q,fe,Ue,He)}validate(Q){return _.string(Q,this.defaultValue)}}function s(G,Q,fe){return typeof G!="string"||fe.indexOf(G)===-1?Q:G}e.stringSet=s;class u extends h{constructor(Q,fe,Ue,He,Ze=void 0){typeof Ze!="undefined"&&(Ze.type="string",Ze.enum=He,Ze.default=Ue);super(Q,fe,Ue,Ze);this._allowedValues=He}validate(Q){return s(Q,this.defaultValue,this._allowedValues)}}class i extends S{constructor(Q,fe,Ue,He,Ze,qe,We=void 0){typeof We!="undefined"&&(We.type="string",We.enum=Ze,We.default=He);super(Q,fe,Ue,We);this._allowedValues=Ze,this._convert=qe}validate(Q){return typeof Q!="string"?this.defaultValue:this._allowedValues.indexOf(Q)===-1?this.defaultValue:this._convert(Q)}}function n(G){switch(G){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class r extends S{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[a.localize(0,null),a.localize(1,null),a.localize(2,null)],default:"auto",description:a.localize(3,null)})}validate(Q){switch(Q){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Q,fe,Ue){return Ue===0?Q.accessibilitySupport:Ue}}class t extends S{constructor(){const Q={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",Q,{"editor.comments.insertSpace":{type:"boolean",default:Q.insertSpace,description:a.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Q.ignoreEmptyLines,description:a.localize(5,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{insertSpace:d(fe.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:d(fe.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var l;(function(G){G[G.Hidden=0]="Hidden",G[G.Blink=1]="Blink",G[G.Smooth=2]="Smooth",G[G.Phase=3]="Phase",G[G.Expand=4]="Expand",G[G.Solid=5]="Solid"})(l=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function w(G){switch(G){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var p;(function(G){G[G.Line=1]="Line",G[G.Block=2]="Block",G[G.Underline=3]="Underline",G[G.LineThin=4]="LineThin",G[G.BlockOutline=5]="BlockOutline",G[G.UnderlineThin=6]="UnderlineThin"})(p=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function D(G){switch(G){case p.Line:return"line";case p.Block:return"block";case p.Underline:return"underline";case p.LineThin:return"line-thin";case p.BlockOutline:return"block-outline";case p.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=D;function U(G){switch(G){case"line":return p.Line;case"block":return p.Block;case"underline":return p.Underline;case"line-thin":return p.LineThin;case"block-outline":return p.BlockOutline;case"underline-thin":return p.UnderlineThin}}class V extends f{constructor(){super(130)}compute(Q,fe,Ue){const He=["monaco-editor"];return fe.get(34)&&He.push(fe.get(34)),Q.extraEditorClassName&&He.push(Q.extraEditorClassName),fe.get(67)==="default"?He.push("mouse-default"):fe.get(67)==="copy"&&He.push("mouse-copy"),fe.get(101)&&He.push("showUnused"),fe.get(128)&&He.push("showDeprecated"),He.join(" ")}}class x extends o{constructor(){super(33,"emptySelectionClipboard",!0,{description:a.localize(6,null)})}compute(Q,fe,Ue){return Ue&&Q.emptySelectionClipboard}}class C extends S{constructor(){const Q={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(36,"find",Q,{"editor.find.cursorMoveOnType":{type:"boolean",default:Q.cursorMoveOnType,description:a.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:Q.seedSearchStringFromSelection,enumDescriptions:[a.localize(8,null),a.localize(9,null),a.localize(10,null)],description:a.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Q.autoFindInSelection,enumDescriptions:[a.localize(12,null),a.localize(13,null),a.localize(14,null)],description:a.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Q.globalFindClipboard,description:a.localize(16,null),included:v.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Q.addExtraSpaceOnTop,description:a.localize(17,null)},"editor.find.loop":{type:"boolean",default:Q.loop,description:a.localize(18,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{cursorMoveOnType:d(fe.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof Q.seedSearchStringFromSelection=="boolean"?Q.seedSearchStringFromSelection?"always":"never":s(fe.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof Q.autoFindInSelection=="boolean"?Q.autoFindInSelection?"always":"never":s(fe.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:d(fe.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:d(fe.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:d(fe.loop,this.defaultValue.loop)}}}class L extends S{constructor(){super(46,"fontLigatures",L.OFF,{anyOf:[{type:"boolean",description:a.localize(19,null)},{type:"string",description:a.localize(20,null)}],description:a.localize(21,null),default:!1})}validate(Q){return typeof Q=="undefined"?this.defaultValue:typeof Q=="string"?Q==="false"?L.OFF:Q==="true"?L.ON:Q:Boolean(Q)?L.ON:L.OFF}}e.EditorFontLigatures=L,L.OFF='"liga" off, "calt" off',L.ON='"liga" on, "calt" on';class B extends f{constructor(){super(45)}compute(Q,fe,Ue){return Q.fontInfo}}class F extends h{constructor(){super(47,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:a.localize(22,null)})}validate(Q){const fe=c.float(Q,this.defaultValue);return fe===0?e.EDITOR_FONT_DEFAULTS.fontSize:c.clamp(fe,6,100)}compute(Q,fe,Ue){return Q.fontInfo.fontSize}}class K extends S{constructor(){super(48,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:K.MINIMUM_VALUE,maximum:K.MAXIMUM_VALUE,errorMessage:a.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:K.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:a.localize(24,null)})}validate(Q){return Q==="normal"||Q==="bold"?Q:String(A.clampedInt(Q,e.EDITOR_FONT_DEFAULTS.fontWeight,K.MINIMUM_VALUE,K.MAXIMUM_VALUE))}}K.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],K.MINIMUM_VALUE=1,K.MAXIMUM_VALUE=1e3;class H extends S{constructor(){const Q={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},fe={type:"string",enum:["peek","gotoAndPeek","goto"],default:Q.multiple,enumDescriptions:[a.localize(25,null),a.localize(26,null),a.localize(27,null)]},Ue=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(52,"gotoLocation",Q,{"editor.gotoLocation.multiple":{deprecationMessage:a.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:a.localize(29,null),...fe},"editor.gotoLocation.multipleTypeDefinitions":{description:a.localize(30,null),...fe},"editor.gotoLocation.multipleDeclarations":{description:a.localize(31,null),...fe},"editor.gotoLocation.multipleImplementations":{description:a.localize(32,null),...fe},"editor.gotoLocation.multipleReferences":{description:a.localize(33,null),...fe},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Q.alternativeDefinitionCommand,enum:Ue,description:a.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Q.alternativeTypeDefinitionCommand,enum:Ue,description:a.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Q.alternativeDeclarationCommand,enum:Ue,description:a.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Q.alternativeImplementationCommand,enum:Ue,description:a.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Q.alternativeReferenceCommand,enum:Ue,description:a.localize(38,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{multiple:s(fe.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:fe.multipleDefinitions??s(fe.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:fe.multipleTypeDefinitions??s(fe.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:fe.multipleDeclarations??s(fe.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:fe.multipleImplementations??s(fe.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:fe.multipleReferences??s(fe.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:_.string(fe.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:_.string(fe.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:_.string(fe.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:_.string(fe.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:_.string(fe.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class O extends S{constructor(){const Q={enabled:!0,delay:300,sticky:!0,above:!0};super(54,"hover",Q,{"editor.hover.enabled":{type:"boolean",default:Q.enabled,description:a.localize(39,null)},"editor.hover.delay":{type:"number",default:Q.delay,minimum:0,maximum:1e4,description:a.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:Q.sticky,description:a.localize(41,null)},"editor.hover.above":{type:"boolean",default:Q.above,description:a.localize(42,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),delay:A.clampedInt(fe.delay,this.defaultValue.delay,0,1e4),sticky:d(fe.sticky,this.defaultValue.sticky),above:d(fe.above,this.defaultValue.above)}}}var ee;(function(G){G[G.None=0]="None",G[G.Text=1]="Text",G[G.Blocks=2]="Blocks"})(ee=e.RenderMinimap||(e.RenderMinimap={}));class ce extends f{constructor(){super(133)}compute(Q,fe,Ue){return ce.computeLayout(fe,{memory:Q.memory,outerWidth:Q.outerWidth,outerHeight:Q.outerHeight,isDominatedByLongLines:Q.isDominatedByLongLines,lineHeight:Q.fontInfo.lineHeight,viewLineCount:Q.viewLineCount,lineNumbersDigitCount:Q.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Q.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Q.fontInfo.maxDigitWidth,pixelRatio:Q.pixelRatio})}static computeContainedMinimapLineCount(Q){const fe=Q.height/Q.lineHeight,Ue=Q.scrollBeyondLastLine?fe-1:0,He=(Q.viewLineCount+Ue)/(Q.pixelRatio*Q.height),Ze=Math.floor(Q.viewLineCount/He);return{typicalViewportLineCount:fe,extraLinesBeyondLastLine:Ue,desiredRatio:He,minimapLineCount:Ze}}static _computeMinimapLayout(Q,fe){const Ue=Q.outerWidth,He=Q.outerHeight,Ze=Q.pixelRatio;if(!Q.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Ze*He),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:He};const qe=fe.stableMinimapLayoutInput,We=qe&&Q.outerHeight===qe.outerHeight&&Q.lineHeight===qe.lineHeight&&Q.typicalHalfwidthCharacterWidth===qe.typicalHalfwidthCharacterWidth&&Q.pixelRatio===qe.pixelRatio&&Q.scrollBeyondLastLine===qe.scrollBeyondLastLine&&Q.minimap.enabled===qe.minimap.enabled&&Q.minimap.side===qe.minimap.side&&Q.minimap.size===qe.minimap.size&&Q.minimap.showSlider===qe.minimap.showSlider&&Q.minimap.renderCharacters===qe.minimap.renderCharacters&&Q.minimap.maxColumn===qe.minimap.maxColumn&&Q.minimap.scale===qe.minimap.scale&&Q.verticalScrollbarWidth===qe.verticalScrollbarWidth&&Q.isViewportWrapping===qe.isViewportWrapping,nt=Q.lineHeight,ot=Q.typicalHalfwidthCharacterWidth,ht=Q.scrollBeyondLastLine,Tt=Q.minimap.renderCharacters;let it=Ze>=2?Math.round(Q.minimap.scale*2):Q.minimap.scale;const dt=Q.minimap.maxColumn,Ot=Q.minimap.size,Wt=Q.minimap.side,Dt=Q.verticalScrollbarWidth,ft=Q.viewLineCount,Ct=Q.remainingWidth,Lt=Q.isViewportWrapping,Ft=Tt?2:3;let Ve=Math.floor(Ze*He);const Nt=Ve/Ze;let Rt=!1,Ut=!1,vt=Ft*it,we=it/Ze,Ce=1;if(Ot==="fill"||Ot==="fit"){const{typicalViewportLineCount:je,extraLinesBeyondLastLine:ut,desiredRatio:gt,minimapLineCount:yt}=ce.computeContainedMinimapLineCount({viewLineCount:ft,scrollBeyondLastLine:ht,height:He,lineHeight:nt,pixelRatio:Ze});if(ft/yt>1)Rt=!0,Ut=!0,it=1,vt=1,we=it/Ze;else{let _t=!1,Pt=it+1;if(Ot==="fit"){const mt=Math.ceil((ft+ut)*vt);Lt&&We&&Ct<=fe.stableFitRemainingWidth?(_t=!0,Pt=fe.stableFitMaxMinimapScale):_t=mt>Ve}if(Ot==="fill"||_t){Rt=!0;const mt=it;vt=Math.min(nt*Ze,Math.max(1,Math.floor(1/gt))),Lt&&We&&Ct<=fe.stableFitRemainingWidth&&(Pt=fe.stableFitMaxMinimapScale),it=Math.min(Pt,Math.max(1,Math.floor(vt/Ft))),it>mt&&(Ce=Math.min(2,it/mt)),we=it/Ze/Ce,Ve=Math.ceil(Math.max(je,ft+ut)*vt),Lt?(fe.stableMinimapLayoutInput=Q,fe.stableFitRemainingWidth=Ct,fe.stableFitMaxMinimapScale=it):(fe.stableMinimapLayoutInput=null,fe.stableFitRemainingWidth=0)}}}const me=Math.floor(dt*we),q=Math.min(me,Math.max(0,Math.floor((Ct-Dt-2)*we/(ot+we)))+e.MINIMAP_GUTTER_WIDTH);let Ae=Math.floor(Ze*q);const Le=Ae/Ze;Ae=Math.floor(Ae*Ce);const tt=Tt?1:2,Xe=Wt==="left"?0:Ue-q-Dt;return{renderMinimap:tt,minimapLeft:Xe,minimapWidth:q,minimapHeightIsEditorHeight:Rt,minimapIsSampling:Ut,minimapScale:it,minimapLineHeight:vt,minimapCanvasInnerWidth:Ae,minimapCanvasInnerHeight:Ve,minimapCanvasOuterWidth:Le,minimapCanvasOuterHeight:Nt}}static computeLayout(Q,fe){const Ue=fe.outerWidth|0,He=fe.outerHeight|0,Ze=fe.lineHeight|0,qe=fe.lineNumbersDigitCount|0,We=fe.typicalHalfwidthCharacterWidth,nt=fe.maxDigitWidth,ot=fe.pixelRatio,ht=fe.viewLineCount,Tt=Q.get(125),it=Tt==="inherit"?Q.get(124):Tt,dt=it==="inherit"?Q.get(120):it,Ot=Q.get(123),Wt=Q.get(2),Dt=fe.isDominatedByLongLines,ft=Q.get(51),Ct=Q.get(61).renderType!==0,Lt=Q.get(62),Ft=Q.get(95),Ve=Q.get(66),Nt=Q.get(93),Rt=Nt.verticalScrollbarSize,Ut=Nt.verticalHasArrows,vt=Nt.arrowSize,we=Nt.horizontalScrollbarSize,Ce=Q.get(59),me=Q.get(38),q=Q.get(100)!=="never";let Ae;if(typeof Ce=="string"&&/^\d+(\.\d+)?ch$/.test(Ce)){const Ht=parseFloat(Ce.substr(0,Ce.length-2));Ae=A.clampedInt(Ht*We,0,0,1e3)}else Ae=A.clampedInt(Ce,0,0,1e3);me&&q&&(Ae+=16);let Le=0;if(Ct){const Ht=Math.max(qe,Lt);Le=Math.round(Ht*nt)}let tt=0;ft&&(tt=Ze);let Xe=0,je=Xe+tt,ut=je+Le,gt=ut+Ae;const yt=Ue-tt-Le-Ae;let pt=!1,_t=!1,Pt=-1;Wt!==2&&(it==="inherit"&&Dt?(pt=!0,_t=!0):dt==="on"||dt==="bounded"?_t=!0:dt==="wordWrapColumn"&&(Pt=Ot));const mt=ce._computeMinimapLayout({outerWidth:Ue,outerHeight:He,lineHeight:Ze,typicalHalfwidthCharacterWidth:We,pixelRatio:ot,scrollBeyondLastLine:Ft,minimap:Ve,verticalScrollbarWidth:Rt,viewLineCount:ht,remainingWidth:yt,isViewportWrapping:_t},fe.memory||new R);mt.renderMinimap!==0&&mt.minimapLeft===0&&(Xe+=mt.minimapWidth,je+=mt.minimapWidth,ut+=mt.minimapWidth,gt+=mt.minimapWidth);const Yt=yt-mt.minimapWidth,Jt=Math.max(1,Math.floor((Yt-Rt-2)/We)),bt=Ut?vt:0;return _t&&(Pt=Math.max(1,Jt),dt==="bounded"&&(Pt=Math.min(Pt,Ot))),{width:Ue,height:He,glyphMarginLeft:Xe,glyphMarginWidth:tt,lineNumbersLeft:je,lineNumbersWidth:Le,decorationsLeft:ut,decorationsWidth:Ae,contentLeft:gt,contentWidth:Yt,minimap:mt,viewportColumn:Jt,isWordWrapMinified:pt,isViewportWrapping:_t,wrappingColumn:Pt,verticalScrollbarWidth:Rt,horizontalScrollbarHeight:we,overviewRuler:{top:bt,width:Rt,height:He-2*bt,right:0}}}}e.EditorLayoutInfoComputer=ce;class oe extends S{constructor(){const Q={enabled:!0};super(58,"lightbulb",Q,{"editor.lightbulb.enabled":{type:"boolean",default:Q.enabled,description:a.localize(43,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:d(Q.enabled,this.defaultValue.enabled)}}}class le extends S{constructor(){const Q={enabled:!1,maxLineCount:5};super(105,"stickyScroll",Q,{"editor.stickyScroll.enabled":{type:"boolean",default:Q.enabled,description:a.localize(44,null)},"editor.stickyScroll.maxLineCount":{type:"number",default:Q.maxLineCount,minimum:1,maximum:10,description:a.localize(45,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),maxLineCount:A.clampedInt(fe.maxLineCount,this.defaultValue.maxLineCount,1,10)}}}class te extends S{constructor(){const Q={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(129,"inlayHints",Q,{"editor.inlayHints.enabled":{type:"string",default:Q.enabled,description:a.localize(46,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[a.localize(47,null),a.localize(48,null,v.isMacintosh?"Ctrl+Option":"Ctrl+Alt"),a.localize(49,null,v.isMacintosh?"Ctrl+Option":"Ctrl+Alt"),a.localize(50,null)]},"editor.inlayHints.fontSize":{type:"number",default:Q.fontSize,markdownDescription:a.localize(51,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:Q.fontFamily,markdownDescription:a.localize(52,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:Q.padding,description:a.localize(53,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return typeof fe.enabled=="boolean"&&(fe.enabled=fe.enabled?"on":"off"),{enabled:s(fe.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:A.clampedInt(fe.fontSize,this.defaultValue.fontSize,0,100),fontFamily:_.string(fe.fontFamily,this.defaultValue.fontFamily),padding:d(fe.padding,this.defaultValue.padding)}}}class Ee extends c{constructor(){super(60,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,Q=>c.clamp(Q,0,150),{markdownDescription:a.localize(54,null)})}compute(Q,fe,Ue){return Q.fontInfo.lineHeight}}class be extends S{constructor(){const Q={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1};super(66,"minimap",Q,{"editor.minimap.enabled":{type:"boolean",default:Q.enabled,description:a.localize(55,null)},"editor.minimap.autohide":{type:"boolean",default:Q.autohide,description:a.localize(56,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[a.localize(57,null),a.localize(58,null),a.localize(59,null)],default:Q.size,description:a.localize(60,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Q.side,description:a.localize(61,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Q.showSlider,description:a.localize(62,null)},"editor.minimap.scale":{type:"number",default:Q.scale,minimum:1,maximum:3,enum:[1,2,3],description:a.localize(63,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Q.renderCharacters,description:a.localize(64,null)},"editor.minimap.maxColumn":{type:"number",default:Q.maxColumn,description:a.localize(65,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),autohide:d(fe.autohide,this.defaultValue.autohide),size:s(fe.size,this.defaultValue.size,["proportional","fill","fit"]),side:s(fe.side,this.defaultValue.side,["right","left"]),showSlider:s(fe.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:d(fe.renderCharacters,this.defaultValue.renderCharacters),scale:A.clampedInt(fe.scale,1,1,3),maxColumn:A.clampedInt(fe.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function ne(G){return G==="ctrlCmd"?v.isMacintosh?"metaKey":"ctrlKey":"altKey"}class ve extends S{constructor(){super(76,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:a.localize(66,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:a.localize(67,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{top:A.clampedInt(fe.top,0,0,1e3),bottom:A.clampedInt(fe.bottom,0,0,1e3)}}}class Pe extends S{constructor(){const Q={enabled:!0,cycle:!1};super(77,"parameterHints",Q,{"editor.parameterHints.enabled":{type:"boolean",default:Q.enabled,description:a.localize(68,null)},"editor.parameterHints.cycle":{type:"boolean",default:Q.cycle,description:a.localize(69,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),cycle:d(fe.cycle,this.defaultValue.cycle)}}}class Fe extends f{constructor(){super(131)}compute(Q,fe,Ue){return Q.pixelRatio}}class xe extends S{constructor(){const Q={other:"on",comments:"off",strings:"off"},fe=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[a.localize(70,null),a.localize(71,null),a.localize(72,null)]}];super(80,"quickSuggestions",Q,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:fe,default:Q.strings,description:a.localize(73,null)},comments:{anyOf:fe,default:Q.comments,description:a.localize(74,null)},other:{anyOf:fe,default:Q.other,description:a.localize(75,null)}},default:Q,markdownDescription:a.localize(76,null,"#editor.suggestOnTriggerCharacters#")});this.defaultValue=Q}validate(Q){if(typeof Q=="boolean"){const ot=Q?"on":"off";return{comments:ot,strings:ot,other:ot}}if(!Q||typeof Q!="object")return this.defaultValue;const{other:fe,comments:Ue,strings:He}=Q,Ze=["on","inline","off"];let qe,We,nt;return typeof fe=="boolean"?qe=fe?"on":"off":qe=s(fe,this.defaultValue.other,Ze),typeof Ue=="boolean"?We=Ue?"on":"off":We=s(Ue,this.defaultValue.comments,Ze),typeof He=="boolean"?nt=He?"on":"off":nt=s(He,this.defaultValue.strings,Ze),{other:qe,comments:We,strings:nt}}}var Qe;(function(G){G[G.Off=0]="Off",G[G.On=1]="On",G[G.Relative=2]="Relative",G[G.Interval=3]="Interval",G[G.Custom=4]="Custom"})(Qe=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Ie extends S{constructor(){super(61,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[a.localize(77,null),a.localize(78,null),a.localize(79,null),a.localize(80,null)],default:"on",description:a.localize(81,null)})}validate(Q){let fe=this.defaultValue.renderType,Ue=this.defaultValue.renderFn;return typeof Q!="undefined"&&(typeof Q=="function"?(fe=4,Ue=Q):Q==="interval"?fe=3:Q==="relative"?fe=2:Q==="on"?fe=1:fe=0),{renderType:fe,renderFn:Ue}}}function Se(G){const Q=G.get(88);return Q==="editable"?G.get(82):Q!=="on"}e.filterValidationDecorations=Se;class Te extends S{constructor(){const Q=[],fe={type:"number",description:a.localize(82,null)};super(92,"rulers",Q,{type:"array",items:{anyOf:[fe,{type:["object"],properties:{column:fe,color:{type:"string",description:a.localize(83,null),format:"color-hex"}}}]},default:Q,description:a.localize(84,null)})}validate(Q){if(Array.isArray(Q)){const fe=[];for(const Ue of Q)if(typeof Ue=="number")fe.push({column:A.clampedInt(Ue,0,0,1e4),color:null});else if(Ue&&typeof Ue=="object"){const He=Ue;fe.push({column:A.clampedInt(He.column,0,0,1e4),color:He.color})}return fe.sort((Ue,He)=>Ue.column-He.column),fe}return this.defaultValue}}function ae(G,Q){if(typeof G!="string")return Q;switch(G){case"hidden":return 2;case"visible":return 3;default:return 1}}class ue extends S{constructor(){const Q={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(93,"scrollbar",Q,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[a.localize(85,null),a.localize(86,null),a.localize(87,null)],default:"auto",description:a.localize(88,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[a.localize(89,null),a.localize(90,null),a.localize(91,null)],default:"auto",description:a.localize(92,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:Q.verticalScrollbarSize,description:a.localize(93,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:Q.horizontalScrollbarSize,description:a.localize(94,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:Q.scrollByPage,description:a.localize(95,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q,Ue=A.clampedInt(fe.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),He=A.clampedInt(fe.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:A.clampedInt(fe.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:ae(fe.vertical,this.defaultValue.vertical),horizontal:ae(fe.horizontal,this.defaultValue.horizontal),useShadows:d(fe.useShadows,this.defaultValue.useShadows),verticalHasArrows:d(fe.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:d(fe.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:d(fe.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:d(fe.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ue,horizontalSliderSize:A.clampedInt(fe.horizontalSliderSize,Ue,0,1e3),verticalScrollbarSize:He,verticalSliderSize:A.clampedInt(fe.verticalSliderSize,He,0,1e3),scrollByPage:d(fe.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class X extends S{constructor(){const Q={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(115,"unicodeHighlight",Q,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.nonBasicASCII,description:a.localize(96,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:Q.invisibleCharacters,description:a.localize(97,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:Q.ambiguousCharacters,description:a.localize(98,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeComments,description:a.localize(99,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeStrings,description:a.localize(100,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:Q.allowedCharacters,description:a.localize(101,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:Q.allowedLocales,description:a.localize(102,null)}})}applyUpdate(Q,fe){let Ue=!1;fe.allowedCharacters&&Q&&(y.equals(Q.allowedCharacters,fe.allowedCharacters)||(Q={...Q,allowedCharacters:fe.allowedCharacters},Ue=!0)),fe.allowedLocales&&Q&&(y.equals(Q.allowedLocales,fe.allowedLocales)||(Q={...Q,allowedLocales:fe.allowedLocales},Ue=!0));const He=super.applyUpdate(Q,fe);return Ue?new m(He.newValue,!0):He}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{nonBasicASCII:W(fe.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:d(fe.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:d(fe.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:W(fe.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:W(fe.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(Q.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(Q.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(Q,fe){if(typeof Q!="object"||!Q)return fe;const Ue={};for(const[He,Ze]of Object.entries(Q))Ze===!0&&(Ue[He]=!0);return Ue}}class J extends S{constructor(){const Q={enabled:!0,mode:"subwordSmart"};super(56,"inlineSuggest",Q,{"editor.inlineSuggest.enabled":{type:"boolean",default:Q.enabled,description:a.localize(103,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),mode:s(fe.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class k extends S{constructor(){const Q={enabled:P.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:P.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(12,"bracketPairColorization",Q,{"editor.bracketPairColorization.enabled":{type:"boolean",default:Q.enabled,markdownDescription:a.localize(104,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:Q.independentColorPoolPerBracketType,description:a.localize(105,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:d(fe.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:d(fe.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class z extends S{constructor(){const Q={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",Q,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[a.localize(106,null),a.localize(107,null),a.localize(108,null)],default:Q.bracketPairs,description:a.localize(109,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[a.localize(110,null),a.localize(111,null),a.localize(112,null)],default:Q.bracketPairsHorizontal,description:a.localize(113,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:Q.highlightActiveBracketPair,description:a.localize(114,null)},"editor.guides.indentation":{type:"boolean",default:Q.indentation,description:a.localize(115,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[a.localize(116,null),a.localize(117,null),a.localize(118,null)],default:Q.highlightActiveIndentation,description:a.localize(119,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{bracketPairs:W(fe.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:W(fe.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:d(fe.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:d(fe.indentation,this.defaultValue.indentation),highlightActiveIndentation:W(fe.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function W(G,Q,fe){const Ue=fe.indexOf(G);return Ue===-1?Q:fe[Ue]}class j extends S{constructor(){const Q={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,matchOnWordStartOnly:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(108,"suggest",Q,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[a.localize(120,null),a.localize(121,null)],default:Q.insertMode,description:a.localize(122,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Q.filterGraceful,description:a.localize(123,null)},"editor.suggest.localityBonus":{type:"boolean",default:Q.localityBonus,description:a.localize(124,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Q.shareSuggestSelections,markdownDescription:a.localize(125,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Q.snippetsPreventQuickSuggestions,description:a.localize(126,null)},"editor.suggest.showIcons":{type:"boolean",default:Q.showIcons,description:a.localize(127,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Q.showStatusBar,description:a.localize(128,null)},"editor.suggest.preview":{type:"boolean",default:Q.preview,description:a.localize(129,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Q.showInlineDetails,description:a.localize(130,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:a.localize(131,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:a.localize(132,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:a.localize(133,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:a.localize(134,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:a.localize(135,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:a.localize(136,null)},"editor.suggest.matchOnWordStartOnly":{type:"boolean",default:!0,markdownDescription:a.localize(137,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:a.localize(138,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:a.localize(139,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:a.localize(140,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:a.localize(141,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:a.localize(142,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:a.localize(143,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:a.localize(144,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:a.localize(145,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:a.localize(146,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:a.localize(147,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:a.localize(148,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:a.localize(149,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:a.localize(150,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:a.localize(151,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:a.localize(152,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:a.localize(153,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:a.localize(154,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:a.localize(155,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:a.localize(156,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:a.localize(157,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:a.localize(158,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:a.localize(159,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:a.localize(160,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:a.localize(161,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:a.localize(162,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{insertMode:s(fe.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:d(fe.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:d(fe.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:d(fe.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:d(fe.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:d(fe.showIcons,this.defaultValue.showIcons),showStatusBar:d(fe.showStatusBar,this.defaultValue.showStatusBar),preview:d(fe.preview,this.defaultValue.preview),previewMode:s(fe.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:d(fe.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:d(fe.showMethods,this.defaultValue.showMethods),showFunctions:d(fe.showFunctions,this.defaultValue.showFunctions),showConstructors:d(fe.showConstructors,this.defaultValue.showConstructors),showDeprecated:d(fe.showDeprecated,this.defaultValue.showDeprecated),matchOnWordStartOnly:d(fe.matchOnWordStartOnly,this.defaultValue.matchOnWordStartOnly),showFields:d(fe.showFields,this.defaultValue.showFields),showVariables:d(fe.showVariables,this.defaultValue.showVariables),showClasses:d(fe.showClasses,this.defaultValue.showClasses),showStructs:d(fe.showStructs,this.defaultValue.showStructs),showInterfaces:d(fe.showInterfaces,this.defaultValue.showInterfaces),showModules:d(fe.showModules,this.defaultValue.showModules),showProperties:d(fe.showProperties,this.defaultValue.showProperties),showEvents:d(fe.showEvents,this.defaultValue.showEvents),showOperators:d(fe.showOperators,this.defaultValue.showOperators),showUnits:d(fe.showUnits,this.defaultValue.showUnits),showValues:d(fe.showValues,this.defaultValue.showValues),showConstants:d(fe.showConstants,this.defaultValue.showConstants),showEnums:d(fe.showEnums,this.defaultValue.showEnums),showEnumMembers:d(fe.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:d(fe.showKeywords,this.defaultValue.showKeywords),showWords:d(fe.showWords,this.defaultValue.showWords),showColors:d(fe.showColors,this.defaultValue.showColors),showFiles:d(fe.showFiles,this.defaultValue.showFiles),showReferences:d(fe.showReferences,this.defaultValue.showReferences),showFolders:d(fe.showFolders,this.defaultValue.showFolders),showTypeParameters:d(fe.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:d(fe.showSnippets,this.defaultValue.showSnippets),showUsers:d(fe.showUsers,this.defaultValue.showUsers),showIssues:d(fe.showIssues,this.defaultValue.showIssues)}}}class se extends S{constructor(){super(103,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:a.localize(163,null),default:!0,type:"boolean"}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:d(Q.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class de extends f{constructor(){super(132)}compute(Q,fe,Ue){return fe.get(82)?!0:Q.tabFocusMode}}var Z;(function(G){G[G.None=0]="None",G[G.Same=1]="Same",G[G.Indent=2]="Indent",G[G.DeepIndent=3]="DeepIndent"})(Z=e.WrappingIndent||(e.WrappingIndent={}));function pe(G){switch(G){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class ge extends f{constructor(){super(134)}compute(Q,fe,Ue){const He=fe.get(133);return{isDominatedByLongLines:Q.isDominatedByLongLines,isWordWrapMinified:He.isWordWrapMinified,isViewportWrapping:He.isViewportWrapping,wrappingColumn:He.wrappingColumn}}}class Ne extends S{constructor(){const Q={enabled:!0};super(32,"dropIntoEditor",Q,{"editor.dropIntoEditor.enabled":{type:"boolean",default:Q.enabled,markdownDescription:a.localize(164,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:d(Q.enabled,this.defaultValue.enabled)}}}const Be="Consolas, 'Courier New', monospace",Je="Menlo, Monaco, 'Courier New', monospace",Ge="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:v.isMacintosh?Je:v.isLinux?Ge:Be,fontWeight:"normal",fontSize:v.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function ke(G){return e.editorOptionsRegistry[G.id]=G,G}var rt;(function(G){G[G.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",G[G.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",G[G.accessibilitySupport=2]="accessibilitySupport",G[G.accessibilityPageSize=3]="accessibilityPageSize",G[G.ariaLabel=4]="ariaLabel",G[G.autoClosingBrackets=5]="autoClosingBrackets",G[G.autoClosingDelete=6]="autoClosingDelete",G[G.autoClosingOvertype=7]="autoClosingOvertype",G[G.autoClosingQuotes=8]="autoClosingQuotes",G[G.autoIndent=9]="autoIndent",G[G.automaticLayout=10]="automaticLayout",G[G.autoSurround=11]="autoSurround",G[G.bracketPairColorization=12]="bracketPairColorization",G[G.guides=13]="guides",G[G.codeLens=14]="codeLens",G[G.codeLensFontFamily=15]="codeLensFontFamily",G[G.codeLensFontSize=16]="codeLensFontSize",G[G.colorDecorators=17]="colorDecorators",G[G.columnSelection=18]="columnSelection",G[G.comments=19]="comments",G[G.contextmenu=20]="contextmenu",G[G.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",G[G.cursorBlinking=22]="cursorBlinking",G[G.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",G[G.cursorStyle=24]="cursorStyle",G[G.cursorSurroundingLines=25]="cursorSurroundingLines",G[G.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",G[G.cursorWidth=27]="cursorWidth",G[G.disableLayerHinting=28]="disableLayerHinting",G[G.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",G[G.domReadOnly=30]="domReadOnly",G[G.dragAndDrop=31]="dragAndDrop",G[G.dropIntoEditor=32]="dropIntoEditor",G[G.emptySelectionClipboard=33]="emptySelectionClipboard",G[G.extraEditorClassName=34]="extraEditorClassName",G[G.fastScrollSensitivity=35]="fastScrollSensitivity",G[G.find=36]="find",G[G.fixedOverflowWidgets=37]="fixedOverflowWidgets",G[G.folding=38]="folding",G[G.foldingStrategy=39]="foldingStrategy",G[G.foldingHighlight=40]="foldingHighlight",G[G.foldingImportsByDefault=41]="foldingImportsByDefault",G[G.foldingMaximumRegions=42]="foldingMaximumRegions",G[G.unfoldOnClickAfterEndOfLine=43]="unfoldOnClickAfterEndOfLine",G[G.fontFamily=44]="fontFamily",G[G.fontInfo=45]="fontInfo",G[G.fontLigatures=46]="fontLigatures",G[G.fontSize=47]="fontSize",G[G.fontWeight=48]="fontWeight",G[G.formatOnPaste=49]="formatOnPaste",G[G.formatOnType=50]="formatOnType",G[G.glyphMargin=51]="glyphMargin",G[G.gotoLocation=52]="gotoLocation",G[G.hideCursorInOverviewRuler=53]="hideCursorInOverviewRuler",G[G.hover=54]="hover",G[G.inDiffEditor=55]="inDiffEditor",G[G.inlineSuggest=56]="inlineSuggest",G[G.letterSpacing=57]="letterSpacing",G[G.lightbulb=58]="lightbulb",G[G.lineDecorationsWidth=59]="lineDecorationsWidth",G[G.lineHeight=60]="lineHeight",G[G.lineNumbers=61]="lineNumbers",G[G.lineNumbersMinChars=62]="lineNumbersMinChars",G[G.linkedEditing=63]="linkedEditing",G[G.links=64]="links",G[G.matchBrackets=65]="matchBrackets",G[G.minimap=66]="minimap",G[G.mouseStyle=67]="mouseStyle",G[G.mouseWheelScrollSensitivity=68]="mouseWheelScrollSensitivity",G[G.mouseWheelZoom=69]="mouseWheelZoom",G[G.multiCursorMergeOverlapping=70]="multiCursorMergeOverlapping",G[G.multiCursorModifier=71]="multiCursorModifier",G[G.multiCursorPaste=72]="multiCursorPaste",G[G.occurrencesHighlight=73]="occurrencesHighlight",G[G.overviewRulerBorder=74]="overviewRulerBorder",G[G.overviewRulerLanes=75]="overviewRulerLanes",G[G.padding=76]="padding",G[G.parameterHints=77]="parameterHints",G[G.peekWidgetDefaultFocus=78]="peekWidgetDefaultFocus",G[G.definitionLinkOpensInPeek=79]="definitionLinkOpensInPeek",G[G.quickSuggestions=80]="quickSuggestions",G[G.quickSuggestionsDelay=81]="quickSuggestionsDelay",G[G.readOnly=82]="readOnly",G[G.renameOnType=83]="renameOnType",G[G.renderControlCharacters=84]="renderControlCharacters",G[G.renderFinalNewline=85]="renderFinalNewline",G[G.renderLineHighlight=86]="renderLineHighlight",G[G.renderLineHighlightOnlyWhenFocus=87]="renderLineHighlightOnlyWhenFocus",G[G.renderValidationDecorations=88]="renderValidationDecorations",G[G.renderWhitespace=89]="renderWhitespace",G[G.revealHorizontalRightPadding=90]="revealHorizontalRightPadding",G[G.roundedSelection=91]="roundedSelection",G[G.rulers=92]="rulers",G[G.scrollbar=93]="scrollbar",G[G.scrollBeyondLastColumn=94]="scrollBeyondLastColumn",G[G.scrollBeyondLastLine=95]="scrollBeyondLastLine",G[G.scrollPredominantAxis=96]="scrollPredominantAxis",G[G.selectionClipboard=97]="selectionClipboard",G[G.selectionHighlight=98]="selectionHighlight",G[G.selectOnLineNumbers=99]="selectOnLineNumbers",G[G.showFoldingControls=100]="showFoldingControls",G[G.showUnused=101]="showUnused",G[G.snippetSuggestions=102]="snippetSuggestions",G[G.smartSelect=103]="smartSelect",G[G.smoothScrolling=104]="smoothScrolling",G[G.stickyScroll=105]="stickyScroll",G[G.stickyTabStops=106]="stickyTabStops",G[G.stopRenderingLineAfter=107]="stopRenderingLineAfter",G[G.suggest=108]="suggest",G[G.suggestFontSize=109]="suggestFontSize",G[G.suggestLineHeight=110]="suggestLineHeight",G[G.suggestOnTriggerCharacters=111]="suggestOnTriggerCharacters",G[G.suggestSelection=112]="suggestSelection",G[G.tabCompletion=113]="tabCompletion",G[G.tabIndex=114]="tabIndex",G[G.unicodeHighlighting=115]="unicodeHighlighting",G[G.unusualLineTerminators=116]="unusualLineTerminators",G[G.useShadowDOM=117]="useShadowDOM",G[G.useTabStops=118]="useTabStops",G[G.wordSeparators=119]="wordSeparators",G[G.wordWrap=120]="wordWrap",G[G.wordWrapBreakAfterCharacters=121]="wordWrapBreakAfterCharacters",G[G.wordWrapBreakBeforeCharacters=122]="wordWrapBreakBeforeCharacters",G[G.wordWrapColumn=123]="wordWrapColumn",G[G.wordWrapOverride1=124]="wordWrapOverride1",G[G.wordWrapOverride2=125]="wordWrapOverride2",G[G.wrappingIndent=126]="wrappingIndent",G[G.wrappingStrategy=127]="wrappingStrategy",G[G.showDeprecated=128]="showDeprecated",G[G.inlayHints=129]="inlayHints",G[G.editorClassName=130]="editorClassName",G[G.pixelRatio=131]="pixelRatio",G[G.tabFocusMode=132]="tabFocusMode",G[G.layoutInfo=133]="layoutInfo",G[G.wrappingInfo=134]="wrappingInfo"})(rt=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:ke(new o(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:a.localize(165,null)})),acceptSuggestionOnEnter:ke(new u(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",a.localize(166,null),""],markdownDescription:a.localize(167,null)})),accessibilitySupport:ke(new r),accessibilityPageSize:ke(new A(3,"accessibilityPageSize",10,1,1073741824,{description:a.localize(168,null)})),ariaLabel:ke(new _(4,"ariaLabel",a.localize(169,null))),autoClosingBrackets:ke(new u(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",a.localize(170,null),a.localize(171,null),""],description:a.localize(172,null)})),autoClosingDelete:ke(new u(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",a.localize(173,null),""],description:a.localize(174,null)})),autoClosingOvertype:ke(new u(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",a.localize(175,null),""],description:a.localize(176,null)})),autoClosingQuotes:ke(new u(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",a.localize(177,null),a.localize(178,null),""],description:a.localize(179,null)})),autoIndent:ke(new i(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],n,{enumDescriptions:[a.localize(180,null),a.localize(181,null),a.localize(182,null),a.localize(183,null),a.localize(184,null)],description:a.localize(185,null)})),automaticLayout:ke(new o(10,"automaticLayout",!1)),autoSurround:ke(new u(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[a.localize(186,null),a.localize(187,null),a.localize(188,null),""],description:a.localize(189,null)})),bracketPairColorization:ke(new k),bracketPairGuides:ke(new z),stickyTabStops:ke(new o(106,"stickyTabStops",!1,{description:a.localize(190,null)})),codeLens:ke(new o(14,"codeLens",!0,{description:a.localize(191,null)})),codeLensFontFamily:ke(new _(15,"codeLensFontFamily","",{description:a.localize(192,null)})),codeLensFontSize:ke(new A(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:a.localize(193,null)})),colorDecorators:ke(new o(17,"colorDecorators",!0,{description:a.localize(194,null)})),columnSelection:ke(new o(18,"columnSelection",!1,{description:a.localize(195,null)})),comments:ke(new t),contextmenu:ke(new o(20,"contextmenu",!0)),copyWithSyntaxHighlighting:ke(new o(21,"copyWithSyntaxHighlighting",!0,{description:a.localize(196,null)})),cursorBlinking:ke(new i(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],w,{description:a.localize(197,null)})),cursorSmoothCaretAnimation:ke(new o(23,"cursorSmoothCaretAnimation",!1,{description:a.localize(198,null)})),cursorStyle:ke(new i(24,"cursorStyle",p.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],U,{description:a.localize(199,null)})),cursorSurroundingLines:ke(new A(25,"cursorSurroundingLines",0,0,1073741824,{description:a.localize(200,null)})),cursorSurroundingLinesStyle:ke(new u(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[a.localize(201,null),a.localize(202,null)],description:a.localize(203,null)})),cursorWidth:ke(new A(27,"cursorWidth",0,0,1073741824,{markdownDescription:a.localize(204,null)})),disableLayerHinting:ke(new o(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:ke(new o(29,"disableMonospaceOptimizations",!1)),domReadOnly:ke(new o(30,"domReadOnly",!1)),dragAndDrop:ke(new o(31,"dragAndDrop",!0,{description:a.localize(205,null)})),emptySelectionClipboard:ke(new x),dropIntoEditor:ke(new Ne),stickyScroll:ke(new le),extraEditorClassName:ke(new _(34,"extraEditorClassName","")),fastScrollSensitivity:ke(new c(35,"fastScrollSensitivity",5,G=>G<=0?5:G,{markdownDescription:a.localize(206,null)})),find:ke(new C),fixedOverflowWidgets:ke(new o(37,"fixedOverflowWidgets",!1)),folding:ke(new o(38,"folding",!0,{description:a.localize(207,null)})),foldingStrategy:ke(new u(39,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[a.localize(208,null),a.localize(209,null)],description:a.localize(210,null)})),foldingHighlight:ke(new o(40,"foldingHighlight",!0,{description:a.localize(211,null)})),foldingImportsByDefault:ke(new o(41,"foldingImportsByDefault",!1,{description:a.localize(212,null)})),foldingMaximumRegions:ke(new A(42,"foldingMaximumRegions",5e3,10,65e3,{description:a.localize(213,null)})),unfoldOnClickAfterEndOfLine:ke(new o(43,"unfoldOnClickAfterEndOfLine",!1,{description:a.localize(214,null)})),fontFamily:ke(new _(44,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:a.localize(215,null)})),fontInfo:ke(new B),fontLigatures2:ke(new L),fontSize:ke(new F),fontWeight:ke(new K),formatOnPaste:ke(new o(49,"formatOnPaste",!1,{description:a.localize(216,null)})),formatOnType:ke(new o(50,"formatOnType",!1,{description:a.localize(217,null)})),glyphMargin:ke(new o(51,"glyphMargin",!0,{description:a.localize(218,null)})),gotoLocation:ke(new H),hideCursorInOverviewRuler:ke(new o(53,"hideCursorInOverviewRuler",!1,{description:a.localize(219,null)})),hover:ke(new O),inDiffEditor:ke(new o(55,"inDiffEditor",!1)),letterSpacing:ke(new c(57,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,G=>c.clamp(G,-5,20),{description:a.localize(220,null)})),lightbulb:ke(new oe),lineDecorationsWidth:ke(new h(59,"lineDecorationsWidth",10)),lineHeight:ke(new Ee),lineNumbers:ke(new Ie),lineNumbersMinChars:ke(new A(62,"lineNumbersMinChars",5,1,300)),linkedEditing:ke(new o(63,"linkedEditing",!1,{description:a.localize(221,null)})),links:ke(new o(64,"links",!0,{description:a.localize(222,null)})),matchBrackets:ke(new u(65,"matchBrackets","always",["always","near","never"],{description:a.localize(223,null)})),minimap:ke(new be),mouseStyle:ke(new u(67,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:ke(new c(68,"mouseWheelScrollSensitivity",1,G=>G===0?1:G,{markdownDescription:a.localize(224,null)})),mouseWheelZoom:ke(new o(69,"mouseWheelZoom",!1,{markdownDescription:a.localize(225,null)})),multiCursorMergeOverlapping:ke(new o(70,"multiCursorMergeOverlapping",!0,{description:a.localize(226,null)})),multiCursorModifier:ke(new i(71,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],ne,{markdownEnumDescriptions:[a.localize(227,null),a.localize(228,null)],markdownDescription:a.localize(229,null)})),multiCursorPaste:ke(new u(72,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[a.localize(230,null),a.localize(231,null)],markdownDescription:a.localize(232,null)})),occurrencesHighlight:ke(new o(73,"occurrencesHighlight",!0,{description:a.localize(233,null)})),overviewRulerBorder:ke(new o(74,"overviewRulerBorder",!0,{description:a.localize(234,null)})),overviewRulerLanes:ke(new A(75,"overviewRulerLanes",3,0,3)),padding:ke(new ve),parameterHints:ke(new Pe),peekWidgetDefaultFocus:ke(new u(78,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[a.localize(235,null),a.localize(236,null)],description:a.localize(237,null)})),definitionLinkOpensInPeek:ke(new o(79,"definitionLinkOpensInPeek",!1,{description:a.localize(238,null)})),quickSuggestions:ke(new xe),quickSuggestionsDelay:ke(new A(81,"quickSuggestionsDelay",10,0,1073741824,{description:a.localize(239,null)})),readOnly:ke(new o(82,"readOnly",!1)),renameOnType:ke(new o(83,"renameOnType",!1,{description:a.localize(240,null),markdownDeprecationMessage:a.localize(241,null)})),renderControlCharacters:ke(new o(84,"renderControlCharacters",!0,{description:a.localize(242,null),restricted:!0})),renderFinalNewline:ke(new o(85,"renderFinalNewline",!0,{description:a.localize(243,null)})),renderLineHighlight:ke(new u(86,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",a.localize(244,null)],description:a.localize(245,null)})),renderLineHighlightOnlyWhenFocus:ke(new o(87,"renderLineHighlightOnlyWhenFocus",!1,{description:a.localize(246,null)})),renderValidationDecorations:ke(new u(88,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:ke(new u(89,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",a.localize(247,null),a.localize(248,null),a.localize(249,null),""],description:a.localize(250,null)})),revealHorizontalRightPadding:ke(new A(90,"revealHorizontalRightPadding",15,0,1e3)),roundedSelection:ke(new o(91,"roundedSelection",!0,{description:a.localize(251,null)})),rulers:ke(new Te),scrollbar:ke(new ue),scrollBeyondLastColumn:ke(new A(94,"scrollBeyondLastColumn",4,0,1073741824,{description:a.localize(252,null)})),scrollBeyondLastLine:ke(new o(95,"scrollBeyondLastLine",!0,{description:a.localize(253,null)})),scrollPredominantAxis:ke(new o(96,"scrollPredominantAxis",!0,{description:a.localize(254,null)})),selectionClipboard:ke(new o(97,"selectionClipboard",!0,{description:a.localize(255,null),included:v.isLinux})),selectionHighlight:ke(new o(98,"selectionHighlight",!0,{description:a.localize(256,null)})),selectOnLineNumbers:ke(new o(99,"selectOnLineNumbers",!0)),showFoldingControls:ke(new u(100,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[a.localize(257,null),a.localize(258,null),a.localize(259,null)],description:a.localize(260,null)})),showUnused:ke(new o(101,"showUnused",!0,{description:a.localize(261,null)})),showDeprecated:ke(new o(128,"showDeprecated",!0,{description:a.localize(262,null)})),inlayHints:ke(new te),snippetSuggestions:ke(new u(102,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[a.localize(263,null),a.localize(264,null),a.localize(265,null),a.localize(266,null)],description:a.localize(267,null)})),smartSelect:ke(new se),smoothScrolling:ke(new o(104,"smoothScrolling",!1,{description:a.localize(268,null)})),stopRenderingLineAfter:ke(new A(107,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:ke(new j),inlineSuggest:ke(new J),suggestFontSize:ke(new A(109,"suggestFontSize",0,0,1e3,{markdownDescription:a.localize(269,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:ke(new A(110,"suggestLineHeight",0,0,1e3,{markdownDescription:a.localize(270,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:ke(new o(111,"suggestOnTriggerCharacters",!0,{description:a.localize(271,null)})),suggestSelection:ke(new u(112,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[a.localize(272,null),a.localize(273,null),a.localize(274,null)],description:a.localize(275,null)})),tabCompletion:ke(new u(113,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[a.localize(276,null),a.localize(277,null),a.localize(278,null)],description:a.localize(279,null)})),tabIndex:ke(new A(114,"tabIndex",0,-1,1073741824)),unicodeHighlight:ke(new X),unusualLineTerminators:ke(new u(116,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[a.localize(280,null),a.localize(281,null),a.localize(282,null)],description:a.localize(283,null)})),useShadowDOM:ke(new o(117,"useShadowDOM",!0)),useTabStops:ke(new o(118,"useTabStops",!0,{description:a.localize(284,null)})),wordSeparators:ke(new _(119,"wordSeparators",b.USUAL_WORD_SEPARATORS,{description:a.localize(285,null)})),wordWrap:ke(new u(120,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[a.localize(286,null),a.localize(287,null),a.localize(288,null),a.localize(289,null)],description:a.localize(290,null)})),wordWrapBreakAfterCharacters:ke(new _(121,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:ke(new _(122,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:ke(new A(123,"wordWrapColumn",80,1,1073741824,{markdownDescription:a.localize(291,null)})),wordWrapOverride1:ke(new u(124,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:ke(new u(125,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:ke(new i(126,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],pe,{enumDescriptions:[a.localize(292,null),a.localize(293,null),a.localize(294,null),a.localize(295,null)],description:a.localize(296,null)})),wrappingStrategy:ke(new u(127,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[a.localize(297,null),a.localize(298,null)],description:a.localize(299,null)})),editorClassName:ke(new V),pixelRatio:ke(new Fe),tabFocusMode:ke(new de),layoutInfo:ke(new ce),wrappingInfo:ke(new ge)}}),define(ye[124],De([17,18]),function(ie,e){return ie.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ye[125],De([17,18]),function(ie,e){return ie.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ye[126],De([17,18]),function(ie,e){return ie.create("vs/platform/extensions/common/extensionValidator",e)}),define(ye[127],De([17,18]),function(ie,e){return ie.create("vs/platform/files/common/files",e)}),define(ye[128],De([17,18]),function(ie,e){return ie.create("vs/platform/markers/common/markers",e)}),define(ye[129],De([17,18]),function(ie,e){return ie.create("vs/platform/workspace/common/workspace",e)}),define(ye[130],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(ye[131],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostExtensionService",e)}),define(ye[132],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostProgress",e)}),define(ye[133],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostStatusBar",e)}),define(ye[134],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostTerminalService",e)}),define(ye[135],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostTreeViews",e)}),define(ye[136],De([17,18]),function(ie,e){return ie.create("vs/workbench/api/common/extHostWorkspace",e)}),define(ye[137],De([17,18]),function(ie,e){return ie.create("vs/workbench/common/editor",e)}),define(ye[138],De([17,18]),function(ie,e){return ie.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(ye[139],De([17,18]),function(ie,e){return ie.create("vs/workbench/contrib/debug/common/debug",e)}),define(ye[140],De([17,18]),function(ie,e){return ie.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(ye[141],De([17,18]),function(ie,e){return ie.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(ye[142],De([17,18]),function(ie,e){return ie.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(ye[143],De([17,18]),function(ie,e){return ie.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(ye[144],De([17,18]),function(ie,e){return ie.create("vs/workbench/services/search/common/queryBuilder",e)}),define(ye[145],De([1,0,22,29,126,239]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const y=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,P=/^-(\d{4})(\d{2})(\d{2})$/;function E(o){return o=o.trim(),o==="*"||y.test(o)}e.isValidVersionStr=E;function T(o){if(!E(o))return null;if(o=o.trim(),o==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const g=o.match(y);return g?{hasCaret:g[1]==="^",hasGreaterEquals:g[1]===">=",majorBase:g[2]==="x"?0:parseInt(g[2],10),majorMustEqual:g[2]!=="x",minorBase:g[4]==="x"?0:parseInt(g[4],10),minorMustEqual:g[4]!=="x",patchBase:g[6]==="x"?0:parseInt(g[6],10),patchMustEqual:g[6]!=="x",preRelease:g[8]||null}:null}e.parseVersion=T;function R(o){if(!o)return null;const g=o.majorBase,A=o.majorMustEqual,c=o.minorBase;let _=o.minorMustEqual;const s=o.patchBase;let u=o.patchMustEqual;o.hasCaret&&(g===0||(_=!1),u=!1);let i=0;if(o.preRelease){const n=P.exec(o.preRelease);if(n){const[,r,t,l]=n;i=Date.UTC(Number(r),Number(t)-1,Number(l))}}return{majorBase:g,majorMustEqual:A,minorBase:c,minorMustEqual:_,patchBase:s,patchMustEqual:u,isMinimum:o.hasGreaterEquals,notBefore:i}}e.normalizeVersion=R;function S(o,g,A){let c;typeof o=="string"?c=R(T(o)):c=o;let _;g instanceof Date?_=g.getTime():typeof g=="string"&&(_=new Date(g).getTime());let s;if(typeof A=="string"?s=R(T(A)):s=A,!c||!s)return!1;const u=c.majorBase,i=c.minorBase,n=c.patchBase;let r=s.majorBase,t=s.minorBase,l=s.patchBase;const w=s.notBefore;let p=s.majorMustEqual,D=s.minorMustEqual,U=s.patchMustEqual;return s.isMinimum?u>r?!0:u<r?!1:i>t?!0:i<t||_&&_<w?!1:n>=l:(u===1&&r===0&&(!p||!D||!U)&&(r=1,t=0,l=0,p=!0,D=!1,U=!1),u<r?!1:u>r?!p:i<t?!1:i>t?!D:n<l?!1:n>l?!U:!(_&&_<w))}e.isValidVersion=S;function m(o,g,A,c,_){const s=[];if(typeof c.publisher!="undefined"&&typeof c.publisher!="string")return s.push([v.default.Error,b.localize(0,null)]),s;if(typeof c.name!="string")return s.push([v.default.Error,b.localize(1,null,"name")]),s;if(typeof c.version!="string")return s.push([v.default.Error,b.localize(2,null,"version")]),s;if(!c.engines)return s.push([v.default.Error,b.localize(3,null,"engines")]),s;if(typeof c.engines.vscode!="string")return s.push([v.default.Error,b.localize(4,null,"engines.vscode")]),s;if(typeof c.extensionDependencies!="undefined"&&!d(c.extensionDependencies))return s.push([v.default.Error,b.localize(5,null,"extensionDependencies")]),s;if(typeof c.activationEvents!="undefined"){if(!d(c.activationEvents))return s.push([v.default.Error,b.localize(6,null,"activationEvents")]),s;if(typeof c.main=="undefined"&&typeof c.browser=="undefined")return s.push([v.default.Error,b.localize(7,null,"activationEvents","main")]),s}if(typeof c.extensionKind!="undefined"&&typeof c.main=="undefined"&&s.push([v.default.Warning,b.localize(8,null,"extensionKind")]),typeof c.main!="undefined"){if(typeof c.main!="string")return s.push([v.default.Error,b.localize(9,null,"main")]),s;{const n=(0,a.joinPath)(A,c.main);(0,a.isEqualOrParent)(n,A)||s.push([v.default.Warning,b.localize(10,null,n.path,A.path)])}if(typeof c.activationEvents=="undefined")return s.push([v.default.Error,b.localize(11,null,"activationEvents","main")]),s}if(typeof c.browser!="undefined"){if(typeof c.browser!="string")return s.push([v.default.Error,b.localize(12,null,"browser")]),s;{const n=(0,a.joinPath)(A,c.browser);(0,a.isEqualOrParent)(n,A)||s.push([v.default.Warning,b.localize(13,null,n.path,A.path)])}if(typeof c.activationEvents=="undefined")return s.push([v.default.Error,b.localize(14,null,"activationEvents","browser")]),s}if(!M.valid(c.version))return s.push([v.default.Error,b.localize(15,null)]),s;const u=[];if(!I(o,g,c,_,u))for(const n of u)s.push([v.default.Error,n]);return s}e.validateExtensionManifest=m;function I(o,g,A,c,_){return c||typeof A.main=="undefined"&&typeof A.browser=="undefined"?!0:h(o,g,A.engines.vscode,_)}e.isValidExtensionVersion=I;function f(o,g,A){return o==="*"||h(g,A,o)}e.isEngineValid=f;function h(o,g,A,c=[]){const _=R(T(A));if(!_)return c.push(b.localize(16,null,A)),!1;if(_.majorBase===0){if(!_.majorMustEqual||!_.minorMustEqual)return c.push(b.localize(17,null,A)),!1}else if(!_.majorMustEqual)return c.push(b.localize(18,null,A)),!1;return S(o,g,_)?!0:(c.push(b.localize(19,null,o,A)),!1)}function d(o){if(!Array.isArray(o))return!1;for(let g=0,A=o.length;g<A;g++)if(typeof o[g]!="string")return!1;return!0}}),define(ye[78],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class a{constructor(b,M=[],y=!1){this.ctor=b,this.staticArguments=M,this.supportsDelayedInstantiation=y}}e.SyncDescriptor=a}),define(ye[57],De([1,0,78]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const v=[];function b(y,P,E){P instanceof a.SyncDescriptor||(P=new a.SyncDescriptor(P,[],E)),v.push([y,P])}e.registerSingleton=b;function M(){return v}e.getSingletonServiceDescriptors=M}),define(ye[146],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class a{constructor(M){this.incoming=new Map,this.outgoing=new Map,this.data=M}}e.Node=a;class v{constructor(M){this._hashFn=M,this._nodes=new Map}roots(){const M=[];for(const y of this._nodes.values())y.outgoing.size===0&&M.push(y);return M}insertEdge(M,y){const P=this.lookupOrInsertNode(M),E=this.lookupOrInsertNode(y);P.outgoing.set(this._hashFn(y),E),E.incoming.set(this._hashFn(M),P)}removeNode(M){const y=this._hashFn(M);this._nodes.delete(y);for(const P of this._nodes.values())P.outgoing.delete(y),P.incoming.delete(y)}lookupOrInsertNode(M){const y=this._hashFn(M);let P=this._nodes.get(y);return P||(P=new a(M),this._nodes.set(y,P)),P}lookup(M){return this._nodes.get(this._hashFn(M))}isEmpty(){return this._nodes.size===0}toString(){const M=[];for(const[y,P]of this._nodes)M.push(`${y}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return M.join(`
`)}findCycleSlow(){for(const[M,y]of this._nodes){const P=new Set([M]),E=this._findCycle(y,P);if(E)return E}}_findCycle(M,y){for(const[P,E]of M.outgoing){if(y.has(P))return[...y,P].join(" -> ");y.add(P);const T=this._findCycle(E,y);if(T)return T;y.delete(P)}}}e.Graph=v}),define(ye[3],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var a;(function(y){y.serviceIds=new Map,y.DI_TARGET="$di$target",y.DI_DEPENDENCIES="$di$dependencies";function P(E){return E[y.DI_DEPENDENCIES]||[]}y.getServiceDependencies=P})(a=e._util||(e._util={})),e.IInstantiationService=b("instantiationService");function v(y,P,E){P[a.DI_TARGET]===P?P[a.DI_DEPENDENCIES].push({id:y,index:E}):(P[a.DI_DEPENDENCIES]=[{id:y,index:E}],P[a.DI_TARGET]=P)}function b(y){if(a.serviceIds.has(y))return a.serviceIds.get(y);const P=function(E,T,R){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");v(P,E,R)};return P.toString=()=>y,a.serviceIds.set(y,P),P}e.createDecorator=b;function M(y){return y}e.refineServiceDecorator=M}),define(ye[58],De([1,0,10,2,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,b.createDecorator)("configurationService");function M(o){return o&&typeof o=="object"&&(!o.overrideIdentifier||typeof o.overrideIdentifier=="string")&&(!o.resource||o.resource instanceof v.URI)}e.isConfigurationOverrides=M;function y(o){return o&&typeof o=="object"&&(!o.overrideIdentifiers||Array.isArray(o.overrideIdentifiers))&&!o.overrideIdentifier&&(!o.resource||o.resource instanceof v.URI)}e.isConfigurationUpdateOverrides=y;var P;(function(o){o[o.APPLICATION=1]="APPLICATION",o[o.USER=2]="USER",o[o.USER_LOCAL=3]="USER_LOCAL",o[o.USER_REMOTE=4]="USER_REMOTE",o[o.WORKSPACE=5]="WORKSPACE",o[o.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",o[o.DEFAULT=7]="DEFAULT",o[o.MEMORY=8]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function E(o){switch(o){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.ConfigurationTargetToString=E;function T(o,g){const A=Object.create(null);for(const c in o)R(A,c,o[c],g);return A}e.toValuesTree=T;function R(o,g,A,c){const _=g.split("."),s=_.pop();let u=o;for(let i=0;i<_.length;i++){const n=_[i];let r=u[n];switch(typeof r){case"undefined":r=u[n]=Object.create(null);break;case"object":break;default:c(`Ignoring ${g} as ${_.slice(0,i+1).join(".")} is ${JSON.stringify(r)}`);return}u=r}if(typeof u=="object"&&u!==null)try{u[s]=A}catch{c(`Ignoring ${g} as ${_.join(".")} is ${JSON.stringify(u)}`)}else c(`Ignoring ${g} as ${_.join(".")} is ${JSON.stringify(u)}`)}e.addToValueTree=R;function S(o,g){const A=g.split(".");m(o,A)}e.removeFromValueTree=S;function m(o,g){const A=g.shift();if(g.length===0){delete o[A];return}if(Object.keys(o).indexOf(A)!==-1){const c=o[A];typeof c=="object"&&!Array.isArray(c)&&(m(c,g),Object.keys(c).length===0&&delete o[A])}}function I(o,g,A){function c(u,i){let n=u;for(const r of i){if(typeof n!="object"||n===null)return;n=n[r]}return n}const _=g.split("."),s=c(o,_);return typeof s=="undefined"?A:s}e.getConfigurationValue=I;function f(o,g,A){Object.keys(g).forEach(c=>{c!=="__proto__"&&(c in o?a.isObject(o[c])&&a.isObject(g[c])?f(o[c],g[c],A):A&&(o[c]=g[c]):o[c]=g[c])})}e.merge=f;function h(o,g,A){const c=o.inspect(g),_=o.inspect(A);return typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:typeof _.userValue!="undefined"||typeof _.workspaceValue!="undefined"||typeof _.workspaceFolderValue!="undefined"?_.value:c.defaultValue}e.getMigratedSettingValue=h;function d(o){return o.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=d}),define(ye[38],De([1,0,21,9,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const M=new Map;M.set("false",!1),M.set("true",!0),M.set("isMac",a.isMacintosh),M.set("isLinux",a.isLinux),M.set("isWindows",a.isWindows),M.set("isWeb",a.isWeb),M.set("isMacNative",a.isMacintosh&&!a.isWeb),M.set("isEdge",a.isEdge),M.set("isFirefox",a.isFirefox),M.set("isChrome",a.isChrome),M.set("isSafari",a.isSafari);const y=Object.prototype.hasOwnProperty;var P;(function(x){x[x.False=0]="False",x[x.True=1]="True",x[x.Defined=2]="Defined",x[x.Not=3]="Not",x[x.Equals=4]="Equals",x[x.NotEquals=5]="NotEquals",x[x.And=6]="And",x[x.Regex=7]="Regex",x[x.NotRegex=8]="NotRegex",x[x.Or=9]="Or",x[x.In=10]="In",x[x.NotIn=11]="NotIn",x[x.Greater=12]="Greater",x[x.GreaterEquals=13]="GreaterEquals",x[x.Smaller=14]="Smaller",x[x.SmallerEquals=15]="SmallerEquals"})(P=e.ContextKeyExprType||(e.ContextKeyExprType={}));class E{static false(){return S.INSTANCE}static true(){return m.INSTANCE}static has(C){return I.create(C)}static equals(C,L){return f.create(C,L)}static notEquals(C,L){return o.create(C,L)}static regex(C,L){return i.create(C,L)}static in(C,L){return h.create(C,L)}static notIn(C,L){return d.create(C,L)}static not(C){return g.create(C)}static and(...C){return t.create(C,null)}static or(...C){return l.create(C,null,!0)}static greater(C,L){return c.create(C,L)}static greaterEquals(C,L){return _.create(C,L)}static smaller(C,L){return s.create(C,L)}static smallerEquals(C,L){return u.create(C,L)}static deserialize(C,L=!1){if(!!C)return this._deserializeOrExpression(C,L)}static _deserializeOrExpression(C,L){const B=C.split("||");return l.create(B.map(F=>this._deserializeAndExpression(F,L)),null,!0)}static _deserializeAndExpression(C,L){const B=C.split("&&");return t.create(B.map(F=>this._deserializeOne(F,L)),null)}static _deserializeOne(C,L){if(C=C.trim(),C.indexOf("!=")>=0){const B=C.split("!=");return o.create(B[0].trim(),this._deserializeValue(B[1],L))}if(C.indexOf("==")>=0){const B=C.split("==");return f.create(B[0].trim(),this._deserializeValue(B[1],L))}if(C.indexOf("=~")>=0){const B=C.split("=~");return i.create(B[0].trim(),this._deserializeRegexValue(B[1],L))}if(C.indexOf(" not in ")>=0){const B=C.split(" not in ");return d.create(B[0].trim(),B[1].trim())}if(C.indexOf(" in ")>=0){const B=C.split(" in ");return h.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(C)){const B=C.split(">=");return _.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(C)){const B=C.split(">");return c.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(C)){const B=C.split("<=");return u.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(C)){const B=C.split("<");return s.create(B[0].trim(),B[1].trim())}return/^\!\s*/.test(C)?g.create(C.substr(1).trim()):I.create(C)}static _deserializeValue(C,L){if(C=C.trim(),C==="true")return!0;if(C==="false")return!1;const B=/^'([^']*)'$/.exec(C);return B?B[1].trim():C}static _deserializeRegexValue(C,L){if((0,v.isFalsyOrWhitespace)(C)){if(L)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}const B=C.indexOf("/"),F=C.lastIndexOf("/");if(B===F||B<0){if(L)throw new Error(`bad regexp-value '${C}', missing /-enclosure`);return console.warn(`bad regexp-value '${C}', missing /-enclosure`),null}const K=C.slice(B+1,F),H=C[F+1]==="i"?"i":"";try{return new RegExp(K,H)}catch(O){if(L)throw new Error(`bad regexp-value '${C}', parse error: ${O}`);return console.warn(`bad regexp-value '${C}', parse error: ${O}`),null}}}e.ContextKeyExpr=E;function T(x,C){const L=x?x.substituteConstants():void 0,B=C?C.substituteConstants():void 0;return!L&&!B?!0:!L||!B?!1:L.equals(B)}e.expressionsAreEqualWithConstantSubstitution=T;function R(x,C){return x.cmp(C)}class S{constructor(){this.type=0}cmp(C){return this.type-C.type}equals(C){return C.type===this.type}substituteConstants(){return this}evaluate(C){return!1}serialize(){return"false"}keys(){return[]}map(C){return this}negate(){return m.INSTANCE}}e.ContextKeyFalseExpr=S,S.INSTANCE=new S;class m{constructor(){this.type=1}cmp(C){return this.type-C.type}equals(C){return C.type===this.type}substituteConstants(){return this}evaluate(C){return!0}serialize(){return"true"}keys(){return[]}map(C){return this}negate(){return S.INSTANCE}}e.ContextKeyTrueExpr=m,m.INSTANCE=new m;class I{constructor(C,L){this.key=C,this.negated=L,this.type=2}static create(C,L=null){const B=M.get(C);return typeof B=="boolean"?B?m.INSTANCE:S.INSTANCE:new I(C,L)}cmp(C){return C.type!==this.type?this.type-C.type:p(this.key,C.key)}equals(C){return C.type===this.type?this.key===C.key:!1}substituteConstants(){const C=M.get(this.key);return typeof C=="boolean"?C?m.INSTANCE:S.INSTANCE:this}evaluate(C){return!!C.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(C){return C.mapDefined(this.key)}negate(){return this.negated||(this.negated=g.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=I;class f{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=4}static create(C,L,B=null){if(typeof L=="boolean")return L?I.create(C,B):g.create(C,B);const F=M.get(C);return typeof F=="boolean"?L===(F?"true":"false")?m.INSTANCE:S.INSTANCE:new f(C,L,B)}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){const C=M.get(this.key);if(typeof C=="boolean"){const L=C?"true":"false";return this.value===L?m.INSTANCE:S.INSTANCE}return this}evaluate(C){return C.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(C){return C.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=o.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=f;class h{constructor(C,L){this.key=C,this.valueKey=L,this.type=10,this.negated=null}static create(C,L){return new h(C,L)}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.valueKey,C.key,C.valueKey)}equals(C){return C.type===this.type?this.key===C.key&&this.valueKey===C.valueKey:!1}substituteConstants(){return this}evaluate(C){const L=C.getValue(this.valueKey),B=C.getValue(this.key);return Array.isArray(L)?L.includes(B):typeof B=="string"&&typeof L=="object"&&L!==null?y.call(L,B):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(C){return C.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=d.create(this.key,this.valueKey)),this.negated}}e.ContextKeyInExpr=h;class d{constructor(C,L){this.key=C,this.valueKey=L,this.type=11,this._negated=h.create(C,L)}static create(C,L){return new d(C,L)}cmp(C){return C.type!==this.type?this.type-C.type:this._negated.cmp(C._negated)}equals(C){return C.type===this.type?this._negated.equals(C._negated):!1}substituteConstants(){return this}evaluate(C){return!this._negated.evaluate(C)}serialize(){return`${this.key} not in '${this.valueKey}'`}keys(){return this._negated.keys()}map(C){return C.mapNotIn(this.key,this.valueKey)}negate(){return this._negated}}e.ContextKeyNotInExpr=d;class o{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=5}static create(C,L,B=null){if(typeof L=="boolean")return L?g.create(C,B):I.create(C,B);const F=M.get(C);return typeof F=="boolean"?L===(F?"true":"false")?S.INSTANCE:m.INSTANCE:new o(C,L,B)}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){const C=M.get(this.key);if(typeof C=="boolean"){const L=C?"true":"false";return this.value===L?S.INSTANCE:m.INSTANCE}return this}evaluate(C){return C.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(C){return C.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=f.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=o;class g{constructor(C,L){this.key=C,this.negated=L,this.type=3}static create(C,L=null){const B=M.get(C);return typeof B=="boolean"?B?S.INSTANCE:m.INSTANCE:new g(C,L)}cmp(C){return C.type!==this.type?this.type-C.type:p(this.key,C.key)}equals(C){return C.type===this.type?this.key===C.key:!1}substituteConstants(){const C=M.get(this.key);return typeof C=="boolean"?C?S.INSTANCE:m.INSTANCE:this}evaluate(C){return!C.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(C){return C.mapNot(this.key)}negate(){return this.negated||(this.negated=I.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=g;function A(x,C){if(typeof x=="string"){const L=parseFloat(x);isNaN(L)||(x=L)}return typeof x=="string"||typeof x=="number"?C(x):S.INSTANCE}class c{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=12}static create(C,L,B=null){return A(L,F=>new c(C,F,B))}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){return this}evaluate(C){return typeof this.value=="string"?!1:parseFloat(C.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(C){return C.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=u.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=c;class _{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=13}static create(C,L,B=null){return A(L,F=>new _(C,F,B))}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){return this}evaluate(C){return typeof this.value=="string"?!1:parseFloat(C.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(C){return C.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=s.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=_;class s{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=14}static create(C,L,B=null){return A(L,F=>new s(C,F,B))}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){return this}evaluate(C){return typeof this.value=="string"?!1:parseFloat(C.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(C){return C.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=_.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=s;class u{constructor(C,L,B){this.key=C,this.value=L,this.negated=B,this.type=15}static create(C,L,B=null){return A(L,F=>new u(C,F,B))}cmp(C){return C.type!==this.type?this.type-C.type:D(this.key,this.value,C.key,C.value)}equals(C){return C.type===this.type?this.key===C.key&&this.value===C.value:!1}substituteConstants(){return this}evaluate(C){return typeof this.value=="string"?!1:parseFloat(C.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(C){return C.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=u;class i{constructor(C,L){this.key=C,this.regexp=L,this.type=7,this.negated=null}static create(C,L){return new i(C,L)}cmp(C){if(C.type!==this.type)return this.type-C.type;if(this.key<C.key)return-1;if(this.key>C.key)return 1;const L=this.regexp?this.regexp.source:"",B=C.regexp?C.regexp.source:"";return L<B?-1:L>B?1:0}equals(C){if(C.type===this.type){const L=this.regexp?this.regexp.source:"",B=C.regexp?C.regexp.source:"";return this.key===C.key&&L===B}return!1}substituteConstants(){return this}evaluate(C){const L=C.getValue(this.key);return this.regexp?this.regexp.test(L):!1}serialize(){const C=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${C}`}keys(){return[this.key]}map(C){return C.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=n.create(this)),this.negated}}e.ContextKeyRegexExpr=i;class n{constructor(C){this._actual=C,this.type=8}static create(C){return new n(C)}cmp(C){return C.type!==this.type?this.type-C.type:this._actual.cmp(C._actual)}equals(C){return C.type===this.type?this._actual.equals(C._actual):!1}substituteConstants(){return this}evaluate(C){return!this._actual.evaluate(C)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(C){return new n(this._actual.map(C))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=n;function r(x){let C=null;for(let L=0,B=x.length;L<B;L++){const F=x[L].substituteConstants();if(x[L]!==F&&C===null){C=[];for(let K=0;K<L;K++)C[K]=x[K]}C!==null&&(C[L]=F)}return C===null?x:C}class t{constructor(C,L){this.expr=C,this.negated=L,this.type=6}static create(C,L){return t._normalizeArr(C,L)}cmp(C){if(C.type!==this.type)return this.type-C.type;if(this.expr.length<C.expr.length)return-1;if(this.expr.length>C.expr.length)return 1;for(let L=0,B=this.expr.length;L<B;L++){const F=R(this.expr[L],C.expr[L]);if(F!==0)return F}return 0}equals(C){if(C.type===this.type){if(this.expr.length!==C.expr.length)return!1;for(let L=0,B=this.expr.length;L<B;L++)if(!this.expr[L].equals(C.expr[L]))return!1;return!0}return!1}substituteConstants(){const C=r(this.expr);return C===this.expr?this:t.create(C,this.negated)}evaluate(C){for(let L=0,B=this.expr.length;L<B;L++)if(!this.expr[L].evaluate(C))return!1;return!0}static _normalizeArr(C,L){const B=[];let F=!1;for(const K of C)if(!!K){if(K.type===1){F=!0;continue}if(K.type===0)return S.INSTANCE;if(K.type===6){B.push(...K.expr);continue}B.push(K)}if(B.length===0&&F)return m.INSTANCE;if(B.length!==0){if(B.length===1)return B[0];B.sort(R);for(let K=1;K<B.length;K++)B[K-1].equals(B[K])&&(B.splice(K,1),K--);if(B.length===1)return B[0];for(;B.length>1;){const K=B[B.length-1];if(K.type!==9)break;B.pop();const H=B.pop(),O=B.length===0,ee=l.create(K.expr.map(ce=>t.create([ce,H],null)),null,O);ee&&(B.push(ee),B.sort(R))}return B.length===1?B[0]:new t(B,L)}}serialize(){return this.expr.map(C=>C.serialize()).join(" && ")}keys(){const C=[];for(const L of this.expr)C.push(...L.keys());return C}map(C){return new t(this.expr.map(L=>L.map(C)),null)}negate(){if(!this.negated){const C=[];for(const L of this.expr)C.push(L.negate());this.negated=l.create(C,this,!0)}return this.negated}}class l{constructor(C,L){this.expr=C,this.negated=L,this.type=9}static create(C,L,B){return l._normalizeArr(C,L,B)}cmp(C){if(C.type!==this.type)return this.type-C.type;if(this.expr.length<C.expr.length)return-1;if(this.expr.length>C.expr.length)return 1;for(let L=0,B=this.expr.length;L<B;L++){const F=R(this.expr[L],C.expr[L]);if(F!==0)return F}return 0}equals(C){if(C.type===this.type){if(this.expr.length!==C.expr.length)return!1;for(let L=0,B=this.expr.length;L<B;L++)if(!this.expr[L].equals(C.expr[L]))return!1;return!0}return!1}substituteConstants(){const C=r(this.expr);return C===this.expr?this:l.create(C,this.negated,!1)}evaluate(C){for(let L=0,B=this.expr.length;L<B;L++)if(this.expr[L].evaluate(C))return!0;return!1}static _normalizeArr(C,L,B){let F=[],K=!1;if(C){for(let H=0,O=C.length;H<O;H++){const ee=C[H];if(!!ee){if(ee.type===0){K=!0;continue}if(ee.type===1)return m.INSTANCE;if(ee.type===9){F=F.concat(ee.expr);continue}F.push(ee)}}if(F.length===0&&K)return S.INSTANCE;F.sort(R)}if(F.length!==0){if(F.length===1)return F[0];for(let H=1;H<F.length;H++)F[H-1].equals(F[H])&&(F.splice(H,1),H--);if(F.length===1)return F[0];if(B){for(let H=0;H<F.length;H++)for(let O=H+1;O<F.length;O++)U(F[H],F[O])&&(F.splice(O,1),O--);if(F.length===1)return F[0]}return new l(F,L)}}serialize(){return this.expr.map(C=>C.serialize()).join(" || ")}keys(){const C=[];for(const L of this.expr)C.push(...L.keys());return C}map(C){return new l(this.expr.map(L=>L.map(C)),null)}negate(){if(!this.negated){const C=[];for(const L of this.expr)C.push(L.negate());for(;C.length>1;){const L=C.shift(),B=C.shift(),F=[];for(const H of V(L))for(const O of V(B))F.push(t.create([H,O],null));const K=C.length===0;C.unshift(l.create(F,null,K))}this.negated=C[0]}return this.negated}}class w extends I{constructor(C,L,B){super(C,null);this._defaultValue=L,typeof B=="object"?w._info.push({...B,key:C}):B!==!0&&w._info.push({key:C,description:B,type:L!=null?typeof L:void 0})}static all(){return w._info.values()}bindTo(C){return C.createKey(this.key,this._defaultValue)}getValue(C){return C.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(C){return f.create(this.key,C)}notEqualsTo(C){return o.create(this.key,C)}}e.RawContextKey=w,w._info=[],e.IContextKeyService=(0,b.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function p(x,C){return x<C?-1:x>C?1:0}function D(x,C,L,B){return x<L?-1:x>L?1:C<B?-1:C>B?1:0}function U(x,C){if(C.type===6&&x.type!==9&&x.type!==6){for(const F of C.expr)if(x.equals(F))return!0}const L=x.negate(),B=V(L).concat(V(C));B.sort(R);for(let F=0;F<B.length;F++){const H=B[F].negate();for(let O=F+1;O<B.length;O++){const ee=B[O];if(H.equals(ee))return!0}}return!1}e.implies=U;function V(x){return x.type===9?x.expr:[x]}}),define(ye[147],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,a.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,a.refineServiceDecorator)(e.IEnvironmentService)}),define(ye[79],De([1,0,125,3]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function b(o){switch(o){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=b;function M(o){switch(o){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=M;function y(o,g){switch(o){case 3:return g==="x64"?"win32-x64":g==="ia32"?"win32-ia32":g==="arm64"?"win32-arm64":"unknown";case 2:return g==="x64"?"linux-x64":g==="arm64"?"linux-arm64":g==="arm"?"linux-armhf":"unknown";case"alpine":return g==="x64"?"alpine-x64":g==="arm64"?"alpine-arm64":"unknown";case 1:return g==="x64"?"darwin-x64":g==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=y;function P(o,g){return g==="web"&&!o.includes("web")}e.isNotWebExtensionInWebTargetPlatform=P;function E(o,g,A){return P(g,A)?!1:o==="undefined"||o==="universal"?!0:o==="unknown"?!1:o===A?!0:T(A).includes(o)}e.isTargetPlatformCompatible=E;function T(o){switch(o){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=T;function R(o){return o&&typeof o=="object"&&typeof o.id=="string"&&(!o.uuid||typeof o.uuid=="string")}e.isIExtensionIdentifier=R;var S;(function(o){o[o.NoneOrRelevance=0]="NoneOrRelevance",o[o.LastUpdatedDate=1]="LastUpdatedDate",o[o.Title=2]="Title",o[o.PublisherName=3]="PublisherName",o[o.InstallCount=4]="InstallCount",o[o.PublishedDate=10]="PublishedDate",o[o.AverageRating=6]="AverageRating",o[o.WeightedRating=12]="WeightedRating"})(S=e.SortBy||(e.SortBy={}));var m;(function(o){o[o.Default=0]="Default",o[o.Ascending=1]="Ascending",o[o.Descending=2]="Descending"})(m=e.SortOrder||(e.SortOrder={}));var I;(function(o){o.Install="install",o.Uninstall="uninstall"})(I=e.StatisticType||(e.StatisticType={}));var f;(function(o){o[o.None=1]="None",o[o.Install=2]="Install",o[o.Update=3]="Update",o[o.Migrate=4]="Migrate"})(f=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,v.createDecorator)("extensionGalleryService");var h;(function(o){o.Unsupported="Unsupported",o.Deprecated="Deprecated",o.Malicious="Malicious",o.Incompatible="Incompatible",o.IncompatiblePreRelease="IncompatiblePreRelease",o.IncompatibleTargetPlatform="IncompatibleTargetPlatform",o.ReleaseVersionNotFound="ReleaseVersionNotFound",o.Invalid="Invalid",o.Download="Download",o.Extract="Extract",o.Delete="Delete",o.Rename="Rename",o.CorruptZip="CorruptZip",o.IncompleteZip="IncompleteZip",o.Internal="Internal"})(h=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class d extends Error{constructor(g,A){super(g);this.code=A,this.name=A}}e.ExtensionManagementError=d,e.IExtensionManagementService=(0,v.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,v.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,v.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,v.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,a.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,a.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,v.createDecorator)("IExtensionManagementCLIService")}),define(ye[39],De([1,0,25,19,9,10,2,127,3]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,E.createDecorator)("fileService");function T(H){return H.create===!0}e.isFileOpenForWriteOptions=T;var R;(function(H){H[H.Unknown=0]="Unknown",H[H.File=1]="File",H[H.Directory=2]="Directory",H[H.SymbolicLink=64]="SymbolicLink"})(R=e.FileType||(e.FileType={}));var S;(function(H){H[H.Readonly=1]="Readonly"})(S=e.FilePermission||(e.FilePermission={}));var m;(function(H){H[H.FileReadWrite=2]="FileReadWrite",H[H.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",H[H.FileReadStream=16]="FileReadStream",H[H.FileFolderCopy=8]="FileFolderCopy",H[H.PathCaseSensitive=1024]="PathCaseSensitive",H[H.Readonly=2048]="Readonly",H[H.Trash=4096]="Trash",H[H.FileWriteUnlock=8192]="FileWriteUnlock",H[H.FileAtomicRead=16384]="FileAtomicRead",H[H.FileClone=32768]="FileClone"})(m=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function I(H){return!!(H.capabilities&2)}e.hasReadWriteCapability=I;function f(H){return!!(H.capabilities&8)}e.hasFileFolderCopyCapability=f;function h(H){return!!(H.capabilities&32768)}e.hasFileCloneCapability=h;function d(H){return!!(H.capabilities&4)}e.hasOpenReadWriteCloseCapability=d;function o(H){return!!(H.capabilities&16)}e.hasFileReadStreamCapability=o;function g(H){return I(H)?!!(H.capabilities&16384):!1}e.hasFileAtomicReadCapability=g;var A;(function(H){H.FileExists="EntryExists",H.FileNotFound="EntryNotFound",H.FileNotADirectory="EntryNotADirectory",H.FileIsADirectory="EntryIsADirectory",H.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",H.FileTooLarge="EntryTooLarge",H.FileWriteLocked="EntryWriteLocked",H.NoPermissions="NoPermissions",H.Unavailable="Unavailable",H.Unknown="Unknown"})(A=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class c extends Error{constructor(O,ee){super(O);this.code=ee}}e.FileSystemProviderError=c;function _(H,O){const ee=new c(H.toString(),O);return u(ee,O),ee}e.createFileSystemProviderError=_;function s(H){return H||_((0,P.localize)(0,null),A.Unknown)}e.ensureFileSystemProviderError=s;function u(H,O){return H.name=O?`${O} (FileSystemError)`:"FileSystemError",H}e.markAsFileSystemProviderError=u;function i(H){if(!H)return A.Unknown;if(H instanceof c)return H.code;const O=/^(.+) \(FileSystemError\)$/.exec(H.name);if(!O)return A.Unknown;switch(O[1]){case A.FileExists:return A.FileExists;case A.FileIsADirectory:return A.FileIsADirectory;case A.FileNotADirectory:return A.FileNotADirectory;case A.FileNotFound:return A.FileNotFound;case A.FileExceedsMemoryLimit:return A.FileExceedsMemoryLimit;case A.FileTooLarge:return A.FileTooLarge;case A.FileWriteLocked:return A.FileWriteLocked;case A.NoPermissions:return A.NoPermissions;case A.Unavailable:return A.Unavailable}return A.Unknown}e.toFileSystemProviderErrorCode=i;function n(H){if(H instanceof D)return H.fileOperationResult;switch(i(H)){case A.FileNotFound:return 1;case A.FileIsADirectory:return 0;case A.FileNotADirectory:return 10;case A.FileWriteLocked:return 5;case A.NoPermissions:return 6;case A.FileExists:return 4;case A.FileExceedsMemoryLimit:return 9;case A.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=n;var r;(function(H){H[H.CREATE=0]="CREATE",H[H.DELETE=1]="DELETE",H[H.MOVE=2]="MOVE",H[H.COPY=3]="COPY",H[H.WRITE=4]="WRITE"})(r=e.FileOperation||(e.FileOperation={}));class t{constructor(O,ee,ce){this.resource=O,this.operation=ee,this.target=ce}isOperation(O){return this.operation===O}}e.FileOperationEvent=t;var l;(function(H){H[H.UPDATED=0]="UPDATED",H[H.ADDED=1]="ADDED",H[H.DELETED=2]="DELETED"})(l=e.FileChangeType||(e.FileChangeType={}));class w{constructor(O,ee){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=O;const ce=new Map;for(const oe of O){const le=ce.get(oe.type);switch(le?le.push([oe.resource,oe]):ce.set(oe.type,[[oe.resource,oe]]),oe.type){case 1:this.rawAdded.push(oe.resource);break;case 0:this.rawUpdated.push(oe.resource);break;case 2:this.rawDeleted.push(oe.resource);break}}for(const[oe,le]of ce)switch(oe){case 1:this.added=a.TernarySearchTree.forUris(()=>ee),this.added.fill(le);break;case 0:this.updated=a.TernarySearchTree.forUris(()=>ee),this.updated.fill(le);break;case 2:this.deleted=a.TernarySearchTree.forUris(()=>ee),this.deleted.fill(le);break}}contains(O,...ee){return this.doContains(O,{includeChildren:!1},...ee)}affects(O,...ee){return this.doContains(O,{includeChildren:!0},...ee)}doContains(O,ee,...ce){if(!O)return!1;const oe=ce.length>0;return!!((!oe||ce.includes(1))&&(this.added?.get(O)||ee.includeChildren&&this.added?.findSuperstr(O))||(!oe||ce.includes(0))&&(this.updated?.get(O)||ee.includeChildren&&this.updated?.findSuperstr(O))||(!oe||ce.includes(2))&&(this.deleted?.findSubstr(O)||ee.includeChildren&&this.deleted?.findSuperstr(O)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=w;function p(H,O,ee){return!H||!O||H===O||O.length>H.length?!1:(O.charAt(O.length-1)!==v.sep&&(O+=v.sep),ee?(0,b.startsWithIgnoreCase)(H,O):H.indexOf(O)===0)}e.isParent=p;class D extends Error{constructor(O,ee,ce){super(O);this.fileOperationResult=ee,this.options=ce}}e.FileOperationError=D;class U extends D{constructor(O,ee,ce){super(O,2,ce);this.stat=ee}}e.NotModifiedSinceFileOperationError=U;var V;(function(H){H[H.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",H[H.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",H[H.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",H[H.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",H[H.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",H[H.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",H[H.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",H[H.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",H[H.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",H[H.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",H[H.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",H[H.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(V=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var x;(function(H){H[H.FILE=0]="FILE",H[H.FOLDER=1]="FOLDER",H[H.ROOT_FOLDER=2]="ROOT_FOLDER"})(x=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function C(H){if(!(typeof H.size!="number"||typeof H.mtime!="number"))return H.mtime.toString(29)+H.size.toString(31)}e.etag=C;async function L(H,O){if(!O.hasProvider(y.URI.from({scheme:H.scheme})))return new Promise(ee=>{const ce=O.onDidChangeFileSystemProviderRegistrations(oe=>{oe.scheme===H.scheme&&oe.added&&(ce.dispose(),ee())})})}e.whenProviderRegistered=L,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class B{static formatSize(O){return(0,M.isNumber)(O)||(O=0),O<B.KB?(0,P.localize)(1,null,O.toFixed(0)):O<B.MB?(0,P.localize)(2,null,(O/B.KB).toFixed(2)):O<B.GB?(0,P.localize)(3,null,(O/B.MB).toFixed(2)):O<B.TB?(0,P.localize)(4,null,(O/B.GB).toFixed(2)):(0,P.localize)(5,null,(O/B.TB).toFixed(2))}}e.ByteSize=B,B.KB=1024,B.MB=B.KB*B.KB,B.GB=B.MB*B.KB,B.TB=B.GB*B.KB;var F;(function(H){H[H.IA32=0]="IA32",H[H.OTHER=1]="OTHER"})(F=e.Arch||(e.Arch={}));function K(H){return{maxFileSize:H===0?300*B.MB:16*B.GB,maxHeapSize:H===0?700*B.MB:2*700*B.MB}}e.getPlatformLimits=K}),define(ye[59],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class a{constructor(...b){this._entries=new Map;for(const[M,y]of b)this.set(M,y)}set(b,M){const y=this._entries.get(b);return this._entries.set(b,M),y}has(b){return this._entries.has(b)}get(b){return this._entries.get(b)}}e.ServiceCollection=a}),define(ye[148],De([1,0,14,11,78,146,3,59]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const E=!1;class T extends Error{constructor(f){super("cyclic dependency between services");this.message=f.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${f.toString()}`}}class R{constructor(f=new P.ServiceCollection,h=!1,d){this._activeInstantiations=new Set,this._services=f,this._strict=h,this._parent=d,this._services.set(y.IInstantiationService,this)}createChild(f){return new R(f,this._strict,this)}invokeFunction(f,...h){const d=m.traceInvocation(f);let o=!1;try{return f({get:A=>{if(o)throw(0,v.illegalState)("service accessor is only valid during the invocation of its target method");const c=this._getOrCreateServiceInstance(A,d);if(!c)throw new Error(`[invokeFunction] unknown service '${A}'`);return c}},...h)}finally{o=!0,d.stop()}}createInstance(f,...h){let d,o;return f instanceof b.SyncDescriptor?(d=m.traceCreation(f.ctor),o=this._createInstance(f.ctor,f.staticArguments.concat(h),d)):(d=m.traceCreation(f),o=this._createInstance(f,h,d)),d.stop(),o}_createInstance(f,h=[],d){const o=y._util.getServiceDependencies(f).sort((c,_)=>c.index-_.index),g=[];for(const c of o){const _=this._getOrCreateServiceInstance(c.id,d);_||this._throwIfStrict(`[createInstance] ${f.name} depends on UNKNOWN service ${c.id}.`,!1),g.push(_)}const A=o.length>0?o[0].index:h.length;if(h.length!==A){console.trace(`[createInstance] First service dependency of ${f.name} at position ${A+1} conflicts with ${h.length} static arguments`);const c=A-h.length;c>0?h=h.concat(new Array(c)):h=h.slice(0,A)}return new f(...[...h,...g])}_setServiceInstance(f,h){if(this._services.get(f)instanceof b.SyncDescriptor)this._services.set(f,h);else if(this._parent)this._parent._setServiceInstance(f,h);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(f){const h=this._services.get(f);return!h&&this._parent?this._parent._getServiceInstanceOrDescriptor(f):h}_getOrCreateServiceInstance(f,h){const d=this._getServiceInstanceOrDescriptor(f);return d instanceof b.SyncDescriptor?this._safeCreateAndCacheServiceInstance(f,d,h.branch(f,!0)):(h.branch(f,!1),d)}_safeCreateAndCacheServiceInstance(f,h,d){if(this._activeInstantiations.has(f))throw new Error(`illegal state - RECURSIVELY instantiating service '${f}'`);this._activeInstantiations.add(f);try{return this._createAndCacheServiceInstance(f,h,d)}finally{this._activeInstantiations.delete(f)}}_createAndCacheServiceInstance(f,h,d){const o=new M.Graph(c=>c.id.toString());let g=0;const A=[{id:f,desc:h,_trace:d}];for(;A.length;){const c=A.pop();if(o.lookupOrInsertNode(c),g++>1e3)throw new T(o);for(const _ of y._util.getServiceDependencies(c.desc.ctor)){const s=this._getServiceInstanceOrDescriptor(_.id);if(s||this._throwIfStrict(`[createInstance] ${f} depends on ${_.id} which is NOT registered.`,!0),s instanceof b.SyncDescriptor){const u={id:_.id,desc:s,_trace:c._trace.branch(_.id,!0)};o.insertEdge(c,u),A.push(u)}}}for(;;){const c=o.roots();if(c.length===0){if(!o.isEmpty())throw new T(o);break}for(const{data:_}of c){if(this._getServiceInstanceOrDescriptor(_.id)instanceof b.SyncDescriptor){const u=this._createServiceInstanceWithOwner(_.id,_.desc.ctor,_.desc.staticArguments,_.desc.supportsDelayedInstantiation,_._trace);this._setServiceInstance(_.id,u)}o.removeNode(_)}}return this._getServiceInstanceOrDescriptor(f)}_createServiceInstanceWithOwner(f,h,d=[],o,g){if(this._services.get(f)instanceof b.SyncDescriptor)return this._createServiceInstance(h,d,o,g);if(this._parent)return this._parent._createServiceInstanceWithOwner(f,h,d,o,g);throw new Error(`illegalState - creating UNKNOWN service instance ${h.name}`)}_createServiceInstance(f,h=[],d,o){if(d){const g=new a.IdleValue(()=>this._createInstance(f,h,o));return new Proxy(Object.create(null),{get(A,c){if(c in A)return A[c];const _=g.value;let s=_[c];return typeof s!="function"||(s=s.bind(_),A[c]=s),s},set(A,c,_){return g.value[c]=_,!0}})}else return this._createInstance(f,h,o)}_throwIfStrict(f,h){if(h&&console.warn(f),this._strict)throw new Error(f)}}e.InstantiationService=R;var S;(function(I){I[I.Creation=0]="Creation",I[I.Invocation=1]="Invocation",I[I.Branch=2]="Branch"})(S||(S={}));class m{constructor(f,h){this.type=f,this.name=h,this._start=Date.now(),this._dep=[]}static traceInvocation(f){return E?new m(1,f.name||f.toString().substring(0,42).replace(/\n/g,"")):m._None}static traceCreation(f){return E?new m(0,f.name):m._None}branch(f,h){const d=new m(2,f.toString());return this._dep.push([f,h,d]),d}stop(){const f=Date.now()-this._start;m._totals+=f;let h=!1;function d(g,A){const c=[],_=new Array(g+1).join("	");for(const[s,u,i]of A._dep)if(u&&i){h=!0,c.push(`${_}CREATES -> ${s}`);const n=d(g+1,i);n&&c.push(n)}else c.push(`${_}uses -> ${s}`);return c.join(`
`)}const o=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${d(1,this)}`,`DONE, took ${f.toFixed(2)}ms (grand total ${m._totals.toFixed(2)}ms)`];(f>2||h)&&console.log(o.join(`
`))}}e.Trace=m,m._None=new class extends m{constructor(){super(-1,null)}stop(){}branch(){return this}},m._totals=0}),define(ye[15],De([1,0,43,5,7,21,3]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,y.createDecorator)("logService"),e.ILoggerService=(0,y.createDecorator)("loggerService");function P(){return new Date().toISOString()}var E;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(E=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=E.Info;function T(u,i,n){switch(i){case E.Trace:u.trace(n);break;case E.Debug:u.debug(n);break;case E.Info:u.info(n);break;case E.Warning:u.warn(n);break;case E.Error:u.error(n);break;case E.Critical:u.critical(n);break;default:throw new Error("Invalid log level")}}e.log=T;function R(u){let i="";for(let n=0;n<u.length;n++){let r=u[n];if(typeof r=="object")try{r=JSON.stringify(r)}catch{}i+=(n>0?" ":"")+r}return i}e.format=R;class S extends b.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new v.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=S;class m extends S{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...n){this.checkLogLevel(E.Trace)&&this.log(E.Trace,R([i,...n]))}debug(i,...n){this.checkLogLevel(E.Debug)&&this.log(E.Debug,R([i,...n]))}info(i,...n){this.checkLogLevel(E.Info)&&this.log(E.Info,R([i,...n]))}warn(i,...n){this.checkLogLevel(E.Warning)&&this.log(E.Warning,R([i,...n]))}error(i,...n){if(this.checkLogLevel(E.Error))if(i instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=i.stack,this.log(E.Error,R(r))}else this.log(E.Error,R([i,...n]))}critical(i,...n){this.checkLogLevel(E.Critical)&&this.log(E.Critical,R([i,...n]))}flush(){}}e.AbstractMessageLogger=m;class I extends S{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!M.isWindows}trace(i,...n){this.getLevel()<=E.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...n):console.log(`[main ${P()}]`,i,...n))}debug(i,...n){this.getLevel()<=E.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...n):console.log(`[main ${P()}]`,i,...n))}info(i,...n){this.getLevel()<=E.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...n):console.log(`[main ${P()}]`,i,...n))}warn(i,...n){this.getLevel()<=E.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,i,...n):console.warn(`[main ${P()}]`,i,...n))}error(i,...n){this.getLevel()<=E.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,i,...n):console.error(`[main ${P()}]`,i,...n))}critical(i,...n){this.getLevel()<=E.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,i,...n):console.error(`[main ${P()}]`,i,...n))}dispose(){}flush(){}}e.ConsoleMainLogger=I;class f extends S{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...n){this.getLevel()<=E.Trace&&console.log("%cTRACE","color: #888",i,...n)}debug(i,...n){this.getLevel()<=E.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...n)}info(i,...n){this.getLevel()<=E.Info&&console.log("%c INFO","color: #33f",i,...n)}warn(i,...n){this.getLevel()<=E.Warning&&console.log("%c WARN","color: #993",i,...n)}error(i,...n){this.getLevel()<=E.Error&&console.log("%c  ERR","color: #f33",i,...n)}critical(i,...n){this.getLevel()<=E.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...n)}dispose(){}flush(){}}e.ConsoleLogger=f;class h extends S{constructor(i,n=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(n)}trace(i,...n){this.getLevel()<=E.Trace&&this.adapter.log(E.Trace,[this.extractMessage(i),...n])}debug(i,...n){this.getLevel()<=E.Debug&&this.adapter.log(E.Debug,[this.extractMessage(i),...n])}info(i,...n){this.getLevel()<=E.Info&&this.adapter.log(E.Info,[this.extractMessage(i),...n])}warn(i,...n){this.getLevel()<=E.Warning&&this.adapter.log(E.Warning,[this.extractMessage(i),...n])}error(i,...n){this.getLevel()<=E.Error&&this.adapter.log(E.Error,[this.extractMessage(i),...n])}critical(i,...n){this.getLevel()<=E.Critical&&this.adapter.log(E.Critical,[this.extractMessage(i),...n])}extractMessage(i){return typeof i=="string"?i:(0,a.toErrorMessage)(i,this.getLevel()<=E.Trace)}dispose(){}flush(){}}e.AdapterLogger=h;class d extends S{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const n of this.logServices)n.setLevel(i);super.setLevel(i)}trace(i,...n){for(const r of this.logServices)r.trace(i,...n)}debug(i,...n){for(const r of this.logServices)r.debug(i,...n)}info(i,...n){for(const r of this.logServices)r.info(i,...n)}warn(i,...n){for(const r of this.logServices)r.warn(i,...n)}error(i,...n){for(const r of this.logServices)r.error(i,...n)}critical(i,...n){for(const r of this.logServices)r.critical(i,...n)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=d;class o extends b.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...n){this.logger.trace(i,...n)}debug(i,...n){this.logger.debug(i,...n)}info(i,...n){this.logger.info(i,...n)}warn(i,...n){this.logger.warn(i,...n)}error(i,...n){this.logger.error(i,...n)}critical(i,...n){this.logger.critical(i,...n)}flush(){this.logger.flush()}}e.LogService=o;class g extends b.Disposable{constructor(i,n){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(r=>{this.logLevel=r,this.logLevelChangeableLoggers.forEach(t=>t.setLevel(r))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,n){let r=this.loggers.get(i.toString());return r||(r=this.doCreateLogger(i,n?.always?E.Trace:this.logLevel,n),this.loggers.set(i.toString(),r),n?.always||this.logLevelChangeableLoggers.push(r)),r}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=g;class A{constructor(){this.onDidChangeLogLevel=new v.Emitter().event}setLevel(i){}getLevel(){return E.Info}trace(i,...n){}debug(i,...n){}info(i,...n){}warn(i,...n){}error(i,...n){}critical(i,...n){}dispose(){}flush(){}}e.NullLogService=A;function c(u){if(u.verbose)return E.Trace;if(typeof u.logLevel=="string"){const i=_(u.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=c;function _(u){switch(u){case"trace":return E.Trace;case"debug":return E.Debug;case"info":return E.Info;case"warn":return E.Warning;case"error":return E.Error;case"critical":return E.Critical;case"off":return E.Off}}e.parseLogLevel=_;function s(u){switch(u){case E.Trace:return"trace";case E.Debug:return"debug";case E.Info:return"info";case E.Warning:return"warn";case E.Error:return"error";case E.Critical:return"critical";case E.Off:return"off"}}e.LogLevelToString=s}),define(ye[80],De([1,0,29,128,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var M;(function(E){E[E.Unnecessary=1]="Unnecessary",E[E.Deprecated=2]="Deprecated"})(M=e.MarkerTag||(e.MarkerTag={}));var y;(function(E){E[E.Hint=1]="Hint",E[E.Info=2]="Info",E[E.Warning=4]="Warning",E[E.Error=8]="Error"})(y=e.MarkerSeverity||(e.MarkerSeverity={})),function(E){function T(f,h){return h-f}E.compare=T;const R=Object.create(null);R[E.Error]=(0,v.localize)(0,null),R[E.Warning]=(0,v.localize)(1,null),R[E.Info]=(0,v.localize)(2,null);function S(f){return R[f]||""}E.toString=S;function m(f){switch(f){case a.default.Error:return E.Error;case a.default.Warning:return E.Warning;case a.default.Info:return E.Info;case a.default.Ignore:return E.Hint}}E.fromSeverity=m;function I(f){switch(f){case E.Error:return a.default.Error;case E.Warning:return a.default.Warning;case E.Info:return a.default.Info;case E.Hint:return a.default.Ignore}}E.toSeverity=I}(y=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(E){const T="";function R(m){return S(m,!0)}E.makeKey=R;function S(m,I){const f=[T];return m.source?f.push(m.source.replace("\xA6","\\\xA6")):f.push(T),m.code?typeof m.code=="string"?f.push(m.code.replace("\xA6","\\\xA6")):f.push(m.code.value.replace("\xA6","\\\xA6")):f.push(T),m.severity!==void 0&&m.severity!==null?f.push(y.toString(m.severity)):f.push(T),m.message&&I?f.push(m.message.replace("\xA6","\\\xA6")):f.push(T),m.startLineNumber!==void 0&&m.startLineNumber!==null?f.push(m.startLineNumber.toString()):f.push(T),m.startColumn!==void 0&&m.startColumn!==null?f.push(m.startColumn.toString()):f.push(T),m.endLineNumber!==void 0&&m.endLineNumber!==null?f.push(m.endLineNumber.toString()):f.push(T),m.endColumn!==void 0&&m.endColumn!==null?f.push(m.endColumn.toString()):f.push(T),f.push(T),f.join("\xA6")}E.makeKeyOptionalMessage=S})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,b.createDecorator)("markerService")}),define(ye[149],De([1,0,5,29,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=v.default,e.INotificationService=(0,b.createDecorator)("notificationService");var M;(function(T){T[T.WORKSPACE=0]="WORKSPACE",T[T.PROFILE=1]="PROFILE",T[T.APPLICATION=2]="APPLICATION"})(M=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var y;(function(T){T[T.OFF=0]="OFF",T[T.SILENT=1]="SILENT",T[T.ERROR=2]="ERROR"})(y=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new E,this.onDidClose=a.Event.None,this.onDidChangeVisibility=a.Event.None}updateSeverity(R){}updateMessage(R){}updateActions(R){}close(){}}e.NoOpNotification=P;class E{infinite(){}done(){}total(R){}worked(R){}}e.NoOpProgress=E}),define(ye[81],De([1,0,7,9,2,3]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.extractSelection=e.withSelection=e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,M.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return a.Disposable.None},registerValidator(){return a.Disposable.None},registerExternalUriResolver(){return a.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return a.Disposable.None},async open(){return!1},async resolveExternalUri(R){return{resolved:R,dispose(){}}}});function y(R,S){return b.URI.isUri(R)?(0,v.equalsIgnoreCase)(R.scheme,S):(0,v.startsWithIgnoreCase)(R,S+":")}e.matchesScheme=y;function P(R,...S){return S.some(m=>y(R,m))}e.matchesSomeScheme=P;function E(R,S){return R.with({fragment:`${S.startLineNumber},${S.startColumn}${S.endLineNumber?`-${S.endLineNumber}${S.endColumn?`,${S.endColumn}`:""}`:""}`})}e.withSelection=E;function T(R){let S;const m=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(R.fragment);return m&&(S={startLineNumber:parseInt(m[1]),startColumn:m[2]?parseInt(m[2]):1,endLineNumber:m[4]?parseInt(m[4]):void 0,endColumn:m[4]?m[5]?parseInt(m[5]):1:void 0},R=R.with({fragment:""})),{selection:S,uri:R}}e.extractSelection=T}),define(ye[150],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,a.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"});var ze=this&&this.__decorate||function(ie,e,a,v){var b=arguments.length,M=b<3?e:v===null?v=Object.getOwnPropertyDescriptor(e,a):v,y;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")M=Reflect.decorate(ie,e,a,v);else for(var P=ie.length-1;P>=0;P--)(y=ie[P])&&(M=(b<3?y(M):b>3?y(e,a,M):y(e,a))||M);return b>3&&M&&Object.defineProperty(e,a,M),M},$e=this&&this.__param||function(ie,e){return function(a,v){e(a,v,ie)}};define(ye[151],De([1,0,14,20,7,3]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,M.createDecorator)("progressService");var y;(function(R){R[R.Explorer=1]="Explorer",R[R.Scm=3]="Scm",R[R.Extensions=5]="Extensions",R[R.Window=10]="Window",R[R.Notification=15]="Notification",R[R.Dialog=20]="Dialog"})(y=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(S){this.callback=S}get value(){return this._value}report(S){this._value=S,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let E=class extends b.Disposable{constructor(S,m){super();this.deferred=new a.DeferredPromise,m.withProgress(S,I=>(this.reporter=I,this.lastStep&&I.report(this.lastStep),this.deferred.p)),this._register((0,b.toDisposable)(()=>this.deferred.complete()))}report(S){this.reporter?this.reporter.report(S):this.lastStep=S}};E=ze([$e(1,e.IProgressService)],E),e.UnmanagedProgress=E;class T extends b.Disposable{constructor(S){super();this.progressIndicator=S,this.currentOperationId=0,this.currentOperationDisposables=this._register(new b.DisposableStore)}start(S){this.stop();const m=++this.currentOperationId,I=new v.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{m===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},S),this.currentOperationDisposables.add((0,b.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,b.toDisposable)(()=>I.cancel())),this.currentOperationDisposables.add((0,b.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:m,token:I.token,stop:()=>this.doStop(m),isCurrent:()=>this.currentOperationId===m}}stop(){this.doStop(this.currentOperationId)}doStop(S){this.currentOperationId===S&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=T,e.IEditorProgressService=(0,M.createDecorator)("editorProgressService")}),define(ye[30],De([1,0,44,10]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class b{constructor(){this.data=new Map}add(y,P){a.ok(v.isString(y)),a.ok(v.isObject(P)),a.ok(!this.data.has(y),"There is already an extension with this id"),this.data.set(y,P)}knows(y){return this.data.has(y)}as(y){return this.data.get(y)||null}}e.Registry=new b}),define(ye[82],De([1,0,5,30]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function b(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class M{constructor(){this._onDidChangeSchema=new a.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(E,T){this.schemasById[b(E)]=T,this._onDidChangeSchema.fire(E)}notifySchemaChanged(E){this._onDidChangeSchema.fire(E)}getSchemaContributions(){return{schemas:this.schemasById}}}const y=new M;v.Registry.add(e.Extensions.JSONContribution,y)}),define(ye[83],De([1,0,16,5,10,124,58,82,30]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var T;(function(_){_.Multiline="multilineText",_.Singleline="singlelineText"})(T=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var R;(function(_){_[_.APPLICATION=1]="APPLICATION",_[_.MACHINE=2]="MACHINE",_[_.WINDOW=3]="WINDOW",_[_.RESOURCE=4]="RESOURCE",_[_.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",_[_.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(R=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const S=E.Registry.as(P.Extensions.JSONContribution);class m{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new v.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new v.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:M.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},S.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(s,u=!0){this.registerConfigurations([s],u)}registerConfigurations(s,u=!0){const i=this.doRegisterConfigurations(s,u);S.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:i})}deregisterConfigurations(s){const u=this.doDeregisterConfigurations(s);S.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:u})}updateConfigurations({add:s,remove:u}){const i=[];i.push(...this.doDeregisterConfigurations(u)),i.push(...this.doRegisterConfigurations(s,!1)),S.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,a.distinct)(i)})}registerDefaultConfigurations(s){const u=[],i=[];for(const{overrides:n,source:r}of s)for(const t in n)if(u.push(t),e.OVERRIDE_PROPERTY_REGEX.test(t)){const l=this.configurationDefaultsOverrides.get(t),w=l?.valuesSources??new Map;if(r)for(const V of Object.keys(n[t]))w.set(V,r);const p={...l?.value||{},...n[t]};this.configurationDefaultsOverrides.set(t,{source:r,value:p,valuesSources:w});const D=(0,y.getLanguageTagSettingPlainKey)(t),U={type:"object",default:p,description:M.localize(1,null,D),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:p,source:b.isString(r)?void 0:r,defaultValueSource:r};i.push(...h(t)),this.configurationProperties[t]=U,this.defaultLanguageConfigurationOverridesNode.properties[t]=U}else{this.configurationDefaultsOverrides.set(t,{value:n[t],source:r});const l=this.configurationProperties[t];l&&(this.updatePropertyDefaultValue(t,l),this.updateSchema(t,l))}this.registerOverrideIdentifiers(i),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:u,defaultsOverrides:!0})}deregisterDefaultConfigurations(s){const u=[];for(const{overrides:i,source:n}of s)for(const r in i){const t=this.configurationDefaultsOverrides.get(r),l=b.isString(n)?n:n?.id,w=b.isString(t?.source)?t?.source:t?.source?.id;if(l===w)if(u.push(r),this.configurationDefaultsOverrides.delete(r),e.OVERRIDE_PROPERTY_REGEX.test(r))delete this.configurationProperties[r],delete this.defaultLanguageConfigurationOverridesNode.properties[r];else{const p=this.configurationProperties[r];p&&(this.updatePropertyDefaultValue(r,p),this.updateSchema(r,p))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:u,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...s){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(s){for(const u of s)this.overrideIdentifiers.add(u);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(s,u){const i=[];return s.forEach(n=>{i.push(...this.validateAndRegisterProperties(n,u,n.extensionInfo,n.restrictedProperties)),this.configurationContributors.push(n),this.registerJSONConfiguration(n)}),i}doDeregisterConfigurations(s){const u=[],i=n=>{if(n.properties)for(const r in n.properties){u.push(r);const t=this.configurationProperties[r];t?.policy?.name&&this.policyConfigurations.delete(t.policy.name),delete this.configurationProperties[r],this.removeFromSchema(r,n.properties[r])}n.allOf?.forEach(r=>i(r))};for(const n of s){i(n);const r=this.configurationContributors.indexOf(n);r!==-1&&this.configurationContributors.splice(r,1)}return u}validateAndRegisterProperties(s,u=!0,i,n,r=3){r=b.isUndefinedOrNull(s.scope)?r:s.scope;const t=[],l=s.properties;if(l)for(const p in l){const D=l[p];if(u&&A(p,D)){delete l[p];continue}if(D.source=i,D.defaultDefaultValue=l[p].default,this.updatePropertyDefaultValue(p,D),e.OVERRIDE_PROPERTY_REGEX.test(p)?D.scope=void 0:(D.scope=b.isUndefinedOrNull(D.scope)?r:D.scope,D.restricted=b.isUndefinedOrNull(D.restricted)?!!n?.includes(p):D.restricted),l[p].hasOwnProperty("included")&&!l[p].included){this.excludedConfigurationProperties[p]=l[p],delete l[p];continue}else this.configurationProperties[p]=l[p],l[p].policy?.name&&this.policyConfigurations.set(l[p].policy.name,p);!l[p].deprecationMessage&&l[p].markdownDeprecationMessage&&(l[p].deprecationMessage=l[p].markdownDeprecationMessage),t.push(p)}const w=s.allOf;if(w)for(const p of w)t.push(...this.validateAndRegisterProperties(p,u,i,n,r));return t}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(s){const u=i=>{const n=i.properties;if(n)for(const t in n)this.updateSchema(t,n[t]);i.allOf?.forEach(u)};u(s)}updateSchema(s,u){switch(e.allSettings.properties[s]=u,u.scope){case 1:e.applicationSettings.properties[s]=u;break;case 2:e.machineSettings.properties[s]=u;break;case 6:e.machineOverridableSettings.properties[s]=u;break;case 3:e.windowSettings.properties[s]=u;break;case 4:e.resourceSettings.properties[s]=u;break;case 5:e.resourceSettings.properties[s]=u,this.resourceLanguageSettingsSchema.properties[s]=u;break}}removeFromSchema(s,u){switch(delete e.allSettings.properties[s],u.scope){case 1:delete e.applicationSettings.properties[s];break;case 2:delete e.machineSettings.properties[s];break;case 6:delete e.machineOverridableSettings.properties[s];break;case 3:delete e.windowSettings.properties[s];break;case 4:case 5:delete e.resourceSettings.properties[s],delete this.resourceLanguageSettingsSchema.properties[s];break}}updateOverridePropertyPatternKey(){for(const s of this.overrideIdentifiers.values()){const u=`[${s}]`,i={type:"object",description:M.localize(2,null),errorMessage:M.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(u,i),e.allSettings.properties[u]=i,e.applicationSettings.properties[u]=i,e.machineSettings.properties[u]=i,e.machineOverridableSettings.properties[u]=i,e.windowSettings.properties[u]=i,e.resourceSettings.properties[u]=i}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const s={type:"object",description:M.localize(4,null),errorMessage:M.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=s,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(s,u){const i=this.configurationDefaultsOverrides.get(s);let n=i?.value,r=i?.source;b.isUndefined(n)&&(n=u.defaultDefaultValue,r=void 0),b.isUndefined(n)&&(n=o(u.type)),u.default=n,u.defaultValueSource=r}}const I="\\[([^\\]]+)\\]",f=new RegExp(I,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${I})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function h(_){const s=[];if(e.OVERRIDE_PROPERTY_REGEX.test(_)){let u=f.exec(_);for(;u?.length;){const i=u[1].trim();i&&s.push(i),u=f.exec(_)}}return(0,a.distinct)(s)}e.overrideIdentifiersFromKey=h;function d(_){return _.reduce((s,u)=>`${s}[${u}]`,"")}e.keyFromOverrideIdentifiers=d;function o(_){switch(Array.isArray(_)?_[0]:_){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=o;const g=new m;E.Registry.add(e.Extensions.Configuration,g);function A(_,s){return _.trim()?e.OVERRIDE_PROPERTY_REGEX.test(_)?M.localize(7,null,_):g.getConfigurationProperties()[_]!==void 0?M.localize(8,null,_):s.policy?.name&&g.getPolicyConfigurations().get(s.policy?.name)!==void 0?M.localize(9,null,_,s.policy?.name,g.getPolicyConfigurations().get(s.policy?.name)):null:M.localize(6,null)}e.validateProperty=A;function c(){const _=[],s=g.getConfigurationProperties();for(const u of Object.keys(s))_.push([u,s[u].scope]);return _.push(["launch",4]),_.push(["task",4]),_}e.getScopes=c}),define(ye[152],De([1,0,16,5,106,7,25,26,10,2,58,83,30]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class I{constructor(u={},i=[],n=[]){this._contents=u,this._keys=i,this._overrides=n,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(u){return u?(0,R.getConfigurationValue)(this.contents,u):this.contents}getOverrideValue(u,i){const n=this.getContentsForOverrideIdentifer(i);return n?u?(0,R.getConfigurationValue)(n,u):n:void 0}getKeysForOverrideIdentifier(u){const i=[];for(const n of this.overrides)n.identifiers.includes(u)&&i.push(...n.keys);return a.distinct(i)}getAllOverrideIdentifiers(){const u=[];for(const i of this.overrides)u.push(...i.identifiers);return a.distinct(u)}override(u){let i=this.overrideConfigurations.get(u);return i||(i=this.createOverrideConfigurationModel(u),this.overrideConfigurations.set(u,i)),i}merge(...u){const i=P.deepClone(this.contents),n=P.deepClone(this.overrides),r=[...this.keys];for(const t of u)if(!t.isEmpty()){this.mergeContents(i,t.contents);for(const l of t.overrides){const[w]=n.filter(p=>a.equals(p.identifiers,l.identifiers));w?(this.mergeContents(w.contents,l.contents),w.keys.push(...l.keys),w.keys=a.distinct(w.keys)):n.push(P.deepClone(l))}for(const l of t.keys)r.indexOf(l)===-1&&r.push(l)}return new I(i,r,n)}freeze(){return this.frozen=!0,this}clone(){return new I(P.deepClone(this.contents),[...this.keys],P.deepClone(this.overrides))}createOverrideConfigurationModel(u){const i=this.getContentsForOverrideIdentifer(u);if(!i||typeof i!="object"||!Object.keys(i).length)return this;const n={};for(const r of a.distinct([...Object.keys(this.contents),...Object.keys(i)])){let t=this.contents[r];const l=i[r];l&&(typeof t=="object"&&typeof l=="object"?(t=P.deepClone(t),this.mergeContents(t,l)):t=l),n[r]=t}return new I(n,this.keys,this.overrides)}mergeContents(u,i){for(const n of Object.keys(i)){if(n in u&&E.isObject(u[n])&&E.isObject(i[n])){this.mergeContents(u[n],i[n]);continue}u[n]=P.deepClone(i[n])}}checkAndFreeze(u){return this.frozen&&!Object.isFrozen(u)?P.deepFreeze(u):u}getContentsForOverrideIdentifer(u){let i=null,n=null;const r=t=>{t&&(n?this.mergeContents(n,t):n=P.deepClone(t))};for(const t of this.overrides)a.equals(t.identifiers,[u])?i=t.contents:t.identifiers.includes(u)&&r(t.contents);return r(i),n}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(u,i){this.addKey(u),(0,R.addToValueTree)(this.contents,u,i,n=>{throw new Error(n)})}removeValue(u){this.removeKey(u)&&(0,R.removeFromValueTree)(this.contents,u)}addKey(u){let i=this.keys.length;for(let n=0;n<i;n++)u.indexOf(this.keys[n])===0&&(i=n);this.keys.splice(i,1,u)}removeKey(u){const i=this.keys.indexOf(u);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=I;class f{constructor(u){this._name=u,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new I}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(u,i){if(!E.isUndefinedOrNull(u)){const n=this.doParseContent(u);this.parseRaw(n,i)}}reparse(u){this._raw&&this.parseRaw(this._raw,u)}parseRaw(u,i){this._raw=u;const{contents:n,keys:r,overrides:t,restricted:l}=this.doParseRaw(u,i);this._configurationModel=new I(n,r,t),this._restrictedConfigurations=l||[]}doParseContent(u){let i={},n=null,r=[];const t=[],l=[];function w(D){Array.isArray(r)?r.push(D):n!==null&&(r[n]=D)}const p={onObjectBegin:()=>{const D={};w(D),t.push(r),r=D,n=null},onObjectProperty:D=>{n=D},onObjectEnd:()=>{r=t.pop()},onArrayBegin:()=>{const D=[];w(D),t.push(r),r=D,n=null},onArrayEnd:()=>{r=t.pop()},onLiteralValue:w,onError:(D,U,V)=>{l.push({error:D,offset:U,length:V})}};if(u)try{b.visit(u,p),i=r[0]||{}}catch(D){console.error(`Error while parsing settings file ${this._name}: ${D}`),this._parseErrors=[D]}return i}doParseRaw(u,i){const n=m.Registry.as(S.Extensions.Configuration).getConfigurationProperties(),r=this.filter(u,n,!0,i);u=r.raw;const t=(0,R.toValuesTree)(u,p=>console.error(`Conflict in settings file ${this._name}: ${p}`)),l=Object.keys(u),w=this.toOverrides(u,p=>console.error(`Conflict in settings file ${this._name}: ${p}`));return{contents:t,keys:l,overrides:w,restricted:r.restricted}}filter(u,i,n,r){if(!r?.scopes&&!r?.skipRestricted)return{raw:u,restricted:[]};const t={},l=[];for(const w in u)if(S.OVERRIDE_PROPERTY_REGEX.test(w)&&n){const p=this.filter(u[w],i,!1,r);t[w]=p.raw,l.push(...p.restricted)}else{const p=i[w],D=p?typeof p.scope!="undefined"?p.scope:3:void 0;p?.restricted&&l.push(w),(D===void 0||r.scopes===void 0||r.scopes.includes(D))&&(r.skipRestricted&&p?.restricted||(t[w]=u[w]))}return{raw:t,restricted:l}}toOverrides(u,i){const n=[];for(const r of Object.keys(u))if(S.OVERRIDE_PROPERTY_REGEX.test(r)){const t={};for(const l in u[r])t[l]=u[r][l];n.push({identifiers:(0,S.overrideIdentifiersFromKey)(r),keys:Object.keys(t),contents:(0,R.toValuesTree)(t,i)})}return n}}e.ConfigurationModelParser=f;class h extends M.Disposable{constructor(u,i,n,r){super();this.userSettingsResource=u,this.scopes=i,this.fileService=r,this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new f(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(n.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(v.Event.any(v.Event.filter(this.fileService.onDidFilesChange,t=>t.contains(this.userSettingsResource)),v.Event.filter(this.fileService.onDidRunOperation,t=>(t.isOperation(0)||t.isOperation(3)||t.isOperation(1)||t.isOperation(4))&&n.isEqual(t.resource,u)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const u=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(u.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new I}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=h;class d{constructor(u,i,n,r,t=new I,l=new I,w=new y.ResourceMap,p=new I,D=new y.ResourceMap,U=!0){this._defaultConfiguration=u,this._policyConfiguration=i,this._applicationConfiguration=n,this._localUserConfiguration=r,this._remoteUserConfiguration=t,this._workspaceConfiguration=l,this._folderConfigurations=w,this._memoryConfiguration=p,this._memoryConfigurationByResource=D,this._freeze=U,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(u,i,n){return this.getConsolidatedConfigurationModel(u,i,n).getValue(u)}updateValue(u,i,n={}){let r;n.resource?(r=this._memoryConfigurationByResource.get(n.resource),r||(r=new I,this._memoryConfigurationByResource.set(n.resource,r))):r=this._memoryConfiguration,i===void 0?r.removeValue(u):r.setValue(u,i),n.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(u,i,n){const r=this.getConsolidatedConfigurationModel(u,i,n),t=this.getFolderConfigurationModelForResource(i.resource,n),l=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,w=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(u):this._defaultConfiguration.freeze().getValue(u),p=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(u),D=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(u),U=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(u):this.userConfiguration.freeze().getValue(u),V=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(u):this.localUserConfiguration.freeze().getValue(u),x=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(u):this.remoteUserConfiguration.freeze().getValue(u),C=n?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(u):this._workspaceConfiguration.freeze().getValue(u):void 0,L=t?i.overrideIdentifier?t.freeze().override(i.overrideIdentifier).getValue(u):t.freeze().getValue(u):void 0,B=i.overrideIdentifier?l.override(i.overrideIdentifier).getValue(u):l.getValue(u),F=r.getValue(u),K=a.distinct(r.overrides.map(H=>H.identifiers).flat()).filter(H=>r.getOverrideValue(u,H)!==void 0);return{defaultValue:w,policyValue:p,applicationValue:D,userValue:U,userLocalValue:V,userRemoteValue:x,workspaceValue:C,workspaceFolderValue:L,memoryValue:B,value:F,default:w!==void 0?{value:this._defaultConfiguration.freeze().getValue(u),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,policy:p!==void 0?{value:p}:void 0,application:D!==void 0?{value:D,override:i.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,user:U!==void 0?{value:this.userConfiguration.freeze().getValue(u),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,userLocal:V!==void 0?{value:this.localUserConfiguration.freeze().getValue(u),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,userRemote:x!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(u),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,workspace:C!==void 0?{value:this._workspaceConfiguration.freeze().getValue(u),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,workspaceFolder:L!==void 0?{value:t?.freeze().getValue(u),override:i.overrideIdentifier?t?.freeze().getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,memory:B!==void 0?{value:l.getValue(u),override:i.overrideIdentifier?l.getOverrideValue(u,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:K.length?K:void 0}}keys(u){const i=this.getFolderConfigurationModelForResource(void 0,u);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(u){this._defaultConfiguration=u,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(u){this._policyConfiguration=u}updateApplicationConfiguration(u){this._applicationConfiguration=u,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(u){this._localUserConfiguration=u,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(u){this._remoteUserConfiguration=u,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(u){this._workspaceConfiguration=u,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(u,i){this._folderConfigurations.set(u,i),this._foldersConsolidatedConfigurations.delete(u)}deleteFolderConfiguration(u){this.folderConfigurations.delete(u),this._foldersConsolidatedConfigurations.delete(u)}compareAndUpdateDefaultConfiguration(u,i){const n=[];if(!i){const{added:r,updated:t,removed:l}=c(this._defaultConfiguration,u);i=[...r,...t,...l]}for(const r of i)for(const t of(0,S.overrideIdentifiersFromKey)(r)){const l=this._defaultConfiguration.getKeysForOverrideIdentifier(t),w=u.getKeysForOverrideIdentifier(t),p=[...w.filter(D=>l.indexOf(D)===-1),...l.filter(D=>w.indexOf(D)===-1),...l.filter(D=>!P.equals(this._defaultConfiguration.override(t).getValue(D),u.override(t).getValue(D)))];n.push([t,p])}return this.updateDefaultConfiguration(u),{keys:i,overrides:n}}compareAndUpdatePolicyConfiguration(u){const{added:i,updated:n,removed:r}=c(this._policyConfiguration,u),t=[...i,...n,...r];return t.length&&this.updatePolicyConfiguration(u),{keys:t,overrides:[]}}compareAndUpdateApplicationConfiguration(u){const{added:i,updated:n,removed:r,overrides:t}=c(this.applicationConfiguration,u),l=[...i,...n,...r];return l.length&&this.updateApplicationConfiguration(u),{keys:l,overrides:t}}compareAndUpdateLocalUserConfiguration(u){const{added:i,updated:n,removed:r,overrides:t}=c(this.localUserConfiguration,u),l=[...i,...n,...r];return l.length&&this.updateLocalUserConfiguration(u),{keys:l,overrides:t}}compareAndUpdateRemoteUserConfiguration(u){const{added:i,updated:n,removed:r,overrides:t}=c(this.remoteUserConfiguration,u),l=[...i,...n,...r];return l.length&&this.updateRemoteUserConfiguration(u),{keys:l,overrides:t}}compareAndUpdateWorkspaceConfiguration(u){const{added:i,updated:n,removed:r,overrides:t}=c(this.workspaceConfiguration,u),l=[...i,...n,...r];return l.length&&this.updateWorkspaceConfiguration(u),{keys:l,overrides:t}}compareAndUpdateFolderConfiguration(u,i){const n=this.folderConfigurations.get(u),{added:r,updated:t,removed:l,overrides:w}=c(n,i),p=[...r,...t,...l];return(p.length||!n)&&this.updateFolderConfiguration(u,i),{keys:p,overrides:w}}compareAndDeleteFolderConfiguration(u){const i=this.folderConfigurations.get(u);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(u);const{added:n,updated:r,removed:t,overrides:l}=c(i,void 0);return{keys:[...n,...r,...t],overrides:l}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(u,i,n){let r=this.getConsolidatedConfigurationModelForResource(i,n);return i.overrideIdentifier&&(r=r.override(i.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(u)!==void 0&&(r=r.merge(this._policyConfiguration)),r}getConsolidatedConfigurationModelForResource({resource:u},i){let n=this.getWorkspaceConsolidatedConfiguration();if(i&&u){const r=i.getFolder(u);r&&(n=this.getFolderConsolidatedConfiguration(r.uri)||n);const t=this._memoryConfigurationByResource.get(u);t&&(n=n.merge(t))}return n}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(u){let i=this._foldersConsolidatedConfigurations.get(u);if(!i){const n=this.getWorkspaceConsolidatedConfiguration(),r=this._folderConfigurations.get(u);r?(i=n.merge(r),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(u,i)):i=n}return i}getFolderConfigurationModelForResource(u,i){if(i&&u){const n=i.getFolder(u);if(n)return this._folderConfigurations.get(n.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((u,i)=>{const{contents:n,overrides:r,keys:t}=this._folderConfigurations.get(i);return u.push([i,{contents:n,overrides:r,keys:t}]),u},[])}}allKeys(){const u=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>u.add(i)),this.userConfiguration.freeze().keys.forEach(i=>u.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>u.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(n=>u.add(n))),[...u.values()]}allOverrideIdentifiers(){const u=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>u.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>u.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>u.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(n=>u.add(n))),[...u.values()]}getAllKeysForOverrideIdentifier(u){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(u).forEach(n=>i.add(n)),this.userConfiguration.getKeysForOverrideIdentifier(u).forEach(n=>i.add(n)),this._workspaceConfiguration.getKeysForOverrideIdentifier(u).forEach(n=>i.add(n)),this._folderConfigurations.forEach(n=>n.getKeysForOverrideIdentifier(u).forEach(r=>i.add(r))),[...i.values()]}static parse(u){const i=this.parseConfigurationModel(u.defaults),n=this.parseConfigurationModel(u.policy),r=this.parseConfigurationModel(u.application),t=this.parseConfigurationModel(u.user),l=this.parseConfigurationModel(u.workspace),w=u.folders.reduce((p,D)=>(p.set(T.URI.revive(D[0]),this.parseConfigurationModel(D[1])),p),new y.ResourceMap);return new d(i,n,r,t,new I,l,w,new I,new y.ResourceMap,!1)}static parseConfigurationModel(u){return new I(u.contents,u.keys,u.overrides).freeze()}}e.Configuration=d;function o(...s){if(s.length===0)return{keys:[],overrides:[]};if(s.length===1)return s[0];const u=new Set,i=new Map;for(const r of s)r.keys.forEach(t=>u.add(t)),r.overrides.forEach(([t,l])=>{const w=(0,y.getOrSet)(i,t,new Set);l.forEach(p=>w.add(p))});const n=[];return i.forEach((r,t)=>n.push([t,[...r.values()]])),{keys:[...u.values()],overrides:n}}e.mergeChanges=o;class g{constructor(u,i,n,r){this.change=u,this.previous=i,this.currentConfiguraiton=n,this.currentWorkspace=r,this._previousConfiguration=void 0;const t=new Set;u.keys.forEach(w=>t.add(w)),u.overrides.forEach(([,w])=>w.forEach(p=>t.add(p))),this.affectedKeys=[...t.values()];const l=new I;this.affectedKeys.forEach(w=>l.setValue(w,{})),this.affectedKeysTree=l.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=d.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(u,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,u)){if(i){const n=this.previousConfiguration?this.previousConfiguration.getValue(u,i,this.previous?.workspace):void 0,r=this.currentConfiguraiton.getValue(u,i,this.currentWorkspace);return!P.equals(n,r)}return!0}return!1}doesAffectedKeysTreeContains(u,i){let n=(0,R.toValuesTree)({[i]:!0},()=>{}),r;for(;typeof n=="object"&&(r=Object.keys(n)[0]);){if(u=u[r],!u)return!1;n=n[r]}return!0}}e.ConfigurationChangeEvent=g;class A extends g{constructor(u,i,n,r){super({keys:u.allKeys(),overrides:[]},void 0,u,i);this.source=n,this.sourceConfig=r}}e.AllKeysConfigurationChangeEvent=A;function c(s,u){const{added:i,removed:n,updated:r}=_(u,s),t=[],l=s?.getAllOverrideIdentifiers()||[],w=u?.getAllOverrideIdentifiers()||[];if(u){const p=w.filter(D=>!l.includes(D));for(const D of p)t.push([D,u.getKeysForOverrideIdentifier(D)])}if(s){const p=l.filter(D=>!w.includes(D));for(const D of p)t.push([D,s.getKeysForOverrideIdentifier(D)])}if(u&&s){for(const p of l)if(w.includes(p)){const D=_({contents:s.getOverrideValue(void 0,p)||{},keys:s.getKeysForOverrideIdentifier(p)},{contents:u.getOverrideValue(void 0,p)||{},keys:u.getKeysForOverrideIdentifier(p)});t.push([p,[...D.added,...D.removed,...D.updated]])}}return{added:i,removed:n,updated:r,overrides:t}}function _(s,u){const i=s?u?s.keys.filter(t=>u.keys.indexOf(t)===-1):[...s.keys]:[],n=u?s?u.keys.filter(t=>s.keys.indexOf(t)===-1):[...u.keys]:[],r=[];if(s&&u){for(const t of u.keys)if(s.keys.indexOf(t)!==-1){const l=(0,R.getConfigurationValue)(u.contents,t),w=(0,R.getConfigurationValue)(s.contents,t);P.equals(l,w)||r.push(t)}}return{added:i,removed:n,updated:r}}}),define(ye[84],De([1,0,11,3]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,v.createDecorator)("remoteAuthorityResolverService");var b;(function(y){y.Unknown="Unknown",y.NotAvailable="NotAvailable",y.TemporarilyNotAvailable="TemporarilyNotAvailable",y.NoResolverFound="NoResolverFound"})(b=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class M extends a.ErrorNoTelemetry{constructor(P,E=b.Unknown,T){super(P);this._message=P,this._code=E,this._detail=T,this.isHandled=E===b.NotAvailable&&T===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,M.prototype)}static isTemporarilyNotAvailable(P){return P instanceof M&&P._code===b.TemporarilyNotAvailable}static isNoResolverFound(P){return P instanceof M&&P._code===b.NoResolverFound}static isHandled(P){return P instanceof M&&P.isHandled}}e.RemoteAuthorityResolverError=M}),define(ye[85],De([1,0,12]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function v(T){return T.scheme===a.Schemas.vscodeRemote?T.authority:void 0}e.getRemoteAuthority=v;function b(T){if(!T)return;const R=T.indexOf("+");return R<0?T:T.substr(0,R)}e.getRemoteName=b;function M(T){return`/${T.quality??"oss"}-${T.commit??"dev"}`}e.getRemoteServerRootPath=M;function y(T){const{host:R,port:S}=E(T);if(typeof S=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:R,port:S}}e.parseAuthorityWithPort=y;function P(T,R){let{host:S,port:m}=E(T);return typeof m=="undefined"&&(m=R),{host:S,port:m}}e.parseAuthorityWithOptionalPort=P;function E(T){const R=T.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(R)return{host:R[1],port:parseInt(R[2],10)};const S=T.match(/^(\[[0-9a-z:]+\])$/);if(S)return{host:S[1],port:void 0};const m=T.match(/(.*):(\d+)$/);return m?{host:m[1],port:parseInt(m[2],10)}:{host:T,port:void 0}}}),define(ye[27],De([1,0,9,3,85]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function M(f){if(typeof f=="object"&&f!==null&&f.supported!==!0)return f.description}e.getWorkspaceSupportTypeMessage=M;function y(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=y,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(f){f[f.System=0]="System",f[f.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));var E;(function(f){f.WIN32_X64="win32-x64",f.WIN32_IA32="win32-ia32",f.WIN32_ARM64="win32-arm64",f.LINUX_X64="linux-x64",f.LINUX_ARM64="linux-arm64",f.LINUX_ARMHF="linux-armhf",f.ALPINE_X64="alpine-x64",f.ALPINE_ARM64="alpine-arm64",f.DARWIN_X64="darwin-x64",f.DARWIN_ARM64="darwin-arm64",f.WEB="web",f.UNIVERSAL="universal",f.UNKNOWN="unknown",f.UNDEFINED="undefined"})(E=e.TargetPlatform||(e.TargetPlatform={}));class T{constructor(h){this.value=h,this._lower=h.toLowerCase()}static equals(h,d){if(typeof h=="undefined"||h===null)return typeof d=="undefined"||d===null;if(typeof d=="undefined"||d===null)return!1;if(typeof h=="string"||typeof d=="string"){const o=typeof h=="string"?h:h.value,g=typeof d=="string"?d:d.value;return a.equalsIgnoreCase(o,g)}return h._lower===d._lower}static toKey(h){return typeof h=="string"?h.toLowerCase():h._lower}}e.ExtensionIdentifier=T;function R(f){return S(f)}e.isApplicationScopedExtension=R;function S(f){return f.contributes&&f.contributes.localizations?f.contributes.localizations.length>0:!1}e.isLanguagePackExtension=S;function m(f){return f.contributes&&f.contributes.authentication?f.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=m;function I(f,h){if(h){const d=`onResolveRemoteAuthority:${(0,b.getRemoteName)(h)}`;return f.activationEvents?.indexOf(d)!==-1}return!1}e.isResolverExtension=I,e.IBuiltinExtensionsScannerService=(0,v.createDecorator)("IBuiltinExtensionsScannerService")}),define(ye[153],De([1,0,9,79,27,21,2,11,60]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function T(u,i){return u.uuid&&i.uuid?u.uuid===i.uuid:u.id===i.id?!0:(0,a.compareIgnoreCase)(u.id,i.id)===0}e.areSameExtensions=T;const R=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class S{constructor(i,n,r="undefined"){this.version=n,this.targetPlatform=r,this.id=i.id}static create(i){const n=i.manifest?i.manifest.version:i.version,r=i.manifest?i.targetPlatform:i.properties.targetPlatform;return new S(i.identifier,n,r)}static parse(i){const n=R.exec(i);return n&&n[1]&&n[2]?new S({id:n[1]},n[2],n[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(i){return i instanceof S?T(this,i)&&this.version===i.version&&this.targetPlatform===i.targetPlatform:!1}}e.ExtensionKey=S;const m=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function I(u){const i=m.exec(u);return i&&i[1]?[h(i[1]),i[2]]:[h(u),void 0]}e.getIdAndVersion=I;function f(u,i){return`${u}.${i}`}e.getExtensionId=f;function h(u){return u.toLocaleLowerCase()}e.adoptToGalleryExtensionId=h;function d(u,i){return h(f(u,i))}e.getGalleryExtensionId=d;function o(u,i){const n=[],r=t=>{for(const l of n)if(l.some(w=>T(i(w),i(t))))return l;return null};for(const t of u){const l=r(t);l?l.push(t):n.push([t])}return n}e.groupByExtension=o;function g(u){return{id:u.identifier.id,name:u.manifest.name,galleryId:null,publisherId:u.publisherId,publisherName:u.manifest.publisher,publisherDisplayName:u.publisherDisplayName,dependencies:u.manifest.extensionDependencies&&u.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=g;function A(u){return{id:u.identifier.id,name:u.name,galleryId:u.identifier.uuid,publisherId:u.publisherId,publisherName:u.publisher,publisherDisplayName:u.publisherDisplayName,isPreReleaseVersion:u.properties.isPreReleaseVersion,dependencies:!!(u.properties.dependencies&&u.properties.dependencies.length>0),...u.telemetryData}}e.getGalleryExtensionTelemetryData=A,e.BetterMergeId=new b.ExtensionIdentifier("pprice.better-merge");function c(u,i){const n=[],r=i.manifest.extensionDependencies?.slice(0)??[];for(;r.length;){const t=r.shift();if(t&&n.every(l=>!T(l.identifier,{id:t}))){const l=u.filter(w=>T(w.identifier,{id:t}));l.length===1&&(n.push(l[0]),r.push(...l[0].manifest.extensionDependencies?.slice(0)??[]))}}return n}e.getExtensionDependencies=c;async function _(u,i){if(!M.isLinux)return!1;let n;try{n=(await u.readFile(y.URI.file("/etc/os-release"))).value.toString()}catch{try{n=(await u.readFile(y.URI.file("/usr/lib/os-release"))).value.toString()}catch(t){i.debug("Error while getting the os-release file.",(0,P.getErrorMessage)(t))}}return!!n&&(n.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=_;async function s(u,i){const n=await _(u,i),r=(0,v.getTargetPlatform)(n?"alpine":M.platform,E.arch);return i.debug("ComputeTargetPlatform:",r),r}e.computeTargetPlatform=s}),define(ye[154],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class a{constructor(b){this._callback=b,this._terminalBufferMap=new Map}dispose(){for(const b of this._terminalBufferMap.values())b.dispose()}startBuffering(b,M,y=5){const P=M(E=>{const T=typeof E=="string"?E:E.data;let R=this._terminalBufferMap.get(b);if(R){R.data.push(T);return}const S=setTimeout(()=>this.flushBuffer(b),y);R={data:[T],timeoutId:S,dispose:()=>{clearTimeout(S),this.flushBuffer(b),P.dispose()}},this._terminalBufferMap.set(b,R)});return P}stopBuffering(b){this._terminalBufferMap.get(b)?.dispose()}flushBuffer(b){const M=this._terminalBufferMap.get(b);M&&(this._terminalBufferMap.delete(b),this._callback(b,M.data.join("")))}}e.TerminalDataBufferer=a}),define(ye[155],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var a;(function(M){M.DARK="dark",M.LIGHT="light",M.HIGH_CONTRAST_DARK="hcDark",M.HIGH_CONTRAST_LIGHT="hcLight"})(a=e.ColorScheme||(e.ColorScheme={}));function v(M){return M===a.HIGH_CONTRAST_DARK||M===a.HIGH_CONTRAST_LIGHT}e.isHighContrast=v;function b(M){return M===a.DARK||M===a.HIGH_CONTRAST_DARK}e.isDark=b}),define(ye[61],De([1,0,117,5,7,3,30,155]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,M.createDecorator)("themeService");var E;(function(d){function o(g){return g&&typeof g=="object"&&typeof g.id=="string"}d.isThemeColor=o})(E=e.ThemeColor||(e.ThemeColor={}));function T(d){return{id:d}}e.themeColorFromId=T;var R;(function(d){function o(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(typeof n.color=="undefined"||E.isThemeColor(n.color))}d.isThemeIcon=o;const g=new RegExp(`^\\$\\((${a.CSSIcon.iconNameExpression}(?:${a.CSSIcon.iconModifierExpression})?)\\)$`);function A(n){const r=g.exec(n);if(!r)return;const[,t]=r;return{id:t}}d.fromString=A;function c(n){return{id:n}}d.fromId=c;function _(n,r){let t=n.id;const l=t.lastIndexOf("~");return l!==-1&&(t=t.substring(0,l)),r&&(t=`${t}~${r}`),{id:t}}d.modify=_;function s(n){const r=n.id.lastIndexOf("~");if(r!==-1)return n.id.substring(r+1)}d.getModifier=s;function u(n,r){return n.id===r.id&&n.color?.id===r.color?.id}d.isEqual=u;function i(n,r){return{id:n.id,color:r?T(r):void 0}}d.asThemeIcon=i,d.asClassNameArray=a.CSSIcon.asClassNameArray,d.asClassName=a.CSSIcon.asClassName,d.asCSSSelector=a.CSSIcon.asCSSSelector})(R=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=a.Codicon.file,e.FolderThemeIcon=a.Codicon.folder;function S(d){switch(d){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case P.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=S,e.Extensions={ThemingContribution:"base.contributions.theming"};class m{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new v.Emitter}onColorThemeChange(o){return this.themingParticipants.push(o),this.onThemingParticipantAddedEmitter.fire(o),(0,b.toDisposable)(()=>{const g=this.themingParticipants.indexOf(o);this.themingParticipants.splice(g,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const I=new m;y.Registry.add(e.Extensions.ThemingContribution,I);function f(d){return I.onColorThemeChange(d)}e.registerThemingParticipant=f;class h extends b.Disposable{constructor(o){super();this.themeService=o,this.theme=o.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(g=>this.onThemeChange(g)))}onThemeChange(o){this.theme=o,this.updateStyles()}updateStyles(){}getColor(o,g){let A=this.theme.getColor(o);return A&&g&&(A=g(A,this.theme)),A?A.toString():null}}e.Themable=h}),define(ye[156],De([1,0,5,21,3,15]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,b.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,b.createDecorator)("sharedTunnelsService");var y;(function(h){h.Http="http",h.Https="https"})(y=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(h){h.ConstantPrivate="constantPrivate",h.Private="private",h.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var E;(function(h){h[h.Notify=1]="Notify",h[h.OpenBrowser=2]="OpenBrowser",h[h.OpenPreview=3]="OpenPreview",h[h.Silent=4]="Silent",h[h.Ignore=5]="Ignore",h[h.OpenBrowserOnce=6]="OpenBrowserOnce"})(E=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function T(h){if(h.scheme!=="http"&&h.scheme!=="https")return;const d=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(h.authority);if(!!d)return{address:d[1],port:+d[2]}}e.extractLocalHostUriMetaDataForPortMapping=T,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function R(h){return e.LOCALHOST_ADDRESSES.indexOf(h)>=0}e.isLocalhost=R,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function S(h){return e.ALL_INTERFACES_ADDRESSES.indexOf(h)>=0}e.isAllInterfaces=S;function m(h,d){return d?d!==1&&h<1024:!v.isWindows&&h<1024}e.isPortPrivileged=m;class I{constructor(d,o,g){this.remoteAddress=d,this.localAddress=o,this._dispose=g,this._onDispose=new a.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=I;let f=class{constructor(d){this.logService=d,this._onTunnelOpened=new a.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new a.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new a.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(d){return this._tunnelProvider=d,d?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(d){this._canElevate=d.elevation,this._privacyOptions=d.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const d=[],o=Array.from(this._tunnels.values());for(const g of o){const A=Array.from(g.values());for(const c of A){const _=await c.value;_&&d.push(_)}}return d}async dispose(){for(const d of this._tunnels.values()){for(const{value:o}of d.values())await o.then(g=>g?.dispose());d.clear()}this._tunnels.clear()}openTunnel(d,o,g,A,c=!1,_,s){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${o}:${g} on local port ${A}.`),!d)return;if(o||(o="localhost"),this._tunnelProvider&&this._factoryInProgress.has(g)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const u=this.retainOrCreateTunnel(d,o,g,A,c,_,s);return u?u.then(i=>{if(!i){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(o,g);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const n=this.makeTunnel(i);return(i.tunnelRemoteHost!==o||i.tunnelRemotePort!==g)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(n),n}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),u)}makeTunnel(d){return{tunnelRemotePort:d.tunnelRemotePort,tunnelRemoteHost:d.tunnelRemoteHost,tunnelLocalPort:d.tunnelLocalPort,localAddress:d.localAddress,privacy:d.privacy,protocol:d.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${d.tunnelRemoteHost}:${d.tunnelRemotePort} `);const o=this._tunnels.get(d.tunnelRemoteHost);if(o){const g=o.get(d.tunnelRemotePort);g&&(g.refcount--,await this.tryDisposeTunnel(d.tunnelRemoteHost,d.tunnelRemotePort,g))}}}}async tryDisposeTunnel(d,o,g){if(g.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${d}:${o}.`);const A=g.value.then(async c=>{c&&(await c.dispose(!0),this._onTunnelClosed.fire({host:c.tunnelRemoteHost,port:c.tunnelRemotePort}))});return this._tunnels.has(d)&&this._tunnels.get(d).delete(o),A}}async closeTunnel(d,o){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${d}:${o} `);const g=this._tunnels.get(d);if(g&&g.has(o)){const A=g.get(o);A.refcount=0,await this.tryDisposeTunnel(d,o,A)}}addTunnelToMap(d,o,g){this._tunnels.has(d)||this._tunnels.set(d,new Map),this._tunnels.get(d).set(o,{refcount:1,value:g})}async removeEmptyTunnelFromMap(d,o){const g=this._tunnels.get(d);g&&(await g.get(o)||g.delete(o),g.size===0&&this._tunnels.delete(d))}getTunnelFromMap(d,o){const g=[d];R(d)?(g.push(...e.LOCALHOST_ADDRESSES),g.push(...e.ALL_INTERFACES_ADDRESSES)):S(d)&&g.push(...e.ALL_INTERFACES_ADDRESSES);const A=g.map(c=>this._tunnels.get(c));for(const c of A){const _=c?.get(o);if(_)return _}}canTunnel(d){return!!T(d)}createWithProvider(d,o,g,A,c,_,s){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${o}:${g} on local port ${A}.`);const u=g;this._factoryInProgress.add(u);const n={elevationRequired:c?m(A===void 0?g:A):!1},r={remoteAddress:{host:o,port:g},localAddressPort:A,privacy:_,public:_?_!==P.Private:void 0,protocol:s},t=d.forwardPort(r,n);return t?(this.addTunnelToMap(o,g,t),t.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(u)})):this._factoryInProgress.delete(u),t}};f=ze([$e(0,M.ILogService)],f),e.AbstractTunnelService=f}),define(ye[157],De([1,0,12]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceAuthority=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=void 0;function v(E){return E.scheme!==a.Schemas.file&&E.scheme!==a.Schemas.vscodeRemote}e.isVirtualResource=v;function b(E){if(E.folders.length)return E.folders.every(T=>v(T.uri))?E.folders[0].uri:void 0;if(E.configuration&&v(E.configuration))return E.configuration}e.getVirtualWorkspaceLocation=b;function M(E){return b(E)?.scheme}e.getVirtualWorkspaceScheme=M;function y(E){return b(E)?.authority}e.getVirtualWorkspaceAuthority=y;function P(E){return b(E)!==void 0}e.isVirtualWorkspace=P}),define(ye[45],De([1,0,129,19,25,22,2,3,12]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,P.createDecorator)("contextService");function T(i){const n=i;return typeof n?.id=="string"&&y.URI.isUri(n.uri)}e.isSingleFolderWorkspaceIdentifier=T;function R(i){if(i.configuration)return{id:i.id,configPath:i.configuration};if(i.folders.length===1)return{id:i.id,uri:i.folders[0].uri}}e.toWorkspaceIdentifier=R;function S(i){const n=i;return typeof n?.id=="string"&&y.URI.isUri(n.configPath)}e.isWorkspaceIdentifier=S;function m(i){const n=i;if(n?.uri)return{id:n.id,uri:y.URI.revive(n.uri)};const r=i;if(r?.configPath)return{id:r.id,configPath:y.URI.revive(r.configPath)};if(i?.id)return{id:i.id}}e.reviveIdentifier=m;var I;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(I=e.WorkbenchState||(e.WorkbenchState={}));function f(i){const n=i;return!!(n&&typeof n=="object"&&typeof n.id=="string"&&Array.isArray(n.folders))}e.isWorkspace=f;function h(i){const n=i;return!!(n&&typeof n=="object"&&y.URI.isUri(n.uri)&&typeof n.name=="string"&&typeof n.toResource=="function")}e.isWorkspaceFolder=h;class d{constructor(n,r,t,l,w){this._id=n,this._transient=t,this._configuration=l,this._ignorePathCasing=w,this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=r}update(n){this._id=n.id,this._configuration=n.configuration,this._transient=n.transient,this._ignorePathCasing=n._ignorePathCasing,this.folders=n.folders}get folders(){return this._folders}set folders(n){this._folders=n,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(n){this._configuration=n}getFolder(n){return n&&this._foldersMap.findSubstr(n)||null}updateFoldersMap(){this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const n of this.folders)this._foldersMap.set(n.uri,n)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=d;class o{constructor(n,r){this.raw=r,this.uri=n.uri,this.index=n.index,this.name=n.name}toResource(n){return(0,M.joinPath)(this.uri,n)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=o;function g(i){return new o({uri:i,index:0,name:(0,M.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=g,e.WORKSPACE_EXTENSION="code-workspace";const A=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,a.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function c(i,n){return M.extUriBiasedIgnorePathCase.isEqualOrParent(i,n.untitledWorkspacesHome)}e.isUntitledWorkspace=c;function _(i){let n;return y.URI.isUri(i)?n=i:n=i.configuration,n?.scheme===E.Schemas.tmp}e.isTemporaryWorkspace=_;function s(i,n){return!c(i,n)&&!_(i)}e.isSavedWorkspace=s;function u(i){return(typeof i=="string"?(0,v.extname)(i):(0,M.extname)(i))===A}e.hasWorkspaceFileExtension=u}),define(ye[62],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class a{constructor(b){this.id=b,this._data=new Map,this._idPool=1}add(b){const M=this._idPool++;return this._data.set(M,b),this.logDebugInfo(),M}get(b,M){return this._data.has(b)?this._data.get(b)[M]:void 0}delete(b){this._data.delete(b),this.logDebugInfo()}logDebugInfo(){!a.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=a,a.enableDebugLogging=!1}),define(ye[35],De([1,0,12,22,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class M{constructor(){this._systemSchemes=new Set(Object.keys(a.Schemas)),this._providerInfo=new Map,this.extUri=new v.ExtUri(P=>{const E=this._providerInfo.get(P.scheme);return!(E===void 0||E&1024)})}$acceptProviderInfos(P,E){E===null?this._providerInfo.delete(P.scheme):this._providerInfo.set(P.scheme,E)}isFreeScheme(P){return!this._providerInfo.has(P)&&!this._systemSchemes.has(P)}getCapabilities(P){return this._providerInfo.get(P)}}e.ExtHostFileSystemInfo=M,e.IExtHostFileSystemInfo=(0,b.createDecorator)("IExtHostFileSystemInfo")}),define(ye[28],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,a.createDecorator)("IExtHostInitDataService")}),define(ye[158],De([1,0,14]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class v{constructor(y,P,E){this._deferredPromises=new Map,this._id=y,this._shared=P,this._storage=E,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(T=>(this._value=T,this)),this._storageListener=this._storage.onDidChangeStorage(T=>{T.shared===this._shared&&T.key===this._id&&(this._value=T.value)}),this._scheduler=new a.RunOnceScheduler(()=>{const T=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const R of T.values())R.complete()}catch(R){for(const S of T.values())S.error(R)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,y])=>y!==void 0).map(([y])=>y)}get whenReady(){return this._init}get(y,P){let E=this._value[y];return typeof E=="undefined"&&(E=P),E}update(y,P){this._value[y]=P;const E=this._deferredPromises.get(y);if(E!==void 0)return E.p;const T=new a.DeferredPromise;return this._deferredPromises.set(y,T),this._scheduler.isScheduled()||this._scheduler.schedule(),T.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=v;class b extends v{constructor(y,P){super(y.identifier.value,!0,P);this._extension=y}setKeysForSync(y){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},y)}}e.ExtensionGlobalMemento=b}),define(ye[159],De([1,0,5,2]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;class b{constructor(y){this._notebooksAndEditors=y,this._onDidSaveNotebookDocument=new a.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeNotebookDocument=new a.Emitter,this.onDidChangeNotebookDocument=this._onDidChangeNotebookDocument.event}$acceptModelChanged(y,P,E,T){const S=this._notebooksAndEditors.getNotebookDocument(v.URI.revive(y)).acceptModelChanged(P.value,E,T);this._onDidChangeNotebookDocument.fire(S)}$acceptDirtyStateChanged(y,P){this._notebooksAndEditors.getNotebookDocument(v.URI.revive(y)).acceptDirty(P)}$acceptModelSaved(y){const P=this._notebooksAndEditors.getNotebookDocument(v.URI.revive(y));this._onDidSaveNotebookDocument.fire(P.apiNotebook)}}e.ExtHostNotebookDocuments=b}),define(ye[13],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,a.createDecorator)("IExtHostRpcService");class v{constructor(M){this.getProxy=M.getProxy.bind(M),this.set=M.set.bind(M),this.dispose=M.dispose.bind(M),this.assertRegistered=M.assertRegistered.bind(M),this.drain=M.drain.bind(M)}}e.ExtHostRpcService=v});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[160],De([1,0,27,5]),function(ie,e,a,v){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class M{constructor(P,E){b.set(this,void 0),this._onDidChange=new v.Emitter,this.onDidChange=this._onDidChange.event,this._id=a.ExtensionIdentifier.toKey(P.identifier),Ye(this,b,E,"f"),Oe(this,b,"f").onDidChangePassword(T=>{T.extensionId===this._id&&this._onDidChange.fire({key:T.key})})}get(P){return Oe(this,b,"f").get(this._id,P)}store(P,E){return Oe(this,b,"f").store(this._id,P,E)}delete(P){return Oe(this,b,"f").delete(this._id,P)}}e.ExtensionSecrets=M,b=new WeakMap}),define(ye[86],De([1,0,3,5]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class b{constructor(){this._onDidChangeTelemetryEnabled=new v.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._onDidChangeTelemetryConfiguration=new v.Emitter,this.onDidChangeTelemetryConfiguration=this._onDidChangeTelemetryConfiguration.event,this._productConfig={usage:!0,error:!0},this._level=0}getTelemetryConfiguration(){return this._level===3}getTelemetryDetails(){return{isCrashEnabled:this._level>=1,isErrorsEnabled:this._productConfig.error?this._level>=2:!1,isUsageEnabled:this._productConfig.usage?this._level>=3:!1}}$initializeTelemetryLevel(y,P){this._level=y,this._productConfig=P||{usage:!0,error:!0}}$onDidChangeTelemetryLevel(y){this._oldTelemetryEnablement=this.getTelemetryConfiguration(),this._level=y,this._oldTelemetryEnablement!==this.getTelemetryConfiguration()&&this._onDidChangeTelemetryEnabled.fire(this.getTelemetryConfiguration()),this._onDidChangeTelemetryConfiguration.fire(this.getTelemetryDetails())}}e.ExtHostTelemetry=b,e.IExtHostTelemetry=(0,a.createDecorator)("IExtHostTelemetry")}),define(ye[63],De([1,0,3,156,5,13]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDtoConverter=void 0;var y;(function(E){function T(S){return{remoteAddress:S.remoteAddress,localAddress:S.localAddress,public:!!S.public,privacy:S.privacy??(S.public?v.TunnelPrivacyId.Public:v.TunnelPrivacyId.Private),protocol:S.protocol}}E.fromApiTunnel=T;function R(S){return{remoteAddress:{host:S.tunnelRemoteHost,port:S.tunnelRemotePort},localAddress:S.localAddress,public:S.privacy!==v.TunnelPrivacyId.ConstantPrivate&&S.privacy!==v.TunnelPrivacyId.ConstantPrivate,privacy:S.privacy,protocol:S.protocol}}E.fromServiceTunnel=R})(y=e.TunnelDtoConverter||(e.TunnelDtoConverter={})),e.IExtHostTunnelService=(0,a.createDecorator)("IExtHostTunnelService");let P=class{constructor(T){this.onDidChangeTunnels=new b.Emitter().event}async $applyCandidateFilter(T){return T}async openTunnel(T,R){}async getTunnels(){return[]}async setTunnelFactory(T){return{dispose:()=>{}}}registerPortsAttributesProvider(T,R){return{dispose:()=>{}}}async $providePortAttributes(T,R,S,m,I){return[]}async $forwardPort(T,R){}async $closeTunnel(T){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};P=ze([$e(0,M.IExtHostRpcService)],P),e.ExtHostTunnelService=P});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[6],De([1,0,16,11,75,25,74,9,10,2,42,39,84]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m){"use strict";var I,f,h,d,o,g,A,c,_,s,u,i,n,r,t,l,w,p,D,U,V,x,C;Object.defineProperty(e,"__esModule",{value:!0}),e.InteractiveWindowInput=e.TerminalEditorTabInput=e.NotebookDiffEditorTabInput=e.NotebookEditorTabInput=e.WebviewEditorTabInput=e.CustomEditorTabInput=e.TextMergeTabInput=e.TextDiffTabInput=e.TextTabInput=e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKindNew=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.DocumentPasteEdit=e.DocumentDropEdit=e.DataTransfer=e.DataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestionsNew=e.InlineSuggestionNew=e.InlineSuggestionList=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.NotebookEdit=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function L($){function N(){return Reflect.construct($,arguments,this.constructor)}return Object.defineProperty(N,"name",Object.getOwnPropertyDescriptor($,"name")),Object.setPrototypeOf(N,$),Object.setPrototypeOf(N.prototype,$.prototype),N}let B=g=class{constructor(N){I.set(this,void 0),Ye(this,I,N,"f")}static from(...N){let Y=N;return new g(function(){if(Y){for(const _e of Y)_e&&typeof _e.dispose=="function"&&_e.dispose();Y=void 0}})}dispose(){typeof Oe(this,I,"f")=="function"&&(Oe(this,I,"f").call(this),Ye(this,I,void 0,"f"))}};I=new WeakMap,B=g=ze([L],B),e.Disposable=B;let F=A=class{constructor(N,Y){if(N<0)throw(0,v.illegalArgument)("line must be non-negative");if(Y<0)throw(0,v.illegalArgument)("character must be non-negative");this._line=N,this._character=Y}static Min(...N){if(N.length===0)throw new TypeError;let Y=N[0];for(let _e=1;_e<N.length;_e++){const Ke=N[_e];Ke.isBefore(Y)&&(Y=Ke)}return Y}static Max(...N){if(N.length===0)throw new TypeError;let Y=N[0];for(let _e=1;_e<N.length;_e++){const Ke=N[_e];Ke.isAfter(Y)&&(Y=Ke)}return Y}static isPosition(N){if(!N)return!1;if(N instanceof A)return!0;const{line:Y,character:_e}=N;return typeof Y=="number"&&typeof _e=="number"}static of(N){if(N instanceof A)return N;if(this.isPosition(N))return new A(N.line,N.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(N){return this._line<N._line?!0:N._line<this._line?!1:this._character<N._character}isBeforeOrEqual(N){return this._line<N._line?!0:N._line<this._line?!1:this._character<=N._character}isAfter(N){return!this.isBeforeOrEqual(N)}isAfterOrEqual(N){return!this.isBefore(N)}isEqual(N){return this._line===N._line&&this._character===N._character}compareTo(N){return this._line<N._line?-1:this._line>N.line?1:this._character<N._character?-1:this._character>N._character?1:0}translate(N,Y=0){if(N===null||Y===null)throw(0,v.illegalArgument)();let _e;return typeof N=="undefined"?_e=0:typeof N=="number"?_e=N:(_e=typeof N.lineDelta=="number"?N.lineDelta:0,Y=typeof N.characterDelta=="number"?N.characterDelta:0),_e===0&&Y===0?this:new A(this.line+_e,this.character+Y)}with(N,Y=this.character){if(N===null||Y===null)throw(0,v.illegalArgument)();let _e;return typeof N=="undefined"?_e=this.line:typeof N=="number"?_e=N:(_e=typeof N.line=="number"?N.line:this.line,Y=typeof N.character=="number"?N.character:this.character),_e===this.line&&Y===this.character?this:new A(_e,Y)}toJSON(){return{line:this.line,character:this.character}}};F=A=ze([L],F),e.Position=F;let K=c=class{constructor(N,Y,_e,Ke){let et,at;if(typeof N=="number"&&typeof Y=="number"&&typeof _e=="number"&&typeof Ke=="number"?(et=new F(N,Y),at=new F(_e,Ke)):F.isPosition(N)&&F.isPosition(Y)&&(et=F.of(N),at=F.of(Y)),!et||!at)throw new Error("Invalid arguments");et.isBefore(at)?(this._start=et,this._end=at):(this._start=at,this._end=et)}static isRange(N){return N instanceof c?!0:N?F.isPosition(N.start)&&F.isPosition(N.end):!1}static of(N){if(N instanceof c)return N;if(this.isRange(N))return new c(N.start,N.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(N){return c.isRange(N)?this.contains(N.start)&&this.contains(N.end):F.isPosition(N)?!(F.of(N).isBefore(this._start)||this._end.isBefore(N)):!1}isEqual(N){return this._start.isEqual(N._start)&&this._end.isEqual(N._end)}intersection(N){const Y=F.Max(N.start,this._start),_e=F.Min(N.end,this._end);if(!Y.isAfter(_e))return new c(Y,_e)}union(N){if(this.contains(N))return this;if(N.contains(this))return N;const Y=F.Min(N.start,this._start),_e=F.Max(N.end,this.end);return new c(Y,_e)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(N,Y=this.end){if(N===null||Y===null)throw(0,v.illegalArgument)();let _e;return N?F.isPosition(N)?_e=N:(_e=N.start||this.start,Y=N.end||this.end):_e=this.start,_e.isEqual(this._start)&&Y.isEqual(this.end)?this:new c(_e,Y)}toJSON(){return[this.start,this.end]}};K=c=ze([L],K),e.Range=K;let H=_=class extends K{constructor(N,Y,_e,Ke){let et,at;if(typeof N=="number"&&typeof Y=="number"&&typeof _e=="number"&&typeof Ke=="number"?(et=new F(N,Y),at=new F(_e,Ke)):F.isPosition(N)&&F.isPosition(Y)&&(et=F.of(N),at=F.of(Y)),!et||!at)throw new Error("Invalid arguments");super(et,at);this._anchor=et,this._active=at}static isSelection(N){return N instanceof _?!0:N?K.isRange(N)&&F.isPosition(N.anchor)&&F.isPosition(N.active)&&typeof N.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};H=_=ze([L],H),e.Selection=H;class O{constructor(N,Y,_e){if(typeof N!="string"||N.length===0)throw(0,v.illegalArgument)("host");if(typeof Y!="number"||Y===0||Math.round(Y)!==Y)throw(0,v.illegalArgument)("port");if(typeof _e!="undefined"&&(typeof _e!="string"||_e.length===0||!/^[0-9A-Za-z\-]+$/.test(_e)))throw(0,v.illegalArgument)("connectionToken");this.host=N,this.port=Math.round(Y),this.connectionToken=_e}}e.ResolvedAuthority=O;class ee extends Error{constructor(N,Y=m.RemoteAuthorityResolverErrorCode.Unknown,_e){super(N);this._message=N,this._code=Y,this._detail=_e,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,ee.prototype)}static NotAvailable(N,Y){return new ee(N,m.RemoteAuthorityResolverErrorCode.NotAvailable,Y)}static TemporarilyNotAvailable(N){return new ee(N,m.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=ee;var ce;(function($){$[$.LF=1]="LF",$[$.CRLF=2]="CRLF"})(ce=e.EndOfLine||(e.EndOfLine={}));var oe;(function($){$[$.Replace=1]="Replace",$[$.Append=2]="Append",$[$.Prepend=3]="Prepend"})(oe=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let le=s=class{constructor(N,Y){this._range=N,this._newText=Y}static isTextEdit(N){return N instanceof s?!0:N?K.isRange(N)&&typeof N.newText=="string":!1}static replace(N,Y){return new s(N,Y)}static insert(N,Y){return s.replace(new K(N,N),Y)}static delete(N){return s.replace(N,"")}static setEndOfLine(N){const Y=new s(new K(new F(0,0),new F(0,0)),"");return Y.newEol=N,Y}get range(){return this._range}set range(N){if(N&&!K.isRange(N))throw(0,v.illegalArgument)("range");this._range=N}get newText(){return this._newText||""}set newText(N){if(N&&typeof N!="string")throw(0,v.illegalArgument)("newText");this._newText=N}get newEol(){return this._newEol}set newEol(N){if(N&&typeof N!="number")throw(0,v.illegalArgument)("newEol");this._newEol=N}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};le=s=ze([L],le),e.TextEdit=le;let te=u=class{constructor(N,Y){this.range=N,this.newCells=Y}static isNotebookCellEdit(N){return N instanceof u?!0:N?xt.isNotebookRange(N)&&Array.isArray(N.newCells):!1}static replaceCells(N,Y){return new u(N,Y)}static insertCells(N,Y){return new u(new xt(N,N),Y)}static deleteCells(N){return new u(N,[])}static updateCellMetadata(N,Y){const _e=new u(new xt(N,N),[]);return _e.newCellMetadata=Y,_e}static updateNotebookMetadata(N){const Y=new u(new xt(0,0),[]);return Y.newNotebookMetadata=N,Y}};te=u=ze([L],te),e.NotebookEdit=te;var Ee;(function($){$[$.File=1]="File",$[$.Text=2]="Text",$[$.Cell=3]="Cell",$[$.CellReplace=5]="CellReplace",$[$.Snippet=6]="Snippet"})(Ee=e.FileEditType||(e.FileEditType={}));let be=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(N,Y,_e,Ke){this._edits.push({_type:1,from:N,to:Y,options:_e,metadata:Ke})}createFile(N,Y,_e){this._edits.push({_type:1,from:void 0,to:N,options:Y,metadata:_e})}deleteFile(N,Y,_e){this._edits.push({_type:1,from:N,to:void 0,options:Y,metadata:_e})}replaceNotebookMetadata(N,Y,_e){this._edits.push({_type:3,metadata:_e,uri:N,edit:{editType:5,metadata:Y},notebookMetadata:Y})}replaceNotebookCells(N,Y,_e,Ke,et){let at,lt,St=[],At;if(xt.isNotebookRange(Y)&&Gt.isNotebookCellDataArray(_e)&&!Gt.isNotebookCellDataArray(Ke)?(at=Y.start,lt=Y.end,St=_e,At=Ke):typeof Y=="number"&&typeof _e=="number"&&Gt.isNotebookCellDataArray(Ke)&&(at=Y,lt=_e,St=Ke,At=et),at===void 0||lt===void 0)throw new Error("Invalid arguments");(at!==lt||St.length>0)&&this._edits.push({_type:5,uri:N,index:at,count:lt-at,cells:St,metadata:At})}replaceNotebookCellMetadata(N,Y,_e,Ke){this._edits.push({_type:3,metadata:Ke,uri:N,edit:{editType:8,index:Y,metadata:_e}})}replace(N,Y,_e,Ke){typeof _e=="string"?this._edits.push({_type:2,uri:N,edit:new le(Y,_e),metadata:Ke}):this._edits.push({_type:6,uri:N,range:Y,edit:_e,metadata:Ke})}insert(N,Y,_e,Ke){this.replace(N,new K(Y,Y),_e,Ke)}delete(N,Y,_e){this.replace(N,Y,"",_e)}has(N){return this._edits.some(Y=>Y._type===2&&Y.uri.toString()===N.toString())}set(N,Y){if(Y)for(const _e of Y)_e&&(te.isNotebookCellEdit(_e)?_e.newCellMetadata?this.replaceNotebookCellMetadata(N,_e.range.start,_e.newCellMetadata):_e.newNotebookMetadata?this.replaceNotebookMetadata(N,_e.newNotebookMetadata):this.replaceNotebookCells(N,_e.range,_e.newCells):this._edits.push({_type:2,uri:N,edit:_e}));else{for(let _e=0;_e<this._edits.length;_e++){const Ke=this._edits[_e];Ke._type===2&&Ke.uri.toString()===N.toString()&&(this._edits[_e]=void 0)}(0,a.coalesceInPlace)(this._edits)}}get(N){const Y=[];for(const _e of this._edits)_e._type===2&&_e.uri.toString()===N.toString()&&Y.push(_e.edit);return Y}entries(){const N=new M.ResourceMap;for(const Y of this._edits)if(Y._type===2){let _e=N.get(Y.uri);_e||(_e=[Y.uri,[]],N.set(Y.uri,_e)),_e[1].push(Y.edit)}return[...N.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};be=ze([L],be),e.WorkspaceEdit=be;let ne=i=class{constructor(N){this._tabstop=1,this.value=N||""}static isSnippetString(N){return N instanceof i?!0:N?typeof N.value=="string":!1}static _escape(N){return N.replace(/\$|}|\\/g,"\\$&")}appendText(N){return this.value+=i._escape(N),this}appendTabstop(N=this._tabstop++){return this.value+="$",this.value+=N,this}appendPlaceholder(N,Y=this._tabstop++){if(typeof N=="function"){const _e=new i;_e._tabstop=this._tabstop,N(_e),this._tabstop=_e._tabstop,N=_e.value}else N=i._escape(N);return this.value+="${",this.value+=Y,this.value+=":",this.value+=N,this.value+="}",this}appendChoice(N,Y=this._tabstop++){const _e=N.map(Ke=>Ke.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=Y,this.value+="|",this.value+=_e,this.value+="|}",this}appendVariable(N,Y){if(typeof Y=="function"){const _e=new i;_e._tabstop=this._tabstop,Y(_e),this._tabstop=_e._tabstop,Y=_e.value}else typeof Y=="string"&&(Y=Y.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=N,Y&&(this.value+=":",this.value+=Y),this.value+="}",this}};ne=i=ze([L],ne),e.SnippetString=ne;var ve;(function($){$[$.Unnecessary=1]="Unnecessary",$[$.Deprecated=2]="Deprecated"})(ve=e.DiagnosticTag||(e.DiagnosticTag={}));var Pe;(function($){$[$.Hint=3]="Hint",$[$.Information=2]="Information",$[$.Warning=1]="Warning",$[$.Error=0]="Error"})(Pe=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let Fe=n=class{constructor(N,Y){if(this.uri=N,Y)if(K.isRange(Y))this.range=K.of(Y);else if(F.isPosition(Y))this.range=new K(Y,Y);else throw new Error("Illegal argument")}static isLocation(N){return N instanceof n?!0:N?K.isRange(N.range)&&T.URI.isUri(N.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};Fe=n=ze([L],Fe),e.Location=Fe;let xe=class{constructor(N,Y){this.location=N,this.message=Y}static is(N){return N?typeof N.message=="string"&&N.location&&K.isRange(N.location.range)&&T.URI.isUri(N.location.uri):!1}static isEqual(N,Y){return N===Y?!0:!N||!Y?!1:N.message===Y.message&&N.location.range.isEqual(Y.location.range)&&N.location.uri.toString()===Y.location.uri.toString()}};xe=ze([L],xe),e.DiagnosticRelatedInformation=xe;let Qe=class{constructor(N,Y,_e=Pe.Error){if(!K.isRange(N))throw new TypeError("range must be set");if(!Y)throw new TypeError("message must be set");this.range=N,this.message=Y,this.severity=_e}toJSON(){return{severity:Pe[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(N,Y){return N===Y?!0:!N||!Y?!1:N.message===Y.message&&N.severity===Y.severity&&N.code===Y.code&&N.severity===Y.severity&&N.source===Y.source&&N.range.isEqual(Y.range)&&(0,a.equals)(N.tags,Y.tags)&&(0,a.equals)(N.relatedInformation,Y.relatedInformation,xe.isEqual)}};Qe=ze([L],Qe),e.Diagnostic=Qe;let Ie=class{constructor(N,Y){if(!N)throw new Error("Illegal argument, contents must be defined");Array.isArray(N)?this.contents=N:this.contents=[N],this.range=Y}};Ie=ze([L],Ie),e.Hover=Ie;var Se;(function($){$[$.Text=0]="Text",$[$.Read=1]="Read",$[$.Write=2]="Write"})(Se=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Te=class{constructor(N,Y=Se.Text){this.range=N,this.kind=Y}toJSON(){return{range:this.range,kind:Se[this.kind]}}};Te=ze([L],Te),e.DocumentHighlight=Te;var ae;(function($){$[$.File=0]="File",$[$.Module=1]="Module",$[$.Namespace=2]="Namespace",$[$.Package=3]="Package",$[$.Class=4]="Class",$[$.Method=5]="Method",$[$.Property=6]="Property",$[$.Field=7]="Field",$[$.Constructor=8]="Constructor",$[$.Enum=9]="Enum",$[$.Interface=10]="Interface",$[$.Function=11]="Function",$[$.Variable=12]="Variable",$[$.Constant=13]="Constant",$[$.String=14]="String",$[$.Number=15]="Number",$[$.Boolean=16]="Boolean",$[$.Array=17]="Array",$[$.Object=18]="Object",$[$.Key=19]="Key",$[$.Null=20]="Null",$[$.EnumMember=21]="EnumMember",$[$.Struct=22]="Struct",$[$.Event=23]="Event",$[$.Operator=24]="Operator",$[$.TypeParameter=25]="TypeParameter"})(ae=e.SymbolKind||(e.SymbolKind={}));var ue;(function($){$[$.Deprecated=1]="Deprecated"})(ue=e.SymbolTag||(e.SymbolTag={}));let X=r=class{constructor(N,Y,_e,Ke,et){this.name=N,this.kind=Y,this.containerName=et,typeof _e=="string"&&(this.containerName=_e),Ke instanceof Fe?this.location=Ke:_e instanceof K&&(this.location=new Fe(Ke,_e)),r.validate(this)}static validate(N){if(!N.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:ae[this.kind],location:this.location,containerName:this.containerName}}};X=r=ze([L],X),e.SymbolInformation=X;let J=t=class{constructor(N,Y,_e,Ke,et){this.name=N,this.detail=Y,this.kind=_e,this.range=Ke,this.selectionRange=et,this.children=[],t.validate(this)}static validate(N){if(!N.name)throw new Error("name must not be falsy");if(!N.range.contains(N.selectionRange))throw new Error("selectionRange must be contained in fullRange");N.children?.forEach(t.validate)}};J=t=ze([L],J),e.DocumentSymbol=J;var k;(function($){$[$.Invoke=1]="Invoke",$[$.Automatic=2]="Automatic"})(k=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let z=class{constructor(N,Y){this.title=N,this.kind=Y}};z=ze([L],z),e.CodeAction=z;let W=l=class{constructor(N){this.value=N}append(N){return new l(this.value?this.value+l.sep+N:N)}intersects(N){return this.contains(N)||N.contains(this)}contains(N){return this.value===N.value||N.value.startsWith(this.value+l.sep)}};W.sep=".",W=l=ze([L],W),e.CodeActionKind=W,W.Empty=new W(""),W.QuickFix=W.Empty.append("quickfix"),W.Refactor=W.Empty.append("refactor"),W.RefactorExtract=W.Refactor.append("extract"),W.RefactorInline=W.Refactor.append("inline"),W.RefactorRewrite=W.Refactor.append("rewrite"),W.Source=W.Empty.append("source"),W.SourceOrganizeImports=W.Source.append("organizeImports"),W.SourceFixAll=W.Source.append("fixAll");let j=class{constructor(N,Y){if(this.range=N,this.parent=Y,Y&&!Y.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};j=ze([L],j),e.SelectionRange=j;class se{constructor(N,Y,_e,Ke,et,at){this.kind=N,this.name=Y,this.detail=_e,this.uri=Ke,this.range=et,this.selectionRange=at}}e.CallHierarchyItem=se;class de{constructor(N,Y){this.fromRanges=Y,this.from=N}}e.CallHierarchyIncomingCall=de;class Z{constructor(N,Y){this.fromRanges=Y,this.to=N}}e.CallHierarchyOutgoingCall=Z;var pe;(function($){$[$.Information=0]="Information",$[$.Warning=1]="Warning",$[$.Error=2]="Error"})(pe=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let ge=class{constructor(N,Y){this.range=N,this.command=Y}get isResolved(){return!!this.command}};ge=ze([L],ge),e.CodeLens=ge;let Ne=w=class{constructor(N,Y=!1){f.set(this,void 0),Ye(this,f,new b.MarkdownString(N,{supportThemeIcons:Y}),"f")}static isMarkdownString(N){return N instanceof w?!0:N&&N.appendCodeblock&&N.appendMarkdown&&N.appendText&&N.value!==void 0}get value(){return Oe(this,f,"f").value}set value(N){Oe(this,f,"f").value=N}get isTrusted(){return Oe(this,f,"f").isTrusted}set isTrusted(N){Oe(this,f,"f").isTrusted=N}get supportThemeIcons(){return Oe(this,f,"f").supportThemeIcons}set supportThemeIcons(N){Oe(this,f,"f").supportThemeIcons=N}get supportHtml(){return Oe(this,f,"f").supportHtml}set supportHtml(N){Oe(this,f,"f").supportHtml=N}get baseUri(){return Oe(this,f,"f").baseUri}set baseUri(N){Oe(this,f,"f").baseUri=N}appendText(N){return Oe(this,f,"f").appendText(N),this}appendMarkdown(N){return Oe(this,f,"f").appendMarkdown(N),this}appendCodeblock(N,Y){return Oe(this,f,"f").appendCodeblock(Y??"",N),this}};f=new WeakMap,Ne=w=ze([L],Ne),e.MarkdownString=Ne;let Be=class{constructor(N,Y){this.label=N,this.documentation=Y}};Be=ze([L],Be),e.ParameterInformation=Be;let Je=class{constructor(N,Y){this.label=N,this.documentation=Y,this.parameters=[]}};Je=ze([L],Je),e.SignatureInformation=Je;let Ge=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ge=ze([L],Ge),e.SignatureHelp=Ge;var ke;(function($){$[$.Invoke=1]="Invoke",$[$.TriggerCharacter=2]="TriggerCharacter",$[$.ContentChange=3]="ContentChange"})(ke=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var rt;(function($){$[$.Type=1]="Type",$[$.Parameter=2]="Parameter"})(rt=e.InlayHintKind||(e.InlayHintKind={}));let G=class{constructor(N){this.value=N}};G=ze([L],G),e.InlayHintLabelPart=G;let Q=class{constructor(N,Y,_e){this.position=N,this.label=Y,this.kind=_e}};Q=ze([L],Q),e.InlayHint=Q;var fe;(function($){$[$.Invoke=0]="Invoke",$[$.TriggerCharacter=1]="TriggerCharacter",$[$.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(fe=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ue;(function($){$[$.Text=0]="Text",$[$.Method=1]="Method",$[$.Function=2]="Function",$[$.Constructor=3]="Constructor",$[$.Field=4]="Field",$[$.Variable=5]="Variable",$[$.Class=6]="Class",$[$.Interface=7]="Interface",$[$.Module=8]="Module",$[$.Property=9]="Property",$[$.Unit=10]="Unit",$[$.Value=11]="Value",$[$.Enum=12]="Enum",$[$.Keyword=13]="Keyword",$[$.Snippet=14]="Snippet",$[$.Color=15]="Color",$[$.File=16]="File",$[$.Reference=17]="Reference",$[$.Folder=18]="Folder",$[$.EnumMember=19]="EnumMember",$[$.Constant=20]="Constant",$[$.Struct=21]="Struct",$[$.Event=22]="Event",$[$.Operator=23]="Operator",$[$.TypeParameter=24]="TypeParameter",$[$.User=25]="User",$[$.Issue=26]="Issue"})(Ue=e.CompletionItemKind||(e.CompletionItemKind={}));var He;(function($){$[$.Deprecated=1]="Deprecated"})(He=e.CompletionItemTag||(e.CompletionItemTag={}));let Ze=class{constructor(N,Y){this.label=N,this.kind=Y}toJSON(){return{label:this.label,kind:this.kind&&Ue[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Ze=ze([L],Ze),e.CompletionItem=Ze;let qe=class{constructor(N=[],Y=!1){this.items=N,this.isIncomplete=Y}};qe=ze([L],qe),e.CompletionList=qe;let We=class{constructor(N,Y,_e){this.insertText=N,this.range=Y,this.command=_e}};We=ze([L],We),e.InlineSuggestion=We;let nt=class{constructor(N){this.commands=void 0,this.items=N}};nt=ze([L],nt),e.InlineSuggestionList=nt;let ot=class{constructor(N,Y,_e){this.insertText=N,this.range=Y,this.command=_e}};ot=ze([L],ot),e.InlineSuggestionNew=ot;let ht=class{constructor(N,Y){this.items=N,this.commands=Y}};ht=ze([L],ht),e.InlineSuggestionsNew=ht;var Tt;(function($){$[$.Active=-1]="Active",$[$.Beside=-2]="Beside",$[$.One=1]="One",$[$.Two=2]="Two",$[$.Three=3]="Three",$[$.Four=4]="Four",$[$.Five=5]="Five",$[$.Six=6]="Six",$[$.Seven=7]="Seven",$[$.Eight=8]="Eight",$[$.Nine=9]="Nine"})(Tt=e.ViewColumn||(e.ViewColumn={}));var it;(function($){$[$.Left=1]="Left",$[$.Right=2]="Right"})(it=e.StatusBarAlignment||(e.StatusBarAlignment={}));var dt;(function($){$[$.Off=0]="Off",$[$.On=1]="On",$[$.Relative=2]="Relative"})(dt=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Ot;(function($){$[$.Manual=1]="Manual",$[$.AfterDelay=2]="AfterDelay",$[$.FocusOut=3]="FocusOut"})(Ot=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Wt;(function($){$[$.Default=0]="Default",$[$.InCenter=1]="InCenter",$[$.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",$[$.AtTop=3]="AtTop"})(Wt=e.TextEditorRevealType||(e.TextEditorRevealType={}));var Dt;(function($){$[$.Keyboard=1]="Keyboard",$[$.Mouse=2]="Mouse",$[$.Command=3]="Command"})(Dt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var ft;(function($){$[$.Undo=1]="Undo",$[$.Redo=2]="Redo"})(ft=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var Ct;(function($){$[$.OpenOpen=0]="OpenOpen",$[$.ClosedClosed=1]="ClosedClosed",$[$.OpenClosed=2]="OpenClosed",$[$.ClosedOpen=3]="ClosedOpen"})(Ct=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function($){function N(Y){switch(Y){case"keyboard":return $.Keyboard;case"mouse":return $.Mouse;case"api":return $.Command}}$.fromValue=N}(Dt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Lt=class{constructor(N,Y){if(Y&&!T.URI.isUri(Y))throw(0,v.illegalArgument)("target");if(!K.isRange(N)||N.isEmpty)throw(0,v.illegalArgument)("range");this.range=N,this.target=Y}};Lt=ze([L],Lt),e.DocumentLink=Lt;let Ft=class{constructor(N,Y,_e,Ke){this.red=N,this.green=Y,this.blue=_e,this.alpha=Ke}};Ft=ze([L],Ft),e.Color=Ft;let Ve=class{constructor(N,Y){if(Y&&!(Y instanceof Ft))throw(0,v.illegalArgument)("color");if(!K.isRange(N)||N.isEmpty)throw(0,v.illegalArgument)("range");this.range=N,this.color=Y}};Ve=ze([L],Ve),e.ColorInformation=Ve;let Nt=class{constructor(N){if(!N||typeof N!="string")throw(0,v.illegalArgument)("label");this.label=N}};Nt=ze([L],Nt),e.ColorPresentation=Nt;var Rt;(function($){$[$.RGB=0]="RGB",$[$.HEX=1]="HEX",$[$.HSL=2]="HSL"})(Rt=e.ColorFormat||(e.ColorFormat={}));var Ut;(function($){$[$.Error=0]="Error",$[$.Warning=1]="Warning",$[$.Information=2]="Information"})(Ut=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var vt;(function($){$[$.Unknown=0]="Unknown",$[$.Shutdown=1]="Shutdown",$[$.Process=2]="Process",$[$.User=3]="User",$[$.Extension=4]="Extension"})(vt=e.TerminalExitReason||(e.TerminalExitReason={}));class we{constructor(N,Y,_e){if(this.startIndex=N,this.length=Y,this.tooltip=_e,typeof N!="number"||N<0)throw(0,v.illegalArgument)("startIndex");if(typeof Y!="number"||Y<1)throw(0,v.illegalArgument)("length");if(_e!==void 0&&typeof _e!="string")throw(0,v.illegalArgument)("tooltip")}}e.TerminalLink=we;var Ce;(function($){$[$.Panel=1]="Panel",$[$.Editor=2]="Editor"})(Ce=e.TerminalLocation||(e.TerminalLocation={}));class me{constructor(N){if(this.options=N,typeof N!="object")throw(0,v.illegalArgument)("options")}}e.TerminalProfile=me;var q;(function($){$[$.Always=1]="Always",$[$.Silent=2]="Silent",$[$.Never=3]="Never"})(q=e.TaskRevealKind||(e.TaskRevealKind={}));var Ae;(function($){$[$.Shared=1]="Shared",$[$.Dedicated=2]="Dedicated",$[$.New=3]="New"})(Ae=e.TaskPanelKind||(e.TaskPanelKind={}));let Le=p=class{constructor(N,Y){if(this.label=Y,typeof N!="string"||typeof Y!="string")throw(0,v.illegalArgument)("name");this._id=N}static from(N){switch(N){case"clean":return p.Clean;case"build":return p.Build;case"rebuild":return p.Rebuild;case"test":return p.Test;default:return}}get id(){return this._id}};Le.Clean=new p("clean","Clean"),Le.Build=new p("build","Build"),Le.Rebuild=new p("rebuild","Rebuild"),Le.Test=new p("test","Test"),Le=p=ze([L],Le),e.TaskGroup=Le;function tt($){let N="";for(let Y=0;Y<$.length;Y++)N+=$[Y].replace(/,/g,",,")+",";return N}let Xe=class{constructor(N,Y,_e){if(typeof N!="string")throw(0,v.illegalArgument)("process");this._args=[],this._process=N,Y!==void 0&&(Array.isArray(Y)?(this._args=Y,this._options=_e):this._options=Y)}get process(){return this._process}set process(N){if(typeof N!="string")throw(0,v.illegalArgument)("process");this._process=N}get args(){return this._args}set args(N){Array.isArray(N)||(N=[]),this._args=N}get options(){return this._options}set options(N){this._options=N}computeId(){const N=[];if(N.push("process"),this._process!==void 0&&N.push(this._process),this._args&&this._args.length>0)for(const Y of this._args)N.push(Y);return tt(N)}};Xe=ze([L],Xe),e.ProcessExecution=Xe;let je=class{constructor(N,Y,_e){if(this._args=[],Array.isArray(Y)){if(!N)throw(0,v.illegalArgument)("command can't be undefined or null");if(typeof N!="string"&&typeof N.value!="string")throw(0,v.illegalArgument)("command");this._command=N,this._args=Y,this._options=_e}else{if(typeof N!="string")throw(0,v.illegalArgument)("commandLine");this._commandLine=N,this._options=Y}}get commandLine(){return this._commandLine}set commandLine(N){if(typeof N!="string")throw(0,v.illegalArgument)("commandLine");this._commandLine=N}get command(){return this._command?this._command:""}set command(N){if(typeof N!="string"&&typeof N.value!="string")throw(0,v.illegalArgument)("command");this._command=N}get args(){return this._args}set args(N){this._args=N||[]}get options(){return this._options}set options(N){this._options=N}computeId(){const N=[];if(N.push("shell"),this._commandLine!==void 0&&N.push(this._commandLine),this._command!==void 0&&N.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(const Y of this._args)N.push(typeof Y=="string"?Y:Y.value);return tt(N)}};je=ze([L],je),e.ShellExecution=je;var ut;(function($){$[$.Escape=1]="Escape",$[$.Strong=2]="Strong",$[$.Weak=3]="Weak"})(ut=e.ShellQuoting||(e.ShellQuoting={}));var gt;(function($){$[$.Global=1]="Global",$[$.Workspace=2]="Workspace"})(gt=e.TaskScope||(e.TaskScope={}));class yt{constructor(N){this._callback=N}computeId(){return"customExecution"+(0,R.generateUuid)()}set callback(N){this._callback=N}get callback(){return this._callback}}e.CustomExecution=yt;let pt=D=class{constructor(N,Y,_e,Ke,et,at){this.__deprecated=!1,this._definition=this.definition=N;let lt;typeof Y=="string"?(this._name=this.name=Y,this._source=this.source=_e,this.execution=Ke,lt=et,this.__deprecated=!0):Y===gt.Global||Y===gt.Workspace?(this.target=Y,this._name=this.name=_e,this._source=this.source=Ke,this.execution=et,lt=at):(this.target=Y,this._name=this.name=_e,this._source=this.source=Ke,this.execution=et,lt=at),typeof lt=="string"?(this._problemMatchers=[lt],this._hasDefinedMatchers=!0):Array.isArray(lt)?(this._problemMatchers=lt,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(N){this.__id=N}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof Xe?this._definition={type:D.ProcessType,id:this._execution.computeId()}:this._execution instanceof je?this._definition={type:D.ShellType,id:this._execution.computeId()}:this._execution instanceof yt?this._definition={type:D.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:D.EmptyType,id:(0,R.generateUuid)()}}get definition(){return this._definition}set definition(N){if(N==null)throw(0,v.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=N}get scope(){return this._scope}set target(N){this.clear(),this._scope=N}get name(){return this._name}set name(N){if(typeof N!="string")throw(0,v.illegalArgument)("name");this.clear(),this._name=N}get execution(){return this._execution}set execution(N){N===null&&(N=void 0),this.clear(),this._execution=N;const Y=this._definition.type;(D.EmptyType===Y||D.ProcessType===Y||D.ShellType===Y||D.ExtensionCallbackType===Y)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(N){if(Array.isArray(N))this.clear(),this._problemMatchers=N,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(N){N!==!0&&N!==!1&&(N=!1),this.clear(),this._isBackground=N}get source(){return this._source}set source(N){if(typeof N!="string"||N.length===0)throw(0,v.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=N}get group(){return this._group}set group(N){N===null&&(N=void 0),this.clear(),this._group=N}get detail(){return this._detail}set detail(N){N===null&&(N=void 0),this._detail=N}get presentationOptions(){return this._presentationOptions}set presentationOptions(N){N==null&&(N=Object.create(null)),this.clear(),this._presentationOptions=N}get runOptions(){return this._runOptions}set runOptions(N){N==null&&(N=Object.create(null)),this.clear(),this._runOptions=N}};pt.ExtensionCallbackType="customExecution",pt.ProcessType="process",pt.ShellType="shell",pt.EmptyType="$empty",pt=D=ze([L],pt),e.Task=pt;var _t;(function($){$[$.SourceControl=1]="SourceControl",$[$.Window=10]="Window",$[$.Notification=15]="Notification"})(_t=e.ProgressLocation||(e.ProgressLocation={}));let Pt=U=class{constructor(N,Y=mt.None){this.collapsibleState=Y,T.URI.isUri(N)?this.resourceUri=N:this.label=N}static isTreeItem(N){if(N instanceof U)return!0;const Y=N;if(Y.label!==void 0&&!(0,E.isString)(Y.label)&&!Y.label?.label)return console.log("INVALID tree item, invalid label",Y.label),!1;if(Y.id!==void 0&&!(0,E.isString)(Y.id))return console.log("INVALID tree item, invalid id",Y.id),!1;if(Y.iconPath!==void 0&&!(0,E.isString)(Y.iconPath)&&!T.URI.isUri(Y.iconPath)&&(!Y.iconPath||!(0,E.isString)(Y.iconPath.id))){const _e=Y.iconPath;if(!_e||!(0,E.isString)(_e.light)&&!T.URI.isUri(_e.light)&&!(0,E.isString)(_e.dark)&&!T.URI.isUri(_e.dark))return console.log("INVALID tree item, invalid iconPath",Y.iconPath),!1}return Y.description!==void 0&&!(0,E.isString)(Y.description)&&typeof Y.description!="boolean"?(console.log("INVALID tree item, invalid description",Y.description),!1):Y.resourceUri!==void 0&&!T.URI.isUri(Y.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",Y.resourceUri),!1):Y.tooltip!==void 0&&!(0,E.isString)(Y.tooltip)&&!(Y.tooltip instanceof Ne)?(console.log("INVALID tree item, invalid tooltip",Y.tooltip),!1):Y.command!==void 0&&!Y.command.command?(console.log("INVALID tree item, invalid command",Y.command),!1):Y.collapsibleState!==void 0&&Y.collapsibleState<mt.None&&Y.collapsibleState>mt.Expanded?(console.log("INVALID tree item, invalid collapsibleState",Y.collapsibleState),!1):Y.contextValue!==void 0&&!(0,E.isString)(Y.contextValue)?(console.log("INVALID tree item, invalid contextValue",Y.contextValue),!1):Y.accessibilityInformation!==void 0&&!Y.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",Y.accessibilityInformation),!1):!0}};Pt=U=ze([L],Pt),e.TreeItem=Pt;var mt;(function($){$[$.None=0]="None",$[$.Collapsed=1]="Collapsed",$[$.Expanded=2]="Expanded"})(mt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let Yt=class{constructor(N){this.value=N}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}};Yt=ze([L],Yt),e.DataTransferItem=Yt;let Jt=class{constructor(N){h.set(this,new Map);for(const[Y,_e]of N??[]){const Ke=Oe(this,h,"f").get(Y);Ke?Ke.push(_e):Oe(this,h,"f").set(Y,[_e])}}get(N){return Oe(this,h,"f").get(N)?.[0]}set(N,Y){Oe(this,h,"f").set(N,[Y])}forEach(N,Y){for(const[_e,Ke]of Oe(this,h,"f"))for(const et of Ke)N.call(Y,et,_e,this)}*[(h=new WeakMap,Symbol.iterator)](){for(const[N,Y]of Oe(this,h,"f"))for(const _e of Y)yield[N,_e]}};Jt=ze([L],Jt),e.DataTransfer=Jt;let bt=class{constructor(N){this.insertText=N}};bt=ze([L],bt),e.DocumentDropEdit=bt;let Ht=class{constructor(N){this.insertText=N}};Ht=ze([L],Ht),e.DocumentPasteEdit=Ht;let Bt=class{constructor(N,Y){this.id=N,this.color=Y}};Bt=ze([L],Bt),e.ThemeIcon=Bt,Bt.File=new Bt("file"),Bt.Folder=new Bt("folder");let oi=class{constructor(N){this.id=N}};oi=ze([L],oi),e.ThemeColor=oi;var Ti;(function($){$[$.Global=1]="Global",$[$.Workspace=2]="Workspace",$[$.WorkspaceFolder=3]="WorkspaceFolder"})(Ti=e.ConfigurationTarget||(e.ConfigurationTarget={}));let It=class{constructor(N,Y){if(typeof N!="string"&&(!N||!T.URI.isUri(N)&&!T.URI.isUri(N.uri)))throw(0,v.illegalArgument)("base");if(typeof Y!="string")throw(0,v.illegalArgument)("pattern");typeof N=="string"?this.baseUri=T.URI.file(N):T.URI.isUri(N)?this.baseUri=N:this.baseUri=N.uri,this.pattern=Y}get base(){return this._base}set base(N){this._base=N,this._baseUri=T.URI.file(N)}get baseUri(){return this._baseUri}set baseUri(N){this._baseUri=N,this._base=N.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};It=ze([L],It),e.RelativePattern=It;let qt=class{constructor(N,Y,_e,Ke){this.enabled=typeof N=="boolean"?N:!0,typeof Y=="string"&&(this.condition=Y),typeof _e=="string"&&(this.hitCondition=_e),typeof Ke=="string"&&(this.logMessage=Ke)}get id(){return this._id||(this._id=(0,R.generateUuid)()),this._id}};qt=ze([L],qt),e.Breakpoint=qt;let mi=class extends qt{constructor(N,Y,_e,Ke,et){super(Y,_e,Ke,et);if(N===null)throw(0,v.illegalArgument)("location");this.location=N}};mi=ze([L],mi),e.SourceBreakpoint=mi;let Zt=class extends qt{constructor(N,Y,_e,Ke,et){super(Y,_e,Ke,et);this.functionName=N}};Zt=ze([L],Zt),e.FunctionBreakpoint=Zt;let ei=class extends qt{constructor(N,Y,_e,Ke,et,at,lt){super(Ke,et,at,lt);if(!Y)throw(0,v.illegalArgument)("dataId");this.label=N,this.dataId=Y,this.canPersist=_e}};ei=ze([L],ei),e.DataBreakpoint=ei;let ct=class{constructor(N,Y,_e){this.command=N,this.args=Y||[],this.options=_e}};ct=ze([L],ct),e.DebugAdapterExecutable=ct;let gi=class{constructor(N,Y){this.port=N,this.host=Y}};gi=ze([L],gi),e.DebugAdapterServer=gi;let zt=class{constructor(N){this.path=N}};zt=ze([L],zt),e.DebugAdapterNamedPipeServer=zt;let Kt=class{constructor(N){this.implementation=N}};Kt=ze([L],Kt),e.DebugAdapterInlineImplementation=Kt;let ai=class{constructor(N,Y){this.range=N,this.expression=Y}};ai=ze([L],ai),e.EvaluatableExpression=ai;var Pi;(function($){$[$.Invoke=0]="Invoke",$[$.Automatic=1]="Automatic"})(Pi=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var yi;(function($){$[$.Invoke=0]="Invoke",$[$.Automatic=1]="Automatic"})(yi=e.InlineCompletionTriggerKindNew||(e.InlineCompletionTriggerKindNew={}));let pi=class{constructor(N,Y){this.range=N,this.text=Y}};pi=ze([L],pi),e.InlineValueText=pi;let li=class{constructor(N,Y,_e=!0){this.range=N,this.variableName=Y,this.caseSensitiveLookup=_e}};li=ze([L],li),e.InlineValueVariableLookup=li;let ti=class{constructor(N,Y){this.range=N,this.expression=Y}};ti=ze([L],ti),e.InlineValueEvaluatableExpression=ti;let vi=class{constructor(N,Y){this.frameId=N,this.stoppedLocation=Y}};vi=ze([L],vi),e.InlineValueContext=vi;var Ei;(function($){$[$.Changed=1]="Changed",$[$.Created=2]="Created",$[$.Deleted=3]="Deleted"})(Ei=e.FileChangeType||(e.FileChangeType={}));let ii=V=class extends Error{constructor(N,Y=S.FileSystemProviderErrorCode.Unknown,_e){super(T.URI.isUri(N)?N.toString(!0):N);this.code=_e?.name??"Unknown",(0,S.markAsFileSystemProviderError)(this,Y),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,V.prototype),typeof Error.captureStackTrace=="function"&&typeof _e=="function"&&Error.captureStackTrace(this,_e)}static FileExists(N){return new V(N,S.FileSystemProviderErrorCode.FileExists,V.FileExists)}static FileNotFound(N){return new V(N,S.FileSystemProviderErrorCode.FileNotFound,V.FileNotFound)}static FileNotADirectory(N){return new V(N,S.FileSystemProviderErrorCode.FileNotADirectory,V.FileNotADirectory)}static FileIsADirectory(N){return new V(N,S.FileSystemProviderErrorCode.FileIsADirectory,V.FileIsADirectory)}static NoPermissions(N){return new V(N,S.FileSystemProviderErrorCode.NoPermissions,V.NoPermissions)}static Unavailable(N){return new V(N,S.FileSystemProviderErrorCode.Unavailable,V.Unavailable)}};ii=V=ze([L],ii),e.FileSystemError=ii;let bi=class{constructor(N,Y,_e){this.start=N,this.end=Y,this.kind=_e}};bi=ze([L],bi),e.FoldingRange=bi;var Ai;(function($){$[$.Comment=1]="Comment",$[$.Imports=2]="Imports",$[$.Region=3]="Region"})(Ai=e.FoldingRangeKind||(e.FoldingRangeKind={}));var ni;(function($){$[$.Collapsed=0]="Collapsed",$[$.Expanded=1]="Expanded"})(ni=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Ri;(function($){$[$.Editing=0]="Editing",$[$.Preview=1]="Preview"})(Ri=e.CommentMode||(e.CommentMode={}));var Oi;(function($){$[$.Unresolved=0]="Unresolved",$[$.Resolved=1]="Resolved"})(Oi=e.CommentThreadState||(e.CommentThreadState={}));class Fi{constructor(N,Y=[]){this.tokenTypes=N,this.tokenModifiers=Y}}e.SemanticTokensLegend=Fi;function Ni($){return typeof $=="undefined"||(0,E.isStringArray)($)}class ri{constructor(N){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,N){this._hasLegend=!0;for(let Y=0,_e=N.tokenTypes.length;Y<_e;Y++)this._tokenTypeStrToInt.set(N.tokenTypes[Y],Y);for(let Y=0,_e=N.tokenModifiers.length;Y<_e;Y++)this._tokenModifierStrToInt.set(N.tokenModifiers[Y],Y)}}push(N,Y,_e,Ke,et){if(typeof N=="number"&&typeof Y=="number"&&typeof _e=="number"&&typeof Ke=="number"&&(typeof et=="number"||typeof et=="undefined"))return typeof et=="undefined"&&(et=0),this._pushEncoded(N,Y,_e,Ke,et);if(K.isRange(N)&&typeof Y=="string"&&Ni(_e))return this._push(N,Y,_e);throw(0,v.illegalArgument)()}_push(N,Y,_e){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(N.start.line!==N.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(Y))throw new Error("`tokenType` is not in the provided legend");const Ke=N.start.line,et=N.start.character,at=N.end.character-N.start.character,lt=this._tokenTypeStrToInt.get(Y);let St=0;if(_e)for(const At of _e){if(!this._tokenModifierStrToInt.has(At))throw new Error("`tokenModifier` is not in the provided legend");const $t=this._tokenModifierStrToInt.get(At);St|=1<<$t>>>0}this._pushEncoded(Ke,et,at,lt,St)}_pushEncoded(N,Y,_e,Ke,et){if(this._dataIsSortedAndDeltaEncoded&&(N<this._prevLine||N===this._prevLine&&Y<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const St=this._data.length/5|0;let At=0,$t=0;for(let jt=0;jt<St;jt++){let Xt=this._data[5*jt],_i=this._data[5*jt+1];Xt===0?(Xt=At,_i+=$t):Xt+=At,this._data[5*jt]=Xt,this._data[5*jt+1]=_i,At=Xt,$t=_i}}let at=N,lt=Y;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(at-=this._prevLine,at===0&&(lt-=this._prevChar)),this._data[this._dataLen++]=at,this._data[this._dataLen++]=lt,this._data[this._dataLen++]=_e,this._data[this._dataLen++]=Ke,this._data[this._dataLen++]=et,this._prevLine=N,this._prevChar=Y}static _sortAndDeltaEncode(N){const Y=[],_e=N.length/5|0;for(let lt=0;lt<_e;lt++)Y[lt]=lt;Y.sort((lt,St)=>{const At=N[5*lt],$t=N[5*St];if(At===$t){const jt=N[5*lt+1],Xt=N[5*St+1];return jt-Xt}return At-$t});const Ke=new Uint32Array(N.length);let et=0,at=0;for(let lt=0;lt<_e;lt++){const St=5*Y[lt],At=N[St+0],$t=N[St+1],jt=N[St+2],Xt=N[St+3],_i=N[St+4],Qi=At-et,bn=Qi===0?$t-at:$t,Si=5*lt;Ke[Si+0]=Qi,Ke[Si+1]=bn,Ke[Si+2]=jt,Ke[Si+3]=Xt,Ke[Si+4]=_i,et=At,at=$t}return Ke}build(N){return this._dataIsSortedAndDeltaEncoded?new ci(new Uint32Array(this._data),N):new ci(ri._sortAndDeltaEncode(this._data),N)}}e.SemanticTokensBuilder=ri;class ci{constructor(N,Y){this.resultId=Y,this.data=N}}e.SemanticTokens=ci;class Di{constructor(N,Y,_e){this.start=N,this.deleteCount=Y,this.data=_e}}e.SemanticTokensEdit=Di;class Me{constructor(N,Y){this.resultId=Y,this.edits=N}}e.SemanticTokensEdits=Me;var Vt;(function($){$[$.Separate=0]="Separate",$[$.MergeWithParent=1]="MergeWithParent"})(Vt=e.DebugConsoleMode||(e.DebugConsoleMode={}));let si=class{constructor(){}};si.Back={iconPath:new Bt("arrow-left")},si=ze([L],si),e.QuickInputButtons=si;var Et;(function($){$[$.Separator=-1]="Separator",$[$.Default=0]="Default"})(Et=e.QuickPickItemKind||(e.QuickPickItemKind={}));var Mi;(function($){$[$.Info=1]="Info",$[$.Warning=2]="Warning",$[$.Error=3]="Error"})(Mi=e.InputBoxValidationSeverity||(e.InputBoxValidationSeverity={}));var Li;(function($){$[$.UI=1]="UI",$[$.Workspace=2]="Workspace"})(Li=e.ExtensionKind||(e.ExtensionKind={}));class Ci{constructor(N,Y,_e){this.badge=N,this.tooltip=Y,this.color=_e}static validate(N){if(N.badge){let Y=(0,P.nextCharLength)(N.badge,0);if(Y<N.badge.length&&(Y+=(0,P.nextCharLength)(N.badge,Y)),N.badge.length>Y)throw new Error("The 'badge'-property must be undefined or a short character")}if(!N.color&&!N.badge&&!N.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=Ci;let wi=class{constructor(N){this.kind=N}};wi=ze([L],wi),e.ColorTheme=wi;var ui;(function($){$[$.Light=1]="Light",$[$.Dark=2]="Dark",$[$.HighContrast=3]="HighContrast",$[$.HighContrastLight=4]="HighContrastLight"})(ui=e.ColorThemeKind||(e.ColorThemeKind={}));class xt{constructor(N,Y){if(N<0)throw(0,v.illegalArgument)("start must be positive");if(Y<0)throw(0,v.illegalArgument)("end must be positive");N<=Y?(this._start=N,this._end=Y):(this._start=Y,this._end=N)}static isNotebookRange(N){return N instanceof xt?!0:N?typeof N.start=="number"&&typeof N.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(N){let Y=this._start,_e=this._end;return N.start!==void 0&&(Y=N.start),N.end!==void 0&&(_e=N.end),Y===this._start&&_e===this._end?this:new xt(Y,_e)}}e.NotebookRange=xt;class Gt{constructor(N,Y,_e,Ke,et,at,lt){this.kind=N,this.value=Y,this.languageId=_e,this.mime=Ke,this.outputs=et??[],this.metadata=at,this.executionSummary=lt,Gt.validate(this)}static validate(N){if(typeof N.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof N.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof N.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(N){return Array.isArray(N)&&N.every(Y=>Gt.isNotebookCellData(Y))}static isNotebookCellData(N){return!0}}e.NotebookCellData=Gt;class Ui{constructor(N){this.cells=N}}e.NotebookData=Ui;class Mt{constructor(N,Y){this.data=N,this.mime=Y;const _e=(0,y.normalizeMimeType)(Y,!0);if(!_e)throw new Error(`INVALID mime type: ${Y}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=_e}static isNotebookCellOutputItem(N){return N instanceof Mt?!0:N?typeof N.mime=="string"&&N.data instanceof Uint8Array:!1}static error(N){const Y={name:N.name,message:N.message,stack:N.stack};return Mt.json(Y,"application/vnd.code.notebook.error")}static stdout(N){return Mt.text(N,"application/vnd.code.notebook.stdout")}static stderr(N){return Mt.text(N,"application/vnd.code.notebook.stderr")}static bytes(N,Y="application/octet-stream"){return new Mt(N,Y)}static text(N,Y=y.Mimes.text){const _e=Oe(Mt,d,"f",o).encode(String(N));return new Mt(_e,Y)}static json(N,Y="text/x-json"){const _e=JSON.stringify(N,void 0,"	");return Mt.text(_e,Y)}}e.NotebookCellOutputItem=Mt,d=Mt,o={value:new TextEncoder};class di{constructor(N,Y,_e){this.items=di.ensureUniqueMimeTypes(N,!0),typeof Y=="string"?(this.id=Y,this.metadata=_e):(this.id=(0,R.generateUuid)(),this.metadata=Y??_e)}static isNotebookCellOutput(N){return N instanceof di?!0:!N||typeof N!="object"?!1:typeof N.id=="string"&&Array.isArray(N.items)}static ensureUniqueMimeTypes(N,Y=!1){const _e=new Set,Ke=new Set;for(let et=0;et<N.length;et++){const at=N[et],lt=(0,y.normalizeMimeType)(at.mime);if(!_e.has(lt)){_e.add(lt);continue}Ke.add(et),Y&&console.warn(`DUPLICATED mime type '${at.mime}' will be dropped`)}return Ke.size===0?N:N.filter((et,at)=>!Ke.has(at))}}e.NotebookCellOutput=di;var Bi;(function($){$[$.Markup=1]="Markup",$[$.Code=2]="Code"})(Bi=e.NotebookCellKind||(e.NotebookCellKind={}));var zi;(function($){$[$.Idle=1]="Idle",$[$.Pending=2]="Pending",$[$.Executing=3]="Executing"})(zi=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var xi;(function($){$[$.Left=1]="Left",$[$.Right=2]="Right"})(xi=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var $i;(function($){$[$.Default=0]="Default",$[$.InCenter=1]="InCenter",$[$.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",$[$.AtTop=3]="AtTop"})($i=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class re{constructor(N,Y){this.text=N,this.alignment=Y}}e.NotebookCellStatusBarItem=re;var he;(function($){$[$.Default=1]="Default",$[$.Preferred=2]="Preferred"})(he=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class Re{constructor(N,Y=[]){this.uri=N,this.provides=(0,a.asArray)(Y)}}e.NotebookRendererScript=Re;let st=class{constructor(N,Y){this.label=N,this.timestamp=Y}};st=ze([L],st),e.TimelineItem=st;var wt;(function($){$[$.Production=1]="Production",$[$.Development=2]="Development",$[$.Test=3]="Test"})(wt=e.ExtensionMode||(e.ExtensionMode={}));var kt;(function($){$[$.Node=1]="Node",$[$.Webworker=2]="Webworker"})(kt=e.ExtensionRuntime||(e.ExtensionRuntime={}));var en;(function($){$[$.Other=0]="Other",$[$.Comment=1]="Comment",$[$.String=2]="String",$[$.RegEx=3]="RegEx"})(en=e.StandardTokenType||(e.StandardTokenType={}));class tn{constructor(N,Y){this.ranges=N,this.wordPattern=Y}}e.LinkedEditingRanges=tn;class nn{constructor(N,Y){this._port=N,this._autoForwardAction=Y}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=nn;var rn;(function($){$[$.Queued=1]="Queued",$[$.Running=2]="Running",$[$.Passed=3]="Passed",$[$.Failed=4]="Failed",$[$.Skipped=5]="Skipped",$[$.Errored=6]="Errored"})(rn=e.TestResultState||(e.TestResultState={}));var sn;(function($){$[$.Run=1]="Run",$[$.Debug=2]="Debug",$[$.Coverage=3]="Coverage"})(sn=e.TestRunProfileKind||(e.TestRunProfileKind={}));let Wi=class{constructor(N=void 0,Y=void 0,_e=void 0){this.include=N,this.exclude=Y,this.profile=_e}};Wi=ze([L],Wi),e.TestRunRequest=Wi;let Hi=x=class{constructor(N){this.message=N}static diff(N,Y,_e){const Ke=new x(N);return Ke.expectedOutput=Y,Ke.actualOutput=_e,Ke}};Hi=x=ze([L],Hi),e.TestMessage=Hi;let Vi=class{constructor(N){this.id=N}};Vi=ze([L],Vi),e.TestTag=Vi;let hi=class{constructor(N,Y){this.covered=N,this.total=Y}};hi=ze([L],hi),e.CoveredCount=hi;let ji=C=class{constructor(N,Y,_e,Ke){this.uri=N,this.statementCoverage=Y,this.branchCoverage=_e,this.functionCoverage=Ke}static fromDetails(N,Y){const _e=new hi(0,0),Ke=new hi(0,0),et=new hi(0,0);for(const lt of Y)if("branches"in lt){_e.total+=1,_e.covered+=lt.executionCount>0?1:0;for(const St of lt.branches)Ke.total+=1,Ke.covered+=St.executionCount>0?1:0}else et.total+=1,et.covered+=lt.executionCount>0?1:0;const at=new C(N,_e,Ke.total>0?Ke:void 0,et.total>0?et:void 0);return at.detailedCoverage=Y,at}};ji=C=ze([L],ji),e.FileCoverage=ji;let qi=class{constructor(N,Y,_e=[]){this.executionCount=N,this.location=Y,this.branches=_e}};qi=ze([L],qi),e.StatementCoverage=qi;let Ki=class{constructor(N,Y){this.executionCount=N,this.location=Y}};Ki=ze([L],Ki),e.BranchCoverage=Ki;let Gi=class{constructor(N,Y){this.executionCount=N,this.location=Y}};Gi=ze([L],Gi),e.FunctionCoverage=Gi;var on;(function($){$[$.None=0]="None",$[$.Option=1]="Option",$[$.Default=2]="Default",$[$.Preferred=3]="Preferred"})(on=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var an;(function($){$[$.Untrusted=0]="Untrusted",$[$.Trusted=1]="Trusted",$[$.Unspecified=2]="Unspecified"})(an=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ln;(function($){$[$.Notify=1]="Notify",$[$.OpenBrowser=2]="OpenBrowser",$[$.OpenPreview=3]="OpenPreview",$[$.Silent=4]="Silent",$[$.Ignore=5]="Ignore",$[$.OpenBrowserOnce=6]="OpenBrowserOnce"})(ln=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class cn{constructor(N,Y,_e,Ke,et,at){this.kind=N,this.name=Y,this.detail=_e,this.uri=Ke,this.range=et,this.selectionRange=at}}e.TypeHierarchyItem=cn;class un{constructor(N){this.uri=N}}e.TextTabInput=un;class dn{constructor(N,Y){this.original=N,this.modified=Y}}e.TextDiffTabInput=dn;class hn{constructor(N,Y,_e,Ke){this.base=N,this.input1=Y,this.input2=_e,this.result=Ke}}e.TextMergeTabInput=hn;class fn{constructor(N,Y){this.uri=N,this.viewType=Y}}e.CustomEditorTabInput=fn;class mn{constructor(N){this.viewType=N}}e.WebviewEditorTabInput=mn;class gn{constructor(N,Y){this.uri=N,this.notebookType=Y}}e.NotebookEditorTabInput=gn;class pn{constructor(N,Y,_e){this.original=N,this.modified=Y,this.notebookType=_e}}e.NotebookDiffEditorTabInput=pn;class vn{constructor(){}}e.TerminalEditorTabInput=vn;class En{constructor(N,Y){this.uri=N,this.inputBoxUri=Y}}e.InteractiveWindowInput=En}),define(ye[87],De([1,0,44,12,9,240,123,6,16]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const T=new Map;function R(f,h){h?T.set(f,h):T.delete(f)}e.setWordDefinitionFor=R;function S(f){return T.get(f)}e.getWordDefinitionFor=S;class m extends M.MirrorTextModel{constructor(h,d,o,g,A,c,_,s){super(d,o,g,A);this._proxy=h,this._languageId=c,this._isDirty=_,this.notebook=s,this._isDisposed=!1}dispose(){(0,a.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(h){return(0,E.equals)(this._lines,h)}get document(){if(!this._document){const h=this;this._document={get uri(){return h._uri},get fileName(){return h._uri.fsPath},get isUntitled(){return h._uri.scheme===v.Schemas.untitled},get languageId(){return h._languageId},get version(){return h._versionId},get isClosed(){return h._isDisposed},get isDirty(){return h._isDirty},save(){return h._save()},getText(d){return d?h._getTextInRange(d):h.getText()},get eol(){return h._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return h._lines.length},lineAt(d){return h._lineAt(d)},offsetAt(d){return h._offsetAt(d)},positionAt(d){return h._positionAt(d)},validateRange(d){return h._validateRange(d)},validatePosition(d){return h._validatePosition(d)},getWordRangeAtPosition(d,o){return h._getWordRangeAtPosition(d,o)}}}return Object.freeze(this._document)}_acceptLanguageId(h){(0,a.ok)(!this._isDisposed),this._languageId=h}_acceptIsDirty(h){(0,a.ok)(!this._isDisposed),this._isDirty=h}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(h){const d=this._validateRange(h);if(d.isEmpty)return"";if(d.isSingleLine)return this._lines[d.start.line].substring(d.start.character,d.end.character);const o=this._eol,g=d.start.line,A=d.end.line,c=[];c.push(this._lines[g].substring(d.start.character));for(let _=g+1;_<A;_++)c.push(this._lines[_]);return c.push(this._lines[A].substring(0,d.end.character)),c.join(o)}_lineAt(h){let d;if(h instanceof P.Position?d=h.line:typeof h=="number"&&(d=h),typeof d!="number"||d<0||d>=this._lines.length||Math.floor(d)!==d)throw new Error("Illegal value for `line`");return new I(d,this._lines[d],d===this._lines.length-1)}_offsetAt(h){return h=this._validatePosition(h),this._ensureLineStarts(),this._lineStarts.getPrefixSum(h.line-1)+h.character}_positionAt(h){h=Math.floor(h),h=Math.max(0,h),this._ensureLineStarts();const d=this._lineStarts.getIndexOf(h),o=this._lines[d.index].length;return new P.Position(d.index,Math.min(d.remainder,o))}_validateRange(h){if(!(h instanceof P.Range))throw new Error("Invalid argument");const d=this._validatePosition(h.start),o=this._validatePosition(h.end);return d===h.start&&o===h.end?h:new P.Range(d.line,d.character,o.line,o.character)}_validatePosition(h){if(!(h instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return h.with(0,0);let{line:d,character:o}=h,g=!1;if(d<0)d=0,o=0,g=!0;else if(d>=this._lines.length)d=this._lines.length-1,o=this._lines[d].length,g=!0;else{const A=this._lines[d].length;o<0?(o=0,g=!0):o>A&&(o=A,g=!0)}return g?new P.Position(d,o):h}_getWordRangeAtPosition(h,d){const o=this._validatePosition(h);if(!d)d=S(this._languageId);else if((0,b.regExpLeadsToEndlessLoop)(d))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${d.source}' because it matches the empty string.`);const g=(0,y.getWordAtText)(o.character+1,(0,y.ensureValidWordDefinition)(d),this._lines[o.line],0);if(g)return new P.Range(o.line,g.startColumn-1,o.line,g.endColumn-1)}}e.ExtHostDocumentData=m;class I{constructor(h,d,o){this._line=h,this._text=d,this._isLastLine=o}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=I}),define(ye[161],De([1,0,6,13,5]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let M=class{constructor(P){this._actual=new a.ColorTheme(a.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new b.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let E;switch(P){case"light":E=a.ColorThemeKind.Light;break;case"hcDark":E=a.ColorThemeKind.HighContrast;break;case"hcLight":E=a.ColorThemeKind.HighContrastLight;break;default:E=a.ColorThemeKind.Dark}this._actual=new a.ColorTheme(E),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};M=ze([$e(0,v.IExtHostRpcService)],M),e.ExtHostTheming=M}),define(ye[46],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,a.createDecorator)("IURITransformerService");class v{constructor(M){M?(this.transformIncoming=M.transformIncoming.bind(M),this.transformOutgoing=M.transformOutgoing.bind(M),this.transformOutgoingURI=M.transformOutgoingURI.bind(M),this.transformOutgoingScheme=M.transformOutgoingScheme.bind(M)):(this.transformIncoming=y=>y,this.transformOutgoing=y=>y,this.transformOutgoingURI=y=>y,this.transformOutgoingScheme=y=>y)}}e.URITransformerService=v}),define(ye[162],De([1,0,23]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class v{constructor(){this.buffers=[]}add(E){let T=this.buffers.indexOf(E);return T<0&&(T=this.buffers.length,this.buffers.push(E)),T}}function b(P,E){if(E.serializeBuffersForPostMessage){const T=new v,R=(I,f)=>{if(f instanceof ArrayBuffer){const h=T.add(f);return{$$vscode_array_buffer_reference$$:!0,index:h}}else if(ArrayBuffer.isView(f)){const h=M(f);if(h){const d=T.add(f.buffer);return{$$vscode_array_buffer_reference$$:!0,index:d,view:{type:h,byteLength:f.byteLength,byteOffset:f.byteOffset}}}}return f},S=JSON.stringify(P,R),m=T.buffers.map(I=>{const f=new Uint8Array(I);return a.VSBuffer.wrap(f)});return{message:S,buffers:m}}else return{message:JSON.stringify(P),buffers:[]}}e.serializeWebviewMessage=b;function M(P){switch(P.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function y(P,E){const T=E.map(m=>{const I=new ArrayBuffer(m.byteLength);return new Uint8Array(I).set(m.buffer),I}),R=E.length?(m,I)=>{if(I&&typeof I=="object"&&I.$$vscode_array_buffer_reference$$){const f=I,{index:h}=f,d=T[h];if(f.view)switch(f.view.type){case 1:return new Int8Array(d,f.view.byteOffset,f.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(d,f.view.byteOffset,f.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(d,f.view.byteOffset,f.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(d,f.view.byteOffset,f.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(d,f.view.byteOffset,f.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(d,f.view.byteOffset,f.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(d,f.view.byteOffset,f.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(d,f.view.byteOffset,f.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(d,f.view.byteOffset,f.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(d,f.view.byteOffset,f.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(d,f.view.byteOffset,f.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return d}return I}:void 0;return{message:JSON.parse(P,R),arrayBuffers:T}}e.deserializeWebviewMessage=y}),define(ye[88],De([1,0,137,10,2,7,3,30,39,16,12]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isTextEditorViewState=e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveSourceRegistry=e.SaveReason=e.Verbosity=e.isResourceMergeEditorInput=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,a.localize)(0,null),providerDisplayName:(0,a.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var S;(function(O){O[O.PROGRAMMATIC=1]="PROGRAMMATIC",O[O.USER=2]="USER",O[O.EDIT=3]="EDIT",O[O.NAVIGATION=4]="NAVIGATION",O[O.JUMP=5]="JUMP"})(S=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var m;(function(O){O[O.IDENTICAL=1]="IDENTICAL",O[O.SIMILAR=2]="SIMILAR",O[O.DIFFERENT=3]="DIFFERENT"})(m=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function I(O){const ee=O;return!!ee&&typeof ee.getSelection=="function"&&!!ee.onDidChangeSelection}e.isEditorPaneWithSelection=I;function f(O,ee,ce){for(const oe of ce.visibleEditorPanes)if(oe.group.id===ee&&O.matches(oe.input))return oe.getViewState()}e.findViewStateForEditor=f;function h(O){if(n(O))return!1;const ee=O;return b.URI.isUri(ee?.resource)}e.isResourceEditorInput=h;function d(O){if(n(O))return!1;const ee=O;return ee?.original!==void 0&&ee.modified!==void 0}e.isResourceDiffEditorInput=d;function o(O){if(n(O)||d(O))return!1;const ee=O;return ee?.primary!==void 0&&ee.secondary!==void 0}e.isResourceSideBySideEditorInput=o;function g(O){if(n(O))return!1;const ee=O;return ee?ee.resource===void 0||ee.resource.scheme===R.Schemas.untitled||ee.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=g;function A(O){if(n(O))return!1;const ee=O;return b.URI.isUri(ee?.base?.resource)&&b.URI.isUri(ee?.input1?.resource)&&b.URI.isUri(ee?.input2?.resource)&&b.URI.isUri(ee?.result?.resource)}e.isResourceMergeEditorInput=A;var c;(function(O){O[O.SHORT=0]="SHORT",O[O.MEDIUM=1]="MEDIUM",O[O.LONG=2]="LONG"})(c=e.Verbosity||(e.Verbosity={}));var _;(function(O){O[O.EXPLICIT=1]="EXPLICIT",O[O.AUTO=2]="AUTO",O[O.FOCUS_CHANGE=3]="FOCUS_CHANGE",O[O.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(_=e.SaveReason||(e.SaveReason={}));class s{constructor(){this.mapIdToSaveSource=new Map}registerSource(ee,ce){let oe=this.mapIdToSaveSource.get(ee);return oe||(oe={source:ee,label:ce},this.mapIdToSaveSource.set(ee,oe)),oe.source}getSourceLabel(ee){return this.mapIdToSaveSource.get(ee)?.label??ee}}e.SaveSourceRegistry=new s;var u;(function(O){O[O.None=0]="None",O[O.Readonly=2]="Readonly",O[O.Untitled=4]="Untitled",O[O.Singleton=8]="Singleton",O[O.RequiresTrust=16]="RequiresTrust",O[O.CanSplitInGroup=32]="CanSplitInGroup",O[O.ForceDescription=64]="ForceDescription",O[O.CanDropIntoEditor=128]="CanDropIntoEditor",O[O.MultipleEditors=256]="MultipleEditors"})(u=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class i extends M.Disposable{}e.AbstractEditorInput=i;function n(O){return O instanceof i}e.isEditorInput=n;function r(O){const ee=O;return b.URI.isUri(ee?.preferredResource)}function t(O){const ee=O;return n(ee?.primary)&&n(ee?.secondary)}e.isSideBySideEditorInput=t;function l(O){const ee=O;return n(ee?.modified)&&n(ee?.original)}e.isDiffEditorInput=l;function w(O){return n(O?.editor)}e.isEditorInputWithOptions=w;function p(O){const ee=O;return w(O)&&ee?.group!==void 0}e.isEditorInputWithOptionsAndGroup=p;function D(O){const ee=O;return typeof ee?.groupId=="number"&&n(ee.editor)}e.isEditorIdentifier=D;var U;(function(O){O[O.UNKNOWN=0]="UNKNOWN",O[O.REPLACE=1]="REPLACE",O[O.MOVE=2]="MOVE",O[O.UNPIN=3]="UNPIN"})(U=e.EditorCloseContext||(e.EditorCloseContext={}));var V;(function(O){O[O.GROUP_ACTIVE=0]="GROUP_ACTIVE",O[O.GROUP_INDEX=1]="GROUP_INDEX",O[O.GROUP_LOCKED=2]="GROUP_LOCKED",O[O.EDITOR_OPEN=3]="EDITOR_OPEN",O[O.EDITOR_CLOSE=4]="EDITOR_CLOSE",O[O.EDITOR_MOVE=5]="EDITOR_MOVE",O[O.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",O[O.EDITOR_LABEL=7]="EDITOR_LABEL",O[O.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",O[O.EDITOR_PIN=9]="EDITOR_PIN",O[O.EDITOR_STICKY=10]="EDITOR_STICKY",O[O.EDITOR_DIRTY=11]="EDITOR_DIRTY",O[O.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(V=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var x;(function(O){O[O.PRIMARY=1]="PRIMARY",O[O.SECONDARY=2]="SECONDARY",O[O.BOTH=3]="BOTH",O[O.ANY=4]="ANY"})(x=e.SideBySideEditor||(e.SideBySideEditor={}));class C{getOriginalUri(ee,ce){if(!ee)return;if(A(ee))return e.EditorResourceAccessor.getOriginalUri(ee.result,ce);if(ce?.supportSideBySide){const{primary:le,secondary:te}=this.getSideEditors(ee);if(le&&te){if(ce?.supportSideBySide===x.BOTH)return{primary:this.getOriginalUri(le,{filterByScheme:ce.filterByScheme}),secondary:this.getOriginalUri(te,{filterByScheme:ce.filterByScheme})};if(ce?.supportSideBySide===x.ANY)return this.getOriginalUri(le,{filterByScheme:ce.filterByScheme})??this.getOriginalUri(te,{filterByScheme:ce.filterByScheme});ee=ce.supportSideBySide===x.PRIMARY?le:te}}if(d(ee)||o(ee)||A(ee))return;const oe=r(ee)?ee.preferredResource:ee.resource;return!oe||!ce||!ce.filterByScheme?oe:this.filterUri(oe,ce.filterByScheme)}getSideEditors(ee){return t(ee)||o(ee)?{primary:ee.primary,secondary:ee.secondary}:l(ee)||d(ee)?{primary:ee.modified,secondary:ee.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(ee,ce){if(!ee)return;if(A(ee))return e.EditorResourceAccessor.getCanonicalUri(ee.result,ce);if(ce?.supportSideBySide){const{primary:le,secondary:te}=this.getSideEditors(ee);if(le&&te){if(ce?.supportSideBySide===x.BOTH)return{primary:this.getCanonicalUri(le,{filterByScheme:ce.filterByScheme}),secondary:this.getCanonicalUri(te,{filterByScheme:ce.filterByScheme})};if(ce?.supportSideBySide===x.ANY)return this.getCanonicalUri(le,{filterByScheme:ce.filterByScheme})??this.getCanonicalUri(te,{filterByScheme:ce.filterByScheme});ee=ce.supportSideBySide===x.PRIMARY?le:te}}if(d(ee)||o(ee)||A(ee))return;const oe=ee.resource;return!oe||!ce||!ce.filterByScheme?oe:this.filterUri(oe,ce.filterByScheme)}filterUri(ee,ce){if(Array.isArray(ce)){if(ce.some(oe=>ee.scheme===oe))return ee}else if(ce===ee.scheme)return ee}}e.EditorResourceAccessor=new C;var L;(function(O){O[O.LEFT=0]="LEFT",O[O.RIGHT=1]="RIGHT"})(L=e.CloseDirection||(e.CloseDirection={}));class B{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(ee){const ce=this.instantiationService=ee.get(y.IInstantiationService);for(const[oe,le]of this.editorSerializerConstructors)this.createEditorSerializer(oe,le,ce);this.editorSerializerConstructors.clear()}createEditorSerializer(ee,ce,oe){const le=oe.createInstance(ce);this.editorSerializerInstances.set(ee,le)}registerFileEditorFactory(ee){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=ee}getFileEditorFactory(){return(0,v.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(ee,ce){if(this.editorSerializerConstructors.has(ee)||this.editorSerializerInstances.has(ee))throw new Error(`A editor serializer with type ID '${ee}' was already registered.`);return this.instantiationService?this.createEditorSerializer(ee,ce,this.instantiationService):this.editorSerializerConstructors.set(ee,ce),(0,M.toDisposable)(()=>{this.editorSerializerConstructors.delete(ee),this.editorSerializerInstances.delete(ee)})}getEditorSerializer(ee){return this.editorSerializerInstances.get(typeof ee=="string"?ee:ee.typeId)}}P.Registry.add(e.EditorExtensions.EditorFactory,new B);async function F(O,ee){if(!O||!O.length)return[];const ce=await Promise.all(O.map(async oe=>{const le=b.URI.revive(oe.fileUri);if(!le||!await ee.canHandleResource(le))return;let Ee=oe.exists,be=oe.type;if(typeof Ee!="boolean"||typeof be!="number")try{be=(await ee.stat(le)).isDirectory?E.FileType.Directory:E.FileType.Unknown,Ee=!0}catch{Ee=!1}if(!Ee&&oe.openOnlyIfExists||be===E.FileType.Directory)return;const ne={...oe.options,pinned:!0};let ve;return Ee?ve={resource:le,options:ne}:ve={resource:le,options:ne,forceUntitled:!0},ve}));return(0,T.coalesce)(ce)}e.pathsToEditors=F;var K;(function(O){O[O.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",O[O.SEQUENTIAL=1]="SEQUENTIAL"})(K=e.EditorsOrder||(e.EditorsOrder={}));function H(O){const ee=O;if(!ee)return!1;const ce=ee;if(ce.modified)return H(ce.modified);const oe=ee;return!!(oe.contributionsState&&oe.viewState&&Array.isArray(oe.cursorState))}e.isTextEditorViewState=H}),define(ye[64],De([1,0,12,2]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-cdn.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`'self' https://*.${e.webviewResourceBaseHost}`;function b(P,E){return P.scheme===a.Schemas.http||P.scheme===a.Schemas.https?P:(E&&E.authority&&E.isRemote&&P.scheme===a.Schemas.file&&(P=v.URI.from({scheme:a.Schemas.vscodeRemote,authority:E.authority,path:P.path})),v.URI.from({scheme:a.Schemas.https,authority:`${P.scheme}+${M(P.authority)}.${e.webviewRootResourceAuthority}`,path:P.path,fragment:P.fragment,query:P.query}))}e.asWebviewUri=b;function M(P){return P.replace(/./g,E=>{const T=E.charCodeAt(0);return T>=97&&T<=122||T>=65&&T<=90||T>=48&&T<=57?E:"-"+T.toString(16).padStart(4,"0")})}function y(P){return P.replace(/-([0-9a-f]{4})/g,(E,T)=>String.fromCharCode(parseInt(T,16)))}e.decodeAuthority=y}),define(ye[163],De([1,0,5,7,64]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class M{constructor(P,E,T){this._proxy=P,this._editors=E,this._remoteInfo=T,this._handlePool=0,this._disposables=new v.DisposableStore,this._insets=new Map,this._disposables.add(E.onDidChangeVisibleTextEditors(()=>{const R=E.getVisibleTextEditors();for(const S of this._insets.values())R.indexOf(S.editor)<0&&S.inset.dispose()}))}dispose(){this._insets.forEach(P=>P.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(P,E,T,R,S){let m;for(const A of this._editors.getVisibleTextEditors(!0))if(A.value===P){m=A;break}if(!m)throw new Error("not a visible editor");const I=this,f=this._handlePool++,h=new a.Emitter,d=new a.Emitter,o=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(A){return(0,b.asWebviewUri)(A,I._remoteInfo)}get cspSource(){return b.webviewGenericCspSource}set options(A){this._options=A,I._proxy.$setOptions(f,A)}get options(){return this._options}set html(A){this._html=A,I._proxy.$setHtml(f,A)}get html(){return this._html}get onDidReceiveMessage(){return h.event}postMessage(A){return I._proxy.$postMessage(f,A)}},g=new class{constructor(){this.editor=P,this.line=E,this.height=T,this.webview=o,this.onDidDispose=d.event}dispose(){I._insets.has(f)&&(I._insets.delete(f),I._proxy.$disposeEditorInset(f),d.fire(),d.dispose(),h.dispose())}};return this._proxy.$createEditorInset(f,m.id,m.value.document.uri,E+1,T,R||{},S.identifier,S.extensionLocation),this._insets.set(f,{editor:P,inset:g,onDidReceiveMessage:h}),g}$onDidDispose(P){const E=this._insets.get(P);E&&E.inset.dispose()}$onDidReceiveMessage(P,E){this._insets.get(P)?.onDidReceiveMessage.fire(E)}}e.ExtHostEditorInsets=M}),define(ye[164],De([1,0,5,14,138]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class M{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new a.Emitter,this._onExit=new a.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,E,T,R){const S={command:P};if(E&&Object.keys(E).length>0&&(S.arguments=E),this.internalSend("request",S),typeof R=="number"){const m=setTimeout(()=>{clearTimeout(m);const I=this.pendingRequests.get(S.seq);if(I){this.pendingRequests.delete(S.seq);const f={type:"response",seq:0,request_seq:S.seq,success:!1,command:P,message:(0,b.localize)(0,null,R,P)};I(f)}},R)}return T&&this.pendingRequests.set(S.seq,T),S.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,E){return P.type!=="event"||E.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,v.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback?.(P);break;case"request":this.requestCallback?.(P);break;case"response":{const E=P,T=this.pendingRequests.get(E.request_seq);T&&(this.pendingRequests.delete(E.request_seq),T(E));break}}}}internalSend(P,E){E.type=P,E.seq=this.sequence++,this.sendMessage(E)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((E,T)=>P.set(T,E)),await(0,v.timeout)(500),P.forEach((E,T)=>{E({type:"response",seq:0,request_seq:T,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(T)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=M}),define(ye[165],De([1,0,139,38,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.IDebugService=e.DebuggerUiMessage=e.DebugConfigurationProviderTriggerKind=e.DEBUG_MEMORY_SCHEME=e.MemoryRangeType=e.getStateLabel=e.State=e.INTERNAL_CONSOLE_OPTIONS_SCHEMA=e.DEBUG_SCHEME=e.BREAKPOINT_EDITOR_CONTRIBUTION_ID=e.EDITOR_CONTRIBUTION_ID=e.debuggerDisabledMessage=e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=e.CONTEXT_MULTI_SESSION_DEBUG=e.CONTEXT_MULTI_SESSION_REPL=e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=e.CONTEXT_VARIABLE_IS_READONLY=e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=e.CONTEXT_SET_EXPRESSION_SUPPORTED=e.CONTEXT_SET_VARIABLE_SUPPORTED=e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=e.CONTEXT_DEBUGGERS_AVAILABLE=e.CONTEXT_BREAKPOINTS_EXIST=e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=e.CONTEXT_RESTART_FRAME_SUPPORTED=e.CONTEXT_STEP_BACK_SUPPORTED=e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=e.CONTEXT_BREAKPOINT_ACCESS_TYPE=e.CONTEXT_BREAKPOINT_ITEM_TYPE=e.CONTEXT_CAN_VIEW_MEMORY=e.CONTEXT_WATCH_ITEM_TYPE=e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=e.CONTEXT_CALLSTACK_ITEM_STOPPED=e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=e.CONTEXT_CALLSTACK_ITEM_TYPE=e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=e.CONTEXT_EXPRESSION_SELECTED=e.CONTEXT_VARIABLES_FOCUSED=e.CONTEXT_WATCH_EXPRESSIONS_EXIST=e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=e.CONTEXT_BREAKPOINTS_FOCUSED=e.CONTEXT_IN_BREAKPOINT_WIDGET=e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=e.CONTEXT_IN_DEBUG_REPL=e.CONTEXT_IN_DEBUG_MODE=e.CONTEXT_DEBUG_UX=e.CONTEXT_DEBUG_UX_KEY=e.CONTEXT_DEBUG_STATE=e.CONTEXT_DEBUG_CONFIGURATION_TYPE=e.CONTEXT_DEBUG_TYPE=e.DEBUG_SERVICE_ID=e.REPL_VIEW_ID=e.DEBUG_PANEL_ID=e.DISASSEMBLY_VIEW_ID=e.BREAKPOINTS_VIEW_ID=e.LOADED_SCRIPTS_VIEW_ID=e.CALLSTACK_VIEW_ID=e.WATCH_VIEW_ID=e.VARIABLES_VIEW_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.debug",e.VARIABLES_VIEW_ID="workbench.debug.variablesView",e.WATCH_VIEW_ID="workbench.debug.watchExpressionsView",e.CALLSTACK_VIEW_ID="workbench.debug.callStackView",e.LOADED_SCRIPTS_VIEW_ID="workbench.debug.loadedScriptsView",e.BREAKPOINTS_VIEW_ID="workbench.debug.breakPointsView",e.DISASSEMBLY_VIEW_ID="workbench.debug.disassemblyView",e.DEBUG_PANEL_ID="workbench.panel.repl",e.REPL_VIEW_ID="workbench.panel.repl.view",e.DEBUG_SERVICE_ID="debugService",e.CONTEXT_DEBUG_TYPE=new v.RawContextKey("debugType",void 0,{type:"string",description:a.localize(0,null)}),e.CONTEXT_DEBUG_CONFIGURATION_TYPE=new v.RawContextKey("debugConfigurationType",void 0,{type:"string",description:a.localize(1,null)}),e.CONTEXT_DEBUG_STATE=new v.RawContextKey("debugState","inactive",{type:"string",description:a.localize(2,null)}),e.CONTEXT_DEBUG_UX_KEY="debugUx",e.CONTEXT_DEBUG_UX=new v.RawContextKey(e.CONTEXT_DEBUG_UX_KEY,"default",{type:"string",description:a.localize(3,null)}),e.CONTEXT_IN_DEBUG_MODE=new v.RawContextKey("inDebugMode",!1,{type:"boolean",description:a.localize(4,null)}),e.CONTEXT_IN_DEBUG_REPL=new v.RawContextKey("inDebugRepl",!1,{type:"boolean",description:a.localize(5,null)}),e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=new v.RawContextKey("breakpointWidgetVisible",!1,{type:"boolean",description:a.localize(6,null)}),e.CONTEXT_IN_BREAKPOINT_WIDGET=new v.RawContextKey("inBreakpointWidget",!1,{type:"boolean",description:a.localize(7,null)}),e.CONTEXT_BREAKPOINTS_FOCUSED=new v.RawContextKey("breakpointsFocused",!0,{type:"boolean",description:a.localize(8,null)}),e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=new v.RawContextKey("watchExpressionsFocused",!0,{type:"boolean",description:a.localize(9,null)}),e.CONTEXT_WATCH_EXPRESSIONS_EXIST=new v.RawContextKey("watchExpressionsExist",!1,{type:"boolean",description:a.localize(10,null)}),e.CONTEXT_VARIABLES_FOCUSED=new v.RawContextKey("variablesFocused",!0,{type:"boolean",description:a.localize(11,null)}),e.CONTEXT_EXPRESSION_SELECTED=new v.RawContextKey("expressionSelected",!1,{type:"boolean",description:a.localize(12,null)}),e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=new v.RawContextKey("breakpointInputFocused",!1,{type:"boolean",description:a.localize(13,null)}),e.CONTEXT_CALLSTACK_ITEM_TYPE=new v.RawContextKey("callStackItemType",void 0,{type:"string",description:a.localize(14,null)}),e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=new v.RawContextKey("callStackSessionIsAttach",!1,{type:"boolean",description:a.localize(15,null)}),e.CONTEXT_CALLSTACK_ITEM_STOPPED=new v.RawContextKey("callStackItemStopped",!1,{type:"boolean",description:a.localize(16,null)}),e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=new v.RawContextKey("callStackSessionHasOneThread",!1,{type:"boolean",description:a.localize(17,null)}),e.CONTEXT_WATCH_ITEM_TYPE=new v.RawContextKey("watchItemType",void 0,{type:"string",description:a.localize(18,null)}),e.CONTEXT_CAN_VIEW_MEMORY=new v.RawContextKey("canViewMemory",void 0,{type:"boolean",description:a.localize(19,null)}),e.CONTEXT_BREAKPOINT_ITEM_TYPE=new v.RawContextKey("breakpointItemType",void 0,{type:"string",description:a.localize(20,null)}),e.CONTEXT_BREAKPOINT_ACCESS_TYPE=new v.RawContextKey("breakpointAccessType",void 0,{type:"string",description:a.localize(21,null)}),e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=new v.RawContextKey("breakpointSupportsCondition",!1,{type:"boolean",description:a.localize(22,null)}),e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=new v.RawContextKey("loadedScriptsSupported",!1,{type:"boolean",description:a.localize(23,null)}),e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=new v.RawContextKey("loadedScriptsItemType",void 0,{type:"string",description:a.localize(24,null)}),e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=new v.RawContextKey("focusedSessionIsAttach",!1,{type:"boolean",description:a.localize(25,null)}),e.CONTEXT_STEP_BACK_SUPPORTED=new v.RawContextKey("stepBackSupported",!1,{type:"boolean",description:a.localize(26,null)}),e.CONTEXT_RESTART_FRAME_SUPPORTED=new v.RawContextKey("restartFrameSupported",!1,{type:"boolean",description:a.localize(27,null)}),e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=new v.RawContextKey("stackFrameSupportsRestart",!1,{type:"boolean",description:a.localize(28,null)}),e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=new v.RawContextKey("jumpToCursorSupported",!1,{type:"boolean",description:a.localize(29,null)}),e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=new v.RawContextKey("stepIntoTargetsSupported",!1,{type:"boolean",description:a.localize(30,null)}),e.CONTEXT_BREAKPOINTS_EXIST=new v.RawContextKey("breakpointsExist",!1,{type:"boolean",description:a.localize(31,null)}),e.CONTEXT_DEBUGGERS_AVAILABLE=new v.RawContextKey("debuggersAvailable",!1,{type:"boolean",description:a.localize(32,null)}),e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=new v.RawContextKey("debugExtensionAvailable",!1,{type:"boolean",description:a.localize(33,null)}),e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=new v.RawContextKey("debugProtocolVariableMenuContext",void 0,{type:"string",description:a.localize(34,null)}),e.CONTEXT_SET_VARIABLE_SUPPORTED=new v.RawContextKey("debugSetVariableSupported",!1,{type:"boolean",description:a.localize(35,null)}),e.CONTEXT_SET_EXPRESSION_SUPPORTED=new v.RawContextKey("debugSetExpressionSupported",!1,{type:"boolean",description:a.localize(36,null)}),e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=new v.RawContextKey("breakWhenValueChangesSupported",!1,{type:"boolean",description:a.localize(37,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=new v.RawContextKey("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:a.localize(38,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=new v.RawContextKey("breakWhenValueIsReadSupported",!1,{type:"boolean",description:a.localize(39,null)}),e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=new v.RawContextKey("terminateDebuggeeSupported",!1,{type:"boolean",description:a.localize(40,null)}),e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=new v.RawContextKey("suspendDebuggeeSupported",!1,{type:"boolean",description:a.localize(41,null)}),e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=new v.RawContextKey("variableEvaluateNamePresent",!1,{type:"boolean",description:a.localize(42,null)}),e.CONTEXT_VARIABLE_IS_READONLY=new v.RawContextKey("variableIsReadonly",!1,{type:"boolean",description:a.localize(43,null)}),e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=new v.RawContextKey("exceptionWidgetVisible",!1,{type:"boolean",description:a.localize(44,null)}),e.CONTEXT_MULTI_SESSION_REPL=new v.RawContextKey("multiSessionRepl",!1,{type:"boolean",description:a.localize(45,null)}),e.CONTEXT_MULTI_SESSION_DEBUG=new v.RawContextKey("multiSessionDebug",!1,{type:"boolean",description:a.localize(46,null)}),e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=new v.RawContextKey("disassembleRequestSupported",!1,{type:"boolean",description:a.localize(47,null)}),e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=new v.RawContextKey("disassemblyViewFocus",!1,{type:"boolean",description:a.localize(48,null)}),e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=new v.RawContextKey("languageSupportsDisassembleRequest",!1,{type:"boolean",description:a.localize(49,null)}),e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=new v.RawContextKey("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:a.localize(50,null)});const M=m=>a.localize(51,null,m);e.debuggerDisabledMessage=M,e.EDITOR_CONTRIBUTION_ID="editor.contrib.debug",e.BREAKPOINT_EDITOR_CONTRIBUTION_ID="editor.contrib.breakpoint",e.DEBUG_SCHEME="debug",e.INTERNAL_CONSOLE_OPTIONS_SCHEMA={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:a.localize(52,null)};var y;(function(m){m[m.Inactive=0]="Inactive",m[m.Initializing=1]="Initializing",m[m.Stopped=2]="Stopped",m[m.Running=3]="Running"})(y=e.State||(e.State={}));function P(m){switch(m){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.getStateLabel=P;var E;(function(m){m[m.Valid=0]="Valid",m[m.Unreadable=1]="Unreadable",m[m.Error=2]="Error"})(E=e.MemoryRangeType||(e.MemoryRangeType={})),e.DEBUG_MEMORY_SCHEME="vscode-debug-memory";var T;(function(m){m[m.Initial=1]="Initial",m[m.Dynamic=2]="Dynamic"})(T=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));var R;(function(m){m.UnverifiedBreakpoints="unverifiedBreakpoints"})(R=e.DebuggerUiMessage||(e.DebuggerUiMessage={})),e.IDebugService=(0,b.createDecorator)(e.DEBUG_SERVICE_ID);var S;(function(m){m[m.CONDITION=0]="CONDITION",m[m.HIT_COUNT=1]="HIT_COUNT",m[m.LOG_MESSAGE=2]="LOG_MESSAGE"})(S=e.BreakpointWidgetContext||(e.BreakpointWidgetContext={}))}),define(ye[166],De([1,0,9,2,19,26,12]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function E(i,n,r){return i.replace(P,function(t,l){return n&&l.length>0&&l[0]!=="_"?t:r&&r.hasOwnProperty(l)?r[l]:t})}e.formatPII=E;function T(i){const n={};for(const r of Object.keys(i))r.startsWith("!")||(n[r]=i[r]);return n}e.filterExceptionsFromTelemetry=T;function R(i){return i.configuration.request==="attach"&&!S(i)&&(!i.parentSession||R(i.parentSession))}e.isSessionAttach=R;function S(i){let n=i.configuration.type;if(!!n)return n==="vslsShare"&&(n=i.configuration.adapterProxy.configuration.type),(0,a.equalsIgnoreCase)(n,"extensionhost")||(0,a.equalsIgnoreCase)(n,"pwa-extensionhost")?i:i.parentSession?S(i.parentSession):void 0}e.getExtensionHostDebugSession=S;function m(i){return i.type&&(i.label||i.program||i.runtime)}e.isDebuggerMainContribution=m;function I(i,n,r){let t,l=0;const w=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let p=null;for(;p=w.exec(i);){const D=p.index+1,U=D+p[0].length;if(D<=n&&U>=r){t=p[0],l=D;break}}if(t){const D=/\w+/g;let U=null;for(;(U=D.exec(t))&&!(U.index+1+l+U[0].length>=r););U&&(t=t.substring(0,D.lastIndex))}return t?{start:l,end:l+t.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=I;const f=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function h(i){return!!(i&&i.match(f))}e.isUri=h;function d(i){if(typeof i.path=="string"&&!(typeof i.sourceReference=="number"&&i.sourceReference>0)){if(h(i.path))return v.URI.parse(i.path);if((0,b.isAbsolute)(i.path))return v.URI.file(i.path)}return i.path}function o(i){if(typeof i.path=="object"){const n=v.URI.revive(i.path);if(n)return n.scheme===y.Schemas.file?n.fsPath:n.toString()}return i.path}function g(i,n){const r=n?d:o,t=(0,M.deepClone)(i);return c(t,(l,w)=>{l&&w&&(w.path=r(w))}),t}e.convertToDAPaths=g;function A(i,n){const r=n?d:o,t=(0,M.deepClone)(i);return c(t,(l,w)=>{!l&&w&&(w.path=r(w))}),t}e.convertToVSCPaths=A;function c(i,n){switch(i.type){case"event":{const r=i;switch(r.event){case"output":n(!1,r.body.source);break;case"loadedSource":n(!1,r.body.source);break;case"breakpoint":n(!1,r.body.breakpoint.source);break;default:break}break}case"request":{const r=i;switch(r.command){case"setBreakpoints":n(!0,r.arguments.source);break;case"breakpointLocations":n(!0,r.arguments.source);break;case"source":n(!0,r.arguments.source);break;case"gotoTargets":n(!0,r.arguments.source);break;case"launchVSCode":r.arguments.args.forEach(t=>n(!1,t));break;default:break}break}case"response":{const r=i;if(r.success&&r.body)switch(r.command){case"stackTrace":r.body.stackFrames.forEach(t=>n(!1,t.source));break;case"loadedSources":r.body.sources.forEach(t=>n(!1,t));break;case"scopes":r.body.scopes.forEach(t=>n(!1,t.source));break;case"setFunctionBreakpoints":r.body.breakpoints.forEach(t=>n(!1,t.source));break;case"setBreakpoints":r.body.breakpoints.forEach(t=>n(!1,t.source));break;case"disassemble":r.body?.instructions.forEach(l=>n(!1,l.location));break;default:break}break}}}function _(i){return i.filter(n=>!n.presentation?.hidden).sort((n,r)=>n.presentation?r.presentation?n.presentation.group?r.presentation.group?n.presentation.group!==r.presentation.group?n.presentation.group.localeCompare(r.presentation.group):s(n.presentation.order,r.presentation.order):-1:r.presentation.group?1:s(n.presentation.order,r.presentation.order):-1:r.presentation?1:0)}e.getVisibleAndSorted=_;function s(i,n){return typeof i!="number"?typeof n!="number"?0:1:typeof n!="number"?-1:i-n}async function u(i,n){const r=i.getValue("debug.saveBeforeStart",{overrideIdentifier:n.activeTextEditorLanguageId});if(r!=="none"&&(await n.saveAll(),r==="allEditorsInActiveGroup")){const t=n.activeEditorPane;t&&t.input.resource?.scheme===y.Schemas.untitled&&await n.save({editor:t.input,groupId:t.group.id})}await i.reloadConfiguration()}e.saveAllBeforeDebugStart=u}),define(ye[89],De([1,0,23,34,167,74,12,19,21,38]),function(ie,e,a,v,b,M,y,P,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var R;(function(t){t[t.Markup=1]="Markup",t[t.Code=2]="Code"})(R=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",M.Mimes.latex,M.Mimes.markdown,"image/png","image/jpeg",M.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[M.Mimes.latex,M.Mimes.markdown,"application/json",M.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var S;(function(t){t[t.Running=1]="Running",t[t.Idle=2]="Idle"})(S=e.NotebookRunState||(e.NotebookRunState={}));var m;(function(t){t[t.Unconfirmed=1]="Unconfirmed",t[t.Pending=2]="Pending",t[t.Executing=3]="Executing"})(m=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var I;(function(t){t[t.WithHardKernelDependency=0]="WithHardKernelDependency",t[t.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",t[t.Pure=2]="Pure",t[t.Never=3]="Never"})(I=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var f;(function(t){t.Always="always",t.Never="never",t.Optional="optional"})(f=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var h;(function(t){t[t.ModelChange=1]="ModelChange",t[t.Move=2]="Move",t[t.ChangeCellLanguage=5]="ChangeCellLanguage",t[t.Initialize=6]="Initialize",t[t.ChangeCellMetadata=7]="ChangeCellMetadata",t[t.Output=8]="Output",t[t.OutputItem=9]="OutputItem",t[t.ChangeCellContent=10]="ChangeCellContent",t[t.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",t[t.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",t[t.ChangeCellMime=13]="ChangeCellMime",t[t.Unknown=100]="Unknown"})(h=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var d;(function(t){t[t.Handle=0]="Handle",t[t.Index=1]="Index"})(d=e.SelectionStateType||(e.SelectionStateType={}));var o;(function(t){t[t.Replace=1]="Replace",t[t.Output=2]="Output",t[t.Metadata=3]="Metadata",t[t.CellLanguage=4]="CellLanguage",t[t.DocumentMetadata=5]="DocumentMetadata",t[t.Move=6]="Move",t[t.OutputItems=7]="OutputItems",t[t.PartialMetadata=8]="PartialMetadata",t[t.PartialInternalMetadata=9]="PartialInternalMetadata"})(o=e.CellEditType||(e.CellEditType={}));var g;(function(t){t.scheme=y.Schemas.vscodeNotebookCell;const l=["W","X","Y","Z","a","b","c","d","e","f"],w=new RegExp(`^[${l.join("")}]+`),p=7;function D(F,K){const H=K.toString(p),ee=`${H.length<l.length?l[H.length-1]:"z"}${H}s${(0,a.encodeBase64)(a.VSBuffer.fromString(F.scheme),!0,!0)}`;return F.with({scheme:t.scheme,fragment:ee})}t.generate=D;function U(F){if(F.scheme!==t.scheme)return;const K=F.fragment.indexOf("s");if(K<0)return;const H=parseInt(F.fragment.substring(0,K).replace(w,""),p),O=(0,a.decodeBase64)(F.fragment.substring(K+1)).toString();if(!isNaN(H))return{handle:H,notebook:F.with({scheme:O,fragment:null})}}t.parse=U;const V=/^(\d{8,})(\w[\w\d+.-]*)$/;function x(F,K){return F.with({scheme:y.Schemas.vscodeNotebookCellOutput,fragment:`op${K??""},${F.scheme!==y.Schemas.file?F.scheme:""}`})}t.generateCellOutputUri=x;function C(F){if(F.scheme!==y.Schemas.vscodeNotebookCellOutput)return;const K=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(F.fragment);if(!K)return;const H=K[1]&&K[1]!==""?K[1]:void 0,O=K[2];return{outputId:H,notebook:F.with({scheme:O||y.Schemas.file,fragment:null})}}t.parseCellOutputUri=C;function L(F,K,H){return F.with({scheme:H,fragment:`ch${K.toString().padStart(7,"0")}${F.scheme!==y.Schemas.file?F.scheme:""}`})}t.generateCellUri=L;function B(F,K){if(F.scheme!==K)return;const H=V.exec(F.fragment);return H?{handle:Number(H[1]),notebook:F.with({scheme:F.fragment.substring(H[0].length)||y.Schemas.file,fragment:null})}:void 0}t.parseCellUri=B})(g=e.CellUri||(e.CellUri={}));const A=t=>E.isWindows?t.replace(/\//g,"\\"):t;class c{constructor(l=[],w=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=w,this.order=[...new Set(l)].map(p=>({pattern:p,matches:v.parse(A(p))}))}sort(l){const w=new Map(b.Iterable.map(l,D=>[D,A(D)]));let p=[];for(const{matches:D}of this.order)for(const[U,V]of w)if(D(V)){p.push(U),w.delete(U);break}return w.size&&(p=p.concat([...w.keys()].sort((D,U)=>this.defaultOrder.indexOf(D)-this.defaultOrder.indexOf(U)))),p}prioritize(l,w){const p=this.findIndex(l);if(p===-1){this.order.unshift({pattern:l,matches:v.parse(A(l))});return}const D=new Set(w.map(V=>this.findIndex(V,p)));D.delete(-1);const U=Array.from(D).sort();this.order.splice(p+1,0,...U.map(V=>this.order[V]));for(let V=U.length-1;V>=0;V--)this.order.splice(U[V],1)}toArray(){return this.order.map(l=>l.pattern)}findIndex(l,w=this.order.length){const p=A(l);for(let D=0;D<w;D++)if(this.order[D].matches(p))return D;return-1}}e.MimeTypeDisplayOrder=c;function _(t,l,w,p=(D,U)=>D===U){const D=[];function U(C,L,B){if(L===0&&B.length===0)return;const F=D[D.length-1];F&&F.start+F.deleteCount===C?(F.deleteCount+=L,F.toInsert.push(...B)):D.push({start:C,deleteCount:L,toInsert:B})}let V=0,x=0;for(;;){if(V===t.length){U(V,0,l.slice(x));break}if(x===l.length){U(V,t.length-V,[]);break}const C=t[V],L=l[x];if(p(C,L)){V+=1,x+=1;continue}w(L)?(U(V,1,[]),V+=1):(U(V,0,[L]),x+=1)}return D}e.diff=_,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new T.RawContextKey("notebookEditorCursorAtBoundary","none");var s;(function(t){t.default="default",t.option="option"})(s=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function u(t){const l=t;return!!((typeof l.include=="string"||v.isRelativePattern(l.include))&&(typeof l.exclude=="string"||v.isRelativePattern(l.exclude)))}e.isDocumentExcludePattern=u;function i(t,l,w){if(Array.isArray(t.viewType)&&t.viewType.indexOf(l)>=0||t.viewType===l)return!0;if(t.filenamePattern){const p=u(t.filenamePattern)?t.filenamePattern.include:t.filenamePattern,D=u(t.filenamePattern)?t.filenamePattern.exclude:void 0;if(v.match(p,(0,P.basename)(w.fsPath).toLowerCase()))return!(D&&v.match(D,(0,P.basename)(w.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=i,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputLineHeight:"notebook.outputLineHeight",outputFontSize:"notebook.outputFontSize",outputFontFamily:"notebook.outputFontFamily"};var n;(function(t){t[t.Left=1]="Left",t[t.Right=2]="Right"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class r{static create(l){return`${r._prefix}${l}`}static parse(l){if(l.startsWith(r._prefix))return l.substring(r._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=r,r._prefix="notebook/"}),define(ye[168],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var v;(function(b){b[b.Output=1]="Output",b[b.OutputItems=2]="OutputItems",b[b.ExecutionState=3]="ExecutionState"})(v=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,a.createDecorator)("INotebookExecutionService")}),define(ye[169],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollections=e.serializeEnvironmentVariableCollections=e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function a(y){return[...y.entries()]}e.serializeEnvironmentVariableCollection=a;function v(y){return new Map(y)}e.deserializeEnvironmentVariableCollection=v;function b(y){return Array.from(y.entries()).map(P=>[P[0],a(P[1].map)])}e.serializeEnvironmentVariableCollections=b;function M(y){return new Map(y.map(P=>[P[0],{map:v(P[1])}]))}e.deserializeEnvironmentVariableCollections=M}),define(ye[47],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var a;(function(M){M.Delimiter="\0"})(a=e.TestIdPathParts||(e.TestIdPathParts={}));var v;(function(M){M[M.IsSame=0]="IsSame",M[M.Disconnected=1]="Disconnected",M[M.IsChild=2]="IsChild",M[M.IsParent=3]="IsParent"})(v=e.TestPosition||(e.TestPosition={}));class b{constructor(y,P=y.length){if(this.path=y,this.viewEnd=P,y.length===0||P<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(y,P,E=y.parent){if(y.id===P)return new b([P]);const T=[y.id];for(let R=E;R&&R.id!==P;R=R.parent)T.push(R.id);return T.push(P),new b(T.reverse())}static isRoot(y){return!y.includes("\0")}static root(y){const P=y.indexOf("\0");return P===-1?y:y.slice(0,P)}static fromString(y){return new b(y.split("\0"))}static join(y,P){return new b([...y.path,P])}static joinToString(y,P){return y.toString()+"\0"+P}static compare(y,P){return y===P?0:P.startsWith(y+"\0")?2:y.startsWith(P+"\0")?3:1}get parentId(){return this.viewEnd>1?new b(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let y=1;y<=this.viewEnd;y++)yield new b(this.path,y)}compare(y){if(typeof y=="string")return b.compare(this.toString(),y);for(let P=0;P<y.viewEnd&&P<this.viewEnd;P++)if(y.path[P]!==this.path[P])return 1;return y.viewEnd>this.viewEnd?2:y.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let y=1;y<this.viewEnd;y++)this.stringifed+="\0",this.stringifed+=this.path[y]}return this.stringifed}}e.TestId=b}),define(ye[48],De([1,0,2,49]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var b;(function(r){r[r.Unset=0]="Unset",r[r.Queued=1]="Queued",r[r.Running=2]="Running",r[r.Passed=3]="Passed",r[r.Failed=4]="Failed",r[r.Skipped=5]="Skipped",r[r.Errored=6]="Errored"})(b=e.TestResultState||(e.TestResultState={}));var M;(function(r){r[r.Run=2]="Run",r[r.Debug=4]="Debug",r[r.Coverage=8]="Coverage",r[r.HasNonDefaultProfile=16]="HasNonDefaultProfile",r[r.HasConfigurable=32]="HasConfigurable"})(M=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var y;(function(r){r.serialize=t=>({range:t.range.toJSON(),uri:t.uri.toJSON()}),r.deserialize=t=>({range:v.Range.lift(t.range),uri:a.URI.revive(t.uri)})})(y=e.IRichLocation||(e.IRichLocation={}));var P;(function(r){r[r.Error=0]="Error",r[r.Output=1]="Output"})(P=e.TestMessageType||(e.TestMessageType={}));var E;(function(r){r.serialize=t=>({message:t.message,type:0,expected:t.expected,actual:t.actual,location:t.location&&y.serialize(t.location)}),r.deserialize=t=>({message:t.message,type:0,expected:t.expected,actual:t.actual,location:t.location&&y.deserialize(t.location)})})(E=e.ITestErrorMessage||(e.ITestErrorMessage={}));var T;(function(r){r.serialize=t=>({message:t.message,type:1,offset:t.offset,length:t.length,location:t.location&&y.serialize(t.location)}),r.deserialize=t=>({message:t.message,type:1,offset:t.offset,length:t.length,location:t.location&&y.deserialize(t.location)})})(T=e.ITestOutputMessage||(e.ITestOutputMessage={}));var R;(function(r){r.serialize=t=>t.type===0?E.serialize(t):T.serialize(t),r.deserialize=t=>t.type===0?E.deserialize(t):T.deserialize(t)})(R=e.ITestMessage||(e.ITestMessage={}));var S;(function(r){r.serializeWithoutMessages=t=>({state:t.state,duration:t.duration,messages:[]}),r.serialize=t=>({state:t.state,duration:t.duration,messages:t.messages.map(R.serialize)}),r.deserialize=t=>({state:t.state,duration:t.duration,messages:t.messages.map(R.deserialize)})})(S=e.ITestTaskState||(e.ITestTaskState={}));const m="\0",I=(r,t)=>r+m+t;e.namespaceTestTag=I;const f=r=>{const t=r.indexOf(m);return{ctrlId:r.slice(0,t),tagId:r.slice(t+1)}};e.denamespaceTestTag=f;var h;(function(r){r.serialize=t=>({extId:t.extId,label:t.label,tags:t.tags,busy:t.busy,children:void 0,uri:t.uri?.toJSON(),range:t.range?.toJSON()||null,description:t.description,error:t.error,sortText:t.sortText}),r.deserialize=t=>({extId:t.extId,label:t.label,tags:t.tags,busy:t.busy,children:void 0,uri:t.uri?a.URI.revive(t.uri):void 0,range:t.range?v.Range.lift(t.range):null,description:t.description,error:t.error,sortText:t.sortText})})(h=e.ITestItem||(e.ITestItem={}));var d;(function(r){r[r.NotExpandable=0]="NotExpandable",r[r.Expandable=1]="Expandable",r[r.BusyExpanding=2]="BusyExpanding",r[r.Expanded=3]="Expanded"})(d=e.TestItemExpandState||(e.TestItemExpandState={}));var o;(function(r){r.serialize=t=>({controllerId:t.controllerId,expand:t.expand,parent:t.parent,item:h.serialize(t.item)}),r.deserialize=t=>({controllerId:t.controllerId,expand:t.expand,parent:t.parent,item:h.deserialize(t.item)})})(o=e.InternalTestItem||(e.InternalTestItem={}));var g;(function(r){r.serialize=t=>{let l;return t.item&&(l={},t.item.label!==void 0&&(l.label=t.item.label),t.item.tags!==void 0&&(l.tags=t.item.tags),t.item.busy!==void 0&&(l.busy=t.item.busy),t.item.uri!==void 0&&(l.uri=t.item.uri?.toJSON()),t.item.range!==void 0&&(l.range=t.item.range?.toJSON()),t.item.description!==void 0&&(l.description=t.item.description),t.item.error!==void 0&&(l.error=t.item.error),t.item.sortText!==void 0&&(l.sortText=t.item.sortText)),{extId:t.extId,expand:t.expand,item:l}},r.deserialize=t=>{let l;return t.item&&(l={},t.item.label!==void 0&&(l.label=t.item.label),t.item.tags!==void 0&&(l.tags=t.item.tags),t.item.busy!==void 0&&(l.busy=t.item.busy),t.item.range!==void 0&&(l.range=t.item.range?v.Range.lift(t.item.range):null),t.item.description!==void 0&&(l.description=t.item.description),t.item.error!==void 0&&(l.error=t.item.error),t.item.sortText!==void 0&&(l.sortText=t.item.sortText)),{extId:t.extId,expand:t.expand,item:l}}})(g=e.ITestItemUpdate||(e.ITestItemUpdate={}));const A=(r,t)=>{t.expand!==void 0&&(r.expand=t.expand),t.item!==void 0&&(r.item=r.item?Object.assign(r.item,t.item):t.item)};e.applyTestItemUpdate=A;var c;(function(r){r.serializeWithoutMessages=t=>({...o.serialize(t),ownComputedState:t.ownComputedState,computedState:t.computedState,tasks:t.tasks.map(S.serializeWithoutMessages),retired:t.retired}),r.serialize=t=>({...o.serialize(t),ownComputedState:t.ownComputedState,computedState:t.computedState,tasks:t.tasks.map(S.serialize),retired:t.retired})})(c=e.TestResultItem||(e.TestResultItem={}));var _;(function(r){r[r.Function=0]="Function",r[r.Statement=1]="Statement"})(_=e.DetailType||(e.DetailType={}));var s;(function(r){r[r.Add=0]="Add",r[r.Update=1]="Update",r[r.Remove=2]="Remove",r[r.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",r[r.Retire=4]="Retire",r[r.AddTag=5]="AddTag",r[r.RemoveTag=6]="RemoveTag"})(s=e.TestDiffOpType||(e.TestDiffOpType={}));var u;(function(r){r.deserialize=t=>t.op===0?{op:t.op,item:o.deserialize(t.item)}:t.op===1?{op:t.op,item:g.deserialize(t.item)}:t,r.serialize=t=>t.op===0?{op:t.op,item:o.serialize(t.item)}:t.op===1?{op:t.op,item:g.serialize(t.item)}:t})(u=e.TestsDiffOp||(e.TestsDiffOp={}));class i{add(t){}update(t){}remove(t,l){}complete(){}}e.IncrementalChangeCollector=i;class n{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(t){const l=this.createChangeCollector();for(const w of t)switch(w.op){case 0:{const p=o.deserialize(w.item);if(p.parent){if(this.items.has(p.parent)){const D=this.items.get(p.parent);D.children.add(p.item.extId);const U=this.createItem(p,D);this.items.set(p.item.extId,U),l.add(U)}}else{const D=this.createItem(p);this.roots.add(D),this.items.set(p.item.extId,D),l.add(D)}p.expand===2&&this.busyControllerCount++;break}case 1:{const p=g.deserialize(w.item),D=this.items.get(p.extId);if(!D)break;p.expand!==void 0&&(D.expand===2&&this.busyControllerCount--,p.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(D,p),l.update(D);break}case 2:{const p=this.items.get(w.itemId);if(!p)break;p.parent?this.items.get(p.parent).children.delete(p.item.extId):this.roots.delete(p);const D=[[w.itemId]];for(;D.length;)for(const U of D.pop()){const V=this.items.get(U);V&&(D.push(V.children),this.items.delete(U),l.remove(V,V!==p),V.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(w.itemId);break;case 3:this.updatePendingRoots(w.amount);break;case 5:this._tags.set(w.tag.id,w.tag);break;case 6:this._tags.delete(w.id);break}l.complete()}retireTest(t){}updatePendingRoots(t){this.pendingRootCount+=t}createChangeCollector(){return new i}}e.AbstractIncrementalTestCollection=n}),define(ye[65],De([1,0,14,5,7,44,48,47]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTestItemChildren=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.TestItemCollection=e.TestItemEventOp=void 0;var E;(function(o){o[o.Upsert=0]="Upsert",o[o.SetTags=1]="SetTags",o[o.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",o[o.RemoveChild=3]="RemoveChild",o[o.SetProp=4]="SetProp",o[o.Bulk=5]="Bulk"})(E=e.TestItemEventOp||(e.TestItemEventOp={}));const T=(o,g)=>o===g,R={range:(o,g)=>o===g?!0:!o||!g?!1:o.equalsRange(g),busy:T,label:T,description:T,error:T,tags:(o,g)=>!(o.length!==g.length||o.some(A=>!g.includes(A)))},S=(o,g)=>{let A;for(const[c,_]of Object.entries(R))_(o[c],g[c])||(A?A[c]=g[c]:A={[c]:g[c]});return A};class m extends b.Disposable{constructor(g){super();this.options=g,this.debounceSendDiff=this._register(new a.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new v.Emitter),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}get root(){return this.options.root}set resolveHandler(g){this._resolveHandler=g;for(const A of this.tree.values())this.updateExpandability(A)}collectDiff(){const g=this.diff;return this.diff=[],g}pushDiff(g){const A=this.diff[this.diff.length-1];if(A&&g.op===1){if(A.op===1&&A.item.extId===g.item.extId){(0,y.applyTestItemUpdate)(A.item,g.item);return}if(A.op===0&&A.item.item.extId===g.item.extId){(0,y.applyTestItemUpdate)(A.item,g.item);return}}this.diff.push(g),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(g,A){const c=this.tree.get(g);if(!!c){if((c.expandLevels===void 0||A>c.expandLevels)&&(c.expandLevels=A),c.expand===1){const _=this.resolveChildren(c);return _.isOpen()?this.expandChildren(c,A-1):_.wait().then(()=>this.expandChildren(c,A-1))}else if(c.expand===3)return c.resolveBarrier?.isOpen()===!1?c.resolveBarrier.wait().then(()=>this.expandChildren(c,A-1)):this.expandChildren(c,A-1)}}dispose(){for(const g of this.tree.values())this.options.getApiFor(g.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(g,A){switch(A.op){case 3:this.removeItem(P.TestId.joinToString(g.fullId,A.id));break;case 0:this.upsertItem(A.item,g);break;case 5:for(const c of A.ops)this.onTestItemEvent(g,c);break;case 1:this.diffTagRefs(A.new,A.old,g.fullId.toString());break;case 2:this.updateExpandability(g);break;case 4:this.pushDiff({op:1,item:{extId:g.fullId.toString(),item:A.update}});break;default:(0,M.assertNever)(A)}}upsertItem(g,A){const c=P.TestId.fromExtHostTestItem(g,this.root.id,A?.actual),_=this.options.getApiFor(g);_.parent&&_.parent!==A?.actual&&this.options.getChildren(_.parent).delete(g.id);let s=this.tree.get(c.toString());if(!s){s={fullId:c,actual:g,parent:A?c.parentId:null,expandLevels:A?.expandLevels?A.expandLevels-1:void 0,expand:0},g.tags.forEach(this.incrementTagRefs,this),this.tree.set(s.fullId.toString(),s),this.setItemParent(g,A),this.pushDiff({op:0,item:{parent:s.parent&&s.parent.toString(),controllerId:this.options.controllerId,expand:s.expand,item:this.options.toITestItem(g)}}),this.connectItemAndChildren(g,s,A);return}if(s.actual===g){this.connectItem(g,s,A);return}const u=this.options.getChildren(s.actual),i=s.actual,n=S(this.options.toITestItem(i),this.options.toITestItem(g));this.options.getApiFor(i).listener=void 0,s.actual=g,s.expand=0,n&&(n.hasOwnProperty("tags")&&(this.diffTagRefs(g.tags,i.tags,c.toString()),delete n.tags),this.onTestItemEvent(s,{op:4,update:n})),this.connectItemAndChildren(g,s,A);for(const[r,t]of u)this.options.getChildren(g).get(t.id)||this.removeItem(P.TestId.joinToString(c,t.id))}diffTagRefs(g,A,c){const _=new Set(A.map(s=>s.id));for(const s of g)_.delete(s.id)||this.incrementTagRefs(s);this.pushDiff({op:1,item:{extId:c,item:{tags:g.map(s=>(0,y.namespaceTestTag)(this.options.controllerId,s.id))}}}),_.forEach(this.decrementTagRefs,this)}incrementTagRefs(g){const A=this.tags.get(g.id);A?A.refCount++:(this.tags.set(g.id,{refCount:1}),this.pushDiff({op:5,tag:{id:(0,y.namespaceTestTag)(this.options.controllerId,g.id)}}))}decrementTagRefs(g){const A=this.tags.get(g);A&&!--A.refCount&&(this.tags.delete(g),this.pushDiff({op:6,id:(0,y.namespaceTestTag)(this.options.controllerId,g)}))}setItemParent(g,A){this.options.getApiFor(g).parent=A&&A.actual!==this.root?A.actual:void 0}connectItem(g,A,c){this.setItemParent(g,c);const _=this.options.getApiFor(g);_.parent=c?.actual,_.listener=s=>this.onTestItemEvent(A,s),this.updateExpandability(A)}connectItemAndChildren(g,A,c){this.connectItem(g,A,c);for(const[_,s]of this.options.getChildren(g))this.upsertItem(s,A)}updateExpandability(g){let A;this._resolveHandler?g.resolveBarrier?A=g.resolveBarrier.isOpen()?3:2:A=g.actual.canResolveChildren?1:0:A=0,A!==g.expand&&(g.expand=A,this.pushDiff({op:1,item:{extId:g.fullId.toString(),expand:A}}),A===1&&g.expandLevels!==void 0&&this.resolveChildren(g))}expandChildren(g,A){if(A<0)return;const c=[];for(const[_,s]of this.options.getChildren(g.actual)){const u=this.expand(P.TestId.joinToString(g.fullId,s.id),A);(0,a.isThenable)(u)&&c.push(u)}if(c.length)return Promise.all(c).then(()=>{})}resolveChildren(g){if(g.resolveBarrier)return g.resolveBarrier;if(!this._resolveHandler){const s=new a.Barrier;return s.open(),s}g.expand=2,this.pushExpandStateUpdate(g);const A=g.resolveBarrier=new a.Barrier,c=s=>{console.error(`Unhandled error in resolveHandler of test controller "${this.options.controllerId}"`,s)};let _;try{_=this._resolveHandler(g.actual===this.root?void 0:g.actual)}catch(s){c(s)}return(0,a.isThenable)(_)?_.catch(c).then(()=>{A.open(),this.updateExpandability(g)}):(A.open(),this.updateExpandability(g)),g.resolveBarrier}pushExpandStateUpdate(g){this.pushDiff({op:1,item:{extId:g.fullId.toString(),expand:g.expand}})}removeItem(g){const A=this.tree.get(g);if(!A)throw new Error("attempting to remove non-existent child");this.pushDiff({op:2,itemId:g});const c=[A];for(;c.length;){const _=c.pop();if(!!_){this.options.getApiFor(_.actual).listener=void 0;for(const s of _.actual.tags)this.decrementTagRefs(s.id);this.tree.delete(_.fullId.toString());for(const[s,u]of this.options.getChildren(_.actual))c.push(this.tree.get(P.TestId.joinToString(_.fullId,u.id)))}}}flushDiff(){const g=this.collectDiff();g.length&&this.diffOpEmitter.fire(g)}}e.TestItemCollection=m;class I extends Error{constructor(g){super(`Attempted to insert a duplicate test item ID ${g}`)}}e.DuplicateTestItemError=I;class f extends Error{constructor(g){super(`TestItem with ID "${g}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=f;class h extends Error{constructor(g,A,c){super(`TestItem with ID "${g}" is from controller "${A}" and cannot be added as a child of an item from controller "${c}".`)}}e.MixedTestItemController=h;const d=(o,g,A)=>{let c=new Map;return{get size(){return c.size},forEach(_,s){for(const u of c.values())_.call(s,u,this)},[Symbol.iterator](){return c.entries()},replace(_){const s=new Map,u=new Set(c.keys()),i={op:5,ops:[]};for(const n of _){if(!(n instanceof A))throw new f(n.id);const r=g(n).controllerId;if(r!==o.controllerId)throw new h(n.id,r,o.controllerId);if(s.has(n.id))throw new I(n.id);s.set(n.id,n),u.delete(n.id),i.ops.push({op:0,item:n})}for(const n of u.keys())i.ops.push({op:3,id:n});o.listener?.(i),c=s},add(_){if(!(_ instanceof A))throw new f(_.id);c.set(_.id,_),o.listener?.({op:0,item:_})},delete(_){c.delete(_)&&o.listener?.({op:3,id:_})},get(_){return c.get(_)},toJSON(){return Array.from(c.values())}}};e.createTestItemChildren=d}),define(ye[90],De([1,0,65]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPrivateApiFor=e.createPrivateApiFor=void 0;const v=new WeakMap,b=(y,P)=>{const E={controllerId:P};return v.set(y,E),E};e.createPrivateApiFor=b;const M=y=>{const P=v.get(y);if(!P)throw new a.InvalidTestItemError(y?.id||"<unknown>");return P};e.getPrivateApiFor=M}),define(ye[170],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.VariableError=e.VariableKind=e.IConfigurationResolverService=void 0,e.IConfigurationResolverService=(0,a.createDecorator)("configurationResolverService");var v;(function(M){M.Unknown="unknown",M.Env="env",M.Config="config",M.Command="command",M.Input="input",M.ExtensionInstallFolder="extensionInstallFolder",M.WorkspaceFolder="workspaceFolder",M.Cwd="cwd",M.WorkspaceFolderBasename="workspaceFolderBasename",M.UserHome="userHome",M.LineNumber="lineNumber",M.SelectedText="selectedText",M.File="file",M.FileWorkspaceFolder="fileWorkspaceFolder",M.RelativeFile="relativeFile",M.RelativeFileDirname="relativeFileDirname",M.FileDirname="fileDirname",M.FileExtname="fileExtname",M.FileBasename="fileBasename",M.FileBasenameNoExtension="fileBasenameNoExtension",M.FileDirnameBasename="fileDirnameBasename",M.ExecPath="execPath",M.ExecInstallFolder="execInstallFolder",M.PathSeparator="pathSeparator"})(v=e.VariableKind||(e.VariableKind={}));class b extends Error{constructor(y,P){super(P);this.variable=y}}e.VariableError=b}),define(ye[171],De([1,0,19,60,10,26,21,76,142,170,9]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class S{constructor(I,f,h,d){this._contributedVariables=new Map,this._context=I,this._labelService=f,this._userHomePromise=h,d&&(this._envVariablesPromise=d.then(o=>this.prepareEnv(o)))}prepareEnv(I){if(y.isWindows){const f=Object.create(null);return Object.keys(I).forEach(h=>{f[h.toLowerCase()]=I[h]}),f}return I}resolveWithEnvironment(I,f,h){return this.recursiveResolve({env:this.prepareEnv(I),userHome:void 0},f?f.uri:void 0,h)}async resolveAsync(I,f){const h={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(h,I?I.uri:void 0,f)}async resolveAnyBase(I,f,h,d){const o=M.deepClone(f);y.isWindows&&o.windows?Object.keys(o.windows).forEach(A=>o[A]=o.windows[A]):y.isMacintosh&&o.osx?Object.keys(o.osx).forEach(A=>o[A]=o.osx[A]):y.isLinux&&o.linux&&Object.keys(o.linux).forEach(A=>o[A]=o.linux[A]),delete o.windows,delete o.osx,delete o.linux;const g={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(g,I?I.uri:void 0,o,h,d)}async resolveAnyAsync(I,f,h){return this.resolveAnyBase(I,f,h)}async resolveAnyMap(I,f,h){const d=new Map;return{newConfig:await this.resolveAnyBase(I,f,h,d),resolvedVariables:d}}resolveWithInteractionReplace(I,f,h,d){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(I,f,h,d){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(I,f){if(this._contributedVariables.has(I))throw new Error("Variable "+I+" is contributed twice.");this._contributedVariables.set(I,f)}async recursiveResolve(I,f,h,d,o){if(b.isString(h))return this.resolveString(I,f,h,d,o);if(Array.isArray(h))return Promise.all(h.map(g=>this.recursiveResolve(I,f,g,d,o)));if(b.isObject(h)){const g=Object.create(null),A=await Promise.all(Object.keys(h).map(async c=>[await this.resolveString(I,f,c,d,o),await this.recursiveResolve(I,f,h[c],d,o)]));for(const[c,_]of A)g[c]=_;return g}return h}resolveString(I,f,h,d,o){return(0,R.replaceAsync)(h,S.VARIABLE_REGEXP,async(g,A)=>{if(A.includes(S.VARIABLE_LHS))return g;let c=await this.evaluateSingleVariable(I,g,A,f,d);return o?.set(A,c),c!==g&&b.isString(c)&&c.match(S.VARIABLE_REGEXP)&&(c=await this.resolveString(I,f,c,d,o)),c})}fsPath(I){return this._labelService?this._labelService.getUriLabel(I,{noPrefix:!0}):I.fsPath}async evaluateSingleVariable(I,f,h,d,o){let g;const A=h.split(":");A.length>1&&(h=A[0],g=A[1]);const c=u=>{const i=this._context.getFilePath();if(i)return i;throw new T.VariableError(u,(0,E.localize)(0,null,f))},_=u=>{const i=c(u);if(this._context.getWorkspaceFolderPathForFile){const n=this._context.getWorkspaceFolderPathForFile();if(n)return n}throw new T.VariableError(u,(0,E.localize)(1,null,f,a.basename(i)))},s=u=>{if(g){const i=this._context.getFolderUri(g);if(i)return i;throw new T.VariableError(u,(0,E.localize)(2,null,f,g))}if(d)return d;throw this._context.getWorkspaceFolderCount()>1?new T.VariableError(u,(0,E.localize)(3,null,f)):new T.VariableError(u,(0,E.localize)(4,null,f))};switch(h){case"env":if(g){if(I.env){const u=I.env[y.isWindows?g.toLowerCase():g];if(b.isString(u))return u}return""}throw new T.VariableError(T.VariableKind.Env,(0,E.localize)(5,null,f));case"config":if(g){const u=this._context.getConfigurationValue(d,g);if(b.isUndefinedOrNull(u))throw new T.VariableError(T.VariableKind.Config,(0,E.localize)(6,null,f,g));if(b.isObject(u))throw new T.VariableError(T.VariableKind.Config,(0,E.localize)(7,null,f,g));return u}throw new T.VariableError(T.VariableKind.Config,(0,E.localize)(8,null,f));case"command":return this.resolveFromMap(T.VariableKind.Command,f,g,o,"command");case"input":return this.resolveFromMap(T.VariableKind.Input,f,g,o,"input");case"extensionInstallFolder":if(g){const u=await this._context.getExtension(g);if(!u)throw new T.VariableError(T.VariableKind.ExtensionInstallFolder,(0,E.localize)(9,null,f,g));return this.fsPath(u.extensionLocation)}throw new T.VariableError(T.VariableKind.ExtensionInstallFolder,(0,E.localize)(10,null,f));default:switch(h){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(s(T.VariableKind.WorkspaceFolder)));case"cwd":return d||g?(0,P.normalizeDriveLetter)(this.fsPath(s(T.VariableKind.Cwd))):v.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return a.basename(this.fsPath(s(T.VariableKind.WorkspaceFolderBasename)));case"userHome":{if(I.userHome)return I.userHome;throw new T.VariableError(T.VariableKind.UserHome,(0,E.localize)(11,null,f))}case"lineNumber":{const u=this._context.getLineNumber();if(u)return u;throw new T.VariableError(T.VariableKind.LineNumber,(0,E.localize)(12,null,f))}case"selectedText":{const u=this._context.getSelectedText();if(u)return u;throw new T.VariableError(T.VariableKind.SelectedText,(0,E.localize)(13,null,f))}case"file":return c(T.VariableKind.File);case"fileWorkspaceFolder":return _(T.VariableKind.FileWorkspaceFolder);case"relativeFile":return d||g?a.relative(this.fsPath(s(T.VariableKind.RelativeFile)),c(T.VariableKind.RelativeFile)):c(T.VariableKind.RelativeFile);case"relativeFileDirname":{const u=a.dirname(c(T.VariableKind.RelativeFileDirname));if(d||g){const i=a.relative(this.fsPath(s(T.VariableKind.RelativeFileDirname)),u);return i.length===0?".":i}return u}case"fileDirname":return a.dirname(c(T.VariableKind.FileDirname));case"fileExtname":return a.extname(c(T.VariableKind.FileExtname));case"fileBasename":return a.basename(c(T.VariableKind.FileBasename));case"fileBasenameNoExtension":{const u=a.basename(c(T.VariableKind.FileBasenameNoExtension));return u.slice(0,u.length-a.extname(u).length)}case"fileDirnameBasename":return a.basename(a.dirname(c(T.VariableKind.FileDirnameBasename)));case"execPath":{const u=this._context.getExecPath();return u||f}case"execInstallFolder":{const u=this._context.getAppRoot();return u||f}case"pathSeparator":return a.sep;default:try{const u=g?`${h}:${g}`:h;return this.resolveFromMap(T.VariableKind.Unknown,f,u,o,void 0)}catch{return f}}}}resolveFromMap(I,f,h,d,o){if(h&&d){const g=o===void 0?d[h]:d[o+":"+h];if(typeof g=="string")return g;throw new T.VariableError(I,(0,E.localize)(14,null,f))}return f}}e.AbstractVariableResolverService=S,S.VARIABLE_LHS="${",S.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(ye[91],De([1,0,3,88]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,a.createDecorator)("editorGroupsService");var b;(function(f){f[f.UP=0]="UP",f[f.DOWN=1]="DOWN",f[f.LEFT=2]="LEFT",f[f.RIGHT=3]="RIGHT"})(b=e.GroupDirection||(e.GroupDirection={}));var M;(function(f){f[f.HORIZONTAL=0]="HORIZONTAL",f[f.VERTICAL=1]="VERTICAL"})(M=e.GroupOrientation||(e.GroupOrientation={}));var y;(function(f){f[f.FIRST=0]="FIRST",f[f.LAST=1]="LAST",f[f.NEXT=2]="NEXT",f[f.PREVIOUS=3]="PREVIOUS"})(y=e.GroupLocation||(e.GroupLocation={}));var P;(function(f){f[f.MAXIMIZE=0]="MAXIMIZE",f[f.EVEN=1]="EVEN",f[f.TOGGLE=2]="TOGGLE"})(P=e.GroupsArrangement||(e.GroupsArrangement={}));var E;(function(f){f[f.COPY_EDITORS=0]="COPY_EDITORS",f[f.MOVE_EDITORS=1]="MOVE_EDITORS"})(E=e.MergeGroupMode||(e.MergeGroupMode={}));function T(f){const h=f;return(0,v.isEditorInput)(h?.editor)&&(0,v.isEditorInput)(h?.replacement)}e.isEditorReplacement=T;var R;(function(f){f[f.CREATION_TIME=0]="CREATION_TIME",f[f.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",f[f.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(R=e.GroupsOrder||(e.GroupsOrder={}));var S;(function(f){f[f.NEW_EDITOR=1]="NEW_EDITOR",f[f.MOVE_EDITOR=2]="MOVE_EDITOR",f[f.COPY_EDITOR=3]="COPY_EDITOR"})(S=e.OpenEditorContext||(e.OpenEditorContext={}));function m(f){const h=f;return!!h&&typeof h.id=="number"&&Array.isArray(h.editors)}e.isEditorGroup=m;function I(f){return f.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=I}),define(ye[172],De([1,0,3,91]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,a.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function b(M){const y=M;return typeof M=="number"||(0,v.isEditorGroup)(y)}e.isPreferredGroup=b}),define(ye[8],De([1,0,16,23,75,25,107,56,26,10,2,49,66,80,90,88,89,47,48,172,6,173]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var s;(function(we){function Ce(q){const{selectionStartLineNumber:Ae,selectionStartColumn:Le,positionLineNumber:tt,positionColumn:Xe}=q,je=new c.Position(Ae-1,Le-1),ut=new c.Position(tt-1,Xe-1);return new c.Selection(je,ut)}we.to=Ce;function me(q){const{anchor:Ae,active:Le}=q;return{selectionStartLineNumber:Ae.line+1,selectionStartColumn:Ae.character+1,positionLineNumber:Le.line+1,positionColumn:Le.character+1}}we.from=me})(s=e.Selection||(e.Selection={}));var u;(function(we){function Ce(q){if(!q)return;const{start:Ae,end:Le}=q;return{startLineNumber:Ae.line+1,startColumn:Ae.character+1,endLineNumber:Le.line+1,endColumn:Le.character+1}}we.from=Ce;function me(q){if(!q)return;const{startLineNumber:Ae,startColumn:Le,endLineNumber:tt,endColumn:Xe}=q;return new c.Range(Ae-1,Le-1,tt-1,Xe-1)}we.to=me})(u=e.Range||(e.Range={}));var i;(function(we){function Ce(me){switch(me){case 1:return c.StandardTokenType.Comment;case 0:return c.StandardTokenType.Other;case 3:return c.StandardTokenType.RegEx;case 2:return c.StandardTokenType.String}}we.to=Ce})(i=e.TokenType||(e.TokenType={}));var n;(function(we){function Ce(q){return new c.Position(q.lineNumber-1,q.column-1)}we.to=Ce;function me(q){return{lineNumber:q.line+1,column:q.character+1}}we.from=me})(n=e.Position||(e.Position={}));var r;(function(we){function Ce(Ae,Le){return(0,a.coalesce)((0,a.asArray)(Ae).map(tt=>me(tt,Le)))}we.from=Ce;function me(Ae,Le){if(typeof Ae=="string")return{$serialized:!0,language:Ae};if(Ae)return{$serialized:!0,language:Ae.language,scheme:q(Ae.scheme,Le),pattern:fe.from(Ae.pattern)??void 0,exclusive:Ae.exclusive,notebookType:Ae.notebookType}}function q(Ae,Le){return Le&&typeof Ae=="string"?Le.transformOutgoingScheme(Ae):Ae}})(r=e.DocumentSelector||(e.DocumentSelector={}));var t;(function(we){function Ce(q){switch(q){case c.DiagnosticTag.Unnecessary:return 1;case c.DiagnosticTag.Deprecated:return 2}}we.from=Ce;function me(q){switch(q){case 1:return c.DiagnosticTag.Unnecessary;case 2:return c.DiagnosticTag.Deprecated;default:return}}we.to=me})(t=e.DiagnosticTag||(e.DiagnosticTag={}));var l;(function(we){function Ce(q){let Ae;return q.code&&((0,T.isString)(q.code)||(0,T.isNumber)(q.code)?Ae=String(q.code):Ae={value:String(q.code.value),target:q.code.target}),{...u.from(q.range),message:q.message,source:q.source,code:Ae,severity:p.from(q.severity),relatedInformation:q.relatedInformation&&q.relatedInformation.map(w.from),tags:Array.isArray(q.tags)?(0,a.coalesce)(q.tags.map(t.from)):void 0}}we.from=Ce;function me(q){const Ae=new c.Diagnostic(u.to(q),q.message,p.to(q.severity));return Ae.source=q.source,Ae.code=(0,T.isString)(q.code)?q.code:q.code?.value,Ae.relatedInformation=q.relatedInformation&&q.relatedInformation.map(w.to),Ae.tags=q.tags&&(0,a.coalesce)(q.tags.map(t.to)),Ae}we.to=me})(l=e.Diagnostic||(e.Diagnostic={}));var w;(function(we){function Ce(q){return{...u.from(q.location.range),message:q.message,resource:q.location.uri}}we.from=Ce;function me(q){return new c.DiagnosticRelatedInformation(new c.Location(q.resource,u.to(q)),q.message)}we.to=me})(w=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var p;(function(we){function Ce(q){switch(q){case c.DiagnosticSeverity.Error:return I.MarkerSeverity.Error;case c.DiagnosticSeverity.Warning:return I.MarkerSeverity.Warning;case c.DiagnosticSeverity.Information:return I.MarkerSeverity.Info;case c.DiagnosticSeverity.Hint:return I.MarkerSeverity.Hint}return I.MarkerSeverity.Error}we.from=Ce;function me(q){switch(q){case I.MarkerSeverity.Info:return c.DiagnosticSeverity.Information;case I.MarkerSeverity.Warning:return c.DiagnosticSeverity.Warning;case I.MarkerSeverity.Error:return c.DiagnosticSeverity.Error;case I.MarkerSeverity.Hint:return c.DiagnosticSeverity.Hint;default:return c.DiagnosticSeverity.Error}}we.to=me})(p=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var D;(function(we){function Ce(q){return typeof q=="number"&&q>=c.ViewColumn.One?q-1:q===c.ViewColumn.Beside?A.SIDE_GROUP:A.ACTIVE_GROUP}we.from=Ce;function me(q){if(typeof q=="number"&&q>=0)return q+1;throw new Error("invalid 'EditorGroupColumn'")}we.to=me})(D=e.ViewColumn||(e.ViewColumn={}));function U(we){return typeof we.range!="undefined"}function V(we){return we.length===0?!0:!!U(we[0])}e.isDecorationOptionsArr=V;var x;(function(we){function Ce(Xe){return Xe.map(we.from)}we.fromMany=Ce;function me(Xe){return Xe&&typeof Xe=="object"&&typeof Xe.language=="string"&&typeof Xe.value=="string"}function q(Xe){let je;if(me(Xe)){const{language:pt,value:_t}=Xe;je={value:"```"+pt+`
`+_t+"\n```\n"}}else c.MarkdownString.isMarkdownString(Xe)?je={value:Xe.value,isTrusted:Xe.isTrusted,supportThemeIcons:Xe.supportThemeIcons,supportHtml:Xe.supportHtml,baseUri:Xe.baseUri}:typeof Xe=="string"?je={value:Xe}:je={value:""};const ut=Object.create(null);je.uris=ut;const gt=pt=>{try{let _t=R.URI.parse(pt,!0);_t=_t.with({query:Ae(_t.query,ut)}),ut[pt]=_t}catch{}return""},yt=new y.marked.Renderer;return yt.link=gt,yt.image=pt=>typeof pt=="string"?gt(b.parseHrefAndDimensions(pt).href):"",(0,y.marked)(je.value,{renderer:yt}),je}we.from=q;function Ae(Xe,je){if(!Xe)return Xe;let ut;try{ut=(0,P.parse)(Xe)}catch{}if(!ut)return Xe;let gt=!1;return ut=(0,E.cloneAndChange)(ut,yt=>{if(R.URI.isUri(yt)){const pt=`__uri_${Math.random().toString(16).slice(2,8)}`;return je[pt]=yt,gt=!0,pt}else return}),gt?JSON.stringify(ut):Xe}function Le(Xe){const je=new c.MarkdownString(Xe.value,Xe.supportThemeIcons);return je.isTrusted=Xe.isTrusted,je.supportHtml=Xe.supportHtml,je.baseUri=Xe.baseUri?R.URI.from(Xe.baseUri):void 0,je}we.to=Le;function tt(Xe){if(!!Xe)return typeof Xe=="string"?Xe:we.from(Xe)}we.fromStrict=tt})(x=e.MarkdownString||(e.MarkdownString={}));function C(we){return V(we)?we.map(Ce=>({range:u.from(Ce.range),hoverMessage:Array.isArray(Ce.hoverMessage)?x.fromMany(Ce.hoverMessage):Ce.hoverMessage?x.from(Ce.hoverMessage):void 0,renderOptions:Ce.renderOptions})):we.map(Ce=>({range:u.from(Ce)}))}e.fromRangeOrRangeWithMessage=C;function L(we){return typeof we=="undefined"?we:typeof we=="string"?R.URI.file(we):we}e.pathOrURIToURI=L;var B;(function(we){function Ce(me){return typeof me=="undefined"?me:{contentText:me.contentText,contentIconPath:me.contentIconPath?L(me.contentIconPath):void 0,border:me.border,borderColor:me.borderColor,fontStyle:me.fontStyle,fontWeight:me.fontWeight,textDecoration:me.textDecoration,color:me.color,backgroundColor:me.backgroundColor,margin:me.margin,width:me.width,height:me.height}}we.from=Ce})(B=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var F;(function(we){function Ce(me){return typeof me=="undefined"?me:{backgroundColor:me.backgroundColor,outline:me.outline,outlineColor:me.outlineColor,outlineStyle:me.outlineStyle,outlineWidth:me.outlineWidth,border:me.border,borderColor:me.borderColor,borderRadius:me.borderRadius,borderSpacing:me.borderSpacing,borderStyle:me.borderStyle,borderWidth:me.borderWidth,fontStyle:me.fontStyle,fontWeight:me.fontWeight,textDecoration:me.textDecoration,cursor:me.cursor,color:me.color,opacity:me.opacity,letterSpacing:me.letterSpacing,gutterIconPath:me.gutterIconPath?L(me.gutterIconPath):void 0,gutterIconSize:me.gutterIconSize,overviewRulerColor:me.overviewRulerColor,before:me.before?B.from(me.before):void 0,after:me.after?B.from(me.after):void 0}}we.from=Ce})(F=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var K;(function(we){function Ce(me){if(typeof me=="undefined")return me;switch(me){case c.DecorationRangeBehavior.OpenOpen:return 0;case c.DecorationRangeBehavior.ClosedClosed:return 1;case c.DecorationRangeBehavior.OpenClosed:return 2;case c.DecorationRangeBehavior.ClosedOpen:return 3}}we.from=Ce})(K=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var H;(function(we){function Ce(me){return{isWholeLine:me.isWholeLine,rangeBehavior:me.rangeBehavior?K.from(me.rangeBehavior):void 0,overviewRulerLane:me.overviewRulerLane,light:me.light?F.from(me.light):void 0,dark:me.dark?F.from(me.dark):void 0,backgroundColor:me.backgroundColor,outline:me.outline,outlineColor:me.outlineColor,outlineStyle:me.outlineStyle,outlineWidth:me.outlineWidth,border:me.border,borderColor:me.borderColor,borderRadius:me.borderRadius,borderSpacing:me.borderSpacing,borderStyle:me.borderStyle,borderWidth:me.borderWidth,fontStyle:me.fontStyle,fontWeight:me.fontWeight,textDecoration:me.textDecoration,cursor:me.cursor,color:me.color,opacity:me.opacity,letterSpacing:me.letterSpacing,gutterIconPath:me.gutterIconPath?L(me.gutterIconPath):void 0,gutterIconSize:me.gutterIconSize,overviewRulerColor:me.overviewRulerColor,before:me.before?B.from(me.before):void 0,after:me.after?B.from(me.after):void 0}}we.from=Ce})(H=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var O;(function(we){function Ce(q){return{text:q.newText,eol:q.newEol&&Ge.from(q.newEol),range:u.from(q.range)}}we.from=Ce;function me(q){const Ae=new c.TextEdit(u.to(q.range),q.text);return Ae.newEol=typeof q.eol=="undefined"?void 0:Ge.to(q.eol),Ae}we.to=me})(O=e.TextEdit||(e.TextEdit={}));var ee;(function(we){function Ce(q,Ae,Le){const tt={edits:[]};if(q instanceof c.WorkspaceEdit){const Xe=new M.ResourceSet;for(const je of q._allEntries())je._type===1&&R.URI.isUri(je.to)&&je.from===void 0&&Xe.add(je.to);for(const je of q._allEntries())if(je._type===1)tt.edits.push({oldResource:je.from,newResource:je.to,options:je.options,metadata:je.metadata});else if(je._type===2)tt.edits.push({resource:je.uri,textEdit:O.from(je.edit),versionId:Xe.has(je.uri)?void 0:Ae?.getTextDocumentVersion(je.uri),metadata:je.metadata});else if(je._type===6){if(!Le){console.warn("DROPPING snippet text edit because proposal IS NOT ENABLED",je);continue}tt.edits.push({resource:je.uri,textEdit:{range:u.from(je.range),text:je.edit.value,insertAsSnippet:!0},versionId:Xe.has(je.uri)?void 0:Ae?.getTextDocumentVersion(je.uri),metadata:je.metadata})}else je._type===3?tt.edits.push({metadata:je.metadata,resource:je.uri,cellEdit:je.edit,notebookMetadata:je.notebookMetadata,notebookVersionId:Ae?.getNotebookDocumentVersion(je.uri)}):je._type===5&&tt.edits.push({metadata:je.metadata,resource:je.uri,notebookVersionId:Ae?.getNotebookDocumentVersion(je.uri),cellEdit:{editType:1,index:je.index,count:je.count,cells:je.cells.map(ot.from)}})}return tt}we.from=Ce;function me(q){const Ae=new c.WorkspaceEdit;for(const Le of q.edits)Le.textEdit?Ae.replace(R.URI.revive(Le.resource),u.to(Le.textEdit.range),Le.textEdit.text):Ae.renameFile(R.URI.revive(Le.oldResource),R.URI.revive(Le.newResource),Le.options);return Ae}we.to=me})(ee=e.WorkspaceEdit||(e.WorkspaceEdit={}));var ce;(function(we){const Ce=Object.create(null);Ce[c.SymbolKind.File]=0,Ce[c.SymbolKind.Module]=1,Ce[c.SymbolKind.Namespace]=2,Ce[c.SymbolKind.Package]=3,Ce[c.SymbolKind.Class]=4,Ce[c.SymbolKind.Method]=5,Ce[c.SymbolKind.Property]=6,Ce[c.SymbolKind.Field]=7,Ce[c.SymbolKind.Constructor]=8,Ce[c.SymbolKind.Enum]=9,Ce[c.SymbolKind.Interface]=10,Ce[c.SymbolKind.Function]=11,Ce[c.SymbolKind.Variable]=12,Ce[c.SymbolKind.Constant]=13,Ce[c.SymbolKind.String]=14,Ce[c.SymbolKind.Number]=15,Ce[c.SymbolKind.Boolean]=16,Ce[c.SymbolKind.Array]=17,Ce[c.SymbolKind.Object]=18,Ce[c.SymbolKind.Key]=19,Ce[c.SymbolKind.Null]=20,Ce[c.SymbolKind.EnumMember]=21,Ce[c.SymbolKind.Struct]=22,Ce[c.SymbolKind.Event]=23,Ce[c.SymbolKind.Operator]=24,Ce[c.SymbolKind.TypeParameter]=25;function me(Ae){return typeof Ce[Ae]=="number"?Ce[Ae]:6}we.from=me;function q(Ae){for(const Le in Ce)if(Ce[Le]===Ae)return Number(Le);return c.SymbolKind.Property}we.to=q})(ce=e.SymbolKind||(e.SymbolKind={}));var oe;(function(we){function Ce(q){switch(q){case c.SymbolTag.Deprecated:return 1}}we.from=Ce;function me(q){switch(q){case 1:return c.SymbolTag.Deprecated}}we.to=me})(oe=e.SymbolTag||(e.SymbolTag={}));var le;(function(we){function Ce(q){return{name:q.name,kind:ce.from(q.kind),tags:q.tags&&q.tags.map(oe.from),containerName:q.containerName,location:ve.from(q.location)}}we.from=Ce;function me(q){const Ae=new c.SymbolInformation(q.name,ce.to(q.kind),q.containerName,ve.to(q.location));return Ae.tags=q.tags&&q.tags.map(oe.to),Ae}we.to=me})(le=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var te;(function(we){function Ce(q){const Ae={name:q.name||"!!MISSING: name!!",detail:q.detail,range:u.from(q.range),selectionRange:u.from(q.selectionRange),kind:ce.from(q.kind),tags:q.tags?.map(oe.from)??[]};return q.children&&(Ae.children=q.children.map(Ce)),Ae}we.from=Ce;function me(q){const Ae=new c.DocumentSymbol(q.name,q.detail,ce.to(q.kind),u.to(q.range),u.to(q.selectionRange));return(0,a.isNonEmptyArray)(q.tags)&&(Ae.tags=q.tags.map(oe.to)),q.children&&(Ae.children=q.children.map(me)),Ae}we.to=me})(te=e.DocumentSymbol||(e.DocumentSymbol={}));var Ee;(function(we){function Ce(q){const Ae=new c.CallHierarchyItem(ce.to(q.kind),q.name,q.detail||"",R.URI.revive(q.uri),u.to(q.range),u.to(q.selectionRange));return Ae._sessionId=q._sessionId,Ae._itemId=q._itemId,Ae}we.to=Ce;function me(q,Ae,Le){if(Ae=Ae??q._sessionId,Le=Le??q._itemId,Ae===void 0||Le===void 0)throw new Error("invalid item");return{_sessionId:Ae,_itemId:Le,name:q.name,detail:q.detail,kind:ce.from(q.kind),uri:q.uri,range:u.from(q.range),selectionRange:u.from(q.selectionRange),tags:q.tags?.map(oe.from)}}we.from=me})(Ee=e.CallHierarchyItem||(e.CallHierarchyItem={}));var be;(function(we){function Ce(me){return new c.CallHierarchyIncomingCall(Ee.to(me.from),me.fromRanges.map(q=>u.to(q)))}we.to=Ce})(be=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var ne;(function(we){function Ce(me){return new c.CallHierarchyOutgoingCall(Ee.to(me.to),me.fromRanges.map(q=>u.to(q)))}we.to=Ce})(ne=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var ve;(function(we){function Ce(q){return{range:q.range&&u.from(q.range),uri:q.uri}}we.from=Ce;function me(q){return new c.Location(R.URI.revive(q.uri),u.to(q.range))}we.to=me})(ve=e.location||(e.location={}));var Pe;(function(we){function Ce(q){const Ae=q,Le=q;return{originSelectionRange:Ae.originSelectionRange?u.from(Ae.originSelectionRange):void 0,uri:Ae.targetUri?Ae.targetUri:Le.uri,range:u.from(Ae.targetRange?Ae.targetRange:Le.range),targetSelectionRange:Ae.targetSelectionRange?u.from(Ae.targetSelectionRange):void 0}}we.from=Ce;function me(q){return{targetUri:R.URI.revive(q.uri),targetRange:u.to(q.range),targetSelectionRange:q.targetSelectionRange?u.to(q.targetSelectionRange):void 0,originSelectionRange:q.originSelectionRange?u.to(q.originSelectionRange):void 0}}we.to=me})(Pe=e.DefinitionLink||(e.DefinitionLink={}));var Fe;(function(we){function Ce(q){return{range:u.from(q.range),contents:x.fromMany(q.contents)}}we.from=Ce;function me(q){return new c.Hover(q.contents.map(x.to),u.to(q.range))}we.to=me})(Fe=e.Hover||(e.Hover={}));var xe;(function(we){function Ce(q){return{range:u.from(q.range),expression:q.expression}}we.from=Ce;function me(q){return new c.EvaluatableExpression(u.to(q.range),q.expression)}we.to=me})(xe=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Qe;(function(we){function Ce(q){if(q instanceof c.InlineValueText)return{type:"text",range:u.from(q.range),text:q.text};if(q instanceof c.InlineValueVariableLookup)return{type:"variable",range:u.from(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};if(q instanceof c.InlineValueEvaluatableExpression)return{type:"expression",range:u.from(q.range),expression:q.expression};throw new Error("Unknown 'InlineValue' type")}we.from=Ce;function me(q){switch(q.type){case"text":return{range:u.to(q.range),text:q.text};case"variable":return{range:u.to(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};case"expression":return{range:u.to(q.range),expression:q.expression}}}we.to=me})(Qe=e.InlineValue||(e.InlineValue={}));var Ie;(function(we){function Ce(q){return{frameId:q.frameId,stoppedLocation:u.from(q.stoppedLocation)}}we.from=Ce;function me(q){return new c.InlineValueContext(q.frameId,u.to(q.stoppedLocation))}we.to=me})(Ie=e.InlineValueContext||(e.InlineValueContext={}));var Se;(function(we){function Ce(q){return{range:u.from(q.range),kind:q.kind}}we.from=Ce;function me(q){return new c.DocumentHighlight(u.to(q.range),q.kind)}we.to=me})(Se=e.DocumentHighlight||(e.DocumentHighlight={}));var Te;(function(we){function Ce(me){switch(me){case 1:return c.CompletionTriggerKind.TriggerCharacter;case 2:return c.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return c.CompletionTriggerKind.Invoke}}we.to=Ce})(Te=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ae;(function(we){function Ce(me){return{triggerKind:Te.to(me.triggerKind),triggerCharacter:me.triggerCharacter}}we.to=Ce})(ae=e.CompletionContext||(e.CompletionContext={}));var ue;(function(we){function Ce(q){switch(q){case c.CompletionItemTag.Deprecated:return 1}}we.from=Ce;function me(q){switch(q){case 1:return c.CompletionItemTag.Deprecated}}we.to=me})(ue=e.CompletionItemTag||(e.CompletionItemTag={}));var X;(function(we){const Ce=new Map([[c.CompletionItemKind.Method,0],[c.CompletionItemKind.Function,1],[c.CompletionItemKind.Constructor,2],[c.CompletionItemKind.Field,3],[c.CompletionItemKind.Variable,4],[c.CompletionItemKind.Class,5],[c.CompletionItemKind.Interface,7],[c.CompletionItemKind.Struct,6],[c.CompletionItemKind.Module,8],[c.CompletionItemKind.Property,9],[c.CompletionItemKind.Unit,12],[c.CompletionItemKind.Value,13],[c.CompletionItemKind.Constant,14],[c.CompletionItemKind.Enum,15],[c.CompletionItemKind.EnumMember,16],[c.CompletionItemKind.Keyword,17],[c.CompletionItemKind.Snippet,27],[c.CompletionItemKind.Text,18],[c.CompletionItemKind.Color,19],[c.CompletionItemKind.File,20],[c.CompletionItemKind.Reference,21],[c.CompletionItemKind.Folder,23],[c.CompletionItemKind.Event,10],[c.CompletionItemKind.Operator,11],[c.CompletionItemKind.TypeParameter,24],[c.CompletionItemKind.Issue,26],[c.CompletionItemKind.User,25]]);function me(Le){return Ce.get(Le)??9}we.from=me;const q=new Map([[0,c.CompletionItemKind.Method],[1,c.CompletionItemKind.Function],[2,c.CompletionItemKind.Constructor],[3,c.CompletionItemKind.Field],[4,c.CompletionItemKind.Variable],[5,c.CompletionItemKind.Class],[7,c.CompletionItemKind.Interface],[6,c.CompletionItemKind.Struct],[8,c.CompletionItemKind.Module],[9,c.CompletionItemKind.Property],[12,c.CompletionItemKind.Unit],[13,c.CompletionItemKind.Value],[14,c.CompletionItemKind.Constant],[15,c.CompletionItemKind.Enum],[16,c.CompletionItemKind.EnumMember],[17,c.CompletionItemKind.Keyword],[27,c.CompletionItemKind.Snippet],[18,c.CompletionItemKind.Text],[19,c.CompletionItemKind.Color],[20,c.CompletionItemKind.File],[21,c.CompletionItemKind.Reference],[23,c.CompletionItemKind.Folder],[10,c.CompletionItemKind.Event],[11,c.CompletionItemKind.Operator],[24,c.CompletionItemKind.TypeParameter],[25,c.CompletionItemKind.User],[26,c.CompletionItemKind.Issue]]);function Ae(Le){return q.get(Le)??c.CompletionItemKind.Property}we.to=Ae})(X=e.CompletionItemKind||(e.CompletionItemKind={}));var J;(function(we){function Ce(me,q){const Ae=new c.CompletionItem(me.label);return Ae.insertText=me.insertText,Ae.kind=X.to(me.kind),Ae.tags=me.tags?.map(ue.to),Ae.detail=me.detail,Ae.documentation=b.isMarkdownString(me.documentation)?x.to(me.documentation):me.documentation,Ae.sortText=me.sortText,Ae.filterText=me.filterText,Ae.preselect=me.preselect,Ae.commitCharacters=me.commitCharacters,S.Range.isIRange(me.range)?Ae.range=u.to(me.range):typeof me.range=="object"&&(Ae.range={inserting:u.to(me.range.insert),replacing:u.to(me.range.replace)}),Ae.keepWhitespace=typeof me.insertTextRules=="undefined"?!1:Boolean(me.insertTextRules&1),typeof me.insertTextRules!="undefined"&&me.insertTextRules&4?Ae.insertText=new c.SnippetString(me.insertText):(Ae.insertText=me.insertText,Ae.textEdit=Ae.range instanceof c.Range?new c.TextEdit(Ae.range,Ae.insertText):void 0),me.additionalTextEdits&&me.additionalTextEdits.length>0&&(Ae.additionalTextEdits=me.additionalTextEdits.map(Le=>O.to(Le))),Ae.command=q&&me.command?q.fromInternal(me.command):void 0,Ae}we.to=Ce})(J=e.CompletionItem||(e.CompletionItem={}));var k;(function(we){function Ce(q){return{label:q.label,documentation:x.fromStrict(q.documentation)}}we.from=Ce;function me(q){return{label:q.label,documentation:b.isMarkdownString(q.documentation)?x.to(q.documentation):q.documentation}}we.to=me})(k=e.ParameterInformation||(e.ParameterInformation={}));var z;(function(we){function Ce(q){return{label:q.label,documentation:x.fromStrict(q.documentation),parameters:Array.isArray(q.parameters)?q.parameters.map(k.from):[],activeParameter:q.activeParameter}}we.from=Ce;function me(q){return{label:q.label,documentation:b.isMarkdownString(q.documentation)?x.to(q.documentation):q.documentation,parameters:Array.isArray(q.parameters)?q.parameters.map(k.to):[],activeParameter:q.activeParameter}}we.to=me})(z=e.SignatureInformation||(e.SignatureInformation={}));var W;(function(we){function Ce(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(z.from):[]}}we.from=Ce;function me(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(z.to):[]}}we.to=me})(W=e.SignatureHelp||(e.SignatureHelp={}));var j;(function(we){function Ce(me,q){const Ae=new c.InlayHint(n.to(q.position),typeof q.label=="string"?q.label:q.label.map(se.to.bind(void 0,me)),q.kind&&de.to(q.kind));return Ae.textEdits=q.textEdits&&q.textEdits.map(O.to),Ae.tooltip=b.isMarkdownString(q.tooltip)?x.to(q.tooltip):q.tooltip,Ae.paddingLeft=q.paddingLeft,Ae.paddingRight=q.paddingRight,Ae}we.to=Ce})(j=e.InlayHint||(e.InlayHint={}));var se;(function(we){function Ce(me,q){const Ae=new c.InlayHintLabelPart(q.label);return Ae.tooltip=b.isMarkdownString(q.tooltip)?x.to(q.tooltip):q.tooltip,m.Command.is(q.command)&&(Ae.command=me.fromInternal(q.command)),q.location&&(Ae.location=ve.to(q.location)),Ae}we.to=Ce})(se=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var de;(function(we){function Ce(q){return q}we.from=Ce;function me(q){return q}we.to=me})(de=e.InlayHintKind||(e.InlayHintKind={}));var Z;(function(we){function Ce(q){return{range:u.from(q.range),url:q.target,tooltip:q.tooltip}}we.from=Ce;function me(q){let Ae;if(q.url)try{Ae=typeof q.url=="string"?R.URI.parse(q.url,!0):R.URI.revive(q.url)}catch{}return new c.DocumentLink(u.to(q.range),Ae)}we.to=me})(Z=e.DocumentLink||(e.DocumentLink={}));var pe;(function(we){function Ce(q){const Ae=new c.ColorPresentation(q.label);return q.textEdit&&(Ae.textEdit=O.to(q.textEdit)),q.additionalTextEdits&&(Ae.additionalTextEdits=q.additionalTextEdits.map(Le=>O.to(Le))),Ae}we.to=Ce;function me(q){return{label:q.label,textEdit:q.textEdit?O.from(q.textEdit):void 0,additionalTextEdits:q.additionalTextEdits?q.additionalTextEdits.map(Ae=>O.from(Ae)):void 0}}we.from=me})(pe=e.ColorPresentation||(e.ColorPresentation={}));var ge;(function(we){function Ce(q){return new c.Color(q[0],q[1],q[2],q[3])}we.to=Ce;function me(q){return[q.red,q.green,q.blue,q.alpha]}we.from=me})(ge=e.Color||(e.Color={}));var Ne;(function(we){function Ce(q){return{range:u.from(q.range)}}we.from=Ce;function me(q){return new c.SelectionRange(u.to(q.range))}we.to=me})(Ne=e.SelectionRange||(e.SelectionRange={}));var Be;(function(we){function Ce(me){switch(me){case 2:return c.TextDocumentSaveReason.AfterDelay;case 1:return c.TextDocumentSaveReason.Manual;case 3:case 4:return c.TextDocumentSaveReason.FocusOut}}we.to=Ce})(Be=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Je;(function(we){function Ce(q){switch(q){case c.TextEditorLineNumbersStyle.Off:return 0;case c.TextEditorLineNumbersStyle.Relative:return 2;case c.TextEditorLineNumbersStyle.On:default:return 1}}we.from=Ce;function me(q){switch(q){case 0:return c.TextEditorLineNumbersStyle.Off;case 2:return c.TextEditorLineNumbersStyle.Relative;case 1:default:return c.TextEditorLineNumbersStyle.On}}we.to=me})(Je=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Ge;(function(we){function Ce(q){if(q===c.EndOfLine.CRLF)return 1;if(q===c.EndOfLine.LF)return 0}we.from=Ce;function me(q){if(q===1)return c.EndOfLine.CRLF;if(q===0)return c.EndOfLine.LF}we.to=me})(Ge=e.EndOfLine||(e.EndOfLine={}));var ke;(function(we){function Ce(me){if(typeof me=="object")return me.viewId;switch(me){case c.ProgressLocation.SourceControl:return 3;case c.ProgressLocation.Window:return 10;case c.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}we.from=Ce})(ke=e.ProgressLocation||(e.ProgressLocation={}));var rt;(function(we){function Ce(me){const q={start:me.start+1,end:me.end+1};return me.kind&&(q.kind=G.from(me.kind)),q}we.from=Ce})(rt=e.FoldingRange||(e.FoldingRange={}));var G;(function(we){function Ce(me){if(me)switch(me){case c.FoldingRangeKind.Comment:return m.FoldingRangeKind.Comment;case c.FoldingRangeKind.Imports:return m.FoldingRangeKind.Imports;case c.FoldingRangeKind.Region:return m.FoldingRangeKind.Region}}we.from=Ce})(G=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Q;(function(we){function Ce(me){if(me)return{pinned:typeof me.preview=="boolean"?!me.preview:void 0,inactive:me.background,preserveFocus:me.preserveFocus,selection:typeof me.selection=="object"?u.from(me.selection):void 0,override:typeof me.override=="boolean"?h.DEFAULT_EDITOR_ASSOCIATION.id:void 0}}we.from=Ce})(Q=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var fe;(function(we){function Ce(Le){return Le instanceof c.RelativePattern?Le.toJSON():typeof Le=="string"?Le:me(Le)||q(Le)?new c.RelativePattern(Le.baseUri??Le.base,Le.pattern).toJSON():Le}we.from=Ce;function me(Le){const tt=Le;return tt?R.URI.isUri(tt.baseUri)&&typeof tt.pattern=="string":!1}function q(Le){const tt=Le;return tt?typeof tt.base=="string"&&typeof tt.pattern=="string":!1}function Ae(Le){return typeof Le=="string"?Le:new c.RelativePattern(R.URI.revive(Le.baseUri),Le.pattern)}we.to=Ae})(fe=e.GlobPattern||(e.GlobPattern={}));var Ue;(function(we){function Ce(me){if(me){if(Array.isArray(me))return me.map(Ce);if(typeof me=="string")return me;{const q=me;return{language:q.language,scheme:q.scheme,pattern:fe.from(q.pattern),exclusive:q.exclusive,notebookType:q.notebookType}}}else return}we.from=Ce})(Ue=e.LanguageSelector||(e.LanguageSelector={}));var He;(function(we){function Ce(q){return{start:q.start,end:q.end}}we.from=Ce;function me(q){return new c.NotebookRange(q.start,q.end)}we.to=me})(He=e.NotebookRange||(e.NotebookRange={}));var Ze;(function(we){function Ce(q){return{timing:typeof q.runStartTime=="number"&&typeof q.runEndTime=="number"?{startTime:q.runStartTime,endTime:q.runEndTime}:void 0,executionOrder:q.executionOrder,success:q.lastRunSuccess}}we.to=Ce;function me(q){return{lastRunSuccess:q.success,runStartTime:q.timing?.startTime,runEndTime:q.timing?.endTime,executionOrder:q.executionOrder}}we.from=me})(Ze=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var qe;(function(we){function Ce(me){if(me===d.NotebookCellExecutionState.Unconfirmed)return c.NotebookCellExecutionState.Pending;if(me===d.NotebookCellExecutionState.Pending)return;if(me===d.NotebookCellExecutionState.Executing)return c.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${me}`)}we.to=Ce})(qe=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var We;(function(we){function Ce(q){switch(q){case c.NotebookCellKind.Markup:return d.CellKind.Markup;case c.NotebookCellKind.Code:default:return d.CellKind.Code}}we.from=Ce;function me(q){switch(q){case d.CellKind.Markup:return c.NotebookCellKind.Markup;case d.CellKind.Code:default:return c.NotebookCellKind.Code}}we.to=me})(We=e.NotebookCellKind||(e.NotebookCellKind={}));var nt;(function(we){function Ce(q){const Ae={metadata:q.metadata??Object.create(null),cells:[]};for(const Le of q.cells)c.NotebookCellData.validate(Le),Ae.cells.push(ot.from(Le));return Ae}we.from=Ce;function me(q){const Ae=new c.NotebookData(q.cells.map(ot.to));return(0,T.isEmptyObject)(q.metadata)||(Ae.metadata=q.metadata),Ae}we.to=me})(nt=e.NotebookData||(e.NotebookData={}));var ot;(function(we){function Ce(q){return{cellKind:We.from(q.kind),language:q.languageId,mime:q.mime,source:q.value,metadata:q.metadata,internalMetadata:Ze.from(q.executionSummary??{}),outputs:q.outputs?q.outputs.map(Tt.from):[]}}we.from=Ce;function me(q){return new c.NotebookCellData(We.to(q.cellKind),q.source,q.language,q.mime,q.outputs?q.outputs.map(Tt.to):void 0,q.metadata,q.internalMetadata?Ze.to(q.internalMetadata):void 0)}we.to=me})(ot=e.NotebookCellData||(e.NotebookCellData={}));var ht;(function(we){function Ce(q){return{mime:q.mime,valueBytes:v.VSBuffer.wrap(q.data)}}we.from=Ce;function me(q){return new c.NotebookCellOutputItem(q.valueBytes.buffer,q.mime)}we.to=me})(ht=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Tt;(function(we){function Ce(q){return{outputId:q.id,items:q.items.map(ht.from),metadata:q.metadata}}we.from=Ce;function me(q){const Ae=q.items.map(ht.to);return new c.NotebookCellOutput(Ae,q.outputId,q.metadata)}we.to=me})(Tt=e.NotebookCellOutput||(e.NotebookCellOutput={}));var it;(function(we){function Ce(Ae){return q(Ae)?{include:(0,T.withNullAsUndefined)(fe.from(Ae.include)),exclude:(0,T.withNullAsUndefined)(fe.from(Ae.exclude))}:(0,T.withNullAsUndefined)(fe.from(Ae))}we.from=Ce;function me(Ae){return q(Ae)?{include:fe.to(Ae.include),exclude:fe.to(Ae.exclude)}:fe.to(Ae)}we.to=me;function q(Ae){const Le=Ae;return Le?!(0,T.isUndefinedOrNull)(Le.include)&&!(0,T.isUndefinedOrNull)(Le.exclude):!1}})(it=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var dt;(function(we){function Ce(me,q,Ae){const Le=typeof me.command=="string"?{title:"",command:me.command}:me.command;return{alignment:me.alignment===c.NotebookCellStatusBarAlignment.Left?1:2,command:q.toInternal(Le,Ae),text:me.text,tooltip:me.tooltip,accessibilityInformation:me.accessibilityInformation,priority:me.priority}}we.from=Ce})(dt=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var Ot;(function(we){function Ce(me){return{transientOutputs:me?.transientOutputs??!1,transientCellMetadata:me?.transientCellMetadata??{},transientDocumentMetadata:me?.transientDocumentMetadata??{}}}we.from=Ce})(Ot=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var Wt;(function(we){function Ce(q){return{uri:q.uri,provides:q.provides}}we.from=Ce;function me(q){return new c.NotebookRendererScript(R.URI.revive(q.uri),q.provides)}we.to=me})(Wt=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Dt;(function(we){function Ce(q){return{message:x.fromStrict(q.message)||"",type:0,expected:q.expectedOutput,actual:q.actualOutput,location:q.location&&{range:u.from(q.location.range),uri:q.location.uri}}}we.from=Ce;function me(q){const Ae=new c.TestMessage(typeof q.message=="string"?q.message:x.to(q.message));return Ae.actualOutput=q.actual,Ae.expectedOutput=q.expected,Ae.location=q.location?ve.to(q.location):void 0,Ae}we.to=me})(Dt=e.TestMessage||(e.TestMessage={}));var ft;(function(we){we.namespace=g.namespaceTestTag,we.denamespace=g.denamespaceTestTag})(ft=e.TestTag||(e.TestTag={}));var Ct;(function(we){function Ce(q){const Ae=(0,f.getPrivateApiFor)(q).controllerId;return{extId:o.TestId.fromExtHostTestItem(q,Ae).toString(),label:q.label,uri:R.URI.revive(q.uri),busy:!1,tags:q.tags.map(Le=>ft.namespace(Ae,Le.id)),range:S.Range.lift(u.from(q.range)),description:q.description||null,sortText:q.sortText||null,error:q.error&&x.fromStrict(q.error)||null}}we.from=Ce;function me(q){return{parent:void 0,error:void 0,id:o.TestId.fromString(q.extId).localId,label:q.label,uri:R.URI.revive(q.uri),tags:(q.tags||[]).map(Ae=>{const{tagId:Le}=ft.denamespace(Ae);return new c.TestTag(Le)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:u.to(q.range||void 0),canResolveChildren:!1,busy:!1,description:q.description||void 0,sortText:q.sortText||void 0}}we.toPlain=me})(Ct=e.TestItem||(e.TestItem={})),function(we){function Ce(q){return{id:q.id}}we.from=Ce;function me(q){return new c.TestTag(q.id)}we.to=me}(ft=e.TestTag||(e.TestTag={}));var Lt;(function(we){const Ce=(q,Ae)=>{const Le=[];for(const[Xe,je]of Ae)o.TestId.compare(je.item.extId,Xe)===2&&(Ae.delete(Xe),Le.push(je));const tt={...Ct.toPlain(q.item),parent:void 0,taskStates:q.tasks.map(Xe=>({state:Xe.state,duration:Xe.duration,messages:Xe.messages.filter(je=>je.type===0).map(Dt.to)})),children:Le.map(Xe=>Ce(Xe,Ae))};for(const Xe of tt.children)Xe.parent=tt;return tt};function me(q){const Ae=[],Le=new Map;for(const tt of q.items)Le.set(tt.item.extId,tt),q.request.targets.some(Xe=>Xe.controllerId===tt.controllerId&&Xe.testIds.includes(tt.item.extId))&&Ae.push(tt);return{completedAt:q.completedAt,results:Ae.map(tt=>Ce(tt,Le))}}we.to=me})(Lt=e.TestResults||(e.TestResults={}));var Ft;(function(we){function Ce(Le){return{covered:Le.covered,total:Le.covered}}function me(Le){return"line"in Le?n.from(Le):u.from(Le)}function q(Le){return"branches"in Le?{count:Le.executionCount,location:me(Le.location),type:1,branches:Le.branches.length?Le.branches.map(tt=>({count:tt.executionCount,location:tt.location&&me(tt.location)})):void 0}:{type:0,count:Le.executionCount,location:me(Le.location)}}we.fromDetailed=q;function Ae(Le){return{uri:Le.uri,statement:Ce(Le.statementCoverage),branch:Le.branchCoverage&&Ce(Le.branchCoverage),function:Le.functionCoverage&&Ce(Le.functionCoverage),details:Le.detailedCoverage?.map(q)}}we.fromFile=Ae})(Ft=e.TestCoverage||(e.TestCoverage={}));var Ve;(function(we){function Ce(me){switch(me){case 1:return c.CodeActionTriggerKind.Invoke;case 2:return c.CodeActionTriggerKind.Automatic}}we.to=Ce})(Ve=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Nt;(function(we){function Ce(q){const Ae=new c.TypeHierarchyItem(ce.to(q.kind),q.name,q.detail||"",R.URI.revive(q.uri),u.to(q.range),u.to(q.selectionRange));return Ae._sessionId=q._sessionId,Ae._itemId=q._itemId,Ae}we.to=Ce;function me(q,Ae,Le){if(Ae=Ae??q._sessionId,Le=Le??q._itemId,Ae===void 0||Le===void 0)throw new Error("invalid item");return{_sessionId:Ae,_itemId:Le,kind:ce.from(q.kind),name:q.name,detail:q.detail??"",uri:q.uri,range:u.from(q.range),selectionRange:u.from(q.selectionRange),tags:q.tags?.map(oe.from)}}we.from=me})(Nt=e.TypeHierarchyItem||(e.TypeHierarchyItem={}));var Rt;(function(we){function Ce(me){if(!!me)return{value:me.value,tooltip:me.tooltip}}we.from=Ce})(Rt=e.ViewBadge||(e.ViewBadge={}));var Ut;(function(we){function Ce(me,q){const Ae=me.fileData;return Ae?new class extends c.DataTransferItem{asFile(){return{name:Ae.name,uri:R.URI.revive(Ae.uri),data:(0,_.once)(()=>q())}}}(""):new c.DataTransferItem(me.asString)}we.toDataTransferItem=Ce})(Ut=e.DataTransferItem||(e.DataTransferItem={}));var vt;(function(we){function Ce(q,Ae){const Le=q.items.map(([tt,Xe],je)=>[tt,Ut.toDataTransferItem(Xe,()=>Ae(je))]);return new c.DataTransfer(Le)}we.toDataTransfer=Ce;async function me(q){const Ae={items:[]},Le=[];return q.forEach((tt,Xe)=>{Le.push((async()=>{const je=await tt.asString(),ut=tt.asFile();Ae.items.push([Xe,{asString:je,fileData:ut?{name:ut.name,uri:ut.uri}:void 0}])})())}),await Promise.all(Le),Ae}we.toDataTransferDTO=me})(vt=e.DataTransfer||(e.DataTransfer={}))}),define(ye[174],De([1,0,2,11,6,8,241]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(T,R,S,m={timeout:1500,errors:3}){this._logService=T,this._documents=R,this._mainThreadBulkEdits=S,this._thresholds=m,this._callbacks=new y.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(T){return(R,S,m)=>{const f={dispose:this._callbacks.push([R,S,T])};return Array.isArray(m)&&m.push(f),f}}async $participateInSave(T,R){const S=a.URI.revive(T);let m=!1;const I=setTimeout(()=>m=!0,this._thresholds.timeout),f=[];try{for(const h of[...this._callbacks]){if(m)break;const d=this._documents.getDocument(S),o=await this._deliverEventAsyncAndBlameBadListeners(h,{document:d,reason:M.TextDocumentSaveReason.to(R)});f.push(o)}}finally{clearTimeout(I)}return f}_deliverEventAsyncAndBlameBadListeners([T,R,S],m){const I=this._badListeners.get(T);return typeof I=="number"&&I>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(S,T,R,m).then(()=>!0,f=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${S.identifier.value}' threw ERROR`),this._logService.error(f),!(f instanceof Error)||f.message!=="concurrent_edits"){const h=this._badListeners.get(T);this._badListeners.set(T,h?h+1:1),typeof h=="number"&&h>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${S.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(T,R,S,m){const I=[],f=Date.now(),{document:h,reason:d}=m,{version:o}=h,g=Object.freeze({document:h,reason:d,waitUntil(A){if(Object.isFrozen(I))throw(0,v.illegalState)("waitUntil can not be called async");I.push(Promise.resolve(A))}});try{R.apply(S,[g])}catch(A){return Promise.reject(A)}return Object.freeze(I),new Promise((A,c)=>{const _=setTimeout(()=>c(new Error("timeout")),this._thresholds.timeout);return Promise.all(I).then(s=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${T.identifier.value}' finished after ${Date.now()-f}ms`),clearTimeout(_),A(s)}).catch(s=>{clearTimeout(_),c(s)})}).then(A=>{const c={edits:[]};for(const _ of A)if(Array.isArray(_)&&_.every(s=>s instanceof b.TextEdit))for(const{newText:s,newEol:u,range:i}of _)c.edits.push({resource:h.uri,versionId:void 0,textEdit:{range:i&&M.Range.from(i),text:s,eol:u&&M.EndOfLine.from(u)}});if(c.edits.length!==0)return o===h.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(c):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(ye[175],De([1,0,12,2,8,6,89]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class P{constructor(S,m,I,f){this.start=S,this.deletedCount=m,this.deletedItems=I,this.items=f}asApiEvent(){return{range:new M.NotebookRange(this.start,this.start+this.deletedCount),addedCells:this.items.map(S=>S.apiCell),removedCells:this.deletedItems}}}class E{constructor(S,m,I){this.notebook=S,this._extHostDocument=m,this._cellData=I,this.handle=I.handle,this.uri=v.URI.revive(I.uri),this.cellKind=I.cellKind,this._outputs=I.outputs.map(b.NotebookCellOutput.to),this._internalMetadata=I.internalMetadata??{},this._metadata=Object.freeze(I.metadata??{}),this._previousResult=Object.freeze(b.NotebookCellExecutionSummary.to(I.internalMetadata??{}))}static asModelAddData(S,m){return{EOL:m.eol,lines:m.source,languageId:m.language,uri:m.uri,isDirty:!1,versionId:1,notebook:S}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const S=this,m=this._extHostDocument.getDocument(this.uri);if(!m)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const I={get index(){return S.notebook.getCellIndex(S)},notebook:S.notebook.apiNotebook,kind:b.NotebookCellKind.to(this._cellData.cellKind),document:m.document,get mime(){return S._mime},set mime(f){S._mime=f},get outputs(){return S._outputs.slice(0)},get metadata(){return S._metadata},get executionSummary(){return S._previousResult}};this._apiCell=Object.freeze(I)}return this._apiCell}setOutputs(S){this._outputs=S.map(b.NotebookCellOutput.to)}setOutputItems(S,m,I){const f=I.map(b.NotebookCellOutputItem.to),h=this._outputs.find(d=>d.id===S);h&&(m||(h.items.length=0),h.items.push(...f))}setMetadata(S){this._metadata=Object.freeze(S)}setInternalMetadata(S){this._internalMetadata=S,this._previousResult=Object.freeze(b.NotebookCellExecutionSummary.to(S))}setMime(S){}}e.ExtHostCell=E;class T{constructor(S,m,I,f,h){this._proxy=S,this._textDocumentsAndEditors=m,this._textDocuments=I,this.uri=f,this.handle=T._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=h.viewType,this._metadata=Object.freeze(h.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,h.cells]],!0,void 0),this._versionId=h.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const S=this,m={get uri(){return S.uri},get version(){return S._versionId},get notebookType(){return S._notebookType},get isDirty(){return S._isDirty},get isUntitled(){return S.uri.scheme===a.Schemas.untitled},get isClosed(){return S._disposed},get metadata(){return S._metadata},get cellCount(){return S._cells.length},cellAt(I){return I=S._validateIndex(I),S._cells[I].apiCell},getCells(I){return(I?S._getCells(I):S._cells).map(h=>h.apiCell)},save(){return S._save()}};this._notebook=Object.freeze(m)}return this._notebook}updateBackup(S){this._backup?.delete(),this._backup=S}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(S){S.metadata&&(this._metadata=Object.freeze({...this._metadata,...S.metadata}))}acceptDirty(S){this._isDirty=S}acceptModelChanged(S,m,I){this._versionId=S.versionId,this._isDirty=m,this.acceptDocumentPropertiesChanged({metadata:I});const f={notebook:this.apiNotebook,metadata:I,cellChanges:[],contentChanges:[]},h=[];for(const o of S.rawEvents)o.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(o.changes,!1,f.contentChanges):o.kind===y.NotebookCellsChangeType.Move?this._moveCell(o.index,o.newIdx,f.contentChanges):o.kind===y.NotebookCellsChangeType.Output?(this._setCellOutputs(o.index,o.outputs),h.push({cell:this._cells[o.index].apiCell,outputs:this._cells[o.index].apiCell.outputs})):o.kind===y.NotebookCellsChangeType.OutputItem?(this._setCellOutputItems(o.index,o.outputId,o.append,o.outputItems),h.push({cell:this._cells[o.index].apiCell,outputs:this._cells[o.index].apiCell.outputs})):o.kind===y.NotebookCellsChangeType.ChangeCellLanguage?(this._changeCellLanguage(o.index,o.language),h.push({cell:this._cells[o.index].apiCell,document:this._cells[o.index].apiCell.document})):o.kind===y.NotebookCellsChangeType.ChangeCellContent?h.push({cell:this._cells[o.index].apiCell,document:this._cells[o.index].apiCell.document}):o.kind===y.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(o.index,o.mime):o.kind===y.NotebookCellsChangeType.ChangeCellMetadata?(this._changeCellMetadata(o.index,o.metadata),h.push({cell:this._cells[o.index].apiCell,metadata:this._cells[o.index].apiCell.metadata})):o.kind===y.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this._changeCellInternalMetadata(o.index,o.internalMetadata),h.push({cell:this._cells[o.index].apiCell,executionSummary:this._cells[o.index].apiCell.executionSummary}));const d=new Map;for(let o=0;o<h.length;o++){const g=h[o],A=d.get(g.cell);if(A===void 0){const c=f.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...g});d.set(g.cell,c-1)}else f.cellChanges[A]={...f.cellChanges[A],...g}}return Object.freeze(f),Object.freeze(f.cellChanges),Object.freeze(f.contentChanges),f}_validateIndex(S){return S=S|0,S<0?0:S>=this._cells.length?this._cells.length-1:S}_validateRange(S){let m=S.start|0,I=S.end|0;return m<0&&(m=0),I>this._cells.length&&(I=this._cells.length),S.with({start:m,end:I})}_getCells(S){S=this._validateRange(S);const m=[];for(let I=S.start;I<S.end;I++)m.push(this._cells[I]);return m}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(S,m,I){if(this._disposed)return;const f=[],h=[],d=[];if(S.reverse().forEach(o=>{const A=o[2].map(s=>{const u=new E(this,this._textDocumentsAndEditors,s);return m||h.push(E.asModelAddData(this.apiNotebook,s)),u}),c=new P(o[0],o[1],[],A),_=this._cells.splice(o[0],o[1],...A);for(const s of _)d.push(s.uri),c.deletedItems.push(s.apiCell);f.push(c)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:h,removedDocuments:d}),I)for(const o of f)I.push(o.asApiEvent())}_moveCell(S,m,I){const f=this._cells.splice(S,1);this._cells.splice(m,0,...f);const h=[new P(S,1,f.map(d=>d.apiCell),[]),new P(m,0,[],f)];for(const d of h)I.push(d.asApiEvent())}_setCellOutputs(S,m){this._cells[S].setOutputs(m)}_setCellOutputItems(S,m,I,f){this._cells[S].setOutputItems(m,I,f)}_changeCellLanguage(S,m){const I=this._cells[S];I.apiCell.document.languageId!==m&&this._textDocuments.$acceptModelLanguageChanged(I.uri,m)}_changeCellMime(S,m){const I=this._cells[S];I.apiCell.mime=m}_changeCellMetadata(S,m){this._cells[S].setMetadata(m)}_changeCellInternalMetadata(S,m){this._cells[S].setInternalMetadata(m)}getCellFromApiCell(S){return this._cells.find(m=>m.apiCell===S)}getCellFromIndex(S){return this._cells[S]}getCell(S){return this._cells.find(m=>m.handle===S)}getCellIndex(S){return this._cells.indexOf(S)}}e.ExtHostNotebookDocument=T,T._handlePool=0}),define(ye[92],De([1,0,6,8,11]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class M{constructor(E){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=E}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(E){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:E})}replaceCellMetadata(E,T){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:E,metadata:T})}replaceCells(E,T,R){this._throwIfFinalized(),!(E===T&&R.length===0)&&this._collectedEdits.push({editType:1,index:E,count:T-E,cells:R.map(v.NotebookCellData.from)})}}class y{constructor(E,T,R,S,m,I){this.id=E,this._proxy=T,this.notebookData=R,this._selections=[],this._visibleRanges=[],this._visible=!1,this._selections=m,this._visibleRanges=S,this._viewColumn=I}get apiEditor(){if(!this._editor){const E=this;this._editor={get document(){return E.notebookData.apiNotebook},get notebook(){return E.notebookData.apiNotebook},get selection(){return E._selections[0]},set selection(T){this.selections=[T]},get selections(){return E._selections},set selections(T){if(!Array.isArray(T)||!T.every(a.NotebookRange.isNotebookRange))throw(0,b.illegalArgument)("selections");E._selections=T,E._trySetSelections(T)},get visibleRanges(){return E._visibleRanges},revealRange(T,R){E._proxy.$tryRevealRange(E.id,v.NotebookRange.from(T),R??a.NotebookEditorRevealType.Default)},get viewColumn(){return E._viewColumn},edit(T){const R=new M(this.document.version);return T(R),E._applyEdit(R.finalize())}},y.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(E){this._visible=E}_acceptVisibleRanges(E){this._visibleRanges=E}_acceptSelections(E){this._selections=E}_trySetSelections(E){this._proxy.$trySetSelections(this.id,E.map(v.NotebookRange.from))}_acceptViewColumn(E){this._viewColumn=E}_applyEdit(E){if(E.cellEdits.length===0)return Promise.resolve(!0);const T=[];let R=-1;for(let S=0;S<E.cellEdits.length;S++){if(R<0){T.push(E.cellEdits[S]),R++;continue}const I=T[R],f=E.cellEdits[S];if(I.editType===1&&f.editType===1&&I.index===f.index){I.cells.push(...E.cellEdits[S].cells),I.count+=E.cellEdits[S].count;continue}T.push(E.cellEdits[S]),R++}return this._proxy.$tryApplyEdits(this.id,E.documentVersionId,T)}}e.ExtHostNotebookEditor=y,y.apiEditorsToExtHost=new WeakMap}),define(ye[176],De([1,0,5,15,8]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;let M=class{constructor(P,E){this._logService=P,this._notebooksAndEditors=E,this._onDidChangeNotebookEditorSelection=new a.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new a.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}$acceptEditorPropertiesChanged(P,E){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",P,E);const T=this._notebooksAndEditors.getEditorById(P);E.visibleRanges&&T._acceptVisibleRanges(E.visibleRanges.ranges.map(b.NotebookRange.to)),E.selections&&T._acceptSelections(E.selections.selections.map(b.NotebookRange.to)),E.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:T.apiEditor,visibleRanges:T.apiEditor.visibleRanges}),E.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:T.apiEditor,selections:T.apiEditor.selections}))}$acceptEditorViewColumns(P){for(const E in P)this._notebooksAndEditors.getEditorById(E)._acceptViewColumn(b.ViewColumn.to(P[E]))}};M=ze([$e(0,v.ILogService)],M),e.ExtHostNotebookEditors=M}),define(ye[177],De([1,0,8,151,132,20,55,11]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class E{constructor(m){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=m}async withProgress(m,I,f){const h=this._handles++,{title:d,location:o,cancellable:g}=I,A={label:(0,b.localize)(0,null,m.displayName||m.name),id:m.identifier.value};return this._proxy.$startProgress(h,{location:a.ProgressLocation.from(o),title:d,source:A,cancellable:g},m.isUnderDevelopment?void 0:m.identifier.value).catch(P.onUnexpectedExternalError),this._withProgress(h,f,!!g)}_withProgress(m,I,f){let h;f&&(h=new M.CancellationTokenSource,this._mapHandleToCancellationSource.set(m,h));const d=g=>{this._proxy.$progressEnd(g),this._mapHandleToCancellationSource.delete(g),h?.dispose()};let o;try{o=I(new R(this._proxy,m),f&&h?h.token:M.CancellationToken.None)}catch(g){throw d(m),g}return o.then(g=>d(m),g=>d(m)),o}$acceptProgressCanceled(m){const I=this._mapHandleToCancellationSource.get(m);I&&(I.cancel(),this._mapHandleToCancellationSource.delete(m))}}e.ExtHostProgress=E;function T(S,m){return S.message=m.message,typeof m.increment=="number"&&(typeof S.increment=="number"?S.increment+=m.increment:S.increment=m.increment),S}class R extends v.Progress{constructor(m,I){super(f=>this.throttledReport(f));this._proxy=m,this._handle=I}throttledReport(m){this._proxy.$progressReport(this._handle,m)}}ze([(0,y.throttle)(100,(S,m)=>T(S,m),()=>Object.create(null))],R.prototype,"throttledReport",null)}),define(ye[93],De([1,0,49,90,47,65,48,8,2]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTestItemCollection=e.TestItemRootImpl=e.TestItemImpl=e.toItemFromContext=void 0;const T=(A,c,_,s)=>{let u=c;return{enumerable:!0,configurable:!1,get(){return u},set(i){if(!_(u,i)){const n=u;u=i,A.listener?.(s(i,n))}}}},R=(A,c)=>A===c,S={range:(A,c)=>A===c?!0:!A||!c?!1:A.isEqual(c),label:R,description:R,sortText:R,busy:R,error:R,canResolveChildren:R,tags:(A,c)=>!(A.length!==c.length||A.some(_=>!c.find(s=>_.id===s.id)))},m=A=>c=>({op:4,update:A(c)}),I=(A,c)=>({range:T(A,void 0,S.range,m(_=>({range:a.Range.lift(P.Range.from(_))}))),label:T(A,c,S.label,m(_=>({label:_}))),description:T(A,void 0,S.description,m(_=>({description:_}))),sortText:T(A,void 0,S.sortText,m(_=>({sortText:_}))),canResolveChildren:T(A,!1,S.canResolveChildren,_=>({op:2,state:_})),busy:T(A,!1,S.busy,m(_=>({busy:_}))),error:T(A,void 0,S.error,m(_=>({error:P.MarkdownString.fromStrict(_)||null}))),tags:T(A,[],S.tags,(_,s)=>({op:1,new:_.map(P.TestTag.from),old:s.map(P.TestTag.from)}))}),f=A=>{const c=b.TestId.fromString(A.extId),_=new d(c.controllerId,c.localId,A.label,E.URI.revive(A.uri)||void 0);return _.range=P.Range.to(A.range||void 0),_.description=A.description||void 0,_.sortText=A.sortText||void 0,_.tags=A.tags.map(s=>P.TestTag.to({id:(0,y.denamespaceTestTag)(s).tagId})),_},h=A=>{let c;for(const _ of A.tests){const s=f(_.item);(0,v.getPrivateApiFor)(s).parent=c,c=s}return c};e.toItemFromContext=h;class d{constructor(c,_,s,u){if(_.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(_)} symbol`);const i=(0,v.createPrivateApiFor)(this,c);Object.defineProperties(this,{id:{value:_,enumerable:!0,writable:!1},uri:{value:u,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return i.parent instanceof o?void 0:i.parent}},children:{value:(0,M.createTestItemChildren)(i,v.getPrivateApiFor,d),enumerable:!0,writable:!1},...I(i,s)})}}e.TestItemImpl=d;class o extends d{constructor(c,_){super(c,c,_,void 0)}}e.TestItemRootImpl=o;class g extends M.TestItemCollection{constructor(c,_){super({controllerId:c,getApiFor:v.getPrivateApiFor,getChildren:s=>s.children,root:new o(c,_),toITestItem:P.TestItem.from})}}e.ExtHostTestItemCollection=g}),define(ye[94],De([1,0,44,11,73,8,6]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(m,I,f){const h=P._Keys.nextId();m.$registerTextEditorDecorationType(I.identifier,h,M.DecorationRenderOptions.from(f)),this.value=Object.freeze({key:h,dispose(){m.$removeTextEditorDecorationType(h)}})}}e.TextEditorDecorationType=P,P._Keys=new b.IdGenerator("TextEditorDecorationType");class E{constructor(m,I){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=m,this._documentVersionId=m.version,this._undoStopBefore=I.undoStopBefore,this._undoStopAfter=I.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(m,I){this._throwIfFinalized();let f=null;if(m instanceof y.Position)f=new y.Range(m,m);else if(m instanceof y.Range)f=m;else throw new Error("Unrecognized location");this._pushEdit(f,I,!1)}insert(m,I){this._throwIfFinalized(),this._pushEdit(new y.Range(m,m),I,!0)}delete(m){this._throwIfFinalized();let I=null;if(m instanceof y.Range)I=m;else throw new Error("Unrecognized location");this._pushEdit(I,null,!0)}_pushEdit(m,I,f){const h=this._document.validateRange(m);this._collectedEdits.push({range:h,text:I,forceMoveMarkers:f})}setEndOfLine(m){if(this._throwIfFinalized(),m!==y.EndOfLine.LF&&m!==y.EndOfLine.CRLF)throw(0,v.illegalArgument)("endOfLine");this._setEndOfLine=m}}e.TextEditorEdit=E;class T{constructor(m,I,f,h){this._proxy=m,this._id=I,this._accept(f),this._logService=h;const d=this;this.value={get tabSize(){return d._tabSize},set tabSize(o){d._setTabSize(o)},get insertSpaces(){return d._insertSpaces},set insertSpaces(o){d._setInsertSpaces(o)},get cursorStyle(){return d._cursorStyle},set cursorStyle(o){d._setCursorStyle(o)},get lineNumbers(){return d._lineNumbers},set lineNumbers(o){d._setLineNumbers(o)}}}_accept(m){this._tabSize=m.tabSize,this._insertSpaces=m.insertSpaces,this._cursorStyle=m.cursorStyle,this._lineNumbers=M.TextEditorLineNumbersStyle.to(m.lineNumbers)}_validateTabSize(m){if(m==="auto")return"auto";if(typeof m=="number"){const I=Math.floor(m);return I>0?I:null}if(typeof m=="string"){const I=parseInt(m,10);return isNaN(I)?null:I>0?I:null}return null}_setTabSize(m){const I=this._validateTabSize(m);if(I!==null){if(typeof I=="number"){if(this._tabSize===I)return;this._tabSize=I}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:I}))}}_validateInsertSpaces(m){return m==="auto"?"auto":m==="false"?!1:Boolean(m)}_setInsertSpaces(m){const I=this._validateInsertSpaces(m);if(typeof I=="boolean"){if(this._insertSpaces===I)return;this._insertSpaces=I}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:I}))}_setCursorStyle(m){this._cursorStyle!==m&&(this._cursorStyle=m,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:m})))}_setLineNumbers(m){this._lineNumbers!==m&&(this._lineNumbers=m,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:M.TextEditorLineNumbersStyle.from(m)})))}assign(m){const I={};let f=!1;if(typeof m.tabSize!="undefined"){const h=this._validateTabSize(m.tabSize);h==="auto"?(f=!0,I.tabSize=h):typeof h=="number"&&this._tabSize!==h&&(this._tabSize=h,f=!0,I.tabSize=h)}if(typeof m.insertSpaces!="undefined"){const h=this._validateInsertSpaces(m.insertSpaces);h==="auto"?(f=!0,I.insertSpaces=h):this._insertSpaces!==h&&(this._insertSpaces=h,f=!0,I.insertSpaces=h)}typeof m.cursorStyle!="undefined"&&this._cursorStyle!==m.cursorStyle&&(this._cursorStyle=m.cursorStyle,f=!0,I.cursorStyle=m.cursorStyle),typeof m.lineNumbers!="undefined"&&this._lineNumbers!==m.lineNumbers&&(this._lineNumbers=m.lineNumbers,f=!0,I.lineNumbers=M.TextEditorLineNumbersStyle.from(m.lineNumbers)),f&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,I))}_warnOnError(m,I){I.catch(f=>{this._logService.warn(`ExtHostTextEditorOptions '${m}' failed:'`),this._logService.warn(f)})}}e.ExtHostTextEditorOptions=T;class R{constructor(m,I,f,h,d,o,g,A){this.id=m,this._proxy=I,this._logService=f,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=d,this._options=new T(this._proxy,this.id,o,f),this._visibleRanges=g,this._viewColumn=A;const c=this;this.value=Object.freeze({get document(){return h.getValue()},set document(_){throw(0,v.readonly)("document")},get selection(){return c._selections&&c._selections[0]},set selection(_){if(!(_ instanceof y.Selection))throw(0,v.illegalArgument)("selection");c._selections=[_],c._trySetSelection()},get selections(){return c._selections},set selections(_){if(!Array.isArray(_)||_.some(s=>!(s instanceof y.Selection)))throw(0,v.illegalArgument)("selections");c._selections=_,c._trySetSelection()},get visibleRanges(){return c._visibleRanges},set visibleRanges(_){throw(0,v.readonly)("visibleRanges")},get options(){return c._options.value},set options(_){c._disposed||c._options.assign(_)},get viewColumn(){return c._viewColumn},set viewColumn(_){throw(0,v.readonly)("viewColumn")},edit(_,s={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const u=new E(h.getValue(),s);return _(u),c._applyEdit(u)},insertSnippet(_,s,u={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let i;if(!s||Array.isArray(s)&&s.length===0)i=c._selections.map(n=>M.Range.from(n));else if(s instanceof y.Position){const{lineNumber:n,column:r}=M.Position.from(s);i=[{startLineNumber:n,startColumn:r,endLineNumber:n,endColumn:r}]}else if(s instanceof y.Range)i=[M.Range.from(s)];else{i=[];for(const n of s)if(n instanceof y.Range)i.push(M.Range.from(n));else{const{lineNumber:r,column:t}=M.Position.from(n);i.push({startLineNumber:r,startColumn:t,endLineNumber:r,endColumn:t})}}return I.$tryInsertSnippet(m,h.getValue().version,_.value,i,u)},setDecorations(_,s){const u=s.length===0;u&&!c._hasDecorationsForKey.has(_.key)||(u?c._hasDecorationsForKey.delete(_.key):c._hasDecorationsForKey.add(_.key),c._runOnProxy(()=>{if(M.isDecorationOptionsArr(s))return I.$trySetDecorations(m,_.key,M.fromRangeOrRangeWithMessage(s));{const i=new Array(4*s.length);for(let n=0,r=s.length;n<r;n++){const t=s[n];i[4*n]=t.start.line+1,i[4*n+1]=t.start.character+1,i[4*n+2]=t.end.line+1,i[4*n+3]=t.end.character+1}return I.$trySetDecorationsFast(m,_.key,i)}}))},revealRange(_,s){c._runOnProxy(()=>I.$tryRevealRange(m,M.Range.from(_),s||y.TextEditorRevealType.Default))},show(_){I.$tryShowEditor(m,M.ViewColumn.from(_))},hide(){I.$tryHideEditor(m)}})}dispose(){(0,a.ok)(!this._disposed),this._disposed=!0}_acceptOptions(m){(0,a.ok)(!this._disposed),this._options._accept(m)}_acceptVisibleRanges(m){(0,a.ok)(!this._disposed),this._visibleRanges=m}_acceptViewColumn(m){(0,a.ok)(!this._disposed),this._viewColumn=m}_acceptSelections(m){(0,a.ok)(!this._disposed),this._selections=m}async _trySetSelection(){const m=this._selections.map(M.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,m)),this.value}_applyEdit(m){const I=m.finalize();if(I.edits.length===0&&!I.setEndOfLine)return Promise.resolve(!0);const f=I.edits.map(d=>d.range);f.sort((d,o)=>d.end.line===o.end.line?d.end.character===o.end.character?d.start.line===o.start.line?d.start.character-o.start.character:d.start.line-o.start.line:d.end.character-o.end.character:d.end.line-o.end.line);for(let d=0,o=f.length-1;d<o;d++){const g=f[d].end;if(f[d+1].start.isBefore(g))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const h=I.edits.map(d=>({range:M.Range.from(d.range),text:d.text,forceMoveMarkers:d.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,I.documentVersionId,h,{setEndOfLine:typeof I.setEndOfLine=="number"?M.EndOfLine.from(I.setEndOfLine):void 0,undoStopBefore:I.undoStopBefore,undoStopAfter:I.undoStopAfter})}_runOnProxy(m){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):m().then(()=>this,I=>(I instanceof Error&&I.name==="DISPOSED"||this._logService.warn(I),null))}}e.ExtHostTextEditor=R}),define(ye[178],De([1,0,3,147]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,a.refineServiceDecorator)(v.IEnvironmentService)}),define(ye[179],De([1,0,27,5,19]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class M{constructor(S){this.removedDueToLooping=S}}e.DeltaExtensionsResult=M;class y{constructor(S){this._onDidChange=new v.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=S,this._initialize()}_initialize(){this._extensionDescriptions.sort(E),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const S of this._extensionDescriptions){if(this._extensionsMap.has(a.ExtensionIdentifier.toKey(S.identifier))){console.error("Extension `"+S.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(a.ExtensionIdentifier.toKey(S.identifier),S),this._extensionsArr.push(S),Array.isArray(S.activationEvents))for(let m of S.activationEvents)m==="onUri"&&(m=`onUri:${a.ExtensionIdentifier.toKey(S.identifier)}`),this._activationMap.has(m)||this._activationMap.set(m,[]),this._activationMap.get(m).push(S)}}set(S){this._extensionDescriptions=S,this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(S,m){this._extensionDescriptions=T(this._extensionDescriptions,m),this._extensionDescriptions=this._extensionDescriptions.concat(S);const I=y._findLoopingExtensions(this._extensionDescriptions);return this._extensionDescriptions=T(this._extensionDescriptions,I.map(f=>f.identifier)),this._initialize(),this._onDidChange.fire(void 0),new M(I)}static _findLoopingExtensions(S){const m=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(o){this._nodesSet.has(o)||(this._nodesSet.add(o),this._nodesArr.push(o))}addArc(o,g){this.addNode(o),this.addNode(g),this._arcs.has(o)?this._arcs.get(o).push(g):this._arcs.set(o,[g])}getArcs(o){return this._arcs.has(o)?this._arcs.get(o):[]}hasOnlyGoodArcs(o,g){const A=m.getArcs(o);for(let c=0;c<A.length;c++)if(!g.has(A[c]))return!1;return!0}getNodes(){return this._nodesArr}},I=new Map;for(const o of S){const g=a.ExtensionIdentifier.toKey(o.identifier);if(I.set(g,o),o.extensionDependencies)for(const A of o.extensionDependencies){const c=a.ExtensionIdentifier.toKey(A);m.addArc(g,c)}}const f=new Set;m.getNodes().filter(o=>m.getArcs(o).length===0).forEach(o=>f.add(o));const h=m.getNodes().filter(o=>!f.has(o));let d;do{d=!1;for(let o=0;o<h.length;o++){const g=h[o];m.hasOnlyGoodArcs(g,f)&&(h.splice(o,1),o--,f.add(g),d=!0)}}while(d);return h.map(o=>I.get(o))}containsActivationEvent(S){return this._activationMap.has(S)}containsExtension(S){return this._extensionsMap.has(a.ExtensionIdentifier.toKey(S))}getExtensionDescriptionsForActivationEvent(S){const m=this._activationMap.get(S);return m?m.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(S){const m=this._extensionsMap.get(a.ExtensionIdentifier.toKey(S));return m||void 0}getExtensionDescriptionByUUID(S){for(const m of this._extensionsArr)if(m.uuid===S)return m}getExtensionDescriptionByIdOrUUID(S,m){return this.getExtensionDescription(S)??(m?this.getExtensionDescriptionByUUID(m):void 0)}}e.ExtensionDescriptionRegistry=y;var P;(function(R){R[R.Builtin=0]="Builtin",R[R.User=1]="User",R[R.Dev=2]="Dev"})(P||(P={}));function E(R,S){const m=R.isBuiltin?0:R.isUnderDevelopment?2:1,I=S.isBuiltin?0:S.isUnderDevelopment?2:1;if(m!==I)return m-I;const f=b.posix.basename(R.extensionLocation.path),h=b.posix.basename(S.extensionLocation.path);return f<h?-1:f>h?1:0}function T(R,S){const m=new Set;return S.forEach(I=>m.add(a.ExtensionIdentifier.toKey(I))),R.filter(I=>!m.has(a.ExtensionIdentifier.toKey(I.identifier)))}}),define(ye[95],De([1,0,23]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var v;(function(T){T[T.Desktop=1]="Desktop",T[T.Web=2]="Web"})(v=e.UIKind||(e.UIKind={}));var b;(function(T){T[T.VersionMismatch=55]="VersionMismatch",T[T.UnexpectedError=81]="UnexpectedError"})(b=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var M;(function(T){T[T.Initialized=0]="Initialized",T[T.Ready=1]="Ready",T[T.Terminate=2]="Terminate"})(M=e.MessageType||(e.MessageType={}));function y(T){const R=a.VSBuffer.alloc(1);switch(T){case 0:R.writeUInt8(1,0);break;case 1:R.writeUInt8(2,0);break;case 2:R.writeUInt8(3,0);break}return R}e.createMessageOfType=y;function P(T,R){if(T.byteLength!==1)return!1;switch(T.readUInt8(0)){case 1:return R===0;case 2:return R===1;case 3:return R===2;default:return!1}}e.isMessageOfType=P;var E;(function(T){T.Start="START_NATIVE_LOG",T.End="END_NATIVE_LOG"})(E=e.NativeLogMarkers||(e.NativeLogMarkers={}))}),define(ye[24],De([1,0,5,2,3,27,153]),function(ie,e,a,v,b,M,y){"use strict";var P;Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionIdentifiersArrayToSet=e.ExtensionIdentifierSet=e.ExtensionHostExtensions=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.RemoteRunningLocation=e.LocalWebWorkerRunningLocation=e.LocalProcessRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new M.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:v.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,b.createDecorator)("extensionService");class E{constructor(t){this.affinity=t,this.kind=1}equals(t){return this.kind===t.kind&&this.affinity===t.affinity}asString(){return this.affinity===0?"LocalProcess":`LocalProcess${this.affinity}`}}e.LocalProcessRunningLocation=E;class T{constructor(){this.kind=2,this.affinity=0}equals(t){return this.kind===t.kind}asString(){return"LocalWebWorker"}}e.LocalWebWorkerRunningLocation=T;class R{constructor(){this.kind=3,this.affinity=0}equals(t){return this.kind===t.kind}asString(){return"Remote"}}e.RemoteRunningLocation=R;class S{constructor(t){this.dependency=t}}e.MissingExtensionDependency=S;var m;(function(r){r[r.LocalProcess=1]="LocalProcess",r[r.LocalWebWorker=2]="LocalWebWorker",r[r.Remote=3]="Remote"})(m=e.ExtensionHostKind||(e.ExtensionHostKind={}));function I(r){if(r===null)return"None";switch(r){case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionHostKindToString=I;class f{constructor(){this._allExtensions=[],this._myExtensions=[]}toDelta(){return{toRemove:[],toAdd:this._allExtensions,myToRemove:[],myToAdd:this._myExtensions}}set(t,l){const w=[],p=[],D=[],U=[],V=o(this._allExtensions),x=o(t),C=(K,H)=>K.extensionLocation.toString()===H.extensionLocation.toString()||K.isBuiltin===H.isBuiltin||K.isUserBuiltin===H.isUserBuiltin||K.isUnderDevelopment===H.isUnderDevelopment;for(const K of this._allExtensions){const H=x.get(M.ExtensionIdentifier.toKey(K.identifier));if(!H){w.push(K.identifier),V.delete(M.ExtensionIdentifier.toKey(K.identifier));continue}if(!C(K,H)){w.push(K.identifier),V.delete(M.ExtensionIdentifier.toKey(K.identifier));continue}}for(const K of t){const H=V.get(M.ExtensionIdentifier.toKey(K.identifier));if(!H){p.push(K);continue}if(!C(H,K)){w.push(H.identifier),V.delete(M.ExtensionIdentifier.toKey(H.identifier));continue}}const L=d(this._myExtensions),B=d(l);for(const K of this._myExtensions)B.has(M.ExtensionIdentifier.toKey(K))||D.push(K);for(const K of l)L.has(M.ExtensionIdentifier.toKey(K))||U.push(K);const F={toRemove:w,toAdd:p,myToRemove:D,myToAdd:U};return this.delta(F),F}delta(t){const{toRemove:l,toAdd:w,myToRemove:p,myToAdd:D}=t,U=d(l),V=d(p);for(let x=0;x<this._allExtensions.length;x++)U.has(M.ExtensionIdentifier.toKey(this._allExtensions[x].identifier))&&(this._allExtensions.splice(x,1),x--);for(let x=0;x<this._myExtensions.length;x++)V.has(M.ExtensionIdentifier.toKey(this._myExtensions[x]))&&(this._myExtensions.splice(x,1),x--);for(const x of w)this._allExtensions.push(x);for(const x of D)this._myExtensions.push(x)}containsExtension(t){for(const l of this._myExtensions)if(M.ExtensionIdentifier.equals(l,t))return!0;return!1}}e.ExtensionHostExtensions=f;class h{constructor(t){if(this[P]="ExtensionIdentifierSet",this._map=new Map,this._toKey=M.ExtensionIdentifier.toKey,t)for(const l of t)this.add(l)}get size(){return this._map.size}add(t){return this._map.set(this._toKey(t),t),this}clear(){this._map.clear()}delete(t){return this._map.delete(this._toKey(t))}has(t){return this._map.has(this._toKey(t))}forEach(t,l){this._map.forEach(w=>t.call(l,w,w,this))}*entries(){for(const[t,l]of this._map)yield[l,l]}keys(){return this._map.values()}values(){return this._map.values()}[(P=Symbol.toStringTag,Symbol.iterator)](){return this._map.values()}}e.ExtensionIdentifierSet=h;function d(r){const t=new Set;for(const l of r)t.add(M.ExtensionIdentifier.toKey(l));return t}e.extensionIdentifiersArrayToSet=d;function o(r){const t=new Map;for(const l of r)t.set(M.ExtensionIdentifier.toKey(l.identifier),l);return t}function g(r,t){return r.enabledApiProposals?r.enabledApiProposals.includes(t):!1}e.isProposedApiEnabled=g;function A(r,t){if(!g(r,t))throw new Error(`Extension '${r.identifier.value}' CANNOT use API proposal: ${t}.
Its package.json#enabledApiProposals-property declares: ${r.enabledApiProposals?.join(", ")??"[]"} but NOT ${t}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${r.identifier.value}`)}e.checkProposedApiEnabled=A;class c{constructor(t,l,w,p){this.codeLoadingTime=t,this.activateCallTime=l,this.activateResolvedTime=w,this.activationReason=p}}e.ActivationTimes=c;class _{constructor(t,l){this.description=t,this.value=l}}e.ExtensionPointContribution=_,e.ExtensionHostLogFileName="exthost";var s;(function(r){r[r.Normal=0]="Normal",r[r.Immediate=1]="Immediate"})(s=e.ActivationKind||(e.ActivationKind={}));function u(r){return{type:r.isBuiltin?0:1,isBuiltin:r.isBuiltin||r.isUserBuiltin,identifier:{id:(0,y.getGalleryExtensionId)(r.publisher,r.name),uuid:r.uuid},manifest:r,location:r.extensionLocation,targetPlatform:r.targetPlatform,validations:[],isValid:!0}}e.toExtension=u;function i(r,t){return{identifier:new M.ExtensionIdentifier((0,y.getExtensionId)(r.manifest.publisher,r.manifest.name)),isBuiltin:r.type===0,isUserBuiltin:r.type===1&&r.isBuiltin,isUnderDevelopment:!!t,extensionLocation:r.location,...r.manifest,uuid:r.identifier.uuid,targetPlatform:r.targetPlatform,browserNlsBundleUris:r.browserNlsBundleUris}}e.toExtensionDescription=i;class n{constructor(){this.onDidRegisterExtensions=a.Event.None,this.onDidChangeExtensionsStatus=a.Event.None,this.onDidChangeExtensions=a.Event.None,this.onWillActivateByEvent=a.Event.None,this.onDidChangeResponsiveChange=a.Event.None}activateByEvent(t){return Promise.resolve(void 0)}activationEventIsDone(t){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(t){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(t,l){return Promise.resolve(0)}getInspectPorts(t,l){return Promise.resolve([])}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(t){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(t,l){return Promise.resolve()}}e.NullExtensionService=n}),define(ye[180],De([1,0,11,27,24,15,14]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;class P{constructor(d,o,g,A){this.startup=d,this.codeLoadingTime=o,this.activateCallTime=g,this.activateResolvedTime=A}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class E{constructor(d){this._startup=d,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(d,o){return d===-1||o===-1?-1:o-d}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=E;class T{constructor(d,o,g,A,c,_){this.activationFailed=d,this.activationFailedError=o,this.activationTimes=g,this.module=A,this.exports=c,this.subscriptions=_}}e.ActivatedExtension=T;class R extends T{constructor(d){super(!1,null,d,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=R;class S extends T{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=S;class m extends T{constructor(d){super(!0,d,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=m;let I=class{constructor(d,o,g,A,c){this._logService=c,this._registry=d,this._resolvedExtensionsSet=new Set,o.forEach(_=>this._resolvedExtensionsSet.add(v.ExtensionIdentifier.toKey(_))),this._externalExtensionsMap=new Map,g.forEach(_=>this._externalExtensionsMap.set(v.ExtensionIdentifier.toKey(_),_)),this._host=A,this._operations=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){for(const[d,o]of this._operations)o.dispose()}isActivated(d){const o=this._operations.get(v.ExtensionIdentifier.toKey(d));return Boolean(o&&o.value)}getActivatedExtension(d){const o=this._operations.get(v.ExtensionIdentifier.toKey(d));if(!o||!o.value)throw new Error(`Extension '${d.value}' is not known or not activated`);return o.value}async activateByEvent(d,o){if(this._alreadyActivatedEvents[d])return;const g=this._registry.getExtensionDescriptionsForActivationEvent(d);await this._activateExtensions(g.map(A=>({id:A.identifier,reason:{startup:o,extensionId:A.identifier,activationEvent:d}}))),this._alreadyActivatedEvents[d]=!0}activateById(d,o){const g=this._registry.getExtensionDescription(d);if(!g)throw new Error(`Extension '${d}' is not known`);return this._activateExtensions([{id:g.identifier,reason:o}])}async _activateExtensions(d){const o=d.filter(g=>!this.isActivated(g.id)).map(g=>this._handleActivationRequest(g));await Promise.all(o.map(g=>g.wait()))}_handleActivationRequest(d){if(this._operations.has(v.ExtensionIdentifier.toKey(d.id)))return this._operations.get(v.ExtensionIdentifier.toKey(d.id));if(this._externalExtensionsMap.has(v.ExtensionIdentifier.toKey(d.id)))return this._createAndSaveOperation(d,null,[],null);const o=this._registry.getExtensionDescription(d.id);if(!o){const c=new Error(`Cannot activate unknown extension '${d.id.value}'`),_=this._createAndSaveOperation(d,null,[],new m(c));return this._host.onExtensionActivationError(d.id,c,new b.MissingExtensionDependency(d.id.value)),_}const g=[],A=typeof o.extensionDependencies=="undefined"?[]:o.extensionDependencies;for(const c of A){if(this._resolvedExtensionsSet.has(v.ExtensionIdentifier.toKey(c)))continue;const _=this._operations.get(v.ExtensionIdentifier.toKey(c));if(_){g.push(_);continue}if(this._externalExtensionsMap.has(v.ExtensionIdentifier.toKey(c))){g.push(this._handleActivationRequest({id:this._externalExtensionsMap.get(v.ExtensionIdentifier.toKey(c)),reason:d.reason}));continue}const s=this._registry.getExtensionDescription(c);if(s){if(!s.main&&!s.browser)continue;g.push(this._handleActivationRequest({id:s.identifier,reason:d.reason}));continue}const u=o.displayName||o.identifier.value,i=new Error(`Cannot activate the '${u}' extension because it depends on unknown extension '${c}'`),n=this._createAndSaveOperation(d,o.displayName,[],new m(i));return this._host.onExtensionActivationError(o.identifier,i,new b.MissingExtensionDependency(c)),n}return this._createAndSaveOperation(d,o.displayName,g,null)}_createAndSaveOperation(d,o,g,A){const c=new f(d.id,o,d.reason,g,A,this._host,this._logService);return this._operations.set(v.ExtensionIdentifier.toKey(d.id),c),c}};I=ze([$e(4,M.ILogService)],I),e.ExtensionsActivator=I;let f=class{constructor(d,o,g,A,c,_,s){this._id=d,this._displayName=o,this._reason=g,this._deps=A,this._value=c,this._host=_,this._logService=s,this._barrier=new y.Barrier,this._isDisposed=!1,this._initialize()}get value(){return this._value}get friendlyName(){return this._displayName||this._id.value}dispose(){this._isDisposed=!0}wait(){return this._barrier.wait()}async _initialize(){await this._waitForDepsThenActivate(),this._barrier.open()}async _waitForDepsThenActivate(){if(!this._value){for(;this._deps.length>0;){for(let d=0;d<this._deps.length;d++){const o=this._deps[d];if(o.value&&!o.value.activationFailed){this._deps.splice(d,1),d--;continue}if(o.value&&o.value.activationFailed){const g=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${o.friendlyName}' failed to activate`);g.detail=o.value.activationFailedError,this._value=new m(g),this._host.onExtensionActivationError(this._id,g,null);return}}this._deps.length>0&&await Promise.race(this._deps.map(d=>d.wait()))}await this._activate()}}async _activate(){try{this._value=await this._host.actualActivateExtension(this._id,this._reason)}catch(d){const o=new Error;if(d&&d.name&&(o.name=d.name),d&&d.message?o.message=`Activating extension '${this._id.value}' failed: ${d.message}.`:o.message=`Activating extension '${this._id.value}' failed: ${d}.`,d&&d.stack&&(o.stack=d.stack),this._value=new m(o),this._isDisposed&&a.isCancellationError(d))return;this._host.onExtensionActivationError(this._id,o,null),this._logService.error(`Activating extension ${this._id.value} failed due to an error:`),this._logService.error(d)}}};f=ze([$e(6,M.ILogService)],f)}),define(ye[181],De([1,0,15,28,24]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let M=class extends a.LogService{constructor(P,E){super(P.createLogger(E.logFile,{name:b.ExtensionHostLogFileName}))}};M=ze([$e(0,a.ILoggerService),$e(1,v.IExtHostInitDataService)],M),e.ExtHostLogService=M}),define(ye[182],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",badges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.badges.d.ts",commentsResolvedState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsResolvedState.d.ts",contribCommentPeekContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentPeekContext.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribEditorContentMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditorContentMenu.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribViewSize:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewSize.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",contribWebviewContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribWebviewContext.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",editSessionIdentityProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editSessionIdentityProvider.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",inlineCompletionsNew:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsNew.d.ts",interactiveWindow:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveWindow.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookContentProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookContentProvider.d.ts",notebookControllerKind:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerKind.d.ts",notebookDebugOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDebugOptions.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditor.d.ts",notebookEditorEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditorEdit.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",notebookWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookWorkspaceEdit.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",snippetWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.snippetWorkspaceEdit.d.ts",tabInputTextMerge:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputTextMerge.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",telemetryLog:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetryLog.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",testCoverage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testCoverage.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",tunnels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnels.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(ye[183],De([1,0,143,11,29,79,82,30,27,182,150]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsRegistry=e.ExtensionsRegistryImpl=e.schema=e.ExtensionPoint=e.ExtensionPointUserDelta=e.ExtensionMessageCollector=void 0;const S=P.Registry.as(y.Extensions.JSONContribution);class m{constructor(c,_,s){this._messageHandler=c,this._extension=_,this._extensionPointId=s}_msg(c,_){this._messageHandler({type:c,message:_,extensionId:this._extension.identifier,extensionPointId:this._extensionPointId})}error(c){this._msg(b.default.Error,c)}warn(c){this._msg(b.default.Warning,c)}info(c){this._msg(b.default.Info,c)}}e.ExtensionMessageCollector=m;class I{constructor(c,_){this.added=c,this.removed=_}static _toSet(c){const _=new Set;for(let s=0,u=c.length;s<u;s++)_.add(E.ExtensionIdentifier.toKey(c[s].description.identifier));return _}static compute(c,_){if(!c||!c.length)return new I(_,[]);if(!_||!_.length)return new I([],c);const s=this._toSet(c),u=this._toSet(_),i=_.filter(r=>!s.has(E.ExtensionIdentifier.toKey(r.description.identifier))),n=c.filter(r=>!u.has(E.ExtensionIdentifier.toKey(r.description.identifier)));return new I(i,n)}}e.ExtensionPointUserDelta=I;class f{constructor(c,_){this.name=c,this.defaultExtensionKind=_,this._handler=null,this._users=null,this._delta=null}setHandler(c){if(this._handler!==null)throw new Error("Handler already set!");this._handler=c,this._handle()}acceptUsers(c){this._delta=I.compute(this._users,c),this._users=c,this._handle()}_handle(){if(!(this._handler===null||this._users===null||this._delta===null))try{this._handler(this._users,this._delta)}catch(c){(0,v.onUnexpectedError)(c)}}}e.ExtensionPoint=f;const h={type:"string",enum:["ui","workspace"],enumDescriptions:[a.localize(0,null),a.localize(1,null)]},d="vscode://schemas/vscode-extensions";e.schema={properties:{engines:{type:"object",description:a.localize(2,null),properties:{vscode:{type:"string",description:a.localize(3,null),default:"^1.22.0"}}},publisher:{description:a.localize(4,null),type:"string"},displayName:{description:a.localize(5,null),type:"string"},categories:{description:a.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:E.EXTENSION_CATEGORIES},{type:"string",const:"Languages",deprecationMessage:a.localize(7,null)}]}},galleryBanner:{type:"object",description:a.localize(8,null),properties:{color:{description:a.localize(9,null),type:"string"},theme:{description:a.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:a.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:a.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:a.localize(13,null)},enabledApiProposals:{markdownDescription:a.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(T.allApiProposals),markdownEnumDescriptions:Object.values(T.allApiProposals)}},activationEvents:{description:a.localize(15,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:a.localize(16,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:a.localize(17,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:a.localize(18,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:a.localize(19,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:a.localize(20,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:a.localize(21,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:a.localize(22,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:a.localize(23,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:a.localize(24,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:a.localize(25,null),body:"onStartupFinished"},{label:"onTaskType",description:a.localize(26,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:a.localize(27,null),body:"onFileSystem:${1:scheme}"},{label:"onEditSession",description:a.localize(28,null),body:"onEditSession:${1:scheme}"},{label:"onSearch",description:a.localize(29,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:a.localize(30,null)},{label:"onIdentity",body:"onIdentity:${8:identity}",description:a.localize(31,null)},{label:"onUri",body:"onUri",description:a.localize(32,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:a.localize(33,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:a.localize(34,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:a.localize(35,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:a.localize(36,null)},{label:"onRenderer",description:a.localize(37,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:a.localize(38,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:a.localize(39,null)},{label:"*",description:a.localize(40,null),body:"*"}]}},badges:{type:"array",description:a.localize(41,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:a.localize(42,null)},href:{type:"string",description:a.localize(43,null)},description:{type:"string",description:a.localize(44,null)}}}},markdown:{type:"string",description:a.localize(45,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:a.localize(46,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:a.localize(47,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:M.EXTENSION_IDENTIFIER_PATTERN}},extensionPack:{description:a.localize(48,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:M.EXTENSION_IDENTIFIER_PATTERN}},extensionKind:{description:a.localize(49,null),type:"array",items:h,default:["workspace"],defaultSnippets:[{body:["ui"],description:a.localize(50,null)},{body:["workspace"],description:a.localize(51,null)},{body:["ui","workspace"],description:a.localize(52,null)},{body:["workspace","ui"],description:a.localize(53,null)},{body:[],description:a.localize(54,null)}]},capabilities:{description:a.localize(55,null),type:"object",properties:{virtualWorkspaces:{description:a.localize(56,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:a.localize(57,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[a.localize(58,null),a.localize(59,null),a.localize(60,null)]},description:{type:"string",markdownDescription:a.localize(61,null)}}},untrustedWorkspaces:{description:a.localize(62,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:a.localize(63,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[a.localize(64,null),a.localize(65,null),a.localize(66,null)]},restrictedConfigurations:{description:a.localize(67,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:a.localize(68,null)}}}}},sponsor:{description:a.localize(69,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:a.localize(70,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:a.localize(71,null),type:"string"},"vscode:uninstall":{description:a.localize(72,null),type:"string"}}},icon:{type:"string",description:a.localize(73,null)}}};class o{constructor(){this._extensionPoints=new Map}registerExtensionPoint(c){if(this._extensionPoints.has(c.extensionPoint))throw new Error("Duplicate extension point: "+c.extensionPoint);const _=new f(c.extensionPoint,c.defaultExtensionKind);return this._extensionPoints.set(c.extensionPoint,_),e.schema.properties.contributes.properties[c.extensionPoint]=c.jsonSchema,S.registerSchema(d,e.schema),_}getExtensionPoints(){return Array.from(this._extensionPoints.values())}}e.ExtensionsRegistryImpl=o;const g={ExtensionsRegistry:"ExtensionsRegistry"};P.Registry.add(g.ExtensionsRegistry,new o),e.ExtensionsRegistry=P.Registry.as(g.ExtensionsRegistry),S.registerSchema(d,e.schema),S.registerSchema(R.productSchemaId,{properties:{extensionEnabledApiProposals:{description:a.localize(74,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(T.allApiProposals),markdownEnumDescriptions:Object.values(T.allApiProposals)}}]}}}})}),define(ye[184],De([1,0,140,10,26,183,38,5]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinitionRegistry=e.TaskDefinitionRegistryImpl=void 0;const E={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:a.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:a.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:a.localize(2,null),default:""}}};var T;(function(m){function I(f,h,d){if(!f)return;const o=v.isString(f.type)?f.type:void 0;if(!o||o.length===0){d.error(a.localize(3,null));return}const g=[];if(Array.isArray(f.required))for(const A of f.required)v.isString(A)&&g.push(A);return{extensionId:h.value,taskType:o,required:g,properties:f.properties?b.deepClone(f.properties):{},when:f.when?y.ContextKeyExpr.deserialize(f.when):void 0}}m.from=I})(T||(T={}));const R=M.ExtensionsRegistry.registerExtensionPoint({extensionPoint:"taskDefinitions",jsonSchema:{description:a.localize(4,null),type:"array",items:E}});class S{constructor(){this._onDefinitionsChanged=new P.Emitter,this.onDefinitionsChanged=this._onDefinitionsChanged.event,this.taskTypes=Object.create(null),this.readyPromise=new Promise((I,f)=>{R.setHandler((h,d)=>{this._schema=void 0;try{for(const o of d.removed){const g=o.value;for(const A of g)this.taskTypes&&A.type&&this.taskTypes[A.type]&&delete this.taskTypes[A.type]}for(const o of d.added){const g=o.value;for(const A of g){const c=T.from(A,o.description.identifier,o.collector);c&&(this.taskTypes[c.taskType]=c)}}(d.removed.length>0||d.added.length>0)&&this._onDefinitionsChanged.fire()}catch{}I(void 0)})})}onReady(){return this.readyPromise}get(I){return this.taskTypes[I]}all(){return Object.keys(this.taskTypes).map(I=>this.taskTypes[I])}getJsonSchema(){if(this._schema===void 0){const I=[];for(const f of this.all()){const h={type:"object",additionalProperties:!1};f.required.length>0&&(h.required=f.required.slice(0)),f.properties!==void 0?h.properties=b.deepClone(f.properties):h.properties=Object.create(null),h.properties.type={type:"string",enum:[f.taskType]},I.push(h)}this._schema={oneOf:I}}return this._schema}}e.TaskDefinitionRegistryImpl=S,e.TaskDefinitionRegistry=new S}),define(ye[185],De([1,0,141,10,22,26,38,184]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.TaskSorter=e.JsonSchemaVersion=e.ExecutionEngine=e.InMemoryTask=e.ContributedTask=e.ConfiguringTask=e.CustomTask=e.CommonTask=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.CUSTOMIZED_TASK_TYPE=e.ShellQuoting=e.TASKS_CATEGORY=e.TASK_RUNNING_STATE=e.USER_TASKS_GROUP_KEY=void 0,e.USER_TASKS_GROUP_KEY="settings",e.TASK_RUNNING_STATE=new y.RawContextKey("taskRunning",!1,a.localize(0,null)),e.TASKS_CATEGORY={value:a.localize(1,null),original:"Tasks"};var E;(function(F){F[F.Escape=1]="Escape",F[F.Strong=2]="Strong",F[F.Weak=3]="Weak"})(E=e.ShellQuoting||(e.ShellQuoting={})),e.CUSTOMIZED_TASK_TYPE="$customized",function(F){function K(H){if(!H)return F.Strong;switch(H.toLowerCase()){case"escape":return F.Escape;case"strong":return F.Strong;case"weak":return F.Weak;default:return F.Strong}}F.from=K}(E=e.ShellQuoting||(e.ShellQuoting={}));var T;(function(F){F.defaults={cwd:"${workspaceFolder}"}})(T=e.CommandOptions||(e.CommandOptions={}));var R;(function(F){F[F.Always=1]="Always",F[F.Silent=2]="Silent",F[F.Never=3]="Never"})(R=e.RevealKind||(e.RevealKind={})),function(F){function K(H){switch(H.toLowerCase()){case"always":return F.Always;case"silent":return F.Silent;case"never":return F.Never;default:return F.Always}}F.fromString=K}(R=e.RevealKind||(e.RevealKind={}));var S;(function(F){F[F.Never=1]="Never",F[F.OnProblem=2]="OnProblem",F[F.Always=3]="Always"})(S=e.RevealProblemKind||(e.RevealProblemKind={})),function(F){function K(H){switch(H.toLowerCase()){case"always":return F.Always;case"never":return F.Never;case"onproblem":return F.OnProblem;default:return F.OnProblem}}F.fromString=K}(S=e.RevealProblemKind||(e.RevealProblemKind={}));var m;(function(F){F[F.Shared=1]="Shared",F[F.Dedicated=2]="Dedicated",F[F.New=3]="New"})(m=e.PanelKind||(e.PanelKind={})),function(F){function K(H){switch(H.toLowerCase()){case"shared":return F.Shared;case"dedicated":return F.Dedicated;case"new":return F.New;default:return F.Shared}}F.fromString=K}(m=e.PanelKind||(e.PanelKind={}));var I;(function(F){F.defaults={echo:!0,reveal:R.Always,revealProblems:S.Never,focus:!1,panel:m.Shared,showReuseMessage:!0,clear:!1}})(I=e.PresentationOptions||(e.PresentationOptions={}));var f;(function(F){F[F.Shell=1]="Shell",F[F.Process=2]="Process",F[F.CustomExecution=3]="CustomExecution"})(f=e.RuntimeType||(e.RuntimeType={})),function(F){function K(O){switch(O.toLowerCase()){case"shell":return F.Shell;case"process":return F.Process;case"customExecution":return F.CustomExecution;default:return F.Process}}F.fromString=K;function H(O){switch(O){case F.Shell:return"shell";case F.Process:return"process";case F.CustomExecution:return"customExecution";default:return"process"}}F.toString=H}(f=e.RuntimeType||(e.RuntimeType={}));var h;(function(F){function K(H){return v.isString(H)?H:H.value}F.value=K})(h=e.CommandString||(e.CommandString={}));var d;(function(F){F.Clean={_id:"clean",isDefault:!1},F.Build={_id:"build",isDefault:!1},F.Rebuild={_id:"rebuild",isDefault:!1},F.Test={_id:"test",isDefault:!1};function K(O){return O===F.Clean._id||O===F.Build._id||O===F.Rebuild._id||O===F.Test._id}F.is=K;function H(O){if(O!==void 0)return v.isString(O)?K(O)?{_id:O,isDefault:!1}:void 0:O}F.from=H})(d=e.TaskGroup||(e.TaskGroup={}));var o;(function(F){F[F.Global=1]="Global",F[F.Workspace=2]="Workspace",F[F.Folder=3]="Folder"})(o=e.TaskScope||(e.TaskScope={}));var g;(function(F){F.Workspace="workspace",F.Extension="extension",F.InMemory="inMemory",F.WorkspaceFile="workspaceFile",F.User="user";function K(H){switch(H){case F.User:return 2;case F.WorkspaceFile:return 5;default:return 6}}F.toConfigurationTarget=K})(g=e.TaskSourceKind||(e.TaskSourceKind={}));var A;(function(F){F.parallel="parallel",F.sequence="sequence"})(A=e.DependsOrder||(e.DependsOrder={}));var c;(function(F){F[F.default=1]="default",F[F.folderOpen=2]="folderOpen"})(c=e.RunOnOptions||(e.RunOnOptions={}));var _;(function(F){F.defaults={reevaluateOnRerun:!0,runOn:c.default,instanceLimit:1}})(_=e.RunOptions||(e.RunOptions={}));class s{constructor(K,H,O,ee,ce,oe){this._label="",this._id=K,H&&(this._label=H),O&&(this.type=O),this.runOptions=ee,this.configurationProperties=ce,this._source=oe}getDefinition(K){}getMapKey(){return this._id}getRecentlyUsedKey(){}getCommonTaskId(){const K={folder:this.getFolderId(),id:this._id};return JSON.stringify(K)}clone(){return this.fromObject(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(K,H=!1){if(K===void 0)return!1;if(v.isString(K))return K===this._label||K===this.configurationProperties.identifier||H&&K===this._id;const O=this.getDefinition(!0);return O!==void 0&&O._key===K._key}getQualifiedLabel(){const K=this.getWorkspaceFolder();return K?`${this._label} (${K.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(K){this._taskLoadMessages===void 0&&(this._taskLoadMessages=[]),K&&(this._taskLoadMessages=this._taskLoadMessages.concat(K))}get taskLoadMessages(){return this._taskLoadMessages}}e.CommonTask=s;class u extends s{constructor(K,H,O,ee,ce,oe,le,te){super(K,O,void 0,le,te,H);this.command={},this._source=H,this.hasDefinedMatchers=oe,ce&&(this.command=ce)}clone(){return new u(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(K=!1){if(K&&this._source.customizes!==void 0)return this._source.customizes;{let H;switch(this.command?this.command.runtime:void 0){case f.Shell:H="shell";break;case f.Process:H="process";break;case f.CustomExecution:H="customExecution";break;case void 0:H="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:H,_key:this._id,id:this._id}}}static is(K){return K instanceof u}getMapKey(){const K=this._source.config.workspaceFolder;return K?`${K.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}getFolderId(){return this._source.kind===g.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getRecentlyUsedKey()??super.getCommonTaskId()}getRecentlyUsedKey(){const K=this.getFolderId();if(!K)return;let H=this.configurationProperties.identifier;this._source.kind!==g.Workspace&&(H+=this._source.kind);const O={type:e.CUSTOMIZED_TASK_TYPE,folder:K,id:H};return JSON.stringify(O)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?b.basename(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}fromObject(K){return new u(K._id,K._source,K._label,K.type,K.command,K.hasDefinedMatchers,K.runOptions,K.configurationProperties)}}e.CustomTask=u;class i extends s{constructor(K,H,O,ee,ce,oe,le){super(K,O,ee,oe,le,H);this._source=H,this.configures=ce}static is(K){return K instanceof i}fromObject(K){return K}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?b.basename(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}getFolderId(){return this._source.kind===g.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getRecentlyUsedKey(){const K=this.getFolderId();if(!K)return;let H=this.configurationProperties.identifier;this._source.kind!==g.Workspace&&(H+=this._source.kind);const O={type:e.CUSTOMIZED_TASK_TYPE,folder:K,id:H};return JSON.stringify(O)}}e.ConfiguringTask=i;class n extends s{constructor(K,H,O,ee,ce,oe,le,te,Ee){super(K,O,ee,te,Ee,H);this.defines=ce,this.hasDefinedMatchers=le,this.command=oe,this.icon=Ee.icon,this.hide=Ee.hide}clone(){return new n(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(K){return K instanceof n}getMapKey(){const K=this._source.workspaceFolder;return K?`${this._source.scope.toString()}|${K.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}getFolderId(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getRecentlyUsedKey(){const K={type:"contributed",scope:this._source.scope,id:this._id};return K.folder=this.getFolderId(),JSON.stringify(K)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}fromObject(K){return new n(K._id,K._source,K._label,K.type,K.defines,K.command,K.hasDefinedMatchers,K.runOptions,K.configurationProperties)}}e.ContributedTask=n;class r extends s{constructor(K,H,O,ee,ce,oe){super(K,O,ee,ce,oe,H);this._source=H}clone(){return new r(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(K){return K instanceof r}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}getFolderId(){}fromObject(K){return new r(K._id,K._source,K._label,K.type,K.runOptions,K.configurationProperties)}}e.InMemoryTask=r;var t;(function(F){F[F.Process=1]="Process",F[F.Terminal=2]="Terminal"})(t=e.ExecutionEngine||(e.ExecutionEngine={})),function(F){F._default=F.Terminal}(t=e.ExecutionEngine||(e.ExecutionEngine={}));var l;(function(F){F[F.V0_1_0=1]="V0_1_0",F[F.V2_0_0=2]="V2_0_0"})(l=e.JsonSchemaVersion||(e.JsonSchemaVersion={}));class w{constructor(K){this._order=new Map;for(let H=0;H<K.length;H++)this._order.set(K[H].uri.toString(),H)}compare(K,H){const O=K.getWorkspaceFolder(),ee=H.getWorkspaceFolder();if(O&&ee){let ce=this._order.get(O.uri.toString());ce=ce===void 0?0:ce+1;let oe=this._order.get(ee.uri.toString());return oe=oe===void 0?0:oe+1,ce===oe?K._label.localeCompare(H._label):ce-oe}else return!O&&ee?-1:O&&!ee?1:0}}e.TaskSorter=w;var p;(function(F){F.DependsOnStarted="dependsOnStarted",F.AcquiredInput="acquiredInput",F.Start="start",F.ProcessStarted="processStarted",F.Active="active",F.Inactive="inactive",F.Changed="changed",F.Terminated="terminated",F.ProcessEnded="processEnded",F.End="end"})(p=e.TaskEventKind||(e.TaskEventKind={}));var D;(function(F){F.SingleRun="singleRun",F.Background="background"})(D=e.TaskRunType||(e.TaskRunType={}));var U;(function(F){F[F.System=0]="System",F[F.User=1]="User",F[F.FolderOpen=2]="FolderOpen",F[F.ConfigurationChange=3]="ConfigurationChange",F[F.Reconnect=4]="Reconnect"})(U=e.TaskRunSource||(e.TaskRunSource={}));var V;(function(F){function K(H,O,ee,ce,oe){if(O){const le={kind:H,taskId:O._id,taskName:O.configurationProperties.name,runType:O.configurationProperties.isBackground?"background":"singleRun",group:O.configurationProperties.group,processId:void 0,exitCode:void 0,terminalId:void 0,__task:O};return H==="start"?(le.terminalId=ee,le.resolvedVariables=ce):H==="processStarted"?le.processId=ee:H==="processEnded"&&(le.exitCode=ee),Object.freeze(le)}else return Object.freeze({kind:"changed"})}F.create=K})(V=e.TaskEvent||(e.TaskEvent={}));var x;(function(F){function K(O){const ee=Object.keys(O).sort();let ce="";for(const oe of ee){let le=O[oe];le instanceof Object?le=K(le):typeof le=="string"&&(le=le.replace(/,/g,",,")),ce+=oe+","+le+","}return ce}function H(O){const ce={_key:K(O),type:O.taskType};return Object.assign(ce,O),ce}F.create=H})(x=e.KeyedTaskIdentifier||(e.KeyedTaskIdentifier={}));var C;(function(F){F.AutoDetect="task.autoDetect",F.SaveBeforeRun="task.saveBeforeRun",F.ShowDecorations="task.showDecorations",F.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",F.SlowProviderWarning="task.slowProviderWarning",F.QuickOpenHistory="task.quickOpen.history",F.QuickOpenDetail="task.quickOpen.detail",F.QuickOpenSkip="task.quickOpen.skip",F.QuickOpenShowAll="task.quickOpen.showAll",F.AllowAutomaticTasks="task.allowAutomaticTasks",F.Reconnection="task.reconnection"})(C=e.TaskSettingId||(e.TaskSettingId={}));var L;(function(F){F.Tasks="tasks",F.SuppressTaskName="tasks.suppressTaskName",F.Windows="tasks.windows",F.Osx="tasks.osx",F.Linux="tasks.linux",F.ShowOutput="tasks.showOutput",F.IsShellCommand="tasks.isShellCommand",F.ServiceTestSetting="tasks.service.testSetting"})(L=e.TasksSchemaProperties||(e.TasksSchemaProperties={}));var B;(function(F){function K(H,O){const ee=P.TaskDefinitionRegistry.get(H.type);if(ee===void 0){const te=M.deepClone(H);return delete te._key,x.create(te)}const ce=Object.create(null);ce.type=ee.taskType;const oe=new Set;ee.required.forEach(te=>oe.add(te));const le=ee.properties;for(const te of Object.keys(le)){const Ee=H[te];if(Ee!=null)ce[te]=Ee;else if(oe.has(te)){const be=le[te];if(be.default!==void 0)ce[te]=M.deepClone(be.default);else switch(be.type){case"boolean":ce[te]=!1;break;case"number":case"integer":ce[te]=0;break;case"string":ce[te]="";break;default:O.error(a.localize(2,null,JSON.stringify(H,void 0,0),te));return}}}return x.create(ce)}F.createTaskIdentifier=K})(B=e.TaskDefinition||(e.TaskDefinition={}))}),define(ye[186],De([1,0,11]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CanceledLazyPromise=e.LazyPromise=void 0;class v{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((y,P)=>{this._actualOk=y,this._actualErr=P,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(y){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=y,this._actual&&this._actualOk(y))}resolveErr(y){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=y,this._actual?this._actualErr(y):(0,a.onUnexpectedError)(y))}then(y,P){return this._ensureActual().then(y,P)}catch(y){return this._ensureActual().then(void 0,y)}finally(y){return this._ensureActual().finally(y)}}e.LazyPromise=v;class b extends v{constructor(){super();this._hasErr=!0,this._err=new a.CancellationError}}e.CanceledLazyPromise=b}),define(ye[40],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class a{constructor(E){this._proxyIdentifierBrand=void 0,this.sid=E,this.nid=++a.count}}e.ProxyIdentifier=a,a.count=0;const v=[];function b(P){const E=new a(P);return v[E.nid]=E,E}e.createProxyIdentifier=b;function M(P){return v[P].sid}e.getStringIdentifierForProxy=M;class y{constructor(E){this.value=E}}e.SerializableObjectWithBuffers=y}),define(ye[4],De([1,0,56,40]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var b;(function(o){o[o.Default=0]="Default",o[o.InCenter=1]="InCenter",o[o.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",o[o.AtTop=3]="AtTop"})(b=e.TextEditorRevealType||(e.TextEditorRevealType={}));var M;(function(o){o[o.UnknownInput=0]="UnknownInput",o[o.TextInput=1]="TextInput",o[o.TextDiffInput=2]="TextDiffInput",o[o.TextMergeInput=3]="TextMergeInput",o[o.NotebookInput=4]="NotebookInput",o[o.NotebookDiffInput=5]="NotebookDiffInput",o[o.CustomEditorInput=6]="CustomEditorInput",o[o.WebviewEditorInput=7]="WebviewEditorInput",o[o.TerminalEditorInput=8]="TerminalEditorInput",o[o.InteractiveEditorInput=9]="InteractiveEditorInput"})(M=e.TabInputKind||(e.TabInputKind={}));var y;(function(o){o[o.TAB_OPEN=0]="TAB_OPEN",o[o.TAB_CLOSE=1]="TAB_CLOSE",o[o.TAB_UPDATE=2]="TAB_UPDATE",o[o.TAB_MOVE=3]="TAB_MOVE"})(y=e.TabModelOperationKind||(e.TabModelOperationKind={}));var P;(function(o){o[o.Editable=0]="Editable",o[o.SupportsHotExit=1]="SupportsHotExit"})(P=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var E;(function(o){o[o.Int8Array=1]="Int8Array",o[o.Uint8Array=2]="Uint8Array",o[o.Uint8ClampedArray=3]="Uint8ClampedArray",o[o.Int16Array=4]="Int16Array",o[o.Uint16Array=5]="Uint16Array",o[o.Int32Array=6]="Int32Array",o[o.Uint32Array=7]="Uint32Array",o[o.Float32Array=8]="Float32Array",o[o.Float64Array=9]="Float64Array",o[o.BigInt64Array=10]="BigInt64Array",o[o.BigUint64Array=11]="BigUint64Array"})(E=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var T;(function(o){o[o.Text=1]="Text",o[o.Error=2]="Error",o[o.Rich=3]="Rich"})(T=e.CellOutputKind||(e.CellOutputKind={}));var R;(function(o){o[o.Default=0]="Default",o[o.InCenter=1]="InCenter",o[o.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",o[o.AtTop=3]="AtTop"})(R=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var S;(function(o){o[o.None=0]="None",o[o.Process=1]="Process",o[o.Output=2]="Output"})(S=e.CandidatePortSource||(e.CandidatePortSource={}));class m{static mixin(g){return g._id=m._n++,g}}e.IdObject=m,m._n=0;var I;(function(o){o.label="a",o.kind="b",o.detail="c",o.documentation="d",o.sortText="e",o.filterText="f",o.preselect="g",o.insertText="h",o.insertTextRules="i",o.range="j",o.commitCharacters="k",o.additionalTextEdits="l",o.command="m",o.kindModifier="n"})(I=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var f;(function(o){o.defaultRanges="a",o.completions="b",o.isIncomplete="c",o.duration="d"})(f=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));function h(o){return o&&o.edits&&(0,a.revive)(o),o}e.reviveWorkspaceEditDto=h;var d;(function(o){o[o.Workspace=0]="Workspace",o[o.TextDocument=1]="TextDocument"})(d=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,v.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,v.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,v.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,v.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,v.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,v.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,v.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,v.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,v.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,v.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,v.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,v.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,v.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,v.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,v.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,v.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,v.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,v.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,v.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,v.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,v.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,v.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,v.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,v.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,v.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,v.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,v.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,v.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,v.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,v.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,v.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,v.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,v.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,v.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,v.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,v.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,v.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,v.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,v.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,v.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,v.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,v.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,v.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,v.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,v.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,v.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,v.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,v.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,v.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,v.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,v.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,v.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,v.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,v.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,v.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,v.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,v.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,v.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,v.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,v.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,v.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,v.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,v.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,v.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,v.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,v.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,v.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,v.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,v.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,v.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,v.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,v.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,v.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,v.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,v.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,v.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,v.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,v.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,v.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,v.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,v.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,v.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,v.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,v.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,v.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,v.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,v.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,v.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,v.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,v.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,v.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,v.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,v.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,v.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,v.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,v.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,v.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,v.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,v.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,v.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,v.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,v.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,v.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,v.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,v.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,v.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,v.createProxyIdentifier)("ExtHostTelemetry")}}),define(ye[67],De([1,0,3,15,4,13]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,a.createDecorator)("IExtHostApiDeprecationService");let y=class{constructor(E,T){this._extHostLogService=T,this._reportedUsages=new Set,this._telemetryShape=E.getProxy(b.MainContext.MainThreadTelemetry)}report(E,T,R){const S=this.getUsageKey(E,T);this._reportedUsages.has(S)||(this._reportedUsages.add(S),T.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${E}' is deprecated. ${R}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:T.identifier.value,apiId:E}))}getUsageKey(E,T){return`${E}-${T.identifier.value}`}};y=ze([$e(0,M.IExtHostRpcService),$e(1,v.ILogService)],y),e.ExtHostApiDeprecationService=y,e.NullApiDeprecationService=Object.freeze(new class{report(P,E,T){}})}),define(ye[187],De([1,0,5,4,6,27]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class y{constructor(E){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new a.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=E.getProxy(v.MainContext.MainThreadAuthentication)}$setProviders(E){return this._providers=E,Promise.resolve()}async getSession(E,T,R,S={}){const m=M.ExtensionIdentifier.toKey(E.identifier),I=this._inFlightRequests.get(m)||[],f=[...R].sort().join(" ");let h=I.find(d=>d.providerId===T&&d.scopes===f);if(h)return h.result;{const d=this._getSession(E,m,T,R,S);h={providerId:T,scopes:f,result:d},I.push(h),this._inFlightRequests.set(m,I);try{await d}finally{const o=I.findIndex(g=>g.providerId===T&&g.scopes===f);o>-1&&(I.splice(o),this._inFlightRequests.set(m,I))}return d}}async _getSession(E,T,R,S,m={}){await this._proxy.$ensureProvider(R);const I=E.displayName||E.name;return this._proxy.$getSession(R,S,T,I,m)}async removeSession(E,T){const R=this._authenticationProviders.get(E);return R?R.provider.removeSession(T):this._proxy.$removeSession(E,T)}registerAuthenticationProvider(E,T,R,S){if(this._authenticationProviders.get(E))throw new Error(`An authentication provider with id '${E}' is already registered.`);this._authenticationProviders.set(E,{label:T,provider:R,options:S??{supportsMultipleAccounts:!1}}),this._providers.find(I=>I.id===E)||this._providers.push({id:E,label:T});const m=R.onDidChangeSessions(I=>{this._proxy.$sendDidChangeSessions(E,{added:I.added??[],changed:I.changed??[],removed:I.removed??[]})});return this._proxy.$registerAuthenticationProvider(E,T,S?.supportsMultipleAccounts??!1),new b.Disposable(()=>{m.dispose(),this._authenticationProviders.delete(E);const I=this._providers.findIndex(f=>f.id===E);I>-1&&this._providers.splice(I),this._proxy.$unregisterAuthenticationProvider(E)})}$createSession(E,T){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.createSession(T));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$removeSession(E,T){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.removeSession(T));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$getSessions(E,T){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.getSessions(T));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$onDidChangeAuthenticationSessions(E,T){return this._onDidChangeSessions.fire({provider:{id:E,label:T}}),Promise.resolve()}}e.ExtHostAuthentication=y}),define(ye[188],De([1,0,4,13,8,24]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let y=class{constructor(E,T){this._proxy=E.getProxy(a.MainContext.MainThreadBulkEdits),this._versionInformationProvider={getTextDocumentVersion:R=>T.getDocument(R)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(E,T){const R=(0,M.isProposedApiEnabled)(T,"snippetWorkspaceEdit"),S=b.WorkspaceEdit.from(E,this._versionInformationProvider,R);return this._proxy.$tryApplyWorkspaceEdit(S)}};y=ze([$e(0,v.IExtHostRpcService)],y),e.ExtHostBulkEdits=y}),define(ye[189],De([1,0,4]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class v{constructor(M){const y=M.getProxy(a.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return y.$readText()},writeText(P){return y.$writeText(P)}})}}e.ExtHostClipboard=v});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[36],De([1,0,10,6,8,26,4,16,15,56,49,242,2,7,3,13,93,23,40,43]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A){"use strict";var c,_;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let s=class{constructor(l,w){c.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,_.set(this,void 0),Ye(this,c,l.getProxy(y.MainContext.MainThreadCommands),"f"),this._logService=w,Ye(this,_,l.getProxy(y.MainContext.MainThreadTelemetry),"f"),this.converter=new u(this,p=>{const D=this._apiCommands.get(p);return D?.result===n.Void?D:void 0},w),this._argumentProcessors=[{processArgument(p){return(0,T.revive)(p)}},{processArgument(p){return(0,M.cloneAndChange)(p,function(D){if(R.Range.isIRange(D))return b.Range.to(D);if(S.Position.isIPosition(D))return b.Position.to(D);if(R.Range.isIRange(D.range)&&m.URI.isUri(D.uri))return b.location.to(D);if(D instanceof o.VSBuffer)return D.buffer.buffer;if(!Array.isArray(D))return D})}}]}registerArgumentProcessor(l){this._argumentProcessors.push(l)}registerApiCommand(l){const w=this.registerCommand(!1,l.id,async(...p)=>{const D=l.args.map((V,x)=>{if(!V.validate(p[x]))throw new Error(`Invalid argument '${V.name}' when running '${l.id}', received: ${p[x]}`);return V.convert(p[x])}),U=await this.executeCommand(l.internalId,...D);return l.result.convert(U,p,this.converter)},void 0,{description:l.description,args:l.args,returns:l.result.description});return this._apiCommands.set(l.id,l),new v.Disposable(()=>{w.dispose(),this._apiCommands.delete(l.id)})}registerCommand(l,w,p,D,U,V){if(this._logService.trace("ExtHostCommands#registerCommand",w),!w.trim().length)throw new Error("invalid id");if(this._commands.has(w))throw new Error(`command '${w}' already exists`);return this._commands.set(w,{callback:p,thisArg:D,description:U,extension:V}),l&&Oe(this,c,"f").$registerCommand(w),new v.Disposable(()=>{this._commands.delete(w)&&l&&Oe(this,c,"f").$unregisterCommand(w)})}executeCommand(l,...w){return this._logService.trace("ExtHostCommands#executeCommand",l),this._doExecuteCommand(l,w,!0)}async _doExecuteCommand(l,w,p){if(this._commands.has(l))return Oe(this,c,"f").$fireCommandActivationEvent(l),this._executeContributedCommand(l,w,!1);{let D=!1;const U=(0,M.cloneAndChange)(w,function(V){if(V instanceof v.Position)return b.Position.from(V);if(V instanceof v.Range)return b.Range.from(V);if(V instanceof v.Location)return b.location.from(V);if(v.NotebookRange.isNotebookRange(V))return b.NotebookRange.from(V);if(V instanceof ArrayBuffer)return D=!0,o.VSBuffer.wrap(new Uint8Array(V));if(V instanceof Uint8Array)return D=!0,o.VSBuffer.wrap(V);if(V instanceof o.VSBuffer)return D=!0,V;if(!Array.isArray(V))return V});try{const V=await Oe(this,c,"f").$executeCommand(l,D?new g.SerializableObjectWithBuffers(U):U,p);return(0,T.revive)(V)}catch(V){if(V instanceof Error&&V.message==="$executeCommand:retry")return this._doExecuteCommand(l,w,!1);throw V}}}async _executeContributedCommand(l,w,p){const D=this._commands.get(l);if(!D)throw new Error("Unknown command");this._reportTelemetry(D,l);const{callback:U,thisArg:V,description:x}=D;if(x)for(let C=0;C<x.args.length;C++)try{(0,a.validateConstraint)(w[C],x.args[C].constraint)}catch{throw new Error(`Running the contributed command: '${l}' failed. Illegal argument '${x.args[C].name}' - ${x.args[C].description}`)}try{return await U.apply(V,w)}catch(C){if(l===this.converter.delegatingCommandId){const L=this.converter.getActualCommand(...w);L&&(l=L.command)}throw this._logService.error(C,l,D.extension?.identifier),p?new class extends Error{constructor(){super((0,A.toErrorMessage)(C));this.id=l,this.source=D.extension?.displayName??D.extension?.name}}:C}}_reportTelemetry(l,w){!l.extension||l.extension.isBuiltin||Oe(this,_,"f").$publicLog2("Extension:ActionExecuted",{extensionId:l.extension.identifier.value,id:w})}$executeContributedCommand(l,...w){return this._logService.trace("ExtHostCommands#$executeContributedCommand",l),this._commands.has(l)?(w=w.map(p=>this._argumentProcessors.reduce((D,U)=>U.processArgument(D),p)),this._executeContributedCommand(l,w,!0)):Promise.reject(new Error(`Contributed command '${l}' does not exist.`))}getCommands(l=!1){return this._logService.trace("ExtHostCommands#getCommands",l),Oe(this,c,"f").$getCommands().then(w=>(l&&(w=w.filter(p=>p[0]!=="_")),w))}$getContributedCommandHandlerDescriptions(){const l=Object.create(null);for(const[w,p]of this._commands){const{description:D}=p;D&&(l[w]=D)}return Promise.resolve(l)}};c=new WeakMap,_=new WeakMap,s=ze([$e(0,h.IExtHostRpcService),$e(1,E.ILogService)],s),e.ExtHostCommands=s,e.IExtHostCommands=(0,f.createDecorator)("IExtHostCommands");class u{constructor(l,w,p){this._commands=l,this._lookupApiCommand=w,this._logService=p,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(l,w){if(!l)return;const p={$ident:void 0,id:l.command,title:l.title,tooltip:l.tooltip};if(!l.command)return p;const D=this._lookupApiCommand(l.command);if(D)p.id=D.internalId,p.arguments=D.args.map((U,V)=>U.convert(l.arguments&&l.arguments[V]));else if((0,P.isNonEmptyArray)(l.arguments)){const U=++this._cachIdPool;this._cache.set(U,l),w.add((0,I.toDisposable)(()=>{this._cache.delete(U),this._logService.trace("CommandsConverter#DISPOSE",U)})),p.$ident=U,p.id=this.delegatingCommandId,p.arguments=[U],this._logService.trace("CommandsConverter#CREATE",l.command,U)}return p}fromInternal(l){return typeof l.$ident=="number"?this._cache.get(l.$ident):{command:l.id,title:l.title,arguments:l.arguments}}getActualCommand(...l){return this._cache.get(l[0])}_executeConvertedCommand(...l){const w=this.getActualCommand(...l);return this._logService.trace("CommandsConverter#EXECUTE",l[0],w?w.command:"MISSING"),w?this._commands.executeCommand(w.command,...w.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=u;class i{constructor(l,w,p,D){this.name=l,this.description=w,this.validate=p,this.convert=D}optional(){return new i(this.name,`(optional) ${this.description}`,l=>l==null||this.validate(l),l=>l===void 0?void 0:l===null?null:this.convert(l))}with(l,w){return new i(l??this.name,w??this.description,this.validate,this.convert)}}e.ApiCommandArgument=i,i.Uri=new i("uri","Uri of a text document",t=>m.URI.isUri(t),t=>t),i.Position=new i("position","A position in a text document",t=>v.Position.isPosition(t),b.Position.from),i.Range=new i("range","A range in a text document",t=>v.Range.isRange(t),b.Range.from),i.Selection=new i("selection","A selection in a text document",t=>v.Selection.isSelection(t),b.Selection.from),i.Number=new i("number","",t=>typeof t=="number",t=>t),i.String=new i("string","",t=>typeof t=="string",t=>t),i.CallHierarchyItem=new i("item","A call hierarchy item",t=>t instanceof v.CallHierarchyItem,b.CallHierarchyItem.from),i.TypeHierarchyItem=new i("item","A type hierarchy item",t=>t instanceof v.TypeHierarchyItem,b.TypeHierarchyItem.from),i.TestItem=new i("testItem","A VS Code TestItem",t=>t instanceof d.TestItemImpl,b.TestItem.from);class n{constructor(l,w){this.description=l,this.convert=w}}e.ApiCommandResult=n,n.Void=new n("no result",t=>t);class r{constructor(l,w,p,D,U){this.id=l,this.internalId=w,this.description=p,this.args=D,this.result=U}}e.ApiCommand=r}),define(ye[190],De([1,0,2,8,6,66,36,16,77,81,12]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const S=[new y.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",I(v.DocumentHighlight.to))),new y.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(h,d)=>{if((0,P.isFalsyOrEmpty)(h))return;class o extends b.SymbolInformation{static to(A){const c=new o(A.name,v.SymbolKind.to(A.kind),A.containerName||"",new b.Location(d[0],v.Range.to(A.range)));return c.detail=A.detail,c.range=c.location.range,c.selectionRange=v.Range.to(A.selectionRange),c.children=A.children?A.children.map(o.to):[],c}}return h.map(o.to)})),new y.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("options","Formatting options",h=>!0,h=>h)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",I(v.TextEdit.to))),new y.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range,new y.ApiCommandArgument("options","Formatting options",h=>!0,h=>h)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",I(v.TextEdit.to))),new y.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,new y.ApiCommandArgument("ch","Trigger character",h=>typeof h=="string",h=>h),new y.ApiCommandArgument("options","Formatting options",h=>!0,h=>h)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",I(v.TextEdit.to))),new y.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new y.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new y.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new y.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new y.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location-instances.",I(v.location.to))),new y.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Hover-instances.",I(v.Hover.to))),new y.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("position","A position in a text document",h=>Array.isArray(h)&&h.every(d=>b.Position.isPosition(d)),h=>h.map(v.Position.from))],new y.ApiCommandResult("A promise that resolves to an array of ranges.",h=>h.map(d=>{let o;for(const g of d.reverse())o=new b.SelectionRange(v.Range.to(g),o);return o}))),new y.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[y.ApiCommandArgument.String.with("query","Search string")],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",h=>h.map(v.WorkspaceSymbol.to))),new y.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A CallHierarchyItem or undefined",h=>h.map(v.CallHierarchyItem.to))),new y.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",h=>h.map(v.CallHierarchyIncomingCall.to))),new y.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",h=>h.map(v.CallHierarchyOutgoingCall.to))),new y.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to a range and placeholder text.",h=>{if(!!h)return{range:v.Range.to(h.range),placeholder:h.text}})),new y.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("newName","The new symbol name")],new y.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",h=>{if(!!h){if(h.rejectReason)throw new Error(h.rejectReason);return v.WorkspaceEdit.to(h)}})),new y.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new y.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",h=>h.map(v.DocumentLink.to))),new y.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",h=>{if(!!h)return new b.SemanticTokensLegend(h.tokenTypes,h.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",h=>{if(!h)return;const d=(0,E.decodeSemanticTokensDto)(h);if(d.type==="full")return new b.SemanticTokens(d.data,void 0)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range.optional()],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",h=>{if(!!h)return new b.SemanticTokensLegend(h.tokenTypes,h.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",h=>{if(!h)return;const d=(0,E.decodeSemanticTokensDto)(h);if(d.type==="full")return new b.SemanticTokens(d.data,void 0)})),new y.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new y.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(h,d,o)=>{if(!h)return new b.CompletionList([]);const g=h.suggestions.map(A=>v.CompletionItem.to(A,o));return new b.CompletionList(g,h.incomplete)})),new y.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new y.ApiCommandResult("A promise that resolves to SignatureHelp.",h=>{if(h)return v.SignatureHelp.to(h)})),new y.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new y.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(h,d,o)=>I(g=>new b.CodeLens(v.Range.to(g.range),g.command&&o.fromInternal(g.command)))(h))),new y.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",h=>b.Range.isRange(h),h=>b.Selection.isSelection(h)?v.Selection.from(h):v.Range.from(h)),y.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new y.ApiCommandResult("A promise that resolves to an array of Command-instances.",(h,d,o)=>I(g=>{if(g._isSynthetic){if(!g.command)throw new Error("Synthetic code actions must have a command");return o.fromInternal(g.command)}else{const A=new b.CodeAction(g.title,g.kind?new b.CodeActionKind(g.kind):void 0);return g.edit&&(A.edit=v.WorkspaceEdit.to(g.edit)),g.command&&(A.command=o.fromInternal(g.command)),A.isPreferred=g.isPreferred,A}})(h))),new y.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",h=>h?h.map(d=>new b.ColorInformation(v.Range.to(d.range),v.Color.to(d.color))):[])),new y.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new y.ApiCommandArgument("color","The color to show and insert",h=>h instanceof b.Color,v.Color.from),new y.ApiCommandArgument("context","Context object with uri and range",h=>!0,h=>({uri:h.uri,range:v.Range.from(h.range)}))],new y.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",h=>h?h.map(v.ColorPresentation.to):[])),new y.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of Inlay objects",(h,d,o)=>h.map(v.InlayHint.to.bind(void 0,o)))),new y.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new y.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",I(h=>({viewType:h.viewType,displayName:h.displayName,options:{transientOutputs:h.options.transientOutputs,transientCellMetadata:h.options.transientCellMetadata,transientDocumentMetadata:h.options.transientDocumentMetadata},filenamePattern:h.filenamePattern.map(d=>v.NotebookExclusiveDocumentPattern.to(d))})))),new y.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of InlineValue objects",h=>h.map(v.InlineValue.to))),new y.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new y.ApiCommandArgument("uriOrString","Uri-instance or string (only http/https)",h=>a.URI.isUri(h)||typeof h=="string"&&(0,T.matchesSomeScheme)(h,R.Schemas.http,R.Schemas.https),h=>h),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",h=>h===void 0||typeof h=="number"||typeof h=="object",h=>h&&(typeof h=="number"?[v.ViewColumn.from(h),void 0]:[v.ViewColumn.from(h.viewColumn),v.TextEditorOpenOptions.from(h)])).optional(),y.ApiCommandArgument.String.with("label","").optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[y.ApiCommandArgument.Uri.with("resource","Resource to open"),y.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",h=>h===void 0||typeof h=="number"||typeof h=="object",h=>h&&(typeof h=="number"?[v.ViewColumn.from(h),void 0]:[v.ViewColumn.from(h.viewColumn),v.TextEditorOpenOptions.from(h)])).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[y.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),y.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),y.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",h=>h===void 0||typeof h=="object",h=>h&&[v.ViewColumn.from(h.viewColumn),v.TextEditorOpenOptions.from(h)]).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A TypeHierarchyItem or undefined",h=>h.map(v.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",h=>h.map(v.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",h=>h.map(v.TypeHierarchyItem.to))),new y.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[y.ApiCommandArgument.TestItem],y.ApiCommandResult.Void),new y.ApiCommand("vscode.experimental.editSession.continue","_workbench.experimental.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[y.ApiCommandArgument.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],y.ApiCommandResult.Void)];class m{static register(d){S.forEach(d.registerApiCommand,d)}}e.ExtHostApiCommands=m;function I(h){return d=>{if(Array.isArray(d))return d.map(h)}}function f(h){if(!Array.isArray(h))return;const d=[];for(const o of h)M.isLocationLink(o)?d.push(v.DefinitionLink.to(o)):d.push(v.location.to(o));return d}}),define(ye[191],De([1,0,14,55,5,7,2,66,27,8,6,24,4]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function I(f,h,d){const o=f.getProxy(m.MainContext.MainThreadComments);class g{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,h.registerArgumentProcessor({processArgument:t=>{if(t&&t.$mid===6){const l=this._commentControllers.get(t.handle);return l?l.value:t}else if(t&&t.$mid===7){const l=this._commentControllers.get(t.commentControlHandle);if(!l)return t;const w=l.getCommentThread(t.commentThreadHandle);return w?w.value:t}else if(t&&t.$mid===8){const l=this._commentControllers.get(t.thread.commentControlHandle);if(!l)return t;const w=l.getCommentThread(t.thread.commentThreadHandle);return w?{thread:w.value,text:t.text}:t}else if(t&&t.$mid===9){const l=this._commentControllers.get(t.thread.commentControlHandle);if(!l)return t;const w=l.getCommentThread(t.thread.commentThreadHandle);if(!w)return t;const p=t.commentUniqueId,D=w.getCommentByUniqueId(p);return D||t}else if(t&&t.$mid===10){const l=this._commentControllers.get(t.thread.commentControlHandle);if(!l)return t;const w=l.getCommentThread(t.thread.commentThreadHandle);if(!w)return t;const p=t.text,D=t.commentUniqueId,U=w.getCommentByUniqueId(D);return U?(typeof U.body=="string"?U.body=p:U.body.value=p,U):t}return t}})}createCommentController(t,l,w){const p=g.handlePool++,D=new c(t,p,l,w);this._commentControllers.set(D.handle,D);const U=this._commentControllersByExtension.get(E.ExtensionIdentifier.toKey(t.identifier))||[];return U.push(D),this._commentControllersByExtension.set(E.ExtensionIdentifier.toKey(t.identifier),U),D.value}$createCommentThreadTemplate(t,l,w){const p=this._commentControllers.get(t);!p||p.$createCommentThreadTemplate(l,w)}async $updateCommentThreadTemplate(t,l,w){const p=this._commentControllers.get(t);!p||p.$updateCommentThreadTemplate(l,w)}$deleteCommentThread(t,l){this._commentControllers.get(t)?.$deleteCommentThread(l)}$provideCommentingRanges(t,l,w){const p=this._commentControllers.get(t);if(!p||!p.commentingRangeProvider)return Promise.resolve(void 0);const D=d.getDocument(y.URI.revive(l));return(0,a.asPromise)(()=>p.commentingRangeProvider.provideCommentingRanges(D,w)).then(U=>U?U.map(V=>T.Range.from(V)):void 0)}$toggleReaction(t,l,w,p,D){const U=this._commentControllers.get(t);return!U||!U.reactionHandler?Promise.resolve(void 0):(0,a.asPromise)(()=>{const V=U.getCommentThread(l);if(V){const x=V.getCommentByUniqueId(p.uniqueIdInThread);if(U!==void 0&&x&&U.reactionHandler)return U.reactionHandler(x,u(D))}return Promise.resolve(void 0)})}dispose(){}}g.handlePool=0;class A{constructor(t,l,w,p,D,U,V,x){this._commentControllerHandle=l,this._id=w,this._uri=p,this._range=D,this._comments=U,this.extensionDescription=V,this._isTemplate=x,this.handle=A._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new b.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new M.MutableDisposable,this._acceptInputDisposables.value=new M.DisposableStore,this._id===void 0&&(this._id=`${t}.${this.handle}`),o.$createCommentThread(l,this.handle,this._id,this._uri,T.Range.from(this._range),V.identifier,this._isTemplate),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=U,this._localDisposables.push({dispose:()=>{o.$deleteCommentThread(l,this.handle)}});const C=this;this.value={get uri(){return C.uri},get range(){return C.range},set range(L){C.range=L},get comments(){return C.comments},set comments(L){C.comments=L},get collapsibleState(){return C.collapsibleState},set collapsibleState(L){C.collapsibleState=L},get canReply(){return C.canReply},set canReply(L){C.canReply=L},get contextValue(){return C.contextValue},set contextValue(L){C.contextValue=L},get label(){return C.label},set label(L){C.label=L},get state(){return C.state},set state(L){C.state=L},dispose:()=>{C.dispose()}}}set threadId(t){this._id=t}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(t){t.isEqual(this._range)||(this._range=t,this.modifications.range=t,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(t){this._canReply!==t&&(this._canReply=t,this.modifications.canReply=t,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(t){this._label=t,this.modifications.label=t,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(t){this._contextValue=t,this.modifications.contextValue=t,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(t){this._comments=t,this.modifications.comments=t,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(t){this._collapseState=t,this.modifications.collapsibleState=t,this._onDidUpdateCommentThread.fire()}get state(){return(0,S.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state}set state(t){(0,S.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state=t,this.modifications.state=t,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}updateIsTemplate(){this._isTemplate&&(this._isTemplate=!1,this.modifications.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this.updateIsTemplate(),this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new M.DisposableStore);const t=w=>Object.prototype.hasOwnProperty.call(this.modifications,w),l={};t("range")&&(l.range=T.Range.from(this._range)),t("label")&&(l.label=this.label),t("contextValue")&&(l.contextValue=this.contextValue??null),t("comments")&&(l.comments=this._comments.map(w=>_(this,w,this._commentsMap))),t("collapsibleState")&&(l.collapseState=i(this._collapseState)),t("canReply")&&(l.canReply=this.canReply),t("state")&&(l.state=n(this._state)),t("isTemplate")&&(l.isTemplate=this._isTemplate),this.modifications={},o.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,l)}getCommentByUniqueId(t){for(const l of this._commentsMap){const w=l[0],p=l[1];if(t===p)return w}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(t=>t.dispose())}}A._handlePool=0,ze([(0,v.debounce)(100)],A.prototype,"eventuallyUpdateCommentThread",null);class c{constructor(t,l,w,p){this._extension=t,this._handle=l,this._id=w,this._label=p,this._threads=new Map,o.$registerCommentController(this.handle,w,p);const D=this;this.value=Object.freeze({id:D.id,label:D.label,get options(){return D.options},set options(U){D.options=U},get commentingRangeProvider(){return D.commentingRangeProvider},set commentingRangeProvider(U){D.commentingRangeProvider=U},get reactionHandler(){return D.reactionHandler},set reactionHandler(U){D.reactionHandler=U},createCommentThread(U,V,x){return D.createCommentThread(U,V,x).value},dispose:()=>{D.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{o.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(t){this._commentingRangeProvider=t,o.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(t){this._reactionHandler=t,o.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!t})}get options(){return this._options}set options(t){this._options=t,o.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(t,l,w,p){if(typeof t=="string"){const D=new A(this.id,this.handle,t,l,w,p,this._extension,!1);return this._threads.set(D.handle,D),D}else{const D=new A(this.id,this.handle,void 0,t,l,w,this._extension,!1);return this._threads.set(D.handle,D),D}}$createCommentThreadTemplate(t,l){const w=new A(this.id,this.handle,void 0,y.URI.revive(t),T.Range.to(l),[],this._extension,!0);return w.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(w.handle,w),w}$updateCommentThreadTemplate(t,l){const w=this._threads.get(t);w&&(w.range=T.Range.to(l))}$deleteCommentThread(t){this._threads.get(t)?.dispose(),this._threads.delete(t)}getCommentThread(t){return this._threads.get(t)}dispose(){this._threads.forEach(t=>{t.dispose()}),this._localDisposables.forEach(t=>t.dispose())}}function _(r,t,l){let w=l.get(t);w||(w=++r.commentHandle,l.set(t,w));const p=t.author&&t.author.iconPath?t.author.iconPath.toString():void 0;return{mode:t.mode,contextValue:t.contextValue,uniqueIdInThread:w,body:typeof t.body=="string"?t.body:T.MarkdownString.from(t.body),userName:t.author.name,userIconPath:p,label:t.label,commentReactions:t.reactions?t.reactions.map(D=>s(D)):void 0,timestamp:t.timestamp?.toJSON()}}function s(r){return{label:r.label,iconPath:r.iconPath?T.pathOrURIToURI(r.iconPath):void 0,count:r.count,hasReacted:r.authorHasReacted}}function u(r){return{label:r.label||"",count:r.count||0,iconPath:r.iconPath?y.URI.revive(r.iconPath):"",authorHasReacted:r.hasReacted||!1}}function i(r){if(r!==void 0)switch(r){case R.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case R.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}function n(r){if(r!==void 0)switch(r){case R.CommentThreadState.Unresolved:return P.CommentThreadState.Unresolved;case R.CommentThreadState.Resolved:return P.CommentThreadState.Resolved}return P.CommentThreadState.Unresolved}return new g}e.createExtHostComments=I}),define(ye[192],De([1,0,26,4,28,13]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtHostConsoleForwarder=void 0;let y=class{constructor(R,S){this._mainThreadConsole=R.getProxy(v.MainContext.MainThreadConsole),this._includeStack=S.consoleForward.includeStack,this._logNative=S.consoleForward.logNative,this._wrapConsoleMethod("info","log"),this._wrapConsoleMethod("log","log"),this._wrapConsoleMethod("warn","warn"),this._wrapConsoleMethod("error","error")}_wrapConsoleMethod(R,S){const m=this,I=console[R];Object.defineProperty(console,R,{set:()=>{},get:()=>function(){m._handleConsoleCall(R,S,I,arguments)}})}_handleConsoleCall(R,S,m,I){this._mainThreadConsole.$logExtensionHostMessage({type:"__$console",severity:S,arguments:E(I,this._includeStack)}),this._logNative&&this._nativeConsoleLogMessage(R,m,I)}};y=ze([$e(0,M.IExtHostRpcService),$e(1,b.IExtHostInitDataService)],y),e.AbstractExtHostConsoleForwarder=y;const P=1e5;function E(T,R){const S=[];if(T.length)for(let m=0;m<T.length;m++){let I=T[m];if(typeof I=="undefined")I="undefined";else if(I instanceof Error){const f=I;f.stack?I=f.stack:I=f.toString()}S.push(I)}if(R){const m=new Error().stack;m&&S.push({__$stack:m.split(`
`).slice(3).join(`
`)})}try{const m=(0,a.safeStringify)(S);return m.length>P?"Output omitted for a large object that exceeds the limits":m}catch(m){return`Output omitted for an object that cannot be inspected ('${m.toString()}')`}}}),define(ye[96],De([1,0,2,4,6,3,13,15,16,9,19]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let S=class Ii{constructor(I,f){this._logService=f,this._provider=new Map,this._proxy=I.getProxy(v.MainContext.MainThreadDecorations)}registerFileDecorationProvider(I,f){const h=Ii._handlePool++;this._provider.set(h,{provider:I,extensionId:f}),this._proxy.$registerDecorationProvider(h,f.value);const d=I.onDidChangeFileDecorations&&I.onDidChangeFileDecorations(o=>{if(!o){this._proxy.$onDidChange(h,null);return}const g=(0,E.asArray)(o);if(g.length<=Ii._maxEventSize){this._proxy.$onDidChange(h,g);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",f.value,g.length);const A=g.map(s=>({uri:s,rank:(0,T.count)(s.path,"/")})),c=(0,E.groupBy)(A,(s,u)=>s.rank-u.rank||(0,T.compare)(s.uri.path,u.uri.path)),_=[];e:for(const s of c){let u;for(const i of s){const n=(0,R.dirname)(i.uri.path);if(u!==n&&(u=n,_.push(i.uri)>=Ii._maxEventSize))break e}}this._proxy.$onDidChange(h,_)});return new b.Disposable(()=>{d?.dispose(),this._proxy.$unregisterDecorationProvider(h),this._provider.delete(h)})}async $provideDecorations(I,f,h){if(!this._provider.has(I))return Object.create(null);const d=Object.create(null),{provider:o,extensionId:g}=this._provider.get(I);return await Promise.all(f.map(async A=>{try{const{uri:c,id:_}=A,s=await Promise.resolve(o.provideFileDecoration(a.URI.revive(c),h));if(!s)return;try{b.FileDecoration.validate(s),d[_]=[s.propagate,s.tooltip,s.badge,s.color]}catch(u){this._logService.warn(`INVALID decoration from extension '${g.value}': ${u}`)}}catch(c){this._logService.error(c)}})),d}};S._handlePool=0,S._maxEventSize=250,S=ze([$e(0,y.IExtHostRpcService),$e(1,P.ILogService)],S),e.ExtHostDecorations=S,e.IExtHostDecorations=(0,M.createDecorator)("IExtHostDecorations")});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[193],De([1,0,130,80,2,4,6,8,5,15,25,35]),function(ie,e,a,v,b,M,y,P,E,T,R,S){"use strict";var m,I,f;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class h{constructor(g,A,c,_,s,u){this._name=g,this._owner=A,this._maxDiagnosticsPerFile=c,m.set(this,void 0),I.set(this,void 0),f.set(this,void 0),this._isDisposed=!1,Ye(this,f,new R.ResourceMap(i=>_.getComparisonKey(i)),"f"),Ye(this,m,s,"f"),Ye(this,I,u,"f")}dispose(){this._isDisposed||(Oe(this,I,"f").fire([...Oe(this,f,"f").keys()]),Oe(this,m,"f")?.$clear(this._owner),Oe(this,f,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(g,A){if(!g){this.clear();return}this._checkDisposed();let c=[];if(b.URI.isUri(g)){if(!A){this.delete(g);return}Oe(this,f,"f").set(g,A.slice()),c=[g]}else if(Array.isArray(g)){c=[];let s;g=[...g].sort(h._compareIndexedTuplesByUri);for(const u of g){const[i,n]=u;if((!s||i.toString()!==s.toString())&&(s&&Oe(this,f,"f").get(s).length===0&&Oe(this,f,"f").delete(s),s=i,c.push(i),Oe(this,f,"f").set(i,[])),n)Oe(this,f,"f").get(i)?.push(...n);else{const r=Oe(this,f,"f").get(i);r&&(r.length=0)}}}if(Oe(this,I,"f").fire(c),!Oe(this,m,"f"))return;const _=[];for(const s of c){let u=[];const i=Oe(this,f,"f").get(s);if(i)if(i.length>this._maxDiagnosticsPerFile){u=[];const n=[y.DiagnosticSeverity.Error,y.DiagnosticSeverity.Warning,y.DiagnosticSeverity.Information,y.DiagnosticSeverity.Hint];e:for(let r=0;r<4;r++)for(const t of i)if(t.severity===n[r]&&u.push(P.Diagnostic.from(t))===this._maxDiagnosticsPerFile)break e;u.push({severity:v.MarkerSeverity.Info,message:(0,a.localize)(0,null,i.length-this._maxDiagnosticsPerFile),startLineNumber:u[u.length-1].startLineNumber,startColumn:u[u.length-1].startColumn,endLineNumber:u[u.length-1].endLineNumber,endColumn:u[u.length-1].endColumn})}else u=i.map(n=>P.Diagnostic.from(n));_.push([s,u])}Oe(this,m,"f").$changeMany(this._owner,_)}delete(g){this._checkDisposed(),Oe(this,I,"f").fire([g]),Oe(this,f,"f").delete(g),Oe(this,m,"f")?.$changeMany(this._owner,[[g,void 0]])}clear(){this._checkDisposed(),Oe(this,I,"f").fire([...Oe(this,f,"f").keys()]),Oe(this,f,"f").clear(),Oe(this,m,"f")?.$clear(this._owner)}forEach(g,A){this._checkDisposed();for(const[c,_]of this)g.call(A,c,_,this)}*[(m=new WeakMap,I=new WeakMap,f=new WeakMap,Symbol.iterator)](){this._checkDisposed();for(const g of Oe(this,f,"f").keys())yield[g,this.get(g)]}get(g){this._checkDisposed();const A=Oe(this,f,"f").get(g);return Array.isArray(A)?Object.freeze(A.slice(0)):[]}has(g){return this._checkDisposed(),Array.isArray(Oe(this,f,"f").get(g))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(g,A){return g[0].toString()<A[0].toString()?-1:g[0].toString()>A[0].toString()?1:0}}e.DiagnosticCollection=h;let d=class fi{constructor(g,A,c){this._logService=A,this._fileSystemInfoService=c,this._collections=new Map,this._onDidChangeDiagnostics=new E.DebounceEmitter({merge:_=>_.flat(),delay:50}),this.onDidChangeDiagnostics=E.Event.map(this._onDidChangeDiagnostics.event,fi._mapper),this._proxy=g.getProxy(M.MainContext.MainThreadDiagnostics)}static _mapper(g){const A=new R.ResourceMap;for(const c of g)A.set(c,c);return{uris:Object.freeze(Array.from(A.values()))}}createDiagnosticCollection(g,A){const{_collections:c,_proxy:_,_onDidChangeDiagnostics:s,_logService:u,_fileSystemInfoService:i}=this,n=new class{$changeMany(l,w){_.$changeMany(l,w),u.trace("[DiagnosticCollection] change many (extension, owner, uris)",g.value,l,w.length===0?"CLEARING":w)}$clear(l){_.$clear(l),u.trace("[DiagnosticCollection] remove all (extension, owner)",g.value,l)}dispose(){_.dispose()}};let r;if(!A)A="_generated_diagnostic_collection_name_#"+fi._idPool++,r=A;else if(!c.has(A))r=A;else{this._logService.warn(`DiagnosticCollection with name '${A}' does already exist.`);do r=A+fi._idPool++;while(c.has(r))}return new class extends h{constructor(){super(A,r,fi._maxDiagnosticsPerFile,i.extUri,n,s);c.set(r,this)}dispose(){super.dispose(),c.delete(r)}}}getDiagnostics(g){if(g)return this._getDiagnostics(g);{const A=new Map,c=[];for(const _ of this._collections.values())_.forEach((s,u)=>{let i=A.get(s.toString());typeof i=="undefined"&&(i=c.length,A.set(s.toString(),i),c.push([s,[]])),c[i][1]=c[i][1].concat(...u)});return c}}_getDiagnostics(g){let A=[];for(const c of this._collections.values())c.has(g)&&(A=A.concat(c.get(g)));return A}$acceptMarkersChange(g){if(!this._mirrorCollection){const A="_generated_mirror",c=new h(A,A,fi._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(A,c),this._mirrorCollection=c}for(const[A,c]of g)this._mirrorCollection.set(b.URI.revive(A),c.map(P.Diagnostic.to))}};d._idPool=0,d._maxDiagnosticsPerFile=1e3,d=ze([$e(1,T.ILogService),$e(2,S.IExtHostFileSystemInfo)],d),e.ExtHostDiagnostics=d}),define(ye[194],De([1,0,2,4]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class b{constructor(y){this._proxy=y.getProxy(v.MainContext.MainThreadDialogs)}showOpenDialog(y){return this._proxy.$showOpenDialog(y).then(P=>P?P.map(E=>a.URI.revive(E)):void 0)}showSaveDialog(y){return this._proxy.$showSaveDialog(y).then(P=>P?a.URI.revive(P):void 0)}}e.ExtHostDialogs=b}),define(ye[195],De([1,0,11,2,6,4,12,20,9]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class T{constructor(S,m,I){this._documentsAndEditors=m,this._logService=I,this._documentContentProviders=new Map,this._proxy=S.getProxy(M.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(S,m){if(Object.keys(y.Schemas).indexOf(S)>=0)throw new Error(`scheme '${S}' already registered`);const I=T._handlePool++;this._documentContentProviders.set(I,m),this._proxy.$registerTextContentProvider(I,S);let f;return typeof m.onDidChange=="function"&&(f=m.onDidChange(h=>{if(h.scheme!==S){this._logService.warn(`Provider for scheme '${S}' is firing event for schema '${h.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(h)&&this.$provideTextDocumentContent(I,h).then(d=>{if(!d&&typeof d!="string")return;const o=this._documentsAndEditors.getDocument(h);if(!o)return;const g=(0,E.splitLines)(d);if(!o.equalLines(g))return this._proxy.$onVirtualDocumentChange(h,d)},a.onUnexpectedError)})),new b.Disposable(()=>{this._documentContentProviders.delete(I)&&this._proxy.$unregisterTextContentProvider(I),f&&(f.dispose(),f=void 0)})}$provideTextDocumentContent(S,m){const I=this._documentContentProviders.get(S);return I?Promise.resolve(I.provideTextDocumentContent(v.URI.revive(m),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${m.scheme}`))}}e.ExtHostDocumentContentProvider=T,T._handlePool=0}),define(ye[196],De([1,0,5,7,2,4,87,8,10,26,6]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class S{constructor(I,f){this._onDidAddDocument=new a.Emitter,this._onDidRemoveDocument=new a.Emitter,this._onDidChangeDocument=new a.Emitter,this._onDidSaveDocument=new a.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new v.DisposableStore,this._documentLoader=new Map,this._proxy=I.getProxy(M.MainContext.MainThreadDocuments),this._documentsAndEditors=f,this._documentsAndEditors.onDidRemoveDocuments(h=>{for(const d of h)this._onDidRemoveDocument.fire(d.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(h=>{for(const d of h)this._onDidAddDocument.fire(d.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(I){if(!I)return;const f=this._documentsAndEditors.getDocument(I);if(f)return f}getDocument(I){const f=this.getDocumentData(I);if(!f?.document)throw new Error(`Unable to retrieve document from URI '${I}'`);return f.document}ensureDocumentData(I){const f=this._documentsAndEditors.getDocument(I);if(f)return Promise.resolve(f);let h=this._documentLoader.get(I.toString());return h||(h=this._proxy.$tryOpenDocument(I).then(d=>{this._documentLoader.delete(I.toString());const o=b.URI.revive(d);return(0,E.assertIsDefined)(this._documentsAndEditors.getDocument(o))},d=>(this._documentLoader.delete(I.toString()),Promise.reject(d))),this._documentLoader.set(I.toString(),h)),h}createDocumentData(I){return this._proxy.$tryCreateDocument(I).then(f=>b.URI.revive(f))}$acceptModelLanguageChanged(I,f){const h=b.URI.revive(I),d=this._documentsAndEditors.getDocument(h);if(!d)throw new Error("unknown document");this._onDidRemoveDocument.fire(d.document),d._acceptLanguageId(f),this._onDidAddDocument.fire(d.document)}$acceptModelSaved(I){const f=b.URI.revive(I),h=this._documentsAndEditors.getDocument(f);if(!h)throw new Error("unknown document");this.$acceptDirtyStateChanged(I,!1),this._onDidSaveDocument.fire(h.document)}$acceptDirtyStateChanged(I,f){const h=b.URI.revive(I),d=this._documentsAndEditors.getDocument(h);if(!d)throw new Error("unknown document");d._acceptIsDirty(f),this._onDidChangeDocument.fire({document:d.document,contentChanges:[],reason:void 0})}$acceptModelChanged(I,f,h){const d=b.URI.revive(I),o=this._documentsAndEditors.getDocument(d);if(!o)throw new Error("unknown document");o._acceptIsDirty(h),o.onEvents(f);let g;f.isUndoing?g=R.TextDocumentChangeReason.Undo:f.isRedoing&&(g=R.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,T.deepFreeze)({document:o.document,contentChanges:f.changes.map(A=>({range:P.Range.to(A.range),rangeOffset:A.rangeOffset,rangeLength:A.rangeLength,text:A.text})),reason:g}))}setWordDefinitionFor(I,f){(0,y.setWordDefinitionFor)(I,f)}}e.ExtHostDocuments=S}),define(ye[50],De([1,0,44,5,7,2,3,4,87,13,94,8,15,25,12,167,197]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class o{constructor(c){this.value=c,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let g=class{constructor(c,_){this._extHostRpc=c,this._logService=_,this._activeEditorId=null,this._editors=new Map,this._documents=new I.ResourceMap,this._onDidAddDocuments=new v.Emitter,this._onDidRemoveDocuments=new v.Emitter,this._onDidChangeVisibleTextEditors=new v.Emitter,this._onDidChangeActiveTextEditor=new v.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const _=[],s=[],u=[];if(c.removedDocuments)for(const i of c.removedDocuments){const n=M.URI.revive(i),r=this._documents.get(n);r?.unref()&&(this._documents.delete(n),_.push(r.value))}if(c.addedDocuments)for(const i of c.addedDocuments){const n=M.URI.revive(i.uri);let r=this._documents.get(n);if(r&&n.scheme!==f.Schemas.vscodeNotebookCell&&n.scheme!==f.Schemas.vscodeInteractiveInput)throw new Error(`document '${n} already exists!'`);r||(r=new o(new E.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),n,i.lines,i.EOL,i.versionId,i.languageId,i.isDirty,i.notebook)),this._documents.set(n,r),s.push(r.value)),r.ref()}if(c.removedEditors)for(const i of c.removedEditors){const n=this._editors.get(i);this._editors.delete(i),n&&u.push(n)}if(c.addedEditors)for(const i of c.addedEditors){const n=M.URI.revive(i.documentUri);a.ok(this._documents.has(n),`document '${n}' does not exist`),a.ok(!this._editors.has(i.id),`editor '${i.id}' already exists!`);const r=this._documents.get(n).value,t=new R.ExtHostTextEditor(i.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new d.Lazy(()=>r.document),i.selections.map(S.Selection.to),i.options,i.visibleRanges.map(l=>S.Range.to(l)),typeof i.editorPosition=="number"?S.ViewColumn.to(i.editorPosition):void 0);this._editors.set(i.id,t)}c.newActiveEditor!==void 0&&(a.ok(c.newActiveEditor===null||this._editors.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this._activeEditorId=c.newActiveEditor),(0,b.dispose)(_),(0,b.dispose)(u),c.removedDocuments&&this._onDidRemoveDocuments.fire(_),c.addedDocuments&&this._onDidAddDocuments.fire(s),(c.removedEditors||c.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(i=>i.value)),c.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(c){return this._documents.get(c)?.value}allDocuments(){return h.Iterable.map(this._documents.values(),c=>c.value)}getEditor(c){return this._editors.get(c)}activeEditor(c){if(!this._activeEditorId)return;const _=this._editors.get(this._activeEditorId);return c?_:_?.value}allEditors(){return[...this._editors.values()]}};g=ze([$e(0,T.IExtHostRpcService),$e(1,m.ILogService)],g),e.ExtHostDocumentsAndEditors=g,e.IExtHostDocumentsAndEditors=(0,y.createDecorator)("IExtHostDocumentsAndEditors")}),define(ye[51],De([1,0,8,4,2,5,3,6,13,10,72]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,y.createDecorator)("IExtHostEditorTabs");class S{constructor(d,o,g){this._activeTabIdGetter=g,this._parentGroup=o,this.acceptDtoUpdate(d)}get apiObject(){if(!this._apiObject){const d=this,o={get isActive(){return d._dto.id===d._activeTabIdGetter()},get label(){return d._dto.label},get input(){return d._input},get isDirty(){return d._dto.isDirty},get isPinned(){return d._dto.isPinned},get isPreview(){return d._dto.isPreview},get group(){return d._parentGroup.apiObject}};this._apiObject=Object.freeze(o)}return this._apiObject}get tabId(){return this._dto.id}acceptDtoUpdate(d){this._dto=d,this._input=this._initInput()}_initInput(){switch(this._dto.input.kind){case 1:return new P.TextTabInput(b.URI.revive(this._dto.input.uri));case 2:return new P.TextDiffTabInput(b.URI.revive(this._dto.input.original),b.URI.revive(this._dto.input.modified));case 3:return new P.TextMergeTabInput(b.URI.revive(this._dto.input.base),b.URI.revive(this._dto.input.input1),b.URI.revive(this._dto.input.input2),b.URI.revive(this._dto.input.result));case 6:return new P.CustomEditorTabInput(b.URI.revive(this._dto.input.uri),this._dto.input.viewType);case 7:return new P.WebviewEditorTabInput(this._dto.input.viewType);case 4:return new P.NotebookEditorTabInput(b.URI.revive(this._dto.input.uri),this._dto.input.notebookType);case 5:return new P.NotebookDiffEditorTabInput(b.URI.revive(this._dto.input.original),b.URI.revive(this._dto.input.modified),this._dto.input.notebookType);case 8:return new P.TerminalEditorTabInput;case 9:return new P.InteractiveWindowInput(b.URI.revive(this._dto.input.uri),b.URI.revive(this._dto.input.inputBoxUri));default:return}}}class m{constructor(d,o){this._tabs=[],this._activeTabId="",this._dto=d,this._activeGroupIdGetter=o;for(const g of d.tabs)g.isActive&&(this._activeTabId=g.id),this._tabs.push(new S(g,this,()=>this.activeTabId()))}get apiObject(){if(!this._apiObject){const d=this,o={get isActive(){return d._dto.groupId===d._activeGroupIdGetter()},get viewColumn(){return a.ViewColumn.to(d._dto.viewColumn)},get activeTab(){return d._tabs.find(g=>g.tabId===d._activeTabId)?.apiObject},get tabs(){return Object.freeze(d._tabs.map(g=>g.apiObject))}};this._apiObject=Object.freeze(o)}return this._apiObject}get groupId(){return this._dto.groupId}get tabs(){return this._tabs}acceptGroupDtoUpdate(d){this._dto=d}acceptTabOperation(d){if(d.kind===0){const g=new S(d.tabDto,this,()=>this.activeTabId());return this._tabs.splice(d.index,0,g),d.tabDto.isActive&&(this._activeTabId=g.tabId),g}else if(d.kind===1){const g=this._tabs.splice(d.index,1)[0];if(!g)throw new Error(`Tab close updated received for index ${d.index} which does not exist`);return g.tabId===this._activeTabId&&(this._activeTabId=""),g}else if(d.kind===3){if(d.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const g=this._tabs.splice(d.oldIndex,1)[0];if(!g)throw new Error(`Tab move updated received for index ${d.oldIndex} which does not exist`);return this._tabs.splice(d.index,0,g),g}const o=this._tabs.find(g=>g.tabId===d.tabDto.id);if(!o)throw new Error("INVALID tab");return d.tabDto.isActive?this._activeTabId=d.tabDto.id:this._activeTabId===d.tabDto.id&&!d.tabDto.isActive&&(this._activeTabId=""),o.acceptDtoUpdate(d.tabDto),o}activeTabId(){return this._activeTabId}}let I=class{constructor(d){this._onDidChangeTabs=new M.Emitter,this._onDidChangeTabGroups=new M.Emitter,this._extHostTabGroups=[],this._proxy=d.getProxy(v.MainContext.MainThreadEditorTabs)}get tabGroups(){if(!this._apiObject){const d=this,o={onDidChangeTabGroups:d._onDidChangeTabGroups.event,onDidChangeTabs:d._onDidChangeTabs.event,get all(){return Object.freeze(d._extHostTabGroups.map(g=>g.apiObject))},get activeTabGroup(){const g=d._activeGroupId;return(0,T.assertIsDefined)(d._extHostTabGroups.find(c=>c.groupId===g)?.apiObject)},close:async(g,A)=>{const c=Array.isArray(g)?g:[g];return c.length?f(c[0])?this._closeGroups(c,A):this._closeTabs(c,A):!0}};this._apiObject=Object.freeze(o)}return this._apiObject}$acceptEditorTabModel(d){const o=new Set(this._extHostTabGroups.map(i=>i.groupId)),g=new Set(d.map(i=>i.groupId)),A=(0,R.diffSets)(o,g),c=this._extHostTabGroups.filter(i=>A.removed.includes(i.groupId)).map(i=>i.apiObject),_=[],s=[];this._extHostTabGroups=d.map(i=>{const n=new m(i,()=>this._activeGroupId);return A.added.includes(n.groupId)?_.push(n.apiObject):s.push(n.apiObject),n});const u=(0,T.assertIsDefined)(d.find(i=>i.isActive===!0)?.groupId);u!==void 0&&this._activeGroupId!==u&&(this._activeGroupId=u),this._onDidChangeTabGroups.fire(Object.freeze({opened:_,closed:c,changed:s}))}$acceptTabGroupUpdate(d){const o=this._extHostTabGroups.find(g=>g.groupId===d.groupId);if(!o)throw new Error("Update Group IPC call received before group creation.");o.acceptGroupDtoUpdate(d),d.isActive&&(this._activeGroupId=d.groupId),this._onDidChangeTabGroups.fire(Object.freeze({changed:[o.apiObject],opened:[],closed:[]}))}$acceptTabOperation(d){const o=this._extHostTabGroups.find(A=>A.groupId===d.groupId);if(!o)throw new Error("Update Tabs IPC call received before group creation.");const g=o.acceptTabOperation(d);switch(d.kind){case 0:this._onDidChangeTabs.fire(Object.freeze({opened:[g.apiObject],closed:[],changed:[]}));return;case 1:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[g.apiObject],changed:[]}));return;case 3:case 2:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[],changed:[g.apiObject]}));return}}_findExtHostTabFromApi(d){for(const o of this._extHostTabGroups)for(const g of o.tabs)if(g.apiObject===d)return g}_findExtHostTabGroupFromApi(d){return this._extHostTabGroups.find(o=>o.apiObject===d)}async _closeTabs(d,o){const g=[];for(const A of d){const c=this._findExtHostTabFromApi(A);if(!c)throw new Error("Tab close: Invalid tab not found!");g.push(c.tabId)}return this._proxy.$closeTab(g,o)}async _closeGroups(d,o){const g=[];for(const A of d){const c=this._findExtHostTabGroupFromApi(A);if(!c)throw new Error("Group close: Invalid group not found!");g.push(c.groupId)}return this._proxy.$closeGroup(g,o)}};I=ze([$e(0,E.IExtHostRpcService)],I),e.ExtHostEditorTabs=I;function f(h){return h.tabs!==void 0}}),define(ye[198],De([1,0,2,4,7,6,8,243,9,23,24]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class S{constructor(){this._schemes=[]}add(f){this._stateMachine=void 0,this._schemes.push(f)}delete(f){const h=this._schemes.indexOf(f);h>=0&&(this._schemes.splice(h,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const f=this._schemes.sort(),h=[];let d,o,g=14,A=14;for(const c of f){let _=d?(0,E.commonPrefixLength)(d,c):0;for(_===0?o=1:o=A;_<c.length;_++)_+1===c.length?(g=A,A=9):A+=1,h.push([o,c.toUpperCase().charCodeAt(_),A]),h.push([o,c.toLowerCase().charCodeAt(_),A]),o=A;d=c,A=g}h.push([9,58,10]),h.push([10,47,12]),this._stateMachine=new P.StateMachine(h)}}provideDocumentLinks(f){this._initStateMachine();const h=[],d=P.LinkComputer.computeLinks({getLineContent(o){return f.lineAt(o-1).text},getLineCount(){return f.lineCount}},this._stateMachine);for(const o of d){const g=y.DocumentLink.to(o);g.target&&h.push(g)}return h}}class m{constructor(f,h){this._extHostLanguageFeatures=h,this._linkProvider=new S,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=f.getProxy(v.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}registerFileSystemProvider(f,h,d,o={}){if(this._registeredSchemes.has(h))throw new Error(`a provider for the scheme '${h}' is already registered`);this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(f,"*",this._linkProvider));const g=this._handlePool++;this._linkProvider.add(h),this._registeredSchemes.add(h),this._fsProvider.set(g,d);let A=2;o.isCaseSensitive&&(A+=1024),o.isReadonly&&(A+=2048),typeof d.copy=="function"&&(A+=8),typeof d.open=="function"&&typeof d.close=="function"&&typeof d.read=="function"&&typeof d.write=="function"&&((0,R.checkProposedApiEnabled)(f,"fsChunks"),A+=4),this._proxy.$registerFileSystemProvider(g,h,A).catch(_=>{console.error(`FAILED to register filesystem provider of ${f.identifier.value}-extension for the scheme ${h}`),console.error(_)});const c=d.onDidChangeFile(_=>{const s=[];for(const u of _){const{uri:i,type:n}=u;if(i.scheme!==h)continue;let r;switch(n){case M.FileChangeType.Changed:r=0;break;case M.FileChangeType.Created:r=1;break;case M.FileChangeType.Deleted:r=2;break;default:throw new Error("Unknown FileChangeType")}s.push({resource:i,type:r})}this._proxy.$onFileSystemChange(g,s)});return(0,b.toDisposable)(()=>{c.dispose(),this._linkProvider.delete(h),this._registeredSchemes.delete(h),this._fsProvider.delete(g),this._proxy.$unregisterProvider(g)})}static _asIStat(f){const{type:h,ctime:d,mtime:o,size:g,permissions:A}=f;return{type:h,ctime:d,mtime:o,size:g,permissions:A}}$stat(f,h){return Promise.resolve(this._getFsProvider(f).stat(a.URI.revive(h))).then(d=>m._asIStat(d))}$readdir(f,h){return Promise.resolve(this._getFsProvider(f).readDirectory(a.URI.revive(h)))}$readFile(f,h){return Promise.resolve(this._getFsProvider(f).readFile(a.URI.revive(h))).then(d=>T.VSBuffer.wrap(d))}$writeFile(f,h,d,o){return Promise.resolve(this._getFsProvider(f).writeFile(a.URI.revive(h),d.buffer,o))}$delete(f,h,d){return Promise.resolve(this._getFsProvider(f).delete(a.URI.revive(h),d))}$rename(f,h,d,o){return Promise.resolve(this._getFsProvider(f).rename(a.URI.revive(h),a.URI.revive(d),o))}$copy(f,h,d,o){const g=this._getFsProvider(f);if(!g.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(g.copy(a.URI.revive(h),a.URI.revive(d),o))}$mkdir(f,h){return Promise.resolve(this._getFsProvider(f).createDirectory(a.URI.revive(h)))}$watch(f,h,d,o){const g=this._getFsProvider(f).watch(a.URI.revive(d),o);this._watches.set(h,g)}$unwatch(f,h){const d=this._watches.get(h);d&&(d.dispose(),this._watches.delete(h))}$open(f,h,d){const o=this._getFsProvider(f);if(!o.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(o.open(a.URI.revive(h),d))}$close(f,h){const d=this._getFsProvider(f);if(!d.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(d.close(h))}$read(f,h,d,o){const g=this._getFsProvider(f);if(!g.read)throw new Error('FileSystemProvider does not implement "read"');const A=T.VSBuffer.alloc(o);return Promise.resolve(g.read(h,d,A.buffer,0,o)).then(c=>A.slice(0,c))}$write(f,h,d,o){const g=this._getFsProvider(f);if(!g.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(g.write(h,d,o.buffer,0,o.byteLength))}_getFsProvider(f){const h=this._fsProvider.get(f);if(!h){const d=new Error;throw d.name="ENOPRO",d.message="no provider",d}return h}}e.ExtHostFileSystem=m}),define(ye[52],De([1,0,4,39,6,23,3,13,35,7]),function(ie,e,a,v,b,M,y,P,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let R=class Qt{constructor(m,I){this._fileSystemProvider=new Map,this._proxy=m.getProxy(a.MainContext.MainThreadFileSystem);const f=this;this.value=Object.freeze({async stat(h){try{const d=f._fileSystemProvider.get(h.scheme);if(!d)return await f._proxy.$stat(h);await f._proxy.$ensureActivation(h.scheme);const o=await d.stat(h);return{type:o.type,ctime:o.ctime,mtime:o.mtime,size:o.size,permissions:o.permissions}}catch(d){Qt._handleError(d)}},async readDirectory(h){try{const d=f._fileSystemProvider.get(h.scheme);return d?(await f._proxy.$ensureActivation(h.scheme),(await d.readDirectory(h)).slice()):await f._proxy.$readdir(h)}catch(d){return Qt._handleError(d)}},async createDirectory(h){try{return await f._proxy.$mkdir(h)}catch(d){return Qt._handleError(d)}},async readFile(h){try{const d=f._fileSystemProvider.get(h.scheme);return d?(await f._proxy.$ensureActivation(h.scheme),(await d.readFile(h)).slice()):(await f._proxy.$readFile(h)).buffer}catch(d){return Qt._handleError(d)}},async writeFile(h,d){try{return await f._proxy.$writeFile(h,M.VSBuffer.wrap(d))}catch(o){return Qt._handleError(o)}},async delete(h,d){try{const o=f._fileSystemProvider.get(h.scheme);return o?(await f._proxy.$ensureActivation(h.scheme),await o.delete(h,{recursive:!1,...d})):await f._proxy.$delete(h,{recursive:!1,useTrash:!1,...d})}catch(o){return Qt._handleError(o)}},async rename(h,d,o){try{return await f._proxy.$rename(h,d,{overwrite:!1,...o})}catch(g){return Qt._handleError(g)}},async copy(h,d,o){try{return await f._proxy.$copy(h,d,{overwrite:!1,...o})}catch(g){return Qt._handleError(g)}},isWritableFileSystem(h){const d=I.getCapabilities(h);if(typeof d=="number")return!(d&2048)}})}static _handleError(m){if(m instanceof b.FileSystemError)throw m;if(!(m instanceof Error))throw new b.FileSystemError(String(m));if(m.name==="ENOPRO")throw b.FileSystemError.Unavailable(m.message);switch(m.name){case v.FileSystemProviderErrorCode.FileExists:throw b.FileSystemError.FileExists(m.message);case v.FileSystemProviderErrorCode.FileNotFound:throw b.FileSystemError.FileNotFound(m.message);case v.FileSystemProviderErrorCode.FileNotADirectory:throw b.FileSystemError.FileNotADirectory(m.message);case v.FileSystemProviderErrorCode.FileIsADirectory:throw b.FileSystemError.FileIsADirectory(m.message);case v.FileSystemProviderErrorCode.NoPermissions:throw b.FileSystemError.NoPermissions(m.message);case v.FileSystemProviderErrorCode.Unavailable:throw b.FileSystemError.Unavailable(m.message);default:throw new b.FileSystemError(m.message,m.name)}}addFileSystemProvider(m,I){return this._fileSystemProvider.set(m,I),(0,T.toDisposable)(()=>this._fileSystemProvider.delete(m))}};R=ze([$e(0,P.IExtHostRpcService),$e(1,E.IExtHostFileSystemInfo)],R),e.ExtHostConsumerFileSystem=R,e.IExtHostConsumerFileSystem=(0,y.createDecorator)("IExtHostConsumerFileSystem")}),define(ye[199],De([1,0,5,34,2,4,8,6,24]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class T{constructor(m,I,f,h,d,o,g,A){this._onDidCreate=new a.Emitter,this._onDidChange=new a.Emitter,this._onDidDelete=new a.Emitter;const c=this.ensureWatching(m,f,d);this._config=0,o&&(this._config+=1),g&&(this._config+=2),A&&(this._config+=4);const _=(0,v.parse)(d),s=typeof d=="string",u=h(i=>{if(!o)for(const n of i.created){const r=b.URI.revive(n);_(r.fsPath)&&(!s||I.getWorkspaceFolder(r))&&this._onDidCreate.fire(r)}if(!g)for(const n of i.changed){const r=b.URI.revive(n);_(r.fsPath)&&(!s||I.getWorkspaceFolder(r))&&this._onDidChange.fire(r)}if(!A)for(const n of i.deleted){const r=b.URI.revive(n);_(r.fsPath)&&(!s||I.getWorkspaceFolder(r))&&this._onDidDelete.fire(r)}});this._disposable=P.Disposable.from(c,this._onDidCreate,this._onDidChange,this._onDidDelete,u)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}ensureWatching(m,I,f){const h=P.Disposable.from();if(typeof f=="string")return h;const d=m.getProxy(M.MainContext.MainThreadFileSystem);let o=!1;(f.pattern.includes(v.GLOBSTAR)||f.pattern.includes(v.GLOB_SPLIT))&&(o=!0);const g=Math.random();return d.$watch(I.identifier.value,g,f.baseUri,{recursive:o,excludes:[]}),P.Disposable.from({dispose:()=>d.$unwatch(g)})}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class R{constructor(m,I,f){this._mainContext=m,this._logService=I,this._extHostDocumentsAndEditors=f,this._onFileSystemEvent=new a.Emitter,this._onDidRenameFile=new a.Emitter,this._onDidCreateFile=new a.Emitter,this._onDidDeleteFile=new a.Emitter,this._onWillRenameFile=new a.AsyncEmitter,this._onWillCreateFile=new a.AsyncEmitter,this._onWillDeleteFile=new a.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(m,I,f,h,d,o){return new T(this._mainContext,m,I,this._onFileSystemEvent.event,y.GlobPattern.from(f),h,d,o)}$onFileEvent(m){this._onFileSystemEvent.fire(m)}$onDidRunFileOperation(m,I){switch(m){case 2:this._onDidRenameFile.fire(Object.freeze({files:I.map(f=>({oldUri:b.URI.revive(f.source),newUri:b.URI.revive(f.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:I.map(f=>b.URI.revive(f.target))}));break;case 0:case 3:this._onDidCreateFile.fire(Object.freeze({files:I.map(f=>b.URI.revive(f.target))}));break;default:}}getOnWillRenameFileEvent(m){return this._createWillExecuteEvent(m,this._onWillRenameFile)}getOnWillCreateFileEvent(m){return this._createWillExecuteEvent(m,this._onWillCreateFile)}getOnWillDeleteFileEvent(m){return this._createWillExecuteEvent(m,this._onWillDeleteFile)}_createWillExecuteEvent(m,I){return(f,h,d)=>{const o=function(A){f.call(h,A)};return o.extension=m,I.event(o,void 0,d)}}async $onWillRunFileOperation(m,I,f,h){switch(m){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:I.map(d=>({oldUri:b.URI.revive(d.source),newUri:b.URI.revive(d.target)}))},f,h);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:I.map(d=>b.URI.revive(d.target))},f,h);case 0:case 3:return await this._fireWillEvent(this._onWillCreateFile,{files:I.map(d=>b.URI.revive(d.target))},f,h)}}async _fireWillEvent(m,I,f,h){const d=new Set,o=[];if(await m.fireAsync(I,h,async(A,c)=>{const _=Date.now(),s=await Promise.resolve(A);s instanceof P.WorkspaceEdit&&(o.push([c.extension,s]),d.add(c.extension.displayName??c.extension.identifier.value)),Date.now()-_>f&&this._logService.warn("SLOW file-participant",c.extension.identifier)}),h.isCancellationRequested||o.length===0)return;const g={edits:[]};for(const[A,c]of o){const{edits:_}=y.WorkspaceEdit.from(c,{getTextDocumentVersion:s=>this._extHostDocumentsAndEditors.getDocument(s)?.version,getNotebookDocumentVersion:()=>{}},(0,E.isProposedApiEnabled)(A,"snippetWorkspaceEdit"));g.edits=g.edits.concat(_)}return{edit:g,extensionNames:Array.from(d)}}}e.ExtHostFileSystemEventService=R}),define(ye[200],De([1,0,2,36]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class b{constructor(y,P,E,T,R){this._extHostNotebooks=P,this._textDocumentsAndEditors=E,this._commands=T;const S=new v.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new v.ApiCommandArgument("showOptions","Show Options",m=>!0,m=>m),new v.ApiCommandArgument("resource","Interactive resource Uri",m=>!0,m=>m),new v.ApiCommandArgument("controllerId","Notebook controller Id",m=>!0,m=>m),new v.ApiCommandArgument("title","Interactive editor title",m=>!0,m=>m)],new v.ApiCommandResult("Notebook and input URI",m=>{if(R.debug("[ExtHostInteractive] open iw with notebook editor id",m.notebookEditorId),m.notebookEditorId!==void 0){const I=this._extHostNotebooks.getEditorById(m.notebookEditorId);return R.debug("[ExtHostInteractive] notebook editor found",I.id),{notebookUri:a.URI.revive(m.notebookUri),inputUri:a.URI.revive(m.inputUri),notebookEditor:I.apiEditor}}return R.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",m.notebookUri,m.inputUri),{notebookUri:a.URI.revive(m.notebookUri),inputUri:a.URI.revive(m.inputUri)}}));this._commands.registerApiCommand(S)}$willAddInteractiveDocument(y,P,E,T){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:P,lines:[""],languageId:E,uri:y,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(a.URI.revive(T))?.apiNotebook}]})}$willRemoveInteractiveDocument(y,P){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[y]})}}e.ExtHostInteractive=b}),define(ye[201],De([1,0,7,4]),function(ie,e,a,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class b{constructor(y){this._handlePool=0,this._proxy=y.getProxy(v.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(y){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,y),(0,a.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=b}),define(ye[202],De([1,0,2,26,8,6,66,4,9,49,16,10,244,20,7,77,73,62,203,11,14,24]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class s{constructor(k,z){this._documents=k,this._provider=z}async provideDocumentSymbols(k,z){const W=this._documents.getDocument(k),j=await this._provider.provideDocumentSymbols(W,z);if(!(0,R.isFalsyOrEmpty)(j))return j[0]instanceof M.DocumentSymbol?j.map(b.DocumentSymbol.from):s._asDocumentSymbolTree(j)}static _asDocumentSymbolTree(k){k=k.slice(0).sort((j,se)=>{let de=j.location.range.start.compareTo(se.location.range.start);return de===0&&(de=se.location.range.end.compareTo(j.location.range.end)),de});const z=[],W=[];for(const j of k){const se={name:j.name||"!!MISSING: name!!",kind:b.SymbolKind.from(j.kind),tags:j.tags?.map(b.SymbolTag.from)||[],detail:"",containerName:j.containerName,range:b.Range.from(j.location.range),selectionRange:b.Range.from(j.location.range),children:[]};for(;;){if(W.length===0){W.push(se),z.push(se);break}const de=W[W.length-1];if(T.Range.containsRange(de.range,se.range)&&!T.Range.equalsRange(de.range,se.range)){de.children?.push(se),W.push(se);break}W.pop()}}return z}}class u{constructor(k,z,W){this._documents=k,this._commands=z,this._provider=W,this._cache=new o.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(k,z){const W=this._documents.getDocument(k),j=await this._provider.provideCodeLenses(W,z);if(!j||z.isCancellationRequested)return;const se=this._cache.add(j),de=new f.DisposableStore;this._disposables.set(se,de);const Z={cacheId:se,lenses:[]};for(let pe=0;pe<j.length;pe++)Z.lenses.push({cacheId:[se,pe],range:b.Range.from(j[pe].range),command:this._commands.toInternal(j[pe].command,de)});return Z}async resolveCodeLens(k,z){const W=k.cacheId&&this._cache.get(...k.cacheId);if(!W)return;let j;if(typeof this._provider.resolveCodeLens!="function"||W.isResolved?j=W:j=await this._provider.resolveCodeLens(W,z),j||(j=W),z.isCancellationRequested)return;const se=k.cacheId&&this._disposables.get(k.cacheId[0]);if(!!se)return k.command=this._commands.toInternal(j.command??u._badCmd,se),k}releaseCodeLenses(k){this._disposables.get(k)?.dispose(),this._disposables.delete(k),this._cache.delete(k)}}u._badCmd={command:"missing",title:"!!MISSING: command!!"};function i(J){return Array.isArray(J)?J.map(b.DefinitionLink.from):J?[b.DefinitionLink.from(J)]:[]}class n{constructor(k,z){this._documents=k,this._provider=z}async provideDefinition(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideDefinition(j,se,W);return i(de)}}class r{constructor(k,z){this._documents=k,this._provider=z}async provideDeclaration(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideDeclaration(j,se,W);return i(de)}}class t{constructor(k,z){this._documents=k,this._provider=z}async provideImplementation(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideImplementation(j,se,W);return i(de)}}class l{constructor(k,z){this._documents=k,this._provider=z}async provideTypeDefinition(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideTypeDefinition(j,se,W);return i(de)}}class w{constructor(k,z){this._documents=k,this._provider=z}async provideHover(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideHover(j,se,W);if(!(!de||(0,R.isFalsyOrEmpty)(de.contents)))return de.range||(de.range=j.getWordRangeAtPosition(se)),de.range||(de.range=new M.Range(se,se)),b.Hover.from(de)}}class p{constructor(k,z){this._documents=k,this._provider=z}async provideEvaluatableExpression(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideEvaluatableExpression(j,se,W);if(de)return b.EvaluatableExpression.from(de)}}class D{constructor(k,z){this._documents=k,this._provider=z}async provideInlineValues(k,z,W,j){const se=this._documents.getDocument(k),de=await this._provider.provideInlineValues(se,b.Range.to(z),b.InlineValueContext.to(W),j);if(Array.isArray(de))return de.map(Z=>b.InlineValue.from(Z))}}class U{constructor(k,z){this._documents=k,this._provider=z}async provideDocumentHighlights(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideDocumentHighlights(j,se,W);if(Array.isArray(de))return de.map(b.DocumentHighlight.from)}}class V{constructor(k,z){this._documents=k,this._provider=z}async provideLinkedEditingRanges(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.provideLinkedEditingRanges(j,se,W);if(de&&Array.isArray(de.ranges))return{ranges:(0,R.coalesce)(de.ranges.map(b.Range.from)),wordPattern:de.wordPattern}}}class x{constructor(k,z){this._documents=k,this._provider=z}async provideReferences(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z),Z=await this._provider.provideReferences(se,de,W,j);if(Array.isArray(Z))return Z.map(b.location.from)}}class C{constructor(k,z,W,j,se,de,Z){this._documents=k,this._commands=z,this._diagnostics=W,this._provider=j,this._logService=se,this._extension=de,this._apiDeprecation=Z,this._cache=new o.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions(k,z,W,j){const se=this._documents.getDocument(k),de=m.Selection.isISelection(z)?b.Selection.to(z):b.Range.to(z),Z=[];for(const Ge of this._diagnostics.getDiagnostics(k))if(de.intersection(Ge.range)&&Z.push(Ge)>C._maxCodeActionsPerFile)break;const pe={diagnostics:Z,only:W.only?new M.CodeActionKind(W.only):void 0,triggerKind:b.CodeActionTriggerKind.to(W.trigger)},ge=await this._provider.provideCodeActions(se,de,pe,j);if(!(0,R.isNonEmptyArray)(ge)||j.isCancellationRequested)return;const Ne=this._cache.add(ge),Be=new f.DisposableStore;this._disposables.set(Ne,Be);const Je=[];for(let Ge=0;Ge<ge.length;Ge++){const ke=ge[Ge];!ke||(C._isCommand(ke)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Je.push({_isSynthetic:!0,title:ke.title,command:this._commands.toInternal(ke,Be)})):(pe.only&&(ke.kind?pe.only.contains(ke.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${pe.only.value} 'requested but returned code action is of kind '${ke.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${pe.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Je.push({cacheId:[Ne,Ge],title:ke.title,command:ke.command&&this._commands.toInternal(ke.command,Be),diagnostics:ke.diagnostics&&ke.diagnostics.map(b.Diagnostic.from),edit:ke.edit&&b.WorkspaceEdit.from(ke.edit,void 0,(0,_.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")),kind:ke.kind&&ke.kind.value,isPreferred:ke.isPreferred,disabled:ke.disabled?.reason})))}return{cacheId:Ne,actions:Je}}async resolveCodeAction(k,z){const[W,j]=k,se=this._cache.get(W,j);if(!se||C._isCommand(se)||!this._provider.resolveCodeAction)return;const de=await this._provider.resolveCodeAction(se,z)??se;return de?.edit?b.WorkspaceEdit.from(de.edit,void 0,(0,_.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")):void 0}releaseCodeActions(k){this._disposables.get(k)?.dispose(),this._disposables.delete(k),this._cache.delete(k)}static _isCommand(k){return typeof k.command=="string"&&typeof k.title=="string"}}C._maxCodeActionsPerFile=1e3;class L{constructor(k,z,W,j){this._proxy=k,this._documents=z,this._provider=W,this._handle=j}async prepareDocumentPaste(k,z,W,j){if(!this._provider.prepareDocumentPaste)return;const se=this._documents.getDocument(k),de=z.map(pe=>b.Range.to(pe)),Z=b.DataTransfer.toDataTransfer(W,()=>{throw new A.NotImplementedError});return await this._provider.prepareDocumentPaste(se,de,Z,j),b.DataTransfer.toDataTransferDTO(Z)}async providePasteEdits(k,z,W,j,se){const de=this._documents.getDocument(z),Z=W.map(Ne=>b.Range.to(Ne)),pe=b.DataTransfer.toDataTransfer(j,async Ne=>(await this._proxy.$resolvePasteFileData(this._handle,k,Ne)).buffer),ge=await this._provider.provideDocumentPasteEdits(de,Z,pe,se);if(!!ge)return{insertText:typeof ge.insertText=="string"?ge.insertText:{snippet:ge.insertText.value},additionalEdit:ge.additionalEdit?b.WorkspaceEdit.from(ge.additionalEdit,void 0,!0):void 0}}}class B{constructor(k,z){this._documents=k,this._provider=z}async provideDocumentFormattingEdits(k,z,W){const j=this._documents.getDocument(k),se=await this._provider.provideDocumentFormattingEdits(j,z,W);if(Array.isArray(se))return se.map(b.TextEdit.from)}}class F{constructor(k,z){this._documents=k,this._provider=z}async provideDocumentRangeFormattingEdits(k,z,W,j){const se=this._documents.getDocument(k),de=b.Range.to(z),Z=await this._provider.provideDocumentRangeFormattingEdits(se,de,W,j);if(Array.isArray(Z))return Z.map(b.TextEdit.from)}}class K{constructor(k,z){this._documents=k,this._provider=z,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(k,z,W,j,se){const de=this._documents.getDocument(k),Z=b.Position.to(z),pe=await this._provider.provideOnTypeFormattingEdits(de,Z,W,j,se);if(Array.isArray(pe))return pe.map(b.TextEdit.from)}}class H{constructor(k,z){this._provider=k,this._logService=z,this._cache=new o.Cache("WorkspaceSymbols")}async provideWorkspaceSymbols(k,z){const W=await this._provider.provideWorkspaceSymbols(k,z);if(!(0,R.isNonEmptyArray)(W))return{symbols:[]};const j=this._cache.add(W),se={cacheId:j,symbols:[]};for(let de=0;de<W.length;de++){const Z=W[de];if(!Z||!Z.name){this._logService.warn("INVALID SymbolInformation",Z);continue}se.symbols.push({...b.WorkspaceSymbol.from(Z),cacheId:[j,de]})}return se}async resolveWorkspaceSymbol(k,z){if(typeof this._provider.resolveWorkspaceSymbol!="function"||!k.cacheId)return k;const W=this._cache.get(...k.cacheId);if(W){const j=await this._provider.resolveWorkspaceSymbol(W,z);return j&&(0,v.mixin)(k,b.WorkspaceSymbol.from(j),!0)}}releaseWorkspaceSymbols(k){this._cache.delete(k)}}class O{constructor(k,z,W){this._documents=k,this._provider=z,this._logService=W}static supportsResolving(k){return typeof k.prepareRename=="function"}async provideRenameEdits(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z);try{const Z=await this._provider.provideRenameEdits(se,de,W,j);return Z?b.WorkspaceEdit.from(Z):void 0}catch(Z){const pe=O._asMessage(Z);return pe?{rejectReason:pe,edits:void 0}:Promise.reject(Z)}}async resolveRenameLocation(k,z,W){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const j=this._documents.getDocument(k),se=b.Position.to(z);try{const de=await this._provider.prepareRename(j,se,W);let Z,pe;if(M.Range.isRange(de)?(Z=de,pe=j.getText(de)):(0,S.isObject)(de)&&(Z=de.range,pe=de.placeholder),!Z||!pe)return;if(Z.start.line>se.line||Z.end.line<se.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:b.Range.from(Z),text:pe}}catch(de){const Z=O._asMessage(de);return Z?{rejectReason:Z,range:void 0,text:void 0}:Promise.reject(de)}}static _asMessage(k){return typeof k=="string"?k:k instanceof Error&&typeof k.message=="string"?k.message:void 0}}class ee{constructor(k,z){this.resultId=k,this.tokens=z}}class ce{constructor(k,z){this._documents=k,this._provider=z,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens(k,z,W){const j=this._documents.getDocument(k),se=z!==0?this._previousResults.get(z):null;let de=typeof se?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(j,se.resultId,W):await this._provider.provideDocumentSemanticTokens(j,W);return se&&this._previousResults.delete(z),de?(de=ce._fixProvidedSemanticTokens(de),this._send(ce._convertToEdits(se,de),de)):null}async releaseDocumentSemanticColoring(k){this._previousResults.delete(k)}static _fixProvidedSemanticTokens(k){return ce._isSemanticTokens(k)?ce._isCorrectSemanticTokens(k)?k:new M.SemanticTokens(new Uint32Array(k.data),k.resultId):ce._isSemanticTokensEdits(k)?ce._isCorrectSemanticTokensEdits(k)?k:new M.SemanticTokensEdits(k.edits.map(z=>new M.SemanticTokensEdit(z.start,z.deleteCount,z.data?new Uint32Array(z.data):z.data)),k.resultId):k}static _isSemanticTokens(k){return k&&!!k.data}static _isCorrectSemanticTokens(k){return k.data instanceof Uint32Array}static _isSemanticTokensEdits(k){return k&&Array.isArray(k.edits)}static _isCorrectSemanticTokensEdits(k){for(const z of k.edits)if(!(z.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(k,z){if(!ce._isSemanticTokens(z)||!k||!k.tokens)return z;const W=k.tokens,j=W.length,se=z.data,de=se.length;let Z=0;const pe=Math.min(j,de);for(;Z<pe&&W[Z]===se[Z];)Z++;if(Z===j&&Z===de)return new M.SemanticTokensEdits([],z.resultId);let ge=0;const Ne=pe-Z;for(;ge<Ne&&W[j-ge-1]===se[de-ge-1];)ge++;return new M.SemanticTokensEdits([{start:Z,deleteCount:j-Z-ge,data:se.subarray(Z,de-ge)}],z.resultId)}_send(k,z){if(ce._isSemanticTokens(k)){const W=this._nextResultId++;return this._previousResults.set(W,new ee(k.resultId,k.data)),(0,h.encodeSemanticTokensDto)({id:W,type:"full",data:k.data})}if(ce._isSemanticTokensEdits(k)){const W=this._nextResultId++;return ce._isSemanticTokens(z)?this._previousResults.set(W,new ee(z.resultId,z.data)):this._previousResults.set(W,new ee(k.resultId)),(0,h.encodeSemanticTokensDto)({id:W,type:"delta",deltas:(k.edits||[]).map(j=>({start:j.start,deleteCount:j.deleteCount,data:j.data}))})}return null}}e.DocumentSemanticTokensAdapter=ce;class oe{constructor(k,z){this._documents=k,this._provider=z}async provideDocumentRangeSemanticTokens(k,z,W){const j=this._documents.getDocument(k),se=await this._provider.provideDocumentRangeSemanticTokens(j,b.Range.to(z),W);return se?this._send(se):null}_send(k){return(0,h.encodeSemanticTokensDto)({id:0,type:"full",data:k.data})}}e.DocumentRangeSemanticTokensAdapter=oe;class le{constructor(k,z,W,j,se){this._documents=k,this._commands=z,this._provider=W,this._apiDeprecation=j,this._extension=se,this._cache=new o.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(k){return typeof k.resolveCompletionItem=="function"}async provideCompletionItems(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z),Z=se.getWordRangeAtPosition(de)||new M.Range(de,de),pe=Z.with({end:de}),ge=new g.StopWatch(!0),Ne=await this._provider.provideCompletionItems(se,de,j,b.CompletionContext.to(W));if(!Ne||j.isCancellationRequested)return;const Be=Array.isArray(Ne)?new M.CompletionList(Ne):Ne,Je=le.supportsResolving(this._provider)?this._cache.add(Be.items):this._cache.add([]),Ge=new f.DisposableStore;this._disposables.set(Je,Ge);const ke=[],rt={x:Je,b:ke,a:{replace:b.Range.from(Z),insert:b.Range.from(pe)},c:Be.isIncomplete||void 0,d:ge.elapsed()};for(let G=0;G<Be.items.length;G++){const Q=Be.items[G],fe=this._convertCompletionItem(Q,[Je,G],pe,Z);ke.push(fe)}return rt}async resolveCompletionItem(k,z){if(typeof this._provider.resolveCompletionItem!="function")return;const W=this._cache.get(...k);if(!W)return;const j=await this._provider.resolveCompletionItem(W,z);if(!!j)return this._convertCompletionItem(j,k)}releaseCompletionItems(k){this._disposables.get(k)?.dispose(),this._disposables.delete(k),this._cache.delete(k)}_convertCompletionItem(k,z,W,j){const se=this._disposables.get(z[0]);if(!se)throw Error("DisposableStore is missing...");const de={x:z,a:k.label,b:k.kind!==void 0?b.CompletionItemKind.from(k.kind):void 0,n:k.tags&&k.tags.map(b.CompletionItemTag.from),c:k.detail,d:typeof k.documentation=="undefined"?void 0:b.MarkdownString.fromStrict(k.documentation),e:k.sortText!==k.label?k.sortText:void 0,f:k.filterText!==k.label?k.filterText:void 0,g:k.preselect||void 0,i:k.keepWhitespace?1:0,k:k.commitCharacters,l:k.additionalTextEdits&&k.additionalTextEdits.map(b.TextEdit.from),m:this._commands.toInternal(k.command,se)};k.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),de.h=k.textEdit.newText):typeof k.insertText=="string"?de.h=k.insertText:k.insertText instanceof M.SnippetString&&(de.h=k.insertText.value,de.i|=4);let Z;return k.textEdit?Z=k.textEdit.range:k.range&&(Z=k.range),M.Range.isRange(Z)?de.j=b.Range.from(Z):Z&&(!W?.isEqual(Z.inserting)||!j?.isEqual(Z.replacing))&&(de.j={insert:b.Range.from(Z.inserting),replace:b.Range.from(Z.replacing)}),de}}class te{async provideInlineCompletions(k,z,W,j){}disposeCompletions(k){}handleDidShowCompletionItem(k,z){}}class Ee extends te{constructor(k,z,W,j){super();this._extension=k,this._documents=z,this._provider=W,this._commands=j,this._references=new ne,this._isAdditionsProposedApiEnabled=(0,_.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:M.InlineCompletionTriggerKind.Automatic,[y.InlineCompletionTriggerKind.Explicit]:M.InlineCompletionTriggerKind.Invoke}}get supportsHandleDidShowCompletionItem(){return(0,_.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions")&&typeof this._provider.handleDidShowCompletionItem=="function"}async provideInlineCompletions(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z),Z=await this._provider.provideInlineCompletionItems(se,de,{selectedCompletionInfo:W.selectedSuggestionInfo?{range:b.Range.to(W.selectedSuggestionInfo.range),text:W.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[W.triggerKind]},j);if(!Z||j.isCancellationRequested)return;const pe=Array.isArray(Z)?Z:Z.items,ge=this._isAdditionsProposedApiEnabled?Array.isArray(Z)?[]:Z.commands||[]:[];let Ne;return{pid:this._references.createReferenceId({dispose(){Ne?.dispose()},items:pe}),items:pe.map((Je,Ge)=>{let ke;Je.command&&(Ne||(Ne=new f.DisposableStore),ke=this._commands.toInternal(Je.command,Ne));const rt=Je.insertText;return{insertText:typeof rt=="string"?rt:{snippet:rt.value},filterText:Je.filterText,range:Je.range?b.Range.from(Je.range):void 0,command:ke,idx:Ge,completeBracketPairs:this._isAdditionsProposedApiEnabled?Je.completeBracketPairs:!1}}),commands:ge.map(Je=>(Ne||(Ne=new f.DisposableStore),this._commands.toInternal(Je,Ne)))}}disposeCompletions(k){this._references.disposeReferenceId(k)?.dispose()}handleDidShowCompletionItem(k,z){const W=this._references.get(k)?.items[z];W&&this._provider.handleDidShowCompletionItem&&this._isAdditionsProposedApiEnabled&&this._provider.handleDidShowCompletionItem(W)}}class be extends te{constructor(k,z,W,j){super();this.extension=k,this._documents=z,this._provider=W,this._commands=j,this._references=new ne,this.isAdditionProposedApiEnabled=(0,_.isProposedApiEnabled)(this.extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:M.InlineCompletionTriggerKindNew.Automatic,[y.InlineCompletionTriggerKind.Explicit]:M.InlineCompletionTriggerKindNew.Invoke}}async provideInlineCompletions(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z),Z=await this._provider.provideInlineCompletionItems(se,de,{selectedCompletionInfo:W.selectedSuggestionInfo?{range:b.Range.to(W.selectedSuggestionInfo.range),text:W.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[W.triggerKind]},j);if(!Z||j.isCancellationRequested)return;const pe=Array.isArray(Z)?Z:Z.items,ge=Array.isArray(Z)?[]:Z.commands||[];let Ne;return{pid:this._references.createReferenceId({dispose(){Ne?.dispose()},items:pe}),items:pe.map((Je,Ge)=>{let ke;Je.command&&(Ne||(Ne=new f.DisposableStore),ke=this._commands.toInternal(Je.command,Ne));const rt=Je.insertText;return{insertText:typeof rt=="string"?rt:{snippet:rt.value},filterText:Je.filterText,range:Je.range?b.Range.from(Je.range):void 0,command:ke,idx:Ge,completeBracketPairs:this.isAdditionProposedApiEnabled?Je.completeBracketPairs:!1}}),commands:ge.map(Je=>(Ne||(Ne=new f.DisposableStore),this._commands.toInternal(Je,Ne)))}}disposeCompletions(k){this._references.disposeReferenceId(k)?.dispose()}handleDidShowCompletionItem(k,z){const W=this._references.get(k)?.items[z];W&&this._provider.handleDidShowCompletionItem&&this.isAdditionProposedApiEnabled&&this._provider.handleDidShowCompletionItem(W)}}class ne{constructor(){this._references=new Map,this._idPool=1}createReferenceId(k){const z=this._idPool++;return this._references.set(z,k),z}disposeReferenceId(k){const z=this._references.get(k);return this._references.delete(k),z}get(k){return this._references.get(k)}}class ve{constructor(k,z){this._documents=k,this._provider=z,this._cache=new o.Cache("SignatureHelp")}async provideSignatureHelp(k,z,W,j){const se=this._documents.getDocument(k),de=b.Position.to(z),Z=this.reviveContext(W),pe=await this._provider.provideSignatureHelp(se,de,j,Z);if(pe){const ge=this._cache.add([pe]);return{...b.SignatureHelp.from(pe),id:ge}}}reviveContext(k){let z;if(k.activeSignatureHelp){const W=b.SignatureHelp.to(k.activeSignatureHelp),j=this._cache.get(k.activeSignatureHelp.id,0);j?(z=j,z.activeSignature=W.activeSignature,z.activeParameter=W.activeParameter):z=W}return{...k,activeSignatureHelp:z}}releaseSignatureHelp(k){this._cache.delete(k)}}class Pe{constructor(k,z,W,j,se){this._documents=k,this._commands=z,this._provider=W,this._logService=j,this._extension=se,this._cache=new o.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints(k,z,W){const j=this._documents.getDocument(k),se=b.Range.to(z),de=await this._provider.provideInlayHints(j,se,W);if(!Array.isArray(de)||de.length===0){this._logService.trace(`[InlayHints] NO inlay hints from '${this._extension.identifier.value}' for ${z}`);return}if(W.isCancellationRequested)return;const Z=this._cache.add(de);this._disposables.set(Z,new f.DisposableStore);const pe={hints:[],cacheId:Z};for(let ge=0;ge<de.length;ge++)this._isValidInlayHint(de[ge],se)&&pe.hints.push(this._convertInlayHint(de[ge],[Z,ge]));return this._logService.trace(`[InlayHints] ${pe.hints.length} inlay hints from '${this._extension.identifier.value}' for ${z}`),pe}async resolveInlayHint(k,z){if(typeof this._provider.resolveInlayHint!="function")return;const W=this._cache.get(...k);if(!W)return;const j=await this._provider.resolveInlayHint(W,z);if(!!j&&!!this._isValidInlayHint(j))return this._convertInlayHint(j,k)}releaseHints(k){this._disposables.get(k)?.dispose(),this._disposables.delete(k),this._cache.delete(k)}_isValidInlayHint(k,z){return k.label.length===0||Array.isArray(k.label)&&k.label.every(W=>W.value.length===0)?(console.log("INVALID inlay hint, empty label",k),!1):!(z&&!z.contains(k.position))}_convertInlayHint(k,z){const W=this._disposables.get(z[0]);if(!W)throw Error("DisposableStore is missing...");const j={label:"",cacheId:z,tooltip:b.MarkdownString.fromStrict(k.tooltip),position:b.Position.from(k.position),textEdits:k.textEdits&&k.textEdits.map(b.TextEdit.from),kind:k.kind&&b.InlayHintKind.from(k.kind),paddingLeft:k.paddingLeft,paddingRight:k.paddingRight};return typeof k.label=="string"?j.label=k.label:j.label=k.label.map(se=>{const de={label:se.value};return de.tooltip=b.MarkdownString.fromStrict(se.tooltip),M.Location.isLocation(se.location)&&(de.location=b.location.from(se.location)),se.command&&(de.command=this._commands.toInternal(se.command,W)),de}),j}}class Fe{constructor(k,z){this._documents=k,this._provider=z,this._cache=new o.Cache("DocumentLink")}async provideLinks(k,z){const W=this._documents.getDocument(k),j=await this._provider.provideDocumentLinks(W,z);if(!(!Array.isArray(j)||j.length===0)&&!z.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:j.filter(Fe._validateLink).map(b.DocumentLink.from)};{const se=this._cache.add(j),de={links:[],cacheId:se};for(let Z=0;Z<j.length;Z++){if(!Fe._validateLink(j[Z]))continue;const pe=b.DocumentLink.from(j[Z]);pe.cacheId=[se,Z],de.links.push(pe)}return de}}}static _validateLink(k){return k.target&&k.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(k,z){if(typeof this._provider.resolveDocumentLink!="function")return;const W=this._cache.get(...k);if(!W)return;const j=await this._provider.resolveDocumentLink(W,z);if(!(!j||!Fe._validateLink(j)))return b.DocumentLink.from(j)}releaseLinks(k){this._cache.delete(k)}}class xe{constructor(k,z){this._documents=k,this._provider=z}async provideColors(k,z){const W=this._documents.getDocument(k),j=await this._provider.provideDocumentColors(W,z);return Array.isArray(j)?j.map(de=>({color:b.Color.from(de.color),range:b.Range.from(de.range)})):[]}async provideColorPresentations(k,z,W){const j=this._documents.getDocument(k),se=b.Range.to(z.range),de=b.Color.to(z.color),Z=await this._provider.provideColorPresentations(de,{document:j,range:se},W);if(!!Array.isArray(Z))return Z.map(b.ColorPresentation.from)}}class Qe{constructor(k,z){this._documents=k,this._provider=z}async provideFoldingRanges(k,z,W){const j=this._documents.getDocument(k),se=await this._provider.provideFoldingRanges(j,z,W);if(!!Array.isArray(se))return se.map(b.FoldingRange.from)}}class Ie{constructor(k,z,W){this._documents=k,this._provider=z,this._logService=W}async provideSelectionRanges(k,z,W){const j=this._documents.getDocument(k),se=z.map(b.Position.to),de=await this._provider.provideSelectionRanges(j,se,W);if(!(0,R.isNonEmptyArray)(de))return[];if(de.length!==se.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Z=[];for(let pe=0;pe<se.length;pe++){const ge=[];Z.push(ge);let Ne=se[pe],Be=de[pe];for(;;){if(!Be.range.contains(Ne))throw new Error("INVALID selection range, must contain the previous range");if(ge.push(b.SelectionRange.from(Be)),!Be.parent)break;Ne=Be.range,Be=Be.parent}}return Z}}class Se{constructor(k,z){this._documents=k,this._provider=z,this._idPool=new d.IdGenerator(""),this._cache=new Map}async prepareSession(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.prepareCallHierarchy(j,se,W);if(!de)return;const Z=this._idPool.nextId();return this._cache.set(Z,new Map),Array.isArray(de)?de.map(pe=>this._cacheAndConvertItem(Z,pe)):[this._cacheAndConvertItem(Z,de)]}async provideCallsTo(k,z,W){const j=this._itemFromCache(k,z);if(!j)throw new Error("missing call hierarchy item");const se=await this._provider.provideCallHierarchyIncomingCalls(j,W);if(!!se)return se.map(de=>({from:this._cacheAndConvertItem(k,de.from),fromRanges:de.fromRanges.map(Z=>b.Range.from(Z))}))}async provideCallsFrom(k,z,W){const j=this._itemFromCache(k,z);if(!j)throw new Error("missing call hierarchy item");const se=await this._provider.provideCallHierarchyOutgoingCalls(j,W);if(!!se)return se.map(de=>({to:this._cacheAndConvertItem(k,de.to),fromRanges:de.fromRanges.map(Z=>b.Range.from(Z))}))}releaseSession(k){this._cache.delete(k)}_cacheAndConvertItem(k,z){const W=this._cache.get(k),j=b.CallHierarchyItem.from(z,k,W.size.toString(36));return W.set(j._itemId,z),j}_itemFromCache(k,z){return this._cache.get(k)?.get(z)}}class Te{constructor(k,z){this._documents=k,this._provider=z,this._idPool=new d.IdGenerator(""),this._cache=new Map}async prepareSession(k,z,W){const j=this._documents.getDocument(k),se=b.Position.to(z),de=await this._provider.prepareTypeHierarchy(j,se,W);if(!de)return;const Z=this._idPool.nextId();return this._cache.set(Z,new Map),Array.isArray(de)?de.map(pe=>this._cacheAndConvertItem(Z,pe)):[this._cacheAndConvertItem(Z,de)]}async provideSupertypes(k,z,W){const j=this._itemFromCache(k,z);if(!j)throw new Error("missing type hierarchy item");const se=await this._provider.provideTypeHierarchySupertypes(j,W);if(!!se)return se.map(de=>this._cacheAndConvertItem(k,de))}async provideSubtypes(k,z,W){const j=this._itemFromCache(k,z);if(!j)throw new Error("missing type hierarchy item");const se=await this._provider.provideTypeHierarchySubtypes(j,W);if(!!se)return se.map(de=>this._cacheAndConvertItem(k,de))}releaseSession(k){this._cache.delete(k)}_cacheAndConvertItem(k,z){const W=this._cache.get(k),j=b.TypeHierarchyItem.from(z,k,W.size.toString(36));return W.set(j._itemId,z),j}_itemFromCache(k,z){return this._cache.get(k)?.get(z)}}class ae{constructor(k,z,W,j){this._proxy=k,this._documents=z,this._provider=W,this._handle=j}async provideDocumentOnDropEdits(k,z,W,j,se){const de=this._documents.getDocument(z),Z=b.Position.to(W),pe=b.DataTransfer.toDataTransfer(j,async Ne=>(await this._proxy.$resolveDocumentOnDropFileData(this._handle,k,Ne)).buffer),ge=await this._provider.provideDocumentDropEdits(de,Z,pe,se);if(!!ge)return{insertText:typeof ge.insertText=="string"?ge.insertText:{snippet:ge.insertText.value},additionalEdit:ge.additionalEdit?b.WorkspaceEdit.from(ge.additionalEdit,void 0,!0):void 0}}}class ue{constructor(k,z){this.adapter=k,this.extension=z}}class X{constructor(k,z,W,j,se,de,Z){this._adapter=new Map,this._uriTransformer=z,this._proxy=k.getProxy(P.MainContext.MainThreadLanguageFeatures),this._documents=W,this._commands=j,this._diagnostics=se,this._logService=de,this._apiDeprecation=Z}_transformDocumentSelector(k){return b.DocumentSelector.from(k,this._uriTransformer)}_createDisposable(k){return new M.Disposable(()=>{this._adapter.delete(k),this._proxy.$unregister(k)})}_nextHandle(){return X._handlePool++}async _withAdapter(k,z,W,j,se,de=!1){const Z=this._adapter.get(k);if(!Z||!(Z.adapter instanceof z))return j;const pe=Date.now();de||this._logService.trace(`[${Z.extension.identifier.value}] INVOKE provider '${W.toString().replace(/[\r\n]/g,"")}'`);const ge=W(Z.adapter,Z.extension);return Promise.resolve(ge).catch(Ne=>{(0,A.isCancellationError)(Ne)||(this._logService.error(`[${Z.extension.identifier.value}] provider FAILED`),this._logService.error(Ne))}).finally(()=>{de||this._logService.trace(`[${Z.extension.identifier.value}] provider DONE after ${Date.now()-pe}ms`)}),I.CancellationToken.isCancellationToken(se)?(0,c.raceCancellationError)(ge,se):ge}_addNewAdapter(k,z){const W=this._nextHandle();return this._adapter.set(W,new ue(k,z)),W}static _extLabel(k){return k.displayName||k.name}registerDocumentSymbolProvider(k,z,W,j){const se=this._addNewAdapter(new s(this._documents,W),k),de=j&&j.label||X._extLabel(k);return this._proxy.$registerDocumentSymbolProvider(se,this._transformDocumentSelector(z),de),this._createDisposable(se)}$provideDocumentSymbols(k,z,W){return this._withAdapter(k,s,j=>j.provideDocumentSymbols(a.URI.revive(z),W),void 0,W)}registerCodeLensProvider(k,z,W){const j=this._nextHandle(),se=typeof W.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(j,new ue(new u(this._documents,this._commands.converter,W),k)),this._proxy.$registerCodeLensSupport(j,this._transformDocumentSelector(z),se);let de=this._createDisposable(j);if(se!==void 0){const Z=W.onDidChangeCodeLenses(pe=>this._proxy.$emitCodeLensEvent(se));de=M.Disposable.from(de,Z)}return de}$provideCodeLenses(k,z,W){return this._withAdapter(k,u,j=>j.provideCodeLenses(a.URI.revive(z),W),void 0,W)}$resolveCodeLens(k,z,W){return this._withAdapter(k,u,j=>j.resolveCodeLens(z,W),void 0,void 0)}$releaseCodeLenses(k,z){this._withAdapter(k,u,W=>Promise.resolve(W.releaseCodeLenses(z)),void 0,void 0)}registerDefinitionProvider(k,z,W){const j=this._addNewAdapter(new n(this._documents,W),k);return this._proxy.$registerDefinitionSupport(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideDefinition(k,z,W,j){return this._withAdapter(k,n,se=>se.provideDefinition(a.URI.revive(z),W,j),[],j)}registerDeclarationProvider(k,z,W){const j=this._addNewAdapter(new r(this._documents,W),k);return this._proxy.$registerDeclarationSupport(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideDeclaration(k,z,W,j){return this._withAdapter(k,r,se=>se.provideDeclaration(a.URI.revive(z),W,j),[],j)}registerImplementationProvider(k,z,W){const j=this._addNewAdapter(new t(this._documents,W),k);return this._proxy.$registerImplementationSupport(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideImplementation(k,z,W,j){return this._withAdapter(k,t,se=>se.provideImplementation(a.URI.revive(z),W,j),[],j)}registerTypeDefinitionProvider(k,z,W){const j=this._addNewAdapter(new l(this._documents,W),k);return this._proxy.$registerTypeDefinitionSupport(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideTypeDefinition(k,z,W,j){return this._withAdapter(k,l,se=>se.provideTypeDefinition(a.URI.revive(z),W,j),[],j)}registerHoverProvider(k,z,W,j){const se=this._addNewAdapter(new w(this._documents,W),k);return this._proxy.$registerHoverProvider(se,this._transformDocumentSelector(z)),this._createDisposable(se)}$provideHover(k,z,W,j){return this._withAdapter(k,w,se=>se.provideHover(a.URI.revive(z),W,j),void 0,j)}registerEvaluatableExpressionProvider(k,z,W,j){const se=this._addNewAdapter(new p(this._documents,W),k);return this._proxy.$registerEvaluatableExpressionProvider(se,this._transformDocumentSelector(z)),this._createDisposable(se)}$provideEvaluatableExpression(k,z,W,j){return this._withAdapter(k,p,se=>se.provideEvaluatableExpression(a.URI.revive(z),W,j),void 0,j)}registerInlineValuesProvider(k,z,W,j){const se=typeof W.onDidChangeInlineValues=="function"?this._nextHandle():void 0,de=this._addNewAdapter(new D(this._documents,W),k);this._proxy.$registerInlineValuesProvider(de,this._transformDocumentSelector(z),se);let Z=this._createDisposable(de);if(se!==void 0){const pe=W.onDidChangeInlineValues(ge=>this._proxy.$emitInlineValuesEvent(se));Z=M.Disposable.from(Z,pe)}return Z}$provideInlineValues(k,z,W,j,se){return this._withAdapter(k,D,de=>de.provideInlineValues(a.URI.revive(z),W,j,se),void 0,se)}registerDocumentHighlightProvider(k,z,W){const j=this._addNewAdapter(new U(this._documents,W),k);return this._proxy.$registerDocumentHighlightProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideDocumentHighlights(k,z,W,j){return this._withAdapter(k,U,se=>se.provideDocumentHighlights(a.URI.revive(z),W,j),void 0,j)}registerLinkedEditingRangeProvider(k,z,W){const j=this._addNewAdapter(new V(this._documents,W),k);return this._proxy.$registerLinkedEditingRangeProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideLinkedEditingRanges(k,z,W,j){return this._withAdapter(k,V,async se=>{const de=await se.provideLinkedEditingRanges(a.URI.revive(z),W,j);if(de)return{ranges:de.ranges,wordPattern:de.wordPattern?X._serializeRegExp(de.wordPattern):void 0}},void 0,j)}registerReferenceProvider(k,z,W){const j=this._addNewAdapter(new x(this._documents,W),k);return this._proxy.$registerReferenceSupport(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideReferences(k,z,W,j,se){return this._withAdapter(k,x,de=>de.provideReferences(a.URI.revive(z),W,j,se),void 0,se)}registerCodeActionProvider(k,z,W,j){const se=new f.DisposableStore,de=this._addNewAdapter(new C(this._documents,this._commands.converter,this._diagnostics,W,this._logService,k,this._apiDeprecation),k);return this._proxy.$registerQuickFixSupport(de,this._transformDocumentSelector(z),{providedKinds:j?.providedCodeActionKinds?.map(Z=>Z.value),documentation:j?.documentation?.map(Z=>({kind:Z.kind.value,command:this._commands.converter.toInternal(Z.command,se)}))},X._extLabel(k),Boolean(W.resolveCodeAction)),se.add(this._createDisposable(de)),se}$provideCodeActions(k,z,W,j,se){return this._withAdapter(k,C,de=>de.provideCodeActions(a.URI.revive(z),W,j,se),void 0,se)}$resolveCodeAction(k,z,W){return this._withAdapter(k,C,j=>j.resolveCodeAction(z,W),void 0,void 0)}$releaseCodeActions(k,z){this._withAdapter(k,C,W=>Promise.resolve(W.releaseCodeActions(z)),void 0,void 0)}registerDocumentFormattingEditProvider(k,z,W){const j=this._addNewAdapter(new B(this._documents,W),k);return this._proxy.$registerDocumentFormattingSupport(j,this._transformDocumentSelector(z),k.identifier,k.displayName||k.name),this._createDisposable(j)}$provideDocumentFormattingEdits(k,z,W,j){return this._withAdapter(k,B,se=>se.provideDocumentFormattingEdits(a.URI.revive(z),W,j),void 0,j)}registerDocumentRangeFormattingEditProvider(k,z,W){const j=this._addNewAdapter(new F(this._documents,W),k);return this._proxy.$registerRangeFormattingSupport(j,this._transformDocumentSelector(z),k.identifier,k.displayName||k.name),this._createDisposable(j)}$provideDocumentRangeFormattingEdits(k,z,W,j,se){return this._withAdapter(k,F,de=>de.provideDocumentRangeFormattingEdits(a.URI.revive(z),W,j,se),void 0,se)}registerOnTypeFormattingEditProvider(k,z,W,j){const se=this._addNewAdapter(new K(this._documents,W),k);return this._proxy.$registerOnTypeFormattingSupport(se,this._transformDocumentSelector(z),j,k.identifier),this._createDisposable(se)}$provideOnTypeFormattingEdits(k,z,W,j,se,de){return this._withAdapter(k,K,Z=>Z.provideOnTypeFormattingEdits(a.URI.revive(z),W,j,se,de),void 0,de)}registerWorkspaceSymbolProvider(k,z){const W=this._addNewAdapter(new H(z,this._logService),k);return this._proxy.$registerNavigateTypeSupport(W,typeof z.resolveWorkspaceSymbol=="function"),this._createDisposable(W)}$provideWorkspaceSymbols(k,z,W){return this._withAdapter(k,H,j=>j.provideWorkspaceSymbols(z,W),{symbols:[]},W)}$resolveWorkspaceSymbol(k,z,W){return this._withAdapter(k,H,j=>j.resolveWorkspaceSymbol(z,W),void 0,void 0)}$releaseWorkspaceSymbols(k,z){this._withAdapter(k,H,W=>W.releaseWorkspaceSymbols(z),void 0,void 0)}registerRenameProvider(k,z,W){const j=this._addNewAdapter(new O(this._documents,W,this._logService),k);return this._proxy.$registerRenameSupport(j,this._transformDocumentSelector(z),O.supportsResolving(W)),this._createDisposable(j)}$provideRenameEdits(k,z,W,j,se){return this._withAdapter(k,O,de=>de.provideRenameEdits(a.URI.revive(z),W,j,se),void 0,se)}$resolveRenameLocation(k,z,W,j){return this._withAdapter(k,O,se=>se.resolveRenameLocation(a.URI.revive(z),W,j),void 0,j)}registerDocumentSemanticTokensProvider(k,z,W,j){const se=this._addNewAdapter(new ce(this._documents,W),k),de=typeof W.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._proxy.$registerDocumentSemanticTokensProvider(se,this._transformDocumentSelector(z),j,de);let Z=this._createDisposable(se);if(de){const pe=W.onDidChangeSemanticTokens(ge=>this._proxy.$emitDocumentSemanticTokensEvent(de));Z=M.Disposable.from(Z,pe)}return Z}$provideDocumentSemanticTokens(k,z,W,j){return this._withAdapter(k,ce,se=>se.provideDocumentSemanticTokens(a.URI.revive(z),W,j),null,j)}$releaseDocumentSemanticTokens(k,z){this._withAdapter(k,ce,W=>W.releaseDocumentSemanticColoring(z),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(k,z,W,j){const se=this._addNewAdapter(new oe(this._documents,W),k);return this._proxy.$registerDocumentRangeSemanticTokensProvider(se,this._transformDocumentSelector(z),j),this._createDisposable(se)}$provideDocumentRangeSemanticTokens(k,z,W,j){return this._withAdapter(k,oe,se=>se.provideDocumentRangeSemanticTokens(a.URI.revive(z),W,j),null,j)}registerCompletionItemProvider(k,z,W,j){const se=this._addNewAdapter(new le(this._documents,this._commands.converter,W,this._apiDeprecation,k),k);return this._proxy.$registerCompletionsProvider(se,this._transformDocumentSelector(z),j,le.supportsResolving(W),`${k.identifier.value}(${j.join("")})`),this._createDisposable(se)}$provideCompletionItems(k,z,W,j,se){return this._withAdapter(k,le,de=>de.provideCompletionItems(a.URI.revive(z),W,j,se),void 0,se)}$resolveCompletionItem(k,z,W){return this._withAdapter(k,le,j=>j.resolveCompletionItem(z,W),void 0,W)}$releaseCompletionItems(k,z){this._withAdapter(k,le,W=>W.releaseCompletionItems(z),void 0,void 0)}registerInlineCompletionsProvider(k,z,W){const j=new Ee(k,this._documents,W,this._commands.converter),se=this._addNewAdapter(j,k);return this._proxy.$registerInlineCompletionsSupport(se,this._transformDocumentSelector(z),j.supportsHandleDidShowCompletionItem),this._createDisposable(se)}registerInlineCompletionsProviderNew(k,z,W){const j=this._addNewAdapter(new be(k,this._documents,W,this._commands.converter),k);return this._proxy.$registerInlineCompletionsSupport(j,this._transformDocumentSelector(z),!0),this._createDisposable(j)}$provideInlineCompletions(k,z,W,j,se){return this._withAdapter(k,te,de=>de.provideInlineCompletions(a.URI.revive(z),W,j,se),void 0,se)}$handleInlineCompletionDidShow(k,z,W){this._withAdapter(k,te,async j=>{j.handleDidShowCompletionItem(z,W)},void 0,void 0)}$freeInlineCompletionsList(k,z){this._withAdapter(k,te,async W=>{W.disposeCompletions(z)},void 0,void 0)}registerSignatureHelpProvider(k,z,W,j){const se=Array.isArray(j)?{triggerCharacters:j,retriggerCharacters:[]}:j,de=this._addNewAdapter(new ve(this._documents,W),k);return this._proxy.$registerSignatureHelpProvider(de,this._transformDocumentSelector(z),se),this._createDisposable(de)}$provideSignatureHelp(k,z,W,j,se){return this._withAdapter(k,ve,de=>de.provideSignatureHelp(a.URI.revive(z),W,j,se),void 0,se)}$releaseSignatureHelp(k,z){this._withAdapter(k,ve,W=>W.releaseSignatureHelp(z),void 0,void 0)}registerInlayHintsProvider(k,z,W){const j=typeof W.onDidChangeInlayHints=="function"?this._nextHandle():void 0,se=this._addNewAdapter(new Pe(this._documents,this._commands.converter,W,this._logService,k),k);this._proxy.$registerInlayHintsProvider(se,this._transformDocumentSelector(z),typeof W.resolveInlayHint=="function",j,X._extLabel(k));let de=this._createDisposable(se);if(j!==void 0){const Z=W.onDidChangeInlayHints(pe=>this._proxy.$emitInlayHintsEvent(j));de=M.Disposable.from(de,Z)}return de}$provideInlayHints(k,z,W,j){return this._withAdapter(k,Pe,se=>se.provideInlayHints(a.URI.revive(z),W,j),void 0,j)}$resolveInlayHint(k,z,W){return this._withAdapter(k,Pe,j=>j.resolveInlayHint(z,W),void 0,W)}$releaseInlayHints(k,z){this._withAdapter(k,Pe,W=>W.releaseHints(z),void 0,void 0)}registerDocumentLinkProvider(k,z,W){const j=this._addNewAdapter(new Fe(this._documents,W),k);return this._proxy.$registerDocumentLinkProvider(j,this._transformDocumentSelector(z),typeof W.resolveDocumentLink=="function"),this._createDisposable(j)}$provideDocumentLinks(k,z,W){return this._withAdapter(k,Fe,j=>j.provideLinks(a.URI.revive(z),W),void 0,W,z.scheme==="output")}$resolveDocumentLink(k,z,W){return this._withAdapter(k,Fe,j=>j.resolveLink(z,W),void 0,void 0,!0)}$releaseDocumentLinks(k,z){this._withAdapter(k,Fe,W=>W.releaseLinks(z),void 0,void 0,!0)}registerColorProvider(k,z,W){const j=this._addNewAdapter(new xe(this._documents,W),k);return this._proxy.$registerDocumentColorProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideDocumentColors(k,z,W){return this._withAdapter(k,xe,j=>j.provideColors(a.URI.revive(z),W),[],W)}$provideColorPresentations(k,z,W,j){return this._withAdapter(k,xe,se=>se.provideColorPresentations(a.URI.revive(z),W,j),void 0,j)}registerFoldingRangeProvider(k,z,W){const j=this._nextHandle(),se=typeof W.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(j,new ue(new Qe(this._documents,W),k)),this._proxy.$registerFoldingRangeProvider(j,this._transformDocumentSelector(z),se);let de=this._createDisposable(j);if(se!==void 0){const Z=W.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(se));de=M.Disposable.from(de,Z)}return de}$provideFoldingRanges(k,z,W,j){return this._withAdapter(k,Qe,se=>se.provideFoldingRanges(a.URI.revive(z),W,j),void 0,j)}registerSelectionRangeProvider(k,z,W){const j=this._addNewAdapter(new Ie(this._documents,W,this._logService),k);return this._proxy.$registerSelectionRangeProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideSelectionRanges(k,z,W,j){return this._withAdapter(k,Ie,se=>se.provideSelectionRanges(a.URI.revive(z),W,j),[],j)}registerCallHierarchyProvider(k,z,W){const j=this._addNewAdapter(new Se(this._documents,W),k);return this._proxy.$registerCallHierarchyProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$prepareCallHierarchy(k,z,W,j){return this._withAdapter(k,Se,se=>Promise.resolve(se.prepareSession(a.URI.revive(z),W,j)),void 0,j)}$provideCallHierarchyIncomingCalls(k,z,W,j){return this._withAdapter(k,Se,se=>se.provideCallsTo(z,W,j),void 0,j)}$provideCallHierarchyOutgoingCalls(k,z,W,j){return this._withAdapter(k,Se,se=>se.provideCallsFrom(z,W,j),void 0,j)}$releaseCallHierarchy(k,z){this._withAdapter(k,Se,W=>Promise.resolve(W.releaseSession(z)),void 0,void 0)}registerTypeHierarchyProvider(k,z,W){const j=this._addNewAdapter(new Te(this._documents,W),k);return this._proxy.$registerTypeHierarchyProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$prepareTypeHierarchy(k,z,W,j){return this._withAdapter(k,Te,se=>Promise.resolve(se.prepareSession(a.URI.revive(z),W,j)),void 0,j)}$provideTypeHierarchySupertypes(k,z,W,j){return this._withAdapter(k,Te,se=>se.provideSupertypes(z,W,j),void 0,j)}$provideTypeHierarchySubtypes(k,z,W,j){return this._withAdapter(k,Te,se=>se.provideSubtypes(z,W,j),void 0,j)}$releaseTypeHierarchy(k,z){this._withAdapter(k,Te,W=>Promise.resolve(W.releaseSession(z)),void 0,void 0)}registerDocumentOnDropEditProvider(k,z,W){const j=this._nextHandle();return this._adapter.set(j,new ue(new ae(this._proxy,this._documents,W,j),k)),this._proxy.$registerDocumentOnDropEditProvider(j,this._transformDocumentSelector(z)),this._createDisposable(j)}$provideDocumentOnDropEdits(k,z,W,j,se,de){return this._withAdapter(k,ae,Z=>Promise.resolve(Z.provideDocumentOnDropEdits(z,a.URI.revive(W),j,se,de)),void 0,void 0)}registerDocumentPasteEditProvider(k,z,W,j){const se=this._nextHandle();return this._adapter.set(se,new ue(new L(this._proxy,this._documents,W,se),k)),this._proxy.$registerPasteEditProvider(se,this._transformDocumentSelector(z),!!W.prepareDocumentPaste,j.pasteMimeTypes),this._createDisposable(se)}$prepareDocumentPaste(k,z,W,j,se){return this._withAdapter(k,L,de=>de.prepareDocumentPaste(a.URI.revive(z),W,j,se),void 0,se)}$providePasteEdits(k,z,W,j,se,de){return this._withAdapter(k,L,Z=>Z.providePasteEdits(z,a.URI.revive(W),j,se,de),void 0,de)}static _serializeRegExp(k){return{pattern:k.source,flags:(0,E.regExpFlags)(k)}}static _serializeIndentationRule(k){return{decreaseIndentPattern:X._serializeRegExp(k.decreaseIndentPattern),increaseIndentPattern:X._serializeRegExp(k.increaseIndentPattern),indentNextLinePattern:k.indentNextLinePattern?X._serializeRegExp(k.indentNextLinePattern):void 0,unIndentedLinePattern:k.unIndentedLinePattern?X._serializeRegExp(k.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(k){return{beforeText:X._serializeRegExp(k.beforeText),afterText:k.afterText?X._serializeRegExp(k.afterText):void 0,previousLineText:k.previousLineText?X._serializeRegExp(k.previousLineText):void 0,action:k.action}}static _serializeOnEnterRules(k){return k.map(X._serializeOnEnterRule)}setLanguageConfiguration(k,z,W){const{wordPattern:j}=W;if(j&&(0,E.regExpLeadsToEndlessLoop)(j))throw new Error(`Invalid language configuration: wordPattern '${j}' is not allowed to match the empty string.`);j?this._documents.setWordDefinitionFor(z,j):this._documents.setWordDefinitionFor(z,void 0),W.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",k,"Do not use."),W.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",k,"Do not use.");const se=this._nextHandle(),de={comments:W.comments,brackets:W.brackets,wordPattern:W.wordPattern?X._serializeRegExp(W.wordPattern):void 0,indentationRules:W.indentationRules?X._serializeIndentationRule(W.indentationRules):void 0,onEnterRules:W.onEnterRules?X._serializeOnEnterRules(W.onEnterRules):void 0,__electricCharacterSupport:W.__electricCharacterSupport,__characterPairSupport:W.__characterPairSupport};return this._proxy.$setLanguageConfiguration(se,z,de),this._createDisposable(se)}$setWordDefinitions(k){for(const z of k)this._documents.setWordDefinitionFor(z.languageId,new RegExp(z.regexSource,z.regexFlags))}}e.ExtHostLanguageFeatures=X,X._handlePool=0}),define(ye[204],De([1,0,4,8,6,29,14,7]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class E{constructor(R,S,m,I){this._documents=S,this._commands=m,this._uriTransformer=I,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=R.getProxy(a.MainContext.MainThreadLanguages)}$acceptLanguageIds(R){this._languageIds=R}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(R,S){await this._proxy.$changeLanguage(R,S);const m=this._documents.getDocumentData(R);if(!m)throw new Error(`document '${R.toString()}' NOT found`);return m.document}async tokenAtPosition(R,S){const m=R.version,I=v.Position.from(S),f=await this._proxy.$tokensAtPosition(R.uri,I),h={type:b.StandardTokenType.Other,range:R.getWordRangeAtPosition(S)??new b.Range(S.line,S.character,S.line,S.character)};if(!f)return h;const d={range:v.Range.to(f.range),type:v.TokenType.to(f.type)};return!d.range.contains(S)||m!==R.version?h:d}createLanguageStatusItem(R,S,m){const I=this._handlePool++,f=this._proxy,h=this._ids,d=`${R.identifier.value}/${S}`;if(h.has(d))throw new Error(`LanguageStatusItem with id '${S}' ALREADY exists`);h.add(d);const o={selector:m,id:S,name:R.displayName??R.name,severity:b.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let g;const A=new P.DisposableStore,c=()=>{g?.dispose(),g=(0,y.disposableTimeout)(()=>{A.clear(),this._proxy.$setLanguageStatus(I,{id:d,name:o.name??R.displayName??R.name,source:R.displayName??R.name,selector:v.DocumentSelector.from(o.selector,this._uriTransformer),label:o.text,detail:o.detail??"",severity:o.severity===b.LanguageStatusSeverity.Error?M.default.Error:o.severity===b.LanguageStatusSeverity.Warning?M.default.Warning:M.default.Info,command:o.command&&this._commands.toInternal(o.command,A),accessibilityInfo:o.accessibilityInformation,busy:o.busy})},0)},_={dispose(){A.dispose(),g?.dispose(),f.$removeLanguageStatus(I),h.delete(d)},get id(){return o.id},get name(){return o.name},set name(s){o.name=s,c()},get selector(){return o.selector},set selector(s){o.selector=s,c()},get text(){return o.text},set text(s){o.text=s,c()},get detail(){return o.detail},set detail(s){o.detail=s,c()},get severity(){return o.severity},set severity(s){o.severity=s,c()},get accessibilityInformation(){return o.accessibilityInformation},set accessibilityInformation(s){o.accessibilityInformation=s,c()},get command(){return o.command},set command(s){o.command=s,c()},get busy(){return o.busy},set busy(s){o.busy=s,c()}};return c(),_}}e.ExtHostLanguages=E}),define(ye[205],De([1,0,15,4,28,13,5]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let P=class extends a.AbstractLoggerService{constructor(R,S){const m=new y.Emitter;super(S.logLevel,m.event);this._proxy=R.getProxy(v.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(m)}$setLevel(R){this._onDidChangeLogLevel.fire(R)}doCreateLogger(R,S,m){return new E(this._proxy,R,S,m)}};P=ze([$e(0,M.IExtHostRpcService),$e(1,b.IExtHostInitDataService)],P),e.ExtHostLoggerService=P;class E extends a.AbstractMessageLogger{constructor(R,S,m,I){super(I?.always);this.proxy=R,this.file=S,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(m),this.proxy.$createLogger(S,I).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(R,S){const m=[[R,S]];this.isLoggerCreated?this.doLog(m):this.buffer.push(...m)}doLog(R){this.proxy.$log(this.file,R)}}}),define(ye[206],De([1,0,4,15,24]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function M(P){return P&&P.title}let y=class{constructor(E,T){this._logService=T,this._proxy=E.getProxy(a.MainContext.MainThreadMessageService)}showMessage(E,T,R,S,m){const I={source:{identifier:E.identifier,label:E.displayName||E.name}};let f;typeof S=="string"||M(S)?f=[S,...m]:(I.modal=S?.modal,I.useCustom=S?.useCustom,I.detail=S?.detail,f=m),I.useCustom&&(0,b.checkProposedApiEnabled)(E,"resolvers");const h=[];for(let d=0;d<f.length;d++){const o=f[d];if(typeof o=="string")h.push({title:o,handle:d,isCloseAffordance:!1});else if(typeof o=="object"){const{title:g,isCloseAffordance:A}=o;h.push({title:g,isCloseAffordance:!!A,handle:d})}else this._logService.warn("Invalid message item:",o)}return this._proxy.$showMessage(T,R,I,h).then(d=>{if(typeof d=="number")return f[d]})}};y=ze([$e(1,v.ILogService)],y),e.ExtHostMessageService=y}),define(ye[207],De([1,0,23,5,97,7,25,9,10,2,62,4,36,8,6,40,175,92]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class g{constructor(c,_,s,u,i){this._textDocumentsAndEditors=s,this._textDocuments=u,this._extensionStoragePaths=i,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new y.ResourceMap,this._editors=new Map,this._onDidChangeActiveNotebookEditor=new v.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new v.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new v.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new v.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new R.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=c.getProxy(S.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=c.getProxy(S.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=c.getProxy(S.MainContext.MainThreadNotebookEditors),this._commandsConverter=_.converter,_.registerArgumentProcessor({processArgument:n=>{if(n&&n.$mid===12){const r=n.notebookEditor?.notebookUri,t=n.cell.handle,w=this._documents.get(r)?.getCell(t);if(w)return w.apiCell}return n}}),g._registerApiCommands(_)}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(c=>c.apiEditor)}getEditorById(c){const _=this._editors.get(c);if(!_)throw new Error(`unknown text editor: ${c}. known editors: ${[...this._editors.keys()]} `);return _}getIdByEditor(c){for(const[_,s]of this._editors)if(s.apiEditor===c)return _}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(c,_){const s=this._documents.get(c);if(!s&&!_)throw new Error(`NO notebook document for '${c}'`);return s}_getProviderData(c){const _=this._notebookContentProviders.get(c);if(!_)throw new Error(`NO provider for '${c}'`);return _}registerNotebookContentProvider(c,_,s,u,i){if((0,P.isFalsyOrWhitespace)(_))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(_))throw new Error(`Notebook provider for '${_}' already registered`);this._notebookContentProviders.set(_,{extension:c,provider:s});let n;return s.onDidChangeNotebookContentOptions&&(n=s.onDidChangeNotebookContentOptions(()=>{const r=I.NotebookDocumentContentOptions.from(s.options);this._notebookProxy.$updateNotebookProviderOptions(_,r)})),this._notebookProxy.$registerNotebookProvider({id:c.identifier,location:c.extensionLocation},_,I.NotebookDocumentContentOptions.from(u),g._convertNotebookRegistrationData(c,i)),new f.Disposable(()=>{n?.dispose(),this._notebookContentProviders.delete(_),this._notebookProxy.$unregisterNotebookProvider(_)})}static _convertNotebookRegistrationData(c,_){if(!_)return;const s=_.filenamePattern.map(u=>I.NotebookExclusiveDocumentPattern.from(u)).filter(u=>u!==void 0);if(_.filenamePattern&&!s){console.warn(`Notebook content provider view options file name pattern is invalid ${_.filenamePattern}`);return}return{extension:c.identifier,providerDisplayName:c.displayName||c.name,displayName:_.displayName,filenamePattern:s,exclusive:_.exclusive||!1}}registerNotebookCellStatusBarItemProvider(c,_,s){const u=g._notebookStatusBarItemProviderHandlePool++,i=typeof s.onDidChangeCellStatusBarItems=="function"?g._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(u,s),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(u,i,_);let n;return i!==void 0&&(n=s.onDidChangeCellStatusBarItems(r=>this._notebookProxy.$emitCellStatusBarEvent(i))),new f.Disposable(()=>{this._notebookStatusBarItemProviders.delete(u),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(u,i),n?.dispose()})}async createNotebookDocument(c){const _=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:c.viewType,content:c.content&&I.NotebookData.from(c.content)});return T.URI.revive(_)}async openNotebookDocument(c){const _=this._documents.get(c);if(_)return _.apiNotebook;const s=await this._notebookDocumentsProxy.$tryOpenNotebook(c),u=this._documents.get(T.URI.revive(s));return(0,E.assertIsDefined)(u?.apiNotebook)}async showNotebookDocument(c,_){T.URI.isUri(c)&&(c=await this.openNotebookDocument(c));let s;typeof _=="object"?s={position:I.ViewColumn.from(_.viewColumn),preserveFocus:_.preserveFocus,selections:_.selections&&_.selections.map(I.NotebookRange.from),pinned:typeof _.preview=="boolean"?!_.preview:void 0}:s={preserveFocus:!1};const u=await this._notebookEditorsProxy.$tryShowNotebookDocument(c.uri,c.notebookType,s),i=u&&this._editors.get(u)?.apiEditor;if(i)return i;throw u?new Error(`Could NOT open editor for "${c.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${c.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(c,_,s,u){const i=this._notebookStatusBarItemProviders.get(c),n=T.URI.revive(_),r=this._documents.get(n);if(!r||!i)return;const t=r.getCellFromIndex(s);if(!t)return;const l=await i.provideCellStatusBarItems(t.apiCell,u);if(!l)return;const w=new M.DisposableStore,p=this._statusBarCache.add([w]),U=(Array.isArray(l)?l:[l]).map(V=>I.NotebookStatusBarItem.from(V,this._commandsConverter,w));return{cacheId:p,items:U}}$releaseNotebookCellStatusBarItems(c){this._statusBarCache.delete(c)}registerNotebookSerializer(c,_,s,u,i){if((0,P.isFalsyOrWhitespace)(_))throw new Error("viewType cannot be empty or just whitespace");const n=this._handlePool++;return this._notebookSerializer.set(n,s),this._notebookProxy.$registerNotebookSerializer(n,{id:c.identifier,location:c.extensionLocation},_,I.NotebookDocumentContentOptions.from(u),g._convertNotebookRegistrationData(c,i)),(0,M.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(n)})}async $dataToNotebook(c,_,s){const u=this._notebookSerializer.get(c);if(!u)throw new Error("NO serializer found");const i=await u.deserializeNotebook(_.buffer,s);return new h.SerializableObjectWithBuffers(I.NotebookData.from(i))}async $notebookToData(c,_,s){const u=this._notebookSerializer.get(c);if(!u)throw new Error("NO serializer found");const i=await u.serializeNotebook(I.NotebookData.to(_.value),s);return a.VSBuffer.wrap(i)}async $openNotebook(c,_,s,u,i){const{provider:n}=this._getProviderData(c),r=await n.openNotebook(T.URI.revive(_),{backupId:s,untitledDocumentData:u?.buffer},i);return new h.SerializableObjectWithBuffers({metadata:r.metadata??Object.create(null),cells:r.cells.map(I.NotebookCellData.from)})}async $saveNotebook(c,_,s){const u=this.getNotebookDocument(T.URI.revive(_)),{provider:i}=this._getProviderData(c);return await i.saveNotebook(u.apiNotebook,s),!0}async $saveNotebookAs(c,_,s,u){const i=this.getNotebookDocument(T.URI.revive(_)),{provider:n}=this._getProviderData(c);return await n.saveNotebookAs(T.URI.revive(s),i.apiNotebook,u),!0}async $backupNotebook(c,_,s){const u=this.getNotebookDocument(T.URI.revive(_)),i=this._getProviderData(c),n=this._extensionStoragePaths.workspaceValue(i.extension)??this._extensionStoragePaths.globalValue(i.extension),r=String((0,b.hash)([u.uri.toString(),this._backupIdPool++])),t=T.URI.joinPath(n,r),l=await i.provider.backupNotebook(u.apiNotebook,{destination:t},s);return u.updateBackup(l),l.id}_createExtHostEditor(c,_,s){if(this._editors.has(_))throw new Error(`editor with id ALREADY EXSIST: ${_}`);const u=new o.ExtHostNotebookEditor(_,this._notebookEditorsProxy,c,s.visibleRanges.map(I.NotebookRange.to),s.selections.map(I.NotebookRange.to),typeof s.viewColumn=="number"?I.ViewColumn.to(s.viewColumn):void 0);this._editors.set(_,u)}$acceptDocumentAndEditorsDelta(c){if(c.value.removedDocuments)for(const s of c.value.removedDocuments){const u=T.URI.revive(s),i=this._documents.get(u);i&&(i.dispose(),this._documents.delete(u),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:i.apiNotebook.getCells().map(n=>n.document.uri)}),this._onDidCloseNotebookDocument.fire(i.apiNotebook));for(const n of this._editors.values())n.notebookData.uri.toString()===u.toString()&&this._editors.delete(n.id)}if(c.value.addedDocuments){const s=[];for(const u of c.value.addedDocuments){const i=T.URI.revive(u.uri);if(this._documents.has(i))throw new Error(`adding EXISTING notebook ${i} `);const n=new d.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,i,u);s.push(...u.cells.map(r=>d.ExtHostCell.asModelAddData(n.apiNotebook,r))),this._documents.get(i)?.dispose(),this._documents.set(i,n),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:s}),this._onDidOpenNotebookDocument.fire(n.apiNotebook)}}if(c.value.addedEditors)for(const s of c.value.addedEditors){if(this._editors.has(s.id))return;const u=T.URI.revive(s.documentUri),i=this._documents.get(u);i&&this._createExtHostEditor(i,s.id,s)}const _=[];if(c.value.removedEditors)for(const s of c.value.removedEditors){const u=this._editors.get(s);u&&(this._editors.delete(s),this._activeNotebookEditor?.id===u.id&&(this._activeNotebookEditor=void 0),_.push(u))}if(c.value.visibleEditors){this._visibleNotebookEditors=c.value.visibleEditors.map(u=>this._editors.get(u)).filter(u=>!!u);const s=new Set;this._visibleNotebookEditors.forEach(u=>s.add(u.id));for(const u of this._editors.values()){const i=s.has(u.id);u._acceptVisibility(i)}this._visibleNotebookEditors=[...this._editors.values()].map(u=>u).filter(u=>u.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}c.value.newActiveEditor===null?this._activeNotebookEditor=void 0:c.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(c.value.newActiveEditor)),c.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}static _registerApiCommands(c){const _=m.ApiCommandArgument.String.with("notebookType","A notebook type"),s=new m.ApiCommand("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[_,new m.ApiCommandArgument("data","Bytes to convert to data",i=>i instanceof Uint8Array,i=>a.VSBuffer.wrap(i))],new m.ApiCommandResult("Notebook Data",i=>I.NotebookData.to(i.value))),u=new m.ApiCommand("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[_,new m.ApiCommandArgument("NotebookData","Notebook data to convert to bytes",i=>!0,i=>new h.SerializableObjectWithBuffers(I.NotebookData.from(i)))],new m.ApiCommandResult("Bytes",i=>i.buffer));c.registerApiCommand(s),c.registerApiCommand(u)}}e.ExtHostNotebookController=g,g._notebookStatusBarItemProviderHandlePool=0}),define(ye[208],De([1,0,16,14,20,5,7,25,2,27,15,4,36,8,6,64,168,24,40]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createKernelId=e.ExtHostNotebookKernels=void 0;let A=class{constructor(n,r,t,l,w){this._initData=r,this._extHostNotebook=t,this._commands=l,this._logService=w,this._activeExecutions=new P.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new M.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=n.getProxy(S.MainContext.MainThreadNotebookKernels);const p=new m.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new m.ApiCommandArgument("options","Select kernel options",D=>!0,D=>{if(D&&"notebookEditor"in D&&"id"in D){const U=this._extHostNotebook.getIdByEditor(D.notebookEditor);return{id:D.id,extension:D.extension,notebookEditorId:U}}else if(D&&"notebookEditor"in D){const U=this._extHostNotebook.getIdByEditor(D.notebookEditor);if(U===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${D.notebookEditor.document.uri.toString()}`);return{notebookEditorId:U}}return D})],m.ApiCommandResult.Void);this._commands.registerApiCommand(p)}createNotebookController(n,r,t,l,w,p){for(const le of this._kernelData.values())if(le.controller.id===r&&T.ExtensionIdentifier.equals(n.identifier,le.extensionId))throw new Error(`notebook controller with id '${r}' ALREADY exist`);const D=this._handlePool++,U=this;this._logService.trace(`NotebookController[${D}], CREATED by ${n.identifier.value}, ${r}`);const V=()=>console.warn(`NO execute handler from notebook controller '${F.id}' of extension: '${n.identifier}'`);let x=!1;const C=new y.DisposableStore,L=new M.Emitter,B=new M.Emitter,F={id:u(n.identifier,r),notebookType:t,extensionId:n.identifier,extensionLocation:n.extensionLocation,label:l||n.identifier.value,preloads:p?p.map(I.NotebookRendererScript.from):[]};let K=w??V,H;this._proxy.$addKernel(D,F).catch(le=>{console.log(le),x=!0});let O=0;const ee=()=>{if(x)return;const le=++O;Promise.resolve().then(()=>{le===O&&this._proxy.$updateKernel(D,F)})},ce=new P.ResourceMap,oe={get id(){return r},get notebookType(){return F.notebookType},onDidChangeSelectedNotebooks:L.event,get label(){return F.label},set label(le){F.label=le??n.displayName??n.name,ee()},get detail(){return F.detail??""},set detail(le){F.detail=le,ee()},get description(){return F.description??""},set description(le){F.description=le,ee()},get kind(){return(0,o.checkProposedApiEnabled)(n,"notebookControllerKind"),F.kind??""},set kind(le){(0,o.checkProposedApiEnabled)(n,"notebookControllerKind"),F.kind=le,ee()},get supportedLanguages(){return F.supportedLanguages},set supportedLanguages(le){F.supportedLanguages=le,ee()},get supportsExecutionOrder(){return F.supportsExecutionOrder??!1},set supportsExecutionOrder(le){F.supportsExecutionOrder=le,ee()},get rendererScripts(){return F.preloads?F.preloads.map(I.NotebookRendererScript.to):[]},get executeHandler(){return K},set executeHandler(le){K=le??V},get interruptHandler(){return H},set interruptHandler(le){H=le,F.supportsInterrupt=Boolean(le),ee()},createNotebookCellExecution(le){if(x)throw new Error("notebook controller is DISPOSED");if(!ce.has(le.notebook.uri))throw U._logService.trace(`NotebookController[${D}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(ce.keys()).map(te=>te.toString())),new Error(`notebook controller is NOT associated to notebook: ${le.notebook.uri.toString()}`);return U._createNotebookCellExecution(le,u(n.identifier,this.id))},dispose:()=>{x||(this._logService.trace(`NotebookController[${D}], DISPOSED`),x=!0,this._kernelData.delete(D),C.dispose(),L.dispose(),B.dispose(),this._proxy.$removeKernel(D))},updateNotebookAffinity(le,te){U._proxy.$updateNotebookPriority(D,le.uri,te)},onDidReceiveMessage:B.event,postMessage(le,te){return(0,o.checkProposedApiEnabled)(n,"notebookMessaging"),U._proxy.$postMessage(D,te&&U._extHostNotebook.getIdByEditor(te),le)},asWebviewUri(le){return(0,o.checkProposedApiEnabled)(n,"notebookMessaging"),(0,h.asWebviewUri)(le,U._initData.remote)}};return this._kernelData.set(D,{extensionId:n.identifier,controller:oe,onDidReceiveMessage:B,onDidChangeSelection:L,associatedNotebooks:ce}),oe}getIdByController(n){for(const[r,t]of this._kernelData)if(t.controller===n)return u(t.extensionId,n.id);return null}$acceptNotebookAssociation(n,r,t){const l=this._kernelData.get(n);if(l){const w=this._extHostNotebook.getNotebookDocument(E.URI.revive(r));t?l.associatedNotebooks.set(w.uri,!0):l.associatedNotebooks.delete(w.uri),this._logService.trace(`NotebookController[${n}] ASSOCIATE notebook`,w.uri.toString(),t),l.onDidChangeSelection.fire({selected:t,notebook:w.apiNotebook})}}async $executeCells(n,r,t){const l=this._kernelData.get(n);if(!l)return;const w=this._extHostNotebook.getNotebookDocument(E.URI.revive(r)),p=[];for(const D of t){const U=w.getCell(D);U&&p.push(U.apiCell)}try{this._logService.trace(`NotebookController[${n}] EXECUTE cells`,w.uri.toString(),p.length),await l.controller.executeHandler.call(l.controller,p,w.apiNotebook,l.controller)}catch(D){this._logService.error(`NotebookController[${n}] execute cells FAILED`,D),console.error(D)}}async $cancelCells(n,r,t){const l=this._kernelData.get(n);if(!l)return;const w=this._extHostNotebook.getNotebookDocument(E.URI.revive(r));if(l.controller.interruptHandler)await l.controller.interruptHandler.call(l.controller,w.apiNotebook);else for(const p of t){const D=w.getCell(p);D&&this._activeExecutions.get(D.uri)?.cancel()}}$acceptKernelMessageFromRenderer(n,r,t){const l=this._kernelData.get(n);if(!l)return;const w=this._extHostNotebook.getEditorById(r);l.onDidReceiveMessage.fire(Object.freeze({editor:w.apiEditor,message:t}))}$cellExecutionChanged(n,r,t){const w=this._extHostNotebook.getNotebookDocument(E.URI.revive(n)).getCell(r);if(w){const p=t?I.NotebookCellExecutionState.to(t):f.NotebookCellExecutionState.Idle;p!==void 0&&this._onDidChangeCellExecutionState.fire({cell:w.apiCell,state:p})}}_createNotebookCellExecution(n,r){if(n.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const l=this._extHostNotebook.getNotebookDocument(n.notebook.uri).getCellFromApiCell(n);if(!l)throw new Error("invalid cell");if(this._activeExecutions.has(l.uri))throw new Error(`duplicate execution for ${l.uri}`);const w=new _(r,l,this._proxy);this._activeExecutions.set(l.uri,w);const p=w.onDidChangeState(()=>{w.state===c.Resolved&&(w.dispose(),p.dispose(),this._activeExecutions.delete(l.uri))});return w.asApiObject()}};A=ze([$e(4,R.ILogService)],A),e.ExtHostNotebookKernels=A;var c;(function(i){i[i.Init=0]="Init",i[i.Started=1]="Started",i[i.Resolved=2]="Resolved"})(c||(c={}));class _ extends y.Disposable{constructor(n,r,t){super();this._cell=r,this._proxy=t,this._handle=_.HANDLE++,this._onDidChangeState=new M.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=c.Init,this._tokenSource=this._register(new b.CancellationTokenSource),this._collector=new s(10,l=>this.update(l)),this._executionOrder=r.internalMetadata.executionOrder,this._proxy.$createExecution(this._handle,n,this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(n){await this._collector.addItem(n)}async update(n){const r=Array.isArray(n)?n:[n];return this._proxy.$updateExecution(this._handle,new g.SerializableObjectWithBuffers(r))}verifyStateForOutput(){if(this._state===c.Init)throw new Error("Must call start before modifying cell output");if(this._state===c.Resolved)throw new Error("Cannot modify cell output after calling resolve")}cellIndexToHandle(n){let r=this._cell;if(n&&(r=this._cell.notebook.getCellFromApiCell(n)),!r)throw new Error("INVALID cell");return r.handle}validateAndConvertOutputs(n){return n.map(r=>{const t=f.NotebookCellOutput.ensureUniqueMimeTypes(r.items,!0);return t===r.items?I.NotebookCellOutput.from(r):I.NotebookCellOutput.from({items:t,id:r.id,metadata:r.metadata})})}async updateOutputs(n,r,t){const l=this.cellIndexToHandle(r),w=this.validateAndConvertOutputs((0,a.asArray)(n));return this.updateSoon({editType:d.CellExecutionUpdateType.Output,cellHandle:l,append:t,outputs:w})}async updateOutputItems(n,r,t){return n=f.NotebookCellOutput.ensureUniqueMimeTypes((0,a.asArray)(n),!0),this.updateSoon({editType:d.CellExecutionUpdateType.OutputItems,items:n.map(I.NotebookCellOutputItem.from),outputId:r.id,append:t})}asApiObject(){const n=this;return Object.freeze({get token(){return n._tokenSource.token},get cell(){return n._cell.apiCell},get executionOrder(){return n._executionOrder},set executionOrder(t){n._executionOrder=t,n.update([{editType:d.CellExecutionUpdateType.ExecutionState,executionOrder:n._executionOrder}])},start(t){if(n._state===c.Resolved||n._state===c.Started)throw new Error("Cannot call start again");n._state=c.Started,n._onDidChangeState.fire(),n.update({editType:d.CellExecutionUpdateType.ExecutionState,runStartTime:t})},end(t,l){if(n._state===c.Resolved)throw new Error("Cannot call resolve twice");n._state=c.Resolved,n._onDidChangeState.fire(),n._collector.flush(),n._proxy.$completeExecution(n._handle,new g.SerializableObjectWithBuffers({runEndTime:l,lastRunSuccess:t}))},clearOutput(t){return n.verifyStateForOutput(),n.updateOutputs([],t,!1)},appendOutput(t,l){return n.verifyStateForOutput(),n.updateOutputs(t,l,!0)},replaceOutput(t,l){return n.verifyStateForOutput(),n.updateOutputs(t,l,!1)},appendOutputItems(t,l){return n.verifyStateForOutput(),n.updateOutputItems(t,l,!0)},replaceOutputItems(t,l){return n.verifyStateForOutput(),n.updateOutputItems(t,l,!1)}})}}_.HANDLE=0;class s{constructor(n,r){this.delay=n,this.callback=r,this.batch=[],this.startedTimer=Date.now()}addItem(n){return this.batch.push(n),this.currentDeferred||(this.currentDeferred=new v.DeferredPromise,this.startedTimer=Date.now(),(0,v.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const n=this.currentDeferred;this.currentDeferred=void 0;const r=this.batch;return this.batch=[],this.callback(r).finally(()=>n.complete())}}function u(i,n){return`${i.value}/${n}`}e.createKernelId=u}),define(ye[209],De([1,0,5,4,92]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class M{constructor(P,E){this._extHostNotebook=E,this._rendererMessageEmitters=new Map,this.proxy=P.getProxy(v.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(P,E,T){const R=this._extHostNotebook.getEditorById(P);this._rendererMessageEmitters.get(E)?.fire({editor:R.apiEditor,message:T})}createRendererMessaging(P,E){if(!P.contributes?.notebookRenderer?.some(R=>R.id===E))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${E})`);return{onDidReceiveMessage:(R,S,m)=>this.getOrCreateEmitterFor(E).event(R,S,m),postMessage:(R,S)=>{b.ExtHostNotebookEditor.apiEditorsToExtHost.has(R)&&([R,S]=[S,R]);const m=S&&b.ExtHostNotebookEditor.apiEditorsToExtHost.get(S);return this.proxy.$postMessage(m?.id,E,R)}}}getOrCreateEmitterFor(P){let E=this._rendererMessageEmitters.get(P);return E||(E=new a.Emitter({onLastListenerRemove:()=>{E?.dispose(),this._rendererMessageEmitters.delete(P)}}),this._rendererMessageEmitters.set(P,E),E)}}e.ExtHostNotebookRenderers=M}),define(ye[210],De([1,0,20,5,7,4,2,6,11,16,29,61]),function(ie,e,a,v,b,M,y,P,E,T,R,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function m(I,f,h){const d=I.getProxy(M.MainContext.MainThreadQuickOpen);class o{constructor(r,t){this._sessions=new Map,this._instances=0,this._workspace=r,this._commands=t}showQuickPick(r,t,l=a.CancellationToken.None){this._onDidSelectItem=void 0;const w=Promise.resolve(r),p=++this._instances,D=d.$show(p,{title:t?.title,placeHolder:t?.placeHolder,matchOnDescription:t?.matchOnDescription,matchOnDetail:t?.matchOnDetail,ignoreFocusLost:t?.ignoreFocusOut,canPickMany:t?.canPickMany},l),U={},V=D.then(()=>U);return Promise.race([V,w]).then(x=>{if(x!==U)return w.then(C=>{const L=[];for(let B=0;B<C.length;B++){const F=C[B];typeof F=="string"?L.push({label:F,handle:B}):F.kind===P.QuickPickItemKind.Separator?L.push({type:"separator",label:F.label}):L.push({label:F.label,description:F.description,detail:F.detail,picked:F.picked,alwaysShow:F.alwaysShow,handle:B})}return t&&typeof t.onDidSelectItem=="function"&&(this._onDidSelectItem=B=>{t.onDidSelectItem(C[B])}),d.$setItems(p,L),D.then(B=>{if(typeof B=="number")return C[B];if(Array.isArray(B))return B.map(F=>C[F])})})}).then(void 0,x=>{if(!(0,E.isCancellationError)(x))return d.$setError(p,x),Promise.reject(x)})}$onItemSelected(r){this._onDidSelectItem?.(r)}showInput(r,t=a.CancellationToken.None){return this._validateInput=r?.validateInput,d.$input(r,typeof this._validateInput=="function",t).then(void 0,l=>{if(!(0,E.isCancellationError)(l))return Promise.reject(l)})}async $validateInput(r){if(!this._validateInput)return;const t=await this._validateInput(r);if(!t||typeof t=="string")return t;let l;switch(t.severity){case P.InputBoxValidationSeverity.Info:l=R.default.Info;break;case P.InputBoxValidationSeverity.Warning:l=R.default.Warning;break;case P.InputBoxValidationSeverity.Error:l=R.default.Error;break;default:l=t.message?R.default.Error:R.default.Ignore;break}return{content:t.message,severity:l}}async showWorkspaceFolderPick(r,t=a.CancellationToken.None){const l=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[r]);if(!l)return;const w=await this._workspace.getWorkspaceFolders2();if(!!w)return w.find(p=>p.uri.toString()===l.uri.toString())}createQuickPick(r){const t=new u(r,()=>this._sessions.delete(t._id));return this._sessions.set(t._id,t),t}createInputBox(r){const t=new i(r,()=>this._sessions.delete(t._id));return this._sessions.set(t._id,t),t}$onDidChangeValue(r,t){this._sessions.get(r)?._fireDidChangeValue(t)}$onDidAccept(r){this._sessions.get(r)?._fireDidAccept()}$onDidChangeActive(r,t){const l=this._sessions.get(r);l instanceof u&&l._fireDidChangeActive(t)}$onDidChangeSelection(r,t){const l=this._sessions.get(r);l instanceof u&&l._fireDidChangeSelection(t)}$onDidTriggerButton(r,t){this._sessions.get(r)?._fireDidTriggerButton(t)}$onDidTriggerItemButton(r,t,l){const w=this._sessions.get(r);w instanceof u&&w._fireDidTriggerItemButton(t,l)}$onDidHide(r){this._sessions.get(r)?._fireDidHide()}}class g{constructor(r,t){this._extensionId=r,this._onDidDispose=t,this._id=u._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new v.Emitter,this._onDidChangeValueEmitter=new v.Emitter,this._onDidTriggerButtonEmitter=new v.Emitter,this._onDidHideEmitter=new v.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(r){this._title=r,this.update({title:r})}get step(){return this._steps}set step(r){this._steps=r,this.update({step:r})}get totalSteps(){return this._totalSteps}set totalSteps(r){this._totalSteps=r,this.update({totalSteps:r})}get enabled(){return this._enabled}set enabled(r){this._enabled=r,this.update({enabled:r})}get busy(){return this._busy}set busy(r){this._busy=r,this.update({busy:r})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(r){this._ignoreFocusOut=r,this.update({ignoreFocusOut:r})}get value(){return this._value}set value(r){this._value=r,this.update({value:r})}get placeholder(){return this._placeholder}set placeholder(r){this._placeholder=r,this.update({placeholder:r})}get buttons(){return this._buttons}set buttons(r){this._buttons=r.slice(),this._handlesToButtons.clear(),r.forEach((t,l)=>{const w=t===P.QuickInputButtons.Back?-1:l;this._handlesToButtons.set(w,t)}),this.update({buttons:r.map((t,l)=>({...s(t),tooltip:t.tooltip,handle:t===P.QuickInputButtons.Back?-1:l}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(r){this._value=r,this._onDidChangeValueEmitter.fire(r)}_fireDidTriggerButton(r){const t=this._handlesToButtons.get(r);t&&this._onDidTriggerButtonEmitter.fire(t)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,b.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),d.$dispose(this._id))}update(r){if(!this._disposed){for(const t of Object.keys(r)){const l=r[t];this._pendingUpdate[t]=l===void 0?null:l}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){d.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}g._nextId=1;function A(n){if(n instanceof P.ThemeIcon)return{id:n.id};const r=_(n),t=c(n);return{dark:typeof r=="string"?y.URI.file(r):r,light:typeof t=="string"?y.URI.file(t):t}}function c(n){return typeof n=="object"&&"light"in n?n.light:n}function _(n){return typeof n=="object"&&"dark"in n?n.dark:n}function s(n){const r=A(n.iconPath);let t,l;return"id"in r?l=S.ThemeIcon.asClassName(r):t=r,{iconPath:t,iconClass:l}}class u extends g{constructor(r,t){super(r.identifier,t);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new v.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new v.Emitter,this._onDidTriggerItemButtonEmitter=new v.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(r){this._items=r.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),r.forEach((l,w)=>{this._handlesToItems.set(w,l),this._itemsToHandles.set(l,w)});const t=[];for(let l=0;l<r.length;l++){const w=r[l];w.kind===P.QuickPickItemKind.Separator?t.push({type:"separator",label:w.label}):t.push({handle:l,label:w.label,description:w.description,detail:w.detail,picked:w.picked,alwaysShow:w.alwaysShow,buttons:w.buttons?.map((p,D)=>({...s(p),tooltip:p.tooltip,handle:D}))})}this.update({items:t})}get canSelectMany(){return this._canSelectMany}set canSelectMany(r){this._canSelectMany=r,this.update({canSelectMany:r})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(r){this._matchOnDescription=r,this.update({matchOnDescription:r})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(r){this._matchOnDetail=r,this.update({matchOnDetail:r})}get sortByLabel(){return this._sortByLabel}set sortByLabel(r){this._sortByLabel=r,this.update({sortByLabel:r})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(r){this._keepScrollPosition=r,this.update({keepScrollPosition:r})}get activeItems(){return this._activeItems}set activeItems(r){this._activeItems=r.filter(t=>this._itemsToHandles.has(t)),this.update({activeItems:this._activeItems.map(t=>this._itemsToHandles.get(t))})}get selectedItems(){return this._selectedItems}set selectedItems(r){this._selectedItems=r.filter(t=>this._itemsToHandles.has(t)),this.update({selectedItems:this._selectedItems.map(t=>this._itemsToHandles.get(t))})}_fireDidChangeActive(r){const t=(0,T.coalesce)(r.map(l=>this._handlesToItems.get(l)));this._activeItems=t,this._onDidChangeActiveEmitter.fire(t)}_fireDidChangeSelection(r){const t=(0,T.coalesce)(r.map(l=>this._handlesToItems.get(l)));this._selectedItems=t,this._onDidChangeSelectionEmitter.fire(t)}_fireDidTriggerItemButton(r,t){const l=this._handlesToItems.get(r);if(!l||!l.buttons||!l.buttons.length)return;const w=l.buttons[t];w&&this._onDidTriggerItemButtonEmitter.fire({button:w,item:l})}}class i extends g{constructor(r,t){super(r.identifier,t);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(r){this._password=r,this.update({password:r})}get prompt(){return this._prompt}set prompt(r){this._prompt=r,this.update({prompt:r})}get validationMessage(){return this._validationMessage}set validationMessage(r){this._validationMessage=r,r?typeof r=="string"?this.update({validationMessage:r,severity:R.default.Error}):this.update({validationMessage:r.message,severity:r.severity??R.default.Error}):this.update({validationMessage:void 0,severity:R.default.Ignore})}}return new o(f,h)}e.createExtHostQuickOpen=m});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[211],De([1,0,2,5,55,7,14,4,16,118,15,27,61,8,24]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f){"use strict";var h,d;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function o(w){if(w)return typeof w.iconPath=="string"?a.URI.file(w.iconPath):a.URI.isUri(w.iconPath)||m.ThemeIcon.isThemeIcon(w.iconPath)?w.iconPath:void 0}function g(w,p){if(!w.iconPath&&!p.iconPath)return 0;if(w.iconPath){if(!p.iconPath)return 1}else return-1;const D=typeof w.iconPath=="string"?w.iconPath:a.URI.isUri(w.iconPath)?w.iconPath.fsPath:w.iconPath.id,U=typeof p.iconPath=="string"?p.iconPath:a.URI.isUri(p.iconPath)?p.iconPath.fsPath:p.iconPath.id;return(0,T.comparePaths)(D,U)}function A(w,p){let D=0;if(w.strikeThrough!==p.strikeThrough)return w.strikeThrough?1:-1;if(w.faded!==p.faded)return w.faded?1:-1;if(w.tooltip!==p.tooltip)return(w.tooltip||"").localeCompare(p.tooltip||"");if(D=g(w,p),D!==0)return D;if(w.light&&p.light)D=g(w.light,p.light);else{if(w.light)return 1;if(p.light)return-1}if(D!==0)return D;if(w.dark&&p.dark)D=g(w.dark,p.dark);else{if(w.dark)return 1;if(p.dark)return-1}return D}function c(w,p){if(w.command!==p.command)return w.command<p.command?-1:1;if(w.title!==p.title)return w.title<p.title?-1:1;if(w.tooltip!==p.tooltip){if(w.tooltip!==void 0&&p.tooltip!==void 0)return w.tooltip<p.tooltip?-1:1;if(w.tooltip!==void 0)return 1;if(p.tooltip!==void 0)return-1}if(w.arguments===p.arguments)return 0;if(w.arguments)if(p.arguments){if(w.arguments.length!==p.arguments.length)return w.arguments.length-p.arguments.length}else return 1;else return-1;for(let D=0;D<w.arguments.length;D++){const U=w.arguments[D],V=p.arguments[D];if(U!==V)return U<V?-1:1}return 0}function _(w,p){let D=(0,T.comparePaths)(w.resourceUri.fsPath,p.resourceUri.fsPath,!0);if(D!==0)return D;if(w.command&&p.command)D=c(w.command,p.command);else{if(w.command)return 1;if(p.command)return-1}if(D!==0)return D;if(w.decorations&&p.decorations)D=A(w.decorations,p.decorations);else{if(w.decorations)return 1;if(p.decorations)return-1}return D}function s(w,p){for(let D=0;D<w.length;D++)if(w[D]!==p[D])return!1;return!0}function u(w,p){return w.command===p.command&&w.title===p.title&&w.tooltip===p.tooltip&&(w.arguments&&p.arguments?s(w.arguments,p.arguments):w.arguments===p.arguments)}function i(w,p){return(0,E.equals)(w,p,u)}class n{constructor(p,D,U){this._extension=p,this._sourceControlHandle=U,h.set(this,void 0),this._value="",this._onDidChange=new v.Emitter,this._placeholder="",this._enabled=!0,this._visible=!0,Ye(this,h,D,"f")}get value(){return this._value}set value(p){p=p??"",Oe(this,h,"f").$setInputBoxValue(this._sourceControlHandle,p),this.updateValue(p)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(p){Oe(this,h,"f").$setInputBoxPlaceholder(this._sourceControlHandle,p),this._placeholder=p}get validateInput(){return(0,f.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(p){if((0,f.checkProposedApiEnabled)(this._extension,"scmValidation"),p&&typeof p!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=p,Oe(this,h,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!p)}get enabled(){return this._enabled}set enabled(p){p=!!p,this._enabled!==p&&(this._enabled=p,Oe(this,h,"f").$setInputBoxEnablement(this._sourceControlHandle,p))}get visible(){return this._visible}set visible(p){p=!!p,this._visible!==p&&(this._visible=p,Oe(this,h,"f").$setInputBoxVisibility(this._sourceControlHandle,p))}showValidationMessage(p,D){(0,f.checkProposedApiEnabled)(this._extension,"scmValidation"),Oe(this,h,"f").$showValidationMessage(this._sourceControlHandle,p,D)}$onInputBoxValueChange(p){this.updateValue(p)}updateValue(p){this._value=p,this._onDidChange.fire(p)}}e.ExtHostSCMInputBox=n,h=new WeakMap;class r{constructor(p,D,U,V,x){this._proxy=p,this._commands=D,this._sourceControlHandle=U,this._id=V,this._label=x,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new v.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=r._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(p){this._label=p,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,p)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(p){this._hideWhenEmpty=p,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(p){this._resourceStates=[...p],this._onDidUpdateResourceStates.fire()}getResourceState(p){return this._resourceStatesMap.get(p)}$executeResourceCommand(p,D){const U=this._resourceStatesCommandsMap.get(p);return U?(0,y.asPromise)(()=>this._commands.executeCommand(U.command,...U.arguments||[],D)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const p=[...this._resourceStates].sort(_),U=(0,E.sortedDiff)(this._resourceSnapshot,p,_).map(C=>{const L=C.toInsert.map(B=>{const F=this._resourceHandlePool++;this._resourceStatesMap.set(F,B);const K=B.resourceUri;let H;if(B.command)if(B.command.command==="vscode.open"||B.command.command==="vscode.diff"){const ve=new M.DisposableStore;H=this._commands.converter.toInternal(B.command,ve),this._resourceStatesDisposablesMap.set(F,ve)}else this._resourceStatesCommandsMap.set(F,B.command);const O=o(B.decorations),ee=B.decorations&&o(B.decorations.light)||O,ce=B.decorations&&o(B.decorations.dark)||O,oe=[ee,ce],le=B.decorations&&B.decorations.tooltip||"",te=B.decorations&&!!B.decorations.strikeThrough,Ee=B.decorations&&!!B.decorations.faded,be=B.contextValue||"";return{rawResource:[F,K,oe,le,te,Ee,be,H],handle:F}});return{start:C.start,deleteCount:C.deleteCount,toInsert:L}}),V=U.map(({start:C,deleteCount:L,toInsert:B})=>[C,L,B.map(F=>F.rawResource)]),x=U.reverse();for(const{start:C,deleteCount:L,toInsert:B}of x){const F=B.map(H=>H.handle),K=this._handlesSnapshot.splice(C,L,...F);for(const H of K)this._resourceStatesMap.delete(H),this._resourceStatesCommandsMap.delete(H),this._resourceStatesDisposablesMap.get(H)?.dispose(),this._resourceStatesDisposablesMap.delete(H)}return this._resourceSnapshot=p,V}dispose(){this._disposed=!0,this._onDidDispose.fire()}}r._handlePool=0;class t{constructor(p,D,U,V,x,C){this._extension=p,this._commands=U,this._id=V,this._label=x,this._rootUri=C,d.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new M.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new M.MutableDisposable,this._statusBarDisposables=new M.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new v.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=t._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,Ye(this,d,D,"f"),this._inputBox=new n(p,Oe(this,d,"f"),this.handle),Oe(this,d,"f").$registerSourceControl(this.handle,V,x,C)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(p){this._count!==p&&(this._count=p,Oe(this,d,"f").$updateSourceControl(this.handle,{count:p}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(p){this._quickDiffProvider=p,Oe(this,d,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!p})}get commitTemplate(){return this._commitTemplate}set commitTemplate(p){p!==this._commitTemplate&&(this._commitTemplate=p,Oe(this,d,"f").$updateSourceControl(this.handle,{commitTemplate:p}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(p){this._acceptInputDisposables.value=new M.DisposableStore,this._acceptInputCommand=p;const D=this._commands.converter.toInternal(p,this._acceptInputDisposables.value);Oe(this,d,"f").$updateSourceControl(this.handle,{acceptInputCommand:D})}get actionButton(){return(0,f.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(p){(0,f.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new M.DisposableStore,this._actionButton=p;const D=p!==void 0?{command:this._commands.converter.toInternal(p.command,this._actionButtonDisposables.value),secondaryCommands:p.secondaryCommands?.map(U=>U.map(V=>this._commands.converter.toInternal(V,this._actionButtonDisposables.value))),description:p.description,enabled:p.enabled}:void 0;Oe(this,d,"f").$updateSourceControl(this.handle,{actionButton:D??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(p){if(this._statusBarCommands&&p&&i(this._statusBarCommands,p))return;this._statusBarDisposables.value=new M.DisposableStore,this._statusBarCommands=p;const D=(p||[]).map(U=>this._commands.converter.toInternal(U,this._statusBarDisposables.value));Oe(this,d,"f").$updateSourceControl(this.handle,{statusBarCommands:D})}get selected(){return this._selected}createResourceGroup(p,D){const U=new r(Oe(this,d,"f"),this._commands,this.handle,p,D),V=v.Event.once(U.onDidDispose)(()=>this.createdResourceGroups.delete(U));return this.createdResourceGroups.set(U,V),this.eventuallyAddResourceGroups(),U}eventuallyAddResourceGroups(){const p=[],D=[];for(const[U,V]of this.createdResourceGroups){V.dispose();const x=U.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(U),this.eventuallyUpdateResourceStates()});v.Event.once(U.onDidDispose)(()=>{this.updatedResourceGroups.delete(U),x.dispose(),this._groups.delete(U.handle),Oe(this,d,"f").$unregisterGroup(this.handle,U.handle)}),p.push([U.handle,U.id,U.label,U.features]);const C=U._takeResourceStateSnapshot();C.length>0&&D.push([U.handle,C]),this._groups.set(U.handle,U)}Oe(this,d,"f").$registerGroups(this.handle,p,D),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const p=[];this.updatedResourceGroups.forEach(D=>{const U=D._takeResourceStateSnapshot();U.length!==0&&p.push([D.handle,U])}),p.length>0&&Oe(this,d,"f").$spliceResourceStates(this.handle,p),this.updatedResourceGroups.clear()}getResourceGroup(p){return this._groups.get(p)}setSelectionState(p){this._selected=p,this._onDidChangeSelection.fire(p)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(p=>p.dispose()),Oe(this,d,"f").$unregisterSourceControl(this.handle)}}d=new WeakMap,t._handlePool=0,ze([(0,b.debounce)(100)],t.prototype,"eventuallyAddResourceGroups",null),ze([(0,b.debounce)(100)],t.prototype,"eventuallyUpdateResourceStates",null);let l=class Yi{constructor(p,D,U){this._commands=D,this.logService=U,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new v.Emitter,this._proxy=p.getProxy(P.MainContext.MainThreadSCM),this._telemetry=p.getProxy(P.MainContext.MainThreadTelemetry),D.registerArgumentProcessor({processArgument:V=>{if(V&&V.$mid===3){const x=this._sourceControls.get(V.sourceControlHandle);if(!x)return V;const C=x.getResourceGroup(V.groupHandle);return C?C.getResourceState(V.handle):V}else if(V&&V.$mid===4){const x=this._sourceControls.get(V.sourceControlHandle);return x?x.getResourceGroup(V.groupHandle):V}else if(V&&V.$mid===5){const x=this._sourceControls.get(V.handle);return x||V}return V}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(p,D,U,V){this.logService.trace("ExtHostSCM#createSourceControl",p.identifier.value,D,U,V),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:p.identifier.value});const x=Yi._handlePool++,C=new t(p,this._proxy,this._commands,D,U,V);this._sourceControls.set(x,C);const L=this._sourceControlsByExtension.get(S.ExtensionIdentifier.toKey(p.identifier))||[];return L.push(C),this._sourceControlsByExtension.set(S.ExtensionIdentifier.toKey(p.identifier),L),C}getLastInputBox(p){this.logService.trace("ExtHostSCM#getLastInputBox",p.identifier.value);const D=this._sourceControlsByExtension.get(S.ExtensionIdentifier.toKey(p.identifier)),U=D&&D[D.length-1];return U&&U.inputBox}$provideOriginalResource(p,D,U){const V=a.URI.revive(D);this.logService.trace("ExtHostSCM#$provideOriginalResource",p,V.toString());const x=this._sourceControls.get(p);return!x||!x.quickDiffProvider||!x.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,y.asPromise)(()=>x.quickDiffProvider.provideOriginalResource(V,U)).then(C=>C||null)}$onInputBoxValueChange(p,D){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",p);const U=this._sourceControls.get(p);return U&&U.inputBox.$onInputBoxValueChange(D),Promise.resolve(void 0)}$executeResourceCommand(p,D,U,V){this.logService.trace("ExtHostSCM#$executeResourceCommand",p,D,U);const x=this._sourceControls.get(p);if(!x)return Promise.resolve(void 0);const C=x.getResourceGroup(D);return C?C.$executeResourceCommand(U,V):Promise.resolve(void 0)}$validateInput(p,D,U){this.logService.trace("ExtHostSCM#$validateInput",p);const V=this._sourceControls.get(p);return!V||!V.inputBox.validateInput?Promise.resolve(void 0):(0,y.asPromise)(()=>V.inputBox.validateInput(D,U)).then(x=>{if(!x)return Promise.resolve(void 0);const C=I.MarkdownString.fromStrict(x.message);return C?Promise.resolve([C,x.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(p){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",p),p!==void 0&&this._sourceControls.get(p)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=p,Promise.resolve(void 0)}};l._handlePool=0,l=ze([$e(2,R.ILogService)],l),e.ExtHostSCM=l}),define(ye[68],De([1,0,4,5,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class M{constructor(P){this._onDidChangePassword=new v.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(a.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,E){return this._proxy.$getPassword(P,E)}store(P,E,T){return this._proxy.$setPassword(P,E,T)}delete(P,E){return this._proxy.$deletePassword(P,E)}}e.ExtHostSecretState=M,e.IExtHostSecretState=(0,b.createDecorator)("IExtHostSecretState")});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[212],De([1,0,6,4,133,7,8,10]),function(ie,e,a,v,b,M,y,P){"use strict";var E,T;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class R{constructor(f,h,d,o,g=a.StatusBarAlignment.Left,A){E.set(this,void 0),T.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new M.DisposableStore,Ye(this,E,f,"f"),Ye(this,T,h,"f"),this._entryId=R.ID_GEN++,this._extension=d,this._id=o,this._alignment=g,this._priority=this.validatePriority(A)}validatePriority(f){if(!!(0,P.isNumber)(f))return f===Number.POSITIVE_INFINITY?Number.MAX_VALUE:f===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:f}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(f){this._text=f,this.update()}set name(f){this._name=f,this.update()}set tooltip(f){this._tooltip=f,this.update()}set color(f){this._color=f,this.update()}set backgroundColor(f){f&&!R.ALLOWED_BACKGROUND_COLORS.has(f.id)&&(f=void 0),this._backgroundColor=f,this.update()}set command(f){this._command?.fromApi!==f&&(this._internalCommandRegistration.clear(),typeof f=="string"?this._command={fromApi:f,internal:Oe(this,T,"f").toInternal({title:"",command:f},this._internalCommandRegistration)}:f?this._command={fromApi:f,internal:Oe(this,T,"f").toInternal(f,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(f){this._accessibilityInformation=f,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Oe(this,E,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let f;this._extension?this._id?f=`${this._extension.identifier.value}.${this._id}`:f=this._extension.identifier.value:f=this._id;let h;this._name?h=this._name:h=(0,b.localize)(0,null,this._extension.displayName||this._extension.name);let d=this._color;this._backgroundColor&&(d=R.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const o=y.MarkdownString.fromStrict(this._tooltip);Oe(this,E,"f").$setEntry(this._entryId,f,h,this._text,o,this._command?.internal,d,this._backgroundColor,this._alignment===a.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=R,E=new WeakMap,T=new WeakMap,R.ID_GEN=0,R.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new a.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new a.ThemeColor("statusBarItem.warningForeground")]]);class S{constructor(f){this._messages=[],this._item=f.createStatusBarEntry(void 0,"status.extensionMessage",a.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,b.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(f){const h={message:f};return this._messages.unshift(h),this._update(),new a.Disposable(()=>{const d=this._messages.indexOf(h);d>=0&&(this._messages.splice(d,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class m{constructor(f,h){this._proxy=f.getProxy(v.MainContext.MainThreadStatusBar),this._commands=h,this._statusMessage=new S(this)}createStatusBarEntry(f,h,d,o){return new R(this._proxy,this._commands,f,h,d,o)}setStatusBarMessage(f,h){const d=this._statusMessage.setMessage(f);let o;return typeof h=="number"?o=setTimeout(()=>d.dispose(),h):typeof h!="undefined"&&h.then(()=>d.dispose(),()=>d.dispose()),new a.Disposable(()=>{d.dispose(),clearTimeout(o)})}}e.ExtHostStatusBar=m}),define(ye[69],De([1,0,4,5,3]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class M{constructor(P){this._onDidChangeStorage=new v.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(a.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,E){this._proxy.$registerExtensionStorageKeysToSync(P,E)}initializeExtensionStorage(P,E,T){return this._proxy.$initializeExtensionStorage(P,E).then(R=>R||T)}setValue(P,E,T){return this._proxy.$setValue(P,E,T)}$acceptValue(P,E,T){this._onDidChangeStorage.fire({shared:P,key:E,value:T})}}e.ExtHostStorage=M,e.IExtHostStorage=(0,b.createDecorator)("IExtHostStorage")}),define(ye[70],De([1,0,3,28,15,52,2]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,a.createDecorator)("IExtensionStoragePaths");let P=class{constructor(T,R,S){this._logService=R,this._extHostFileSystem=S,this._workspace=T.workspace??void 0,this._environment=T.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(m=>this._value=m)}async _getWorkspaceStorageURI(T){return y.URI.joinPath(this._environment.workspaceStorageHome,T)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const T=this._workspace.id,R=await this._getWorkspaceStorageURI(T);try{return await this._extHostFileSystem.value.stat(R),this._logService.trace("[ExtHostStorage] storage dir already exists",R),R}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",R),await this._extHostFileSystem.value.createDirectory(R),await this._extHostFileSystem.value.writeFile(y.URI.joinPath(R,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:y.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),R}catch(S){this._logService.error("[ExtHostStorage]",S);return}}workspaceValue(T){if(this._value)return y.URI.joinPath(this._value,T.identifier.value)}globalValue(T){return y.URI.joinPath(this._environment.globalStorageHome,T.identifier.value.toLowerCase())}onWillDeactivateAll(){}};P=ze([$e(0,v.IExtHostInitDataService),$e(1,b.ILogService),$e(2,M.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(ye[98],De([1,0,3,4,13]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTelemetryLogService=e.IExtHostTelemetryLogService=void 0,e.IExtHostTelemetryLogService=(0,a.createDecorator)("IExtHostTelemetryLogService");let M=class{constructor(P){this._telemetryShape=P.getProxy(v.MainContext.MainThreadTelemetry)}logToTelemetryOutputChannel(P,E,T){this._telemetryShape.$logTelemetryToOutputChannel(`${P.identifier.value}/${E}`,T)}};M=ze([$e(0,b.IExtHostRpcService)],M),e.ExtHostTelemetryLogService=M}),define(ye[53],De([1,0,5,4,3,2,13,7,6,134,11,169,20,42,154,61,10,14]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,b.createDecorator)("IExtHostTerminalService");class g{constructor(t,l,w,p){this._proxy=t,this._id=l,this._creationOptions=w,this._name=p,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(U=>this._pidPromiseComplete=U);const D=this;this.value={get name(){return D._name||""},get processId(){return D._pidPromise},get creationOptions(){return D._creationOptions},get exitStatus(){return D._exitStatus},get state(){return D._state},sendText(U,V=!0){D._checkDisposed(),D._proxy.$sendText(D._id,U,V)},show(U){D._checkDisposed(),D._proxy.$show(D._id,U)},hide(){D._checkDisposed(),D._proxy.$hide(D._id)},dispose(){D._disposed||(D._disposed=!0,D._proxy.$dispose(D._id))},get dimensions(){if(!(D._cols===void 0||D._rows===void 0))return{columns:D._cols,rows:D._rows}}}}async create(t,l){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:t.name,shellPath:(0,d.withNullAsUndefined)(t.shellPath),shellArgs:(0,d.withNullAsUndefined)(t.shellArgs),cwd:(0,d.withNullAsUndefined)(t.cwd),env:(0,d.withNullAsUndefined)(t.env),icon:(0,d.withNullAsUndefined)(i(t.iconPath)),color:h.ThemeColor.isThemeColor(t.color)?t.color.id:void 0,initialText:(0,d.withNullAsUndefined)(t.message),strictEnv:(0,d.withNullAsUndefined)(t.strictEnv),hideFromUser:(0,d.withNullAsUndefined)(t.hideFromUser),isFeatureTerminal:(0,d.withNullAsUndefined)(l?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,d.withNullAsUndefined)(l?.useShellEnvironment),location:l?.location||this._serializeParentTerminal(t.location,l?.resolvedExtHostIdentifier),isTransient:(0,d.withNullAsUndefined)(t.isTransient)})}async createExtensionTerminal(t,l,w,p){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:w,color:h.ThemeColor.isThemeColor(p)?p.id:void 0,location:this._serializeParentTerminal(t,l),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(t,l){return typeof t=="object"?"parentTerminal"in t&&t.parentTerminal&&l?{parentTerminal:l}:"viewColumn"in t?{viewColumn:t.viewColumn,preserveFocus:t.preserveFocus}:void 0:t}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitStatus(t,l){this._exitStatus=Object.freeze({code:t,reason:l})}setDimensions(t,l){return t===this._cols&&l===this._rows||t===0||l===0?!1:(this._cols=t,this._rows=l,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(l=>{l!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=g;class A{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new a.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new a.Emitter,this._onDidChangeProperty=new a.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new a.Emitter,this.onProcessExit=this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}refreshProperty(t){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${t}`)}updateProperty(t,l){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${t}, value: ${l}`)}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput?.(t)}resize(t,l){this._pty.setDimensions?.({columns:t,rows:l})}async processBinary(t){}acknowledgeDataEvent(t){}async setUnicodeVersion(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(l=>this._onProcessData.fire(l)),this._pty.onDidClose?.((l=void 0)=>{this._onProcessExit.fire(l===void 0?void 0:l)}),this._pty.onDidOverrideDimensions?.(l=>{l&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:l.columns,rows:l.rows}})}),this._pty.onDidChangeName?.(l=>{this._onDidChangeProperty.fire({type:"title",value:l})}),this._pty.open(t||void 0),t&&this._pty.setDimensions?.(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=A;let c=1,_=class extends P.Disposable{constructor(t,l){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new a.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new a.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new a.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new a.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new a.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=l.getProxy(v.MainContext.MainThreadTerminalService),this._bufferer=new f.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new a.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[w,p]of this._terminalProcesses)p.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(t){return(t?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(t){return(t?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(t,l){const w=new g(this._proxy,(0,I.generateUuid)(),t,t.name),p=new A(t.pty);return w.createExtensionTerminal(t.location,this._serializeParentTerminal(t,l).resolvedExtHostIdentifier,i(t.iconPath),n(t.color)).then(D=>{const U=this._setupExtHostProcessListeners(D,p);this._terminalProcessDisposables[D]=U}),this._terminals.push(w),w.value}_serializeParentTerminal(t,l){if(l=l||{},t.location&&typeof t.location=="object"&&"parentTerminal"in t.location){const w=t.location.parentTerminal;if(w){const p=this._terminals.find(D=>D.value===w);p&&(l.resolvedExtHostIdentifier=p._id)}}else t.location&&typeof t.location!="object"?l.location=t.location:l.location&&typeof l.location=="object"&&"splitActiveTerminal"in l.location&&(l.location={splitActiveTerminal:!0});return l}attachPtyToTerminal(t,l){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const p=new A(l),D=this._setupExtHostProcessListeners(t,p);this._terminalProcessDisposables[t]=D}async $acceptActiveTerminalChanged(t){const l=this._activeTerminal;if(t===null){this._activeTerminal=void 0,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const w=this._getTerminalById(t);w&&(this._activeTerminal=w,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,l){const w=this._getTerminalById(t);w&&this._onDidWriteTerminalData.fire({terminal:w.value,data:l})}async $acceptTerminalDimensions(t,l,w){const p=this._getTerminalById(t);p&&p.setDimensions(l,w)&&this._onDidChangeTerminalDimensions.fire({terminal:p.value,dimensions:p.value.dimensions})}async $acceptTerminalMaximumDimensions(t,l,w){this._terminalProcesses.get(t)?.resize(l,w)}async $acceptTerminalTitleChange(t,l){const w=this._getTerminalById(t);w&&(w.name=l)}async $acceptTerminalClosed(t,l,w){const p=this._getTerminalObjectIndexById(this._terminals,t);if(p!==null){const D=this._terminals.splice(p,1)[0];D.setExitStatus(l,w),this._onDidCloseTerminal.fire(D.value)}}$acceptTerminalOpened(t,l,w,p){if(l){const V=this._getTerminalObjectIndexById(this._terminals,l);if(V!==null){this._terminals[V]._id=t,this._onDidOpenTerminal.fire(this.terminals[V]),this._terminals[V].isOpen=!0;return}}const D={name:p.name,shellPath:p.executable,shellArgs:p.args,cwd:typeof p.cwd=="string"?p.cwd:M.URI.revive(p.cwd),env:p.env,hideFromUser:p.hideFromUser},U=new g(this._proxy,t,D,w);this._terminals.push(U),this._onDidOpenTerminal.fire(U.value),U.isOpen=!0}async $acceptTerminalProcessId(t,l){this._getTerminalById(t)?._setProcessId(l)}async $startExtensionTerminal(t,l){const w=this._getTerminalById(t);if(!w)return{message:(0,T.localize)(0,null,t)};w.isOpen||await new Promise(D=>{const U=this.onDidOpenTerminal(async V=>{V===w.value&&(U.dispose(),D())})});const p=this._terminalProcesses.get(t);p?p.startSendingEvents(l):this._extensionTerminalAwaitingStart[t]={initialDimensions:l}}_setupExtHostProcessListeners(t,l){const w=new P.DisposableStore;w.add(l.onProcessReady(D=>this._proxy.$sendProcessReady(t,D.pid,D.cwd))),w.add(l.onDidChangeProperty(D=>this._proxy.$sendProcessProperty(t,D))),this._bufferer.startBuffering(t,l.onProcessData),w.add(l.onProcessExit(D=>this._onProcessExit(t,D))),this._terminalProcesses.set(t,l);const p=this._extensionTerminalAwaitingStart[t];return p&&l instanceof A&&(l.startSendingEvents(p.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),w}$acceptProcessAckDataEvent(t,l){this._terminalProcesses.get(t)?.acknowledgeDataEvent(l)}$acceptProcessInput(t,l){this._terminalProcesses.get(t)?.input(l)}$acceptTerminalInteraction(t){const l=this._getTerminalById(t);l?.setInteractedWith()&&this._onDidChangeTerminalState.fire(l.value)}$acceptProcessResize(t,l,w){try{this._terminalProcesses.get(t)?.resize(l,w)}catch(p){if(p.code!=="EPIPE"&&p.code!=="ERR_IPC_CHANNEL_CLOSED")throw p}}$acceptProcessShutdown(t,l){this._terminalProcesses.get(t)?.shutdown(l)}$acceptProcessRequestInitialCwd(t){this._terminalProcesses.get(t)?.getInitialCwd().then(l=>this._proxy.$sendProcessProperty(t,{type:"initialCwd",value:l}))}$acceptProcessRequestCwd(t){this._terminalProcesses.get(t)?.getCwd().then(l=>this._proxy.$sendProcessProperty(t,{type:"cwd",value:l}))}$acceptProcessRequestLatency(t){return Promise.resolve(t)}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new E.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(t,l,w){if(this._profileProviders.has(l))throw new Error(`Terminal profile provider "${l}" already registered`);return this._profileProviders.set(l,w),this._proxy.$registerProfileProvider(l,t.identifier.value),new E.Disposable(()=>{this._profileProviders.delete(l),this._proxy.$unregisterProfileProvider(l)})}async $createContributedProfileTerminal(t,l){const w=new m.CancellationTokenSource().token;let p=await this._profileProviders.get(t)?.provideTerminalProfile(w);if(!w.isCancellationRequested){if(p&&!("options"in p)&&(p={options:p}),!p||!("options"in p))throw new Error(`No terminal profile options provided for id "${t}"`);if("pty"in p.options){this.createExtensionTerminal(p.options,l);return}this.createTerminalFromOptions(p.options,l)}}async $provideLinks(t,l){const w=this._getTerminalById(t);if(!w)return[];this._terminalLinkCache.delete(t),this._terminalLinkCancellationSource.get(t)?.dispose(!0);const D=new m.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,D);const U=[],V={terminal:w.value,line:l},x=[];for(const B of this._linkProviders)x.push(o.Promises.withAsyncBody(async F=>{D.token.onCancellationRequested(()=>F({provider:B,links:[]}));const K=await B.provideTerminalLinks(V,D.token)||[];D.token.isCancellationRequested||F({provider:B,links:K})}));const C=await Promise.all(x);if(D.token.isCancellationRequested)return[];const L=new Map;for(const B of C)B&&B.links.length>0&&U.push(...B.links.map(F=>{const K={id:c++,startIndex:F.startIndex,length:F.length,label:F.tooltip};return L.set(K.id,{provider:B.provider,link:F}),K}));return this._terminalLinkCache.set(t,L),U}$activateLink(t,l){const w=this._terminalLinkCache.get(t)?.get(l);!w||w.provider.handleTerminalLink(w.link)}_onProcessExit(t,l){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const w=this._terminalProcessDisposables[t];w&&(w.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,l)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,l){const w=this._getTerminalObjectIndexById(t,l);return w!==null?t[w]:null}_getTerminalObjectIndexById(t,l){let w=null;return t.some((p,D)=>p._id===l?(w=D,!0):!1),w}getEnvironmentVariableCollection(t){let l=this._environmentVariableCollections.get(t.identifier.value);return l||(l=new s,this._setEnvironmentVariableCollection(t.identifier.value,l)),l}_syncEnvironmentVariableCollection(t,l){const w=(0,S.serializeEnvironmentVariableCollection)(l.map);this._proxy.$setEnvironmentVariableCollection(t,l.persistent,w.length===0?void 0:w)}$initEnvironmentVariableCollections(t){t.forEach(l=>{const w=l[0],p=new s(l[1]);this._setEnvironmentVariableCollection(w,p)})}$acceptDefaultProfile(t,l){this._defaultProfile=t,this._defaultAutomationProfile=l}_setEnvironmentVariableCollection(t,l){this._environmentVariableCollections.set(t,l),l.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,l)})}};_=ze([$e(1,y.IExtHostRpcService)],_),e.BaseExtHostTerminalService=_;class s{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new a.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,l){this._setIfDiffers(t,{value:l,type:E.EnvironmentVariableMutatorType.Replace})}append(t,l){this._setIfDiffers(t,{value:l,type:E.EnvironmentVariableMutatorType.Append})}prepend(t,l){this._setIfDiffers(t,{value:l,type:E.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,l){const w=this.map.get(t);(!w||w.value!==l.value||w.type!==l.type)&&(this.map.set(t,l),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,l){this.map.forEach((w,p)=>t.call(l,p,w,this))}[Symbol.iterator](){return this.map.entries()}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=s;let u=class extends _{constructor(t){super(!1,t)}createTerminal(t,l,w){throw new R.NotSupportedError}createTerminalFromOptions(t,l){throw new R.NotSupportedError}};u=ze([$e(0,y.IExtHostRpcService)],u),e.WorkerExtHostTerminalService=u;function i(r){if(!(!r||typeof r=="string"))return"id"in r?{id:r.id,color:r.color}:r}function n(r){return h.ThemeColor.isThemeColor(r)?r:void 0}});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[213],De([1,0,16,23,20,5,173,97,7,26,10,42,4,13,93,8,6,47,65,48]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A){"use strict";var c,_;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let s=class{constructor(x,C){this.resultsChangedEmitter=new M.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=x.getProxy(m.MainContext.MainThreadTesting),this.observer=new p(this.proxy),this.runTracker=new i(this.proxy),C.registerArgumentProcessor({processArgument:L=>L?.$mid===13?(0,f.toItemFromContext)(L):L})}createTestController(x,C,L){if(this.controllers.has(x))throw new Error(`Attempt to insert a duplicate controller with ID "${x}"`);const B=new E.DisposableStore,F=B.add(new f.ExtHostTestItemCollection(x,C));F.root.label=C;const K=new Map,H=this.proxy,O={items:F.root.children,get label(){return C},set label(ce){C=ce,F.root.label=ce,H.$updateController(x,{label:C})},get refreshHandler(){return L},set refreshHandler(ce){L=ce,H.$updateController(x,{canRefresh:!!ce})},get id(){return x},createRunProfile:(ce,oe,le,te,Ee)=>{let be=(0,P.hash)(ce);for(;K.has(be);)be++;return new D(this.proxy,K,x,be,ce,oe,le,te,Ee)},createTestItem(ce,oe,le){return new f.TestItemImpl(x,ce,oe,le)},createTestRun:(ce,oe,le=!0)=>this.runTracker.createTestRun(x,F,ce,oe,le),set resolveHandler(ce){F.resolveHandler=ce},get resolveHandler(){return F.resolveHandler},dispose:()=>{B.dispose()}};H.$registerTestController(x,C,!!L),B.add((0,E.toDisposable)(()=>H.$unregisterTestController(x)));const ee={controller:O,collection:F,profiles:K};return this.controllers.set(x,ee),B.add((0,E.toDisposable)(()=>this.controllers.delete(x))),B.add(F.onDidGenerateDiff(ce=>H.$publishDiff(x,ce.map(A.TestsDiffOp.serialize)))),O}createTestObserver(){return this.observer.checkout()}async runTests(x,C=b.CancellationToken.None){const L=n(x);if(!L)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const B=this.controllers.get(L.controllerId);if(!B)throw new Error("Controller not found");await this.proxy.$runTests({isUiTriggered:!1,targets:[{testIds:x.include?.map(F=>o.TestId.fromExtHostTestItem(F,B.collection.root.id).toString())??[B.collection.root.id],profileGroup:U[L.kind],profileId:L.profileId,controllerId:L.controllerId}],exclude:x.exclude?.map(F=>F.id)},C)}$provideFileCoverage(x,C,L){return(0,a.mapFind)(this.runTracker.trackers,F=>F.id===x?F.getCoverage(C):void 0)?.provideFileCoverage(L)??Promise.resolve([])}$resolveFileCoverage(x,C,L,B){return(0,a.mapFind)(this.runTracker.trackers,K=>K.id===x?K.getCoverage(C):void 0)?.resolveFileCoverage(L,B)??Promise.resolve([])}$configureRunProfile(x,C){this.controllers.get(x)?.profiles.get(C)?.configureHandler?.()}async $refreshTests(x,C){await this.controllers.get(x)?.controller.refreshHandler?.(C)}$publishTestResults(x){this.results=Object.freeze(x.map(C=>(0,T.deepFreeze)(h.TestResults.to(C))).concat(this.results).sort((C,L)=>L.completedAt-C.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(x,C){const L=this.controllers.get(o.TestId.fromString(x).controllerId)?.collection;L&&(await L.expand(x,C<0?1/0:C),L.flushDiff())}$acceptDiff(x){this.observer.applyDiff(x.map(A.TestsDiffOp.deserialize))}async $runControllerTests(x,C){return Promise.all(x.map(L=>this.runControllerTestRequest(L,C)))}async runControllerTestRequest(x,C){const L=this.controllers.get(x.controllerId);if(!L)return{};const{collection:B,profiles:F}=L,K=F.get(x.profileId);if(!K)return{};const H=x.testIds.map(oe=>B.tree.get(oe)).filter(R.isDefined),O=x.excludeExtIds.map(oe=>L.collection.tree.get(oe)).filter(R.isDefined).filter(oe=>H.some(le=>le.fullId.compare(oe.fullId)===2));if(!H.length)return{};const ee=new d.TestRunRequest(H.some(oe=>oe.actual instanceof f.TestItemRootImpl)?void 0:H.map(oe=>oe.actual),O.map(oe=>oe.actual),K),ce=this.runTracker.prepareForMainThreadTestRun(ee,r.fromInternal(x,L.collection),C);try{return await K.runHandler(ee,C),{}}catch(oe){return{error:String(oe)}}finally{ce.isRunning&&!C.isCancellationRequested&&await M.Event.toPromise(ce.onEnd),ce.dispose()}}$cancelExtensionTestRun(x){x===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(x)}};s=ze([$e(0,I.IExtHostRpcService)],s),e.ExtHostTesting=s;class u extends E.Disposable{constructor(x,C,L){super();this.dto=x,this.proxy=C,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new M.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new b.CancellationTokenSource(L)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:B}of this.tasks.values())B.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(x){return this.tasks.get(x)?.coverage}createRun(x){const C=this.dto.id,L=this.dto.controllerId,B=(0,S.generateUuid)(),F=new t(this.proxy,C,B),K=ce=>(oe,...le)=>{if(O){console.warn(`Setting the state of test "${oe.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(oe)||(this.ensureTestIsKnown(oe),ce(oe,...le))},H=(ce,oe)=>{const le=oe instanceof Array?oe.map(h.TestMessage.from):[h.TestMessage.from(oe)];if(ce.uri&&ce.range){const te={range:h.Range.from(ce.range),uri:ce.uri};for(const Ee of le)Ee.location=Ee.location||te}this.proxy.$appendTestMessagesInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),le)};let O=!1;const ee={isPersisted:this.dto.isPersisted,token:this.cts.token,name:x,get coverageProvider(){return F.coverageProvider},set coverageProvider(ce){F.coverageProvider=ce},enqueued:K(ce=>{this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),1)}),skipped:K(ce=>{this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),5)}),started:K(ce=>{this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),2)}),errored:K((ce,oe,le)=>{H(ce,oe),this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),6,le)}),failed:K((ce,oe,le)=>{H(ce,oe),this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,L).toString(),4,le)}),passed:K((ce,oe)=>{this.proxy.$updateTestStateInRun(C,B,o.TestId.fromExtHostTestItem(ce,this.dto.controllerId).toString(),3,oe)}),appendOutput:(ce,oe,le)=>{O||(le&&(this.dto.isIncluded(le)?this.ensureTestIsKnown(le):le=void 0),this.proxy.$appendOutputToRun(C,B,v.VSBuffer.fromString(ce),oe&&h.location.from(oe),le&&o.TestId.fromExtHostTestItem(le,L).toString()))},end:()=>{O||(O=!0,this.proxy.$finishedTestRunTask(C,B),this.tasks.delete(B),this.isRunning||this.dispose())}};return this.tasks.set(B,{run:ee,coverage:F}),this.proxy.$startedTestRunTask(C,{id:B,name:x,running:!0}),ee}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(x){if(!(x instanceof f.TestItemImpl))throw new g.InvalidTestItemError(x.id);if(this.sharedTestIds.has(o.TestId.fromExtHostTestItem(x,this.dto.controllerId).toString()))return;const C=[],L=this.dto.colllection.root;for(;;){const B=h.TestItem.from(x);if(C.unshift(B),this.sharedTestIds.has(B.extId)||(this.sharedTestIds.add(B.extId),x===L))break;x=x.parent||L}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,C)}}class i{constructor(x){this.proxy=x,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(x,C,L){return this.getTracker(x,C,L)}cancelRunById(x){for(const C of this.tracked.values())if(C.id===x){C.dispose();return}}cancelAllRuns(){for(const x of this.tracked.values())x.dispose()}createTestRun(x,C,L,B,F){const K=this.tracked.get(L);if(K)return K.createRun(B);const H=r.fromPublic(x,C,L,F),O=n(L);this.proxy.$startedExtensionTestRun({controllerId:x,profile:O&&{group:U[O.kind],id:O.profileId},exclude:L.exclude?.map(ce=>o.TestId.fromExtHostTestItem(ce,C.root.id).toString())??[],id:H.id,include:L.include?.map(ce=>o.TestId.fromExtHostTestItem(ce,C.root.id).toString())??[C.root.id],persist:F});const ee=this.getTracker(L,H);return ee.onEnd(()=>this.proxy.$finishedExtensionTestRun(H.id)),ee.createRun(B)}getTracker(x,C,L){const B=new u(C,this.proxy,L);return this.tracked.set(x,B),B.onEnd(()=>this.tracked.delete(x)),B}}e.TestRunCoordinator=i;const n=V=>{if(!!V.profile){if(!(V.profile instanceof D))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return V.profile}};class r{constructor(x,C,L,B,F,K){this.controllerId=x,this.id=C,this.isPersisted=F,this.colllection=K,this.includePrefix=L.map(H=>H+"\0"),this.excludePrefix=B.map(H=>H+"\0")}static fromPublic(x,C,L,B){return new r(x,(0,S.generateUuid)(),L.include?.map(F=>o.TestId.fromExtHostTestItem(F,x).toString())??[x],L.exclude?.map(F=>o.TestId.fromExtHostTestItem(F,x).toString())??[],B,C)}static fromInternal(x,C){return new r(x.controllerId,x.runId,x.testIds,x.excludeExtIds,!0,C)}isIncluded(x){const C=o.TestId.fromExtHostTestItem(x,this.controllerId).toString()+"\0";for(const L of this.excludePrefix)if(C===L||C.startsWith(L))return!1;for(const L of this.includePrefix)if(C===L||C.startsWith(L))return!0;return!1}}e.TestRunDto=r;class t{constructor(x,C,L){this.proxy=x,this.runId=C,this.taskId=L}set coverageProvider(x){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!x||(this._coverageProvider=x,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(x){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(x))());try{return(await this.fileCoverage)?.map(h.TestCoverage.fromFile)??[]}catch(C){throw this.fileCoverage=void 0,C}}async resolveFileCoverage(x,C){const L=await this.fileCoverage;let B=L?.[x];return!this._coverageProvider||!L||!B?[]:(B.detailedCoverage||(B=L[x]=await this._coverageProvider.resolveFileCoverage?.(B,C)??B),B.detailedCoverage?.map(h.TestCoverage.fromDetailed)??[])}}class l extends A.IncrementalChangeCollector{constructor(x){super();this.emitter=x,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(x){this.added.add(x)}update(x){Object.assign(x.revived,h.TestItem.toPlain(x.item)),this.added.has(x)||this.updated.add(x)}remove(x){if(this.added.has(x)){this.added.delete(x);return}if(this.updated.delete(x),x.parent&&this.alreadyRemoved.has(x.parent)){this.alreadyRemoved.add(x.item.extId);return}this.removed.add(x)}getChangeEvent(){const{added:x,updated:C,removed:L}=this;return{get added(){return[...x].map(B=>B.revived)},get updated(){return[...C].map(B=>B.revived)},get removed(){return[...L].map(B=>B.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class w extends A.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new M.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(x){return this.items.get(x)}getMirroredTestDataByReference(x){return this.items.get(x.id)}createItem(x,C){return{...x,revived:h.TestItem.toPlain(x.item),depth:C?C.depth+1:0,children:new Set}}createChangeCollector(){return new l(this.changeEmitter)}}e.MirroredTestCollection=w;class p{constructor(x){this.proxy=x}checkout(){this.current||(this.current=this.createObserverData());const x=this.current;return x.observers++,{onDidChangeTest:x.tests.onDidChangeTests,get tests(){return[...x.tests.rootTests].map(C=>C.revived)},dispose:(0,y.once)(()=>{--x.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(x){return this.current?.tests.getMirroredTestDataByReference(x)}applyDiff(x){this.current?.tests.apply(x)}createObserverData(){const x=new w;return this.proxy.$subscribeToDiffs(),{observers:0,tests:x}}}class D{constructor(x,C,L,B,F,K,H,O=!1,ee=void 0){this.controllerId=L,this.profileId=B,this._label=F,this.kind=K,this.runHandler=H,this._isDefault=O,this._tag=ee,c.set(this,void 0),_.set(this,void 0),Ye(this,c,x,"f"),Ye(this,_,C,"f"),C.set(B,this);const ce=U[K];if(typeof ce!="number")throw new Error(`Unknown TestRunProfile.group ${K}`);Oe(this,c,"f").$publishTestRunProfile({profileId:B,controllerId:L,tag:ee?h.TestTag.namespace(this.controllerId,ee.id):null,label:F,group:ce,isDefault:O,hasConfigurationHandler:!1})}get label(){return this._label}set label(x){x!==this._label&&(this._label=x,Oe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:x}))}get isDefault(){return this._isDefault}set isDefault(x){x!==this._isDefault&&(this._isDefault=x,Oe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:x}))}get tag(){return this._tag}set tag(x){x?.id!==this._tag?.id&&(this._tag=x,Oe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:x?h.TestTag.namespace(this.controllerId,x.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(x){x!==this._configureHandler&&(this._configureHandler=x,Oe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!x}))}dispose(){Oe(this,_,"f")?.delete(this.profileId)&&(Ye(this,_,void 0,"f"),Oe(this,c,"f").$removeTestProfile(this.controllerId,this.profileId))}}e.TestRunProfileImpl=D,c=new WeakMap,_=new WeakMap;const U={[d.TestRunProfileKind.Coverage]:8,[d.TestRunProfileKind.Debug]:4,[d.TestRunProfileKind.Run]:2}}),define(ye[214],De([1,0,16,5,4,94,8,6]),function(ie,e,a,v,b,M,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class E{constructor(R,S){this._extHostDocumentsAndEditors=S,this._onDidChangeTextEditorSelection=new v.Emitter,this._onDidChangeTextEditorOptions=new v.Emitter,this._onDidChangeTextEditorVisibleRanges=new v.Emitter,this._onDidChangeTextEditorViewColumn=new v.Emitter,this._onDidChangeActiveTextEditor=new v.Emitter,this._onDidChangeVisibleTextEditors=new v.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=R.getProxy(b.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(m=>this._onDidChangeVisibleTextEditors.fire(m)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(m=>this._onDidChangeActiveTextEditor.fire(m))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(R){const S=this._extHostDocumentsAndEditors.allEditors();return R?S:S.map(m=>m.value)}async showTextDocument(R,S,m){let I;typeof S=="number"?I={position:y.ViewColumn.from(S),preserveFocus:m}:typeof S=="object"?I={position:y.ViewColumn.from(S.viewColumn),preserveFocus:S.preserveFocus,selection:typeof S.selection=="object"?y.Range.from(S.selection):void 0,pinned:typeof S.preview=="boolean"?!S.preview:void 0}:I={preserveFocus:!1};const f=await this._proxy.$tryShowTextDocument(R.uri,I),h=f&&this._extHostDocumentsAndEditors.getEditor(f);if(h)return h.value;throw f?new Error(`Could NOT open editor for "${R.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${R.uri.toString()}".`)}createTextEditorDecorationType(R,S){return new M.TextEditorDecorationType(this._proxy,R,S).value}$acceptEditorPropertiesChanged(R,S){const m=this._extHostDocumentsAndEditors.getEditor(R);if(!m)throw new Error("unknown text editor");if(S.options&&m._acceptOptions(S.options),S.selections){const I=S.selections.selections.map(y.Selection.to);m._acceptSelections(I)}if(S.visibleRanges){const I=a.coalesce(S.visibleRanges.map(y.Range.to));m._acceptVisibleRanges(I)}if(S.options&&this._onDidChangeTextEditorOptions.fire({textEditor:m.value,options:{...S.options,lineNumbers:y.TextEditorLineNumbersStyle.to(S.options.lineNumbers)}}),S.selections){const I=P.TextEditorSelectionChangeKind.fromValue(S.selections.source),f=S.selections.selections.map(y.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:m.value,selections:f,kind:I})}if(S.visibleRanges){const I=a.coalesce(S.visibleRanges.map(y.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:m.value,visibleRanges:I})}}$acceptEditorPositionData(R){for(const S in R){const m=this._extHostDocumentsAndEditors.getEditor(S);if(!m)throw new Error("Unknown text editor");const I=y.ViewColumn.to(R[S]);m.value.viewColumn!==I&&(m._acceptViewColumn(I),this._onDidChangeTextEditorViewColumn.fire({textEditor:m.value,viewColumn:I}))}}getDiffInformation(R){return Promise.resolve(this._proxy.$getDiffInformation(R))}}e.ExtHostEditors=E}),define(ye[215],De([1,0,2,3,4,7,6,8,10]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,v.createDecorator)("IExtHostTimeline");class T{constructor(m,I){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=m.getProxy(b.MainContext.MainThreadTimeline),I.registerArgumentProcessor({processArgument:f=>{if(f&&f.$mid===11){const h=f.uri===void 0?void 0:a.URI.revive(f.uri);return this._itemsBySourceAndUriMap.get(f.source)?.get(R(h))?.get(f.handle)}return f}})}async $getTimeline(m,I,f,h){return this._providers.get(m)?.provideTimeline(a.URI.revive(I),f,h)}registerTimelineProvider(m,I,f,h){const d=new M.DisposableStore,o=this.convertTimelineItem(I.id,h,d).bind(this);let g;I.onDidChange&&(g=I.onDidChange(c=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...c,id:I.id}),this));const A=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...I,scheme:m,onDidChange:void 0,async provideTimeline(c,_,s){_?.resetCache&&(d.clear(),A.get(I.id)?.clear());const u=await I.provideTimeline(c,_,s);if(u==null)return;const i=o(c,_);return{...u,source:I.id,items:u.items.map(i)}},dispose(){for(const c of A.values())c.get(I.id)?.clear();g?.dispose(),d.dispose()}})}convertTimelineItem(m,I,f){return(h,d)=>{let o;if(d?.cacheResults){let g=this._itemsBySourceAndUriMap.get(m);g===void 0&&(g=new Map,this._itemsBySourceAndUriMap.set(m,g));const A=R(h);o=g.get(A),o===void 0&&(o=new Map,g.set(A,o))}return g=>{const{iconPath:A,...c}=g,_=`${m}|${g.id??g.timestamp}`;o?.set(_,g);let s,u,i;g.iconPath&&(A instanceof y.ThemeIcon?i={id:A.id,color:A.color}:a.URI.isUri(A)?(s=A,u=A):{light:s,dark:u}=A);let n;return y.MarkdownString.isMarkdownString(c.tooltip)?n=P.MarkdownString.from(c.tooltip):(0,E.isString)(c.tooltip)?n=c.tooltip:y.MarkdownString.isMarkdownString(c.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),n=P.MarkdownString.from(c.detail)):(0,E.isString)(c.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),n=c.detail),{...c,id:c.id??void 0,handle:_,source:m,command:g.command?I.toInternal(g.command,f):void 0,icon:s,iconDark:u,themeIcon:i,tooltip:n,accessibilityInformation:g.accessibilityInformation}}}}registerTimelineProviderCore(m){if(this._providers.get(m.id))throw new Error(`Timeline Provider ${m.id} already exists.`);return this._proxy.$registerTimelineProvider({id:m.id,label:m.label,scheme:m.scheme}),this._providers.set(m.id,m),(0,M.toDisposable)(()=>{for(const f of this._itemsBySourceAndUriMap.values())f.get(m.id)?.clear();this._providers.delete(m.id),this._proxy.$unregisterTimelineProvider(m.id),m.dispose()})}}e.ExtHostTimeline=T;function R(S){return S?.toString()}}),define(ye[216],De([1,0,7,12,2,4]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class y{constructor(E){this._openers=new Map,this._proxy=E.getProxy(M.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(E,T,R,S){if(this._openers.has(T))throw new Error(`Opener with id '${T}' already registered`);const m=S.schemes.find(I=>!y.supportedSchemes.has(I));if(m)throw new Error(`Scheme '${m}' is not supported. Only http and https are currently supported.`);return this._openers.set(T,R),this._proxy.$registerUriOpener(T,S.schemes,E,S.label),(0,a.toDisposable)(()=>{this._openers.delete(T),this._proxy.$unregisterUriOpener(T)})}async $canOpenUri(E,T,R){const S=this._openers.get(E);if(!S)throw new Error(`Unknown opener with id: ${E}`);const m=b.URI.revive(T);return S.canOpenExternalUri(m,R)}async $openUri(E,T,R){const S=this._openers.get(E);if(!S)throw new Error(`Unknown opener id: '${E}'`);return S.openExternalUri(b.URI.revive(T.resolvedUri),{sourceUri:b.URI.revive(T.sourceUri)},R)}}e.ExtHostUriOpeners=y,y.supportedSchemes=new Set([v.Schemas.http,v.Schemas.https])}),define(ye[217],De([1,0,4,2,7,11,27]),function(ie,e,a,v,b,M,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(T){this.handles=new Set,this.handlers=new Map,this._proxy=T.getProxy(a.MainContext.MainThreadUrls)}registerUriHandler(T,R){if(this.handles.has(y.ExtensionIdentifier.toKey(T)))throw new Error(`Protocol handler already registered for extension ${T}`);const S=P.HandlePool++;return this.handles.add(y.ExtensionIdentifier.toKey(T)),this.handlers.set(S,R),this._proxy.$registerUriHandler(S,T),(0,b.toDisposable)(()=>{this.handles.delete(y.ExtensionIdentifier.toKey(T)),this.handlers.delete(S),this._proxy.$unregisterUriHandler(S)})}$handleExternalUri(T,R){const S=this.handlers.get(T);if(!S)return Promise.resolve(void 0);try{S.handleUri(v.URI.revive(R))}catch(m){(0,M.onUnexpectedError)(m)}return Promise.resolve(void 0)}async createAppUri(T){return v.URI.revive(await this._proxy.$createAppUri(T))}}e.ExtHostUrls=P,P.HandlePool=0});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[54],De([1,0,5,12,2,145,162,64,4]),function(ie,e,a,v,b,M,y,P,E){"use strict";var T,R,S,m,I,f,h,d,o,g,A,c;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class _{constructor(w,p,D,U,V,x,C){T.set(this,void 0),R.set(this,void 0),S.set(this,void 0),m.set(this,void 0),I.set(this,void 0),f.set(this,void 0),h.set(this,""),d.set(this,void 0),o.set(this,!1),g.set(this,!1),A.set(this,!1),this._onMessageEmitter=new a.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,c.set(this,new a.Emitter),this._onDidDispose=Oe(this,c,"f").event,Ye(this,T,w,"f"),Ye(this,R,p,"f"),Ye(this,d,D,"f"),Ye(this,m,U,"f"),Ye(this,I,V,"f"),Ye(this,f,x,"f"),Ye(this,A,s(x),"f"),Ye(this,S,C,"f")}dispose(){Ye(this,o,!0,"f"),Oe(this,c,"f").fire(),Oe(this,c,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(w){return Ye(this,g,!0,"f"),(0,P.asWebviewUri)(w,Oe(this,m,"f"))}get cspSource(){const w=Oe(this,f,"f").extensionLocation;if(w.scheme===v.Schemas.https||w.scheme===v.Schemas.http){let p=w.toString();return p.endsWith("/")||(p+="/"),p+" "+P.webviewGenericCspSource}return P.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Oe(this,h,"f")}set html(w){this.assertNotDisposed(),Oe(this,h,"f")!==w&&(Ye(this,h,w,"f"),!Oe(this,g,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(w)&&(Ye(this,g,!0,"f"),Oe(this,S,"f").report("Webview vscode-resource: uris",Oe(this,f,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Oe(this,R,"f").$setHtml(Oe(this,T,"f"),w))}get options(){return this.assertNotDisposed(),Oe(this,d,"f")}set options(w){this.assertNotDisposed(),Oe(this,R,"f").$setOptions(Oe(this,T,"f"),n(Oe(this,f,"f"),Oe(this,I,"f"),w)),Ye(this,d,w,"f")}async postMessage(w){if(Oe(this,o,"f"))return!1;const p=(0,y.serializeWebviewMessage)(w,{serializeBuffersForPostMessage:Oe(this,A,"f")});return Oe(this,R,"f").$postMessage(Oe(this,T,"f"),p.message,...p.buffers)}assertNotDisposed(){if(Oe(this,o,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=_,T=new WeakMap,R=new WeakMap,S=new WeakMap,m=new WeakMap,I=new WeakMap,f=new WeakMap,h=new WeakMap,d=new WeakMap,o=new WeakMap,g=new WeakMap,A=new WeakMap,c=new WeakMap;function s(l){try{const w=(0,M.normalizeVersion)((0,M.parseVersion)(l.engines.vscode));return!!w&&w.majorBase>=1&&w.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=s;class u{constructor(w,p,D,U,V){this.remoteInfo=p,this.workspace=D,this._logService=U,this._deprecationService=V,this._webviews=new Map,this._webviewProxy=w.getProxy(E.MainContext.MainThreadWebviews)}$onMessage(w,p,D){const U=this.getWebview(w);if(U){const{message:V}=(0,y.deserializeWebviewMessage)(p,D.value);U._onMessageEmitter.fire(V)}}$onMissingCsp(w,p){this._logService.warn(`${p} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(w,p,D){const U=new _(w,this._webviewProxy,r(p),this.remoteInfo,this.workspace,D,this._deprecationService);return this._webviews.set(w,U),U._onDidDispose(()=>{this._webviews.delete(w)}),U}deleteWebview(w){this._webviews.delete(w)}getWebview(w){return this._webviews.get(w)}}e.ExtHostWebviews=u;function i(l){return{id:l.identifier,location:l.extensionLocation}}e.toExtensionData=i;function n(l,w,p){return{enableCommandUris:p.enableCommandUris,enableScripts:p.enableScripts,enableForms:p.enableForms,portMapping:p.portMapping,localResourceRoots:p.localResourceRoots||t(l,w)}}e.serializeWebviewOptions=n;function r(l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,enableForms:l.enableForms,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots?.map(w=>b.URI.from(w))}}e.reviveOptions=r;function t(l,w){return[...(w?.getWorkspaceFolders()||[]).map(p=>p.uri),l.extensionLocation]}}),define(ye[218],De([1,0,20,97,7,12,22,2,8,54,62,4,6]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class I{constructor(s,u){this.document=s,this._storagePath=u,this._backupCounter=1,this._edits=new R.Cache("custom documents")}addEdit(s){return this._edits.add([s])}async undo(s,u){await this.getEdit(s).undo(),u||this.disposeBackup()}async redo(s,u){await this.getEdit(s).redo(),u||this.disposeBackup()}disposeEdits(s){for(const u of s)this._edits.delete(u)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const s=c(this.document.uri)+this._backupCounter++;return(0,y.joinPath)(this._storagePath,s)}updateBackup(s){this._backup?.delete(),this._backup=s}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(s){const u=this._edits.get(s,0);if(!u)throw new Error("No edit found");return u}}class f{constructor(){this._documents=new Map}get(s,u){return this._documents.get(this.key(s,u))}add(s,u,i){const n=this.key(s,u.uri);if(this._documents.has(n))throw new Error(`Document already exists for viewType:${s} resource:${u.uri}`);const r=new I(u,i);return this._documents.set(n,r),r}delete(s,u){const i=this.key(s,u.uri);this._documents.delete(i)}key(s,u){return`${s}@@@${u}`}}var h;(function(_){_[_.Text=0]="Text",_[_.Custom=1]="Custom"})(h||(h={}));class d{constructor(){this._providers=new Map}addTextProvider(s,u,i){return this.add(0,s,u,i)}addCustomProvider(s,u,i){return this.add(1,s,u,i)}get(s){return this._providers.get(s)}add(s,u,i,n){if(this._providers.has(u))throw new Error(`Provider for viewType:${u} already registered`);return this._providers.set(u,{type:s,extension:i,provider:n}),new m.Disposable(()=>this._providers.delete(u))}}class o{constructor(s,u,i,n,r){this._extHostDocuments=u,this._extensionStoragePaths=i,this._extHostWebview=n,this._extHostWebviewPanels=r,this._editorProviders=new d,this._documents=new f,this._proxy=s.getProxy(S.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(s,u,i,n){const r=new b.DisposableStore;return g(i)?(r.add(this._editorProviders.addTextProvider(u,s,i)),this._proxy.$registerTextEditorProvider((0,T.toExtensionData)(s),u,n.webviewOptions||{},{supportsMove:!!i.moveCustomTextEditor},(0,T.shouldSerializeBuffersForPostMessage)(s))):(r.add(this._editorProviders.addCustomProvider(u,s,i)),this.supportEditing(i)&&r.add(i.onDidChangeCustomDocument(t=>{const l=this.getCustomDocumentEntry(u,t.document.uri);if(A(t)){const w=l.addEdit(t);this._proxy.$onDidEdit(t.document.uri,u,w,t.label)}else this._proxy.$onContentChange(t.document.uri,u)})),this._proxy.$registerCustomEditorProvider((0,T.toExtensionData)(s),u,n.webviewOptions||{},!!n.supportsMultipleEditorsPerDocument,(0,T.shouldSerializeBuffersForPostMessage)(s))),m.Disposable.from(r,new m.Disposable(()=>{this._proxy.$unregisterEditorProvider(u)}))}async $createCustomDocument(s,u,i,n,r){const t=this._editorProviders.get(u);if(!t)throw new Error(`No provider found for '${u}'`);if(t.type!==1)throw new Error(`Invalid provide type for '${u}'`);const l=P.URI.revive(s),w=await t.provider.openCustomDocument(l,{backupId:i,untitledDocumentData:n?.buffer},r);let p;return this.supportEditing(t.provider)&&this._extensionStoragePaths&&(p=this._extensionStoragePaths.workspaceValue(t.extension)??this._extensionStoragePaths.globalValue(t.extension)),this._documents.add(u,w,p),{editable:this.supportEditing(t.provider)}}async $disposeCustomDocument(s,u){const i=this._editorProviders.get(u);if(!i)throw new Error(`No provider found for '${u}'`);if(i.type!==1)throw new Error(`Invalid provider type for '${u}'`);const n=P.URI.revive(s),{document:r}=this.getCustomDocumentEntry(u,n);this._documents.delete(u,r),r.dispose()}async $resolveWebviewEditor(s,u,i,n,r,t){const l=this._editorProviders.get(i);if(!l)throw new Error(`No provider found for '${i}'`);const w=E.ViewColumn.to(r),p=this._extHostWebview.createNewWebview(u,n.webviewOptions,l.extension),D=this._extHostWebviewPanels.createNewWebviewPanel(u,i,n.title,w,n.panelOptions,p,!0),U=P.URI.revive(s);switch(l.type){case 1:{const{document:V}=this.getCustomDocumentEntry(i,U);return l.provider.resolveCustomEditor(V,D,t)}case 0:{const V=this._extHostDocuments.getDocument(U);return l.provider.resolveCustomTextEditor(V,D,t)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(s,u,i){this.getCustomDocumentEntry(u,s).disposeEdits(i)}async $onMoveCustomEditor(s,u,i){const n=this._editorProviders.get(i);if(!n)throw new Error(`No provider found for '${i}'`);if(!n.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${i}'`);const r=this._extHostWebviewPanels.getWebviewPanel(s);if(!r)throw new Error("No webview found");const t=P.URI.revive(u),l=this._extHostDocuments.getDocument(t);await n.provider.moveCustomTextEditor(l,r,a.CancellationToken.None)}async $undo(s,u,i,n){return this.getCustomDocumentEntry(u,s).undo(i,n)}async $redo(s,u,i,n){return this.getCustomDocumentEntry(u,s).redo(i,n)}async $revert(s,u,i){const n=this.getCustomDocumentEntry(u,s);await this.getCustomEditorProvider(u).revertCustomDocument(n.document,i),n.disposeBackup()}async $onSave(s,u,i){const n=this.getCustomDocumentEntry(u,s);await this.getCustomEditorProvider(u).saveCustomDocument(n.document,i),n.disposeBackup()}async $onSaveAs(s,u,i,n){const r=this.getCustomDocumentEntry(u,s);return this.getCustomEditorProvider(u).saveCustomDocumentAs(r.document,P.URI.revive(i),n)}async $backup(s,u,i){const n=this.getCustomDocumentEntry(u,s),t=await this.getCustomEditorProvider(u).backupCustomDocument(n.document,{destination:n.getNewBackupUri()},i);return n.updateBackup(t),t.id}getCustomDocumentEntry(s,u){const i=this._documents.get(s,P.URI.revive(u));if(!i)throw new Error("No custom document found");return i}getCustomEditorProvider(s){const i=this._editorProviders.get(s)?.provider;if(!i||!this.supportEditing(i))throw new Error("Custom document is not editable");return i}supportEditing(s){return!!s.onDidChangeCustomDocument}}e.ExtHostCustomEditors=o;function g(_){return typeof _.resolveCustomTextEditor=="function"}function A(_){return typeof _.undo=="function"&&typeof _.redo=="function"}function c(_){const s=_.scheme===M.Schemas.file||_.scheme===M.Schemas.untitled?_.fsPath:_.toString();return(0,v.hash)(s)+""}});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[219],De([1,0,5,7,2,42,8,54,4,6]),function(ie,e,a,v,b,M,y,P,E,T){"use strict";var R,S,m,I,f,h,d,o,g,A,c,_,s;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class u extends v.Disposable{constructor(t,l,w,p){super();R.set(this,void 0),S.set(this,void 0),m.set(this,void 0),I.set(this,void 0),f.set(this,void 0),h.set(this,void 0),d.set(this,void 0),o.set(this,void 0),g.set(this,!0),A.set(this,void 0),c.set(this,!1),_.set(this,this._register(new a.Emitter)),this.onDidDispose=Oe(this,_,"f").event,s.set(this,this._register(new a.Emitter)),this.onDidChangeViewState=Oe(this,s,"f").event,Ye(this,R,t,"f"),Ye(this,S,l,"f"),Ye(this,I,w,"f"),Ye(this,m,p.viewType,"f"),Ye(this,f,p.panelOptions,"f"),Ye(this,o,p.viewColumn,"f"),Ye(this,h,p.title,"f"),Ye(this,A,p.active,"f")}dispose(){Oe(this,c,"f")||(Ye(this,c,!0,"f"),Oe(this,_,"f").fire(),Oe(this,S,"f").$disposeWebview(Oe(this,R,"f")),Oe(this,I,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Oe(this,I,"f")}get viewType(){return this.assertNotDisposed(),Oe(this,m,"f")}get title(){return this.assertNotDisposed(),Oe(this,h,"f")}set title(t){this.assertNotDisposed(),Oe(this,h,"f")!==t&&(Ye(this,h,t,"f"),Oe(this,S,"f").$setTitle(Oe(this,R,"f"),t))}get iconPath(){return this.assertNotDisposed(),Oe(this,d,"f")}set iconPath(t){this.assertNotDisposed(),Oe(this,d,"f")!==t&&(Ye(this,d,t,"f"),Oe(this,S,"f").$setIconPath(Oe(this,R,"f"),b.URI.isUri(t)?{light:t,dark:t}:t))}get options(){return Oe(this,f,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Oe(this,o,"f")=="number"&&Oe(this,o,"f")<0))return Oe(this,o,"f")}get active(){return this.assertNotDisposed(),Oe(this,A,"f")}get visible(){return this.assertNotDisposed(),Oe(this,g,"f")}_updateViewState(t){Oe(this,c,"f")||(this.active!==t.active||this.visible!==t.visible||this.viewColumn!==t.viewColumn)&&(Ye(this,A,t.active,"f"),Ye(this,g,t.visible,"f"),Ye(this,o,t.viewColumn,"f"),Oe(this,s,"f").fire({webviewPanel:this}))}reveal(t,l){this.assertNotDisposed(),Oe(this,S,"f").$reveal(Oe(this,R,"f"),{viewColumn:typeof t=="undefined"?void 0:y.ViewColumn.from(t),preserveFocus:!!l})}assertNotDisposed(){if(Oe(this,c,"f"))throw new Error("Webview is disposed")}}R=new WeakMap,S=new WeakMap,m=new WeakMap,I=new WeakMap,f=new WeakMap,h=new WeakMap,d=new WeakMap,o=new WeakMap,g=new WeakMap,A=new WeakMap,c=new WeakMap,_=new WeakMap,s=new WeakMap;class i{constructor(t,l,w){this.webviews=l,this.workspace=w,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=t.getProxy(E.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,M.generateUuid)()}createWebviewPanel(t,l,w,p,D={}){const U=typeof p=="object"?p.viewColumn:p,V={viewColumn:y.ViewColumn.from(U),preserveFocus:typeof p=="object"&&!!p.preserveFocus},x=(0,P.shouldSerializeBuffersForPostMessage)(t),C=i.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(t),C,l,{title:w,panelOptions:n(D),webviewOptions:(0,P.serializeWebviewOptions)(t,this.workspace,D),serializeBuffersForPostMessage:x},V);const L=this.webviews.createNewWebview(C,D,t);return this.createNewWebviewPanel(C,l,w,U,D,L,!0)}$onDidChangeWebviewPanelViewStates(t){const l=Object.keys(t);l.sort((w,p)=>{const D=t[w],U=t[p];return D.active?1:U.active?-1:+D.visible-+U.visible});for(const w of l){const p=this.getWebviewPanel(w);if(!p)continue;const D=t[w];p._updateViewState({active:D.active,visible:D.visible,viewColumn:y.ViewColumn.to(D.position)})}}async $onDidDisposeWebviewPanel(t){this.getWebviewPanel(t)?.dispose(),this._webviewPanels.delete(t),this.webviews.deleteWebview(t)}registerWebviewPanelSerializer(t,l,w){if(this._serializers.has(l))throw new Error(`Serializer for '${l}' already registered`);return this._serializers.set(l,{serializer:w,extension:t}),this._proxy.$registerSerializer(l,{serializeBuffersForPostMessage:(0,P.shouldSerializeBuffersForPostMessage)(t)}),new T.Disposable(()=>{this._serializers.delete(l),this._proxy.$unregisterSerializer(l)})}async $deserializeWebviewPanel(t,l,w,p){const D=this._serializers.get(l);if(!D)throw new Error(`No serializer found for '${l}'`);const{serializer:U,extension:V}=D,x=this.webviews.createNewWebview(t,w.webviewOptions,V),C=this.createNewWebviewPanel(t,l,w.title,p,w.panelOptions,x,w.active);await U.deserializeWebviewPanel(C,w.state)}createNewWebviewPanel(t,l,w,p,D,U,V){const x=new u(t,this._proxy,U,{viewType:l,title:w,viewColumn:p,panelOptions:D,active:V});return this._webviewPanels.set(t,x),x}getWebviewPanel(t){return this._webviewPanels.get(t)}}e.ExtHostWebviewPanels=i;function n(r){return{enableFindWidget:r.enableFindWidget,retainContextWhenHidden:r.retainContextWhenHidden}}});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[220],De([1,0,5,7,54,24,8,4,6]),function(ie,e,a,v,b,M,y,P,E){"use strict";var T,R,S,m,I,f,h,d,o,g,A,c;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class _ extends v.Disposable{constructor(i,n,r,t,l,w,p){super();T.set(this,void 0),R.set(this,void 0),S.set(this,void 0),m.set(this,void 0),I.set(this,void 0),f.set(this,!1),h.set(this,void 0),d.set(this,void 0),o.set(this,void 0),g.set(this,void 0),A.set(this,this._register(new a.Emitter)),this.onDidChangeVisibility=Oe(this,A,"f").event,c.set(this,this._register(new a.Emitter)),this.onDidDispose=Oe(this,c,"f").event,Ye(this,S,r,"f"),Ye(this,d,t,"f"),Ye(this,T,i,"f"),Ye(this,R,n,"f"),Ye(this,m,l,"f"),Ye(this,I,w,"f"),Ye(this,h,p,"f")}dispose(){Oe(this,f,"f")||(Ye(this,f,!0,"f"),Oe(this,c,"f").fire(),Oe(this,m,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Oe(this,d,"f")}set title(i){this.assertNotDisposed(),Oe(this,d,"f")!==i&&(Ye(this,d,i,"f"),Oe(this,R,"f").$setWebviewViewTitle(Oe(this,T,"f"),i))}get description(){return this.assertNotDisposed(),Oe(this,o,"f")}set description(i){this.assertNotDisposed(),Oe(this,o,"f")!==i&&(Ye(this,o,i,"f"),Oe(this,R,"f").$setWebviewViewDescription(Oe(this,T,"f"),i))}get visible(){return Oe(this,h,"f")}get webview(){return Oe(this,m,"f")}get viewType(){return Oe(this,S,"f")}_setVisible(i){i===Oe(this,h,"f")||Oe(this,f,"f")||(Ye(this,h,i,"f"),Oe(this,A,"f").fire())}get badge(){return this.assertNotDisposed(),(0,M.checkProposedApiEnabled)(Oe(this,I,"f"),"badges"),Oe(this,g,"f")}set badge(i){this.assertNotDisposed(),(0,M.checkProposedApiEnabled)(Oe(this,I,"f"),"badges"),!(i?.value===Oe(this,g,"f")?.value&&i?.tooltip===Oe(this,g,"f")?.tooltip)&&(Ye(this,g,y.ViewBadge.from(i),"f"),Oe(this,R,"f").$setWebviewViewBadge(Oe(this,T,"f"),i))}show(i){this.assertNotDisposed(),Oe(this,R,"f").$show(Oe(this,T,"f"),!!i)}assertNotDisposed(){if(Oe(this,f,"f"))throw new Error("Webview is disposed")}}T=new WeakMap,R=new WeakMap,S=new WeakMap,m=new WeakMap,I=new WeakMap,f=new WeakMap,h=new WeakMap,d=new WeakMap,o=new WeakMap,g=new WeakMap,A=new WeakMap,c=new WeakMap;class s{constructor(i,n){this._extHostWebview=n,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=i.getProxy(P.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(i,n,r,t){if(this._viewProviders.has(n))throw new Error(`View provider for '${n}' already registered`);return this._viewProviders.set(n,{provider:r,extension:i}),this._proxy.$registerWebviewViewProvider((0,b.toExtensionData)(i),n,{retainContextWhenHidden:t?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,b.shouldSerializeBuffersForPostMessage)(i)}),new E.Disposable(()=>{this._viewProviders.delete(n),this._proxy.$unregisterWebviewViewProvider(n)})}async $resolveWebviewView(i,n,r,t,l){const w=this._viewProviders.get(n);if(!w)throw new Error(`No view provider found for '${n}'`);const{provider:p,extension:D}=w,U=this._extHostWebview.createNewWebview(i,{},D),V=new _(i,this._proxy,n,r,U,D,!0);this._webviewViews.set(i,V),await p.resolveWebviewView(V,{state:t},l)}async $onDidChangeWebviewViewVisibility(i,n){this.getWebviewView(i)._setVisible(n)}async $disposeWebviewView(i){const n=this.getWebviewView(i);this._webviewViews.delete(i),n.dispose(),this._extHostWebview.deleteWebview(i)}getWebviewView(i){const n=this._webviewViews.get(i);if(!n)throw new Error("No webview found");return n}}e.ExtHostWebviewViews=s}),define(ye[99],De([1,0,5,4,2,12,9,3,13]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let T=class Ji{constructor(S){this._onDidChangeWindowState=new a.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Ji.InitialState,this._proxy=S.getProxy(v.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(m=>this.$onDidChangeWindowFocus(m))}get state(){return this._state}$onDidChangeWindowFocus(S){S!==this._state.focused&&(this._state={...this._state,focused:S},this._onDidChangeWindowState.fire(this._state))}openUri(S,m){let I;if(typeof S=="string"){I=S;try{S=b.URI.parse(S)}catch{return Promise.reject(`Invalid uri - '${S}'`)}}return(0,y.isFalsyOrWhitespace)(S.scheme)?Promise.reject("Invalid scheme - cannot be empty"):S.scheme===M.Schemas.command?Promise.reject(`Invalid scheme '${S.scheme}'`):this._proxy.$openUri(S,I,m)}async asExternalUri(S,m){if((0,y.isFalsyOrWhitespace)(S.scheme))return Promise.reject("Invalid scheme - cannot be empty");const I=await this._proxy.$asExternalUri(S,m);return b.URI.from(I)}};T.InitialState={focused:!0},T=ze([$e(0,E.IExtHostRpcService)],T),e.ExtHostWindow=T,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(ye[221],De([1,0,192,28,13]),function(ie,e,a,v,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostConsoleForwarder=void 0;let M=class extends a.AbstractExtHostConsoleForwarder{constructor(P,E){super(P,E)}_nativeConsoleLogMessage(P,E,T){E.apply(console,T)}};M=ze([$e(0,b.IExtHostRpcService),$e(1,v.IExtHostInitDataService)],M),e.ExtHostConsoleForwarder=M}),define(ye[222],De([1,0,14,23,20,11,5,7,119,186,40]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";var S;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function m(D,U){try{return JSON.stringify(D,U)}catch{return"null"}}const I="$$ref$$",f={[I]:-1};class h{constructor(U,V){this.jsonString=U,this.referencedBuffers=V}}function d(D,U=null,V=!1){const x=[];return{jsonString:(V?m:JSON.stringify)(D,(L,B)=>{if(typeof B=="undefined")return f;if(typeof B=="object"){if(B instanceof v.VSBuffer){const F=x.push(B)-1;return{[I]:F}}if(U)return U(L,B)}return B}),referencedBuffers:x}}e.stringifyJsonWithBufferRefs=d;function o(D,U,V){return JSON.parse(D,(x,C)=>{if(C){const L=C[I];if(typeof L=="number")return U[L];if(V&&C.$mid===1)return V.transformIncoming(C)}return C})}e.parseJsonAndRestoreBufferRefs=o;function g(D,U){return JSON.stringify(D,U)}function A(D){return D?(U,V)=>V&&V.$mid===1?D.transformOutgoing(V):V:null}var c;(function(D){D[D.LocalSide=0]="LocalSide",D[D.OtherSide=1]="OtherSide"})(c=e.RequestInitiator||(e.RequestInitiator={}));var _;(function(D){D[D.Responsive=0]="Responsive",D[D.Unresponsive=1]="Unresponsive"})(_=e.ResponsiveState||(e.ResponsiveState={}));const s=()=>{},u=Symbol.for("rpcProtocol"),i=Symbol.for("rpcProxy");class n extends P.Disposable{constructor(U,V=null,x=null){super();this[S]=!0,this._onDidChangeResponsiveState=this._register(new y.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=U,this._logger=V,this._uriTransformer=x,this._uriReplacer=A(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let C=0,L=R.ProxyIdentifier.count;C<L;C++)this._locals[C]=null,this._proxies[C]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new a.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(C=>this._receiveOneMessage(C))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(U=>{this._pendingRPCReplies[U].resolveErr(M.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(U){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(U){this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(U){this._responsiveState!==U&&(this._responsiveState=U,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(U){return this._uriTransformer?(0,E.transformIncomingURIs)(U,this._uriTransformer):U}getProxy(U){const{nid:V,sid:x}=U;return this._proxies[V]||(this._proxies[V]=this._createProxy(V,x)),this._proxies[V]}_createProxy(U,V){const x={get:(C,L)=>(typeof L=="string"&&!C[L]&&L.charCodeAt(0)===36&&(C[L]=(...B)=>this._remoteCall(U,L,B)),L===i?V:C[L])};return new Proxy(Object.create(null),x)}set(U,V){return this._locals[U.nid]=V,V}assertRegistered(U){for(let V=0,x=U.length;V<x;V++){const C=U[V];if(!this._locals[C.nid])throw new Error(`Missing proxy instance ${C.sid}`)}}_receiveOneMessage(U){if(this._isDisposed)return;const V=U.byteLength,x=r.read(U,0),C=x.readUInt8(),L=x.readUInt32();switch(C){case 1:case 2:{let{rpcId:B,method:F,args:K}=l.deserializeRequestJSONArgs(x);this._uriTransformer&&(K=(0,E.transformIncomingURIs)(K,this._uriTransformer)),this._receiveRequest(V,L,B,F,K,C===2);break}case 3:case 4:{let{rpcId:B,method:F,args:K}=l.deserializeRequestMixedArgs(x);this._uriTransformer&&(K=(0,E.transformIncomingURIs)(K,this._uriTransformer)),this._receiveRequest(V,L,B,F,K,C===4);break}case 5:{this._logger?.logIncoming(V,L,0,"ack"),this._onDidReceiveAcknowledge(L);break}case 6:{this._receiveCancel(V,L);break}case 7:{this._receiveReply(V,L,void 0);break}case 9:{let B=l.deserializeReplyOKJSON(x);this._uriTransformer&&(B=(0,E.transformIncomingURIs)(B,this._uriTransformer)),this._receiveReply(V,L,B);break}case 10:{const B=l.deserializeReplyOKJSONWithBuffers(x,this._uriTransformer);this._receiveReply(V,L,B);break}case 8:{const B=l.deserializeReplyOKVSBuffer(x);this._receiveReply(V,L,B);break}case 11:{let B=l.deserializeReplyErrError(x);this._uriTransformer&&(B=(0,E.transformIncomingURIs)(B,this._uriTransformer)),this._receiveReplyErr(V,L,B);break}case 12:{this._receiveReplyErr(V,L,void 0);break}default:console.error("received unexpected message"),console.error(U)}}_receiveRequest(U,V,x,C,L,B){this._logger?.logIncoming(U,V,1,`receiveRequest ${(0,R.getStringIdentifierForProxy)(x)}.${C}(`,L);const F=String(V);let K,H;if(B){const ee=new b.CancellationTokenSource;L.push(ee.token),K=this._invokeHandler(x,C,L),H=()=>ee.cancel()}else K=this._invokeHandler(x,C,L),H=s;this._cancelInvokedHandlers[F]=H;const O=l.serializeAcknowledged(V);this._logger?.logOutgoing(O.byteLength,V,1,"ack"),this._protocol.send(O),K.then(ee=>{delete this._cancelInvokedHandlers[F];const ce=l.serializeReplyOK(V,ee,this._uriReplacer);this._logger?.logOutgoing(ce.byteLength,V,1,"reply:",ee),this._protocol.send(ce)},ee=>{delete this._cancelInvokedHandlers[F];const ce=l.serializeReplyErr(V,ee);this._logger?.logOutgoing(ce.byteLength,V,1,"replyErr:",ee),this._protocol.send(ce)})}_receiveCancel(U,V){this._logger?.logIncoming(U,V,1,"receiveCancel");const x=String(V);this._cancelInvokedHandlers[x]?.()}_receiveReply(U,V,x){this._logger?.logIncoming(U,V,0,"receiveReply:",x);const C=String(V);if(!this._pendingRPCReplies.hasOwnProperty(C))return;const L=this._pendingRPCReplies[C];delete this._pendingRPCReplies[C],L.resolveOk(x)}_receiveReplyErr(U,V,x){this._logger?.logIncoming(U,V,0,"receiveReplyErr:",x);const C=String(V);if(!this._pendingRPCReplies.hasOwnProperty(C))return;const L=this._pendingRPCReplies[C];delete this._pendingRPCReplies[C];let B;x&&(x.$isError?(B=new Error,B.name=x.name,B.message=x.message,B.stack=x.stack):B=x),L.resolveErr(B)}_invokeHandler(U,V,x){try{return Promise.resolve(this._doInvokeHandler(U,V,x))}catch(C){return Promise.reject(C)}}_doInvokeHandler(U,V,x){const C=this._locals[U];if(!C)throw new Error("Unknown actor "+(0,R.getStringIdentifierForProxy)(U));const L=C[V];if(typeof L!="function")throw new Error("Unknown method "+V+" on actor "+(0,R.getStringIdentifierForProxy)(U));return L.apply(C,x)}_remoteCall(U,V,x){if(this._isDisposed)return new T.CanceledLazyPromise;let C=null;if(x.length>0&&b.CancellationToken.isCancellationToken(x[x.length-1])&&(C=x.pop()),C&&C.isCancellationRequested)return Promise.reject(M.canceled());const L=l.serializeRequestArguments(x,this._uriReplacer),B=++this._lastMessageId,F=String(B),K=new T.LazyPromise;C&&C.onCancellationRequested(()=>{const O=l.serializeCancel(B);this._logger?.logOutgoing(O.byteLength,B,0,"cancel"),this._protocol.send(l.serializeCancel(B))}),this._pendingRPCReplies[F]=K,this._onWillSendRequest(B);const H=l.serializeRequest(B,U,V,L,!!C);return this._logger?.logOutgoing(H.byteLength,B,0,`request: ${(0,R.getStringIdentifierForProxy)(U)}.${V}(`,x),this._protocol.send(H),K}}e.RPCProtocol=n,S=u,n.UNRESPONSIVE_TIME=3*1e3;class r{constructor(U,V){this._buff=U,this._offset=V}static alloc(U,V,x){const C=new r(v.VSBuffer.alloc(x+1+4),0);return C.writeUInt8(U),C.writeUInt32(V),C}static read(U,V){return new r(U,V)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(U){this._buff.writeUInt8(U,this._offset),this._offset+=1}readUInt8(){const U=this._buff.readUInt8(this._offset);return this._offset+=1,U}writeUInt32(U){this._buff.writeUInt32BE(U,this._offset),this._offset+=4}readUInt32(){const U=this._buff.readUInt32BE(this._offset);return this._offset+=4,U}static sizeShortString(U){return 1+U.byteLength}writeShortString(U){this._buff.writeUInt8(U.byteLength,this._offset),this._offset+=1,this._buff.set(U,this._offset),this._offset+=U.byteLength}readShortString(){const U=this._buff.readUInt8(this._offset);this._offset+=1;const x=this._buff.slice(this._offset,this._offset+U).toString();return this._offset+=U,x}static sizeLongString(U){return 4+U.byteLength}writeLongString(U){this._buff.writeUInt32BE(U.byteLength,this._offset),this._offset+=4,this._buff.set(U,this._offset),this._offset+=U.byteLength}readLongString(){const U=this._buff.readUInt32BE(this._offset);this._offset+=4;const x=this._buff.slice(this._offset,this._offset+U).toString();return this._offset+=U,x}writeBuffer(U){this._buff.writeUInt32BE(U.byteLength,this._offset),this._offset+=4,this._buff.set(U,this._offset),this._offset+=U.byteLength}static sizeVSBuffer(U){return 4+U.byteLength}writeVSBuffer(U){this._buff.writeUInt32BE(U.byteLength,this._offset),this._offset+=4,this._buff.set(U,this._offset),this._offset+=U.byteLength}readVSBuffer(){const U=this._buff.readUInt32BE(this._offset);this._offset+=4;const V=this._buff.slice(this._offset,this._offset+U);return this._offset+=U,V}static sizeMixedArray(U){let V=0;V+=1;for(let x=0,C=U.length;x<C;x++){const L=U[x];switch(V+=1,L.type){case 1:V+=this.sizeLongString(L.value);break;case 2:V+=this.sizeVSBuffer(L.value);break;case 3:V+=this.sizeUInt32,V+=this.sizeLongString(L.value);for(let B=0;B<L.buffers.length;++B)V+=this.sizeVSBuffer(L.buffers[B]);break;case 4:break}}return V}writeMixedArray(U){this._buff.writeUInt8(U.length,this._offset),this._offset+=1;for(let V=0,x=U.length;V<x;V++){const C=U[V];switch(C.type){case 1:this.writeUInt8(1),this.writeLongString(C.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(C.value);break;case 3:this.writeUInt8(3),this.writeUInt32(C.buffers.length),this.writeLongString(C.value);for(let L=0;L<C.buffers.length;++L)this.writeBuffer(C.buffers[L]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const U=this._buff.readUInt8(this._offset);this._offset+=1;const V=new Array(U);for(let x=0;x<U;x++)switch(this.readUInt8()){case 1:V[x]=this.readLongString();break;case 2:V[x]=this.readVSBuffer();break;case 3:{const L=this.readUInt32(),B=this.readLongString(),F=[];for(let K=0;K<L;++K)F.push(this.readVSBuffer());V[x]=new R.SerializableObjectWithBuffers(o(B,F,null));break}case 4:V[x]=void 0;break}return V}}r.sizeUInt32=4;var t;(function(D){D[D.Simple=0]="Simple",D[D.Mixed=1]="Mixed"})(t||(t={}));class l{static _useMixedArgSerialization(U){for(let V=0,x=U.length;V<x;V++)if(U[V]instanceof v.VSBuffer||U[V]instanceof R.SerializableObjectWithBuffers||typeof U[V]=="undefined")return!0;return!1}static serializeRequestArguments(U,V){if(this._useMixedArgSerialization(U)){const x=[];for(let C=0,L=U.length;C<L;C++){const B=U[C];if(B instanceof v.VSBuffer)x[C]={type:2,value:B};else if(typeof B=="undefined")x[C]={type:4};else if(B instanceof R.SerializableObjectWithBuffers){const{jsonString:F,referencedBuffers:K}=d(B.value,V);x[C]={type:3,value:v.VSBuffer.fromString(F),buffers:K}}else x[C]={type:1,value:v.VSBuffer.fromString(g(B,V))}}return{type:1,args:x}}return{type:0,args:g(U,V)}}static serializeRequest(U,V,x,C,L){switch(C.type){case 0:return this._requestJSONArgs(U,V,x,C.args,L);case 1:return this._requestMixedArgs(U,V,x,C.args,L)}}static _requestJSONArgs(U,V,x,C,L){const B=v.VSBuffer.fromString(x),F=v.VSBuffer.fromString(C);let K=0;K+=r.sizeUInt8(),K+=r.sizeShortString(B),K+=r.sizeLongString(F);const H=r.alloc(L?2:1,U,K);return H.writeUInt8(V),H.writeShortString(B),H.writeLongString(F),H.buffer}static deserializeRequestJSONArgs(U){const V=U.readUInt8(),x=U.readShortString(),C=U.readLongString();return{rpcId:V,method:x,args:JSON.parse(C)}}static _requestMixedArgs(U,V,x,C,L){const B=v.VSBuffer.fromString(x);let F=0;F+=r.sizeUInt8(),F+=r.sizeShortString(B),F+=r.sizeMixedArray(C);const K=r.alloc(L?4:3,U,F);return K.writeUInt8(V),K.writeShortString(B),K.writeMixedArray(C),K.buffer}static deserializeRequestMixedArgs(U){const V=U.readUInt8(),x=U.readShortString(),C=U.readMixedArray(),L=new Array(C.length);for(let B=0,F=C.length;B<F;B++){const K=C[B];typeof K=="string"?L[B]=JSON.parse(K):L[B]=K}return{rpcId:V,method:x,args:L}}static serializeAcknowledged(U){return r.alloc(5,U,0).buffer}static serializeCancel(U){return r.alloc(6,U,0).buffer}static serializeReplyOK(U,V,x){if(typeof V=="undefined")return this._serializeReplyOKEmpty(U);if(V instanceof v.VSBuffer)return this._serializeReplyOKVSBuffer(U,V);if(V instanceof R.SerializableObjectWithBuffers){const{jsonString:C,referencedBuffers:L}=d(V.value,x,!0);return this._serializeReplyOKJSONWithBuffers(U,C,L)}else return this._serializeReplyOKJSON(U,m(V,x))}static _serializeReplyOKEmpty(U){return r.alloc(7,U,0).buffer}static _serializeReplyOKVSBuffer(U,V){let x=0;x+=r.sizeVSBuffer(V);const C=r.alloc(8,U,x);return C.writeVSBuffer(V),C.buffer}static deserializeReplyOKVSBuffer(U){return U.readVSBuffer()}static _serializeReplyOKJSON(U,V){const x=v.VSBuffer.fromString(V);let C=0;C+=r.sizeLongString(x);const L=r.alloc(9,U,C);return L.writeLongString(x),L.buffer}static _serializeReplyOKJSONWithBuffers(U,V,x){const C=v.VSBuffer.fromString(V);let L=0;L+=r.sizeUInt32,L+=r.sizeLongString(C);for(const F of x)L+=r.sizeVSBuffer(F);const B=r.alloc(10,U,L);B.writeUInt32(x.length),B.writeLongString(C);for(const F of x)B.writeBuffer(F);return B.buffer}static deserializeReplyOKJSON(U){const V=U.readLongString();return JSON.parse(V)}static deserializeReplyOKJSONWithBuffers(U,V){const x=U.readUInt32(),C=U.readLongString(),L=[];for(let B=0;B<x;++B)L.push(U.readVSBuffer());return new R.SerializableObjectWithBuffers(o(C,L,V))}static serializeReplyErr(U,V){const x=V?m(M.transformErrorForSerialization(V),null):void 0;if(typeof x!="string")return this._serializeReplyErrEmpty(U);const C=v.VSBuffer.fromString(x);let L=0;L+=r.sizeLongString(C);const B=r.alloc(11,U,L);return B.writeLongString(C),B.buffer}static deserializeReplyErrError(U){const V=U.readLongString();return JSON.parse(V)}static _serializeReplyErrEmpty(U){return r.alloc(12,U,0).buffer}}var w;(function(D){D[D.RequestJSONArgs=1]="RequestJSONArgs",D[D.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",D[D.RequestMixedArgs=3]="RequestMixedArgs",D[D.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",D[D.Acknowledged=5]="Acknowledged",D[D.Cancel=6]="Cancel",D[D.ReplyOKEmpty=7]="ReplyOKEmpty",D[D.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",D[D.ReplyOKJSON=9]="ReplyOKJSON",D[D.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",D[D.ReplyErrError=11]="ReplyErrError",D[D.ReplyErrEmpty=12]="ReplyErrEmpty"})(w||(w={}));var p;(function(D){D[D.String=1]="String",D[D.VSBuffer=2]="VSBuffer",D[D.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",D[D.Undefined=4]="Undefined"})(p||(p={}))}),define(ye[223],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const a=function(M){const y=P=>{self.removeEventListener("message",y);const E=P.data;Object.defineProperties(self,{postMessage:{value(T,R){E.postMessage(T,R)}},onmessage:{get(){return E.onmessage},set(T){E.onmessage=T}}}),E.addEventListener("message",T=>{self.dispatchEvent(new MessageEvent("message",{data:T.data}))}),E.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(M)};self.addEventListener("message",y)}.toString();class v extends EventTarget{constructor(M,y,P){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const E=`((${a})('${y}'))`,T=new Blob([E],{type:"application/javascript"}),R=URL.createObjectURL(T),S=new MessageChannel,m=R,I={type:"_newWorker",id:m,port:S.port2,url:R,options:P};M(I,[S.port2]),this.postMessage=S.port1.postMessage.bind(S.port1),this.terminate=()=>{M({type:"_terminateWorker",id:m}),URL.revokeObjectURL(R),S.port1.close(),S.port2.close()},Object.defineProperties(this,{onmessage:{get(){return S.port1.onmessage},set(f){S.port1.onmessage=f}},onmessageerror:{get(){return S.port1.onmessageerror},set(f){S.port1.onmessageerror=f}}}),S.port1.addEventListener("messageerror",f=>{const h=new MessageEvent("messageerror",{data:f.data});this.dispatchEvent(h)}),S.port1.addEventListener("message",f=>{const h=new MessageEvent("message",{data:f.data});this.dispatchEvent(h)}),S.port1.start()}}e.NestedWorker=v}),define(ye[224],De([1,0,5,30,38,3,39,11,14]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerLogChannel=e.Extensions=e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new b.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new b.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new b.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,M.createDecorator)(e.OUTPUT_SERVICE_ID);var T;(function(I){I[I.Append=1]="Append",I[I.Replace=2]="Replace",I[I.Clear=3]="Clear"})(T=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={})),e.Extensions={OutputChannels:"workbench.contributions.outputChannels"};class R{constructor(){this.channels=new Map,this._onDidRegisterChannel=new a.Emitter,this.onDidRegisterChannel=this._onDidRegisterChannel.event,this._onDidRemoveChannel=new a.Emitter,this.onDidRemoveChannel=this._onDidRemoveChannel.event}registerChannel(f){this.channels.has(f.id)||(this.channels.set(f.id,f),this._onDidRegisterChannel.fire(f.id))}getChannels(){const f=[];return this.channels.forEach(h=>f.push(h)),f}getChannel(f){return this.channels.get(f)}removeChannel(f){this.channels.delete(f),this._onDidRemoveChannel.fire(f)}}v.Registry.add(e.Extensions.OutputChannels,new R);function S(I,f,h,d,o){return(0,E.createCancelablePromise)(async g=>{await(0,y.whenProviderRegistered)(h,d);const A=v.Registry.as(e.Extensions.OutputChannels);try{await m(h,1,d,o,g),A.registerChannel({id:I,label:f,file:h,log:!0})}catch(c){(0,P.isCancellationError)(c)||o.error("Error while registering log channel",h.toString(),(0,P.getErrorMessage)(c))}})}e.registerLogChannel=S;async function m(I,f,h,d,o){if(!await h.exists(I)){if(o.isCancellationRequested)throw new P.CancellationError;if(f>10)throw new Error("Timed out while waiting for file to be created");d.debug("[Registering Log Channel] File does not exist. Waiting for 1s to retry.",I.toString()),await(0,E.timeout)(1e3,o),await m(I,f+1,h,d,o)}}}),define(ye[100],De([1,0,4,7,3,13,15,224,52,28,35,113,23,10]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class f extends v.Disposable{constructor(o,g,A,c){super();this.id=o,this.name=g,this.logger=A,this.proxy=c,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(o){this.append(o+`
`)}append(o){this.write(o),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Append))}clear(){const o=this.offset;this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Clear,o)}replace(o){const g=this.offset;this.write(o),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Replace,g),this.visible&&this.logger.flush()}show(o,g){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof o=="boolean"?o:g))}hide(){this.proxy.$close(this.id)}write(o){this.offset+=m.VSBuffer.fromString(o).byteLength,this.logger.info(o)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=f;let h=class{constructor(o,g,A,c,_){this.extHostFileSystem=A,this.extHostFileSystemInfo=c,this.loggerService=_,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=o.getProxy(a.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(g.logsLocation,`output_logging_${(0,S.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(o){this.visibleChannelId=o;for(const[g,A]of this.channels)A.visible=g===this.visibleChannelId}createOutputChannel(o,g,A){if(o=o.trim(),!o)throw new Error("illegal argument `name`. must not be falsy");if((0,I.isString)(g)&&!g.trim())throw new Error("illegal argument `languageId`. must not be empty");const c=this.doCreateOutputChannel(o,g,A);return c.then(_=>{this.channels.set(_.id,_),_.visible=_.id===this.visibleChannelId}),this.createExtHostOutputChannel(o,c)}async doCreateOutputChannel(o,g,A){const c=await this.createOutputDirectory(),_=this.extHostFileSystemInfo.extUri.joinPath(c,`${this.namePool++}-${o.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),s=this.loggerService.createLogger(_,{always:!0,donotRotate:!0,donotUseFormatters:!0}),u=await this.proxy.$register(o,!1,_,g,A.identifier.value);return new f(u,o,s,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(o,g){let A=!1;const c=()=>{if(A)throw new Error("Channel has been closed")};return{get name(){return o},append(_){c(),g.then(s=>s.append(_))},appendLine(_){c(),g.then(s=>s.appendLine(_))},clear(){c(),g.then(_=>_.clear())},replace(_){c(),g.then(s=>s.replace(_))},show(_,s){c(),g.then(u=>u.show(_,s))},hide(){c(),g.then(_=>_.hide())},dispose(){A=!0,g.then(_=>_.dispose())}}}};h=ze([$e(0,M.IExtHostRpcService),$e(1,T.IExtHostInitDataService),$e(2,E.IExtHostConsumerFileSystem),$e(3,R.IExtHostFileSystemInfo),$e(4,y.ILoggerService)],h),e.ExtHostOutputService=h,e.IExtHostOutputService=(0,b.createDecorator)("IExtHostOutputService")}),define(ye[225],De([1,0,3]),function(ie,e,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,a.createDecorator)("remoteAgentService")}),define(ye[226],De([1,0,37,12,19,21,22,2,3,157,45,178,225]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,E.createDecorator)("pathService");let I=class Zi{constructor(h,d,o,g){this.localUserHome=h,this.remoteAgentService=d,this.environmentService=o,this.contextService=g,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||M.OS)(),this.resolveUserHome=(async()=>{const A=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=A?.userHome??h})()}hasValidBasename(h,d,o){return typeof d=="string"||typeof d=="undefined"?this.resolveOS.then(g=>this.doHasValidBasename(h,g,d)):this.doHasValidBasename(h,d,o)}doHasValidBasename(h,d,o){return h.scheme===v.Schemas.file||h.scheme===v.Schemas.vscodeRemote?(0,a.isValidBasename)(o??(0,y.basename)(h),d===1):!0}get defaultUriScheme(){return Zi.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(h,d){if(h.remoteAuthority)return v.Schemas.vscodeRemote;const o=(0,T.getVirtualWorkspaceScheme)(d.getWorkspace());if(o)return o;const g=d.getWorkspace().folders[0];if(g)return g.uri.scheme;const A=d.getWorkspace().configuration;return A?A.scheme:v.Schemas.file}userHome(h){return h?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(h=>h===1?b.win32:b.posix)}async fileURI(h){let d="";if(await this.resolveOS===1&&(h=h.replace(/\\/g,"/")),h[0]==="/"&&h[1]==="/"){const g=h.indexOf("/",2);g===-1?(d=h.substring(2),h="/"):(d=h.substring(2,g),h=h.substring(g)||"/")}return P.URI.from({scheme:v.Schemas.file,authority:d,path:h,query:"",fragment:""})}};I=ze([$e(1,m.IRemoteAgentService),$e(2,S.IWorkbenchEnvironmentService),$e(3,R.IWorkspaceContextService)],I),e.AbstractPathService=I}),define(ye[101],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class a{constructor(y,P){this.line=y,this.character=P}isBefore(y){return!1}isBeforeOrEqual(y){return!1}isAfter(y){return!1}isAfterOrEqual(y){return!1}isEqual(y){return!1}compareTo(y){return 0}translate(y,P){return new a(0,0)}with(y){return new a(0,0)}}e.Position=a;class v{constructor(y,P,E,T){this.isEmpty=!1,this.isSingleLine=!1,this.start=new a(y,P),this.end=new a(E,T)}contains(y){return!1}isEqual(y){return!1}intersection(y){}union(y){return new v(0,0,0,0)}with(y){return new v(0,0,0,0)}}e.Range=v;var b;(function(M){M[M.Information=1]="Information",M[M.Warning=2]="Warning"})(b=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(ye[41],De([1,0,16,34,26,37,9,3,19,11,101,14]),function(ie,e,a,v,b,M,y,P,E,T,R,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasSiblingFn=e.hasSiblingPromiseFn=e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return R.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const m="\u27EA ",I=" characters skipped \u27EB",f=(m.length+I.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var h;(function(oe){oe[oe.file=0]="file",oe[oe.text=1]="text"})(h=e.SearchProviderType||(e.SearchProviderType={}));var d;(function(oe){oe[oe.File=1]="File",oe[oe.Text=2]="Text"})(d=e.QueryType||(e.QueryType={}));function o(oe){return!!oe.preview}e.resultIsMatch=o;function g(oe){return!!oe.resource}e.isFileMatch=g;function A(oe){return!!oe.message}e.isProgressMessage=A;var c;(function(oe){oe[oe.Normal=0]="Normal",oe[oe.NewSearchStarted=1]="NewSearchStarted"})(c=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class _{constructor(le){this.resource=le,this.results=[]}}e.FileMatch=_;class s{constructor(le,te,Ee){this.ranges=te;const be=Array.isArray(te)?te:[te];if(Ee&&Ee.matchLines===1&&u(be)){le=(0,y.getNLines)(le,Ee.matchLines);let ne="",ve=0,Pe=0;const Fe=Math.floor(Ee.charsPerLine/5),xe=[];for(const Qe of be){const Ie=Math.max(Qe.startColumn-Fe,0),Se=Qe.startColumn+Ee.charsPerLine;if(Ie>Pe+Fe+f){const Te=m+(Ie-Pe)+I;ne+=Te+le.slice(Ie,Se),ve+=Ie-(Pe+Te.length)}else ne+=le.slice(Pe,Se);xe.push(new n(0,Qe.startColumn-ve,Qe.endColumn-ve)),Pe=Se}this.preview={text:ne,matches:Array.isArray(this.ranges)?xe:xe[0]}}else{const ne=Array.isArray(te)?te[0].startLineNumber:te.startLineNumber;this.preview={text:le,matches:(0,a.mapArrayOrNot)(te,ve=>new i(ve.startLineNumber-ne,ve.startColumn,ve.endLineNumber-ne,ve.endColumn))}}}}e.TextSearchMatch=s;function u(oe){const le=oe[0].startLineNumber;for(const te of oe)if(te.startLineNumber!==le||te.endLineNumber!==le)return!1;return!0}class i{constructor(le,te,Ee,be){this.startLineNumber=le,this.startColumn=te,this.endLineNumber=Ee,this.endColumn=be}}e.SearchRange=i;class n extends i{constructor(le,te,Ee){super(le,te,le,Ee)}}e.OneLineRange=n;var r;(function(oe){oe.Default="default",oe.FileNames="fileNames",oe.Type="type",oe.Modified="modified",oe.CountDescending="countDescending",oe.CountAscending="countAscending"})(r=e.SearchSortOrder||(e.SearchSortOrder={}));function t(oe,le=!0){const te=oe&&oe.files&&oe.files.exclude,Ee=le&&oe&&oe.search&&oe.search.exclude;if(!te&&!Ee)return;if(!te||!Ee)return te||Ee;let be=Object.create(null);return be=b.mixin(be,b.deepClone(te)),be=b.mixin(be,b.deepClone(Ee),!0),be}e.getExcludes=t;function l(oe,le){return oe.excludePattern&&v.match(oe.excludePattern,le)?!1:oe.includePattern||oe.usingSearchPaths?oe.includePattern&&v.match(oe.includePattern,le)?!0:oe.usingSearchPaths?!!oe.folderQueries&&oe.folderQueries.some(te=>{const Ee=te.folder.fsPath;if(M.isEqualOrParent(le,Ee)){const be=E.relative(Ee,le);return!te.includePattern||!!v.match(te.includePattern,be)}else return!1}):!1:!0}e.pathIncludedInQuery=l;var w;(function(oe){oe[oe.unknownEncoding=1]="unknownEncoding",oe[oe.regexParseError=2]="regexParseError",oe[oe.globParseError=3]="globParseError",oe[oe.invalidLiteral=4]="invalidLiteral",oe[oe.rgProcessError=5]="rgProcessError",oe[oe.other=6]="other",oe[oe.canceled=7]="canceled"})(w=e.SearchErrorCode||(e.SearchErrorCode={}));class p extends Error{constructor(le,te){super(le);this.code=te}}e.SearchError=p;function D(oe){const le=oe.message;if((0,T.isCancellationError)(oe))return new p(le,w.canceled);try{const te=JSON.parse(le);return new p(te.message,te.code)}catch{return new p(le,w.other)}}e.deserializeSearchError=D;function U(oe){const le={message:oe.message,code:oe.code};return new Error(JSON.stringify(le))}e.serializeSearchError=U;function V(oe){return oe.type==="error"?!0:oe.type==="success"}e.isSerializedSearchComplete=V;function x(oe){return oe.type==="success"}e.isSerializedSearchSuccess=x;function C(oe){return!!oe.path}e.isSerializedFileMatch=C;function L(oe,le){const te=oe.searchPath?oe.searchPath:oe.relativePath;return(0,y.fuzzyContains)(te,le)}e.isFilePatternMatch=L;class B{constructor(le){this.path=le,this.results=[]}addMatch(le){this.results.push(le)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=B;function F(oe,le){const te={...oe||{},...le||{}};return Object.keys(te).filter(Ee=>{const be=te[Ee];return typeof be=="boolean"&&be})}e.resolvePatternsForProvider=F;class K{constructor(le,te){this._parsedIncludeExpression=null,this._excludeExpression={...le.excludePattern||{},...te.excludePattern||{}},this._parsedExcludeExpression=v.parse(this._excludeExpression);let Ee=le.includePattern;te.includePattern&&(Ee?Ee={...Ee,...te.includePattern}:Ee=te.includePattern),Ee&&(this._parsedIncludeExpression=v.parse(Ee))}matchesExcludesSync(le,te,Ee){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(le,te,Ee))}includedInQuerySync(le,te,Ee){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(le,te,Ee)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(le,te,Ee))}includedInQuery(le,te,Ee){const be=this._parsedExcludeExpression(le,te,Ee),ne=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(le,te,Ee):!0;return(0,S.isThenable)(be)?be.then(ve=>ve?!1:ne()):ne()}hasSiblingExcludeClauses(){return H(this._excludeExpression)}}e.QueryGlobTester=K;function H(oe){for(const le in oe)if(typeof oe[le]!="boolean")return!0;return!1}function O(oe){if(!oe)return;let le;return te=>(le||(le=(oe()||Promise.resolve([])).then(Ee=>Ee?ce(Ee):{})),le.then(Ee=>!!Ee[te]))}e.hasSiblingPromiseFn=O;function ee(oe){if(!oe)return;let le;return te=>{if(!le){const Ee=oe();le=Ee?ce(Ee):{}}return!!le[te]}}e.hasSiblingFn=ee;function ce(oe){const le={};for(const te of oe)le[te]=!0;return le}}),define(ye[31],De([1,0,16,14,20,5,7,25,12,108,22,9,10,2,136,3,15,149,45,35,28,13,8,6,46,41,4]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_,s,u,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function t(C,L,B){return new R.ExtUri(F=>D(F,B)).isEqual(C,L)}function l(C,L,B){return t(C.uri,L.uri,B)?0:(0,S.compare)(C.uri.toString(),L.uri.toString())}function w(C,L,B){return C.index!==L.index?C.index<L.index?-1:1:t(C.uri,L.uri,B)?(0,S.compare)(C.name,L.name):(0,S.compare)(C.uri.toString(),L.uri.toString())}function p(C,L,B,F){const K=C.slice(0).sort((O,ee)=>B(O,ee,F)),H=L.slice(0).sort((O,ee)=>B(O,ee,F));return(0,a.delta)(K,H,(O,ee)=>B(O,ee,F))}function D(C,L){const B=L.getCapabilities(C.scheme);return!(B&&B&1024)}class U extends g.Workspace{constructor(L,B,F,K,H,O,ee){super(L,F.map(ce=>new g.WorkspaceFolder(ce)),K,H,ee);this._name=B,this._isUntitled=O,this._workspaceFolders=[],this._structure=P.TernarySearchTree.forUris(ee),F.forEach(ce=>{this._workspaceFolders.push(ce),this._structure.set(ce.uri,ce)})}static toExtHostWorkspace(L,B,F,K){if(!L)return{workspace:null,added:[],removed:[]};const{id:H,name:O,folders:ee,configuration:ce,transient:oe,isUntitled:le}=L,te=[],Ee=B;B?ee.forEach((Pe,Fe)=>{const xe=I.URI.revive(Pe.uri),Qe=U._findFolder(F||B,xe,K);Qe?(Qe.name=Pe.name,Qe.index=Pe.index,te.push(Qe)):te.push({uri:xe,name:Pe.name,index:Fe})}):te.push(...ee.map(({uri:Pe,name:Fe,index:xe})=>({uri:I.URI.revive(Pe),name:Fe,index:xe}))),te.sort((Pe,Fe)=>Pe.index<Fe.index?-1:1);const be=new U(H,O,te,!!oe,ce?I.URI.revive(ce):null,!!le,Pe=>D(Pe,K)),{added:ne,removed:ve}=p(Ee?Ee.workspaceFolders:[],be.workspaceFolders,l,K);return{workspace:be,added:ne,removed:ve}}static _findFolder(L,B,F){for(let K=0;K<L.folders.length;K++){const H=L.workspaceFolders[K];if(t(H.uri,B,F))return H}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(L,B){return B&&this._structure.get(L)&&(L=(0,R.dirname)(L)),this._structure.findSubstr(L)}resolveWorkspaceFolder(L){return this._structure.get(L)}}let V=class{constructor(L,B,F,K,H){this._onDidChangeWorkspace=new M.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new M.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._editSessionIdentityProviders=new Map,this._logService=K,this._extHostFileSystemInfo=F,this._uriTransformerService=H,this._requestIdProvider=new T.Counter,this._barrier=new v.Barrier,this._proxy=L.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=L.getProxy(r.MainContext.MainThreadMessageService);const O=B.workspace;this._confirmedWorkspace=O?new U(O.id,O.name,[],!!O.transient,O.configuration?I.URI.revive(O.configuration):null,!!O.isUntitled,ee=>D(ee,F)):void 0}$initializeWorkspace(L,B){this._trusted=B,this.$acceptWorkspaceData(L),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?I.URI.from({scheme:E.Schemas.untitled,path:(0,R.basename)((0,R.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(L,B,F,...K){const H=[];if(Array.isArray(K)&&K.forEach(le=>{I.URI.isUri(le.uri)&&!H.some(te=>t(te.uri,le.uri,this._extHostFileSystemInfo))&&H.push({uri:le.uri,name:le.name||(0,R.basenameOrAuthority)(le.uri)})}),this._unconfirmedWorkspace||[B,F].some(le=>typeof le!="number"||le<0)||F===0&&H.length===0)return!1;const O=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(B+F>O.length)return!1;const ee=O.slice(0);ee.splice(B,F,...H.map(le=>({uri:le.uri,name:le.name||(0,R.basenameOrAuthority)(le.uri),index:void 0})));for(let le=0;le<ee.length;le++){const te=ee[le];if(ee.some((Ee,be)=>be!==le&&t(te.uri,Ee.uri,this._extHostFileSystemInfo)))return!1}ee.forEach((le,te)=>le.index=te);const{added:ce,removed:oe}=p(O,ee,w,this._extHostFileSystemInfo);if(ce.length===0&&oe.length===0)return!1;if(this._proxy){const le=L.displayName||L.name;this._proxy.$updateWorkspaceFolders(le,B,F,H).then(void 0,te=>{this._unconfirmedWorkspace=void 0;const Ee={source:{identifier:L.identifier,label:L.displayName||L.name}};this._messageService.$showMessage(o.Severity.Error,(0,f.localize)(0,null,le,te.toString()),Ee,[])})}return this.trySetWorkspaceFolders(ee),!0}getWorkspaceFolder(L,B){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,B)}async getWorkspaceFolder2(L,B){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,B)}async resolveWorkspaceFolder(L){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(L)}getPath(){if(!this._actualWorkspace)return;const{folders:L}=this._actualWorkspace;if(L.length!==0)return L[0].uri.fsPath}getRelativePath(L,B){let F,K="";if(typeof L=="string"?(F=I.URI.file(L),K=L):typeof L!="undefined"&&(F=L,K=L.fsPath),!F)return K;const H=this.getWorkspaceFolder(F,!0);if(!H)return K;typeof B=="undefined"&&this._actualWorkspace&&(B=this._actualWorkspace.folders.length>1);let O=(0,R.relativePath)(H.uri,F);return B&&H.name&&(O=`${H.name}/${O}`),O}trySetWorkspaceFolders(L){this._actualWorkspace&&(this._unconfirmedWorkspace=U.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:L,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(L){const{workspace:B,added:F,removed:K}=U.toExtHostWorkspace(L,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=B||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:F,removed:K}))}findFiles(L,B,F,K,H=b.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${K.value}, entryPoint: findFiles`);let O;if(B===null?O=!1:B&&(typeof B=="string"?O=B:O=B.pattern),H&&H.isCancellationRequested)return Promise.resolve([]);const{includePattern:ee,folder:ce}=x(s.GlobPattern.from(L));return this._proxy.$startFileSearch((0,m.withUndefinedAsNull)(ee),(0,m.withUndefinedAsNull)(ce),(0,m.withUndefinedAsNull)(O),(0,m.withUndefinedAsNull)(F),H).then(oe=>Array.isArray(oe)?oe.map(le=>I.URI.revive(le)):[])}async findTextInFiles(L,B,F,K,H=b.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${K.value}, entryPoint: findTextInFiles`);const O=this._requestIdProvider.getNext(),ee=typeof B.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:B.previewOptions,{includePattern:ce,folder:oe}=x(s.GlobPattern.from(B.include)),le=typeof B.exclude=="string"?B.exclude:B.exclude?B.exclude.pattern:void 0,te={ignoreSymlinks:typeof B.followSymlinks=="boolean"?!B.followSymlinks:void 0,disregardIgnoreFiles:typeof B.useIgnoreFiles=="boolean"?!B.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof B.useGlobalIgnoreFiles=="boolean"?!B.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof B.useParentIgnoreFiles=="boolean"?!B.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof B.useDefaultExcludes=="boolean"?!B.useDefaultExcludes:!0,fileEncoding:B.encoding,maxResults:B.maxResults,previewOptions:ee,afterContext:B.afterContext,beforeContext:B.beforeContext,includePattern:ce,excludePattern:le},Ee=!1;if(this._activeSearchCallbacks[O]=be=>{if(Ee)return;const ne=I.URI.revive(be.resource);be.results.forEach(ve=>{(0,n.resultIsMatch)(ve)?F({uri:ne,preview:{text:ve.preview.text,matches:(0,a.mapArrayOrNot)(ve.preview.matches,Pe=>new u.Range(Pe.startLineNumber,Pe.startColumn,Pe.endLineNumber,Pe.endColumn))},ranges:(0,a.mapArrayOrNot)(ve.ranges,Pe=>new u.Range(Pe.startLineNumber,Pe.startColumn,Pe.endLineNumber,Pe.endColumn))}):F({uri:ne,text:ve.text,lineNumber:ve.lineNumber})})},H.isCancellationRequested)return{};try{const be=await this._proxy.$startTextSearch(L,(0,m.withUndefinedAsNull)(oe),te,O,H);return delete this._activeSearchCallbacks[O],be||{}}catch(be){throw delete this._activeSearchCallbacks[O],be}}$handleTextSearchResult(L,B){this._activeSearchCallbacks[B]?.(L)}saveAll(L){return this._proxy.$saveAll(L)}resolveProxy(L){return this._proxy.$resolveProxy(L)}get trusted(){return this._trusted}requestWorkspaceTrust(L){return this._proxy.$requestWorkspaceTrust(L)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}registerEditSessionIdentityProvider(L,B){if(this._editSessionIdentityProviders.has(L))throw new Error(`A provider has already been registered for scheme ${L}`);this._editSessionIdentityProviders.set(L,B);const F=this._uriTransformerService.transformOutgoingScheme(L);return this._proxy.$registerEditSessionIdentityProvider(F),(0,y.toDisposable)(()=>{this._editSessionIdentityProviders.delete(L),this._proxy.$unregisterEditSessionIdentityProvider(F)})}async $getEditSessionIdentifier(L,B){this._logService.info("Getting edit session identifier for workspaceFolder",L);const F=await this.resolveWorkspaceFolder(I.URI.revive(L));if(!F){this._logService.warn("Unable to resolve workspace folder");return}this._logService.info("Invoking #provideEditSessionIdentity for workspaceFolder",F);const K=this._editSessionIdentityProviders.get(F.uri.scheme);if(this._logService.info(`Provider for scheme ${F.uri.scheme} is defined: `,!!K),!K)return;const H=await K.provideEditSessionIdentity(F,B);if(this._logService.info("Provider returned edit session identifier: ",H),!!H)return H}};V=ze([$e(0,_.IExtHostRpcService),$e(1,c.IExtHostInitDataService),$e(2,A.IExtHostFileSystemInfo),$e(3,d.ILogService),$e(4,i.IURITransformerService)],V),e.ExtHostWorkspace=V,e.IExtHostWorkspace=(0,h.createDecorator)("IExtHostWorkspace");function x(C){let L,B;return C&&(typeof C=="string"?L=C:(L=C.pattern,B=I.URI.revive(C.baseUri))),{includePattern:L,folder:B}}}),define(ye[32],De([1,0,26,5,31,4,6,152,83,10,14,3,13,15,2]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function h(u,i){if(i){const n=i.split(".");let r=u;for(let t=0;r&&t<n.length;t++)r=r[n[t]];return r}}function d(u){return u instanceof f.URI}function o(u){return u&&u.uri instanceof f.URI&&u.languageId&&typeof u.languageId=="string"}function g(u){return u&&!u.uri&&u.languageId&&typeof u.languageId=="string"}function A(u){return u&&u.uri instanceof f.URI&&(!u.name||typeof u.name=="string")&&(!u.index||typeof u.index=="number")}function c(u){if(d(u))return{resource:u};if(o(u))return{resource:u.uri,overrideIdentifier:u.languageId};if(g(u))return{overrideIdentifier:u.languageId};if(A(u))return{resource:u.uri};if(u===null)return{resource:null}}let _=class{constructor(i,n,r){this._proxy=i.getProxy(M.MainContext.MainThreadConfiguration),this._extHostWorkspace=n,this._logService=r,this._barrier=new R.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(i=>this._actual)}$initializeConfiguration(i){this._actual=new s(this._proxy,this._extHostWorkspace,i,this._logService),this._barrier.open()}$acceptConfigurationChanged(i,n){this.getConfigProvider().then(r=>r.$acceptConfigurationChanged(i,n))}};_=ze([$e(0,m.IExtHostRpcService),$e(1,b.IExtHostWorkspace),$e(2,I.ILogService)],_),e.ExtHostConfiguration=_;class s{constructor(i,n,r,t){this._onDidChangeConfiguration=new v.Emitter,this._proxy=i,this._logService=t,this._extHostWorkspace=n,this._configuration=P.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(i,n){const r={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(n,r))}getConfiguration(i,n,r){const t=c(n)||{},l=this._toReadonlyValue(i?h(this._configuration.getValue(void 0,t,this._extHostWorkspace.workspace),i):this._configuration.getValue(void 0,t,this._extHostWorkspace.workspace));i&&this._validateConfigurationAccess(i,t,r?.identifier);function w(D){if(D==null)return null;if(typeof D=="boolean")return D?2:5;switch(D){case y.ConfigurationTarget.Global:return 2;case y.ConfigurationTarget.Workspace:return 5;case y.ConfigurationTarget.WorkspaceFolder:return 6}}const p={has(D){return typeof h(l,D)!="undefined"},get:(D,U)=>{this._validateConfigurationAccess(i?`${i}.${D}`:D,t,r?.identifier);let V=h(l,D);if(typeof V=="undefined")V=U;else{let x;const C=(L,B)=>{let F;const K=()=>{x=x||(0,a.deepClone)(l),F=F||h(x,B)};return(0,T.isObject)(L)?new Proxy(L,{get:(H,O)=>{if(typeof O=="string"&&O.toLowerCase()==="tojson")return K(),()=>F;if(x)return F=F||h(x,B),F[O];const ee=H[O];return typeof O=="string"?C(ee,`${B}.${O}`):ee},set:(H,O,ee)=>(K(),F&&(F[O]=ee),!0),deleteProperty:(H,O)=>(K(),F&&delete F[O],!0),defineProperty:(H,O,ee)=>(K(),F&&Object.defineProperty(F,O,ee),!0)}):L};V=C(V,D)}return V},update:(D,U,V,x)=>{D=i?`${i}.${D}`:D;const C=w(V);return U!==void 0?this._proxy.$updateConfigurationOption(C,D,U,t,x):this._proxy.$removeConfigurationOption(C,D,t,x)},inspect:D=>{D=i?`${i}.${D}`:D;const U=(0,a.deepClone)(this._configuration.inspect(D,t,this._extHostWorkspace.workspace));if(U)return{key:D,defaultValue:U.policy?.value??U.default?.value,globalValue:U.user?.value??U.application?.value,workspaceValue:U.workspace?.value,workspaceFolderValue:U.workspaceFolder?.value,defaultLanguageValue:U.default?.override,globalLanguageValue:U.user?.override??U.application?.override,workspaceLanguageValue:U.workspace?.override,workspaceFolderLanguageValue:U.workspaceFolder?.override,languageIds:U.overrideIdentifiers}}};return typeof l=="object"&&(0,a.mixin)(p,l,!1),Object.freeze(p)}_toReadonlyValue(i){const n=r=>(0,T.isObject)(r)?new Proxy(r,{get:(t,l)=>n(t[l]),set:(t,l,w)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(l)}' of object`)},deleteProperty:(t,l)=>{throw new Error(`TypeError: Cannot delete read only property '${String(l)}' of object`)},defineProperty:(t,l)=>{throw new Error(`TypeError: Cannot define property '${String(l)}' for a readonly object`)},setPrototypeOf:t=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):r;return n(i)}_validateConfigurationAccess(i,n,r){const t=E.OVERRIDE_PROPERTY_REGEX.test(i)?4:this._configurationScopes.get(i),l=r?`[${r.value}] `:"";if(t===4){typeof n?.resource=="undefined"&&this._logService.warn(`${l}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${i}', provide the URI of a resource or 'null' for any resource.`);return}if(t===3){n?.resource&&this._logService.warn(`${l}Accessing a window scoped configuration for a resource is not expected. To associate '${i}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(i,n){const r=new P.ConfigurationChangeEvent(i,n,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(t,l)=>r.affectsConfiguration(t,c(l))})}_toMap(i){return i.reduce((n,r)=>(n.set(r[0],r[1]),n),new Map)}}e.ExtHostConfigProvider=s,e.IExtHostConfiguration=(0,S.createDecorator)("IExtHostConfiguration")});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[102],De([1,0,2,14,5,4,6,31,50,32,20,53,13,28,3,12,21,15,67,185,11]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c){"use strict";var _;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var s;(function(B){function F(H){if(H!=null)return H}B.from=F;function K(H){if(H!=null)return H}B.to=K})(s=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var u;(function(B){function F(H){if(H!=null)return H}B.from=F;function K(H){if(H!=null)return H}B.to=K})(u=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var i;(function(B){function F(H){if(H!=null)return H}B.from=F;function K(H){if(H!=null)return H}B.to=K})(i=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var n;(function(B){function F(O){if(O){const ee=O;return ee&&!!ee.process}else return!1}B.is=F;function K(O){if(O==null)return;const ee={process:O.process,args:O.args};return O.options&&(ee.options=i.from(O.options)),ee}B.from=K;function H(O){if(O!=null)return new y.ProcessExecution(O.process,O.args,O.options)}B.to=H})(n=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var r;(function(B){function F(H){if(H!=null)return H}B.from=F;function K(H){if(H!=null)return H}B.to=K})(r=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var t;(function(B){function F(O){if(O){const ee=O;return ee&&(!!ee.commandLine||!!ee.command)}else return!1}B.is=F;function K(O){if(O==null)return;const ee={};return O.commandLine!==void 0?ee.commandLine=O.commandLine:(ee.command=O.command,ee.args=O.args),O.options&&(ee.options=r.from(O.options)),ee}B.from=K;function H(O){if(!(O==null||O.command===void 0&&O.commandLine===void 0))return O.commandLine?new y.ShellExecution(O.commandLine,O.options):new y.ShellExecution(O.command,O.args?O.args:[],O.options)}B.to=H})(t=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var l;(function(B){function F(O){if(O){const ee=O;return ee&&ee.customExecution==="customExecution"}else return!1}B.is=F;function K(O){return{customExecution:"customExecution"}}B.from=K;function H(O,ee){return ee.get(O)}B.to=H})(l=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var w;(function(B){function F(K,H){let O;return K.scope!==void 0&&typeof K.scope!="number"?O=K.scope.uri:K.scope!==void 0&&typeof K.scope=="number"&&(K.scope===y.TaskScope.Workspace&&H&&H.workspaceFile?O=H.workspaceFile:O=A.USER_TASKS_GROUP_KEY),{id:K._id,workspaceFolder:O}}B.from=F})(w=e.TaskHandleDTO||(e.TaskHandleDTO={}));var p;(function(B){function F(K){if(K!=null)return{_id:K.id,isDefault:K.isDefault}}B.from=F})(p=e.TaskGroupDTO||(e.TaskGroupDTO={}));var D;(function(B){function F(O,ee){if(O==null)return[];const ce=[];for(const oe of O){const le=K(oe,ee);le&&ce.push(le)}return ce}B.fromMany=F;function K(O,ee){if(O==null)return;let ce;O.execution instanceof y.ProcessExecution?ce=n.from(O.execution):O.execution instanceof y.ShellExecution?ce=t.from(O.execution):O.execution&&O.execution instanceof y.CustomExecution&&(ce=l.from(O.execution));const oe=s.from(O.definition);let le;return O.scope?typeof O.scope=="number"?le=O.scope:le=O.scope.uri:le=y.TaskScope.Workspace,!oe||!le?void 0:{_id:O._id,definition:oe,name:O.name,source:{extensionId:ee.identifier.value,label:O.source,scope:le},execution:ce,isBackground:O.isBackground,group:p.from(O.group),presentationOptions:u.from(O.presentationOptions),problemMatchers:O.problemMatchers,hasDefinedMatchers:O.hasDefinedMatchers,runOptions:O.runOptions?O.runOptions:{reevaluateOnRerun:!0},detail:O.detail}}B.from=K;async function H(O,ee,ce){if(O==null)return;let oe;n.is(O.execution)?oe=n.to(O.execution):t.is(O.execution)?oe=t.to(O.execution):l.is(O.execution)&&(oe=l.to(O._id,ce));const le=s.to(O.definition);let te;if(O.source&&(O.source.scope!==void 0?typeof O.source.scope=="number"?te=O.source.scope:te=await ee.resolveWorkspaceFolder(a.URI.revive(O.source.scope)):te=y.TaskScope.Workspace),!le||!te)return;const Ee=new y.Task(le,te,O.name,O.source.label,oe,O.problemMatchers);return O.isBackground!==void 0&&(Ee.isBackground=O.isBackground),O.group!==void 0&&(Ee.group=y.TaskGroup.from(O.group._id),Ee.group&&O.group.isDefault&&(Ee.group=new y.TaskGroup(Ee.group.id,Ee.group.label),O.group.isDefault===!0&&(Ee.group.isDefault=O.group.isDefault))),O.presentationOptions&&(Ee.presentationOptions=u.to(O.presentationOptions)),O._id&&(Ee._id=O._id),O.detail&&(Ee.detail=O.detail),Ee}B.to=H})(D=e.TaskDTO||(e.TaskDTO={}));var U;(function(B){function F(H){return H}B.from=F;function K(H){if(!!H)return Object.assign(Object.create(null),H)}B.to=K})(U=e.TaskFilterDTO||(e.TaskFilterDTO={}));class V{constructor(F,K,H){this._id=K,this._task=H,_.set(this,void 0),Ye(this,_,F,"f")}get task(){return this._task}terminate(){Oe(this,_,"f").terminateTask(this)}fireDidStartProcess(F){}fireDidEndProcess(F){}}_=new WeakMap;var x;(function(B){function F(K){return{id:K._id,task:void 0}}B.from=F})(x=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let C=class{constructor(F,K,H,O,ee,ce,oe,le){this._onDidExecuteTask=new b.Emitter,this._onDidTerminateTask=new b.Emitter,this._onDidTaskProcessStarted=new b.Emitter,this._onDidTaskProcessEnded=new b.Emitter,this._proxy=F.getProxy(M.MainContext.MainThreadTask),this._workspaceProvider=H,this._editorService=O,this._configurationService=ee,this._terminalService=ce,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=oe,this._deprecationService=le,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(F,K,H){if(!H)return new y.Disposable(()=>{});const O=this.nextHandle();return this._handlers.set(O,{type:K,provider:H,extension:F}),this._proxy.$registerTaskProvider(O,K),new y.Disposable(()=>{this._handlers.delete(O),this._proxy.$unregisterTaskProvider(O)})}registerTaskSystem(F,K){this._proxy.$registerTaskSystem(F,K)}fetchTasks(F){return this._proxy.$fetchTasks(U.from(F)).then(async K=>{const H=[];for(const O of K){const ee=await D.to(O,this._workspaceProvider,this._providedCustomExecutions2);ee&&H.push(ee)}return H})}get taskExecutions(){const F=[];return this._taskExecutions.forEach(K=>F.push(K)),F}terminateTask(F){if(!(F instanceof V))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(F._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(F,K,H){const O=this._providedCustomExecutions2.get(F.id);O&&(this._activeCustomExecutions2.set(F.id,O),this._terminalService.attachPtyToTerminal(K,await O.callback(H))),this._lastStartedTask=F.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(F)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(F){const K=await this.getTaskExecution(F);this._taskExecutionPromises.delete(F.id),this._taskExecutions.delete(F.id),this.customExecutionComplete(F),this._onDidTerminateTask.fire({execution:K})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(F){const K=await this.getTaskExecution(F.id);this._onDidTaskProcessStarted.fire({execution:K,processId:F.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(F){const K=await this.getTaskExecution(F.id);this._onDidTaskProcessEnded.fire({execution:K,exitCode:F.exitCode})}$provideTasks(F,K){const H=this._handlers.get(F);if(!H)return Promise.reject(new Error("no handler found"));const O=[],ee=(0,v.asPromise)(()=>H.provider.provideTasks(R.CancellationToken.None)).then(ce=>this.provideTasksInternal(K,O,H,ce));return new Promise(ce=>{ee.then(oe=>{Promise.all(O).then(()=>{ce(oe)})})})}async $resolveTask(F,K){const H=this._handlers.get(F);if(!H)return Promise.reject(new Error("no handler found"));if(K.definition.type!==H.type)throw new Error(`Unexpected: Task of type [${K.definition.type}] cannot be resolved by provider of type [${H.type}].`);const O=await D.to(K,this._workspaceProvider,this._providedCustomExecutions2);if(!O)throw new Error("Unexpected: Task cannot be resolved.");const ee=await H.provider.resolveTask(O,R.CancellationToken.None);if(!ee)return;this.checkDeprecation(ee,H);const ce=D.from(ee,H.extension);if(!ce)throw new Error("Unexpected: Task cannot be resolved.");if(ee.definition!==O.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return l.is(ce.execution)&&await this.addCustomExecution(ce,ee,!0),await this.resolveTaskInternal(ce)}nextHandle(){return this._handleCounter++}async addCustomExecution(F,K,H){const O=await this._proxy.$createTaskId(F);!H&&!this._providedCustomExecutions2.has(O)&&(this._notProvidedCustomExecutions.add(O),this._activeCustomExecutions2.set(O,K.execution)),this._providedCustomExecutions2.set(O,K.execution)}async getTaskExecution(F,K){if(typeof F=="string"){const ee=this._taskExecutionPromises.get(F);if(!ee)throw new Error("Unexpected: The specified task is missing an execution");return ee}const H=this._taskExecutionPromises.get(F.id);if(H)return H;const O=new Promise((ee,ce)=>{function oe(le,te,Ee){Ee?ee(new V(le,te.id,Ee)):ce("Unexpected: Task does not exist.")}K?oe(this,F,K):D.to(F.task,this._workspaceProvider,this._providedCustomExecutions2).then(le=>oe(this,F,le))});return this._taskExecutionPromises.set(F.id,O),O.then(ee=>(this._taskExecutions.set(F.id,ee),ee),ee=>Promise.reject(ee))}checkDeprecation(F,K){F._deprecated&&this._deprecationService.report("Task.constructor",K.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(F){this._activeCustomExecutions2.get(F.id)&&this._activeCustomExecutions2.delete(F.id),this._notProvidedCustomExecutions.has(F.id)&&this._lastStartedTask!==F.id&&(this._providedCustomExecutions2.delete(F.id),this._notProvidedCustomExecutions.delete(F.id));const H=this._notProvidedCustomExecutions.values();let O=H.next();for(;!O.done;)!this._activeCustomExecutions2.has(O.value)&&this._lastStartedTask!==O.value&&(this._providedCustomExecutions2.delete(O.value),this._notProvidedCustomExecutions.delete(O.value)),O=H.next()}};C=ze([$e(0,m.IExtHostRpcService),$e(1,I.IExtHostInitDataService),$e(2,P.IExtHostWorkspace),$e(3,E.IExtHostDocumentsAndEditors),$e(4,T.IExtHostConfiguration),$e(5,S.IExtHostTerminalService),$e(6,o.ILogService),$e(7,g.IExtHostApiDeprecationService)],C),e.ExtHostTaskBase=C;let L=class extends C{constructor(F,K,H,O,ee,ce,oe,le){super(F,K,H,O,ee,ce,oe,le);this.registerTaskSystem(h.Schemas.vscodeRemote,{scheme:h.Schemas.vscodeRemote,authority:"",platform:d.PlatformToString(0)})}async executeTask(F,K){if(!K.execution)throw new Error("Tasks to execute must include an execution");const H=D.from(K,F);if(H===void 0)throw new Error("Task is not valid");if(l.is(H.execution))await this.addCustomExecution(H,K,!1);else throw new c.NotSupportedError;const O=await this.getTaskExecution(await this._proxy.$getTaskExecution(H),K);return this._proxy.$executeTask(H).catch(ee=>{throw new Error(ee)}),O}provideTasksInternal(F,K,H,O){const ee=[];if(O)for(const ce of O){this.checkDeprecation(ce,H),(!ce.definition||!F[ce.definition.type])&&this._logService.warn(`The task [${ce.source}, ${ce.name}] uses an undefined task type. The task will be ignored in the future.`);const oe=D.from(ce,H.extension);oe&&l.is(oe.execution)?(ee.push(oe),K.push(this.addCustomExecution(oe,ce,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:ee,extension:H.extension}}async resolveTaskInternal(F){if(l.is(F.execution))return F;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(F,K){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(F,K,H){}};L=ze([$e(0,m.IExtHostRpcService),$e(1,I.IExtHostInitDataService),$e(2,P.IExtHostWorkspace),$e(3,E.IExtHostDocumentsAndEditors),$e(4,T.IExtHostConfiguration),$e(5,S.IExtHostTerminalService),$e(6,o.ILogService),$e(7,g.IExtHostApiDeprecationService)],L),e.WorkerExtHostTask=L,e.IExtHostTask=(0,f.createDecorator)("IExtHostTask")}),define(ye[227],De([1,0,19,20,43,34,22,203,41]),function(ie,e,a,v,b,M,y,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class T{constructor(m,I,f){this.config=m,this.provider=I,this.sessionToken=f,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=m.filePattern,this.includePattern=m.includePattern&&M.parse(m.includePattern),this.maxResults=m.maxResults||void 0,this.exists=m.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=m.excludePattern&&M.parse(m.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(m=>m.cancel()),this.activeCancellationTokens=new Set}search(m){const I=this.config.folderQueries||[];return new Promise((f,h)=>{const d=o=>{this.resultCount++,m(o)};if(this.isCanceled)return f({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(o=>{const g=o.toString(),A=a.basename(g);this.globalExcludePattern&&this.globalExcludePattern(g,A)||this.matchFile(d,{base:o,basename:A})}),Promise.all(I.map(o=>this.searchInFolder(o,d))).then(o=>{f({limitHit:this.isLimitHit,stats:o[0]||void 0})},o=>{h(new Error((0,b.toErrorMessage)(o)))})})}async searchInFolder(m,I){const f=new v.CancellationTokenSource,h=this.getSearchOptionsForFolder(m),d=this.initDirectoryTree(),o=new E.QueryGlobTester(this.config,m),g=!o.hasSiblingExcludeClauses();let A;try{this.activeCancellationTokens.add(f),A=P.StopWatch.create();const c=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},h,f.token),_=A.elapsed(),s=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(c&&c.forEach(u=>{const i=a.posix.relative(m.folder.path,u.path);if(g){const n=a.basename(u.path);this.matchFile(I,{base:m.folder,relativePath:i,basename:n});return}this.addDirectoryEntries(d,m.folder,i,I)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(d,o,I),{providerTime:_,postProcessTime:s.elapsed()})}finally{f.dispose(),this.activeCancellationTokens.delete(f)}}getSearchOptionsForFolder(m){const I=(0,E.resolvePatternsForProvider)(this.config.includePattern,m.includePattern),f=(0,E.resolvePatternsForProvider)(this.config.excludePattern,m.excludePattern);return{folder:m.folder,excludes:f,includes:I,useIgnoreFiles:!m.disregardIgnoreFiles,useGlobalIgnoreFiles:!m.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!m.disregardParentIgnoreFiles,followSymlinks:!m.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const m={rootEntries:[],pathToEntries:Object.create(null)};return m.pathToEntries["."]=m.rootEntries,m}addDirectoryEntries({pathToEntries:m},I,f,h){if(f===this.filePattern){const o=a.basename(this.filePattern);this.matchFile(h,{base:I,relativePath:this.filePattern,basename:o})}function d(o){const g=a.basename(o),A=a.dirname(o);let c=m[A];c||(c=m[A]=[],d(A)),c.push({base:I,relativePath:o,basename:g})}d(f)}matchDirectoryTree({rootEntries:m,pathToEntries:I},f,h){const d=this,o=this.filePattern;function g(A){const c=(0,E.hasSiblingFn)(()=>A.map(_=>_.basename));for(let _=0,s=A.length;_<s;_++){const u=A[_],{relativePath:i,basename:n}=u;if(f.matchesExcludesSync(i,n,o!==n?c:void 0))continue;const r=I[i];if(r)g(r);else{if(i===o)continue;d.matchFile(h,u)}if(d.isLimitHit)break}}g(m)}matchFile(m,I){(!this.includePattern||I.relativePath&&this.includePattern(I.relativePath,I.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||m(I))}}class R{constructor(){this.sessions=new Map}fileSearch(m,I,f,h){const d=this.getSessionTokenSource(m.cacheKey),o=new T(m,I,d&&d.token);let g=0;const A=c=>{g+=c.length,f(c.map(_=>this.rawMatchToSearchItem(_)))};return this.doSearch(o,R.BATCH_SIZE,A,h).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:g,detailStats:c.stats}}))}clearCache(m){this.getSessionTokenSource(m)?.cancel()}getSessionTokenSource(m){if(!!m)return this.sessions.has(m)||this.sessions.set(m,new v.CancellationTokenSource),this.sessions.get(m)}rawMatchToSearchItem(m){return m.relativePath?{resource:y.joinPath(m.base,m.relativePath)}:{resource:m.base}}doSearch(m,I,f,h){h.onCancellationRequested(()=>{m.cancel()});const d=g=>{g&&(o.push(g),I>0&&o.length>=I&&(f(o),o=[]))};let o=[];return m.search(d).then(g=>(o.length&&f(o),g),g=>(o.length&&f(o),Promise.reject(g)))}}e.FileSearchManager=R,R.BATCH_SIZE=512}),define(ye[228],De([1,0,16,72,34,76,25,12,19,22,9,10,2,245,144,58,15,45,91,226,41]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let _=class{constructor(p,D,U,V,x){this.configurationService=p,this.workspaceContextService=D,this.editorGroupsService=U,this.logService=V,this.pathService=x}text(p,D,U={}){p=this.getContentPattern(p,U);const V=this.configurationService.getValue(),x=D&&D.some(L=>!this.configurationService.getValue({resource:L}).search.useRipgrep);return{...this.commonQuery(D?.map(o.toWorkspaceFolder),U),type:2,contentPattern:p,previewOptions:U.previewOptions,maxFileSize:U.maxFileSize,usePCRE2:V.search.usePCRE2||x||!1,beforeContext:U.beforeContext,afterContext:U.afterContext,userDisabledExcludesAndIgnoreFiles:U.disregardExcludeSettings&&U.disregardIgnoreFiles}}getContentPattern(p,D){const U=this.configurationService.getValue();p.isRegExp&&(p.pattern=p.pattern.replace(/\r?\n/g,"\\n"));const V={...p,wordSeparators:U.editor.wordSeparators};return this.isCaseSensitive(p,D)&&(V.isCaseSensitive=!0),this.isMultiline(p)&&(V.isMultiline=!0),V}file(p,D={}){return{...this.commonQuery(p,D),type:1,filePattern:D.filePattern?D.filePattern.trim():D.filePattern,exists:D.exists,sortByScore:D.sortByScore,cacheKey:D.cacheKey}}handleIncludeExclude(p,D){return p?(p=Array.isArray(p)?p.map(r):r(p),D?this.parseSearchPaths(p):{pattern:u(...Array.isArray(p)?p:[p])}):{}}commonQuery(p=[],D={}){const U=this.handleIncludeExclude(D.includePattern,D.expandPatterns),V=this.handleIncludeExclude(D.excludePattern,D.expandPatterns),x=p.length>1,C=(U.searchPaths&&U.searchPaths.length?U.searchPaths.map(F=>this.getFolderQueryForSearchPath(F,D,V)):p.map(F=>this.getFolderQueryForRoot(F,D,V,x))).filter(F=>!!F),L={_reason:D._reason,folderQueries:C,usingSearchPaths:!!(U.searchPaths&&U.searchPaths.length),extraFileResources:D.extraFileResources,excludePattern:V.pattern,includePattern:U.pattern,onlyOpenEditors:D.onlyOpenEditors,maxResults:D.maxResults};if(D.onlyOpenEditors){const F=a.coalesce(a.flatten(this.editorGroupsService.groups.map(O=>O.editors.map(ee=>ee.resource))));this.logService.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(F));const K=F.filter(O=>(0,c.pathIncludedInQuery)(L,O.fsPath)),H=this.commonQueryFromFileList(K);return this.logService.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(H)),{...L,...H}}const B=D.extraFileResources&&D.extraFileResources.filter(F=>(0,c.pathIncludedInQuery)(L,F.fsPath));return L.extraFileResources=B&&B.length?B:void 0,L}commonQueryFromFileList(p){const D=[],U=new y.ResourceMap,V={};let x=!1;return p.forEach(C=>{if(C.scheme===P.Schemas.walkThrough)return;if((0,T.isAbsolutePath)(C)){const B=this.workspaceContextService.getWorkspaceFolder(C)?.uri??C.with({path:E.dirname(C.fsPath)});let F=U.get(B);F||(x=!0,F={folder:B,includePattern:{}},D.push(F),U.set(B,F));const K=E.relative(B.fsPath,C.fsPath);(0,S.assertIsDefined)(F.includePattern)[K.replace(/\\/g,"/")]=!0}else C.fsPath&&(x=!0,V[C.fsPath]=!0)}),{folderQueries:D,includePattern:V,usingSearchPaths:!0,excludePattern:x?void 0:{"**/*":!0}}}isCaseSensitive(p,D){if(D.isSmartCase){if(p.isRegExp){if(R.containsUppercaseCharacter(p.pattern,!0))return!0}else if(R.containsUppercaseCharacter(p.pattern))return!0}return!!p.isCaseSensitive}isMultiline(p){return p.isMultiline||p.isRegExp&&(0,I.isMultilineRegexSource)(p.pattern)||p.pattern.indexOf(`
`)>=0?!0:!!p.isMultiline}parseSearchPaths(p){const D=H=>E.isAbsolute(H)||/^\.\.?([\/\\]|$)/.test(H),V=(Array.isArray(p)?p:i(p)).map(H=>{const O=this.pathService.resolvedUserHome;return O?(0,M.untildify)(H,O.scheme===P.Schemas.file?O.fsPath:O.path):H}),x=v.groupBy(V,H=>D(H)?"searchPaths":"exprSegments"),C=(x.exprSegments||[]).map(H=>R.rtrim(H,"/")).map(H=>R.rtrim(H,"\\")).map(H=>(H[0]==="."&&(H="*"+H),n(H))),L={},B=this.expandSearchPathPatterns(x.searchPaths||[]);B&&B.length&&(L.searchPaths=B);const F=a.flatten(C),K=u(...F);return K&&(L.pattern=K),L}getExcludesForFolder(p,D){return D.disregardExcludeSettings?void 0:(0,c.getExcludes)(p,!D.disregardSearchExcludeSettings)}expandSearchPathPatterns(p){if(!p||!p.length)return[];const D=a.flatten(p.map(V=>{let{pathPortion:x,globPortion:C}=s(V);C&&(C=t(C));const L=this.expandOneSearchPath(x);return a.flatten(L.map(B=>this.resolveOneSearchPathPattern(B,C)))})),U=new Map;return D.forEach(V=>{const x=V.searchPath.toString(),C=U.get(x);C?V.pattern&&(C.pattern=C.pattern||{},C.pattern[V.pattern]=!0):U.set(x,{searchPath:V.searchPath,pattern:V.pattern?u(V.pattern):void 0})}),Array.from(U.values())}expandOneSearchPath(p){if(E.isAbsolute(p)){const D=this.workspaceContextService.getWorkspace().folders;return D[0]&&D[0].uri.scheme!==P.Schemas.file?[{searchPath:D[0].uri.with({path:p})}]:[{searchPath:m.URI.file(E.normalize(p))}]}if(this.workspaceContextService.getWorkbenchState()===2){const D=this.workspaceContextService.getWorkspace().folders[0].uri;if(p=r(p),p.startsWith("../")||p===".."){const V=E.posix.resolve(D.path,p);return[{searchPath:D.with({path:V})}]}const U=t(p);return[{searchPath:D,pattern:U}]}else{if(p==="./"||p===".\\")return[];{const D=p.replace(/^\.[\/\\]/,""),V=this.workspaceContextService.getWorkspace().folders.map(x=>{const C=D.match(new RegExp(`^${R.escapeRegExpCharacters(x.name)}(?:/(.*)|$)`));return C?{match:C,folder:x}:null}).filter(S.isDefined);if(V.length)return V.map(x=>{const C=x.match[1];return{searchPath:x.folder.uri,pattern:C&&t(C)}});{const x=p.match(/\.[\/\\](.+)[\/\\]?/),C=x?x[1]:p,L=f.localize(0,null,C);throw new Error(L)}}}}resolveOneSearchPathPattern(p,D){const U=p.pattern&&D?`${p.pattern}/${D}`:p.pattern||D,V=[{searchPath:p.searchPath,pattern:U}];return U&&!U.endsWith("**")&&V.push({searchPath:p.searchPath,pattern:U+"/**"}),V}getFolderQueryForSearchPath(p,D,U){const V=this.getFolderQueryForRoot((0,o.toWorkspaceFolder)(p.searchPath),D,U,!1);return V?{...V,includePattern:p.pattern}:null}getFolderQueryForRoot(p,D,U,V){let x;const C=m.URI.isUri(p)?p:p.uri;if(U.searchPaths){const H=U.searchPaths.filter(O=>(0,T.isEqual)(O.searchPath,C))[0];if(H&&!H.pattern)return null;H&&(x=H.pattern)}const L=this.configurationService.getValue({resource:C}),F={...this.getExcludesForFolder(L,D)||{},...x||{}},K=m.URI.isUri(p)?(0,T.basename)(p):p.name;return{folder:C,folderName:V?K:void 0,excludePattern:Object.keys(F).length>0?F:void 0,fileEncoding:L.files&&L.files.encoding,disregardIgnoreFiles:typeof D.disregardIgnoreFiles=="boolean"?D.disregardIgnoreFiles:!L.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof D.disregardGlobalIgnoreFiles=="boolean"?D.disregardGlobalIgnoreFiles:!L.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof D.disregardParentIgnoreFiles=="boolean"?D.disregardParentIgnoreFiles:!L.search.useParentIgnoreFiles,ignoreSymlinks:typeof D.ignoreSymlinks=="boolean"?D.ignoreSymlinks:!L.search.followSymlinks}}};_=ze([$e(0,h.IConfigurationService),$e(1,o.IWorkspaceContextService),$e(2,g.IEditorGroupsService),$e(3,d.ILogService),$e(4,A.IPathService)],_),e.QueryBuilder=_;function s(w){const p=w.match(/[\*\{\}\(\)\[\]\?]/);if(p){const D=p.index,U=w.substr(0,D).match(/[/|\\][^/\\]*$/);if(U){let V=w.substr(0,U.index);return V.match(/[/\\]/)||(V+="/"),{pathPortion:V,globPortion:w.substr((U.index||0)+1)}}}return{pathPortion:w}}function u(...w){return w.length?w.reduce((p,D)=>(p[D]=!0,p),Object.create(null)):void 0}function i(w){return b.splitGlobAware(w,",").map(p=>p.trim()).filter(p=>!!p.length)}function n(w){return[`**/${w}/**`,`**/${w}`].map(D=>D.replace(/\*\*\/\*\*/g,"**"))}function r(w){return w.replace(/\\/g,"/")}function t(w){return r(w).replace(/^\.\//,"").replace(/\/+$/g,"")}function l(w,p){w=a.distinct(w,V=>V.toString());const D=[],U=p.getWorkspace();return w&&w.forEach(V=>{let x;if(p.getWorkbenchState()===2)x=(0,T.relativePath)(U.folders[0].uri,V),x&&x!=="."&&(x="./"+x);else{const C=p.getWorkspaceFolder(V);if(C){const L=C.name;if(U.folders.filter(F=>F.name===L).length===1){const F=(0,T.relativePath)(C.uri,V);F===""?x=`./${C.name}`:x=`./${C.name}/${F}`}else x=V.fsPath}}x&&D.push(x)}),D}e.resolveResourcesForSearchIncludes=l}),define(ye[229],De([1,0,22,2,20,11,3,228,41,45]),function(ie,e,a,v,b,M,y,P,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const R=7e3;function S(h,d){const o=d.activationEvents;if(!o)return Promise.resolve(void 0);const g=[],A=[];for(const n of o)if(/^workspaceContains:/.test(n)){const r=n.substr("workspaceContains:".length);r.indexOf("*")>=0||r.indexOf("?")>=0||h.forceUsingSearch?A.push(r):g.push(r)}if(g.length===0&&A.length===0)return Promise.resolve(void 0);let c;const _=new Promise((n,r)=>{c=n}),s=n=>c({activationEvent:n}),u=Promise.all(g.map(n=>m(h,n,s))).then(()=>{}),i=I(h,d.identifier,A,s);return Promise.all([u,i]).then(()=>{c(void 0)}),_}e.checkActivateWorkspaceContainsExtension=S;async function m(h,d,o){for(const g of h.folders)if(await h.exists(a.joinPath(v.URI.revive(g),d))){o(`workspaceContains:${d}`);return}}async function I(h,d,o,g){if(o.length===0)return Promise.resolve(void 0);const A=new b.CancellationTokenSource,c=h.checkExists(h.folders,o,A.token),_=setTimeout(async()=>{A.cancel(),h.logService.info(`Not activating extension '${d.value}': Timed out while searching for 'workspaceContains' pattern ${o.join(",")}`)},R);let s=!1;try{s=await c}catch(u){M.isCancellationError(u)||M.onUnexpectedError(u)}A.dispose(),clearTimeout(_),s&&g(`workspaceContains:${o.join(",")}`)}function f(h,d,o,g){const A=h.get(y.IInstantiationService),c=h.get(E.ISearchService),s=A.createInstance(P.QueryBuilder).file(d.map(u=>(0,T.toWorkspaceFolder)(v.URI.revive(u))),{_reason:"checkExists",includePattern:o,exists:!0});return c.fileSearch(s,g).then(u=>!!u.limitHit,u=>M.isCancellationError(u)?!1:Promise.reject(u))}e.checkGlobFileExists=f});var Ye=this&&this.__classPrivateFieldSet||function(ie,e,a,v,b){if(v==="m")throw new TypeError("Private method is not writable");if(v==="a"&&!b)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ie!==e||!b:!e.has(ie))throw new TypeError("Cannot write private member to an object whose class did not declare it");return v==="a"?b.call(ie,a):b?b.value=a:e.set(ie,a),a},Oe=this&&this.__classPrivateFieldGet||function(ie,e,a,v){if(a==="a"&&!v)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ie!==e||!v:!e.has(ie))throw new TypeError("Cannot read private member from an object whose class did not declare it");return a==="m"?v:a==="a"?v.call(ie):v?v.value:e.get(ie)};define(ye[33],De([1,0,131,19,71,22,14,7,25,2,15,4,32,180,69,31,24,179,11,27,23,158,6,84,3,28,70,13,59,63,53,5,229,68,160,12]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_,s,u,i,n,r,t,l,w,p,D,U,V,x,C){"use strict";var L,B,F;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionPaths=e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,i.createDecorator)("IHostUtils");let K=class ki extends P.Disposable{constructor(te,Ee,be,ne,ve,Pe,Fe,xe,Qe,Ie){super();this._onDidChangeRemoteConnectionData=this._register(new D.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._isTerminating=!1,this._hostUtils=Ee,this._extHostContext=be,this._initData=Fe,this._extHostWorkspace=ne,this._extHostConfiguration=ve,this._logService=Pe,this._extHostTunnelService=Qe,this._extHostTerminalService=Ie,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(S.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(S.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(S.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new y.Barrier,this._readyToStartExtensionHost=new y.Barrier,this._readyToRunExtensions=new y.Barrier,this._eagerExtensionsActivated=new y.Barrier,this._globalRegistry=new o.ExtensionDescriptionRegistry(this._initData.allExtensions);const Se=(0,d.extensionIdentifiersArrayToSet)(this._initData.myExtensions);this._myRegistry=new o.ExtensionDescriptionRegistry(ee(this._globalRegistry,Se)),this._storage=new f.ExtHostStorage(this._extHostContext),this._secretState=new V.ExtHostSecretState(this._extHostContext),this._storagePath=xe,this._instaService=te.createChild(new l.ServiceCollection([f.IExtHostStorage,this._storage],[V.IExtHostSecretState,this._secretState]));let Te=[],ae=[];this._initData.remote.isRemote&&(Te=this._initData.allExtensions.filter(X=>!X.main&&!X.browser).map(X=>X.identifier),ae=this._initData.allExtensions.filter(X=>!Se.has(A.ExtensionIdentifier.toKey(X.identifier.value))).filter(X=>(X.main||X.browser)&&X.api==="none").map(X=>X.identifier));const ue=(0,d.extensionIdentifiersArrayToSet)(ae);this._activator=this._register(new I.ExtensionsActivator(this._myRegistry,Te,ae,{onExtensionActivationError:(X,J,k)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(X,g.transformErrorForSerialization(J),k)},actualActivateExtension:async(X,J)=>{if(ue.has(A.ExtensionIdentifier.toKey(X)))return await this._mainThreadExtensionsProxy.$activateExtension(X,J),new I.HostExtension;const k=this._myRegistry.getExtensionDescription(X);return this._activateExtension(k,J)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),b.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(te){g.onUnexpectedError(te)}}async _deactivateAll(){this._storagePath.onWillDeactivateAll();let te=[];try{te=this._myRegistry.getAllExtensionDescriptions().map(ve=>ve.identifier).filter(ve=>this.isActivated(ve)).map(ve=>this._deactivate(ve))}catch{}await Promise.all(te)}terminate(te,Ee=0){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`Extension host terminating: ${te}`),this._logService.flush(),this._extHostTerminalService.dispose(),this._activator.dispose(),g.setUnexpectedErrorHandler(ne=>{this._logService.error(ne)}),this._extHostContext.dispose();const be=this._deactivateAll();Promise.race([(0,y.timeout)(5e3),be]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${Ee}`):this._logService.info(`Extension host exiting with code ${Ee}`),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(Ee)})}isActivated(te){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(te):!1}async getExtension(te){const Ee=await this._mainThreadExtensionsProxy.$getExtension(te);let be;if(Ee?.browserNlsBundleUris){be={};for(const ne of Object.keys(Ee.browserNlsBundleUris))be[ne]=T.URI.revive(Ee.browserNlsBundleUris[ne])}return Ee&&{...Ee,identifier:new A.ExtensionIdentifier(Ee.identifier.value),extensionLocation:T.URI.revive(Ee.extensionLocation),browserNlsBundleUris:be}}_activateByEvent(te,Ee){return this._activator.activateByEvent(te,Ee)}_activateById(te,Ee){return this._activator.activateById(te,Ee)}activateByIdWithErrors(te,Ee){return this._activateById(te,Ee).then(()=>{const be=this._activator.getActivatedExtension(te);if(be.activationFailed)return Promise.reject(be.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(te=>this._myRegistry)}getExtensionExports(te){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(te).exports:null}async _realPathExtensionUri(te){if(te.scheme!==C.Schemas.file)return te;const Ee=await this._hostUtils.realpath(te.fsPath);return T.URI.file(Ee)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=this._createExtensionPathIndex(this._myRegistry.getAllExtensionDescriptions()).then(te=>new oe(te))),this._extensionPathIndex}async _createExtensionPathIndex(te){const Ee=E.TernarySearchTree.forUris(be=>M.extUriBiasedIgnorePathCase.ignorePathCasing(be));return await Promise.all(te.map(async be=>{if(this._getEntryPoint(be)){const ne=await this._realPathExtensionUri(be.extensionLocation);Ee.set(ne,be)}})),Ee}_deactivate(te){let Ee=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(te))return Ee;const be=this._activator.getActivatedExtension(te);if(!be)return Ee;try{typeof be.module.deactivate=="function"&&(Ee=Promise.resolve(be.module.deactivate()).then(void 0,ne=>(this._logService.error(ne),Promise.resolve(void 0))))}catch(ne){this._logService.error(`An error occurred when deactivating the extension '${te.value}':`),this._logService.error(ne)}try{(0,P.dispose)(be.subscriptions)}catch(ne){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${te.value}':`),this._logService.error(ne)}return Ee}async _activateExtension(te,Ee){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(te.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(te.identifier),this._doActivateExtension(te,Ee).then(be=>{const ne=be.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(te.identifier,ne.codeLoadingTime,ne.activateCallTime,ne.activateResolvedTime,Ee),this._logExtensionActivationTimes(te,Ee,"success",ne),be},be=>{throw this._logExtensionActivationTimes(te,Ee,"failure"),be})}_logExtensionActivationTimes(te,Ee,be,ne){const ve=H(te,Ee);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...ve,...ne||{},outcome:be})}_doActivateExtension(te,Ee){const be=H(te,Ee);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",be);const ne=this._getEntryPoint(te);if(!ne)return Promise.resolve(new I.EmptyExtension(I.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${te.identifier.value}, startup: ${Ee.startup}, activationEvent: '${Ee.activationEvent}'${te.identifier.value!==Ee.extensionId.value?`, root cause: ${Ee.extensionId.value}`:""}`),this._logService.flush();const ve=new I.ExtensionActivationTimesBuilder(Ee.startup);return Promise.all([this._loadCommonJSModule(te,(0,M.joinPath)(te.extensionLocation,ne),ve),this._loadExtensionContext(te)]).then(Pe=>(b.mark(`code/extHost/willActivateExtension/${te.identifier.value}`),ki._callActivate(this._logService,te.identifier,Pe[0],Pe[1],ve))).then(Pe=>(b.mark(`code/extHost/didActivateExtension/${te.identifier.value}`),Pe))}_loadExtensionContext(te){const Ee=new _.ExtensionGlobalMemento(te,this._storage),be=new _.ExtensionMemento(te.identifier.value,!1,this._storage),ne=new x.ExtensionSecrets(te,this._secretState),ve=te.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?s.ExtensionMode.Test:s.ExtensionMode.Development:s.ExtensionMode.Production,Pe=this._initData.remote.isRemote?s.ExtensionKind.Workspace:s.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${te.identifier.value}`),Promise.all([Ee.whenReady,be.whenReady,this._storagePath.whenReady]).then(()=>{const Fe=this;let xe,Qe;const Ie=(0,d.isProposedApiEnabled)(te,"ipc")?this._initData.messagePorts?.get(A.ExtensionIdentifier.toKey(te.identifier)):void 0;return Object.freeze({globalState:Ee,workspaceState:be,secrets:ne,subscriptions:[],get extensionUri(){return te.extensionLocation},get extensionPath(){return te.extensionLocation.fsPath},asAbsolutePath(Se){return v.join(te.extensionLocation.fsPath,Se)},get storagePath(){return Fe._storagePath.workspaceValue(te)?.fsPath},get globalStoragePath(){return Fe._storagePath.globalValue(te).fsPath},get logPath(){return v.join(Fe._initData.logsLocation.fsPath,te.identifier.value)},get logUri(){return T.URI.joinPath(Fe._initData.logsLocation,te.identifier.value)},get storageUri(){return Fe._storagePath.workspaceValue(te)},get globalStorageUri(){return Fe._storagePath.globalValue(te)},get extensionMode(){return ve},get extension(){return xe===void 0&&(xe=new O(Fe,te.identifier,te,Pe,!1)),xe},get extensionRuntime(){return(0,d.checkProposedApiEnabled)(te,"extensionRuntime"),Fe.extensionRuntime},get environmentVariableCollection(){return Fe._extHostTerminalService.getEnvironmentVariableCollection(te)},get messagePassingProtocol(){if(!Qe){if(!Ie)return;const Se=D.Event.buffer(D.Event.fromDOMEventEmitter(Ie,"message",Te=>Te.data));Ie.start(),Qe={onDidReceiveMessage:Se,postMessage:Ie.postMessage.bind(Ie)}}return Qe}})})}static _callActivate(te,Ee,be,ne,ve){return be=be||{activate:void 0,deactivate:void 0},this._callActivateOptional(te,Ee,be,ne,ve).then(Pe=>new I.ActivatedExtension(!1,null,ve.build(),be,Pe,ne.subscriptions))}static _callActivateOptional(te,Ee,be,ne,ve){if(typeof be.activate=="function")try{ve.activateCallStart(),te.trace(`ExtensionService#_callActivateOptional ${Ee.value}`);const Pe=typeof global=="object"?global:self,Fe=be.activate.apply(Pe,[ne]);return ve.activateCallStop(),ve.activateResolveStart(),Promise.resolve(Fe).then(xe=>(ve.activateResolveStop(),xe))}catch(Pe){return Promise.reject(Pe)}else return Promise.resolve(be)}_activateOneStartupFinished(te,Ee){this._activateById(te.identifier,{startup:!1,extensionId:te.identifier,activationEvent:Ee}).then(void 0,be=>{this._logService.error(be)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(b.getMarks());for(const te of this._myRegistry.getAllExtensionDescriptions())if(te.activationEvents)for(const Ee of te.activationEvents)Ee==="onStartupFinished"&&this._activateOneStartupFinished(te,Ee)}_handleEagerExtensions(){const te=this._activateByEvent("*",!0).then(void 0,ve=>{this._logService.error(ve)});this._register(this._extHostWorkspace.onDidChangeWorkspace(ve=>this._handleWorkspaceContainsEagerExtensions(ve.added)));const Ee=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],be=this._handleWorkspaceContainsEagerExtensions(Ee),ne=Promise.all([te,be]).then(()=>{});return Promise.race([ne,(0,y.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),ne}_handleWorkspaceContainsEagerExtensions(te){return te.length===0?Promise.resolve(void 0):Promise.all(this._myRegistry.getAllExtensionDescriptions().map(Ee=>this._handleWorkspaceContainsEagerExtension(te,Ee))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(te,Ee){if(this.isActivated(Ee.identifier))return;const be=!this._initData.remote.isRemote&&!!this._initData.remote.authority,ne={logService:this._logService,folders:te.map(Pe=>Pe.uri),forceUsingSearch:be,exists:Pe=>this._hostUtils.exists(Pe.fsPath),checkExists:(Pe,Fe,xe)=>this._mainThreadWorkspaceProxy.$checkExists(Pe,Fe,xe)},ve=await(0,U.checkActivateWorkspaceContainsExtension)(ne,Ee);if(!!ve)return this._activateById(Ee.identifier,{startup:!0,extensionId:Ee.identifier,activationEvent:ve.activationEvent}).then(void 0,Pe=>this._logService.error(Pe))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(te){throw console.error(te),te}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:te,extensionTestsLocationURI:Ee}=this._initData.environment;if(!te||!Ee)throw new Error(a.localize(0,null));const be=await this._loadCommonJSModule(null,Ee,new I.ExtensionActivationTimesBuilder(!1));if(!be||typeof be.run!="function")throw new Error(a.localize(1,null,Ee.toString()));return new Promise((ne,ve)=>{const Pe=(Qe,Ie)=>{Qe?ve(Qe):ne(typeof Ie=="number"&&Ie>0?1:0)},Fe=(0,M.originalFSPath)(Ee),xe=be.run(Fe,Pe);xe&&xe.then&&xe.then(()=>{ne(0)}).catch(Qe=>{ve(Qe instanceof Error&&Qe.stack?Qe.stack:String(Qe))})})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(te,Ee){return this._resolvers[te]=Ee,(0,P.toDisposable)(()=>{delete this._resolvers[te]})}async _activateAndGetResolver(te){const Ee=te.indexOf("+");if(Ee===-1)throw new Error("Not an authority that can be resolved!");const be=te.substr(0,Ee);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${be}`,!1),{authorityPrefix:be,resolver:this._resolvers[be]}}async $resolveAuthority(te,Ee){this._logService.info(`$resolveAuthority invoked for authority (${ce(te)})`);const{authorityPrefix:be,resolver:ne}=await this._activateAndGetResolver(te);if(!ne)return{type:"error",error:{code:u.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${be}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelFactory(ne)),b.mark(`code/extHost/willResolveAuthority/${be}`);const ve=await ne.resolve(te,{resolveAttempt:Ee});b.mark(`code/extHost/didResolveAuthorityOK/${be}`);const Pe={authority:te,host:ve.host,port:ve.port,connectionToken:ve.connectionToken},Fe={extensionHostEnv:ve.extensionHostEnv,isTrusted:ve.isTrusted,authenticationSession:ve.authenticationSessionForInitializingExtensions?{id:ve.authenticationSessionForInitializingExtensions.id,providerId:ve.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:Pe,options:Fe,tunnelInformation:{environmentTunnels:ve.environmentTunnels,features:ve.tunnelFeatures}}}}catch(ve){if(b.mark(`code/extHost/didResolveAuthorityError/${be}`),ve instanceof s.RemoteAuthorityResolverError)return{type:"error",error:{code:ve._code,message:ve._message,detail:ve._detail}};throw ve}}async $getCanonicalURI(te,Ee){this._logService.info(`$getCanonicalURI invoked for authority (${ce(te)})`);const{resolver:be}=await this._activateAndGetResolver(te);if(!be)return null;const ne=T.URI.revive(Ee);if(typeof be.getCanonicalURI=="undefined")return ne;const ve=await(0,y.asPromise)(()=>be.getCanonicalURI(ne));return ve||ne}static _applyExtensionsDelta(te,Ee,be){const ne=new o.ExtensionDescriptionRegistry(te.getAllExtensionDescriptions());ne.deltaExtensions(be.toAdd,be.toRemove);const ve=(0,d.extensionIdentifiersArrayToSet)(Ee.getAllExtensionDescriptions().map(Fe=>Fe.identifier));for(const Fe of be.myToRemove)ve.delete(A.ExtensionIdentifier.toKey(Fe));for(const Fe of be.myToAdd)ve.add(A.ExtensionIdentifier.toKey(Fe));const Pe=ee(ne,ve);return{globalRegistry:ne,myExtensions:Pe}}$startExtensionHost(te){te.toAdd.forEach(ne=>ne.extensionLocation=T.URI.revive(ne.extensionLocation));const{globalRegistry:Ee,myExtensions:be}=ki._applyExtensionsDelta(this._globalRegistry,this._myRegistry,te);return this._globalRegistry.set(Ee.getAllExtensionDescriptions()),this._myRegistry.set(be),this._startExtensionHost()}$activateByEvent(te,Ee){return Ee===1?this._activateByEvent(te,!1):this._readyToRunExtensions.wait().then(be=>this._activateByEvent(te,!1))}async $activate(te,Ee){return await this._readyToRunExtensions.wait(),this._myRegistry.getExtensionDescription(te)?(await this._activateById(te,Ee),!0):!1}async $deltaExtensions(te){te.toAdd.forEach(Pe=>Pe.extensionLocation=T.URI.revive(Pe.extensionLocation));const{globalRegistry:Ee,myExtensions:be}=ki._applyExtensionsDelta(this._globalRegistry,this._myRegistry,te),ne=await this._createExtensionPathIndex(be);return(await this.getExtensionPathIndex()).setSearchTree(ne),this._globalRegistry.set(Ee.getAllExtensionDescriptions()),this._myRegistry.set(be),Promise.resolve(void 0)}async $test_latency(te){return te}async $test_up(te){return te.byteLength}async $test_down(te){const Ee=c.VSBuffer.alloc(te),be=Math.random()%256;for(let ne=0;ne<te;ne++)Ee.writeUInt8(be,ne);return Ee}async $updateRemoteConnectionData(te){this._remoteConnectionData=te,this._onDidChangeRemoteConnectionData.fire()}};K=ze([$e(0,i.IInstantiationService),$e(1,e.IHostUtils),$e(2,t.IExtHostRpcService),$e(3,h.IExtHostWorkspace),$e(4,m.IExtHostConfiguration),$e(5,R.ILogService),$e(6,n.IExtHostInitDataService),$e(7,r.IExtensionStoragePaths),$e(8,w.IExtHostTunnelService),$e(9,p.IExtHostTerminalService)],K),e.AbstractExtHostExtensionService=K;function H(le,te){return{id:le.identifier.value,name:le.name,extensionVersion:le.version,publisherDisplayName:le.publisher,activationEvents:le.activationEvents?le.activationEvents.join(","):null,isBuiltin:le.isBuiltin,reason:te.activationEvent,reasonId:te.extensionId.value}}e.IExtHostExtensionService=(0,i.createDecorator)("IExtHostExtensionService");class O{constructor(te,Ee,be,ne,ve){L.set(this,void 0),B.set(this,void 0),F.set(this,void 0),Ye(this,L,te,"f"),Ye(this,B,Ee,"f"),Ye(this,F,be.identifier,"f"),this.id=be.identifier.value,this.extensionUri=be.extensionLocation,this.extensionPath=v.normalize((0,M.originalFSPath)(be.extensionLocation)),this.packageJSON=be,this.extensionKind=ne,this.isFromDifferentExtensionHost=ve}get isActive(){return Oe(this,L,"f").isActivated(Oe(this,F,"f"))}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return Oe(this,L,"f").getExtensionExports(Oe(this,F,"f"))}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await Oe(this,L,"f").activateByIdWithErrors(Oe(this,F,"f"),{startup:!1,extensionId:Oe(this,B,"f"),activationEvent:"api"}),this.exports}}e.Extension=O,L=new WeakMap,B=new WeakMap,F=new WeakMap;function ee(le,te){return le.getAllExtensionDescriptions().filter(Ee=>te.has(A.ExtensionIdentifier.toKey(Ee.identifier)))}function ce(le){const te=le.indexOf("+");return te===-1?le:le.substring(0,te)}class oe{constructor(te){this._searchTree=te}setSearchTree(te){this._searchTree=te}findSubstr(te){return this._searchTree.findSubstr(te)}forEach(te){return this._searchTree.forEach(te)}}e.ExtensionPaths=oe}),define(ye[230],De([1,0,71,2,4,32,24,27,13,28,3,33,60,15,9]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let h=class{constructor(_,s,u,i,n,r,t){this._apiFactory=_,this._extensionRegistry=s,this._instaService=u,this._extHostConfiguration=i,this._extHostExtensionService=n,this._initData=r,this._logService=t,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),a.mark("code/extHost/willWaitForConfig");const _=await this._extHostConfiguration.getConfigProvider();a.mark("code/extHost/didWaitForConfig");const s=await this._extHostExtensionService.getExtensionPathIndex();this.register(new o(this._apiFactory,s,this._extensionRegistry,_,this._logService)),this.register(this._instaService.createInstance(g,s)),this.register(this._instaService.createInstance(d)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(A,s,this._initData.environment.appUriScheme))}register(_){if("nodeModuleName"in _)if(Array.isArray(_.nodeModuleName))for(const s of _.nodeModuleName)this._factories.set(s,_);else this._factories.set(_.nodeModuleName,_);typeof _.alternativeModuleName=="function"&&this._alternatives.push(s=>_.alternativeModuleName(s))}};h=ze([$e(2,R.IInstantiationService),$e(3,M.IExtHostConfiguration),$e(4,S.IExtHostExtensionService),$e(5,T.IExtHostInitDataService),$e(6,I.ILogService)],h),e.RequireInterceptor=h;let d=class Xi{constructor(_){if(_.environment.appRoot&&Xi.aliased.size){const s=(0,f.escapeRegExpCharacters)(this.forceForwardSlashes(_.environment.appRoot.fsPath)),u="[a-z0-9_.-]",i=`@${u}+\\/${u}+|${u}+`,n="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.re=new RegExp(`^(${s}/${n}\\/)(${i})(.*)$`,"i")}}alternativeModuleName(_){if(!this.re)return;const s=this.re.exec(this.forceForwardSlashes(_));if(!s)return;const[,u,i,n]=s,r=Xi.aliased.get(i);if(r!==void 0)return console.warn(`${i} as been renamed to ${r}, please update your imports`),u+r+n}forceForwardSlashes(_){return _.replace(/\\/g,"/")}};d.aliased=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),d=ze([$e(0,T.IExtHostInitDataService)],d);class o{constructor(_,s,u,i,n){this._apiFactory=_,this._extensionPaths=s,this._extensionRegistry=u,this._configProvider=i,this._logService=n,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(_,s){const u=this._extensionPaths.findSubstr(s);if(u){let i=this._extApiImpl.get(P.ExtensionIdentifier.toKey(u.identifier));return i||(i=this._apiFactory(u,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(u.identifier),i)),i}if(!this._defaultApiImpl){let i="";this._extensionPaths.forEach((n,r)=>i+=`	${r} -> ${n.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${s}. These are the extension path mappings: 
${i}`),this._defaultApiImpl=this._apiFactory(y.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let g=class{constructor(_,s,u){this._extensionPaths=_,this.nodeModuleName="keytar",this._mainThreadTelemetry=s.getProxy(b.MainContext.MainThreadTelemetry);const{environment:i}=u,n=s.getProxy(b.MainContext.MainThreadKeytar);if(i.appRoot){let r=i.appRoot.fsPath;m.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,t)=>n.$getPassword(r,t),setPassword:(r,t,l)=>n.$setPassword(r,t,l),deletePassword:(r,t)=>n.$deletePassword(r,t),findPassword:r=>n.$findPassword(r),findCredentials(r){return n.$findCredentials(r)}}}load(_,s){const u=this._extensionPaths.findSubstr(s);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:u?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(_){const s=_.length;if(s<=7||!this.alternativeNames)return;const u=s-7;if((_.charAt(u)==="/"||_.charAt(u)==="\\")&&_.endsWith("keytar")&&(_=_.replace(/\\/g,"/"),this.alternativeNames.has(_)))return"keytar"}};g=ze([$e(1,E.IExtHostRpcService),$e(2,T.IExtHostInitDataService)],g);let A=class{constructor(_,s,u){this._extensionPaths=_,this._appUriScheme=s,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=u.getProxy(b.MainContext.MainThreadTelemetry);const i=u.getProxy(b.MainContext.MainThreadWindow);this._impl=(n,r)=>{const t=v.URI.parse(n);return r?this.callOriginal(n,r):t.scheme==="http"||t.scheme==="https"?i.$openUri(t,n,{allowTunneling:!0}):t.scheme==="mailto"||t.scheme===this._appUriScheme?i.$openUri(t,n,{}):this.callOriginal(n,r)}}load(_,s,u){const i=this._extensionPaths.findSubstr(s);return i&&(this._extensionId=i.identifier.value,this.sendShimmingTelemetry()),this._original=u(_),this._impl}callOriginal(_,s){return this.sendNoForwardTelemetry(),this._original(_,s)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};A=ze([$e(2,E.IExtHostRpcService)],A)}),define(ye[103],De([1,0,197,7,19,60,3,50,51,33,6,31,171,32]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostVariableResolverProviderService=e.IExtHostVariableResolverProvider=void 0,e.IExtHostVariableResolverProvider=(0,y.createDecorator)("IExtHostVariableResolverProvider");class f extends m.AbstractVariableResolverService{constructor(o,g,A,c,_,s,u){function i(){if(A){const n=A.activeEditor();if(n)return n.document.uri;const r=c.tabGroups.all.find(t=>t.isActive)?.activeTab;if(r!==void 0){if(r.input instanceof R.TextDiffTabInput||r.input instanceof R.NotebookDiffEditorTabInput)return r.input.modified;if(r.input instanceof R.TextTabInput||r.input instanceof R.NotebookEditorTabInput||r.input instanceof R.CustomEditorTabInput)return r.input.uri}}}super({getFolderUri:n=>{const r=s.folders.filter(t=>t.name===n);if(r&&r.length>0)return r[0].uri},getWorkspaceFolderCount:()=>s.folders.length,getConfigurationValue:(n,r)=>_.getConfiguration(void 0,n).get(r),getAppRoot:()=>M.cwd(),getExecPath:()=>M.env.VSCODE_EXEC_PATH,getFilePath:()=>{const n=i();if(n)return b.normalize(n.fsPath)},getWorkspaceFolderPathForFile:()=>{if(g){const n=i();if(n){const r=g.getWorkspaceFolder(n);if(r)return b.normalize(r.uri.fsPath)}}},getSelectedText:()=>{if(A){const n=A.activeEditor();if(n&&!n.selection.isEmpty)return n.document.getText(n.selection)}},getLineNumber:()=>{if(A){const n=A.activeEditor();if(n)return String(n.selection.end.line+1)}},getExtension:n=>o.getExtension(n)},void 0,u?Promise.resolve(u):void 0,Promise.resolve(M.env))}}let h=class extends v.Disposable{constructor(o,g,A,c,_){super();this.extensionService=o,this.workspaceService=g,this.editorService=A,this.configurationService=c,this.editorTabs=_,this._resolver=new a.Lazy(async()=>{const s=await this.configurationService.getConfigProvider(),i={folders:await this.workspaceService.getWorkspaceFolders2()||[]};return this._register(this.workspaceService.onDidChangeWorkspace(async n=>{i.folders=await this.workspaceService.getWorkspaceFolders2()||[]})),new f(this.extensionService,this.workspaceService,this.editorService,this.editorTabs,s,i,this.homeDir())})}getResolver(){return this._resolver.getValue()}homeDir(){}};h=ze([$e(0,T.IExtHostExtensionService),$e(1,S.IExtHostWorkspace),$e(2,P.IExtHostDocumentsAndEditors),$e(3,I.IExtHostConfiguration),$e(4,E.IExtHostEditorTabs)],h),e.ExtHostVariableResolverProviderService=h}),define(ye[104],De([1,0,14,5,10,2,3,4,51,33,13,6,31,164,166,32,103]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,y.createDecorator)("IExtHostDebugService");let o=class{constructor(i,n,r,t,l,w){this._workspaceService=n,this._extensionService=r,this._configurationService=t,this._editorTabs=l,this._variableResolver=w,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new v.Emitter,this._onDidTerminateDebugSession=new v.Emitter,this._onDidChangeActiveDebugSession=new v.Emitter,this._onDidReceiveDebugSessionCustomEvent=new v.Emitter,this._debugServiceProxy=i.getProxy(P.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new v.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new A(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(p=>{p.onDidChange(D=>{this.registerAllDebugTypes(p)}),this.registerAllDebugTypes(p)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(i,n){const r=i;if(typeof r.sourceReference=="number"&&r.sourceReference>0){let t=`debug:${encodeURIComponent(r.path||"")}`,l="?";return n&&(t+=`${l}session=${encodeURIComponent(n.id)}`,l="&"),t+=`${l}ref=${r.sourceReference}`,M.URI.parse(t)}else{if(r.path)return M.URI.file(r.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(i){const n=[];for(const r of i.getAllExtensionDescriptions())if(r.contributes){const t=r.contributes.debuggers;if(t&&t.length>0)for(const l of t)(0,f.isDebuggerMainContribution)(l)&&n.push(l.type)}this._debugServiceProxy.$registerDebugTypes(n)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const i=[];return this._breakpoints.forEach(n=>i.push(n)),i}addBreakpoints(i){this.startBreakpoints();const n=i.filter(l=>{const w=l.id;return this._breakpoints.has(w)?!1:(this._breakpoints.set(w,l),!0)});this.fireBreakpointChanges(n,[],[]);const r=[],t=new Map;for(const l of n)if(l instanceof S.SourceBreakpoint){let w=t.get(l.location.uri.toString());w||(w={type:"sourceMulti",uri:l.location.uri,lines:[]},t.set(l.location.uri.toString(),w),r.push(w)),w.lines.push({id:l.id,enabled:l.enabled,condition:l.condition,hitCondition:l.hitCondition,logMessage:l.logMessage,line:l.location.range.start.line,character:l.location.range.start.character})}else l instanceof S.FunctionBreakpoint&&r.push({type:"function",id:l.id,enabled:l.enabled,hitCondition:l.hitCondition,logMessage:l.logMessage,condition:l.condition,functionName:l.functionName});return this._debugServiceProxy.$registerBreakpoints(r)}removeBreakpoints(i){this.startBreakpoints();const n=i.filter(w=>this._breakpoints.delete(w.id));this.fireBreakpointChanges([],n,[]);const r=n.filter(w=>w instanceof S.SourceBreakpoint).map(w=>w.id),t=n.filter(w=>w instanceof S.FunctionBreakpoint).map(w=>w.id),l=n.filter(w=>w instanceof S.DataBreakpoint).map(w=>w.id);return this._debugServiceProxy.$unregisterBreakpoints(r,t,l)}startDebugging(i,n,r){return this._debugServiceProxy.$startDebugging(i?i.uri:void 0,n,{parentSessionID:r.parentSession?r.parentSession.id:void 0,lifecycleManagedByParent:r.lifecycleManagedByParent,repl:r.consoleMode===S.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:r.noDebug,compact:r.compact,debugUI:r.debugUI,suppressSaveBeforeStart:r.suppressSaveBeforeStart})}stopDebugging(i){return this._debugServiceProxy.$stopDebugging(i?i.id:void 0)}registerDebugConfigurationProvider(i,n,r){if(!n)return new S.Disposable(()=>{});const t=this._configProviderHandleCounter++;return this._configProviders.push({type:i,handle:t,provider:n}),this._debugServiceProxy.$registerDebugConfigurationProvider(i,r,!!n.provideDebugConfigurations,!!n.resolveDebugConfiguration,!!n.resolveDebugConfigurationWithSubstitutedVariables,t),new S.Disposable(()=>{this._configProviders=this._configProviders.filter(l=>l.provider!==n),this._debugServiceProxy.$unregisterDebugConfigurationProvider(t)})}registerDebugAdapterDescriptorFactory(i,n,r){if(!r)return new S.Disposable(()=>{});if(!this.definesDebugType(i,n))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${n}' debugger.`);if(this.getAdapterDescriptorFactoryByType(n))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const t=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:n,handle:t,factory:r}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(n,t),new S.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(l=>l.factory!==r),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(t)})}registerDebugAdapterTrackerFactory(i,n){if(!n)return new S.Disposable(()=>{});const r=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:i,handle:r,factory:n}),new S.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(t=>t.factory!==n)})}async $runInTerminal(i,n){return Promise.resolve(void 0)}async $substituteVariables(i,n){let r;const t=await this.getFolder(i);return t&&(r={uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}}),(await this._variableResolver.getResolver()).resolveAnyAsync(r,n)}createDebugAdapter(i,n){if(i.type==="implementation")return new _(i.implementation)}createSignService(){}async $startDASession(i,n){const r=this,t=await this.getSession(n);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(t.type),t).then(l=>{if(!l)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${t.type}' (extension might have failed to activate)`);const w=this.convertToDto(l),p=this.createDebugAdapter(w,t);if(!p)throw new Error(`Couldn't create a debug adapter for type '${t.type}'.`);const D=p;return this._debugAdapters.set(i,D),this.getDebugAdapterTrackers(t).then(U=>(U&&this._debugAdaptersTrackers.set(i,U),D.onMessage(async V=>{if(V.type==="request"&&V.command==="handshake"){const x=V,C={type:"response",seq:0,command:x.command,request_seq:x.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const L=await this._signService.sign(x.arguments.value);C.body={signature:L},D.sendResponse(C)}else throw new Error("no signer")}catch(L){C.success=!1,C.message=L.message,D.sendResponse(C)}}else U&&U.onDidSendMessage&&U.onDidSendMessage(V),V=(0,f.convertToVSCPaths)(V,!0),r._debugServiceProxy.$acceptDAMessage(i,V)}),D.onError(V=>{U&&U.onError&&U.onError(V),this._debugServiceProxy.$acceptDAError(i,V.name,V.message,V.stack)}),D.onExit(V=>{U&&U.onExit&&U.onExit((0,b.withNullAsUndefined)(V),void 0),this._debugServiceProxy.$acceptDAExit(i,(0,b.withNullAsUndefined)(V),void 0)}),U&&U.onWillStartSession&&U.onWillStartSession(),D.startSession()))})}$sendDAMessage(i,n){n=(0,f.convertToDAPaths)(n,!1);const r=this._debugAdaptersTrackers.get(i);r&&r.onWillReceiveMessage&&r.onWillReceiveMessage(n),this._debugAdapters.get(i)?.sendMessage(n)}$stopDASession(i){const n=this._debugAdaptersTrackers.get(i);this._debugAdaptersTrackers.delete(i),n&&n.onWillStopSession&&n.onWillStopSession();const r=this._debugAdapters.get(i);return this._debugAdapters.delete(i),r?r.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(i){const n=[],r=[],t=[];if(i.added)for(const l of i.added){const w=l.id;if(w&&!this._breakpoints.has(w)){let p;if(l.type==="function")p=new S.FunctionBreakpoint(l.functionName,l.enabled,l.condition,l.hitCondition,l.logMessage);else if(l.type==="data")p=new S.DataBreakpoint(l.label,l.dataId,l.canPersist,l.enabled,l.hitCondition,l.condition,l.logMessage);else{const D=M.URI.revive(l.uri);p=new S.SourceBreakpoint(new S.Location(D,new S.Position(l.line,l.character)),l.enabled,l.condition,l.hitCondition,l.logMessage)}p._id=w,this._breakpoints.set(w,p),n.push(p)}}if(i.removed)for(const l of i.removed){const w=this._breakpoints.get(l);w&&(this._breakpoints.delete(l),r.push(w))}if(i.changed){for(const l of i.changed)if(l.id){const w=this._breakpoints.get(l.id);if(w){if(w instanceof S.FunctionBreakpoint&&l.type==="function"){const p=w;p.enabled=l.enabled,p.condition=l.condition,p.hitCondition=l.hitCondition,p.logMessage=l.logMessage,p.functionName=l.functionName}else if(w instanceof S.SourceBreakpoint&&l.type==="source"){const p=w;p.enabled=l.enabled,p.condition=l.condition,p.hitCondition=l.hitCondition,p.logMessage=l.logMessage,p.location=new S.Location(M.URI.revive(l.uri),new S.Position(l.line,l.character))}t.push(w)}}}this.fireBreakpointChanges(n,r,t)}$provideDebugConfigurations(i,n,r){return(0,a.asPromise)(async()=>{const t=this.getConfigProviderByHandle(i);if(!t)throw new Error("no DebugConfigurationProvider found");if(!t.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const l=await this.getFolder(n);return t.provideDebugConfigurations(l,r)}).then(t=>{if(!t)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return t})}$resolveDebugConfiguration(i,n,r,t){return(0,a.asPromise)(async()=>{const l=this.getConfigProviderByHandle(i);if(!l)throw new Error("no DebugConfigurationProvider found");if(!l.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const w=await this.getFolder(n);return l.resolveDebugConfiguration(w,r,t)})}$resolveDebugConfigurationWithSubstitutedVariables(i,n,r,t){return(0,a.asPromise)(async()=>{const l=this.getConfigProviderByHandle(i);if(!l)throw new Error("no DebugConfigurationProvider found");if(!l.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const w=await this.getFolder(n);return l.resolveDebugConfigurationWithSubstitutedVariables(w,r,t)})}async $provideDebugAdapter(i,n){const r=this.getAdapterDescriptorFactoryByHandle(i);if(!r)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const t=await this.getSession(n);return this.getAdapterDescriptor(r,t).then(l=>{if(!l)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${t.type}'`);return this.convertToDto(l)})}async $acceptDebugSessionStarted(i){const n=await this.getSession(i);this._onDidStartDebugSession.fire(n)}async $acceptDebugSessionTerminated(i){const n=await this.getSession(i);n&&(this._onDidTerminateDebugSession.fire(n),this._debugSessions.delete(n.id))}async $acceptDebugSessionActiveChanged(i){this._activeDebugSession=i?await this.getSession(i):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(i,n){(await this.getSession(i))?._acceptNameChanged(n)}async $acceptDebugSessionCustomEvent(i,n){const t={session:await this.getSession(i),event:n.event,body:n.body};this._onDidReceiveDebugSessionCustomEvent.fire(t)}convertToDto(i){if(i instanceof S.DebugAdapterExecutable)return{type:"executable",command:i.command,args:i.args,options:i.options};if(i instanceof S.DebugAdapterServer)return{type:"server",port:i.port,host:i.host};if(i instanceof S.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:i.path};if(i instanceof S.DebugAdapterInlineImplementation)return{type:"implementation",implementation:i.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(i){const n=this._adapterFactories.filter(r=>r.type===i);if(n.length>0)return n[0].factory}getAdapterDescriptorFactoryByHandle(i){const n=this._adapterFactories.filter(r=>r.handle===i);if(n.length>0)return n[0].factory}getConfigProviderByHandle(i){const n=this._configProviders.filter(r=>r.handle===i);if(n.length>0)return n[0].provider}definesDebugType(i,n){if(i.contributes){const r=i.contributes.debuggers;if(r&&r.length>0){for(const t of r)if(t.label&&t.type&&t.type===n)return!0}}return!1}getDebugAdapterTrackers(i){const r=i.configuration.type,t=this._trackerFactories.filter(l=>l.type===r||l.type==="*").map(l=>(0,a.asPromise)(()=>l.factory.createDebugAdapterTracker(i)).then(w=>w,w=>null));return Promise.race([Promise.all(t).then(l=>{const w=l.filter(p=>!!p);if(w.length>0)return new c(w)}),new Promise((l,w)=>{const p=setTimeout(()=>{clearTimeout(p),w(new Error("timeout"))},1e3)})]).catch(l=>{})}async getAdapterDescriptor(i,n){const r=n.configuration.debugServer;if(typeof r=="number")return Promise.resolve(new S.DebugAdapterServer(r));if(i){const l=await this._extensionService.getExtensionRegistry();return(0,a.asPromise)(()=>i.createDebugAdapterDescriptor(n,this.daExecutableFromPackage(n,l))).then(w=>{if(w)return w})}const t=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(n,t))}daExecutableFromPackage(i,n){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(i,n,r){(i.length>0||n.length>0||r.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:i,removed:n,changed:r}))}async getSession(i){if(i)if(typeof i=="string"){const n=this._debugSessions.get(i);if(n)return n}else{let n=this._debugSessions.get(i.id);if(!n){const r=await this.getFolder(i.folderUri),t=i.parent?this._debugSessions.get(i.parent):void 0;n=new g(this._debugServiceProxy,i.id,i.type,i.name,r,i.configuration,t),this._debugSessions.set(n.id,n),this._debugServiceProxy.$sessionCached(n.id)}return n}throw new Error("cannot find session")}getFolder(i){if(i){const n=M.URI.revive(i);return this._workspaceService.resolveWorkspaceFolder(n)}return Promise.resolve(void 0)}};o=ze([$e(0,R.IExtHostRpcService),$e(1,m.IExtHostWorkspace),$e(2,T.IExtHostExtensionService),$e(3,h.IExtHostConfiguration),$e(4,E.IExtHostEditorTabs),$e(5,d.IExtHostVariableResolverProvider)],o),e.ExtHostDebugServiceBase=o;class g{constructor(i,n,r,t,l,w,p){this._debugServiceProxy=i,this._id=n,this._type=r,this._name=t,this._workspaceFolder=l,this._configuration=w,this._parentSession=p}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(i){this._name=i,this._debugServiceProxy.$setDebugSessionName(this._id,i)}get parentSession(){return this._parentSession}_acceptNameChanged(i){this._name=i}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(i,n){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,i,n)}getDebugProtocolBreakpoint(i){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,i.id)}}e.ExtHostDebugSession=g;class A{constructor(i){this.value=Object.freeze({append(n){i.$appendDebugConsole(n)},appendLine(n){this.append(n+`
`)}})}}e.ExtHostDebugConsole=A;class c{constructor(i){this.trackers=i}onWillStartSession(){this.trackers.forEach(i=>i.onWillStartSession?i.onWillStartSession():void 0)}onWillReceiveMessage(i){this.trackers.forEach(n=>n.onWillReceiveMessage?n.onWillReceiveMessage(i):void 0)}onDidSendMessage(i){this.trackers.forEach(n=>n.onDidSendMessage?n.onDidSendMessage(i):void 0)}onWillStopSession(){this.trackers.forEach(i=>i.onWillStopSession?i.onWillStopSession():void 0)}onError(i){this.trackers.forEach(n=>n.onError?n.onError(i):void 0)}onExit(i,n){this.trackers.forEach(r=>r.onExit?r.onExit(i,n):void 0)}}class _ extends I.AbstractDebugAdapter{constructor(i){super();this.implementation=i,i.onDidSendMessage(n=>{this.acceptMessage(n)})}startSession(){return Promise.resolve(void 0)}sendMessage(i){this.implementation.handleMessage(i)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let s=class extends o{constructor(i,n,r,t,l,w){super(i,n,r,t,l,w)}};s=ze([$e(0,R.IExtHostRpcService),$e(1,m.IExtHostWorkspace),$e(2,T.IExtHostExtensionService),$e(3,h.IExtHostConfiguration),$e(4,E.IExtHostEditorTabs),$e(5,d.IExtHostVariableResolverProvider)],s),e.WorkerExtHostDebugService=s}),define(ye[231],De([1,0,11,71,2,4,222,15,57,59,28,148,13,46,33]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class h{constructor(o,g,A,c,_){this._hostUtils=A,this._rpcProtocol=new y.RPCProtocol(o,null,c),g=h._transform(g,this._rpcProtocol);const s=new T.ServiceCollection(...(0,E.getSingletonServiceDescriptors)());s.set(R.IExtHostInitDataService,{_serviceBrand:void 0,...g,messagePorts:_}),s.set(m.IExtHostRpcService,new m.ExtHostRpcService(this._rpcProtocol)),s.set(I.IURITransformerService,new I.URITransformerService(c)),s.set(f.IHostUtils,A);const u=new S.InstantiationService(s,!0);this._logService=u.invokeFunction(t=>t.get(P.ILogService)),v.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",g),this._extensionService=u.invokeFunction(t=>t.get(f.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const i=new WeakMap;this._extensionService.getExtensionPathIndex().then(t=>{Error.prepareStackTrace=(l,w)=>{let p="",D,U;for(const V of w)p+=`
	at ${V.toString()}`,U=V.getFileName(),!D&&U&&(D=t.findSubstr(b.URI.file(U)));return i.set(l,D),`${l.name||"Error"}: ${l.message||""}${p}`}});const n=this._rpcProtocol.getProxy(M.MainContext.MainThreadExtensionService),r=this._rpcProtocol.getProxy(M.MainContext.MainThreadErrors);a.setUnexpectedErrorHandler(t=>{const l=a.transformErrorForSerialization(t),w=i.get(t);w?n.$onExtensionRuntimeError(w.identifier,l):r.$onUnexpectedError(l)})}async asBrowserUri(o){const g=this._rpcProtocol.getProxy(M.MainContext.MainThreadExtensionService);return b.URI.revive(await g.$asBrowserUri(o))}terminate(o){this._extensionService.terminate(o)}static _transform(o,g){o.allExtensions.forEach(c=>{c.extensionLocation=b.URI.revive(g.transformIncomingURIs(c.extensionLocation));const _={};c.browserNlsBundleUris&&(Object.keys(c.browserNlsBundleUris).forEach(s=>_[s]=b.URI.revive(g.transformIncomingURIs(c.browserNlsBundleUris[s]))),c.browserNlsBundleUris=_)}),o.environment.appRoot=b.URI.revive(g.transformIncomingURIs(o.environment.appRoot));const A=o.environment.extensionDevelopmentLocationURI;return A&&(o.environment.extensionDevelopmentLocationURI=A.map(c=>b.URI.revive(g.transformIncomingURIs(c)))),o.environment.extensionTestsLocationURI=b.URI.revive(g.transformIncomingURIs(o.environment.extensionTestsLocationURI)),o.environment.globalStorageHome=b.URI.revive(g.transformIncomingURIs(o.environment.globalStorageHome)),o.environment.workspaceStorageHome=b.URI.revive(g.transformIncomingURIs(o.environment.workspaceStorageHome)),o.logsLocation=b.URI.revive(g.transformIncomingURIs(o.logsLocation)),o.logFile=b.URI.revive(g.transformIncomingURIs(o.logFile)),o.workspace=g.transformIncomingURIs(o.workspace),o}}e.ExtensionHostMain=h}),define(ye[232],De([1,0,16,14,20,43,12,19,22,2,41]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class S{constructor(g,A,c,_){this.query=g,this.provider=A,this.fileUtils=c,this.processType=_,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(g,A){const c=this.query.folderQueries||[],_=new b.CancellationTokenSource;return A.onCancellationRequested(()=>_.cancel()),new Promise((s,u)=>{this.collector=new I(g);let i=!1;const n=(r,t)=>{if(!i&&!this.isLimitHit){const l=this.resultSize(r);h(r)&&typeof this.query.maxResults=="number"&&this.resultCount+l>this.query.maxResults&&(this.isLimitHit=!0,i=!0,_.cancel(),r=this.trimResultToSize(r,this.query.maxResults-this.resultCount));const w=this.resultSize(r);this.resultCount+=w,(w>0||!h(r))&&this.collector.add(r,t)}};Promise.all(c.map((r,t)=>this.searchInFolder(r,l=>n(l,t),_.token))).then(r=>{_.dispose(),this.collector.flush();const t=r.some(l=>!!l&&!!l.limitHit);s({limitHit:this.isLimitHit||t,messages:(0,a.flatten)(r.map(l=>l?.message?Array.isArray(l.message)?l.message:[l.message]:[])),stats:{type:this.processType}})},r=>{_.dispose();const t=(0,M.toErrorMessage)(r);u(new Error(t))})})}resultSize(g){return h(g)?Array.isArray(g.ranges)?g.ranges.length:1:0}trimResultToSize(g,A){const c=Array.isArray(g.ranges)?g.ranges:[g.ranges],_=Array.isArray(g.preview.matches)?g.preview.matches:[g.preview.matches];return{ranges:c.slice(0,A),preview:{matches:_.slice(0,A),text:g.preview.text},uri:g.uri}}async searchInFolder(g,A,c){const _=new R.QueryGlobTester(this.query,g),s=[],u={report:r=>{if(!this.validateProviderResult(r))return;const t=g.folder.scheme===y.Schemas.file?(0,R.hasSiblingPromiseFn)(()=>this.fileUtils.readdir(E.dirname(r.uri))):void 0,l=E.relativePath(g.folder,r.uri);if(l){const w=_.includedInQuery(l,P.basename(l),t);(0,v.isThenable)(w)?s.push(w.then(p=>{p&&A(r)})):w&&A(r)}}},i=this.getSearchOptionsForFolder(g),n=await this.provider.provideTextSearchResults(m(this.query.contentPattern),i,u,c);return s.length&&await Promise.all(s),n}validateProviderResult(g){if(h(g)){if(Array.isArray(g.ranges)){if(!Array.isArray(g.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(g.preview.matches.length!==g.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(g.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(g){const A=(0,R.resolvePatternsForProvider)(this.query.includePattern,g.includePattern),c=(0,R.resolvePatternsForProvider)(this.query.excludePattern,g.excludePattern),_={folder:T.URI.from(g.folder),excludes:c,includes:A,useIgnoreFiles:!g.disregardIgnoreFiles,useGlobalIgnoreFiles:!g.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!g.disregardParentIgnoreFiles,followSymlinks:!g.ignoreSymlinks,encoding:g.fileEncoding&&this.fileUtils.toCanonicalName(g.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return _.usePCRE2=this.query.usePCRE2,_}}e.TextSearchManager=S;function m(o){return{isCaseSensitive:o.isCaseSensitive||!1,isRegExp:o.isRegExp||!1,isWordMatch:o.isWordMatch||!1,isMultiline:o.isMultiline||!1,pattern:o.pattern}}class I{constructor(g){this._onResult=g,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new d(512,A=>this.sendItems(A))}add(g,A){this._currentFileMatch&&(this._currentFolderIdx!==A||!E.isEqual(this._currentUri,g.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=A,this._currentFileMatch={resource:g.uri,results:[]}),this._currentFileMatch.results.push(f(g))}pushToCollector(){const g=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,g)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(g){this._onResult(g)}}e.TextSearchResultsCollector=I;function f(o){return h(o)?{preview:{matches:(0,a.mapArrayOrNot)(o.preview.matches,g=>({startLineNumber:g.start.line,startColumn:g.start.character,endLineNumber:g.end.line,endColumn:g.end.character})),text:o.preview.text},ranges:(0,a.mapArrayOrNot)(o.ranges,g=>({startLineNumber:g.start.line,startColumn:g.start.character,endLineNumber:g.end.line,endColumn:g.end.character}))}:{text:o.text,lineNumber:o.lineNumber}}function h(o){return!!o.preview}e.extensionResultIsMatch=h;class d{constructor(g,A){this.maxBatchSize=g,this.cb=A,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(g,A){!g||this.addItemToBatch(g,A)}addItems(g,A){!g||this.addItemsToBatch(g,A)}addItemToBatch(g,A){this.batch.push(g),this.batchSize+=A,this.onUpdate()}addItemsToBatch(g,A){this.batch=this.batch.concat(g),this.batchSize+=A,this.onUpdate()}onUpdate(){this.totalNumberCompleted<d.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},d.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=d,d.TIMEOUT=4e3,d.START_BATCH_AFTER_COUNT=50}),define(ye[105],De([1,0,7,4,3,227,13,46,15,2,232]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,b.createDecorator)("IExtHostSearch");let S=class{constructor(h,d,o){this.extHostRpc=h,this._uriTransformer=d,this._logService=o,this._proxy=this.extHostRpc.getProxy(v.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new M.FileSearchManager}_transformScheme(h){return this._uriTransformer.transformOutgoingScheme(h)}registerTextSearchProvider(h,d){if(this._textSearchUsedSchemes.has(h))throw new Error(`a text search provider for the scheme '${h}' is already registered`);this._textSearchUsedSchemes.add(h);const o=this._handlePool++;return this._textSearchProvider.set(o,d),this._proxy.$registerTextSearchProvider(o,this._transformScheme(h)),(0,a.toDisposable)(()=>{this._textSearchUsedSchemes.delete(h),this._textSearchProvider.delete(o),this._proxy.$unregisterProvider(o)})}registerFileSearchProvider(h,d){if(this._fileSearchUsedSchemes.has(h))throw new Error(`a file search provider for the scheme '${h}' is already registered`);this._fileSearchUsedSchemes.add(h);const o=this._handlePool++;return this._fileSearchProvider.set(o,d),this._proxy.$registerFileSearchProvider(o,this._transformScheme(h)),(0,a.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(h),this._fileSearchProvider.delete(o),this._proxy.$unregisterProvider(o)})}$provideFileSearchResults(h,d,o,g){const A=m(o),c=this._fileSearchProvider.get(h);if(c)return this._fileSearchManager.fileSearch(A,c,_=>{this._proxy.$handleFileMatch(h,d,_.map(s=>s.resource))},g);throw new Error("unknown provider: "+h)}$clearCache(h){return this._fileSearchManager.clearCache(h),Promise.resolve(void 0)}$provideTextSearchResults(h,d,o,g){const A=this._textSearchProvider.get(h);if(!A||!A.provideTextSearchResults)throw new Error(`Unknown provider ${h}`);const c=m(o);return this.createTextSearchManager(c,A).search(s=>this._proxy.$handleTextMatch(h,d,s),g)}$enableExtensionHostSearch(){}createTextSearchManager(h,d){return new R.TextSearchManager(h,d,{readdir:o=>Promise.resolve([]),toCanonicalName:o=>o},"textSearchProvider")}};S=ze([$e(0,y.IExtHostRpcService),$e(1,P.IURITransformerService),$e(2,E.ILogService)],S),e.ExtHostSearch=S;function m(f){return{...f,folderQueries:f.folderQueries&&f.folderQueries.map(I),extraFileResources:f.extraFileResources&&f.extraFileResources.map(h=>T.URI.revive(h))}}e.reviveQuery=m;function I(f){return{...f,folder:T.URI.revive(f.folder)}}}),define(ye[233],De([1,0,57,100,31,96,32,36,50,53,102,104,105,69,63,67,99,52,35,68,86,51,205,15,181,103,98]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_,s,u,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,a.registerSingleton)(u.ILoggerService,s.ExtHostLoggerService),(0,a.registerSingleton)(u.ILogService,i.ExtHostLogService),(0,a.registerSingleton)(h.IExtHostApiDeprecationService,h.ExtHostApiDeprecationService),(0,a.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,a.registerSingleton)(y.IExtHostConfiguration,y.ExtHostConfiguration),(0,a.registerSingleton)(o.IExtHostConsumerFileSystem,o.ExtHostConsumerFileSystem),(0,a.registerSingleton)(S.IExtHostDebugService,S.WorkerExtHostDebugService),(0,a.registerSingleton)(M.IExtHostDecorations,M.ExtHostDecorations),(0,a.registerSingleton)(E.IExtHostDocumentsAndEditors,E.ExtHostDocumentsAndEditors),(0,a.registerSingleton)(g.IExtHostFileSystemInfo,g.ExtHostFileSystemInfo),(0,a.registerSingleton)(v.IExtHostOutputService,v.ExtHostOutputService),(0,a.registerSingleton)(m.IExtHostSearch,m.ExtHostSearch),(0,a.registerSingleton)(I.IExtHostStorage,I.ExtHostStorage),(0,a.registerSingleton)(R.IExtHostTask,R.WorkerExtHostTask),(0,a.registerSingleton)(T.IExtHostTerminalService,T.WorkerExtHostTerminalService),(0,a.registerSingleton)(f.IExtHostTunnelService,f.ExtHostTunnelService),(0,a.registerSingleton)(d.IExtHostWindow,d.ExtHostWindow),(0,a.registerSingleton)(b.IExtHostWorkspace,b.ExtHostWorkspace),(0,a.registerSingleton)(A.IExtHostSecretState,A.ExtHostSecretState),(0,a.registerSingleton)(c.IExtHostTelemetry,c.ExtHostTelemetry),(0,a.registerSingleton)(r.IExtHostTelemetryLogService,r.ExtHostTelemetryLogService),(0,a.registerSingleton)(_.IExtHostEditorTabs,_.ExtHostEditorTabs),(0,a.registerSingleton)(n.IExtHostVariableResolverProvider,n.ExtHostVariableResolverProviderService)}),define(ye[234],De([1,0]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeviewsService=void 0;class a{constructor(){this._dragOperations=new Map,this._renderedElements=new Map}removeDragOperationTransfer(b){if(b&&this._dragOperations.has(b)){const M=this._dragOperations.get(b);return this._dragOperations.delete(b),M}}addDragOperationTransfer(b,M){this._dragOperations.set(b,M)}getRenderedTreeElement(b){if(this._renderedElements.has(b))return this._renderedElements.get(b)}addRenderedTreeItemElement(b,M){this._renderedElements.set(b,M)}removeRenderedTreeItemElement(b){this._renderedElements.has(b)&&this._renderedElements.delete(b)}}e.TreeviewsService=a}),define(ye[235],De([1,0,135,6,22,2,5,7,14,6,10,16,8,20,234,24]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function d(A,c){if((0,R.isString)(A))return{label:A};if(A&&typeof A=="object"&&typeof A.label=="string"){let _;return Array.isArray(A.highlights)&&(_=A.highlights.filter(s=>s.length===2&&typeof s[0]=="number"&&typeof s[1]=="number"),_=_.length?_:void 0),{label:A.label,highlights:_}}}class o{constructor(c,_,s){this._proxy=c,this.commands=_,this.logService=s,this.treeViews=new Map,this.treeDragAndDropService=new f.TreeviewsService;function u(i){return i&&i.$treeViewId&&i.$treeItemHandle}_.registerArgumentProcessor({processArgument:i=>u(i)?this.convertArgument(i):Array.isArray(i)&&i.length>0?i.map(n=>u(n)?this.convertArgument(n):n):i})}registerTreeDataProvider(c,_,s){const u=this.createTreeView(c,{treeDataProvider:_},s);return{dispose:()=>u.dispose()}}createTreeView(c,_,s){if(!_||!_.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=_.dragAndDropController?.dropMimeTypes??[],i=_.dragAndDropController?.dragMimeTypes??[],n=!!_.dragAndDropController?.handleDrag,r=!!_.dragAndDropController?.handleDrop,t=this._proxy.$registerTreeViewDataProvider(c,{showCollapseAll:!!_.showCollapseAll,canSelectMany:!!_.canSelectMany,dropMimeTypes:u,dragMimeTypes:i,hasHandleDrag:n,hasHandleDrop:r}),l=this.createExtHostTreeView(c,_,s);return{get onDidCollapseElement(){return l.onDidCollapseElement},get onDidExpandElement(){return l.onDidExpandElement},get selection(){return l.selectedElements},get onDidChangeSelection(){return l.onDidChangeSelection},get visible(){return l.visible},get onDidChangeVisibility(){return l.onDidChangeVisibility},get message(){return l.message},set message(w){l.message=w},get title(){return l.title},set title(w){l.title=w},get description(){return l.description},set description(w){l.description=w},get badge(){return(0,h.checkProposedApiEnabled)(s,"badges"),l.badge},set badge(w){(0,h.checkProposedApiEnabled)(s,"badges"),l.badge=w},reveal:(w,p)=>l.reveal(w,p),dispose:async()=>{await t,this.treeViews.delete(c),l.dispose()}}}$getChildren(c,_){const s=this.treeViews.get(c);return s?s.getChildren(_):Promise.reject(new Error((0,a.localize)(0,null,c)))}async $handleDrop(c,_,s,u,i,n,r,t){const l=this.treeViews.get(c);if(!l)return Promise.reject(new Error((0,a.localize)(1,null,c)));const w=m.DataTransfer.toDataTransfer(s,async p=>(await this._proxy.$resolveDropFileData(c,_,p)).buffer);return r===c&&t&&await this.addAdditionalTransferItems(w,l,t,i,n),l.onDrop(w,u,i)}async addAdditionalTransferItems(c,_,s,u,i){const n=this.treeDragAndDropService.removeDragOperationTransfer(i);if(n)(await n)?.forEach((r,t)=>{r&&c.set(t,r)});else if(i&&_.handleDrag){const r=_.handleDrag(s,c,u);this.treeDragAndDropService.addDragOperationTransfer(i,r),await r}return c}async $handleDrag(c,_,s,u){const i=this.treeViews.get(c);if(!i)return Promise.reject(new Error((0,a.localize)(2,null,c)));const n=await this.addAdditionalTransferItems(new v.DataTransfer,i,_,u,s);if(!!n)return m.DataTransfer.toDataTransferDTO(n)}async $hasResolve(c){const _=this.treeViews.get(c);if(!_)throw new Error((0,a.localize)(3,null,c));return _.hasResolve}$resolve(c,_,s){const u=this.treeViews.get(c);if(!u)throw new Error((0,a.localize)(4,null,c));return u.resolveTreeItem(_,s)}$setExpanded(c,_,s){const u=this.treeViews.get(c);if(!u)throw new Error((0,a.localize)(5,null,c));u.setExpanded(_,s)}$setSelection(c,_){const s=this.treeViews.get(c);if(!s)throw new Error((0,a.localize)(6,null,c));s.setSelection(_)}$setVisible(c,_){const s=this.treeViews.get(c);if(!s)throw new Error((0,a.localize)(7,null,c));s.setVisible(_)}createExtHostTreeView(c,_,s){const u=new g(c,_,this._proxy,this.commands.converter,this.logService,s);return this.treeViews.set(c,u),u}convertArgument(c){const _=this.treeViews.get(c.$treeViewId);return _?_.getExtensionElement(c.$treeItemHandle):null}}e.ExtHostTreeViews=o;class g extends P.Disposable{constructor(c,_,s,u,i,n){super();if(this.viewId=c,this.proxy=s,this.commands=u,this.logService=i,this.extension=n,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new y.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new y.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new y.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new y.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new y.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new I.CancellationTokenSource,n.contributes&&n.contributes.views)for(const l in n.contributes.views)for(const w of n.contributes.views[l])w.id===c&&(this._title=w.name);this.dataProvider=_.treeDataProvider,this.dndController=_.dragAndDropController,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(l=>this._onDidChangeData.fire({message:!1,element:l})));let r,t;this._register(y.Event.debounce(this._onDidChangeData.event,(l,w)=>(l||(l={message:!1,elements:[]}),w.element!==!1&&(r||(r=new Promise(p=>t=p),this.refreshPromise=this.refreshPromise.then(()=>r)),Array.isArray(w.element)?l.elements.push(...w.element):l.elements.push(w.element)),w.message&&(l.message=!0),l),200,!0)(({message:l,elements:w})=>{w.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const p=t;return r=null,this.refresh(w).then(()=>p())})),l&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(c=>this.getExtensionElement(c)).filter(c=>!(0,R.isUndefinedOrNull)(c))}async getChildren(c){const _=c?this.getExtensionElement(c):void 0;if(c&&!_)return this.logService.error(`No tree item with id '${c}' found.`),Promise.resolve([]);let s=this.getChildrenNodes(c);return s||(s=await this.fetchChildrenNodes(_)),s?s.map(u=>u.item):void 0}getExtensionElement(c){return this.elements.get(c)}reveal(c,_){_=_||{select:!0,focus:!1};const s=(0,R.isUndefinedOrNull)(_.select)?!0:_.select,u=(0,R.isUndefinedOrNull)(_.focus)?!1:_.focus,i=(0,R.isUndefinedOrNull)(_.expand)?!1:_.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):c?this.refreshPromise.then(()=>this.resolveUnknownParentChain(c)).then(n=>this.resolveTreeNode(c,n[n.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:n.map(t=>t.item)},{select:s,focus:u,expand:i})),n=>this.logService.error(n)):this.proxy.$reveal(this.viewId,void 0,{select:s,focus:u,expand:i})}get message(){return this._message}set message(c){this._message=c,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(c){this._title=c,this.proxy.$setTitle(this.viewId,c,this._description)}get description(){return this._description}set description(c){this._description=c,this.proxy.$setTitle(this.viewId,this._title,c)}get badge(){return this._badge}set badge(c){this._badge?.value===c?.value&&this._badge?.tooltip===c?.tooltip||(this._badge=m.ViewBadge.from(c),this.proxy.$setBadge(this.viewId,c))}setExpanded(c,_){const s=this.getExtensionElement(c);s&&(_?this._onDidExpandElement.fire(Object.freeze({element:s})):this._onDidCollapseElement.fire(Object.freeze({element:s})))}setSelection(c){(0,S.equals)(this._selectedHandles,c)||(this._selectedHandles=c,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(c){c!==this._visible&&(this._visible=c,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async handleDrag(c,_,s){const u=[];for(const i of c){const n=this.getExtensionElement(i);n&&u.push(n)}if(!(!this.dndController?.handleDrag||u.length===0))return await this.dndController.handleDrag(u,_,s),_}get hasHandleDrag(){return!!this.dndController?.handleDrag}async onDrop(c,_,s){const u=_?this.getExtensionElement(_):void 0;if(!(!u&&_||!this.dndController?.handleDrop))return(0,E.asPromise)(()=>this.dndController?.handleDrop?this.dndController.handleDrop(u,c,s):void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(c,_){if(!this.dataProvider.resolveTreeItem)return;const s=this.elements.get(c);if(s){const u=this.nodes.get(s);if(u){const i=await this.dataProvider.resolveTreeItem(u.extensionItem,s,_)??u.extensionItem;return this.validateTreeItem(i),u.item.tooltip=this.getTooltip(i.tooltip),u.item.command=this.getCommand(u.disposableStore,i.command),u.item}}}resolveUnknownParentChain(c){return this.resolveParent(c).then(_=>_?this.resolveUnknownParentChain(_).then(s=>this.resolveTreeNode(_,s[s.length-1]).then(u=>(s.push(u),s))):Promise.resolve([]))}resolveParent(c){const _=this.nodes.get(c);return _?Promise.resolve(_.parent?this.elements.get(_.parent.item.handle):void 0):(0,E.asPromise)(()=>this.dataProvider.getParent(c))}resolveTreeNode(c,_){const s=this.nodes.get(c);return s?Promise.resolve(s):(0,E.asPromise)(()=>this.dataProvider.getTreeItem(c)).then(u=>this.createHandle(c,u,_,!0)).then(u=>this.getChildren(_?_.item.handle:void 0).then(()=>{const i=this.getExtensionElement(u);if(i){const n=this.nodes.get(i);if(n)return Promise.resolve(n)}throw new Error(`Cannot resolve tree item for element ${u}`)}))}getChildrenNodes(c){if(c){let _;if(typeof c=="string"){const s=this.getExtensionElement(c);_=s?this.nodes.get(s):void 0}else _=c;return _&&_.children||void 0}return this.roots}async fetchChildrenNodes(c){this.clearChildren(c);const _=new I.CancellationTokenSource(this._refreshCancellationSource.token);try{const s=c?this.nodes.get(c):void 0,u=await this.dataProvider.getChildren(c);if(_.token.isCancellationRequested)return;const i=await Promise.all((0,S.coalesce)(u||[]).map(async n=>{const r=await this.dataProvider.getTreeItem(n);return r&&!_.token.isCancellationRequested?this.createAndRegisterTreeNode(n,r,s):null}));return _.token.isCancellationRequested?void 0:(0,S.coalesce)(i)}finally{_.dispose()}}refresh(c){if(c.some(s=>!s))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new I.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const s=this.getHandlesToRefresh(c);if(s.length)return this.refreshHandles(s)}return Promise.resolve(void 0)}getHandlesToRefresh(c){const _=new Set,s=c.map(i=>this.nodes.get(i));for(const i of s)if(i&&!_.has(i.item.handle)){let n=i;for(;n&&n.parent&&s.findIndex(r=>n&&n.parent&&r&&r.item.handle===n.parent.item.handle)===-1;){const r=this.elements.get(n.parent.item.handle);n=r?this.nodes.get(r):void 0}n&&!n.parent&&_.add(i.item.handle)}const u=[];return _.forEach(i=>{const n=this.elements.get(i);if(n){const r=this.nodes.get(n);r&&(!r.parent||!_.has(r.parent.item.handle))&&u.push(i)}}),u}refreshHandles(c){const _={};return Promise.all(c.map(s=>this.refreshNode(s).then(u=>{u&&(_[s]=u.item)}))).then(()=>Object.keys(_).length?this.proxy.$refresh(this.viewId,_):void 0)}refreshNode(c){const _=this.getExtensionElement(c);if(_){const s=this.nodes.get(_);if(s)return this.clearChildren(_),(0,E.asPromise)(()=>this.dataProvider.getTreeItem(_)).then(u=>{if(u){const i=this.createTreeNode(_,u,s.parent);return this.updateNodeCache(_,i,s,s.parent),s.dispose(),i}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(c,_,s){const u=this.createTreeNode(c,_,s);if(_.id&&this.elements.has(u.item.handle))throw new Error((0,a.localize)(8,null,_.id));return this.addNodeToCache(c,u),this.addNodeToParentCache(u,s),u}getTooltip(c){return T.MarkdownString.isMarkdownString(c)?m.MarkdownString.from(c):c}getCommand(c,_){return _?{...this.commands.toInternal(_,c),originalId:_.command}:void 0}validateTreeItem(c){T.TreeItem.isTreeItem(c)||console.log(`Extension ${this.extension.identifier.value} has provided an invalid tree item.`)}createTreeNode(c,_,s){this.validateTreeItem(_);const u=new P.DisposableStore,i=this.createHandle(c,_,s),n=this.getLightIconPath(_);return{item:{handle:i,parentHandle:s?s.item.handle:void 0,label:d(_.label,this.extension),description:_.description,resourceUri:_.resourceUri,tooltip:this.getTooltip(_.tooltip),command:this.getCommand(u,_.command),contextValue:_.contextValue,icon:n,iconDark:this.getDarkIconPath(_)||n,themeIcon:this.getThemeIcon(_),collapsibleState:(0,R.isUndefinedOrNull)(_.collapsibleState)?T.TreeItemCollapsibleState.None:_.collapsibleState,accessibilityInformation:_.accessibilityInformation},extensionItem:_,parent:s,children:void 0,disposableStore:u,dispose(){u.dispose()}}}getThemeIcon(c){return c.iconPath instanceof T.ThemeIcon?c.iconPath:void 0}createHandle(c,{id:_,label:s,resourceUri:u},i,n){if(_)return`${g.ID_HANDLE_PREFIX}/${_}`;const r=d(s,this.extension),t=i?i.item.handle:g.LABEL_HANDLE_PREFIX;let l=r?r.label:u?(0,b.basename)(u):"";l=l.indexOf("/")!==-1?l.replace("/","//"):l;const w=this.nodes.has(c)?this.nodes.get(c).item.handle:void 0,p=this.getChildrenNodes(i)||[];let D,U=0;do{if(D=`${t}/${U}:${l}`,n||!this.elements.has(D)||w===D)break;U++}while(U<=p.length);return D}getLightIconPath(c){if(c.iconPath&&!(c.iconPath instanceof T.ThemeIcon))return typeof c.iconPath=="string"||M.URI.isUri(c.iconPath)?this.getIconPath(c.iconPath):this.getIconPath(c.iconPath.light)}getDarkIconPath(c){if(c.iconPath&&!(c.iconPath instanceof T.ThemeIcon)&&c.iconPath.dark)return this.getIconPath(c.iconPath.dark)}getIconPath(c){return M.URI.isUri(c)?c:M.URI.file(c)}addNodeToCache(c,_){this.elements.set(_.item.handle,c),this.nodes.set(c,_)}updateNodeCache(c,_,s,u){this.elements.delete(_.item.handle),this.nodes.delete(c),_.item.handle!==s.item.handle&&this.elements.delete(s.item.handle),this.addNodeToCache(c,_);const i=this.getChildrenNodes(u)||[],n=i.filter(r=>r.item.handle===s.item.handle)[0];n&&i.splice(i.indexOf(n),1,_)}addNodeToParentCache(c,_){_?(_.children||(_.children=[]),_.children.push(c)):(this.roots||(this.roots=[]),this.roots.push(c))}clearChildren(c){if(c){const _=this.nodes.get(c);if(_){if(_.children)for(const s of _.children){const u=this.elements.get(s.item.handle);u&&this.clear(u)}_.children=void 0}}else this.clearAll()}clear(c){const _=this.nodes.get(c);if(_){if(_.children)for(const s of _.children){const u=this.elements.get(s.item.handle);u&&this.clear(u)}this.nodes.delete(c),this.elements.delete(_.item.handle),_.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(c=>c.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}g.LABEL_HANDLE_PREFIX="0",g.ID_HANDLE_PREFIX="1"}),define(ye[236],De([1,0,20,11,5,29,2,122,246,111,120,39,4,95,190,189,36,191,32,193,194,195,174,196,50,33,198,199,202,204,206,100,177,210,211,212,69,53,214,235,8,6,217,54,99,31,163,201,85,96,102,104,105,15,46,13,28,207,161,63,67,187,215,70,52,220,218,219,188,35,213,216,68,51,86,208,101,209,12,81,176,159,200,7,24,165,9,98]),function(ie,e,a,v,b,M,y,P,E,T,R,S,m,I,f,h,d,o,g,A,c,_,s,u,i,n,r,t,l,w,p,D,U,V,x,C,L,B,F,K,H,O,ee,ce,oe,le,te,Ee,be,ne,ve,Pe,Fe,xe,Qe,Ie,Se,Te,ae,ue,X,J,k,z,W,j,se,de,Z,pe,ge,Ne,Be,Je,Ge,ke,rt,G,Q,fe,Ue,He,Ze,qe,We,nt,ot,ht){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function Tt(it){const dt=it.get(Se.IExtHostInitDataService),Ot=it.get(pe.IExtHostFileSystemInfo),Wt=it.get(W.IExtHostConsumerFileSystem),Dt=it.get(n.IExtHostExtensionService),ft=it.get(le.IExtHostWorkspace),Ct=it.get(Ge.IExtHostTelemetry),Lt=it.get(g.IExtHostConfiguration),Ft=it.get(Qe.IURITransformerService),Ve=it.get(Ie.IExtHostRpcService),Nt=it.get(L.IExtHostStorage),Rt=it.get(z.IExtensionStoragePaths),Ut=it.get(xe.ILoggerService),vt=it.get(xe.ILogService),we=it.get(ue.IExtHostTunnelService),Ce=it.get(ht.IExtHostTelemetryLogService),me=it.get(X.IExtHostApiDeprecationService),q=it.get(oe.IExtHostWindow),Ae=it.get(Be.IExtHostSecretState),Le=it.get(Je.IExtHostEditorTabs);Ve.set(m.ExtHostContext.ExtHostFileSystemInfo,Ot),Ve.set(m.ExtHostContext.ExtHostLogLevelServiceShape,Ut),Ve.set(m.ExtHostContext.ExtHostWorkspace,ft),Ve.set(m.ExtHostContext.ExtHostConfiguration,Lt),Ve.set(m.ExtHostContext.ExtHostExtensionService,Dt),Ve.set(m.ExtHostContext.ExtHostStorage,Nt),Ve.set(m.ExtHostContext.ExtHostTunnelService,we),Ve.set(m.ExtHostContext.ExtHostWindow,q),Ve.set(m.ExtHostContext.ExtHostSecretState,Ae),Ve.set(m.ExtHostContext.ExtHostTelemetry,Ct),Ve.set(m.ExtHostContext.ExtHostEditorTabs,Le);const tt=Ve.set(m.ExtHostContext.ExtHostDecorations,it.get(ne.IExtHostDecorations)),Xe=Ve.set(m.ExtHostContext.ExtHostDocumentsAndEditors,it.get(i.IExtHostDocumentsAndEditors)),je=Ve.set(m.ExtHostContext.ExtHostCommands,it.get(d.IExtHostCommands)),ut=Ve.set(m.ExtHostContext.ExtHostTerminalService,it.get(B.IExtHostTerminalService)),gt=Ve.set(m.ExtHostContext.ExtHostDebugService,it.get(Pe.IExtHostDebugService)),yt=Ve.set(m.ExtHostContext.ExtHostSearch,it.get(Fe.IExtHostSearch)),pt=Ve.set(m.ExtHostContext.ExtHostTask,it.get(ve.IExtHostTask)),_t=Ve.set(m.ExtHostContext.ExtHostOutputService,it.get(D.IExtHostOutputService)),Pt=Ve.set(m.ExtHostContext.ExtHostUrls,new ee.ExtHostUrls(Ve)),mt=Ve.set(m.ExtHostContext.ExtHostDocuments,new u.ExtHostDocuments(Ve,Xe)),Yt=Ve.set(m.ExtHostContext.ExtHostDocumentContentProviders,new _.ExtHostDocumentContentProvider(Ve,Xe,vt)),Jt=Ve.set(m.ExtHostContext.ExtHostDocumentSaveParticipant,new s.ExtHostDocumentSaveParticipant(vt,mt,Ve.getProxy(m.MainContext.MainThreadBulkEdits))),bt=Ve.set(m.ExtHostContext.ExtHostNotebook,new Te.ExtHostNotebookController(Ve,je,Xe,mt,Rt)),Ht=Ve.set(m.ExtHostContext.ExtHostNotebookDocuments,new He.ExtHostNotebookDocuments(bt)),Bt=Ve.set(m.ExtHostContext.ExtHostNotebookEditors,new Ue.ExtHostNotebookEditors(vt,bt)),oi=Ve.set(m.ExtHostContext.ExtHostNotebookKernels,new ke.ExtHostNotebookKernels(Ve,dt,bt,je,vt)),Ti=Ve.set(m.ExtHostContext.ExtHostNotebookRenderers,new G.ExtHostNotebookRenderers(Ve,bt)),It=Ve.set(m.ExtHostContext.ExtHostEditors,new F.ExtHostEditors(Ve,Xe)),qt=Ve.set(m.ExtHostContext.ExtHostTreeViews,new K.ExtHostTreeViews(Ve.getProxy(m.MainContext.MainThreadTreeViews),je,vt)),mi=Ve.set(m.ExtHostContext.ExtHostEditorInsets,new te.ExtHostEditorInsets(Ve.getProxy(m.MainContext.MainThreadEditorInsets),It,dt.remote)),Zt=Ve.set(m.ExtHostContext.ExtHostDiagnostics,new A.ExtHostDiagnostics(Ve,vt,Ot)),ei=Ve.set(m.ExtHostContext.ExtHostLanguages,new w.ExtHostLanguages(Ve,mt,je.converter,Ft)),ct=Ve.set(m.ExtHostContext.ExtHostLanguageFeatures,new l.ExtHostLanguageFeatures(Ve,Ft,mt,je,Zt,vt,me)),gi=Ve.set(m.ExtHostContext.ExtHostFileSystem,new r.ExtHostFileSystem(Ve,ct)),zt=Ve.set(m.ExtHostContext.ExtHostFileSystemEventService,new t.ExtHostFileSystemEventService(Ve,vt,Xe)),Kt=Ve.set(m.ExtHostContext.ExtHostQuickOpen,(0,V.createExtHostQuickOpen)(Ve,ft,je)),ai=Ve.set(m.ExtHostContext.ExtHostSCM,new x.ExtHostSCM(Ve,je,vt)),Pi=Ve.set(m.ExtHostContext.ExtHostComments,(0,o.createExtHostComments)(Ve,je,mt)),yi=Ve.set(m.ExtHostContext.ExtHostProgress,new U.ExtHostProgress(Ve.getProxy(m.MainContext.MainThreadProgress))),pi=Ve.set(m.ExtHostContext.ExtHosLabelService,new Ee.ExtHostLabelService(Ve)),li=Ve.set(m.ExtHostContext.ExtHostTheming,new ae.ExtHostTheming(Ve)),ti=Ve.set(m.ExtHostContext.ExtHostAuthentication,new J.ExtHostAuthentication(Ve)),vi=Ve.set(m.ExtHostContext.ExtHostTimeline,new k.ExtHostTimeline(Ve,je)),Ei=Ve.set(m.ExtHostContext.ExtHostWebviews,new ce.ExtHostWebviews(Ve,dt.remote,ft,vt,me)),ii=Ve.set(m.ExtHostContext.ExtHostWebviewPanels,new de.ExtHostWebviewPanels(Ve,Ei,ft)),bi=Ve.set(m.ExtHostContext.ExtHostCustomEditors,new se.ExtHostCustomEditors(Ve,mt,Rt,Ei,ii)),Ai=Ve.set(m.ExtHostContext.ExtHostWebviewViews,new j.ExtHostWebviewViews(Ve,Ei)),ni=Ve.set(m.ExtHostContext.ExtHostTesting,new ge.ExtHostTesting(Ve,je)),Ri=Ve.set(m.ExtHostContext.ExtHostUriOpeners,new Ne.ExtHostUriOpeners(Ve));Ve.set(m.ExtHostContext.ExtHostInteractive,new Ze.ExtHostInteractive(Ve,bt,Xe,je,vt));const Oi=Object.values(m.ExtHostContext);Ve.assertRegistered(Oi);const Fi=new Z.ExtHostBulkEdits(Ve,Xe),Ni=new h.ExtHostClipboard(Ve),ri=new p.ExtHostMessageService(Ve,vt),ci=new c.ExtHostDialogs(Ve),Di=new C.ExtHostStatusBar(Ve,je.converter);return f.ExtHostApiCommands.register(je),function(Me,Vt,si){const Et=function(){let re=!Me.isUnderDevelopment;function he(){re||(vt.info(`Extension '${Me.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),re=!0)}return function Re(st){if(Array.isArray(st))st.forEach(Re);else if(typeof st=="string")he();else{const wt=st;typeof wt.scheme=="undefined"&&he(),typeof wt.exclusive=="boolean"&&(0,We.checkProposedApiEnabled)(Me,"documentFiltersExclusive")}return st}}(),Mi={getSession(re,he,Re){return ti.getSession(Me,re,he,Re)},async hasSession(re,he){return(0,We.checkProposedApiEnabled)(Me,"authSession"),!!await ti.getSession(Me,re,he,{silent:!0})},get onDidChangeSessions(){return ti.onDidChangeSessions},registerAuthenticationProvider(re,he,Re,st){return ti.registerAuthenticationProvider(re,he,Re,st)}},Li={registerCommand(re,he,Re){return je.registerCommand(!0,re,he,Re,void 0,Me)},registerTextEditorCommand(re,he,Re){return je.registerCommand(!0,re,(...st)=>{const wt=It.getActiveTextEditor();if(!wt){vt.warn("Cannot execute "+re+" because there is no active text editor.");return}return wt.edit(kt=>{he.apply(Re,[wt,kt,...st])}).then(kt=>{kt||vt.warn("Edits from command "+re+" were not applied.")},kt=>{vt.warn("An error occurred while running command "+re,kt)})},void 0,void 0,Me)},registerDiffInformationCommand:(re,he,Re)=>((0,We.checkProposedApiEnabled)(Me,"diffCommand"),je.registerCommand(!0,re,async(...st)=>{const wt=Xe.activeEditor(!0);if(!wt){vt.warn("Cannot execute "+re+" because there is no active text editor.");return}const kt=await It.getDiffInformation(wt.id);he.apply(Re,[kt,...st])},void 0,void 0,Me)),executeCommand(re,...he){return je.executeCommand(re,...he)},getCommands(re=!1){return je.getCommands(re)}},Ci={get machineId(){return dt.telemetryInfo.machineId},get sessionId(){return dt.telemetryInfo.sessionId},get language(){return dt.environment.appLanguage},get appName(){return dt.environment.appName},get appRoot(){return dt.environment.appRoot?.fsPath??""},get appHost(){return dt.environment.appHost},get uriScheme(){return dt.environment.appUriScheme},get clipboard(){return Ni.value},get shell(){return ut.getDefaultShell(!1)},get isTelemetryEnabled(){return Ct.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return Ct.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,We.checkProposedApiEnabled)(Me,"telemetry"),Ct.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,We.checkProposedApiEnabled)(Me,"telemetry"),Ct.onDidChangeTelemetryConfiguration},get isNewAppInstall(){const re=Date.now()-new Date(dt.telemetryInfo.firstSessionDate).getTime();return isNaN(re)?!1:re<1e3*60*60*24},openExternal(re,he){return q.openUri(re,{allowTunneling:!!dt.remote.authority,allowContributedOpeners:he?.allowContributedOpeners})},async asExternalUri(re){if(re.scheme===dt.environment.appUriScheme)return Pt.createAppUri(re);try{return await q.asExternalUri(re,{allowTunneling:!!dt.remote.authority})}catch(he){if((0,fe.matchesScheme)(re,Q.Schemas.http)||(0,fe.matchesScheme)(re,Q.Schemas.https))return re;throw he}},get remoteName(){return(0,be.getRemoteName)(dt.remote.authority)},get remoteAuthority(){return(0,We.checkProposedApiEnabled)(Me,"resolvers"),dt.remote.authority},get uiKind(){return dt.uiKind}};dt.environment.extensionTestsLocationURI||Object.freeze(Ci);const wi={createTestController(re,he,Re){return ni.createTestController(re,he,Re)},createTestObserver(){return(0,We.checkProposedApiEnabled)(Me,"testObserver"),ni.createTestObserver()},runTests(re){return(0,We.checkProposedApiEnabled)(Me,"testObserver"),ni.runTests(re)},get onDidChangeTestResults(){return(0,We.checkProposedApiEnabled)(Me,"testObserver"),ni.onResultsChanged},get testResults(){return(0,We.checkProposedApiEnabled)(Me,"testObserver"),ni.results}},ui=dt.remote.isRemote?O.ExtensionKind.Workspace:O.ExtensionKind.UI,xt={getExtension(re,he){(0,ot.equalsIgnoreCase)(re,"ms-vscode.references-view")&&(me.report("The extension 'ms-vscode.references-view' has been renamed.",Me,"Use 'vscode.references-view' instead."),re="vscode.references-view"),(0,We.isProposedApiEnabled)(Me,"extensionsAny")||(he=!1);const Re=Vt.mine.getExtensionDescription(re);if(Re)return new n.Extension(Dt,Me.identifier,Re,ui,!1);if(he){const st=Vt.all.getExtensionDescription(re);if(st)return new n.Extension(Dt,Me.identifier,st,ui,!0)}},get all(){const re=[];for(const he of Vt.mine.getAllExtensionDescriptions())re.push(new n.Extension(Dt,Me.identifier,he,ui,!1));return re},get allAcrossExtensionHosts(){(0,We.checkProposedApiEnabled)(Me,"extensionsAny");const re=new We.ExtensionIdentifierSet(Vt.mine.getAllExtensionDescriptions().map(Re=>Re.identifier)),he=[];for(const Re of Vt.all.getAllExtensionDescriptions()){const st=!re.has(Re.identifier);he.push(new n.Extension(Dt,Me.identifier,Re,ui,st))}return he},get onDidChange(){return(0,We.isProposedApiEnabled)(Me,"extensionsAny")?b.Event.any(Vt.mine.onDidChange,Vt.all.onDidChange):Vt.mine.onDidChange}},Gt={createDiagnosticCollection(re){return Zt.createDiagnosticCollection(Me.identifier,re)},get onDidChangeDiagnostics(){return Zt.onDidChangeDiagnostics},getDiagnostics:re=>Zt.getDiagnostics(re),getLanguages(){return ei.getLanguages()},setTextDocumentLanguage(re,he){return ei.changeLanguage(re.uri,he)},match(re,he){const Re=mt.getDocumentData(he.uri)?.notebook;return(0,R.score)(H.LanguageSelector.from(re),he.uri,he.languageId,!0,Re?.uri,Re?.notebookType)},registerCodeActionsProvider(re,he,Re){return ct.registerCodeActionProvider(Me,Et(re),he,Re)},registerDocumentPasteEditProvider(re,he,Re){return(0,We.checkProposedApiEnabled)(Me,"documentPaste"),ct.registerDocumentPasteEditProvider(Me,Et(re),he,Re)},registerCodeLensProvider(re,he){return ct.registerCodeLensProvider(Me,Et(re),he)},registerDefinitionProvider(re,he){return ct.registerDefinitionProvider(Me,Et(re),he)},registerDeclarationProvider(re,he){return ct.registerDeclarationProvider(Me,Et(re),he)},registerImplementationProvider(re,he){return ct.registerImplementationProvider(Me,Et(re),he)},registerTypeDefinitionProvider(re,he){return ct.registerTypeDefinitionProvider(Me,Et(re),he)},registerHoverProvider(re,he){return ct.registerHoverProvider(Me,Et(re),he,Me.identifier)},registerEvaluatableExpressionProvider(re,he){return ct.registerEvaluatableExpressionProvider(Me,Et(re),he,Me.identifier)},registerInlineValuesProvider(re,he){return ct.registerInlineValuesProvider(Me,Et(re),he,Me.identifier)},registerDocumentHighlightProvider(re,he){return ct.registerDocumentHighlightProvider(Me,Et(re),he)},registerLinkedEditingRangeProvider(re,he){return ct.registerLinkedEditingRangeProvider(Me,Et(re),he)},registerReferenceProvider(re,he){return ct.registerReferenceProvider(Me,Et(re),he)},registerRenameProvider(re,he){return ct.registerRenameProvider(Me,Et(re),he)},registerDocumentSymbolProvider(re,he,Re){return ct.registerDocumentSymbolProvider(Me,Et(re),he,Re)},registerWorkspaceSymbolProvider(re){return ct.registerWorkspaceSymbolProvider(Me,re)},registerDocumentFormattingEditProvider(re,he){return ct.registerDocumentFormattingEditProvider(Me,Et(re),he)},registerDocumentRangeFormattingEditProvider(re,he){return ct.registerDocumentRangeFormattingEditProvider(Me,Et(re),he)},registerOnTypeFormattingEditProvider(re,he,Re,...st){return ct.registerOnTypeFormattingEditProvider(Me,Et(re),he,[Re].concat(st))},registerDocumentSemanticTokensProvider(re,he,Re){return ct.registerDocumentSemanticTokensProvider(Me,Et(re),he,Re)},registerDocumentRangeSemanticTokensProvider(re,he,Re){return ct.registerDocumentRangeSemanticTokensProvider(Me,Et(re),he,Re)},registerSignatureHelpProvider(re,he,Re,...st){return typeof Re=="object"?ct.registerSignatureHelpProvider(Me,Et(re),he,Re):ct.registerSignatureHelpProvider(Me,Et(re),he,typeof Re=="undefined"?[]:[Re,...st])},registerCompletionItemProvider(re,he,...Re){return ct.registerCompletionItemProvider(Me,Et(re),he,Re)},registerInlineCompletionItemProvider(re,he){return he.handleDidShowCompletionItem&&(0,We.checkProposedApiEnabled)(Me,"inlineCompletionsAdditions"),ct.registerInlineCompletionsProvider(Me,Et(re),he)},registerInlineCompletionItemProviderNew(re,he){if((0,We.checkProposedApiEnabled)(Me,"inlineCompletionsNew"),he.handleDidShowCompletionItem&&!(0,We.isProposedApiEnabled)(Me,"inlineCompletionsAdditions"))throw new Error(`When the method "handleDidShowCompletionItem" is implemented on a provider, the usage of the proposed api 'inlineCompletionsAdditions' must be declared!`);return ct.registerInlineCompletionsProviderNew(Me,Et(re),he)},registerDocumentLinkProvider(re,he){return ct.registerDocumentLinkProvider(Me,Et(re),he)},registerColorProvider(re,he){return ct.registerColorProvider(Me,Et(re),he)},registerFoldingRangeProvider(re,he){return ct.registerFoldingRangeProvider(Me,Et(re),he)},registerSelectionRangeProvider(re,he){return ct.registerSelectionRangeProvider(Me,re,he)},registerCallHierarchyProvider(re,he){return ct.registerCallHierarchyProvider(Me,re,he)},registerTypeHierarchyProvider(re,he){return ct.registerTypeHierarchyProvider(Me,re,he)},setLanguageConfiguration:(re,he)=>ct.setLanguageConfiguration(Me,re,he),getTokenInformationAtPosition(re,he){return(0,We.checkProposedApiEnabled)(Me,"tokenInformation"),ei.tokenAtPosition(re,he)},registerInlayHintsProvider(re,he){return ct.registerInlayHintsProvider(Me,re,he)},createLanguageStatusItem(re,he){return ei.createLanguageStatusItem(Me,re,he)},registerDocumentDropEditProvider(re,he){return ct.registerDocumentOnDropEditProvider(Me,re,he)}},Ui={get activeTextEditor(){return It.getActiveTextEditor()},get visibleTextEditors(){return It.getVisibleTextEditors()},get activeTerminal(){return ut.activeTerminal},get terminals(){return ut.terminals},async showTextDocument(re,he,Re){const st=await(y.URI.isUri(re)?Promise.resolve(Mt.openTextDocument(re)):Promise.resolve(re));return It.showTextDocument(st,he,Re)},createTextEditorDecorationType(re){return It.createTextEditorDecorationType(Me,re)},onDidChangeActiveTextEditor(re,he,Re){return It.onDidChangeActiveTextEditor(re,he,Re)},onDidChangeVisibleTextEditors(re,he,Re){return It.onDidChangeVisibleTextEditors(re,he,Re)},onDidChangeTextEditorSelection(re,he,Re){return It.onDidChangeTextEditorSelection(re,he,Re)},onDidChangeTextEditorOptions(re,he,Re){return It.onDidChangeTextEditorOptions(re,he,Re)},onDidChangeTextEditorVisibleRanges(re,he,Re){return It.onDidChangeTextEditorVisibleRanges(re,he,Re)},onDidChangeTextEditorViewColumn(re,he,Re){return It.onDidChangeTextEditorViewColumn(re,he,Re)},onDidCloseTerminal(re,he,Re){return ut.onDidCloseTerminal(re,he,Re)},onDidOpenTerminal(re,he,Re){return ut.onDidOpenTerminal(re,he,Re)},onDidChangeActiveTerminal(re,he,Re){return ut.onDidChangeActiveTerminal(re,he,Re)},onDidChangeTerminalDimensions(re,he,Re){return(0,We.checkProposedApiEnabled)(Me,"terminalDimensions"),ut.onDidChangeTerminalDimensions(re,he,Re)},onDidChangeTerminalState(re,he,Re){return ut.onDidChangeTerminalState(re,he,Re)},onDidWriteTerminalData(re,he,Re){return(0,We.checkProposedApiEnabled)(Me,"terminalDataWriteEvent"),ut.onDidWriteTerminalData(re,he,Re)},get state(){return q.state},onDidChangeWindowState(re,he,Re){return q.onDidChangeWindowState(re,he,Re)},showInformationMessage(re,...he){return ri.showMessage(Me,M.default.Info,re,he[0],he.slice(1))},showWarningMessage(re,...he){return ri.showMessage(Me,M.default.Warning,re,he[0],he.slice(1))},showErrorMessage(re,...he){return ri.showMessage(Me,M.default.Error,re,he[0],he.slice(1))},showQuickPick(re,he,Re){return Kt.showQuickPick(re,he,Re)},showWorkspaceFolderPick(re){return Kt.showWorkspaceFolderPick(re)},showInputBox(re,he){return Kt.showInput(re,he)},showOpenDialog(re){return ci.showOpenDialog(re)},showSaveDialog(re){return ci.showSaveDialog(re)},createStatusBarItem(re,he,Re){let st,wt,kt;return typeof re=="string"?(st=re,wt=he,kt=Re):(wt=re,kt=he),Di.createStatusBarEntry(Me,st,wt,kt)},setStatusBarMessage(re,he){return Di.setStatusBarMessage(re,he)},withScmProgress(re){return me.report("window.withScmProgress",Me,"Use 'withProgress' instead."),yi.withProgress(Me,{location:O.ProgressLocation.SourceControl},(he,Re)=>re({report(st){}}))},withProgress(re,he){return yi.withProgress(Me,re,he)},createOutputChannel(re,he){return _t.createOutputChannel(re,he,Me)},createWebviewPanel(re,he,Re,st){return ii.createWebviewPanel(Me,re,he,Re,st)},createWebviewTextEditorInset(re,he,Re,st){return(0,We.checkProposedApiEnabled)(Me,"editorInsets"),mi.createWebviewEditorInset(re,he,Re,st,Me)},createTerminal(re,he,Re){return typeof re=="object"?"pty"in re?ut.createExtensionTerminal(re):ut.createTerminalFromOptions(re):ut.createTerminal(re,he,Re)},registerTerminalLinkProvider(re){return ut.registerLinkProvider(re)},registerTerminalProfileProvider(re,he){return ut.registerProfileProvider(Me,re,he)},registerTreeDataProvider(re,he){return qt.registerTreeDataProvider(re,he,Me)},createTreeView(re,he){return qt.createTreeView(re,he,Me)},registerWebviewPanelSerializer:(re,he)=>ii.registerWebviewPanelSerializer(Me,re,he),registerCustomEditorProvider:(re,he,Re={})=>bi.registerCustomEditorProvider(Me,re,he,Re),registerFileDecorationProvider(re){return tt.registerFileDecorationProvider(re,Me.identifier)},registerUriHandler(re){return Pt.registerUriHandler(Me.identifier,re)},createQuickPick(){return Kt.createQuickPick(Me)},createInputBox(){return Kt.createInputBox(Me)},get activeColorTheme(){return li.activeColorTheme},onDidChangeActiveColorTheme(re,he,Re){return li.onDidChangeActiveColorTheme(re,he,Re)},registerWebviewViewProvider(re,he,Re){return Ai.registerWebviewViewProvider(Me,re,he,Re?.webviewOptions)},get activeNotebookEditor(){return bt.activeNotebookEditor},onDidChangeActiveNotebookEditor(re,he,Re){return bt.onDidChangeActiveNotebookEditor(re,he,Re)},get visibleNotebookEditors(){return bt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return bt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(re,he,Re){return Bt.onDidChangeNotebookEditorSelection(re,he,Re)},onDidChangeNotebookEditorVisibleRanges(re,he,Re){return Bt.onDidChangeNotebookEditorVisibleRanges(re,he,Re)},showNotebookDocument(re,he){return y.URI.isUri(re)&&me.report("window.showNotebookDocument(uri)",Me,"Please use 'workspace.openNotebookDocument' and 'window.showNotebookDocument'"),bt.showNotebookDocument(re,he)},registerExternalUriOpener(re,he,Re){return(0,We.checkProposedApiEnabled)(Me,"externalUriOpener"),Ri.registerExternalUriOpener(Me.identifier,re,he,Re)},get tabGroups(){return Le.tabGroups},logTelemetryToOutputChannel(re,he){(0,We.checkProposedApiEnabled)(Me,"telemetryLog"),Ce.logToTelemetryOutputChannel(Me,re,he)}},Mt={get rootPath(){return me.report("workspace.rootPath",Me,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),ft.getPath()},set rootPath(re){throw v.readonly()},getWorkspaceFolder(re){return ft.getWorkspaceFolder(re)},get workspaceFolders(){return ft.getWorkspaceFolders()},get name(){return ft.name},set name(re){throw v.readonly()},get workspaceFile(){return ft.workspaceFile},set workspaceFile(re){throw v.readonly()},updateWorkspaceFolders:(re,he,...Re)=>ft.updateWorkspaceFolders(Me,re,he||0,...Re),onDidChangeWorkspaceFolders:function(re,he,Re){return ft.onDidChangeWorkspace(re,he,Re)},asRelativePath:(re,he)=>ft.getRelativePath(re,he),findFiles:(re,he,Re,st)=>ft.findFiles(re,he,Re,Me.identifier,st),findTextInFiles:(re,he,Re,st)=>{(0,We.checkProposedApiEnabled)(Me,"findTextInFiles");let wt,kt;return typeof he=="object"?(wt=he,kt=Re):(wt={},kt=he,st=Re),ft.findTextInFiles(re,wt||{},kt,Me.identifier,st)},saveAll:re=>ft.saveAll(re),applyEdit(re){return Fi.applyWorkspaceEdit(re,Me)},createFileSystemWatcher:(re,he,Re,st)=>zt.createFileSystemWatcher(ft,Me,re,he,Re,st),get textDocuments(){return mt.getAllDocumentData().map(re=>re.document)},set textDocuments(re){throw v.readonly()},openTextDocument(re){let he;const Re=re;if(typeof re=="string")he=Promise.resolve(y.URI.file(re));else if(y.URI.isUri(re))he=Promise.resolve(re);else if(!Re||typeof Re=="object")he=mt.createDocumentData(Re);else throw new Error("illegal argument - uriOrFileNameOrOptions");return he.then(st=>mt.ensureDocumentData(st).then(wt=>wt.document))},onDidOpenTextDocument:(re,he,Re)=>mt.onDidAddDocument(re,he,Re),onDidCloseTextDocument:(re,he,Re)=>mt.onDidRemoveDocument(re,he,Re),onDidChangeTextDocument:(re,he,Re)=>mt.onDidChangeDocument(re,he,Re),onDidSaveTextDocument:(re,he,Re)=>mt.onDidSaveDocument(re,he,Re),onWillSaveTextDocument:(re,he,Re)=>Jt.getOnWillSaveTextDocumentEvent(Me)(re,he,Re),get notebookDocuments(){return bt.notebookDocuments.map(re=>re.apiNotebook)},async openNotebookDocument(re,he){let Re;if(y.URI.isUri(re))Re=re,await bt.openNotebookDocument(re);else if(typeof re=="string")Re=y.URI.revive(await bt.createNotebookDocument({viewType:re,content:he}));else throw new Error("Invalid arguments");return bt.getNotebookDocument(Re).apiNotebook},onDidSaveNotebookDocument(re,he,Re){return Ht.onDidSaveNotebookDocument(re,he,Re)},onDidChangeNotebookDocument(re,he,Re){return Ht.onDidChangeNotebookDocument(re,he,Re)},get onDidOpenNotebookDocument(){return bt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return bt.onDidCloseNotebookDocument},registerNotebookSerializer(re,he,Re,st){return bt.registerNotebookSerializer(Me,re,he,Re,(0,We.isProposedApiEnabled)(Me,"notebookLiveShare")?st:void 0)},registerNotebookContentProvider:(re,he,Re,st)=>((0,We.checkProposedApiEnabled)(Me,"notebookContentProvider"),me.report("workspace.registerNotebookContentProvider",Me,"The notebookContentProvider API is not on track for finalization and will be removed."),bt.registerNotebookContentProvider(Me,re,he,Re,(0,We.isProposedApiEnabled)(Me,"notebookLiveShare")?st:void 0)),onDidChangeConfiguration:(re,he,Re)=>si.onDidChangeConfiguration(re,he,Re),getConfiguration(re,he){return he=arguments.length===1?void 0:he,si.getConfiguration(re,he,Me)},registerTextDocumentContentProvider(re,he){return Yt.registerTextDocumentContentProvider(re,he)},registerTaskProvider:(re,he)=>(me.report("window.registerTaskProvider",Me,"Use the corresponding function on the 'tasks' namespace instead"),pt.registerTaskProvider(Me,re,he)),registerFileSystemProvider(re,he,Re){return(0,qe.combinedDisposable)(gi.registerFileSystemProvider(Me,re,he,Re),Wt.addFileSystemProvider(re,he))},get fs(){return Wt.value},registerFileSearchProvider:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"fileSearchProvider"),yt.registerFileSearchProvider(re,he)),registerTextSearchProvider:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"textSearchProvider"),yt.registerTextSearchProvider(re,he)),registerRemoteAuthorityResolver:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"resolvers"),Dt.registerRemoteAuthorityResolver(re,he)),registerResourceLabelFormatter:re=>((0,We.checkProposedApiEnabled)(Me,"resolvers"),pi.$registerResourceLabelFormatter(re)),onDidCreateFiles:(re,he,Re)=>zt.onDidCreateFile(re,he,Re),onDidDeleteFiles:(re,he,Re)=>zt.onDidDeleteFile(re,he,Re),onDidRenameFiles:(re,he,Re)=>zt.onDidRenameFile(re,he,Re),onWillCreateFiles:(re,he,Re)=>zt.getOnWillCreateFileEvent(Me)(re,he,Re),onWillDeleteFiles:(re,he,Re)=>zt.getOnWillDeleteFileEvent(Me)(re,he,Re),onWillRenameFiles:(re,he,Re)=>zt.getOnWillRenameFileEvent(Me)(re,he,Re),openTunnel:re=>((0,We.checkProposedApiEnabled)(Me,"resolvers"),we.openTunnel(Me,re).then(he=>{if(!he)throw new Error("cannot open tunnel");return he})),get tunnels(){return(0,We.checkProposedApiEnabled)(Me,"resolvers"),we.getTunnels()},onDidChangeTunnels:(re,he,Re)=>((0,We.checkProposedApiEnabled)(Me,"resolvers"),we.onDidChangeTunnels(re,he,Re)),registerPortAttributesProvider:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"portsAttributes"),we.registerPortsAttributesProvider(re,he)),registerTimelineProvider:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"timeline"),vi.registerTimelineProvider(re,he,Me.identifier,je.converter)),get isTrusted(){return ft.trusted},requestWorkspaceTrust:re=>((0,We.checkProposedApiEnabled)(Me,"workspaceTrust"),ft.requestWorkspaceTrust(re)),onDidGrantWorkspaceTrust:(re,he,Re)=>ft.onDidGrantWorkspaceTrust(re,he,Re),registerEditSessionIdentityProvider:(re,he)=>((0,We.checkProposedApiEnabled)(Me,"editSessionIdentityProvider"),ft.registerEditSessionIdentityProvider(re,he))},di={get inputBox(){return me.report("scm.inputBox",Me,"Use 'SourceControl.inputBox' instead"),ai.getLastInputBox(Me)},createSourceControl(re,he,Re){return ai.createSourceControl(Me,re,he,Re)}},Bi={createCommentController(re,he){return Pi.createCommentController(Me,re,he)}},zi={get activeDebugSession(){return gt.activeDebugSession},get activeDebugConsole(){return gt.activeDebugConsole},get breakpoints(){return gt.breakpoints},onDidStartDebugSession(re,he,Re){return gt.onDidStartDebugSession(re,he,Re)},onDidTerminateDebugSession(re,he,Re){return gt.onDidTerminateDebugSession(re,he,Re)},onDidChangeActiveDebugSession(re,he,Re){return gt.onDidChangeActiveDebugSession(re,he,Re)},onDidReceiveDebugSessionCustomEvent(re,he,Re){return gt.onDidReceiveDebugSessionCustomEvent(re,he,Re)},onDidChangeBreakpoints(re,he,Re){return gt.onDidChangeBreakpoints(re,he,Re)},registerDebugConfigurationProvider(re,he,Re){return gt.registerDebugConfigurationProvider(re,he,Re||nt.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(re,he){return gt.registerDebugAdapterDescriptorFactory(Me,re,he)},registerDebugAdapterTrackerFactory(re,he){return gt.registerDebugAdapterTrackerFactory(re,he)},startDebugging(re,he,Re){return!Re||typeof Re=="object"&&"configuration"in Re?gt.startDebugging(re,he,{parentSession:Re}):gt.startDebugging(re,he,Re||{})},stopDebugging(re){return gt.stopDebugging(re)},addBreakpoints(re){return gt.addBreakpoints(re)},removeBreakpoints(re){return gt.removeBreakpoints(re)},asDebugSourceUri(re,he){return gt.asDebugSourceUri(re,he)}},xi={registerTaskProvider:(re,he)=>pt.registerTaskProvider(Me,re,he),fetchTasks:re=>pt.fetchTasks(re),executeTask:re=>pt.executeTask(Me,re),get taskExecutions(){return pt.taskExecutions},onDidStartTask:(re,he,Re)=>pt.onDidStartTask(re,he,Re),onDidEndTask:(re,he,Re)=>pt.onDidEndTask(re,he,Re),onDidStartTaskProcess:(re,he,Re)=>pt.onDidStartTaskProcess(re,he,Re),onDidEndTaskProcess:(re,he,Re)=>pt.onDidEndTaskProcess(re,he,Re)},$i={createNotebookController(re,he,Re,st,wt){return oi.createNotebookController(Me,re,he,Re,st,(0,We.isProposedApiEnabled)(Me,"notebookMessaging")?wt:void 0)},registerNotebookCellStatusBarItemProvider:(re,he)=>bt.registerNotebookCellStatusBarItemProvider(Me,re,he),createRendererMessaging(re){return Ti.createRendererMessaging(Me,re)},onDidChangeNotebookCellExecutionState(re,he,Re){return(0,We.checkProposedApiEnabled)(Me,"notebookCellExecutionState"),oi.onDidChangeNotebookCellExecutionState(re,he,Re)}};return{version:dt.version,authentication:Mi,commands:Li,comments:Bi,debug:zi,env:Ci,extensions:xt,languages:Gt,notebooks:$i,scm:di,tasks:xi,tests:wi,window:Ui,workspace:Mt,Breakpoint:O.Breakpoint,CallHierarchyIncomingCall:O.CallHierarchyIncomingCall,CallHierarchyItem:O.CallHierarchyItem,CallHierarchyOutgoingCall:O.CallHierarchyOutgoingCall,CancellationError:v.CancellationError,CancellationTokenSource:a.CancellationTokenSource,CandidatePortSource:m.CandidatePortSource,CodeAction:O.CodeAction,CodeActionKind:O.CodeActionKind,CodeActionTriggerKind:O.CodeActionTriggerKind,CodeLens:O.CodeLens,Color:O.Color,ColorInformation:O.ColorInformation,ColorPresentation:O.ColorPresentation,ColorThemeKind:O.ColorThemeKind,CommentMode:O.CommentMode,CommentThreadCollapsibleState:O.CommentThreadCollapsibleState,CommentThreadState:O.CommentThreadState,CompletionItem:O.CompletionItem,CompletionItemKind:O.CompletionItemKind,CompletionItemTag:O.CompletionItemTag,CompletionList:O.CompletionList,CompletionTriggerKind:O.CompletionTriggerKind,ConfigurationTarget:O.ConfigurationTarget,CustomExecution:O.CustomExecution,DebugAdapterExecutable:O.DebugAdapterExecutable,DebugAdapterInlineImplementation:O.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:O.DebugAdapterNamedPipeServer,DebugAdapterServer:O.DebugAdapterServer,DebugConfigurationProviderTriggerKind:nt.DebugConfigurationProviderTriggerKind,DebugConsoleMode:O.DebugConsoleMode,DecorationRangeBehavior:O.DecorationRangeBehavior,Diagnostic:O.Diagnostic,DiagnosticRelatedInformation:O.DiagnosticRelatedInformation,DiagnosticSeverity:O.DiagnosticSeverity,DiagnosticTag:O.DiagnosticTag,Disposable:O.Disposable,DocumentHighlight:O.DocumentHighlight,DocumentHighlightKind:O.DocumentHighlightKind,DocumentLink:O.DocumentLink,DocumentSymbol:O.DocumentSymbol,EndOfLine:O.EndOfLine,EnvironmentVariableMutatorType:O.EnvironmentVariableMutatorType,EvaluatableExpression:O.EvaluatableExpression,InlineValueText:O.InlineValueText,InlineValueVariableLookup:O.InlineValueVariableLookup,InlineValueEvaluatableExpression:O.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:O.InlineCompletionTriggerKind,InlineCompletionTriggerKindNew:O.InlineCompletionTriggerKindNew,EventEmitter:b.Emitter,ExtensionKind:O.ExtensionKind,ExtensionMode:O.ExtensionMode,ExternalUriOpenerPriority:O.ExternalUriOpenerPriority,FileChangeType:O.FileChangeType,FileDecoration:O.FileDecoration,FileSystemError:O.FileSystemError,FileType:S.FileType,FilePermission:S.FilePermission,FoldingRange:O.FoldingRange,FoldingRangeKind:O.FoldingRangeKind,FunctionBreakpoint:O.FunctionBreakpoint,InlineCompletionItem:O.InlineSuggestion,InlineCompletionItemNew:O.InlineSuggestionNew,InlineCompletionList:O.InlineSuggestionList,InlineCompletionListNew:O.InlineSuggestionsNew,Hover:O.Hover,IndentAction:T.IndentAction,Location:O.Location,MarkdownString:O.MarkdownString,OverviewRulerLane:E.OverviewRulerLane,ParameterInformation:O.ParameterInformation,PortAutoForwardAction:O.PortAutoForwardAction,Position:O.Position,ProcessExecution:O.ProcessExecution,ProgressLocation:O.ProgressLocation,QuickInputButtons:O.QuickInputButtons,Range:O.Range,RelativePattern:O.RelativePattern,Selection:O.Selection,SelectionRange:O.SelectionRange,SemanticTokens:O.SemanticTokens,SemanticTokensBuilder:O.SemanticTokensBuilder,SemanticTokensEdit:O.SemanticTokensEdit,SemanticTokensEdits:O.SemanticTokensEdits,SemanticTokensLegend:O.SemanticTokensLegend,ShellExecution:O.ShellExecution,ShellQuoting:O.ShellQuoting,SignatureHelp:O.SignatureHelp,SignatureHelpTriggerKind:O.SignatureHelpTriggerKind,SignatureInformation:O.SignatureInformation,SnippetString:O.SnippetString,SourceBreakpoint:O.SourceBreakpoint,StandardTokenType:O.StandardTokenType,StatusBarAlignment:O.StatusBarAlignment,SymbolInformation:O.SymbolInformation,SymbolKind:O.SymbolKind,SymbolTag:O.SymbolTag,Task:O.Task,TaskGroup:O.TaskGroup,TaskPanelKind:O.TaskPanelKind,TaskRevealKind:O.TaskRevealKind,TaskScope:O.TaskScope,TerminalLink:O.TerminalLink,TerminalLocation:O.TerminalLocation,TerminalProfile:O.TerminalProfile,TextDocumentSaveReason:O.TextDocumentSaveReason,TextEdit:O.TextEdit,TextEditorCursorStyle:P.TextEditorCursorStyle,TextEditorLineNumbersStyle:O.TextEditorLineNumbersStyle,TextEditorRevealType:O.TextEditorRevealType,TextEditorSelectionChangeKind:O.TextEditorSelectionChangeKind,TextDocumentChangeReason:O.TextDocumentChangeReason,ThemeColor:O.ThemeColor,ThemeIcon:O.ThemeIcon,TreeItem:O.TreeItem,TreeItemCollapsibleState:O.TreeItemCollapsibleState,TypeHierarchyItem:O.TypeHierarchyItem,UIKind:I.UIKind,Uri:y.URI,ViewColumn:O.ViewColumn,WorkspaceEdit:O.WorkspaceEdit,DocumentDropEdit:O.DocumentDropEdit,DocumentPasteEdit:O.DocumentPasteEdit,InlayHint:O.InlayHint,InlayHintLabelPart:O.InlayHintLabelPart,InlayHintKind:O.InlayHintKind,RemoteAuthorityResolverError:O.RemoteAuthorityResolverError,ResolvedAuthority:O.ResolvedAuthority,SourceControlInputBoxValidationType:O.SourceControlInputBoxValidationType,ExtensionRuntime:O.ExtensionRuntime,TimelineItem:O.TimelineItem,NotebookRange:O.NotebookRange,NotebookCellKind:O.NotebookCellKind,NotebookCellExecutionState:O.NotebookCellExecutionState,NotebookCellData:O.NotebookCellData,NotebookData:O.NotebookData,NotebookRendererScript:O.NotebookRendererScript,NotebookCellStatusBarAlignment:O.NotebookCellStatusBarAlignment,NotebookEditorRevealType:O.NotebookEditorRevealType,NotebookCellOutput:O.NotebookCellOutput,NotebookCellOutputItem:O.NotebookCellOutputItem,NotebookCellStatusBarItem:O.NotebookCellStatusBarItem,NotebookControllerAffinity:O.NotebookControllerAffinity,NotebookEdit:O.NotebookEdit,PortAttributes:O.PortAttributes,LinkedEditingRanges:O.LinkedEditingRanges,TestResultState:O.TestResultState,TestRunRequest:O.TestRunRequest,TestMessage:O.TestMessage,TestTag:O.TestTag,TestRunProfileKind:O.TestRunProfileKind,TextSearchCompleteMessageType:rt.TextSearchCompleteMessageType,DataTransfer:O.DataTransfer,DataTransferItem:O.DataTransferItem,CoveredCount:O.CoveredCount,FileCoverage:O.FileCoverage,StatementCoverage:O.StatementCoverage,BranchCoverage:O.BranchCoverage,FunctionCoverage:O.FunctionCoverage,WorkspaceTrustState:O.WorkspaceTrustState,LanguageStatusSeverity:O.LanguageStatusSeverity,QuickPickItemKind:O.QuickPickItemKind,InputBoxValidationSeverity:O.InputBoxValidationSeverity,TabInputText:O.TextTabInput,TabInputTextDiff:O.TextDiffTabInput,TabInputTextMerge:O.TextMergeTabInput,TabInputCustom:O.CustomEditorTabInput,TabInputNotebook:O.NotebookEditorTabInput,TabInputNotebookDiff:O.NotebookDiffEditorTabInput,TabInputWebview:O.WebviewEditorTabInput,TabInputTerminal:O.TerminalEditorTabInput,TabInputInteractiveWindow:O.InteractiveWindowInput,TerminalExitReason:O.TerminalExitReason}}}e.createApiFactoryAndRegisterActors=Tt}),define(ye[237],De([1,0,236,33,2,230,6,14,221,21]),function(ie,e,a,v,b,M,y,P,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class R extends M.RequireInterceptor{_installInterceptor(){}getModule(f,h){for(const d of this._alternatives){const o=d(f);if(o){f=o;break}}if(this._factories.has(f))return this._factories.get(f).load(f,h,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class S extends v.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=y.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){this._instaService.createInstance(E.ExtHostConsoleForwarder);const f=this._instaService.invokeFunction(a.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(R,f,{mine:this._myRegistry,all:this._globalRegistry}),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(f){return f.browser}async _loadCommonJSModule(f,h,d){h=h.with({path:m(h.path,".js")});const o=f?.identifier.value;o&&performance.mark(`code/extHost/willFetchExtensionCode/${o}`);const g=b.URI.revive(await this._mainThreadExtensionsProxy.$asBrowserUri(h)),A=await fetch(g.toString(!0));if(o&&performance.mark(`code/extHost/didFetchExtensionCode/${o}`),A.status!==200)throw new Error(A.statusText);const c=await A.text(),_=`${h.toString(!0)}#vscode-extension`,s=`${c}
//# sourceURL=${_}`;let u;try{u=new Function("module","exports","require",s)}catch(l){throw console.error(o?`Loading code for extension ${o} failed: ${l.message}`:`Loading code failed: ${l.message}`),console.error(`${h.toString(!0)}${typeof l.line=="number"?` line ${l.line}`:""}${typeof l.column=="number"?` column ${l.column}`:""}`),console.error(l),l}const i=await this.fetchTranslatedStrings(f),n={},r={exports:n},t=l=>{if(l==="vscode-nls-web-data")return i;const w=this._fakeModules.getModule(l,h);if(w===void 0)throw new Error(`Cannot load module '${l}'`);return w};try{return d.codeLoadingStart(),o&&performance.mark(`code/extHost/willLoadExtensionCode/${o}`),u(r,n,t),r.exports!==n?r.exports:n}finally{o&&performance.mark(`code/extHost/didLoadExtensionCode/${o}`),d.codeLoadingStop()}}async $setRemoteEnvironment(f){}async _waitForDebuggerAttachment(f=5e3){if(!this._initData.environment.isExtensionDevelopmentDebug)return;const h=Date.now()+f;for(;Date.now()<h&&!("__jsDebugIsReady"in globalThis);)await(0,P.timeout)(10)}async fetchTranslatedStrings(f){let h={};if(!f)return{};const d=T.Language.isDefaultVariant()?f.browserNlsBundleUris?.en:f.browserNlsBundleUris?.[T.Language.value()]??f.browserNlsBundleUris?.en;if(f&&d)try{const o=await fetch(d.toString(!0));if(!o.ok)throw new Error(await o.text());h=await o.json()}catch(o){try{console.error(`Failed to load translations for ${f.identifier.value} from ${d}: ${o.message}`);const g=f.browserNlsBundleUris?.en;if(g){const A=await fetch(g.toString(!0));if(!A.ok)throw new Error(await A.text());h=await A.json()}throw new Error("No English strings found")}catch(g){console.error(g)}}return h}}e.ExtHostExtensionService=S;function m(I,f){return I.endsWith(f)?I:I+f}}),define(ye[238],De([1,0,57,33,70,237]),function(ie,e,a,v,b,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,a.registerSingleton)(v.IExtHostExtensionService,M.ExtHostExtensionService),(0,a.registerSingleton)(b.IExtensionStoragePaths,b.ExtensionStoragePaths)}),define(ye[247],De([1,0,23,5,95,231,223,19,71,12,2,233,238]),function(ie,e,a,v,b,M,y,P,E,T,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=void 0;const S=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const m=postMessage.bind(self);self.postMessage=()=>console.trace("'postMessage' has been blocked");function I(s){return/^(file|vscode-remote):/i.test(s)}const f=fetch.bind(self);function h(s){self.fetch=async function(u,i){return u instanceof Request||I(String(u))&&(u=(await s(R.URI.parse(String(u)))).toString(!0)),f(u,i)},self.XMLHttpRequest=class extends XMLHttpRequest{open(u,i,n,r,t){(async()=>{I(i.toString())&&(i=(await s(R.URI.parse(i.toString()))).toString(!0)),super.open(u,i,n??!0,r,t)})()}}}if(self.importScripts=()=>{throw new Error("'importScripts' has been blocked")},self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const s=self.Worker;Worker=function(u,i){if(/^file:/i.test(u.toString()))u=T.FileAccess.asBrowserUri(R.URI.parse(u.toString())).toString(!0);else if(/^vscode-remote:/i.test(u.toString()))throw new Error("Creating workers from remote extensions is currently not supported.");const r=`(${function(p){function D(x){return typeof x=="string"||x instanceof URL?String(x).replace(/^file:\/\//i,"vscode-file://vscode-app"):x}const U=fetch.bind(self);self.fetch=function(x,C){return x instanceof Request?U(x,C):U(D(x),C)},self.XMLHttpRequest=class extends XMLHttpRequest{open(x,C,L,B,F){return super.open(x,D(C),L??!0,B,F)}};const V=importScripts.bind(self);self.importScripts=(...x)=>{V(...x.map(D))},V(p)}.toString()}('${u}'))`;i=i||{},i.name=i.name||P.basename(u.toString());const t=new Blob([r],{type:"application/javascript"}),l=URL.createObjectURL(t);return new s(l,i)}}else self.Worker=class extends y.NestedWorker{constructor(s,u){super(m,s,{name:P.basename(s.toString()),...u})}};const d=new class{constructor(){this.pid=void 0}exit(s){S()}async exists(s){return!0}async realpath(s){return s}};class o{constructor(){const u=new MessageChannel,i=new v.Emitter;let n=!1;m(u.port2,[u.port2]),u.port1.onmessage=r=>{const{data:t}=r;if(!(t instanceof ArrayBuffer)){console.warn("UNKNOWN data received",t);return}const l=a.VSBuffer.wrap(new Uint8Array(t,0,t.byteLength));if((0,b.isMessageOfType)(l,2)){n=!0,A("received terminate message from renderer");return}i.fire(l)},this.protocol={onMessage:i.event,send:r=>{if(!n){const t=r.buffer.buffer.slice(r.buffer.byteOffset,r.buffer.byteOffset+r.buffer.byteLength);u.port1.postMessage(t,[t])}}}}}function g(s){return new Promise(u=>{const i=s.onMessage(n=>{i.dispose();const r=JSON.parse(n.toString());s.send((0,b.createMessageOfType)(0)),u({protocol:s,initData:r})});s.send((0,b.createMessageOfType)(1))})}let A=s=>S();function c(s){return!!s&&typeof s=="object"&&s.type==="vscode.init"&&s.data instanceof Map}function _(){E.mark("code/extHost/willConnectToRenderer");const s=new o;return{onmessage(u){!c(u)||g(s.protocol).then(i=>{E.mark("code/extHost/didWaitForInitData");const n=new M.ExtensionHostMain(i.protocol,i.initData,d,null,u.data);h(r=>n.asBrowserUri(r)),A=r=>n.terminate(r)})}}}e.create=_})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/undefined/core/vs/workbench/api/worker/extensionHostWorker.js.map
